/*
 * The codepage Windows 950 definitions
 *
 * Copyright (C) 2008-2024, Joachim Metz <joachim.metz@gmail.com>
 *
 * Refer to AUTHORS for acknowledgements.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#if !defined( _UNA_TEST_CODEPAGE_WINDOWS_950_H )
#define _UNA_TEST_CODEPAGE_WINDOWS_950_H

#include <common.h>
#include <types.h>

#include "una_test_types.h"

#if defined( __cplusplus )
extern "C" {
#endif

una_test_byte_stream_to_unicode_t una_test_codepage_windows_950_byte_stream_to_unicode[ 13631 ] = {
	{ { 0x00 }, 1, 0x0000, 0 },
	{ { 0x01 }, 1, 0x0001, 0 },
	{ { 0x02 }, 1, 0x0002, 0 },
	{ { 0x03 }, 1, 0x0003, 0 },
	{ { 0x04 }, 1, 0x0004, 0 },
	{ { 0x05 }, 1, 0x0005, 0 },
	{ { 0x06 }, 1, 0x0006, 0 },
	{ { 0x07 }, 1, 0x0007, 0 },
	{ { 0x08 }, 1, 0x0008, 0 },
	{ { 0x09 }, 1, 0x0009, 0 },
	{ { 0x0a }, 1, 0x000a, 0 },
	{ { 0x0b }, 1, 0x000b, 0 },
	{ { 0x0c }, 1, 0x000c, 0 },
	{ { 0x0d }, 1, 0x000d, 0 },
	{ { 0x0e }, 1, 0x000e, 0 },
	{ { 0x0f }, 1, 0x000f, 0 },
	{ { 0x10 }, 1, 0x0010, 0 },
	{ { 0x11 }, 1, 0x0011, 0 },
	{ { 0x12 }, 1, 0x0012, 0 },
	{ { 0x13 }, 1, 0x0013, 0 },
	{ { 0x14 }, 1, 0x0014, 0 },
	{ { 0x15 }, 1, 0x0015, 0 },
	{ { 0x16 }, 1, 0x0016, 0 },
	{ { 0x17 }, 1, 0x0017, 0 },
	{ { 0x18 }, 1, 0x0018, 0 },
	{ { 0x19 }, 1, 0x0019, 0 },
	{ { 0x1a }, 1, 0x001a, 0 },
	{ { 0x1b }, 1, 0x001b, 0 },
	{ { 0x1c }, 1, 0x001c, 0 },
	{ { 0x1d }, 1, 0x001d, 0 },
	{ { 0x1e }, 1, 0x001e, 0 },
	{ { 0x1f }, 1, 0x001f, 0 },
	{ { 0x20 }, 1, 0x0020, 0 },
	{ { 0x21 }, 1, 0x0021, 0 },
	{ { 0x22 }, 1, 0x0022, 0 },
	{ { 0x23 }, 1, 0x0023, 0 },
	{ { 0x24 }, 1, 0x0024, 0 },
	{ { 0x25 }, 1, 0x0025, 0 },
	{ { 0x26 }, 1, 0x0026, 0 },
	{ { 0x27 }, 1, 0x0027, 0 },
	{ { 0x28 }, 1, 0x0028, 0 },
	{ { 0x29 }, 1, 0x0029, 0 },
	{ { 0x2a }, 1, 0x002a, 0 },
	{ { 0x2b }, 1, 0x002b, 0 },
	{ { 0x2c }, 1, 0x002c, 0 },
	{ { 0x2d }, 1, 0x002d, 0 },
	{ { 0x2e }, 1, 0x002e, 0 },
	{ { 0x2f }, 1, 0x002f, 0 },
	{ { 0x30 }, 1, 0x0030, 0 },
	{ { 0x31 }, 1, 0x0031, 0 },
	{ { 0x32 }, 1, 0x0032, 0 },
	{ { 0x33 }, 1, 0x0033, 0 },
	{ { 0x34 }, 1, 0x0034, 0 },
	{ { 0x35 }, 1, 0x0035, 0 },
	{ { 0x36 }, 1, 0x0036, 0 },
	{ { 0x37 }, 1, 0x0037, 0 },
	{ { 0x38 }, 1, 0x0038, 0 },
	{ { 0x39 }, 1, 0x0039, 0 },
	{ { 0x3a }, 1, 0x003a, 0 },
	{ { 0x3b }, 1, 0x003b, 0 },
	{ { 0x3c }, 1, 0x003c, 0 },
	{ { 0x3d }, 1, 0x003d, 0 },
	{ { 0x3e }, 1, 0x003e, 0 },
	{ { 0x3f }, 1, 0x003f, 0 },
	{ { 0x40 }, 1, 0x0040, 0 },
	{ { 0x41 }, 1, 0x0041, 0 },
	{ { 0x42 }, 1, 0x0042, 0 },
	{ { 0x43 }, 1, 0x0043, 0 },
	{ { 0x44 }, 1, 0x0044, 0 },
	{ { 0x45 }, 1, 0x0045, 0 },
	{ { 0x46 }, 1, 0x0046, 0 },
	{ { 0x47 }, 1, 0x0047, 0 },
	{ { 0x48 }, 1, 0x0048, 0 },
	{ { 0x49 }, 1, 0x0049, 0 },
	{ { 0x4a }, 1, 0x004a, 0 },
	{ { 0x4b }, 1, 0x004b, 0 },
	{ { 0x4c }, 1, 0x004c, 0 },
	{ { 0x4d }, 1, 0x004d, 0 },
	{ { 0x4e }, 1, 0x004e, 0 },
	{ { 0x4f }, 1, 0x004f, 0 },
	{ { 0x50 }, 1, 0x0050, 0 },
	{ { 0x51 }, 1, 0x0051, 0 },
	{ { 0x52 }, 1, 0x0052, 0 },
	{ { 0x53 }, 1, 0x0053, 0 },
	{ { 0x54 }, 1, 0x0054, 0 },
	{ { 0x55 }, 1, 0x0055, 0 },
	{ { 0x56 }, 1, 0x0056, 0 },
	{ { 0x57 }, 1, 0x0057, 0 },
	{ { 0x58 }, 1, 0x0058, 0 },
	{ { 0x59 }, 1, 0x0059, 0 },
	{ { 0x5a }, 1, 0x005a, 0 },
	{ { 0x5b }, 1, 0x005b, 0 },
	{ { 0x5c }, 1, 0x005c, 0 },
	{ { 0x5d }, 1, 0x005d, 0 },
	{ { 0x5e }, 1, 0x005e, 0 },
	{ { 0x5f }, 1, 0x005f, 0 },
	{ { 0x60 }, 1, 0x0060, 0 },
	{ { 0x61 }, 1, 0x0061, 0 },
	{ { 0x62 }, 1, 0x0062, 0 },
	{ { 0x63 }, 1, 0x0063, 0 },
	{ { 0x64 }, 1, 0x0064, 0 },
	{ { 0x65 }, 1, 0x0065, 0 },
	{ { 0x66 }, 1, 0x0066, 0 },
	{ { 0x67 }, 1, 0x0067, 0 },
	{ { 0x68 }, 1, 0x0068, 0 },
	{ { 0x69 }, 1, 0x0069, 0 },
	{ { 0x6a }, 1, 0x006a, 0 },
	{ { 0x6b }, 1, 0x006b, 0 },
	{ { 0x6c }, 1, 0x006c, 0 },
	{ { 0x6d }, 1, 0x006d, 0 },
	{ { 0x6e }, 1, 0x006e, 0 },
	{ { 0x6f }, 1, 0x006f, 0 },
	{ { 0x70 }, 1, 0x0070, 0 },
	{ { 0x71 }, 1, 0x0071, 0 },
	{ { 0x72 }, 1, 0x0072, 0 },
	{ { 0x73 }, 1, 0x0073, 0 },
	{ { 0x74 }, 1, 0x0074, 0 },
	{ { 0x75 }, 1, 0x0075, 0 },
	{ { 0x76 }, 1, 0x0076, 0 },
	{ { 0x77 }, 1, 0x0077, 0 },
	{ { 0x78 }, 1, 0x0078, 0 },
	{ { 0x79 }, 1, 0x0079, 0 },
	{ { 0x7a }, 1, 0x007a, 0 },
	{ { 0x7b }, 1, 0x007b, 0 },
	{ { 0x7c }, 1, 0x007c, 0 },
	{ { 0x7d }, 1, 0x007d, 0 },
	{ { 0x7e }, 1, 0x007e, 0 },
	{ { 0x7f }, 1, 0x007f, 0 },

	{ { 0xa1, 0x40 }, 2, 0x3000, 0 },
	{ { 0xa1, 0x41 }, 2, 0xff0c, 0 },
	{ { 0xa1, 0x42 }, 2, 0x3001, 0 },
	{ { 0xa1, 0x43 }, 2, 0x3002, 0 },
	{ { 0xa1, 0x44 }, 2, 0xff0e, 0 },
	{ { 0xa1, 0x45 }, 2, 0x2027, 0 },
	{ { 0xa1, 0x46 }, 2, 0xff1b, 0 },
	{ { 0xa1, 0x47 }, 2, 0xff1a, 0 },
	{ { 0xa1, 0x48 }, 2, 0xff1f, 0 },
	{ { 0xa1, 0x49 }, 2, 0xff01, 0 },
	{ { 0xa1, 0x4a }, 2, 0xfe30, 0 },
	{ { 0xa1, 0x4b }, 2, 0x2026, 0 },
	{ { 0xa1, 0x4c }, 2, 0x2025, 0 },
	{ { 0xa1, 0x4d }, 2, 0xfe50, 0 },
	{ { 0xa1, 0x4e }, 2, 0xfe51, 0 },
	{ { 0xa1, 0x4f }, 2, 0xfe52, 0 },
	{ { 0xa1, 0x50 }, 2, 0x00b7, 0 },
	{ { 0xa1, 0x51 }, 2, 0xfe54, 0 },
	{ { 0xa1, 0x52 }, 2, 0xfe55, 0 },
	{ { 0xa1, 0x53 }, 2, 0xfe56, 0 },
	{ { 0xa1, 0x54 }, 2, 0xfe57, 0 },
	{ { 0xa1, 0x55 }, 2, 0xff5c, 0 },
	{ { 0xa1, 0x56 }, 2, 0x2013, 0 },
	{ { 0xa1, 0x57 }, 2, 0xfe31, 0 },
	{ { 0xa1, 0x58 }, 2, 0x2014, 0 },
	{ { 0xa1, 0x59 }, 2, 0xfe33, 0 },
	{ { 0xa1, 0x5a }, 2, 0x2574, 0 },
	{ { 0xa1, 0x5b }, 2, 0xfe34, 0 },
	{ { 0xa1, 0x5c }, 2, 0xfe4f, 0 },
	{ { 0xa1, 0x5d }, 2, 0xff08, 0 },
	{ { 0xa1, 0x5e }, 2, 0xff09, 0 },
	{ { 0xa1, 0x5f }, 2, 0xfe35, 0 },
	{ { 0xa1, 0x60 }, 2, 0xfe36, 0 },
	{ { 0xa1, 0x61 }, 2, 0xff5b, 0 },
	{ { 0xa1, 0x62 }, 2, 0xff5d, 0 },
	{ { 0xa1, 0x63 }, 2, 0xfe37, 0 },
	{ { 0xa1, 0x64 }, 2, 0xfe38, 0 },
	{ { 0xa1, 0x65 }, 2, 0x3014, 0 },
	{ { 0xa1, 0x66 }, 2, 0x3015, 0 },
	{ { 0xa1, 0x67 }, 2, 0xfe39, 0 },
	{ { 0xa1, 0x68 }, 2, 0xfe3a, 0 },
	{ { 0xa1, 0x69 }, 2, 0x3010, 0 },
	{ { 0xa1, 0x6a }, 2, 0x3011, 0 },
	{ { 0xa1, 0x6b }, 2, 0xfe3b, 0 },
	{ { 0xa1, 0x6c }, 2, 0xfe3c, 0 },
	{ { 0xa1, 0x6d }, 2, 0x300a, 0 },
	{ { 0xa1, 0x6e }, 2, 0x300b, 0 },
	{ { 0xa1, 0x6f }, 2, 0xfe3d, 0 },
	{ { 0xa1, 0x70 }, 2, 0xfe3e, 0 },
	{ { 0xa1, 0x71 }, 2, 0x3008, 0 },
	{ { 0xa1, 0x72 }, 2, 0x3009, 0 },
	{ { 0xa1, 0x73 }, 2, 0xfe3f, 0 },
	{ { 0xa1, 0x74 }, 2, 0xfe40, 0 },
	{ { 0xa1, 0x75 }, 2, 0x300c, 0 },
	{ { 0xa1, 0x76 }, 2, 0x300d, 0 },
	{ { 0xa1, 0x77 }, 2, 0xfe41, 0 },
	{ { 0xa1, 0x78 }, 2, 0xfe42, 0 },
	{ { 0xa1, 0x79 }, 2, 0x300e, 0 },
	{ { 0xa1, 0x7a }, 2, 0x300f, 0 },
	{ { 0xa1, 0x7b }, 2, 0xfe43, 0 },
	{ { 0xa1, 0x7c }, 2, 0xfe44, 0 },
	{ { 0xa1, 0x7d }, 2, 0xfe59, 0 },
	{ { 0xa1, 0x7e }, 2, 0xfe5a, 0 },
	{ { 0xa1, 0xa1 }, 2, 0xfe5b, 0 },
	{ { 0xa1, 0xa2 }, 2, 0xfe5c, 0 },
	{ { 0xa1, 0xa3 }, 2, 0xfe5d, 0 },
	{ { 0xa1, 0xa4 }, 2, 0xfe5e, 0 },
	{ { 0xa1, 0xa5 }, 2, 0x2018, 0 },
	{ { 0xa1, 0xa6 }, 2, 0x2019, 0 },
	{ { 0xa1, 0xa7 }, 2, 0x201c, 0 },
	{ { 0xa1, 0xa8 }, 2, 0x201d, 0 },
	{ { 0xa1, 0xa9 }, 2, 0x301d, 0 },
	{ { 0xa1, 0xaa }, 2, 0x301e, 0 },
	{ { 0xa1, 0xab }, 2, 0x2035, 0 },
	{ { 0xa1, 0xac }, 2, 0x2032, 0 },
	{ { 0xa1, 0xad }, 2, 0xff03, 0 },
	{ { 0xa1, 0xae }, 2, 0xff06, 0 },
	{ { 0xa1, 0xaf }, 2, 0xff0a, 0 },
	{ { 0xa1, 0xb0 }, 2, 0x203b, 0 },
	{ { 0xa1, 0xb1 }, 2, 0x00a7, 0 },
	{ { 0xa1, 0xb2 }, 2, 0x3003, 0 },
	{ { 0xa1, 0xb3 }, 2, 0x25cb, 0 },
	{ { 0xa1, 0xb4 }, 2, 0x25cf, 0 },
	{ { 0xa1, 0xb5 }, 2, 0x25b3, 0 },
	{ { 0xa1, 0xb6 }, 2, 0x25b2, 0 },
	{ { 0xa1, 0xb7 }, 2, 0x25ce, 0 },
	{ { 0xa1, 0xb8 }, 2, 0x2606, 0 },
	{ { 0xa1, 0xb9 }, 2, 0x2605, 0 },
	{ { 0xa1, 0xba }, 2, 0x25c7, 0 },
	{ { 0xa1, 0xbb }, 2, 0x25c6, 0 },
	{ { 0xa1, 0xbc }, 2, 0x25a1, 0 },
	{ { 0xa1, 0xbd }, 2, 0x25a0, 0 },
	{ { 0xa1, 0xbe }, 2, 0x25bd, 0 },
	{ { 0xa1, 0xbf }, 2, 0x25bc, 0 },
	{ { 0xa1, 0xc0 }, 2, 0x32a3, 0 },
	{ { 0xa1, 0xc1 }, 2, 0x2105, 0 },
	{ { 0xa1, 0xc2 }, 2, 0x00af, 0 },
	{ { 0xa1, 0xc3 }, 2, 0xffe3, 0 },
	{ { 0xa1, 0xc4 }, 2, 0xff3f, 0 },
	{ { 0xa1, 0xc5 }, 2, 0x02cd, 0 },
	{ { 0xa1, 0xc6 }, 2, 0xfe49, 0 },
	{ { 0xa1, 0xc7 }, 2, 0xfe4a, 0 },
	{ { 0xa1, 0xc8 }, 2, 0xfe4d, 0 },
	{ { 0xa1, 0xc9 }, 2, 0xfe4e, 0 },
	{ { 0xa1, 0xca }, 2, 0xfe4b, 0 },
	{ { 0xa1, 0xcb }, 2, 0xfe4c, 0 },
	{ { 0xa1, 0xcc }, 2, 0xfe5f, 0 },
	{ { 0xa1, 0xcd }, 2, 0xfe60, 0 },
	{ { 0xa1, 0xce }, 2, 0xfe61, 0 },
	{ { 0xa1, 0xcf }, 2, 0xff0b, 0 },
	{ { 0xa1, 0xd0 }, 2, 0xff0d, 0 },
	{ { 0xa1, 0xd1 }, 2, 0x00d7, 0 },
	{ { 0xa1, 0xd2 }, 2, 0x00f7, 0 },
	{ { 0xa1, 0xd3 }, 2, 0x00b1, 0 },
	{ { 0xa1, 0xd4 }, 2, 0x221a, 0 },
	{ { 0xa1, 0xd5 }, 2, 0xff1c, 0 },
	{ { 0xa1, 0xd6 }, 2, 0xff1e, 0 },
	{ { 0xa1, 0xd7 }, 2, 0xff1d, 0 },
	{ { 0xa1, 0xd8 }, 2, 0x2266, 0 },
	{ { 0xa1, 0xd9 }, 2, 0x2267, 0 },
	{ { 0xa1, 0xda }, 2, 0x2260, 0 },
	{ { 0xa1, 0xdb }, 2, 0x221e, 0 },
	{ { 0xa1, 0xdc }, 2, 0x2252, 0 },
	{ { 0xa1, 0xdd }, 2, 0x2261, 0 },
	{ { 0xa1, 0xde }, 2, 0xfe62, 0 },
	{ { 0xa1, 0xdf }, 2, 0xfe63, 0 },
	{ { 0xa1, 0xe0 }, 2, 0xfe64, 0 },
	{ { 0xa1, 0xe1 }, 2, 0xfe65, 0 },
	{ { 0xa1, 0xe2 }, 2, 0xfe66, 0 },
	{ { 0xa1, 0xe3 }, 2, 0xff5e, 0 },
	{ { 0xa1, 0xe4 }, 2, 0x2229, 0 },
	{ { 0xa1, 0xe5 }, 2, 0x222a, 0 },
	{ { 0xa1, 0xe6 }, 2, 0x22a5, 0 },
	{ { 0xa1, 0xe7 }, 2, 0x2220, 0 },
	{ { 0xa1, 0xe8 }, 2, 0x221f, 0 },
	{ { 0xa1, 0xe9 }, 2, 0x22bf, 0 },
	{ { 0xa1, 0xea }, 2, 0x33d2, 0 },
	{ { 0xa1, 0xeb }, 2, 0x33d1, 0 },
	{ { 0xa1, 0xec }, 2, 0x222b, 0 },
	{ { 0xa1, 0xed }, 2, 0x222e, 0 },
	{ { 0xa1, 0xee }, 2, 0x2235, 0 },
	{ { 0xa1, 0xef }, 2, 0x2234, 0 },
	{ { 0xa1, 0xf0 }, 2, 0x2640, 0 },
	{ { 0xa1, 0xf1 }, 2, 0x2642, 0 },
	{ { 0xa1, 0xf2 }, 2, 0x2295, 0 },
	{ { 0xa1, 0xf3 }, 2, 0x2299, 0 },
	{ { 0xa1, 0xf4 }, 2, 0x2191, 0 },
	{ { 0xa1, 0xf5 }, 2, 0x2193, 0 },
	{ { 0xa1, 0xf6 }, 2, 0x2190, 0 },
	{ { 0xa1, 0xf7 }, 2, 0x2192, 0 },
	{ { 0xa1, 0xf8 }, 2, 0x2196, 0 },
	{ { 0xa1, 0xf9 }, 2, 0x2197, 0 },
	{ { 0xa1, 0xfa }, 2, 0x2199, 0 },
	{ { 0xa1, 0xfb }, 2, 0x2198, 0 },
	{ { 0xa1, 0xfc }, 2, 0x2225, 0 },
	{ { 0xa1, 0xfd }, 2, 0x2223, 0 },
	{ { 0xa1, 0xfe }, 2, 0xff0f, 0 },

	{ { 0xa2, 0x40 }, 2, 0xff3c, 0 },
	{ { 0xa2, 0x41 }, 2, 0x2215, 0 },
	{ { 0xa2, 0x42 }, 2, 0xfe68, 0 },
	{ { 0xa2, 0x43 }, 2, 0xff04, 0 },
	{ { 0xa2, 0x44 }, 2, 0xffe5, 0 },
	{ { 0xa2, 0x45 }, 2, 0x3012, 0 },
	{ { 0xa2, 0x46 }, 2, 0xffe0, 0 },
	{ { 0xa2, 0x47 }, 2, 0xffe1, 0 },
	{ { 0xa2, 0x48 }, 2, 0xff05, 0 },
	{ { 0xa2, 0x49 }, 2, 0xff20, 0 },
	{ { 0xa2, 0x4a }, 2, 0x2103, 0 },
	{ { 0xa2, 0x4b }, 2, 0x2109, 0 },
	{ { 0xa2, 0x4c }, 2, 0xfe69, 0 },
	{ { 0xa2, 0x4d }, 2, 0xfe6a, 0 },
	{ { 0xa2, 0x4e }, 2, 0xfe6b, 0 },
	{ { 0xa2, 0x4f }, 2, 0x33d5, 0 },
	{ { 0xa2, 0x50 }, 2, 0x339c, 0 },
	{ { 0xa2, 0x51 }, 2, 0x339d, 0 },
	{ { 0xa2, 0x52 }, 2, 0x339e, 0 },
	{ { 0xa2, 0x53 }, 2, 0x33ce, 0 },
	{ { 0xa2, 0x54 }, 2, 0x33a1, 0 },
	{ { 0xa2, 0x55 }, 2, 0x338e, 0 },
	{ { 0xa2, 0x56 }, 2, 0x338f, 0 },
	{ { 0xa2, 0x57 }, 2, 0x33c4, 0 },
	{ { 0xa2, 0x58 }, 2, 0x00b0, 0 },
	{ { 0xa2, 0x59 }, 2, 0x5159, 0 },
	{ { 0xa2, 0x5a }, 2, 0x515b, 0 },
	{ { 0xa2, 0x5b }, 2, 0x515e, 0 },
	{ { 0xa2, 0x5c }, 2, 0x515d, 0 },
	{ { 0xa2, 0x5d }, 2, 0x5161, 0 },
	{ { 0xa2, 0x5e }, 2, 0x5163, 0 },
	{ { 0xa2, 0x5f }, 2, 0x55e7, 0 },
	{ { 0xa2, 0x60 }, 2, 0x74e9, 0 },
	{ { 0xa2, 0x61 }, 2, 0x7cce, 0 },
	{ { 0xa2, 0x62 }, 2, 0x2581, 0 },
	{ { 0xa2, 0x63 }, 2, 0x2582, 0 },
	{ { 0xa2, 0x64 }, 2, 0x2583, 0 },
	{ { 0xa2, 0x65 }, 2, 0x2584, 0 },
	{ { 0xa2, 0x66 }, 2, 0x2585, 0 },
	{ { 0xa2, 0x67 }, 2, 0x2586, 0 },
	{ { 0xa2, 0x68 }, 2, 0x2587, 0 },
	{ { 0xa2, 0x69 }, 2, 0x2588, 0 },
	{ { 0xa2, 0x6a }, 2, 0x258f, 0 },
	{ { 0xa2, 0x6b }, 2, 0x258e, 0 },
	{ { 0xa2, 0x6c }, 2, 0x258d, 0 },
	{ { 0xa2, 0x6d }, 2, 0x258c, 0 },
	{ { 0xa2, 0x6e }, 2, 0x258b, 0 },
	{ { 0xa2, 0x6f }, 2, 0x258a, 0 },
	{ { 0xa2, 0x70 }, 2, 0x2589, 0 },
	{ { 0xa2, 0x71 }, 2, 0x253c, 0 },
	{ { 0xa2, 0x72 }, 2, 0x2534, 0 },
	{ { 0xa2, 0x73 }, 2, 0x252c, 0 },
	{ { 0xa2, 0x74 }, 2, 0x2524, 0 },
	{ { 0xa2, 0x75 }, 2, 0x251c, 0 },
	{ { 0xa2, 0x76 }, 2, 0x2594, 0 },
	{ { 0xa2, 0x77 }, 2, 0x2500, 0 },
	{ { 0xa2, 0x78 }, 2, 0x2502, 0 },
	{ { 0xa2, 0x79 }, 2, 0x2595, 0 },
	{ { 0xa2, 0x7a }, 2, 0x250c, 0 },
	{ { 0xa2, 0x7b }, 2, 0x2510, 0 },
	{ { 0xa2, 0x7c }, 2, 0x2514, 0 },
	{ { 0xa2, 0x7d }, 2, 0x2518, 0 },
	{ { 0xa2, 0x7e }, 2, 0x256d, 0 },
	{ { 0xa2, 0xa1 }, 2, 0x256e, 0 },
	{ { 0xa2, 0xa2 }, 2, 0x2570, 0 },
	{ { 0xa2, 0xa3 }, 2, 0x256f, 0 },
	{ { 0xa2, 0xa4 }, 2, 0x2550, 0 },
	{ { 0xa2, 0xa5 }, 2, 0x255e, 0 },
	{ { 0xa2, 0xa6 }, 2, 0x256a, 0 },
	{ { 0xa2, 0xa7 }, 2, 0x2561, 0 },
	{ { 0xa2, 0xa8 }, 2, 0x25e2, 0 },
	{ { 0xa2, 0xa9 }, 2, 0x25e3, 0 },
	{ { 0xa2, 0xaa }, 2, 0x25e5, 0 },
	{ { 0xa2, 0xab }, 2, 0x25e4, 0 },
	{ { 0xa2, 0xac }, 2, 0x2571, 0 },
	{ { 0xa2, 0xad }, 2, 0x2572, 0 },
	{ { 0xa2, 0xae }, 2, 0x2573, 0 },
	{ { 0xa2, 0xaf }, 2, 0xff10, 0 },
	{ { 0xa2, 0xb0 }, 2, 0xff11, 0 },
	{ { 0xa2, 0xb1 }, 2, 0xff12, 0 },
	{ { 0xa2, 0xb2 }, 2, 0xff13, 0 },
	{ { 0xa2, 0xb3 }, 2, 0xff14, 0 },
	{ { 0xa2, 0xb4 }, 2, 0xff15, 0 },
	{ { 0xa2, 0xb5 }, 2, 0xff16, 0 },
	{ { 0xa2, 0xb6 }, 2, 0xff17, 0 },
	{ { 0xa2, 0xb7 }, 2, 0xff18, 0 },
	{ { 0xa2, 0xb8 }, 2, 0xff19, 0 },
	{ { 0xa2, 0xb9 }, 2, 0x2160, 0 },
	{ { 0xa2, 0xba }, 2, 0x2161, 0 },
	{ { 0xa2, 0xbb }, 2, 0x2162, 0 },
	{ { 0xa2, 0xbc }, 2, 0x2163, 0 },
	{ { 0xa2, 0xbd }, 2, 0x2164, 0 },
	{ { 0xa2, 0xbe }, 2, 0x2165, 0 },
	{ { 0xa2, 0xbf }, 2, 0x2166, 0 },
	{ { 0xa2, 0xc0 }, 2, 0x2167, 0 },
	{ { 0xa2, 0xc1 }, 2, 0x2168, 0 },
	{ { 0xa2, 0xc2 }, 2, 0x2169, 0 },
	{ { 0xa2, 0xc3 }, 2, 0x3021, 0 },
	{ { 0xa2, 0xc4 }, 2, 0x3022, 0 },
	{ { 0xa2, 0xc5 }, 2, 0x3023, 0 },
	{ { 0xa2, 0xc6 }, 2, 0x3024, 0 },
	{ { 0xa2, 0xc7 }, 2, 0x3025, 0 },
	{ { 0xa2, 0xc8 }, 2, 0x3026, 0 },
	{ { 0xa2, 0xc9 }, 2, 0x3027, 0 },
	{ { 0xa2, 0xca }, 2, 0x3028, 0 },
	{ { 0xa2, 0xcb }, 2, 0x3029, 0 },
	{ { 0xa2, 0xcc }, 2, 0x5341, 0 },
	{ { 0xa2, 0xcd }, 2, 0x5344, 0 },
	{ { 0xa2, 0xce }, 2, 0x5345, 0 },
	{ { 0xa2, 0xcf }, 2, 0xff21, 0 },
	{ { 0xa2, 0xd0 }, 2, 0xff22, 0 },
	{ { 0xa2, 0xd1 }, 2, 0xff23, 0 },
	{ { 0xa2, 0xd2 }, 2, 0xff24, 0 },
	{ { 0xa2, 0xd3 }, 2, 0xff25, 0 },
	{ { 0xa2, 0xd4 }, 2, 0xff26, 0 },
	{ { 0xa2, 0xd5 }, 2, 0xff27, 0 },
	{ { 0xa2, 0xd6 }, 2, 0xff28, 0 },
	{ { 0xa2, 0xd7 }, 2, 0xff29, 0 },
	{ { 0xa2, 0xd8 }, 2, 0xff2a, 0 },
	{ { 0xa2, 0xd9 }, 2, 0xff2b, 0 },
	{ { 0xa2, 0xda }, 2, 0xff2c, 0 },
	{ { 0xa2, 0xdb }, 2, 0xff2d, 0 },
	{ { 0xa2, 0xdc }, 2, 0xff2e, 0 },
	{ { 0xa2, 0xdd }, 2, 0xff2f, 0 },
	{ { 0xa2, 0xde }, 2, 0xff30, 0 },
	{ { 0xa2, 0xdf }, 2, 0xff31, 0 },
	{ { 0xa2, 0xe0 }, 2, 0xff32, 0 },
	{ { 0xa2, 0xe1 }, 2, 0xff33, 0 },
	{ { 0xa2, 0xe2 }, 2, 0xff34, 0 },
	{ { 0xa2, 0xe3 }, 2, 0xff35, 0 },
	{ { 0xa2, 0xe4 }, 2, 0xff36, 0 },
	{ { 0xa2, 0xe5 }, 2, 0xff37, 0 },
	{ { 0xa2, 0xe6 }, 2, 0xff38, 0 },
	{ { 0xa2, 0xe7 }, 2, 0xff39, 0 },
	{ { 0xa2, 0xe8 }, 2, 0xff3a, 0 },
	{ { 0xa2, 0xe9 }, 2, 0xff41, 0 },
	{ { 0xa2, 0xea }, 2, 0xff42, 0 },
	{ { 0xa2, 0xeb }, 2, 0xff43, 0 },
	{ { 0xa2, 0xec }, 2, 0xff44, 0 },
	{ { 0xa2, 0xed }, 2, 0xff45, 0 },
	{ { 0xa2, 0xee }, 2, 0xff46, 0 },
	{ { 0xa2, 0xef }, 2, 0xff47, 0 },
	{ { 0xa2, 0xf0 }, 2, 0xff48, 0 },
	{ { 0xa2, 0xf1 }, 2, 0xff49, 0 },
	{ { 0xa2, 0xf2 }, 2, 0xff4a, 0 },
	{ { 0xa2, 0xf3 }, 2, 0xff4b, 0 },
	{ { 0xa2, 0xf4 }, 2, 0xff4c, 0 },
	{ { 0xa2, 0xf5 }, 2, 0xff4d, 0 },
	{ { 0xa2, 0xf6 }, 2, 0xff4e, 0 },
	{ { 0xa2, 0xf7 }, 2, 0xff4f, 0 },
	{ { 0xa2, 0xf8 }, 2, 0xff50, 0 },
	{ { 0xa2, 0xf9 }, 2, 0xff51, 0 },
	{ { 0xa2, 0xfa }, 2, 0xff52, 0 },
	{ { 0xa2, 0xfb }, 2, 0xff53, 0 },
	{ { 0xa2, 0xfc }, 2, 0xff54, 0 },
	{ { 0xa2, 0xfd }, 2, 0xff55, 0 },
	{ { 0xa2, 0xfe }, 2, 0xff56, 0 },

	{ { 0xa3, 0x40 }, 2, 0xff57, 0 },
	{ { 0xa3, 0x41 }, 2, 0xff58, 0 },
	{ { 0xa3, 0x42 }, 2, 0xff59, 0 },
	{ { 0xa3, 0x43 }, 2, 0xff5a, 0 },
	{ { 0xa3, 0x44 }, 2, 0x0391, 0 },
	{ { 0xa3, 0x45 }, 2, 0x0392, 0 },
	{ { 0xa3, 0x46 }, 2, 0x0393, 0 },
	{ { 0xa3, 0x47 }, 2, 0x0394, 0 },
	{ { 0xa3, 0x48 }, 2, 0x0395, 0 },
	{ { 0xa3, 0x49 }, 2, 0x0396, 0 },
	{ { 0xa3, 0x4a }, 2, 0x0397, 0 },
	{ { 0xa3, 0x4b }, 2, 0x0398, 0 },
	{ { 0xa3, 0x4c }, 2, 0x0399, 0 },
	{ { 0xa3, 0x4d }, 2, 0x039a, 0 },
	{ { 0xa3, 0x4e }, 2, 0x039b, 0 },
	{ { 0xa3, 0x4f }, 2, 0x039c, 0 },
	{ { 0xa3, 0x50 }, 2, 0x039d, 0 },
	{ { 0xa3, 0x51 }, 2, 0x039e, 0 },
	{ { 0xa3, 0x52 }, 2, 0x039f, 0 },
	{ { 0xa3, 0x53 }, 2, 0x03a0, 0 },
	{ { 0xa3, 0x54 }, 2, 0x03a1, 0 },
	{ { 0xa3, 0x55 }, 2, 0x03a3, 0 },
	{ { 0xa3, 0x56 }, 2, 0x03a4, 0 },
	{ { 0xa3, 0x57 }, 2, 0x03a5, 0 },
	{ { 0xa3, 0x58 }, 2, 0x03a6, 0 },
	{ { 0xa3, 0x59 }, 2, 0x03a7, 0 },
	{ { 0xa3, 0x5a }, 2, 0x03a8, 0 },
	{ { 0xa3, 0x5b }, 2, 0x03a9, 0 },
	{ { 0xa3, 0x5c }, 2, 0x03b1, 0 },
	{ { 0xa3, 0x5d }, 2, 0x03b2, 0 },
	{ { 0xa3, 0x5e }, 2, 0x03b3, 0 },
	{ { 0xa3, 0x5f }, 2, 0x03b4, 0 },
	{ { 0xa3, 0x60 }, 2, 0x03b5, 0 },
	{ { 0xa3, 0x61 }, 2, 0x03b6, 0 },
	{ { 0xa3, 0x62 }, 2, 0x03b7, 0 },
	{ { 0xa3, 0x63 }, 2, 0x03b8, 0 },
	{ { 0xa3, 0x64 }, 2, 0x03b9, 0 },
	{ { 0xa3, 0x65 }, 2, 0x03ba, 0 },
	{ { 0xa3, 0x66 }, 2, 0x03bb, 0 },
	{ { 0xa3, 0x67 }, 2, 0x03bc, 0 },
	{ { 0xa3, 0x68 }, 2, 0x03bd, 0 },
	{ { 0xa3, 0x69 }, 2, 0x03be, 0 },
	{ { 0xa3, 0x6a }, 2, 0x03bf, 0 },
	{ { 0xa3, 0x6b }, 2, 0x03c0, 0 },
	{ { 0xa3, 0x6c }, 2, 0x03c1, 0 },
	{ { 0xa3, 0x6d }, 2, 0x03c3, 0 },
	{ { 0xa3, 0x6e }, 2, 0x03c4, 0 },
	{ { 0xa3, 0x6f }, 2, 0x03c5, 0 },
	{ { 0xa3, 0x70 }, 2, 0x03c6, 0 },
	{ { 0xa3, 0x71 }, 2, 0x03c7, 0 },
	{ { 0xa3, 0x72 }, 2, 0x03c8, 0 },
	{ { 0xa3, 0x73 }, 2, 0x03c9, 0 },
	{ { 0xa3, 0x74 }, 2, 0x3105, 0 },
	{ { 0xa3, 0x75 }, 2, 0x3106, 0 },
	{ { 0xa3, 0x76 }, 2, 0x3107, 0 },
	{ { 0xa3, 0x77 }, 2, 0x3108, 0 },
	{ { 0xa3, 0x78 }, 2, 0x3109, 0 },
	{ { 0xa3, 0x79 }, 2, 0x310a, 0 },
	{ { 0xa3, 0x7a }, 2, 0x310b, 0 },
	{ { 0xa3, 0x7b }, 2, 0x310c, 0 },
	{ { 0xa3, 0x7c }, 2, 0x310d, 0 },
	{ { 0xa3, 0x7d }, 2, 0x310e, 0 },
	{ { 0xa3, 0x7e }, 2, 0x310f, 0 },
	{ { 0xa3, 0xa1 }, 2, 0x3110, 0 },
	{ { 0xa3, 0xa2 }, 2, 0x3111, 0 },
	{ { 0xa3, 0xa3 }, 2, 0x3112, 0 },
	{ { 0xa3, 0xa4 }, 2, 0x3113, 0 },
	{ { 0xa3, 0xa5 }, 2, 0x3114, 0 },
	{ { 0xa3, 0xa6 }, 2, 0x3115, 0 },
	{ { 0xa3, 0xa7 }, 2, 0x3116, 0 },
	{ { 0xa3, 0xa8 }, 2, 0x3117, 0 },
	{ { 0xa3, 0xa9 }, 2, 0x3118, 0 },
	{ { 0xa3, 0xaa }, 2, 0x3119, 0 },
	{ { 0xa3, 0xab }, 2, 0x311a, 0 },
	{ { 0xa3, 0xac }, 2, 0x311b, 0 },
	{ { 0xa3, 0xad }, 2, 0x311c, 0 },
	{ { 0xa3, 0xae }, 2, 0x311d, 0 },
	{ { 0xa3, 0xaf }, 2, 0x311e, 0 },
	{ { 0xa3, 0xb0 }, 2, 0x311f, 0 },
	{ { 0xa3, 0xb1 }, 2, 0x3120, 0 },
	{ { 0xa3, 0xb2 }, 2, 0x3121, 0 },
	{ { 0xa3, 0xb3 }, 2, 0x3122, 0 },
	{ { 0xa3, 0xb4 }, 2, 0x3123, 0 },
	{ { 0xa3, 0xb5 }, 2, 0x3124, 0 },
	{ { 0xa3, 0xb6 }, 2, 0x3125, 0 },
	{ { 0xa3, 0xb7 }, 2, 0x3126, 0 },
	{ { 0xa3, 0xb8 }, 2, 0x3127, 0 },
	{ { 0xa3, 0xb9 }, 2, 0x3128, 0 },
	{ { 0xa3, 0xba }, 2, 0x3129, 0 },
	{ { 0xa3, 0xbb }, 2, 0x02d9, 0 },
	{ { 0xa3, 0xbc }, 2, 0x02c9, 0 },
	{ { 0xa3, 0xbd }, 2, 0x02ca, 0 },
	{ { 0xa3, 0xbe }, 2, 0x02c7, 0 },
	{ { 0xa3, 0xbf }, 2, 0x02cb, 0 },
	{ { 0xa3, 0xe1 }, 2, 0x20ac, 0 },

	{ { 0xa4, 0x40 }, 2, 0x4e00, 0 },
	{ { 0xa4, 0x41 }, 2, 0x4e59, 0 },
	{ { 0xa4, 0x42 }, 2, 0x4e01, 0 },
	{ { 0xa4, 0x43 }, 2, 0x4e03, 0 },
	{ { 0xa4, 0x44 }, 2, 0x4e43, 0 },
	{ { 0xa4, 0x45 }, 2, 0x4e5d, 0 },
	{ { 0xa4, 0x46 }, 2, 0x4e86, 0 },
	{ { 0xa4, 0x47 }, 2, 0x4e8c, 0 },
	{ { 0xa4, 0x48 }, 2, 0x4eba, 0 },
	{ { 0xa4, 0x49 }, 2, 0x513f, 0 },
	{ { 0xa4, 0x4a }, 2, 0x5165, 0 },
	{ { 0xa4, 0x4b }, 2, 0x516b, 0 },
	{ { 0xa4, 0x4c }, 2, 0x51e0, 0 },
	{ { 0xa4, 0x4d }, 2, 0x5200, 0 },
	{ { 0xa4, 0x4e }, 2, 0x5201, 0 },
	{ { 0xa4, 0x4f }, 2, 0x529b, 0 },
	{ { 0xa4, 0x50 }, 2, 0x5315, 0 },
	{ { 0xa4, 0x51 }, 2, 0x5341, UNA_TEST_UNICODE_FLAG_IS_DUPLICATE },
	{ { 0xa4, 0x52 }, 2, 0x535c, 0 },
	{ { 0xa4, 0x53 }, 2, 0x53c8, 0 },
	{ { 0xa4, 0x54 }, 2, 0x4e09, 0 },
	{ { 0xa4, 0x55 }, 2, 0x4e0b, 0 },
	{ { 0xa4, 0x56 }, 2, 0x4e08, 0 },
	{ { 0xa4, 0x57 }, 2, 0x4e0a, 0 },
	{ { 0xa4, 0x58 }, 2, 0x4e2b, 0 },
	{ { 0xa4, 0x59 }, 2, 0x4e38, 0 },
	{ { 0xa4, 0x5a }, 2, 0x51e1, 0 },
	{ { 0xa4, 0x5b }, 2, 0x4e45, 0 },
	{ { 0xa4, 0x5c }, 2, 0x4e48, 0 },
	{ { 0xa4, 0x5d }, 2, 0x4e5f, 0 },
	{ { 0xa4, 0x5e }, 2, 0x4e5e, 0 },
	{ { 0xa4, 0x5f }, 2, 0x4e8e, 0 },
	{ { 0xa4, 0x60 }, 2, 0x4ea1, 0 },
	{ { 0xa4, 0x61 }, 2, 0x5140, 0 },
	{ { 0xa4, 0x62 }, 2, 0x5203, 0 },
	{ { 0xa4, 0x63 }, 2, 0x52fa, 0 },
	{ { 0xa4, 0x64 }, 2, 0x5343, 0 },
	{ { 0xa4, 0x65 }, 2, 0x53c9, 0 },
	{ { 0xa4, 0x66 }, 2, 0x53e3, 0 },
	{ { 0xa4, 0x67 }, 2, 0x571f, 0 },
	{ { 0xa4, 0x68 }, 2, 0x58eb, 0 },
	{ { 0xa4, 0x69 }, 2, 0x5915, 0 },
	{ { 0xa4, 0x6a }, 2, 0x5927, 0 },
	{ { 0xa4, 0x6b }, 2, 0x5973, 0 },
	{ { 0xa4, 0x6c }, 2, 0x5b50, 0 },
	{ { 0xa4, 0x6d }, 2, 0x5b51, 0 },
	{ { 0xa4, 0x6e }, 2, 0x5b53, 0 },
	{ { 0xa4, 0x6f }, 2, 0x5bf8, 0 },
	{ { 0xa4, 0x70 }, 2, 0x5c0f, 0 },
	{ { 0xa4, 0x71 }, 2, 0x5c22, 0 },
	{ { 0xa4, 0x72 }, 2, 0x5c38, 0 },
	{ { 0xa4, 0x73 }, 2, 0x5c71, 0 },
	{ { 0xa4, 0x74 }, 2, 0x5ddd, 0 },
	{ { 0xa4, 0x75 }, 2, 0x5de5, 0 },
	{ { 0xa4, 0x76 }, 2, 0x5df1, 0 },
	{ { 0xa4, 0x77 }, 2, 0x5df2, 0 },
	{ { 0xa4, 0x78 }, 2, 0x5df3, 0 },
	{ { 0xa4, 0x79 }, 2, 0x5dfe, 0 },
	{ { 0xa4, 0x7a }, 2, 0x5e72, 0 },
	{ { 0xa4, 0x7b }, 2, 0x5efe, 0 },
	{ { 0xa4, 0x7c }, 2, 0x5f0b, 0 },
	{ { 0xa4, 0x7d }, 2, 0x5f13, 0 },
	{ { 0xa4, 0x7e }, 2, 0x624d, 0 },
	{ { 0xa4, 0xa1 }, 2, 0x4e11, 0 },
	{ { 0xa4, 0xa2 }, 2, 0x4e10, 0 },
	{ { 0xa4, 0xa3 }, 2, 0x4e0d, 0 },
	{ { 0xa4, 0xa4 }, 2, 0x4e2d, 0 },
	{ { 0xa4, 0xa5 }, 2, 0x4e30, 0 },
	{ { 0xa4, 0xa6 }, 2, 0x4e39, 0 },
	{ { 0xa4, 0xa7 }, 2, 0x4e4b, 0 },
	{ { 0xa4, 0xa8 }, 2, 0x5c39, 0 },
	{ { 0xa4, 0xa9 }, 2, 0x4e88, 0 },
	{ { 0xa4, 0xaa }, 2, 0x4e91, 0 },
	{ { 0xa4, 0xab }, 2, 0x4e95, 0 },
	{ { 0xa4, 0xac }, 2, 0x4e92, 0 },
	{ { 0xa4, 0xad }, 2, 0x4e94, 0 },
	{ { 0xa4, 0xae }, 2, 0x4ea2, 0 },
	{ { 0xa4, 0xaf }, 2, 0x4ec1, 0 },
	{ { 0xa4, 0xb0 }, 2, 0x4ec0, 0 },
	{ { 0xa4, 0xb1 }, 2, 0x4ec3, 0 },
	{ { 0xa4, 0xb2 }, 2, 0x4ec6, 0 },
	{ { 0xa4, 0xb3 }, 2, 0x4ec7, 0 },
	{ { 0xa4, 0xb4 }, 2, 0x4ecd, 0 },
	{ { 0xa4, 0xb5 }, 2, 0x4eca, 0 },
	{ { 0xa4, 0xb6 }, 2, 0x4ecb, 0 },
	{ { 0xa4, 0xb7 }, 2, 0x4ec4, 0 },
	{ { 0xa4, 0xb8 }, 2, 0x5143, 0 },
	{ { 0xa4, 0xb9 }, 2, 0x5141, 0 },
	{ { 0xa4, 0xba }, 2, 0x5167, 0 },
	{ { 0xa4, 0xbb }, 2, 0x516d, 0 },
	{ { 0xa4, 0xbc }, 2, 0x516e, 0 },
	{ { 0xa4, 0xbd }, 2, 0x516c, 0 },
	{ { 0xa4, 0xbe }, 2, 0x5197, 0 },
	{ { 0xa4, 0xbf }, 2, 0x51f6, 0 },
	{ { 0xa4, 0xc0 }, 2, 0x5206, 0 },
	{ { 0xa4, 0xc1 }, 2, 0x5207, 0 },
	{ { 0xa4, 0xc2 }, 2, 0x5208, 0 },
	{ { 0xa4, 0xc3 }, 2, 0x52fb, 0 },
	{ { 0xa4, 0xc4 }, 2, 0x52fe, 0 },
	{ { 0xa4, 0xc5 }, 2, 0x52ff, 0 },
	{ { 0xa4, 0xc6 }, 2, 0x5316, 0 },
	{ { 0xa4, 0xc7 }, 2, 0x5339, 0 },
	{ { 0xa4, 0xc8 }, 2, 0x5348, 0 },
	{ { 0xa4, 0xc9 }, 2, 0x5347, 0 },
	{ { 0xa4, 0xca }, 2, 0x5345, UNA_TEST_UNICODE_FLAG_IS_DUPLICATE },
	{ { 0xa4, 0xcb }, 2, 0x535e, 0 },
	{ { 0xa4, 0xcc }, 2, 0x5384, 0 },
	{ { 0xa4, 0xcd }, 2, 0x53cb, 0 },
	{ { 0xa4, 0xce }, 2, 0x53ca, 0 },
	{ { 0xa4, 0xcf }, 2, 0x53cd, 0 },
	{ { 0xa4, 0xd0 }, 2, 0x58ec, 0 },
	{ { 0xa4, 0xd1 }, 2, 0x5929, 0 },
	{ { 0xa4, 0xd2 }, 2, 0x592b, 0 },
	{ { 0xa4, 0xd3 }, 2, 0x592a, 0 },
	{ { 0xa4, 0xd4 }, 2, 0x592d, 0 },
	{ { 0xa4, 0xd5 }, 2, 0x5b54, 0 },
	{ { 0xa4, 0xd6 }, 2, 0x5c11, 0 },
	{ { 0xa4, 0xd7 }, 2, 0x5c24, 0 },
	{ { 0xa4, 0xd8 }, 2, 0x5c3a, 0 },
	{ { 0xa4, 0xd9 }, 2, 0x5c6f, 0 },
	{ { 0xa4, 0xda }, 2, 0x5df4, 0 },
	{ { 0xa4, 0xdb }, 2, 0x5e7b, 0 },
	{ { 0xa4, 0xdc }, 2, 0x5eff, 0 },
	{ { 0xa4, 0xdd }, 2, 0x5f14, 0 },
	{ { 0xa4, 0xde }, 2, 0x5f15, 0 },
	{ { 0xa4, 0xdf }, 2, 0x5fc3, 0 },
	{ { 0xa4, 0xe0 }, 2, 0x6208, 0 },
	{ { 0xa4, 0xe1 }, 2, 0x6236, 0 },
	{ { 0xa4, 0xe2 }, 2, 0x624b, 0 },
	{ { 0xa4, 0xe3 }, 2, 0x624e, 0 },
	{ { 0xa4, 0xe4 }, 2, 0x652f, 0 },
	{ { 0xa4, 0xe5 }, 2, 0x6587, 0 },
	{ { 0xa4, 0xe6 }, 2, 0x6597, 0 },
	{ { 0xa4, 0xe7 }, 2, 0x65a4, 0 },
	{ { 0xa4, 0xe8 }, 2, 0x65b9, 0 },
	{ { 0xa4, 0xe9 }, 2, 0x65e5, 0 },
	{ { 0xa4, 0xea }, 2, 0x66f0, 0 },
	{ { 0xa4, 0xeb }, 2, 0x6708, 0 },
	{ { 0xa4, 0xec }, 2, 0x6728, 0 },
	{ { 0xa4, 0xed }, 2, 0x6b20, 0 },
	{ { 0xa4, 0xee }, 2, 0x6b62, 0 },
	{ { 0xa4, 0xef }, 2, 0x6b79, 0 },
	{ { 0xa4, 0xf0 }, 2, 0x6bcb, 0 },
	{ { 0xa4, 0xf1 }, 2, 0x6bd4, 0 },
	{ { 0xa4, 0xf2 }, 2, 0x6bdb, 0 },
	{ { 0xa4, 0xf3 }, 2, 0x6c0f, 0 },
	{ { 0xa4, 0xf4 }, 2, 0x6c34, 0 },
	{ { 0xa4, 0xf5 }, 2, 0x706b, 0 },
	{ { 0xa4, 0xf6 }, 2, 0x722a, 0 },
	{ { 0xa4, 0xf7 }, 2, 0x7236, 0 },
	{ { 0xa4, 0xf8 }, 2, 0x723b, 0 },
	{ { 0xa4, 0xf9 }, 2, 0x7247, 0 },
	{ { 0xa4, 0xfa }, 2, 0x7259, 0 },
	{ { 0xa4, 0xfb }, 2, 0x725b, 0 },
	{ { 0xa4, 0xfc }, 2, 0x72ac, 0 },
	{ { 0xa4, 0xfd }, 2, 0x738b, 0 },
	{ { 0xa4, 0xfe }, 2, 0x4e19, 0 },

	{ { 0xa5, 0x40 }, 2, 0x4e16, 0 },
	{ { 0xa5, 0x41 }, 2, 0x4e15, 0 },
	{ { 0xa5, 0x42 }, 2, 0x4e14, 0 },
	{ { 0xa5, 0x43 }, 2, 0x4e18, 0 },
	{ { 0xa5, 0x44 }, 2, 0x4e3b, 0 },
	{ { 0xa5, 0x45 }, 2, 0x4e4d, 0 },
	{ { 0xa5, 0x46 }, 2, 0x4e4f, 0 },
	{ { 0xa5, 0x47 }, 2, 0x4e4e, 0 },
	{ { 0xa5, 0x48 }, 2, 0x4ee5, 0 },
	{ { 0xa5, 0x49 }, 2, 0x4ed8, 0 },
	{ { 0xa5, 0x4a }, 2, 0x4ed4, 0 },
	{ { 0xa5, 0x4b }, 2, 0x4ed5, 0 },
	{ { 0xa5, 0x4c }, 2, 0x4ed6, 0 },
	{ { 0xa5, 0x4d }, 2, 0x4ed7, 0 },
	{ { 0xa5, 0x4e }, 2, 0x4ee3, 0 },
	{ { 0xa5, 0x4f }, 2, 0x4ee4, 0 },
	{ { 0xa5, 0x50 }, 2, 0x4ed9, 0 },
	{ { 0xa5, 0x51 }, 2, 0x4ede, 0 },
	{ { 0xa5, 0x52 }, 2, 0x5145, 0 },
	{ { 0xa5, 0x53 }, 2, 0x5144, 0 },
	{ { 0xa5, 0x54 }, 2, 0x5189, 0 },
	{ { 0xa5, 0x55 }, 2, 0x518a, 0 },
	{ { 0xa5, 0x56 }, 2, 0x51ac, 0 },
	{ { 0xa5, 0x57 }, 2, 0x51f9, 0 },
	{ { 0xa5, 0x58 }, 2, 0x51fa, 0 },
	{ { 0xa5, 0x59 }, 2, 0x51f8, 0 },
	{ { 0xa5, 0x5a }, 2, 0x520a, 0 },
	{ { 0xa5, 0x5b }, 2, 0x52a0, 0 },
	{ { 0xa5, 0x5c }, 2, 0x529f, 0 },
	{ { 0xa5, 0x5d }, 2, 0x5305, 0 },
	{ { 0xa5, 0x5e }, 2, 0x5306, 0 },
	{ { 0xa5, 0x5f }, 2, 0x5317, 0 },
	{ { 0xa5, 0x60 }, 2, 0x531d, 0 },
	{ { 0xa5, 0x61 }, 2, 0x4edf, 0 },
	{ { 0xa5, 0x62 }, 2, 0x534a, 0 },
	{ { 0xa5, 0x63 }, 2, 0x5349, 0 },
	{ { 0xa5, 0x64 }, 2, 0x5361, 0 },
	{ { 0xa5, 0x65 }, 2, 0x5360, 0 },
	{ { 0xa5, 0x66 }, 2, 0x536f, 0 },
	{ { 0xa5, 0x67 }, 2, 0x536e, 0 },
	{ { 0xa5, 0x68 }, 2, 0x53bb, 0 },
	{ { 0xa5, 0x69 }, 2, 0x53ef, 0 },
	{ { 0xa5, 0x6a }, 2, 0x53e4, 0 },
	{ { 0xa5, 0x6b }, 2, 0x53f3, 0 },
	{ { 0xa5, 0x6c }, 2, 0x53ec, 0 },
	{ { 0xa5, 0x6d }, 2, 0x53ee, 0 },
	{ { 0xa5, 0x6e }, 2, 0x53e9, 0 },
	{ { 0xa5, 0x6f }, 2, 0x53e8, 0 },
	{ { 0xa5, 0x70 }, 2, 0x53fc, 0 },
	{ { 0xa5, 0x71 }, 2, 0x53f8, 0 },
	{ { 0xa5, 0x72 }, 2, 0x53f5, 0 },
	{ { 0xa5, 0x73 }, 2, 0x53eb, 0 },
	{ { 0xa5, 0x74 }, 2, 0x53e6, 0 },
	{ { 0xa5, 0x75 }, 2, 0x53ea, 0 },
	{ { 0xa5, 0x76 }, 2, 0x53f2, 0 },
	{ { 0xa5, 0x77 }, 2, 0x53f1, 0 },
	{ { 0xa5, 0x78 }, 2, 0x53f0, 0 },
	{ { 0xa5, 0x79 }, 2, 0x53e5, 0 },
	{ { 0xa5, 0x7a }, 2, 0x53ed, 0 },
	{ { 0xa5, 0x7b }, 2, 0x53fb, 0 },
	{ { 0xa5, 0x7c }, 2, 0x56db, 0 },
	{ { 0xa5, 0x7d }, 2, 0x56da, 0 },
	{ { 0xa5, 0x7e }, 2, 0x5916, 0 },
	{ { 0xa5, 0xa1 }, 2, 0x592e, 0 },
	{ { 0xa5, 0xa2 }, 2, 0x5931, 0 },
	{ { 0xa5, 0xa3 }, 2, 0x5974, 0 },
	{ { 0xa5, 0xa4 }, 2, 0x5976, 0 },
	{ { 0xa5, 0xa5 }, 2, 0x5b55, 0 },
	{ { 0xa5, 0xa6 }, 2, 0x5b83, 0 },
	{ { 0xa5, 0xa7 }, 2, 0x5c3c, 0 },
	{ { 0xa5, 0xa8 }, 2, 0x5de8, 0 },
	{ { 0xa5, 0xa9 }, 2, 0x5de7, 0 },
	{ { 0xa5, 0xaa }, 2, 0x5de6, 0 },
	{ { 0xa5, 0xab }, 2, 0x5e02, 0 },
	{ { 0xa5, 0xac }, 2, 0x5e03, 0 },
	{ { 0xa5, 0xad }, 2, 0x5e73, 0 },
	{ { 0xa5, 0xae }, 2, 0x5e7c, 0 },
	{ { 0xa5, 0xaf }, 2, 0x5f01, 0 },
	{ { 0xa5, 0xb0 }, 2, 0x5f18, 0 },
	{ { 0xa5, 0xb1 }, 2, 0x5f17, 0 },
	{ { 0xa5, 0xb2 }, 2, 0x5fc5, 0 },
	{ { 0xa5, 0xb3 }, 2, 0x620a, 0 },
	{ { 0xa5, 0xb4 }, 2, 0x6253, 0 },
	{ { 0xa5, 0xb5 }, 2, 0x6254, 0 },
	{ { 0xa5, 0xb6 }, 2, 0x6252, 0 },
	{ { 0xa5, 0xb7 }, 2, 0x6251, 0 },
	{ { 0xa5, 0xb8 }, 2, 0x65a5, 0 },
	{ { 0xa5, 0xb9 }, 2, 0x65e6, 0 },
	{ { 0xa5, 0xba }, 2, 0x672e, 0 },
	{ { 0xa5, 0xbb }, 2, 0x672c, 0 },
	{ { 0xa5, 0xbc }, 2, 0x672a, 0 },
	{ { 0xa5, 0xbd }, 2, 0x672b, 0 },
	{ { 0xa5, 0xbe }, 2, 0x672d, 0 },
	{ { 0xa5, 0xbf }, 2, 0x6b63, 0 },
	{ { 0xa5, 0xc0 }, 2, 0x6bcd, 0 },
	{ { 0xa5, 0xc1 }, 2, 0x6c11, 0 },
	{ { 0xa5, 0xc2 }, 2, 0x6c10, 0 },
	{ { 0xa5, 0xc3 }, 2, 0x6c38, 0 },
	{ { 0xa5, 0xc4 }, 2, 0x6c41, 0 },
	{ { 0xa5, 0xc5 }, 2, 0x6c40, 0 },
	{ { 0xa5, 0xc6 }, 2, 0x6c3e, 0 },
	{ { 0xa5, 0xc7 }, 2, 0x72af, 0 },
	{ { 0xa5, 0xc8 }, 2, 0x7384, 0 },
	{ { 0xa5, 0xc9 }, 2, 0x7389, 0 },
	{ { 0xa5, 0xca }, 2, 0x74dc, 0 },
	{ { 0xa5, 0xcb }, 2, 0x74e6, 0 },
	{ { 0xa5, 0xcc }, 2, 0x7518, 0 },
	{ { 0xa5, 0xcd }, 2, 0x751f, 0 },
	{ { 0xa5, 0xce }, 2, 0x7528, 0 },
	{ { 0xa5, 0xcf }, 2, 0x7529, 0 },
	{ { 0xa5, 0xd0 }, 2, 0x7530, 0 },
	{ { 0xa5, 0xd1 }, 2, 0x7531, 0 },
	{ { 0xa5, 0xd2 }, 2, 0x7532, 0 },
	{ { 0xa5, 0xd3 }, 2, 0x7533, 0 },
	{ { 0xa5, 0xd4 }, 2, 0x758b, 0 },
	{ { 0xa5, 0xd5 }, 2, 0x767d, 0 },
	{ { 0xa5, 0xd6 }, 2, 0x76ae, 0 },
	{ { 0xa5, 0xd7 }, 2, 0x76bf, 0 },
	{ { 0xa5, 0xd8 }, 2, 0x76ee, 0 },
	{ { 0xa5, 0xd9 }, 2, 0x77db, 0 },
	{ { 0xa5, 0xda }, 2, 0x77e2, 0 },
	{ { 0xa5, 0xdb }, 2, 0x77f3, 0 },
	{ { 0xa5, 0xdc }, 2, 0x793a, 0 },
	{ { 0xa5, 0xdd }, 2, 0x79be, 0 },
	{ { 0xa5, 0xde }, 2, 0x7a74, 0 },
	{ { 0xa5, 0xdf }, 2, 0x7acb, 0 },
	{ { 0xa5, 0xe0 }, 2, 0x4e1e, 0 },
	{ { 0xa5, 0xe1 }, 2, 0x4e1f, 0 },
	{ { 0xa5, 0xe2 }, 2, 0x4e52, 0 },
	{ { 0xa5, 0xe3 }, 2, 0x4e53, 0 },
	{ { 0xa5, 0xe4 }, 2, 0x4e69, 0 },
	{ { 0xa5, 0xe5 }, 2, 0x4e99, 0 },
	{ { 0xa5, 0xe6 }, 2, 0x4ea4, 0 },
	{ { 0xa5, 0xe7 }, 2, 0x4ea6, 0 },
	{ { 0xa5, 0xe8 }, 2, 0x4ea5, 0 },
	{ { 0xa5, 0xe9 }, 2, 0x4eff, 0 },
	{ { 0xa5, 0xea }, 2, 0x4f09, 0 },
	{ { 0xa5, 0xeb }, 2, 0x4f19, 0 },
	{ { 0xa5, 0xec }, 2, 0x4f0a, 0 },
	{ { 0xa5, 0xed }, 2, 0x4f15, 0 },
	{ { 0xa5, 0xee }, 2, 0x4f0d, 0 },
	{ { 0xa5, 0xef }, 2, 0x4f10, 0 },
	{ { 0xa5, 0xf0 }, 2, 0x4f11, 0 },
	{ { 0xa5, 0xf1 }, 2, 0x4f0f, 0 },
	{ { 0xa5, 0xf2 }, 2, 0x4ef2, 0 },
	{ { 0xa5, 0xf3 }, 2, 0x4ef6, 0 },
	{ { 0xa5, 0xf4 }, 2, 0x4efb, 0 },
	{ { 0xa5, 0xf5 }, 2, 0x4ef0, 0 },
	{ { 0xa5, 0xf6 }, 2, 0x4ef3, 0 },
	{ { 0xa5, 0xf7 }, 2, 0x4efd, 0 },
	{ { 0xa5, 0xf8 }, 2, 0x4f01, 0 },
	{ { 0xa5, 0xf9 }, 2, 0x4f0b, 0 },
	{ { 0xa5, 0xfa }, 2, 0x5149, 0 },
	{ { 0xa5, 0xfb }, 2, 0x5147, 0 },
	{ { 0xa5, 0xfc }, 2, 0x5146, 0 },
	{ { 0xa5, 0xfd }, 2, 0x5148, 0 },
	{ { 0xa5, 0xfe }, 2, 0x5168, 0 },

	{ { 0xa6, 0x40 }, 2, 0x5171, 0 },
	{ { 0xa6, 0x41 }, 2, 0x518d, 0 },
	{ { 0xa6, 0x42 }, 2, 0x51b0, 0 },
	{ { 0xa6, 0x43 }, 2, 0x5217, 0 },
	{ { 0xa6, 0x44 }, 2, 0x5211, 0 },
	{ { 0xa6, 0x45 }, 2, 0x5212, 0 },
	{ { 0xa6, 0x46 }, 2, 0x520e, 0 },
	{ { 0xa6, 0x47 }, 2, 0x5216, 0 },
	{ { 0xa6, 0x48 }, 2, 0x52a3, 0 },
	{ { 0xa6, 0x49 }, 2, 0x5308, 0 },
	{ { 0xa6, 0x4a }, 2, 0x5321, 0 },
	{ { 0xa6, 0x4b }, 2, 0x5320, 0 },
	{ { 0xa6, 0x4c }, 2, 0x5370, 0 },
	{ { 0xa6, 0x4d }, 2, 0x5371, 0 },
	{ { 0xa6, 0x4e }, 2, 0x5409, 0 },
	{ { 0xa6, 0x4f }, 2, 0x540f, 0 },
	{ { 0xa6, 0x50 }, 2, 0x540c, 0 },
	{ { 0xa6, 0x51 }, 2, 0x540a, 0 },
	{ { 0xa6, 0x52 }, 2, 0x5410, 0 },
	{ { 0xa6, 0x53 }, 2, 0x5401, 0 },
	{ { 0xa6, 0x54 }, 2, 0x540b, 0 },
	{ { 0xa6, 0x55 }, 2, 0x5404, 0 },
	{ { 0xa6, 0x56 }, 2, 0x5411, 0 },
	{ { 0xa6, 0x57 }, 2, 0x540d, 0 },
	{ { 0xa6, 0x58 }, 2, 0x5408, 0 },
	{ { 0xa6, 0x59 }, 2, 0x5403, 0 },
	{ { 0xa6, 0x5a }, 2, 0x540e, 0 },
	{ { 0xa6, 0x5b }, 2, 0x5406, 0 },
	{ { 0xa6, 0x5c }, 2, 0x5412, 0 },
	{ { 0xa6, 0x5d }, 2, 0x56e0, 0 },
	{ { 0xa6, 0x5e }, 2, 0x56de, 0 },
	{ { 0xa6, 0x5f }, 2, 0x56dd, 0 },
	{ { 0xa6, 0x60 }, 2, 0x5733, 0 },
	{ { 0xa6, 0x61 }, 2, 0x5730, 0 },
	{ { 0xa6, 0x62 }, 2, 0x5728, 0 },
	{ { 0xa6, 0x63 }, 2, 0x572d, 0 },
	{ { 0xa6, 0x64 }, 2, 0x572c, 0 },
	{ { 0xa6, 0x65 }, 2, 0x572f, 0 },
	{ { 0xa6, 0x66 }, 2, 0x5729, 0 },
	{ { 0xa6, 0x67 }, 2, 0x5919, 0 },
	{ { 0xa6, 0x68 }, 2, 0x591a, 0 },
	{ { 0xa6, 0x69 }, 2, 0x5937, 0 },
	{ { 0xa6, 0x6a }, 2, 0x5938, 0 },
	{ { 0xa6, 0x6b }, 2, 0x5984, 0 },
	{ { 0xa6, 0x6c }, 2, 0x5978, 0 },
	{ { 0xa6, 0x6d }, 2, 0x5983, 0 },
	{ { 0xa6, 0x6e }, 2, 0x597d, 0 },
	{ { 0xa6, 0x6f }, 2, 0x5979, 0 },
	{ { 0xa6, 0x70 }, 2, 0x5982, 0 },
	{ { 0xa6, 0x71 }, 2, 0x5981, 0 },
	{ { 0xa6, 0x72 }, 2, 0x5b57, 0 },
	{ { 0xa6, 0x73 }, 2, 0x5b58, 0 },
	{ { 0xa6, 0x74 }, 2, 0x5b87, 0 },
	{ { 0xa6, 0x75 }, 2, 0x5b88, 0 },
	{ { 0xa6, 0x76 }, 2, 0x5b85, 0 },
	{ { 0xa6, 0x77 }, 2, 0x5b89, 0 },
	{ { 0xa6, 0x78 }, 2, 0x5bfa, 0 },
	{ { 0xa6, 0x79 }, 2, 0x5c16, 0 },
	{ { 0xa6, 0x7a }, 2, 0x5c79, 0 },
	{ { 0xa6, 0x7b }, 2, 0x5dde, 0 },
	{ { 0xa6, 0x7c }, 2, 0x5e06, 0 },
	{ { 0xa6, 0x7d }, 2, 0x5e76, 0 },
	{ { 0xa6, 0x7e }, 2, 0x5e74, 0 },
	{ { 0xa6, 0xa1 }, 2, 0x5f0f, 0 },
	{ { 0xa6, 0xa2 }, 2, 0x5f1b, 0 },
	{ { 0xa6, 0xa3 }, 2, 0x5fd9, 0 },
	{ { 0xa6, 0xa4 }, 2, 0x5fd6, 0 },
	{ { 0xa6, 0xa5 }, 2, 0x620e, 0 },
	{ { 0xa6, 0xa6 }, 2, 0x620c, 0 },
	{ { 0xa6, 0xa7 }, 2, 0x620d, 0 },
	{ { 0xa6, 0xa8 }, 2, 0x6210, 0 },
	{ { 0xa6, 0xa9 }, 2, 0x6263, 0 },
	{ { 0xa6, 0xaa }, 2, 0x625b, 0 },
	{ { 0xa6, 0xab }, 2, 0x6258, 0 },
	{ { 0xa6, 0xac }, 2, 0x6536, 0 },
	{ { 0xa6, 0xad }, 2, 0x65e9, 0 },
	{ { 0xa6, 0xae }, 2, 0x65e8, 0 },
	{ { 0xa6, 0xaf }, 2, 0x65ec, 0 },
	{ { 0xa6, 0xb0 }, 2, 0x65ed, 0 },
	{ { 0xa6, 0xb1 }, 2, 0x66f2, 0 },
	{ { 0xa6, 0xb2 }, 2, 0x66f3, 0 },
	{ { 0xa6, 0xb3 }, 2, 0x6709, 0 },
	{ { 0xa6, 0xb4 }, 2, 0x673d, 0 },
	{ { 0xa6, 0xb5 }, 2, 0x6734, 0 },
	{ { 0xa6, 0xb6 }, 2, 0x6731, 0 },
	{ { 0xa6, 0xb7 }, 2, 0x6735, 0 },
	{ { 0xa6, 0xb8 }, 2, 0x6b21, 0 },
	{ { 0xa6, 0xb9 }, 2, 0x6b64, 0 },
	{ { 0xa6, 0xba }, 2, 0x6b7b, 0 },
	{ { 0xa6, 0xbb }, 2, 0x6c16, 0 },
	{ { 0xa6, 0xbc }, 2, 0x6c5d, 0 },
	{ { 0xa6, 0xbd }, 2, 0x6c57, 0 },
	{ { 0xa6, 0xbe }, 2, 0x6c59, 0 },
	{ { 0xa6, 0xbf }, 2, 0x6c5f, 0 },
	{ { 0xa6, 0xc0 }, 2, 0x6c60, 0 },
	{ { 0xa6, 0xc1 }, 2, 0x6c50, 0 },
	{ { 0xa6, 0xc2 }, 2, 0x6c55, 0 },
	{ { 0xa6, 0xc3 }, 2, 0x6c61, 0 },
	{ { 0xa6, 0xc4 }, 2, 0x6c5b, 0 },
	{ { 0xa6, 0xc5 }, 2, 0x6c4d, 0 },
	{ { 0xa6, 0xc6 }, 2, 0x6c4e, 0 },
	{ { 0xa6, 0xc7 }, 2, 0x7070, 0 },
	{ { 0xa6, 0xc8 }, 2, 0x725f, 0 },
	{ { 0xa6, 0xc9 }, 2, 0x725d, 0 },
	{ { 0xa6, 0xca }, 2, 0x767e, 0 },
	{ { 0xa6, 0xcb }, 2, 0x7af9, 0 },
	{ { 0xa6, 0xcc }, 2, 0x7c73, 0 },
	{ { 0xa6, 0xcd }, 2, 0x7cf8, 0 },
	{ { 0xa6, 0xce }, 2, 0x7f36, 0 },
	{ { 0xa6, 0xcf }, 2, 0x7f8a, 0 },
	{ { 0xa6, 0xd0 }, 2, 0x7fbd, 0 },
	{ { 0xa6, 0xd1 }, 2, 0x8001, 0 },
	{ { 0xa6, 0xd2 }, 2, 0x8003, 0 },
	{ { 0xa6, 0xd3 }, 2, 0x800c, 0 },
	{ { 0xa6, 0xd4 }, 2, 0x8012, 0 },
	{ { 0xa6, 0xd5 }, 2, 0x8033, 0 },
	{ { 0xa6, 0xd6 }, 2, 0x807f, 0 },
	{ { 0xa6, 0xd7 }, 2, 0x8089, 0 },
	{ { 0xa6, 0xd8 }, 2, 0x808b, 0 },
	{ { 0xa6, 0xd9 }, 2, 0x808c, 0 },
	{ { 0xa6, 0xda }, 2, 0x81e3, 0 },
	{ { 0xa6, 0xdb }, 2, 0x81ea, 0 },
	{ { 0xa6, 0xdc }, 2, 0x81f3, 0 },
	{ { 0xa6, 0xdd }, 2, 0x81fc, 0 },
	{ { 0xa6, 0xde }, 2, 0x820c, 0 },
	{ { 0xa6, 0xdf }, 2, 0x821b, 0 },
	{ { 0xa6, 0xe0 }, 2, 0x821f, 0 },
	{ { 0xa6, 0xe1 }, 2, 0x826e, 0 },
	{ { 0xa6, 0xe2 }, 2, 0x8272, 0 },
	{ { 0xa6, 0xe3 }, 2, 0x827e, 0 },
	{ { 0xa6, 0xe4 }, 2, 0x866b, 0 },
	{ { 0xa6, 0xe5 }, 2, 0x8840, 0 },
	{ { 0xa6, 0xe6 }, 2, 0x884c, 0 },
	{ { 0xa6, 0xe7 }, 2, 0x8863, 0 },
	{ { 0xa6, 0xe8 }, 2, 0x897f, 0 },
	{ { 0xa6, 0xe9 }, 2, 0x9621, 0 },
	{ { 0xa6, 0xea }, 2, 0x4e32, 0 },
	{ { 0xa6, 0xeb }, 2, 0x4ea8, 0 },
	{ { 0xa6, 0xec }, 2, 0x4f4d, 0 },
	{ { 0xa6, 0xed }, 2, 0x4f4f, 0 },
	{ { 0xa6, 0xee }, 2, 0x4f47, 0 },
	{ { 0xa6, 0xef }, 2, 0x4f57, 0 },
	{ { 0xa6, 0xf0 }, 2, 0x4f5e, 0 },
	{ { 0xa6, 0xf1 }, 2, 0x4f34, 0 },
	{ { 0xa6, 0xf2 }, 2, 0x4f5b, 0 },
	{ { 0xa6, 0xf3 }, 2, 0x4f55, 0 },
	{ { 0xa6, 0xf4 }, 2, 0x4f30, 0 },
	{ { 0xa6, 0xf5 }, 2, 0x4f50, 0 },
	{ { 0xa6, 0xf6 }, 2, 0x4f51, 0 },
	{ { 0xa6, 0xf7 }, 2, 0x4f3d, 0 },
	{ { 0xa6, 0xf8 }, 2, 0x4f3a, 0 },
	{ { 0xa6, 0xf9 }, 2, 0x4f38, 0 },
	{ { 0xa6, 0xfa }, 2, 0x4f43, 0 },
	{ { 0xa6, 0xfb }, 2, 0x4f54, 0 },
	{ { 0xa6, 0xfc }, 2, 0x4f3c, 0 },
	{ { 0xa6, 0xfd }, 2, 0x4f46, 0 },
	{ { 0xa6, 0xfe }, 2, 0x4f63, 0 },

	{ { 0xa7, 0x40 }, 2, 0x4f5c, 0 },
	{ { 0xa7, 0x41 }, 2, 0x4f60, 0 },
	{ { 0xa7, 0x42 }, 2, 0x4f2f, 0 },
	{ { 0xa7, 0x43 }, 2, 0x4f4e, 0 },
	{ { 0xa7, 0x44 }, 2, 0x4f36, 0 },
	{ { 0xa7, 0x45 }, 2, 0x4f59, 0 },
	{ { 0xa7, 0x46 }, 2, 0x4f5d, 0 },
	{ { 0xa7, 0x47 }, 2, 0x4f48, 0 },
	{ { 0xa7, 0x48 }, 2, 0x4f5a, 0 },
	{ { 0xa7, 0x49 }, 2, 0x514c, 0 },
	{ { 0xa7, 0x4a }, 2, 0x514b, 0 },
	{ { 0xa7, 0x4b }, 2, 0x514d, 0 },
	{ { 0xa7, 0x4c }, 2, 0x5175, 0 },
	{ { 0xa7, 0x4d }, 2, 0x51b6, 0 },
	{ { 0xa7, 0x4e }, 2, 0x51b7, 0 },
	{ { 0xa7, 0x4f }, 2, 0x5225, 0 },
	{ { 0xa7, 0x50 }, 2, 0x5224, 0 },
	{ { 0xa7, 0x51 }, 2, 0x5229, 0 },
	{ { 0xa7, 0x52 }, 2, 0x522a, 0 },
	{ { 0xa7, 0x53 }, 2, 0x5228, 0 },
	{ { 0xa7, 0x54 }, 2, 0x52ab, 0 },
	{ { 0xa7, 0x55 }, 2, 0x52a9, 0 },
	{ { 0xa7, 0x56 }, 2, 0x52aa, 0 },
	{ { 0xa7, 0x57 }, 2, 0x52ac, 0 },
	{ { 0xa7, 0x58 }, 2, 0x5323, 0 },
	{ { 0xa7, 0x59 }, 2, 0x5373, 0 },
	{ { 0xa7, 0x5a }, 2, 0x5375, 0 },
	{ { 0xa7, 0x5b }, 2, 0x541d, 0 },
	{ { 0xa7, 0x5c }, 2, 0x542d, 0 },
	{ { 0xa7, 0x5d }, 2, 0x541e, 0 },
	{ { 0xa7, 0x5e }, 2, 0x543e, 0 },
	{ { 0xa7, 0x5f }, 2, 0x5426, 0 },
	{ { 0xa7, 0x60 }, 2, 0x544e, 0 },
	{ { 0xa7, 0x61 }, 2, 0x5427, 0 },
	{ { 0xa7, 0x62 }, 2, 0x5446, 0 },
	{ { 0xa7, 0x63 }, 2, 0x5443, 0 },
	{ { 0xa7, 0x64 }, 2, 0x5433, 0 },
	{ { 0xa7, 0x65 }, 2, 0x5448, 0 },
	{ { 0xa7, 0x66 }, 2, 0x5442, 0 },
	{ { 0xa7, 0x67 }, 2, 0x541b, 0 },
	{ { 0xa7, 0x68 }, 2, 0x5429, 0 },
	{ { 0xa7, 0x69 }, 2, 0x544a, 0 },
	{ { 0xa7, 0x6a }, 2, 0x5439, 0 },
	{ { 0xa7, 0x6b }, 2, 0x543b, 0 },
	{ { 0xa7, 0x6c }, 2, 0x5438, 0 },
	{ { 0xa7, 0x6d }, 2, 0x542e, 0 },
	{ { 0xa7, 0x6e }, 2, 0x5435, 0 },
	{ { 0xa7, 0x6f }, 2, 0x5436, 0 },
	{ { 0xa7, 0x70 }, 2, 0x5420, 0 },
	{ { 0xa7, 0x71 }, 2, 0x543c, 0 },
	{ { 0xa7, 0x72 }, 2, 0x5440, 0 },
	{ { 0xa7, 0x73 }, 2, 0x5431, 0 },
	{ { 0xa7, 0x74 }, 2, 0x542b, 0 },
	{ { 0xa7, 0x75 }, 2, 0x541f, 0 },
	{ { 0xa7, 0x76 }, 2, 0x542c, 0 },
	{ { 0xa7, 0x77 }, 2, 0x56ea, 0 },
	{ { 0xa7, 0x78 }, 2, 0x56f0, 0 },
	{ { 0xa7, 0x79 }, 2, 0x56e4, 0 },
	{ { 0xa7, 0x7a }, 2, 0x56eb, 0 },
	{ { 0xa7, 0x7b }, 2, 0x574a, 0 },
	{ { 0xa7, 0x7c }, 2, 0x5751, 0 },
	{ { 0xa7, 0x7d }, 2, 0x5740, 0 },
	{ { 0xa7, 0x7e }, 2, 0x574d, 0 },
	{ { 0xa7, 0xa1 }, 2, 0x5747, 0 },
	{ { 0xa7, 0xa2 }, 2, 0x574e, 0 },
	{ { 0xa7, 0xa3 }, 2, 0x573e, 0 },
	{ { 0xa7, 0xa4 }, 2, 0x5750, 0 },
	{ { 0xa7, 0xa5 }, 2, 0x574f, 0 },
	{ { 0xa7, 0xa6 }, 2, 0x573b, 0 },
	{ { 0xa7, 0xa7 }, 2, 0x58ef, 0 },
	{ { 0xa7, 0xa8 }, 2, 0x593e, 0 },
	{ { 0xa7, 0xa9 }, 2, 0x599d, 0 },
	{ { 0xa7, 0xaa }, 2, 0x5992, 0 },
	{ { 0xa7, 0xab }, 2, 0x59a8, 0 },
	{ { 0xa7, 0xac }, 2, 0x599e, 0 },
	{ { 0xa7, 0xad }, 2, 0x59a3, 0 },
	{ { 0xa7, 0xae }, 2, 0x5999, 0 },
	{ { 0xa7, 0xaf }, 2, 0x5996, 0 },
	{ { 0xa7, 0xb0 }, 2, 0x598d, 0 },
	{ { 0xa7, 0xb1 }, 2, 0x59a4, 0 },
	{ { 0xa7, 0xb2 }, 2, 0x5993, 0 },
	{ { 0xa7, 0xb3 }, 2, 0x598a, 0 },
	{ { 0xa7, 0xb4 }, 2, 0x59a5, 0 },
	{ { 0xa7, 0xb5 }, 2, 0x5b5d, 0 },
	{ { 0xa7, 0xb6 }, 2, 0x5b5c, 0 },
	{ { 0xa7, 0xb7 }, 2, 0x5b5a, 0 },
	{ { 0xa7, 0xb8 }, 2, 0x5b5b, 0 },
	{ { 0xa7, 0xb9 }, 2, 0x5b8c, 0 },
	{ { 0xa7, 0xba }, 2, 0x5b8b, 0 },
	{ { 0xa7, 0xbb }, 2, 0x5b8f, 0 },
	{ { 0xa7, 0xbc }, 2, 0x5c2c, 0 },
	{ { 0xa7, 0xbd }, 2, 0x5c40, 0 },
	{ { 0xa7, 0xbe }, 2, 0x5c41, 0 },
	{ { 0xa7, 0xbf }, 2, 0x5c3f, 0 },
	{ { 0xa7, 0xc0 }, 2, 0x5c3e, 0 },
	{ { 0xa7, 0xc1 }, 2, 0x5c90, 0 },
	{ { 0xa7, 0xc2 }, 2, 0x5c91, 0 },
	{ { 0xa7, 0xc3 }, 2, 0x5c94, 0 },
	{ { 0xa7, 0xc4 }, 2, 0x5c8c, 0 },
	{ { 0xa7, 0xc5 }, 2, 0x5deb, 0 },
	{ { 0xa7, 0xc6 }, 2, 0x5e0c, 0 },
	{ { 0xa7, 0xc7 }, 2, 0x5e8f, 0 },
	{ { 0xa7, 0xc8 }, 2, 0x5e87, 0 },
	{ { 0xa7, 0xc9 }, 2, 0x5e8a, 0 },
	{ { 0xa7, 0xca }, 2, 0x5ef7, 0 },
	{ { 0xa7, 0xcb }, 2, 0x5f04, 0 },
	{ { 0xa7, 0xcc }, 2, 0x5f1f, 0 },
	{ { 0xa7, 0xcd }, 2, 0x5f64, 0 },
	{ { 0xa7, 0xce }, 2, 0x5f62, 0 },
	{ { 0xa7, 0xcf }, 2, 0x5f77, 0 },
	{ { 0xa7, 0xd0 }, 2, 0x5f79, 0 },
	{ { 0xa7, 0xd1 }, 2, 0x5fd8, 0 },
	{ { 0xa7, 0xd2 }, 2, 0x5fcc, 0 },
	{ { 0xa7, 0xd3 }, 2, 0x5fd7, 0 },
	{ { 0xa7, 0xd4 }, 2, 0x5fcd, 0 },
	{ { 0xa7, 0xd5 }, 2, 0x5ff1, 0 },
	{ { 0xa7, 0xd6 }, 2, 0x5feb, 0 },
	{ { 0xa7, 0xd7 }, 2, 0x5ff8, 0 },
	{ { 0xa7, 0xd8 }, 2, 0x5fea, 0 },
	{ { 0xa7, 0xd9 }, 2, 0x6212, 0 },
	{ { 0xa7, 0xda }, 2, 0x6211, 0 },
	{ { 0xa7, 0xdb }, 2, 0x6284, 0 },
	{ { 0xa7, 0xdc }, 2, 0x6297, 0 },
	{ { 0xa7, 0xdd }, 2, 0x6296, 0 },
	{ { 0xa7, 0xde }, 2, 0x6280, 0 },
	{ { 0xa7, 0xdf }, 2, 0x6276, 0 },
	{ { 0xa7, 0xe0 }, 2, 0x6289, 0 },
	{ { 0xa7, 0xe1 }, 2, 0x626d, 0 },
	{ { 0xa7, 0xe2 }, 2, 0x628a, 0 },
	{ { 0xa7, 0xe3 }, 2, 0x627c, 0 },
	{ { 0xa7, 0xe4 }, 2, 0x627e, 0 },
	{ { 0xa7, 0xe5 }, 2, 0x6279, 0 },
	{ { 0xa7, 0xe6 }, 2, 0x6273, 0 },
	{ { 0xa7, 0xe7 }, 2, 0x6292, 0 },
	{ { 0xa7, 0xe8 }, 2, 0x626f, 0 },
	{ { 0xa7, 0xe9 }, 2, 0x6298, 0 },
	{ { 0xa7, 0xea }, 2, 0x626e, 0 },
	{ { 0xa7, 0xeb }, 2, 0x6295, 0 },
	{ { 0xa7, 0xec }, 2, 0x6293, 0 },
	{ { 0xa7, 0xed }, 2, 0x6291, 0 },
	{ { 0xa7, 0xee }, 2, 0x6286, 0 },
	{ { 0xa7, 0xef }, 2, 0x6539, 0 },
	{ { 0xa7, 0xf0 }, 2, 0x653b, 0 },
	{ { 0xa7, 0xf1 }, 2, 0x6538, 0 },
	{ { 0xa7, 0xf2 }, 2, 0x65f1, 0 },
	{ { 0xa7, 0xf3 }, 2, 0x66f4, 0 },
	{ { 0xa7, 0xf4 }, 2, 0x675f, 0 },
	{ { 0xa7, 0xf5 }, 2, 0x674e, 0 },
	{ { 0xa7, 0xf6 }, 2, 0x674f, 0 },
	{ { 0xa7, 0xf7 }, 2, 0x6750, 0 },
	{ { 0xa7, 0xf8 }, 2, 0x6751, 0 },
	{ { 0xa7, 0xf9 }, 2, 0x675c, 0 },
	{ { 0xa7, 0xfa }, 2, 0x6756, 0 },
	{ { 0xa7, 0xfb }, 2, 0x675e, 0 },
	{ { 0xa7, 0xfc }, 2, 0x6749, 0 },
	{ { 0xa7, 0xfd }, 2, 0x6746, 0 },
	{ { 0xa7, 0xfe }, 2, 0x6760, 0 },

	{ { 0xa8, 0x40 }, 2, 0x6753, 0 },
	{ { 0xa8, 0x41 }, 2, 0x6757, 0 },
	{ { 0xa8, 0x42 }, 2, 0x6b65, 0 },
	{ { 0xa8, 0x43 }, 2, 0x6bcf, 0 },
	{ { 0xa8, 0x44 }, 2, 0x6c42, 0 },
	{ { 0xa8, 0x45 }, 2, 0x6c5e, 0 },
	{ { 0xa8, 0x46 }, 2, 0x6c99, 0 },
	{ { 0xa8, 0x47 }, 2, 0x6c81, 0 },
	{ { 0xa8, 0x48 }, 2, 0x6c88, 0 },
	{ { 0xa8, 0x49 }, 2, 0x6c89, 0 },
	{ { 0xa8, 0x4a }, 2, 0x6c85, 0 },
	{ { 0xa8, 0x4b }, 2, 0x6c9b, 0 },
	{ { 0xa8, 0x4c }, 2, 0x6c6a, 0 },
	{ { 0xa8, 0x4d }, 2, 0x6c7a, 0 },
	{ { 0xa8, 0x4e }, 2, 0x6c90, 0 },
	{ { 0xa8, 0x4f }, 2, 0x6c70, 0 },
	{ { 0xa8, 0x50 }, 2, 0x6c8c, 0 },
	{ { 0xa8, 0x51 }, 2, 0x6c68, 0 },
	{ { 0xa8, 0x52 }, 2, 0x6c96, 0 },
	{ { 0xa8, 0x53 }, 2, 0x6c92, 0 },
	{ { 0xa8, 0x54 }, 2, 0x6c7d, 0 },
	{ { 0xa8, 0x55 }, 2, 0x6c83, 0 },
	{ { 0xa8, 0x56 }, 2, 0x6c72, 0 },
	{ { 0xa8, 0x57 }, 2, 0x6c7e, 0 },
	{ { 0xa8, 0x58 }, 2, 0x6c74, 0 },
	{ { 0xa8, 0x59 }, 2, 0x6c86, 0 },
	{ { 0xa8, 0x5a }, 2, 0x6c76, 0 },
	{ { 0xa8, 0x5b }, 2, 0x6c8d, 0 },
	{ { 0xa8, 0x5c }, 2, 0x6c94, 0 },
	{ { 0xa8, 0x5d }, 2, 0x6c98, 0 },
	{ { 0xa8, 0x5e }, 2, 0x6c82, 0 },
	{ { 0xa8, 0x5f }, 2, 0x7076, 0 },
	{ { 0xa8, 0x60 }, 2, 0x707c, 0 },
	{ { 0xa8, 0x61 }, 2, 0x707d, 0 },
	{ { 0xa8, 0x62 }, 2, 0x7078, 0 },
	{ { 0xa8, 0x63 }, 2, 0x7262, 0 },
	{ { 0xa8, 0x64 }, 2, 0x7261, 0 },
	{ { 0xa8, 0x65 }, 2, 0x7260, 0 },
	{ { 0xa8, 0x66 }, 2, 0x72c4, 0 },
	{ { 0xa8, 0x67 }, 2, 0x72c2, 0 },
	{ { 0xa8, 0x68 }, 2, 0x7396, 0 },
	{ { 0xa8, 0x69 }, 2, 0x752c, 0 },
	{ { 0xa8, 0x6a }, 2, 0x752b, 0 },
	{ { 0xa8, 0x6b }, 2, 0x7537, 0 },
	{ { 0xa8, 0x6c }, 2, 0x7538, 0 },
	{ { 0xa8, 0x6d }, 2, 0x7682, 0 },
	{ { 0xa8, 0x6e }, 2, 0x76ef, 0 },
	{ { 0xa8, 0x6f }, 2, 0x77e3, 0 },
	{ { 0xa8, 0x70 }, 2, 0x79c1, 0 },
	{ { 0xa8, 0x71 }, 2, 0x79c0, 0 },
	{ { 0xa8, 0x72 }, 2, 0x79bf, 0 },
	{ { 0xa8, 0x73 }, 2, 0x7a76, 0 },
	{ { 0xa8, 0x74 }, 2, 0x7cfb, 0 },
	{ { 0xa8, 0x75 }, 2, 0x7f55, 0 },
	{ { 0xa8, 0x76 }, 2, 0x8096, 0 },
	{ { 0xa8, 0x77 }, 2, 0x8093, 0 },
	{ { 0xa8, 0x78 }, 2, 0x809d, 0 },
	{ { 0xa8, 0x79 }, 2, 0x8098, 0 },
	{ { 0xa8, 0x7a }, 2, 0x809b, 0 },
	{ { 0xa8, 0x7b }, 2, 0x809a, 0 },
	{ { 0xa8, 0x7c }, 2, 0x80b2, 0 },
	{ { 0xa8, 0x7d }, 2, 0x826f, 0 },
	{ { 0xa8, 0x7e }, 2, 0x8292, 0 },
	{ { 0xa8, 0xa1 }, 2, 0x828b, 0 },
	{ { 0xa8, 0xa2 }, 2, 0x828d, 0 },
	{ { 0xa8, 0xa3 }, 2, 0x898b, 0 },
	{ { 0xa8, 0xa4 }, 2, 0x89d2, 0 },
	{ { 0xa8, 0xa5 }, 2, 0x8a00, 0 },
	{ { 0xa8, 0xa6 }, 2, 0x8c37, 0 },
	{ { 0xa8, 0xa7 }, 2, 0x8c46, 0 },
	{ { 0xa8, 0xa8 }, 2, 0x8c55, 0 },
	{ { 0xa8, 0xa9 }, 2, 0x8c9d, 0 },
	{ { 0xa8, 0xaa }, 2, 0x8d64, 0 },
	{ { 0xa8, 0xab }, 2, 0x8d70, 0 },
	{ { 0xa8, 0xac }, 2, 0x8db3, 0 },
	{ { 0xa8, 0xad }, 2, 0x8eab, 0 },
	{ { 0xa8, 0xae }, 2, 0x8eca, 0 },
	{ { 0xa8, 0xaf }, 2, 0x8f9b, 0 },
	{ { 0xa8, 0xb0 }, 2, 0x8fb0, 0 },
	{ { 0xa8, 0xb1 }, 2, 0x8fc2, 0 },
	{ { 0xa8, 0xb2 }, 2, 0x8fc6, 0 },
	{ { 0xa8, 0xb3 }, 2, 0x8fc5, 0 },
	{ { 0xa8, 0xb4 }, 2, 0x8fc4, 0 },
	{ { 0xa8, 0xb5 }, 2, 0x5de1, 0 },
	{ { 0xa8, 0xb6 }, 2, 0x9091, 0 },
	{ { 0xa8, 0xb7 }, 2, 0x90a2, 0 },
	{ { 0xa8, 0xb8 }, 2, 0x90aa, 0 },
	{ { 0xa8, 0xb9 }, 2, 0x90a6, 0 },
	{ { 0xa8, 0xba }, 2, 0x90a3, 0 },
	{ { 0xa8, 0xbb }, 2, 0x9149, 0 },
	{ { 0xa8, 0xbc }, 2, 0x91c6, 0 },
	{ { 0xa8, 0xbd }, 2, 0x91cc, 0 },
	{ { 0xa8, 0xbe }, 2, 0x9632, 0 },
	{ { 0xa8, 0xbf }, 2, 0x962e, 0 },
	{ { 0xa8, 0xc0 }, 2, 0x9631, 0 },
	{ { 0xa8, 0xc1 }, 2, 0x962a, 0 },
	{ { 0xa8, 0xc2 }, 2, 0x962c, 0 },
	{ { 0xa8, 0xc3 }, 2, 0x4e26, 0 },
	{ { 0xa8, 0xc4 }, 2, 0x4e56, 0 },
	{ { 0xa8, 0xc5 }, 2, 0x4e73, 0 },
	{ { 0xa8, 0xc6 }, 2, 0x4e8b, 0 },
	{ { 0xa8, 0xc7 }, 2, 0x4e9b, 0 },
	{ { 0xa8, 0xc8 }, 2, 0x4e9e, 0 },
	{ { 0xa8, 0xc9 }, 2, 0x4eab, 0 },
	{ { 0xa8, 0xca }, 2, 0x4eac, 0 },
	{ { 0xa8, 0xcb }, 2, 0x4f6f, 0 },
	{ { 0xa8, 0xcc }, 2, 0x4f9d, 0 },
	{ { 0xa8, 0xcd }, 2, 0x4f8d, 0 },
	{ { 0xa8, 0xce }, 2, 0x4f73, 0 },
	{ { 0xa8, 0xcf }, 2, 0x4f7f, 0 },
	{ { 0xa8, 0xd0 }, 2, 0x4f6c, 0 },
	{ { 0xa8, 0xd1 }, 2, 0x4f9b, 0 },
	{ { 0xa8, 0xd2 }, 2, 0x4f8b, 0 },
	{ { 0xa8, 0xd3 }, 2, 0x4f86, 0 },
	{ { 0xa8, 0xd4 }, 2, 0x4f83, 0 },
	{ { 0xa8, 0xd5 }, 2, 0x4f70, 0 },
	{ { 0xa8, 0xd6 }, 2, 0x4f75, 0 },
	{ { 0xa8, 0xd7 }, 2, 0x4f88, 0 },
	{ { 0xa8, 0xd8 }, 2, 0x4f69, 0 },
	{ { 0xa8, 0xd9 }, 2, 0x4f7b, 0 },
	{ { 0xa8, 0xda }, 2, 0x4f96, 0 },
	{ { 0xa8, 0xdb }, 2, 0x4f7e, 0 },
	{ { 0xa8, 0xdc }, 2, 0x4f8f, 0 },
	{ { 0xa8, 0xdd }, 2, 0x4f91, 0 },
	{ { 0xa8, 0xde }, 2, 0x4f7a, 0 },
	{ { 0xa8, 0xdf }, 2, 0x5154, 0 },
	{ { 0xa8, 0xe0 }, 2, 0x5152, 0 },
	{ { 0xa8, 0xe1 }, 2, 0x5155, 0 },
	{ { 0xa8, 0xe2 }, 2, 0x5169, 0 },
	{ { 0xa8, 0xe3 }, 2, 0x5177, 0 },
	{ { 0xa8, 0xe4 }, 2, 0x5176, 0 },
	{ { 0xa8, 0xe5 }, 2, 0x5178, 0 },
	{ { 0xa8, 0xe6 }, 2, 0x51bd, 0 },
	{ { 0xa8, 0xe7 }, 2, 0x51fd, 0 },
	{ { 0xa8, 0xe8 }, 2, 0x523b, 0 },
	{ { 0xa8, 0xe9 }, 2, 0x5238, 0 },
	{ { 0xa8, 0xea }, 2, 0x5237, 0 },
	{ { 0xa8, 0xeb }, 2, 0x523a, 0 },
	{ { 0xa8, 0xec }, 2, 0x5230, 0 },
	{ { 0xa8, 0xed }, 2, 0x522e, 0 },
	{ { 0xa8, 0xee }, 2, 0x5236, 0 },
	{ { 0xa8, 0xef }, 2, 0x5241, 0 },
	{ { 0xa8, 0xf0 }, 2, 0x52be, 0 },
	{ { 0xa8, 0xf1 }, 2, 0x52bb, 0 },
	{ { 0xa8, 0xf2 }, 2, 0x5352, 0 },
	{ { 0xa8, 0xf3 }, 2, 0x5354, 0 },
	{ { 0xa8, 0xf4 }, 2, 0x5353, 0 },
	{ { 0xa8, 0xf5 }, 2, 0x5351, 0 },
	{ { 0xa8, 0xf6 }, 2, 0x5366, 0 },
	{ { 0xa8, 0xf7 }, 2, 0x5377, 0 },
	{ { 0xa8, 0xf8 }, 2, 0x5378, 0 },
	{ { 0xa8, 0xf9 }, 2, 0x5379, 0 },
	{ { 0xa8, 0xfa }, 2, 0x53d6, 0 },
	{ { 0xa8, 0xfb }, 2, 0x53d4, 0 },
	{ { 0xa8, 0xfc }, 2, 0x53d7, 0 },
	{ { 0xa8, 0xfd }, 2, 0x5473, 0 },
	{ { 0xa8, 0xfe }, 2, 0x5475, 0 },

	{ { 0xa9, 0x40 }, 2, 0x5496, 0 },
	{ { 0xa9, 0x41 }, 2, 0x5478, 0 },
	{ { 0xa9, 0x42 }, 2, 0x5495, 0 },
	{ { 0xa9, 0x43 }, 2, 0x5480, 0 },
	{ { 0xa9, 0x44 }, 2, 0x547b, 0 },
	{ { 0xa9, 0x45 }, 2, 0x5477, 0 },
	{ { 0xa9, 0x46 }, 2, 0x5484, 0 },
	{ { 0xa9, 0x47 }, 2, 0x5492, 0 },
	{ { 0xa9, 0x48 }, 2, 0x5486, 0 },
	{ { 0xa9, 0x49 }, 2, 0x547c, 0 },
	{ { 0xa9, 0x4a }, 2, 0x5490, 0 },
	{ { 0xa9, 0x4b }, 2, 0x5471, 0 },
	{ { 0xa9, 0x4c }, 2, 0x5476, 0 },
	{ { 0xa9, 0x4d }, 2, 0x548c, 0 },
	{ { 0xa9, 0x4e }, 2, 0x549a, 0 },
	{ { 0xa9, 0x4f }, 2, 0x5462, 0 },
	{ { 0xa9, 0x50 }, 2, 0x5468, 0 },
	{ { 0xa9, 0x51 }, 2, 0x548b, 0 },
	{ { 0xa9, 0x52 }, 2, 0x547d, 0 },
	{ { 0xa9, 0x53 }, 2, 0x548e, 0 },
	{ { 0xa9, 0x54 }, 2, 0x56fa, 0 },
	{ { 0xa9, 0x55 }, 2, 0x5783, 0 },
	{ { 0xa9, 0x56 }, 2, 0x5777, 0 },
	{ { 0xa9, 0x57 }, 2, 0x576a, 0 },
	{ { 0xa9, 0x58 }, 2, 0x5769, 0 },
	{ { 0xa9, 0x59 }, 2, 0x5761, 0 },
	{ { 0xa9, 0x5a }, 2, 0x5766, 0 },
	{ { 0xa9, 0x5b }, 2, 0x5764, 0 },
	{ { 0xa9, 0x5c }, 2, 0x577c, 0 },
	{ { 0xa9, 0x5d }, 2, 0x591c, 0 },
	{ { 0xa9, 0x5e }, 2, 0x5949, 0 },
	{ { 0xa9, 0x5f }, 2, 0x5947, 0 },
	{ { 0xa9, 0x60 }, 2, 0x5948, 0 },
	{ { 0xa9, 0x61 }, 2, 0x5944, 0 },
	{ { 0xa9, 0x62 }, 2, 0x5954, 0 },
	{ { 0xa9, 0x63 }, 2, 0x59be, 0 },
	{ { 0xa9, 0x64 }, 2, 0x59bb, 0 },
	{ { 0xa9, 0x65 }, 2, 0x59d4, 0 },
	{ { 0xa9, 0x66 }, 2, 0x59b9, 0 },
	{ { 0xa9, 0x67 }, 2, 0x59ae, 0 },
	{ { 0xa9, 0x68 }, 2, 0x59d1, 0 },
	{ { 0xa9, 0x69 }, 2, 0x59c6, 0 },
	{ { 0xa9, 0x6a }, 2, 0x59d0, 0 },
	{ { 0xa9, 0x6b }, 2, 0x59cd, 0 },
	{ { 0xa9, 0x6c }, 2, 0x59cb, 0 },
	{ { 0xa9, 0x6d }, 2, 0x59d3, 0 },
	{ { 0xa9, 0x6e }, 2, 0x59ca, 0 },
	{ { 0xa9, 0x6f }, 2, 0x59af, 0 },
	{ { 0xa9, 0x70 }, 2, 0x59b3, 0 },
	{ { 0xa9, 0x71 }, 2, 0x59d2, 0 },
	{ { 0xa9, 0x72 }, 2, 0x59c5, 0 },
	{ { 0xa9, 0x73 }, 2, 0x5b5f, 0 },
	{ { 0xa9, 0x74 }, 2, 0x5b64, 0 },
	{ { 0xa9, 0x75 }, 2, 0x5b63, 0 },
	{ { 0xa9, 0x76 }, 2, 0x5b97, 0 },
	{ { 0xa9, 0x77 }, 2, 0x5b9a, 0 },
	{ { 0xa9, 0x78 }, 2, 0x5b98, 0 },
	{ { 0xa9, 0x79 }, 2, 0x5b9c, 0 },
	{ { 0xa9, 0x7a }, 2, 0x5b99, 0 },
	{ { 0xa9, 0x7b }, 2, 0x5b9b, 0 },
	{ { 0xa9, 0x7c }, 2, 0x5c1a, 0 },
	{ { 0xa9, 0x7d }, 2, 0x5c48, 0 },
	{ { 0xa9, 0x7e }, 2, 0x5c45, 0 },
	{ { 0xa9, 0xa1 }, 2, 0x5c46, 0 },
	{ { 0xa9, 0xa2 }, 2, 0x5cb7, 0 },
	{ { 0xa9, 0xa3 }, 2, 0x5ca1, 0 },
	{ { 0xa9, 0xa4 }, 2, 0x5cb8, 0 },
	{ { 0xa9, 0xa5 }, 2, 0x5ca9, 0 },
	{ { 0xa9, 0xa6 }, 2, 0x5cab, 0 },
	{ { 0xa9, 0xa7 }, 2, 0x5cb1, 0 },
	{ { 0xa9, 0xa8 }, 2, 0x5cb3, 0 },
	{ { 0xa9, 0xa9 }, 2, 0x5e18, 0 },
	{ { 0xa9, 0xaa }, 2, 0x5e1a, 0 },
	{ { 0xa9, 0xab }, 2, 0x5e16, 0 },
	{ { 0xa9, 0xac }, 2, 0x5e15, 0 },
	{ { 0xa9, 0xad }, 2, 0x5e1b, 0 },
	{ { 0xa9, 0xae }, 2, 0x5e11, 0 },
	{ { 0xa9, 0xaf }, 2, 0x5e78, 0 },
	{ { 0xa9, 0xb0 }, 2, 0x5e9a, 0 },
	{ { 0xa9, 0xb1 }, 2, 0x5e97, 0 },
	{ { 0xa9, 0xb2 }, 2, 0x5e9c, 0 },
	{ { 0xa9, 0xb3 }, 2, 0x5e95, 0 },
	{ { 0xa9, 0xb4 }, 2, 0x5e96, 0 },
	{ { 0xa9, 0xb5 }, 2, 0x5ef6, 0 },
	{ { 0xa9, 0xb6 }, 2, 0x5f26, 0 },
	{ { 0xa9, 0xb7 }, 2, 0x5f27, 0 },
	{ { 0xa9, 0xb8 }, 2, 0x5f29, 0 },
	{ { 0xa9, 0xb9 }, 2, 0x5f80, 0 },
	{ { 0xa9, 0xba }, 2, 0x5f81, 0 },
	{ { 0xa9, 0xbb }, 2, 0x5f7f, 0 },
	{ { 0xa9, 0xbc }, 2, 0x5f7c, 0 },
	{ { 0xa9, 0xbd }, 2, 0x5fdd, 0 },
	{ { 0xa9, 0xbe }, 2, 0x5fe0, 0 },
	{ { 0xa9, 0xbf }, 2, 0x5ffd, 0 },
	{ { 0xa9, 0xc0 }, 2, 0x5ff5, 0 },
	{ { 0xa9, 0xc1 }, 2, 0x5fff, 0 },
	{ { 0xa9, 0xc2 }, 2, 0x600f, 0 },
	{ { 0xa9, 0xc3 }, 2, 0x6014, 0 },
	{ { 0xa9, 0xc4 }, 2, 0x602f, 0 },
	{ { 0xa9, 0xc5 }, 2, 0x6035, 0 },
	{ { 0xa9, 0xc6 }, 2, 0x6016, 0 },
	{ { 0xa9, 0xc7 }, 2, 0x602a, 0 },
	{ { 0xa9, 0xc8 }, 2, 0x6015, 0 },
	{ { 0xa9, 0xc9 }, 2, 0x6021, 0 },
	{ { 0xa9, 0xca }, 2, 0x6027, 0 },
	{ { 0xa9, 0xcb }, 2, 0x6029, 0 },
	{ { 0xa9, 0xcc }, 2, 0x602b, 0 },
	{ { 0xa9, 0xcd }, 2, 0x601b, 0 },
	{ { 0xa9, 0xce }, 2, 0x6216, 0 },
	{ { 0xa9, 0xcf }, 2, 0x6215, 0 },
	{ { 0xa9, 0xd0 }, 2, 0x623f, 0 },
	{ { 0xa9, 0xd1 }, 2, 0x623e, 0 },
	{ { 0xa9, 0xd2 }, 2, 0x6240, 0 },
	{ { 0xa9, 0xd3 }, 2, 0x627f, 0 },
	{ { 0xa9, 0xd4 }, 2, 0x62c9, 0 },
	{ { 0xa9, 0xd5 }, 2, 0x62cc, 0 },
	{ { 0xa9, 0xd6 }, 2, 0x62c4, 0 },
	{ { 0xa9, 0xd7 }, 2, 0x62bf, 0 },
	{ { 0xa9, 0xd8 }, 2, 0x62c2, 0 },
	{ { 0xa9, 0xd9 }, 2, 0x62b9, 0 },
	{ { 0xa9, 0xda }, 2, 0x62d2, 0 },
	{ { 0xa9, 0xdb }, 2, 0x62db, 0 },
	{ { 0xa9, 0xdc }, 2, 0x62ab, 0 },
	{ { 0xa9, 0xdd }, 2, 0x62d3, 0 },
	{ { 0xa9, 0xde }, 2, 0x62d4, 0 },
	{ { 0xa9, 0xdf }, 2, 0x62cb, 0 },
	{ { 0xa9, 0xe0 }, 2, 0x62c8, 0 },
	{ { 0xa9, 0xe1 }, 2, 0x62a8, 0 },
	{ { 0xa9, 0xe2 }, 2, 0x62bd, 0 },
	{ { 0xa9, 0xe3 }, 2, 0x62bc, 0 },
	{ { 0xa9, 0xe4 }, 2, 0x62d0, 0 },
	{ { 0xa9, 0xe5 }, 2, 0x62d9, 0 },
	{ { 0xa9, 0xe6 }, 2, 0x62c7, 0 },
	{ { 0xa9, 0xe7 }, 2, 0x62cd, 0 },
	{ { 0xa9, 0xe8 }, 2, 0x62b5, 0 },
	{ { 0xa9, 0xe9 }, 2, 0x62da, 0 },
	{ { 0xa9, 0xea }, 2, 0x62b1, 0 },
	{ { 0xa9, 0xeb }, 2, 0x62d8, 0 },
	{ { 0xa9, 0xec }, 2, 0x62d6, 0 },
	{ { 0xa9, 0xed }, 2, 0x62d7, 0 },
	{ { 0xa9, 0xee }, 2, 0x62c6, 0 },
	{ { 0xa9, 0xef }, 2, 0x62ac, 0 },
	{ { 0xa9, 0xf0 }, 2, 0x62ce, 0 },
	{ { 0xa9, 0xf1 }, 2, 0x653e, 0 },
	{ { 0xa9, 0xf2 }, 2, 0x65a7, 0 },
	{ { 0xa9, 0xf3 }, 2, 0x65bc, 0 },
	{ { 0xa9, 0xf4 }, 2, 0x65fa, 0 },
	{ { 0xa9, 0xf5 }, 2, 0x6614, 0 },
	{ { 0xa9, 0xf6 }, 2, 0x6613, 0 },
	{ { 0xa9, 0xf7 }, 2, 0x660c, 0 },
	{ { 0xa9, 0xf8 }, 2, 0x6606, 0 },
	{ { 0xa9, 0xf9 }, 2, 0x6602, 0 },
	{ { 0xa9, 0xfa }, 2, 0x660e, 0 },
	{ { 0xa9, 0xfb }, 2, 0x6600, 0 },
	{ { 0xa9, 0xfc }, 2, 0x660f, 0 },
	{ { 0xa9, 0xfd }, 2, 0x6615, 0 },
	{ { 0xa9, 0xfe }, 2, 0x660a, 0 },

	{ { 0xaa, 0x40 }, 2, 0x6607, 0 },
	{ { 0xaa, 0x41 }, 2, 0x670d, 0 },
	{ { 0xaa, 0x42 }, 2, 0x670b, 0 },
	{ { 0xaa, 0x43 }, 2, 0x676d, 0 },
	{ { 0xaa, 0x44 }, 2, 0x678b, 0 },
	{ { 0xaa, 0x45 }, 2, 0x6795, 0 },
	{ { 0xaa, 0x46 }, 2, 0x6771, 0 },
	{ { 0xaa, 0x47 }, 2, 0x679c, 0 },
	{ { 0xaa, 0x48 }, 2, 0x6773, 0 },
	{ { 0xaa, 0x49 }, 2, 0x6777, 0 },
	{ { 0xaa, 0x4a }, 2, 0x6787, 0 },
	{ { 0xaa, 0x4b }, 2, 0x679d, 0 },
	{ { 0xaa, 0x4c }, 2, 0x6797, 0 },
	{ { 0xaa, 0x4d }, 2, 0x676f, 0 },
	{ { 0xaa, 0x4e }, 2, 0x6770, 0 },
	{ { 0xaa, 0x4f }, 2, 0x677f, 0 },
	{ { 0xaa, 0x50 }, 2, 0x6789, 0 },
	{ { 0xaa, 0x51 }, 2, 0x677e, 0 },
	{ { 0xaa, 0x52 }, 2, 0x6790, 0 },
	{ { 0xaa, 0x53 }, 2, 0x6775, 0 },
	{ { 0xaa, 0x54 }, 2, 0x679a, 0 },
	{ { 0xaa, 0x55 }, 2, 0x6793, 0 },
	{ { 0xaa, 0x56 }, 2, 0x677c, 0 },
	{ { 0xaa, 0x57 }, 2, 0x676a, 0 },
	{ { 0xaa, 0x58 }, 2, 0x6772, 0 },
	{ { 0xaa, 0x59 }, 2, 0x6b23, 0 },
	{ { 0xaa, 0x5a }, 2, 0x6b66, 0 },
	{ { 0xaa, 0x5b }, 2, 0x6b67, 0 },
	{ { 0xaa, 0x5c }, 2, 0x6b7f, 0 },
	{ { 0xaa, 0x5d }, 2, 0x6c13, 0 },
	{ { 0xaa, 0x5e }, 2, 0x6c1b, 0 },
	{ { 0xaa, 0x5f }, 2, 0x6ce3, 0 },
	{ { 0xaa, 0x60 }, 2, 0x6ce8, 0 },
	{ { 0xaa, 0x61 }, 2, 0x6cf3, 0 },
	{ { 0xaa, 0x62 }, 2, 0x6cb1, 0 },
	{ { 0xaa, 0x63 }, 2, 0x6ccc, 0 },
	{ { 0xaa, 0x64 }, 2, 0x6ce5, 0 },
	{ { 0xaa, 0x65 }, 2, 0x6cb3, 0 },
	{ { 0xaa, 0x66 }, 2, 0x6cbd, 0 },
	{ { 0xaa, 0x67 }, 2, 0x6cbe, 0 },
	{ { 0xaa, 0x68 }, 2, 0x6cbc, 0 },
	{ { 0xaa, 0x69 }, 2, 0x6ce2, 0 },
	{ { 0xaa, 0x6a }, 2, 0x6cab, 0 },
	{ { 0xaa, 0x6b }, 2, 0x6cd5, 0 },
	{ { 0xaa, 0x6c }, 2, 0x6cd3, 0 },
	{ { 0xaa, 0x6d }, 2, 0x6cb8, 0 },
	{ { 0xaa, 0x6e }, 2, 0x6cc4, 0 },
	{ { 0xaa, 0x6f }, 2, 0x6cb9, 0 },
	{ { 0xaa, 0x70 }, 2, 0x6cc1, 0 },
	{ { 0xaa, 0x71 }, 2, 0x6cae, 0 },
	{ { 0xaa, 0x72 }, 2, 0x6cd7, 0 },
	{ { 0xaa, 0x73 }, 2, 0x6cc5, 0 },
	{ { 0xaa, 0x74 }, 2, 0x6cf1, 0 },
	{ { 0xaa, 0x75 }, 2, 0x6cbf, 0 },
	{ { 0xaa, 0x76 }, 2, 0x6cbb, 0 },
	{ { 0xaa, 0x77 }, 2, 0x6ce1, 0 },
	{ { 0xaa, 0x78 }, 2, 0x6cdb, 0 },
	{ { 0xaa, 0x79 }, 2, 0x6cca, 0 },
	{ { 0xaa, 0x7a }, 2, 0x6cac, 0 },
	{ { 0xaa, 0x7b }, 2, 0x6cef, 0 },
	{ { 0xaa, 0x7c }, 2, 0x6cdc, 0 },
	{ { 0xaa, 0x7d }, 2, 0x6cd6, 0 },
	{ { 0xaa, 0x7e }, 2, 0x6ce0, 0 },
	{ { 0xaa, 0xa1 }, 2, 0x7095, 0 },
	{ { 0xaa, 0xa2 }, 2, 0x708e, 0 },
	{ { 0xaa, 0xa3 }, 2, 0x7092, 0 },
	{ { 0xaa, 0xa4 }, 2, 0x708a, 0 },
	{ { 0xaa, 0xa5 }, 2, 0x7099, 0 },
	{ { 0xaa, 0xa6 }, 2, 0x722c, 0 },
	{ { 0xaa, 0xa7 }, 2, 0x722d, 0 },
	{ { 0xaa, 0xa8 }, 2, 0x7238, 0 },
	{ { 0xaa, 0xa9 }, 2, 0x7248, 0 },
	{ { 0xaa, 0xaa }, 2, 0x7267, 0 },
	{ { 0xaa, 0xab }, 2, 0x7269, 0 },
	{ { 0xaa, 0xac }, 2, 0x72c0, 0 },
	{ { 0xaa, 0xad }, 2, 0x72ce, 0 },
	{ { 0xaa, 0xae }, 2, 0x72d9, 0 },
	{ { 0xaa, 0xaf }, 2, 0x72d7, 0 },
	{ { 0xaa, 0xb0 }, 2, 0x72d0, 0 },
	{ { 0xaa, 0xb1 }, 2, 0x73a9, 0 },
	{ { 0xaa, 0xb2 }, 2, 0x73a8, 0 },
	{ { 0xaa, 0xb3 }, 2, 0x739f, 0 },
	{ { 0xaa, 0xb4 }, 2, 0x73ab, 0 },
	{ { 0xaa, 0xb5 }, 2, 0x73a5, 0 },
	{ { 0xaa, 0xb6 }, 2, 0x753d, 0 },
	{ { 0xaa, 0xb7 }, 2, 0x759d, 0 },
	{ { 0xaa, 0xb8 }, 2, 0x7599, 0 },
	{ { 0xaa, 0xb9 }, 2, 0x759a, 0 },
	{ { 0xaa, 0xba }, 2, 0x7684, 0 },
	{ { 0xaa, 0xbb }, 2, 0x76c2, 0 },
	{ { 0xaa, 0xbc }, 2, 0x76f2, 0 },
	{ { 0xaa, 0xbd }, 2, 0x76f4, 0 },
	{ { 0xaa, 0xbe }, 2, 0x77e5, 0 },
	{ { 0xaa, 0xbf }, 2, 0x77fd, 0 },
	{ { 0xaa, 0xc0 }, 2, 0x793e, 0 },
	{ { 0xaa, 0xc1 }, 2, 0x7940, 0 },
	{ { 0xaa, 0xc2 }, 2, 0x7941, 0 },
	{ { 0xaa, 0xc3 }, 2, 0x79c9, 0 },
	{ { 0xaa, 0xc4 }, 2, 0x79c8, 0 },
	{ { 0xaa, 0xc5 }, 2, 0x7a7a, 0 },
	{ { 0xaa, 0xc6 }, 2, 0x7a79, 0 },
	{ { 0xaa, 0xc7 }, 2, 0x7afa, 0 },
	{ { 0xaa, 0xc8 }, 2, 0x7cfe, 0 },
	{ { 0xaa, 0xc9 }, 2, 0x7f54, 0 },
	{ { 0xaa, 0xca }, 2, 0x7f8c, 0 },
	{ { 0xaa, 0xcb }, 2, 0x7f8b, 0 },
	{ { 0xaa, 0xcc }, 2, 0x8005, 0 },
	{ { 0xaa, 0xcd }, 2, 0x80ba, 0 },
	{ { 0xaa, 0xce }, 2, 0x80a5, 0 },
	{ { 0xaa, 0xcf }, 2, 0x80a2, 0 },
	{ { 0xaa, 0xd0 }, 2, 0x80b1, 0 },
	{ { 0xaa, 0xd1 }, 2, 0x80a1, 0 },
	{ { 0xaa, 0xd2 }, 2, 0x80ab, 0 },
	{ { 0xaa, 0xd3 }, 2, 0x80a9, 0 },
	{ { 0xaa, 0xd4 }, 2, 0x80b4, 0 },
	{ { 0xaa, 0xd5 }, 2, 0x80aa, 0 },
	{ { 0xaa, 0xd6 }, 2, 0x80af, 0 },
	{ { 0xaa, 0xd7 }, 2, 0x81e5, 0 },
	{ { 0xaa, 0xd8 }, 2, 0x81fe, 0 },
	{ { 0xaa, 0xd9 }, 2, 0x820d, 0 },
	{ { 0xaa, 0xda }, 2, 0x82b3, 0 },
	{ { 0xaa, 0xdb }, 2, 0x829d, 0 },
	{ { 0xaa, 0xdc }, 2, 0x8299, 0 },
	{ { 0xaa, 0xdd }, 2, 0x82ad, 0 },
	{ { 0xaa, 0xde }, 2, 0x82bd, 0 },
	{ { 0xaa, 0xdf }, 2, 0x829f, 0 },
	{ { 0xaa, 0xe0 }, 2, 0x82b9, 0 },
	{ { 0xaa, 0xe1 }, 2, 0x82b1, 0 },
	{ { 0xaa, 0xe2 }, 2, 0x82ac, 0 },
	{ { 0xaa, 0xe3 }, 2, 0x82a5, 0 },
	{ { 0xaa, 0xe4 }, 2, 0x82af, 0 },
	{ { 0xaa, 0xe5 }, 2, 0x82b8, 0 },
	{ { 0xaa, 0xe6 }, 2, 0x82a3, 0 },
	{ { 0xaa, 0xe7 }, 2, 0x82b0, 0 },
	{ { 0xaa, 0xe8 }, 2, 0x82be, 0 },
	{ { 0xaa, 0xe9 }, 2, 0x82b7, 0 },
	{ { 0xaa, 0xea }, 2, 0x864e, 0 },
	{ { 0xaa, 0xeb }, 2, 0x8671, 0 },
	{ { 0xaa, 0xec }, 2, 0x521d, 0 },
	{ { 0xaa, 0xed }, 2, 0x8868, 0 },
	{ { 0xaa, 0xee }, 2, 0x8ecb, 0 },
	{ { 0xaa, 0xef }, 2, 0x8fce, 0 },
	{ { 0xaa, 0xf0 }, 2, 0x8fd4, 0 },
	{ { 0xaa, 0xf1 }, 2, 0x8fd1, 0 },
	{ { 0xaa, 0xf2 }, 2, 0x90b5, 0 },
	{ { 0xaa, 0xf3 }, 2, 0x90b8, 0 },
	{ { 0xaa, 0xf4 }, 2, 0x90b1, 0 },
	{ { 0xaa, 0xf5 }, 2, 0x90b6, 0 },
	{ { 0xaa, 0xf6 }, 2, 0x91c7, 0 },
	{ { 0xaa, 0xf7 }, 2, 0x91d1, 0 },
	{ { 0xaa, 0xf8 }, 2, 0x9577, 0 },
	{ { 0xaa, 0xf9 }, 2, 0x9580, 0 },
	{ { 0xaa, 0xfa }, 2, 0x961c, 0 },
	{ { 0xaa, 0xfb }, 2, 0x9640, 0 },
	{ { 0xaa, 0xfc }, 2, 0x963f, 0 },
	{ { 0xaa, 0xfd }, 2, 0x963b, 0 },
	{ { 0xaa, 0xfe }, 2, 0x9644, 0 },

	{ { 0xab, 0x40 }, 2, 0x9642, 0 },
	{ { 0xab, 0x41 }, 2, 0x96b9, 0 },
	{ { 0xab, 0x42 }, 2, 0x96e8, 0 },
	{ { 0xab, 0x43 }, 2, 0x9752, 0 },
	{ { 0xab, 0x44 }, 2, 0x975e, 0 },
	{ { 0xab, 0x45 }, 2, 0x4e9f, 0 },
	{ { 0xab, 0x46 }, 2, 0x4ead, 0 },
	{ { 0xab, 0x47 }, 2, 0x4eae, 0 },
	{ { 0xab, 0x48 }, 2, 0x4fe1, 0 },
	{ { 0xab, 0x49 }, 2, 0x4fb5, 0 },
	{ { 0xab, 0x4a }, 2, 0x4faf, 0 },
	{ { 0xab, 0x4b }, 2, 0x4fbf, 0 },
	{ { 0xab, 0x4c }, 2, 0x4fe0, 0 },
	{ { 0xab, 0x4d }, 2, 0x4fd1, 0 },
	{ { 0xab, 0x4e }, 2, 0x4fcf, 0 },
	{ { 0xab, 0x4f }, 2, 0x4fdd, 0 },
	{ { 0xab, 0x50 }, 2, 0x4fc3, 0 },
	{ { 0xab, 0x51 }, 2, 0x4fb6, 0 },
	{ { 0xab, 0x52 }, 2, 0x4fd8, 0 },
	{ { 0xab, 0x53 }, 2, 0x4fdf, 0 },
	{ { 0xab, 0x54 }, 2, 0x4fca, 0 },
	{ { 0xab, 0x55 }, 2, 0x4fd7, 0 },
	{ { 0xab, 0x56 }, 2, 0x4fae, 0 },
	{ { 0xab, 0x57 }, 2, 0x4fd0, 0 },
	{ { 0xab, 0x58 }, 2, 0x4fc4, 0 },
	{ { 0xab, 0x59 }, 2, 0x4fc2, 0 },
	{ { 0xab, 0x5a }, 2, 0x4fda, 0 },
	{ { 0xab, 0x5b }, 2, 0x4fce, 0 },
	{ { 0xab, 0x5c }, 2, 0x4fde, 0 },
	{ { 0xab, 0x5d }, 2, 0x4fb7, 0 },
	{ { 0xab, 0x5e }, 2, 0x5157, 0 },
	{ { 0xab, 0x5f }, 2, 0x5192, 0 },
	{ { 0xab, 0x60 }, 2, 0x5191, 0 },
	{ { 0xab, 0x61 }, 2, 0x51a0, 0 },
	{ { 0xab, 0x62 }, 2, 0x524e, 0 },
	{ { 0xab, 0x63 }, 2, 0x5243, 0 },
	{ { 0xab, 0x64 }, 2, 0x524a, 0 },
	{ { 0xab, 0x65 }, 2, 0x524d, 0 },
	{ { 0xab, 0x66 }, 2, 0x524c, 0 },
	{ { 0xab, 0x67 }, 2, 0x524b, 0 },
	{ { 0xab, 0x68 }, 2, 0x5247, 0 },
	{ { 0xab, 0x69 }, 2, 0x52c7, 0 },
	{ { 0xab, 0x6a }, 2, 0x52c9, 0 },
	{ { 0xab, 0x6b }, 2, 0x52c3, 0 },
	{ { 0xab, 0x6c }, 2, 0x52c1, 0 },
	{ { 0xab, 0x6d }, 2, 0x530d, 0 },
	{ { 0xab, 0x6e }, 2, 0x5357, 0 },
	{ { 0xab, 0x6f }, 2, 0x537b, 0 },
	{ { 0xab, 0x70 }, 2, 0x539a, 0 },
	{ { 0xab, 0x71 }, 2, 0x53db, 0 },
	{ { 0xab, 0x72 }, 2, 0x54ac, 0 },
	{ { 0xab, 0x73 }, 2, 0x54c0, 0 },
	{ { 0xab, 0x74 }, 2, 0x54a8, 0 },
	{ { 0xab, 0x75 }, 2, 0x54ce, 0 },
	{ { 0xab, 0x76 }, 2, 0x54c9, 0 },
	{ { 0xab, 0x77 }, 2, 0x54b8, 0 },
	{ { 0xab, 0x78 }, 2, 0x54a6, 0 },
	{ { 0xab, 0x79 }, 2, 0x54b3, 0 },
	{ { 0xab, 0x7a }, 2, 0x54c7, 0 },
	{ { 0xab, 0x7b }, 2, 0x54c2, 0 },
	{ { 0xab, 0x7c }, 2, 0x54bd, 0 },
	{ { 0xab, 0x7d }, 2, 0x54aa, 0 },
	{ { 0xab, 0x7e }, 2, 0x54c1, 0 },
	{ { 0xab, 0xa1 }, 2, 0x54c4, 0 },
	{ { 0xab, 0xa2 }, 2, 0x54c8, 0 },
	{ { 0xab, 0xa3 }, 2, 0x54af, 0 },
	{ { 0xab, 0xa4 }, 2, 0x54ab, 0 },
	{ { 0xab, 0xa5 }, 2, 0x54b1, 0 },
	{ { 0xab, 0xa6 }, 2, 0x54bb, 0 },
	{ { 0xab, 0xa7 }, 2, 0x54a9, 0 },
	{ { 0xab, 0xa8 }, 2, 0x54a7, 0 },
	{ { 0xab, 0xa9 }, 2, 0x54bf, 0 },
	{ { 0xab, 0xaa }, 2, 0x56ff, 0 },
	{ { 0xab, 0xab }, 2, 0x5782, 0 },
	{ { 0xab, 0xac }, 2, 0x578b, 0 },
	{ { 0xab, 0xad }, 2, 0x57a0, 0 },
	{ { 0xab, 0xae }, 2, 0x57a3, 0 },
	{ { 0xab, 0xaf }, 2, 0x57a2, 0 },
	{ { 0xab, 0xb0 }, 2, 0x57ce, 0 },
	{ { 0xab, 0xb1 }, 2, 0x57ae, 0 },
	{ { 0xab, 0xb2 }, 2, 0x5793, 0 },
	{ { 0xab, 0xb3 }, 2, 0x5955, 0 },
	{ { 0xab, 0xb4 }, 2, 0x5951, 0 },
	{ { 0xab, 0xb5 }, 2, 0x594f, 0 },
	{ { 0xab, 0xb6 }, 2, 0x594e, 0 },
	{ { 0xab, 0xb7 }, 2, 0x5950, 0 },
	{ { 0xab, 0xb8 }, 2, 0x59dc, 0 },
	{ { 0xab, 0xb9 }, 2, 0x59d8, 0 },
	{ { 0xab, 0xba }, 2, 0x59ff, 0 },
	{ { 0xab, 0xbb }, 2, 0x59e3, 0 },
	{ { 0xab, 0xbc }, 2, 0x59e8, 0 },
	{ { 0xab, 0xbd }, 2, 0x5a03, 0 },
	{ { 0xab, 0xbe }, 2, 0x59e5, 0 },
	{ { 0xab, 0xbf }, 2, 0x59ea, 0 },
	{ { 0xab, 0xc0 }, 2, 0x59da, 0 },
	{ { 0xab, 0xc1 }, 2, 0x59e6, 0 },
	{ { 0xab, 0xc2 }, 2, 0x5a01, 0 },
	{ { 0xab, 0xc3 }, 2, 0x59fb, 0 },
	{ { 0xab, 0xc4 }, 2, 0x5b69, 0 },
	{ { 0xab, 0xc5 }, 2, 0x5ba3, 0 },
	{ { 0xab, 0xc6 }, 2, 0x5ba6, 0 },
	{ { 0xab, 0xc7 }, 2, 0x5ba4, 0 },
	{ { 0xab, 0xc8 }, 2, 0x5ba2, 0 },
	{ { 0xab, 0xc9 }, 2, 0x5ba5, 0 },
	{ { 0xab, 0xca }, 2, 0x5c01, 0 },
	{ { 0xab, 0xcb }, 2, 0x5c4e, 0 },
	{ { 0xab, 0xcc }, 2, 0x5c4f, 0 },
	{ { 0xab, 0xcd }, 2, 0x5c4d, 0 },
	{ { 0xab, 0xce }, 2, 0x5c4b, 0 },
	{ { 0xab, 0xcf }, 2, 0x5cd9, 0 },
	{ { 0xab, 0xd0 }, 2, 0x5cd2, 0 },
	{ { 0xab, 0xd1 }, 2, 0x5df7, 0 },
	{ { 0xab, 0xd2 }, 2, 0x5e1d, 0 },
	{ { 0xab, 0xd3 }, 2, 0x5e25, 0 },
	{ { 0xab, 0xd4 }, 2, 0x5e1f, 0 },
	{ { 0xab, 0xd5 }, 2, 0x5e7d, 0 },
	{ { 0xab, 0xd6 }, 2, 0x5ea0, 0 },
	{ { 0xab, 0xd7 }, 2, 0x5ea6, 0 },
	{ { 0xab, 0xd8 }, 2, 0x5efa, 0 },
	{ { 0xab, 0xd9 }, 2, 0x5f08, 0 },
	{ { 0xab, 0xda }, 2, 0x5f2d, 0 },
	{ { 0xab, 0xdb }, 2, 0x5f65, 0 },
	{ { 0xab, 0xdc }, 2, 0x5f88, 0 },
	{ { 0xab, 0xdd }, 2, 0x5f85, 0 },
	{ { 0xab, 0xde }, 2, 0x5f8a, 0 },
	{ { 0xab, 0xdf }, 2, 0x5f8b, 0 },
	{ { 0xab, 0xe0 }, 2, 0x5f87, 0 },
	{ { 0xab, 0xe1 }, 2, 0x5f8c, 0 },
	{ { 0xab, 0xe2 }, 2, 0x5f89, 0 },
	{ { 0xab, 0xe3 }, 2, 0x6012, 0 },
	{ { 0xab, 0xe4 }, 2, 0x601d, 0 },
	{ { 0xab, 0xe5 }, 2, 0x6020, 0 },
	{ { 0xab, 0xe6 }, 2, 0x6025, 0 },
	{ { 0xab, 0xe7 }, 2, 0x600e, 0 },
	{ { 0xab, 0xe8 }, 2, 0x6028, 0 },
	{ { 0xab, 0xe9 }, 2, 0x604d, 0 },
	{ { 0xab, 0xea }, 2, 0x6070, 0 },
	{ { 0xab, 0xeb }, 2, 0x6068, 0 },
	{ { 0xab, 0xec }, 2, 0x6062, 0 },
	{ { 0xab, 0xed }, 2, 0x6046, 0 },
	{ { 0xab, 0xee }, 2, 0x6043, 0 },
	{ { 0xab, 0xef }, 2, 0x606c, 0 },
	{ { 0xab, 0xf0 }, 2, 0x606b, 0 },
	{ { 0xab, 0xf1 }, 2, 0x606a, 0 },
	{ { 0xab, 0xf2 }, 2, 0x6064, 0 },
	{ { 0xab, 0xf3 }, 2, 0x6241, 0 },
	{ { 0xab, 0xf4 }, 2, 0x62dc, 0 },
	{ { 0xab, 0xf5 }, 2, 0x6316, 0 },
	{ { 0xab, 0xf6 }, 2, 0x6309, 0 },
	{ { 0xab, 0xf7 }, 2, 0x62fc, 0 },
	{ { 0xab, 0xf8 }, 2, 0x62ed, 0 },
	{ { 0xab, 0xf9 }, 2, 0x6301, 0 },
	{ { 0xab, 0xfa }, 2, 0x62ee, 0 },
	{ { 0xab, 0xfb }, 2, 0x62fd, 0 },
	{ { 0xab, 0xfc }, 2, 0x6307, 0 },
	{ { 0xab, 0xfd }, 2, 0x62f1, 0 },
	{ { 0xab, 0xfe }, 2, 0x62f7, 0 },

	{ { 0xac, 0x40 }, 2, 0x62ef, 0 },
	{ { 0xac, 0x41 }, 2, 0x62ec, 0 },
	{ { 0xac, 0x42 }, 2, 0x62fe, 0 },
	{ { 0xac, 0x43 }, 2, 0x62f4, 0 },
	{ { 0xac, 0x44 }, 2, 0x6311, 0 },
	{ { 0xac, 0x45 }, 2, 0x6302, 0 },
	{ { 0xac, 0x46 }, 2, 0x653f, 0 },
	{ { 0xac, 0x47 }, 2, 0x6545, 0 },
	{ { 0xac, 0x48 }, 2, 0x65ab, 0 },
	{ { 0xac, 0x49 }, 2, 0x65bd, 0 },
	{ { 0xac, 0x4a }, 2, 0x65e2, 0 },
	{ { 0xac, 0x4b }, 2, 0x6625, 0 },
	{ { 0xac, 0x4c }, 2, 0x662d, 0 },
	{ { 0xac, 0x4d }, 2, 0x6620, 0 },
	{ { 0xac, 0x4e }, 2, 0x6627, 0 },
	{ { 0xac, 0x4f }, 2, 0x662f, 0 },
	{ { 0xac, 0x50 }, 2, 0x661f, 0 },
	{ { 0xac, 0x51 }, 2, 0x6628, 0 },
	{ { 0xac, 0x52 }, 2, 0x6631, 0 },
	{ { 0xac, 0x53 }, 2, 0x6624, 0 },
	{ { 0xac, 0x54 }, 2, 0x66f7, 0 },
	{ { 0xac, 0x55 }, 2, 0x67ff, 0 },
	{ { 0xac, 0x56 }, 2, 0x67d3, 0 },
	{ { 0xac, 0x57 }, 2, 0x67f1, 0 },
	{ { 0xac, 0x58 }, 2, 0x67d4, 0 },
	{ { 0xac, 0x59 }, 2, 0x67d0, 0 },
	{ { 0xac, 0x5a }, 2, 0x67ec, 0 },
	{ { 0xac, 0x5b }, 2, 0x67b6, 0 },
	{ { 0xac, 0x5c }, 2, 0x67af, 0 },
	{ { 0xac, 0x5d }, 2, 0x67f5, 0 },
	{ { 0xac, 0x5e }, 2, 0x67e9, 0 },
	{ { 0xac, 0x5f }, 2, 0x67ef, 0 },
	{ { 0xac, 0x60 }, 2, 0x67c4, 0 },
	{ { 0xac, 0x61 }, 2, 0x67d1, 0 },
	{ { 0xac, 0x62 }, 2, 0x67b4, 0 },
	{ { 0xac, 0x63 }, 2, 0x67da, 0 },
	{ { 0xac, 0x64 }, 2, 0x67e5, 0 },
	{ { 0xac, 0x65 }, 2, 0x67b8, 0 },
	{ { 0xac, 0x66 }, 2, 0x67cf, 0 },
	{ { 0xac, 0x67 }, 2, 0x67de, 0 },
	{ { 0xac, 0x68 }, 2, 0x67f3, 0 },
	{ { 0xac, 0x69 }, 2, 0x67b0, 0 },
	{ { 0xac, 0x6a }, 2, 0x67d9, 0 },
	{ { 0xac, 0x6b }, 2, 0x67e2, 0 },
	{ { 0xac, 0x6c }, 2, 0x67dd, 0 },
	{ { 0xac, 0x6d }, 2, 0x67d2, 0 },
	{ { 0xac, 0x6e }, 2, 0x6b6a, 0 },
	{ { 0xac, 0x6f }, 2, 0x6b83, 0 },
	{ { 0xac, 0x70 }, 2, 0x6b86, 0 },
	{ { 0xac, 0x71 }, 2, 0x6bb5, 0 },
	{ { 0xac, 0x72 }, 2, 0x6bd2, 0 },
	{ { 0xac, 0x73 }, 2, 0x6bd7, 0 },
	{ { 0xac, 0x74 }, 2, 0x6c1f, 0 },
	{ { 0xac, 0x75 }, 2, 0x6cc9, 0 },
	{ { 0xac, 0x76 }, 2, 0x6d0b, 0 },
	{ { 0xac, 0x77 }, 2, 0x6d32, 0 },
	{ { 0xac, 0x78 }, 2, 0x6d2a, 0 },
	{ { 0xac, 0x79 }, 2, 0x6d41, 0 },
	{ { 0xac, 0x7a }, 2, 0x6d25, 0 },
	{ { 0xac, 0x7b }, 2, 0x6d0c, 0 },
	{ { 0xac, 0x7c }, 2, 0x6d31, 0 },
	{ { 0xac, 0x7d }, 2, 0x6d1e, 0 },
	{ { 0xac, 0x7e }, 2, 0x6d17, 0 },
	{ { 0xac, 0xa1 }, 2, 0x6d3b, 0 },
	{ { 0xac, 0xa2 }, 2, 0x6d3d, 0 },
	{ { 0xac, 0xa3 }, 2, 0x6d3e, 0 },
	{ { 0xac, 0xa4 }, 2, 0x6d36, 0 },
	{ { 0xac, 0xa5 }, 2, 0x6d1b, 0 },
	{ { 0xac, 0xa6 }, 2, 0x6cf5, 0 },
	{ { 0xac, 0xa7 }, 2, 0x6d39, 0 },
	{ { 0xac, 0xa8 }, 2, 0x6d27, 0 },
	{ { 0xac, 0xa9 }, 2, 0x6d38, 0 },
	{ { 0xac, 0xaa }, 2, 0x6d29, 0 },
	{ { 0xac, 0xab }, 2, 0x6d2e, 0 },
	{ { 0xac, 0xac }, 2, 0x6d35, 0 },
	{ { 0xac, 0xad }, 2, 0x6d0e, 0 },
	{ { 0xac, 0xae }, 2, 0x6d2b, 0 },
	{ { 0xac, 0xaf }, 2, 0x70ab, 0 },
	{ { 0xac, 0xb0 }, 2, 0x70ba, 0 },
	{ { 0xac, 0xb1 }, 2, 0x70b3, 0 },
	{ { 0xac, 0xb2 }, 2, 0x70ac, 0 },
	{ { 0xac, 0xb3 }, 2, 0x70af, 0 },
	{ { 0xac, 0xb4 }, 2, 0x70ad, 0 },
	{ { 0xac, 0xb5 }, 2, 0x70b8, 0 },
	{ { 0xac, 0xb6 }, 2, 0x70ae, 0 },
	{ { 0xac, 0xb7 }, 2, 0x70a4, 0 },
	{ { 0xac, 0xb8 }, 2, 0x7230, 0 },
	{ { 0xac, 0xb9 }, 2, 0x7272, 0 },
	{ { 0xac, 0xba }, 2, 0x726f, 0 },
	{ { 0xac, 0xbb }, 2, 0x7274, 0 },
	{ { 0xac, 0xbc }, 2, 0x72e9, 0 },
	{ { 0xac, 0xbd }, 2, 0x72e0, 0 },
	{ { 0xac, 0xbe }, 2, 0x72e1, 0 },
	{ { 0xac, 0xbf }, 2, 0x73b7, 0 },
	{ { 0xac, 0xc0 }, 2, 0x73ca, 0 },
	{ { 0xac, 0xc1 }, 2, 0x73bb, 0 },
	{ { 0xac, 0xc2 }, 2, 0x73b2, 0 },
	{ { 0xac, 0xc3 }, 2, 0x73cd, 0 },
	{ { 0xac, 0xc4 }, 2, 0x73c0, 0 },
	{ { 0xac, 0xc5 }, 2, 0x73b3, 0 },
	{ { 0xac, 0xc6 }, 2, 0x751a, 0 },
	{ { 0xac, 0xc7 }, 2, 0x752d, 0 },
	{ { 0xac, 0xc8 }, 2, 0x754f, 0 },
	{ { 0xac, 0xc9 }, 2, 0x754c, 0 },
	{ { 0xac, 0xca }, 2, 0x754e, 0 },
	{ { 0xac, 0xcb }, 2, 0x754b, 0 },
	{ { 0xac, 0xcc }, 2, 0x75ab, 0 },
	{ { 0xac, 0xcd }, 2, 0x75a4, 0 },
	{ { 0xac, 0xce }, 2, 0x75a5, 0 },
	{ { 0xac, 0xcf }, 2, 0x75a2, 0 },
	{ { 0xac, 0xd0 }, 2, 0x75a3, 0 },
	{ { 0xac, 0xd1 }, 2, 0x7678, 0 },
	{ { 0xac, 0xd2 }, 2, 0x7686, 0 },
	{ { 0xac, 0xd3 }, 2, 0x7687, 0 },
	{ { 0xac, 0xd4 }, 2, 0x7688, 0 },
	{ { 0xac, 0xd5 }, 2, 0x76c8, 0 },
	{ { 0xac, 0xd6 }, 2, 0x76c6, 0 },
	{ { 0xac, 0xd7 }, 2, 0x76c3, 0 },
	{ { 0xac, 0xd8 }, 2, 0x76c5, 0 },
	{ { 0xac, 0xd9 }, 2, 0x7701, 0 },
	{ { 0xac, 0xda }, 2, 0x76f9, 0 },
	{ { 0xac, 0xdb }, 2, 0x76f8, 0 },
	{ { 0xac, 0xdc }, 2, 0x7709, 0 },
	{ { 0xac, 0xdd }, 2, 0x770b, 0 },
	{ { 0xac, 0xde }, 2, 0x76fe, 0 },
	{ { 0xac, 0xdf }, 2, 0x76fc, 0 },
	{ { 0xac, 0xe0 }, 2, 0x7707, 0 },
	{ { 0xac, 0xe1 }, 2, 0x77dc, 0 },
	{ { 0xac, 0xe2 }, 2, 0x7802, 0 },
	{ { 0xac, 0xe3 }, 2, 0x7814, 0 },
	{ { 0xac, 0xe4 }, 2, 0x780c, 0 },
	{ { 0xac, 0xe5 }, 2, 0x780d, 0 },
	{ { 0xac, 0xe6 }, 2, 0x7946, 0 },
	{ { 0xac, 0xe7 }, 2, 0x7949, 0 },
	{ { 0xac, 0xe8 }, 2, 0x7948, 0 },
	{ { 0xac, 0xe9 }, 2, 0x7947, 0 },
	{ { 0xac, 0xea }, 2, 0x79b9, 0 },
	{ { 0xac, 0xeb }, 2, 0x79ba, 0 },
	{ { 0xac, 0xec }, 2, 0x79d1, 0 },
	{ { 0xac, 0xed }, 2, 0x79d2, 0 },
	{ { 0xac, 0xee }, 2, 0x79cb, 0 },
	{ { 0xac, 0xef }, 2, 0x7a7f, 0 },
	{ { 0xac, 0xf0 }, 2, 0x7a81, 0 },
	{ { 0xac, 0xf1 }, 2, 0x7aff, 0 },
	{ { 0xac, 0xf2 }, 2, 0x7afd, 0 },
	{ { 0xac, 0xf3 }, 2, 0x7c7d, 0 },
	{ { 0xac, 0xf4 }, 2, 0x7d02, 0 },
	{ { 0xac, 0xf5 }, 2, 0x7d05, 0 },
	{ { 0xac, 0xf6 }, 2, 0x7d00, 0 },
	{ { 0xac, 0xf7 }, 2, 0x7d09, 0 },
	{ { 0xac, 0xf8 }, 2, 0x7d07, 0 },
	{ { 0xac, 0xf9 }, 2, 0x7d04, 0 },
	{ { 0xac, 0xfa }, 2, 0x7d06, 0 },
	{ { 0xac, 0xfb }, 2, 0x7f38, 0 },
	{ { 0xac, 0xfc }, 2, 0x7f8e, 0 },
	{ { 0xac, 0xfd }, 2, 0x7fbf, 0 },
	{ { 0xac, 0xfe }, 2, 0x8004, 0 },

	{ { 0xad, 0x40 }, 2, 0x8010, 0 },
	{ { 0xad, 0x41 }, 2, 0x800d, 0 },
	{ { 0xad, 0x42 }, 2, 0x8011, 0 },
	{ { 0xad, 0x43 }, 2, 0x8036, 0 },
	{ { 0xad, 0x44 }, 2, 0x80d6, 0 },
	{ { 0xad, 0x45 }, 2, 0x80e5, 0 },
	{ { 0xad, 0x46 }, 2, 0x80da, 0 },
	{ { 0xad, 0x47 }, 2, 0x80c3, 0 },
	{ { 0xad, 0x48 }, 2, 0x80c4, 0 },
	{ { 0xad, 0x49 }, 2, 0x80cc, 0 },
	{ { 0xad, 0x4a }, 2, 0x80e1, 0 },
	{ { 0xad, 0x4b }, 2, 0x80db, 0 },
	{ { 0xad, 0x4c }, 2, 0x80ce, 0 },
	{ { 0xad, 0x4d }, 2, 0x80de, 0 },
	{ { 0xad, 0x4e }, 2, 0x80e4, 0 },
	{ { 0xad, 0x4f }, 2, 0x80dd, 0 },
	{ { 0xad, 0x50 }, 2, 0x81f4, 0 },
	{ { 0xad, 0x51 }, 2, 0x8222, 0 },
	{ { 0xad, 0x52 }, 2, 0x82e7, 0 },
	{ { 0xad, 0x53 }, 2, 0x8303, 0 },
	{ { 0xad, 0x54 }, 2, 0x8305, 0 },
	{ { 0xad, 0x55 }, 2, 0x82e3, 0 },
	{ { 0xad, 0x56 }, 2, 0x82db, 0 },
	{ { 0xad, 0x57 }, 2, 0x82e6, 0 },
	{ { 0xad, 0x58 }, 2, 0x8304, 0 },
	{ { 0xad, 0x59 }, 2, 0x82e5, 0 },
	{ { 0xad, 0x5a }, 2, 0x8302, 0 },
	{ { 0xad, 0x5b }, 2, 0x8309, 0 },
	{ { 0xad, 0x5c }, 2, 0x82d2, 0 },
	{ { 0xad, 0x5d }, 2, 0x82d7, 0 },
	{ { 0xad, 0x5e }, 2, 0x82f1, 0 },
	{ { 0xad, 0x5f }, 2, 0x8301, 0 },
	{ { 0xad, 0x60 }, 2, 0x82dc, 0 },
	{ { 0xad, 0x61 }, 2, 0x82d4, 0 },
	{ { 0xad, 0x62 }, 2, 0x82d1, 0 },
	{ { 0xad, 0x63 }, 2, 0x82de, 0 },
	{ { 0xad, 0x64 }, 2, 0x82d3, 0 },
	{ { 0xad, 0x65 }, 2, 0x82df, 0 },
	{ { 0xad, 0x66 }, 2, 0x82ef, 0 },
	{ { 0xad, 0x67 }, 2, 0x8306, 0 },
	{ { 0xad, 0x68 }, 2, 0x8650, 0 },
	{ { 0xad, 0x69 }, 2, 0x8679, 0 },
	{ { 0xad, 0x6a }, 2, 0x867b, 0 },
	{ { 0xad, 0x6b }, 2, 0x867a, 0 },
	{ { 0xad, 0x6c }, 2, 0x884d, 0 },
	{ { 0xad, 0x6d }, 2, 0x886b, 0 },
	{ { 0xad, 0x6e }, 2, 0x8981, 0 },
	{ { 0xad, 0x6f }, 2, 0x89d4, 0 },
	{ { 0xad, 0x70 }, 2, 0x8a08, 0 },
	{ { 0xad, 0x71 }, 2, 0x8a02, 0 },
	{ { 0xad, 0x72 }, 2, 0x8a03, 0 },
	{ { 0xad, 0x73 }, 2, 0x8c9e, 0 },
	{ { 0xad, 0x74 }, 2, 0x8ca0, 0 },
	{ { 0xad, 0x75 }, 2, 0x8d74, 0 },
	{ { 0xad, 0x76 }, 2, 0x8d73, 0 },
	{ { 0xad, 0x77 }, 2, 0x8db4, 0 },
	{ { 0xad, 0x78 }, 2, 0x8ecd, 0 },
	{ { 0xad, 0x79 }, 2, 0x8ecc, 0 },
	{ { 0xad, 0x7a }, 2, 0x8ff0, 0 },
	{ { 0xad, 0x7b }, 2, 0x8fe6, 0 },
	{ { 0xad, 0x7c }, 2, 0x8fe2, 0 },
	{ { 0xad, 0x7d }, 2, 0x8fea, 0 },
	{ { 0xad, 0x7e }, 2, 0x8fe5, 0 },
	{ { 0xad, 0xa1 }, 2, 0x8fed, 0 },
	{ { 0xad, 0xa2 }, 2, 0x8feb, 0 },
	{ { 0xad, 0xa3 }, 2, 0x8fe4, 0 },
	{ { 0xad, 0xa4 }, 2, 0x8fe8, 0 },
	{ { 0xad, 0xa5 }, 2, 0x90ca, 0 },
	{ { 0xad, 0xa6 }, 2, 0x90ce, 0 },
	{ { 0xad, 0xa7 }, 2, 0x90c1, 0 },
	{ { 0xad, 0xa8 }, 2, 0x90c3, 0 },
	{ { 0xad, 0xa9 }, 2, 0x914b, 0 },
	{ { 0xad, 0xaa }, 2, 0x914a, 0 },
	{ { 0xad, 0xab }, 2, 0x91cd, 0 },
	{ { 0xad, 0xac }, 2, 0x9582, 0 },
	{ { 0xad, 0xad }, 2, 0x9650, 0 },
	{ { 0xad, 0xae }, 2, 0x964b, 0 },
	{ { 0xad, 0xaf }, 2, 0x964c, 0 },
	{ { 0xad, 0xb0 }, 2, 0x964d, 0 },
	{ { 0xad, 0xb1 }, 2, 0x9762, 0 },
	{ { 0xad, 0xb2 }, 2, 0x9769, 0 },
	{ { 0xad, 0xb3 }, 2, 0x97cb, 0 },
	{ { 0xad, 0xb4 }, 2, 0x97ed, 0 },
	{ { 0xad, 0xb5 }, 2, 0x97f3, 0 },
	{ { 0xad, 0xb6 }, 2, 0x9801, 0 },
	{ { 0xad, 0xb7 }, 2, 0x98a8, 0 },
	{ { 0xad, 0xb8 }, 2, 0x98db, 0 },
	{ { 0xad, 0xb9 }, 2, 0x98df, 0 },
	{ { 0xad, 0xba }, 2, 0x9996, 0 },
	{ { 0xad, 0xbb }, 2, 0x9999, 0 },
	{ { 0xad, 0xbc }, 2, 0x4e58, 0 },
	{ { 0xad, 0xbd }, 2, 0x4eb3, 0 },
	{ { 0xad, 0xbe }, 2, 0x500c, 0 },
	{ { 0xad, 0xbf }, 2, 0x500d, 0 },
	{ { 0xad, 0xc0 }, 2, 0x5023, 0 },
	{ { 0xad, 0xc1 }, 2, 0x4fef, 0 },
	{ { 0xad, 0xc2 }, 2, 0x5026, 0 },
	{ { 0xad, 0xc3 }, 2, 0x5025, 0 },
	{ { 0xad, 0xc4 }, 2, 0x4ff8, 0 },
	{ { 0xad, 0xc5 }, 2, 0x5029, 0 },
	{ { 0xad, 0xc6 }, 2, 0x5016, 0 },
	{ { 0xad, 0xc7 }, 2, 0x5006, 0 },
	{ { 0xad, 0xc8 }, 2, 0x503c, 0 },
	{ { 0xad, 0xc9 }, 2, 0x501f, 0 },
	{ { 0xad, 0xca }, 2, 0x501a, 0 },
	{ { 0xad, 0xcb }, 2, 0x5012, 0 },
	{ { 0xad, 0xcc }, 2, 0x5011, 0 },
	{ { 0xad, 0xcd }, 2, 0x4ffa, 0 },
	{ { 0xad, 0xce }, 2, 0x5000, 0 },
	{ { 0xad, 0xcf }, 2, 0x5014, 0 },
	{ { 0xad, 0xd0 }, 2, 0x5028, 0 },
	{ { 0xad, 0xd1 }, 2, 0x4ff1, 0 },
	{ { 0xad, 0xd2 }, 2, 0x5021, 0 },
	{ { 0xad, 0xd3 }, 2, 0x500b, 0 },
	{ { 0xad, 0xd4 }, 2, 0x5019, 0 },
	{ { 0xad, 0xd5 }, 2, 0x5018, 0 },
	{ { 0xad, 0xd6 }, 2, 0x4ff3, 0 },
	{ { 0xad, 0xd7 }, 2, 0x4fee, 0 },
	{ { 0xad, 0xd8 }, 2, 0x502d, 0 },
	{ { 0xad, 0xd9 }, 2, 0x502a, 0 },
	{ { 0xad, 0xda }, 2, 0x4ffe, 0 },
	{ { 0xad, 0xdb }, 2, 0x502b, 0 },
	{ { 0xad, 0xdc }, 2, 0x5009, 0 },
	{ { 0xad, 0xdd }, 2, 0x517c, 0 },
	{ { 0xad, 0xde }, 2, 0x51a4, 0 },
	{ { 0xad, 0xdf }, 2, 0x51a5, 0 },
	{ { 0xad, 0xe0 }, 2, 0x51a2, 0 },
	{ { 0xad, 0xe1 }, 2, 0x51cd, 0 },
	{ { 0xad, 0xe2 }, 2, 0x51cc, 0 },
	{ { 0xad, 0xe3 }, 2, 0x51c6, 0 },
	{ { 0xad, 0xe4 }, 2, 0x51cb, 0 },
	{ { 0xad, 0xe5 }, 2, 0x5256, 0 },
	{ { 0xad, 0xe6 }, 2, 0x525c, 0 },
	{ { 0xad, 0xe7 }, 2, 0x5254, 0 },
	{ { 0xad, 0xe8 }, 2, 0x525b, 0 },
	{ { 0xad, 0xe9 }, 2, 0x525d, 0 },
	{ { 0xad, 0xea }, 2, 0x532a, 0 },
	{ { 0xad, 0xeb }, 2, 0x537f, 0 },
	{ { 0xad, 0xec }, 2, 0x539f, 0 },
	{ { 0xad, 0xed }, 2, 0x539d, 0 },
	{ { 0xad, 0xee }, 2, 0x53df, 0 },
	{ { 0xad, 0xef }, 2, 0x54e8, 0 },
	{ { 0xad, 0xf0 }, 2, 0x5510, 0 },
	{ { 0xad, 0xf1 }, 2, 0x5501, 0 },
	{ { 0xad, 0xf2 }, 2, 0x5537, 0 },
	{ { 0xad, 0xf3 }, 2, 0x54fc, 0 },
	{ { 0xad, 0xf4 }, 2, 0x54e5, 0 },
	{ { 0xad, 0xf5 }, 2, 0x54f2, 0 },
	{ { 0xad, 0xf6 }, 2, 0x5506, 0 },
	{ { 0xad, 0xf7 }, 2, 0x54fa, 0 },
	{ { 0xad, 0xf8 }, 2, 0x5514, 0 },
	{ { 0xad, 0xf9 }, 2, 0x54e9, 0 },
	{ { 0xad, 0xfa }, 2, 0x54ed, 0 },
	{ { 0xad, 0xfb }, 2, 0x54e1, 0 },
	{ { 0xad, 0xfc }, 2, 0x5509, 0 },
	{ { 0xad, 0xfd }, 2, 0x54ee, 0 },
	{ { 0xad, 0xfe }, 2, 0x54ea, 0 },

	{ { 0xae, 0x40 }, 2, 0x54e6, 0 },
	{ { 0xae, 0x41 }, 2, 0x5527, 0 },
	{ { 0xae, 0x42 }, 2, 0x5507, 0 },
	{ { 0xae, 0x43 }, 2, 0x54fd, 0 },
	{ { 0xae, 0x44 }, 2, 0x550f, 0 },
	{ { 0xae, 0x45 }, 2, 0x5703, 0 },
	{ { 0xae, 0x46 }, 2, 0x5704, 0 },
	{ { 0xae, 0x47 }, 2, 0x57c2, 0 },
	{ { 0xae, 0x48 }, 2, 0x57d4, 0 },
	{ { 0xae, 0x49 }, 2, 0x57cb, 0 },
	{ { 0xae, 0x4a }, 2, 0x57c3, 0 },
	{ { 0xae, 0x4b }, 2, 0x5809, 0 },
	{ { 0xae, 0x4c }, 2, 0x590f, 0 },
	{ { 0xae, 0x4d }, 2, 0x5957, 0 },
	{ { 0xae, 0x4e }, 2, 0x5958, 0 },
	{ { 0xae, 0x4f }, 2, 0x595a, 0 },
	{ { 0xae, 0x50 }, 2, 0x5a11, 0 },
	{ { 0xae, 0x51 }, 2, 0x5a18, 0 },
	{ { 0xae, 0x52 }, 2, 0x5a1c, 0 },
	{ { 0xae, 0x53 }, 2, 0x5a1f, 0 },
	{ { 0xae, 0x54 }, 2, 0x5a1b, 0 },
	{ { 0xae, 0x55 }, 2, 0x5a13, 0 },
	{ { 0xae, 0x56 }, 2, 0x59ec, 0 },
	{ { 0xae, 0x57 }, 2, 0x5a20, 0 },
	{ { 0xae, 0x58 }, 2, 0x5a23, 0 },
	{ { 0xae, 0x59 }, 2, 0x5a29, 0 },
	{ { 0xae, 0x5a }, 2, 0x5a25, 0 },
	{ { 0xae, 0x5b }, 2, 0x5a0c, 0 },
	{ { 0xae, 0x5c }, 2, 0x5a09, 0 },
	{ { 0xae, 0x5d }, 2, 0x5b6b, 0 },
	{ { 0xae, 0x5e }, 2, 0x5c58, 0 },
	{ { 0xae, 0x5f }, 2, 0x5bb0, 0 },
	{ { 0xae, 0x60 }, 2, 0x5bb3, 0 },
	{ { 0xae, 0x61 }, 2, 0x5bb6, 0 },
	{ { 0xae, 0x62 }, 2, 0x5bb4, 0 },
	{ { 0xae, 0x63 }, 2, 0x5bae, 0 },
	{ { 0xae, 0x64 }, 2, 0x5bb5, 0 },
	{ { 0xae, 0x65 }, 2, 0x5bb9, 0 },
	{ { 0xae, 0x66 }, 2, 0x5bb8, 0 },
	{ { 0xae, 0x67 }, 2, 0x5c04, 0 },
	{ { 0xae, 0x68 }, 2, 0x5c51, 0 },
	{ { 0xae, 0x69 }, 2, 0x5c55, 0 },
	{ { 0xae, 0x6a }, 2, 0x5c50, 0 },
	{ { 0xae, 0x6b }, 2, 0x5ced, 0 },
	{ { 0xae, 0x6c }, 2, 0x5cfd, 0 },
	{ { 0xae, 0x6d }, 2, 0x5cfb, 0 },
	{ { 0xae, 0x6e }, 2, 0x5cea, 0 },
	{ { 0xae, 0x6f }, 2, 0x5ce8, 0 },
	{ { 0xae, 0x70 }, 2, 0x5cf0, 0 },
	{ { 0xae, 0x71 }, 2, 0x5cf6, 0 },
	{ { 0xae, 0x72 }, 2, 0x5d01, 0 },
	{ { 0xae, 0x73 }, 2, 0x5cf4, 0 },
	{ { 0xae, 0x74 }, 2, 0x5dee, 0 },
	{ { 0xae, 0x75 }, 2, 0x5e2d, 0 },
	{ { 0xae, 0x76 }, 2, 0x5e2b, 0 },
	{ { 0xae, 0x77 }, 2, 0x5eab, 0 },
	{ { 0xae, 0x78 }, 2, 0x5ead, 0 },
	{ { 0xae, 0x79 }, 2, 0x5ea7, 0 },
	{ { 0xae, 0x7a }, 2, 0x5f31, 0 },
	{ { 0xae, 0x7b }, 2, 0x5f92, 0 },
	{ { 0xae, 0x7c }, 2, 0x5f91, 0 },
	{ { 0xae, 0x7d }, 2, 0x5f90, 0 },
	{ { 0xae, 0x7e }, 2, 0x6059, 0 },
	{ { 0xae, 0xa1 }, 2, 0x6063, 0 },
	{ { 0xae, 0xa2 }, 2, 0x6065, 0 },
	{ { 0xae, 0xa3 }, 2, 0x6050, 0 },
	{ { 0xae, 0xa4 }, 2, 0x6055, 0 },
	{ { 0xae, 0xa5 }, 2, 0x606d, 0 },
	{ { 0xae, 0xa6 }, 2, 0x6069, 0 },
	{ { 0xae, 0xa7 }, 2, 0x606f, 0 },
	{ { 0xae, 0xa8 }, 2, 0x6084, 0 },
	{ { 0xae, 0xa9 }, 2, 0x609f, 0 },
	{ { 0xae, 0xaa }, 2, 0x609a, 0 },
	{ { 0xae, 0xab }, 2, 0x608d, 0 },
	{ { 0xae, 0xac }, 2, 0x6094, 0 },
	{ { 0xae, 0xad }, 2, 0x608c, 0 },
	{ { 0xae, 0xae }, 2, 0x6085, 0 },
	{ { 0xae, 0xaf }, 2, 0x6096, 0 },
	{ { 0xae, 0xb0 }, 2, 0x6247, 0 },
	{ { 0xae, 0xb1 }, 2, 0x62f3, 0 },
	{ { 0xae, 0xb2 }, 2, 0x6308, 0 },
	{ { 0xae, 0xb3 }, 2, 0x62ff, 0 },
	{ { 0xae, 0xb4 }, 2, 0x634e, 0 },
	{ { 0xae, 0xb5 }, 2, 0x633e, 0 },
	{ { 0xae, 0xb6 }, 2, 0x632f, 0 },
	{ { 0xae, 0xb7 }, 2, 0x6355, 0 },
	{ { 0xae, 0xb8 }, 2, 0x6342, 0 },
	{ { 0xae, 0xb9 }, 2, 0x6346, 0 },
	{ { 0xae, 0xba }, 2, 0x634f, 0 },
	{ { 0xae, 0xbb }, 2, 0x6349, 0 },
	{ { 0xae, 0xbc }, 2, 0x633a, 0 },
	{ { 0xae, 0xbd }, 2, 0x6350, 0 },
	{ { 0xae, 0xbe }, 2, 0x633d, 0 },
	{ { 0xae, 0xbf }, 2, 0x632a, 0 },
	{ { 0xae, 0xc0 }, 2, 0x632b, 0 },
	{ { 0xae, 0xc1 }, 2, 0x6328, 0 },
	{ { 0xae, 0xc2 }, 2, 0x634d, 0 },
	{ { 0xae, 0xc3 }, 2, 0x634c, 0 },
	{ { 0xae, 0xc4 }, 2, 0x6548, 0 },
	{ { 0xae, 0xc5 }, 2, 0x6549, 0 },
	{ { 0xae, 0xc6 }, 2, 0x6599, 0 },
	{ { 0xae, 0xc7 }, 2, 0x65c1, 0 },
	{ { 0xae, 0xc8 }, 2, 0x65c5, 0 },
	{ { 0xae, 0xc9 }, 2, 0x6642, 0 },
	{ { 0xae, 0xca }, 2, 0x6649, 0 },
	{ { 0xae, 0xcb }, 2, 0x664f, 0 },
	{ { 0xae, 0xcc }, 2, 0x6643, 0 },
	{ { 0xae, 0xcd }, 2, 0x6652, 0 },
	{ { 0xae, 0xce }, 2, 0x664c, 0 },
	{ { 0xae, 0xcf }, 2, 0x6645, 0 },
	{ { 0xae, 0xd0 }, 2, 0x6641, 0 },
	{ { 0xae, 0xd1 }, 2, 0x66f8, 0 },
	{ { 0xae, 0xd2 }, 2, 0x6714, 0 },
	{ { 0xae, 0xd3 }, 2, 0x6715, 0 },
	{ { 0xae, 0xd4 }, 2, 0x6717, 0 },
	{ { 0xae, 0xd5 }, 2, 0x6821, 0 },
	{ { 0xae, 0xd6 }, 2, 0x6838, 0 },
	{ { 0xae, 0xd7 }, 2, 0x6848, 0 },
	{ { 0xae, 0xd8 }, 2, 0x6846, 0 },
	{ { 0xae, 0xd9 }, 2, 0x6853, 0 },
	{ { 0xae, 0xda }, 2, 0x6839, 0 },
	{ { 0xae, 0xdb }, 2, 0x6842, 0 },
	{ { 0xae, 0xdc }, 2, 0x6854, 0 },
	{ { 0xae, 0xdd }, 2, 0x6829, 0 },
	{ { 0xae, 0xde }, 2, 0x68b3, 0 },
	{ { 0xae, 0xdf }, 2, 0x6817, 0 },
	{ { 0xae, 0xe0 }, 2, 0x684c, 0 },
	{ { 0xae, 0xe1 }, 2, 0x6851, 0 },
	{ { 0xae, 0xe2 }, 2, 0x683d, 0 },
	{ { 0xae, 0xe3 }, 2, 0x67f4, 0 },
	{ { 0xae, 0xe4 }, 2, 0x6850, 0 },
	{ { 0xae, 0xe5 }, 2, 0x6840, 0 },
	{ { 0xae, 0xe6 }, 2, 0x683c, 0 },
	{ { 0xae, 0xe7 }, 2, 0x6843, 0 },
	{ { 0xae, 0xe8 }, 2, 0x682a, 0 },
	{ { 0xae, 0xe9 }, 2, 0x6845, 0 },
	{ { 0xae, 0xea }, 2, 0x6813, 0 },
	{ { 0xae, 0xeb }, 2, 0x6818, 0 },
	{ { 0xae, 0xec }, 2, 0x6841, 0 },
	{ { 0xae, 0xed }, 2, 0x6b8a, 0 },
	{ { 0xae, 0xee }, 2, 0x6b89, 0 },
	{ { 0xae, 0xef }, 2, 0x6bb7, 0 },
	{ { 0xae, 0xf0 }, 2, 0x6c23, 0 },
	{ { 0xae, 0xf1 }, 2, 0x6c27, 0 },
	{ { 0xae, 0xf2 }, 2, 0x6c28, 0 },
	{ { 0xae, 0xf3 }, 2, 0x6c26, 0 },
	{ { 0xae, 0xf4 }, 2, 0x6c24, 0 },
	{ { 0xae, 0xf5 }, 2, 0x6cf0, 0 },
	{ { 0xae, 0xf6 }, 2, 0x6d6a, 0 },
	{ { 0xae, 0xf7 }, 2, 0x6d95, 0 },
	{ { 0xae, 0xf8 }, 2, 0x6d88, 0 },
	{ { 0xae, 0xf9 }, 2, 0x6d87, 0 },
	{ { 0xae, 0xfa }, 2, 0x6d66, 0 },
	{ { 0xae, 0xfb }, 2, 0x6d78, 0 },
	{ { 0xae, 0xfc }, 2, 0x6d77, 0 },
	{ { 0xae, 0xfd }, 2, 0x6d59, 0 },
	{ { 0xae, 0xfe }, 2, 0x6d93, 0 },

	{ { 0xaf, 0x40 }, 2, 0x6d6c, 0 },
	{ { 0xaf, 0x41 }, 2, 0x6d89, 0 },
	{ { 0xaf, 0x42 }, 2, 0x6d6e, 0 },
	{ { 0xaf, 0x43 }, 2, 0x6d5a, 0 },
	{ { 0xaf, 0x44 }, 2, 0x6d74, 0 },
	{ { 0xaf, 0x45 }, 2, 0x6d69, 0 },
	{ { 0xaf, 0x46 }, 2, 0x6d8c, 0 },
	{ { 0xaf, 0x47 }, 2, 0x6d8a, 0 },
	{ { 0xaf, 0x48 }, 2, 0x6d79, 0 },
	{ { 0xaf, 0x49 }, 2, 0x6d85, 0 },
	{ { 0xaf, 0x4a }, 2, 0x6d65, 0 },
	{ { 0xaf, 0x4b }, 2, 0x6d94, 0 },
	{ { 0xaf, 0x4c }, 2, 0x70ca, 0 },
	{ { 0xaf, 0x4d }, 2, 0x70d8, 0 },
	{ { 0xaf, 0x4e }, 2, 0x70e4, 0 },
	{ { 0xaf, 0x4f }, 2, 0x70d9, 0 },
	{ { 0xaf, 0x50 }, 2, 0x70c8, 0 },
	{ { 0xaf, 0x51 }, 2, 0x70cf, 0 },
	{ { 0xaf, 0x52 }, 2, 0x7239, 0 },
	{ { 0xaf, 0x53 }, 2, 0x7279, 0 },
	{ { 0xaf, 0x54 }, 2, 0x72fc, 0 },
	{ { 0xaf, 0x55 }, 2, 0x72f9, 0 },
	{ { 0xaf, 0x56 }, 2, 0x72fd, 0 },
	{ { 0xaf, 0x57 }, 2, 0x72f8, 0 },
	{ { 0xaf, 0x58 }, 2, 0x72f7, 0 },
	{ { 0xaf, 0x59 }, 2, 0x7386, 0 },
	{ { 0xaf, 0x5a }, 2, 0x73ed, 0 },
	{ { 0xaf, 0x5b }, 2, 0x7409, 0 },
	{ { 0xaf, 0x5c }, 2, 0x73ee, 0 },
	{ { 0xaf, 0x5d }, 2, 0x73e0, 0 },
	{ { 0xaf, 0x5e }, 2, 0x73ea, 0 },
	{ { 0xaf, 0x5f }, 2, 0x73de, 0 },
	{ { 0xaf, 0x60 }, 2, 0x7554, 0 },
	{ { 0xaf, 0x61 }, 2, 0x755d, 0 },
	{ { 0xaf, 0x62 }, 2, 0x755c, 0 },
	{ { 0xaf, 0x63 }, 2, 0x755a, 0 },
	{ { 0xaf, 0x64 }, 2, 0x7559, 0 },
	{ { 0xaf, 0x65 }, 2, 0x75be, 0 },
	{ { 0xaf, 0x66 }, 2, 0x75c5, 0 },
	{ { 0xaf, 0x67 }, 2, 0x75c7, 0 },
	{ { 0xaf, 0x68 }, 2, 0x75b2, 0 },
	{ { 0xaf, 0x69 }, 2, 0x75b3, 0 },
	{ { 0xaf, 0x6a }, 2, 0x75bd, 0 },
	{ { 0xaf, 0x6b }, 2, 0x75bc, 0 },
	{ { 0xaf, 0x6c }, 2, 0x75b9, 0 },
	{ { 0xaf, 0x6d }, 2, 0x75c2, 0 },
	{ { 0xaf, 0x6e }, 2, 0x75b8, 0 },
	{ { 0xaf, 0x6f }, 2, 0x768b, 0 },
	{ { 0xaf, 0x70 }, 2, 0x76b0, 0 },
	{ { 0xaf, 0x71 }, 2, 0x76ca, 0 },
	{ { 0xaf, 0x72 }, 2, 0x76cd, 0 },
	{ { 0xaf, 0x73 }, 2, 0x76ce, 0 },
	{ { 0xaf, 0x74 }, 2, 0x7729, 0 },
	{ { 0xaf, 0x75 }, 2, 0x771f, 0 },
	{ { 0xaf, 0x76 }, 2, 0x7720, 0 },
	{ { 0xaf, 0x77 }, 2, 0x7728, 0 },
	{ { 0xaf, 0x78 }, 2, 0x77e9, 0 },
	{ { 0xaf, 0x79 }, 2, 0x7830, 0 },
	{ { 0xaf, 0x7a }, 2, 0x7827, 0 },
	{ { 0xaf, 0x7b }, 2, 0x7838, 0 },
	{ { 0xaf, 0x7c }, 2, 0x781d, 0 },
	{ { 0xaf, 0x7d }, 2, 0x7834, 0 },
	{ { 0xaf, 0x7e }, 2, 0x7837, 0 },
	{ { 0xaf, 0xa1 }, 2, 0x7825, 0 },
	{ { 0xaf, 0xa2 }, 2, 0x782d, 0 },
	{ { 0xaf, 0xa3 }, 2, 0x7820, 0 },
	{ { 0xaf, 0xa4 }, 2, 0x781f, 0 },
	{ { 0xaf, 0xa5 }, 2, 0x7832, 0 },
	{ { 0xaf, 0xa6 }, 2, 0x7955, 0 },
	{ { 0xaf, 0xa7 }, 2, 0x7950, 0 },
	{ { 0xaf, 0xa8 }, 2, 0x7960, 0 },
	{ { 0xaf, 0xa9 }, 2, 0x795f, 0 },
	{ { 0xaf, 0xaa }, 2, 0x7956, 0 },
	{ { 0xaf, 0xab }, 2, 0x795e, 0 },
	{ { 0xaf, 0xac }, 2, 0x795d, 0 },
	{ { 0xaf, 0xad }, 2, 0x7957, 0 },
	{ { 0xaf, 0xae }, 2, 0x795a, 0 },
	{ { 0xaf, 0xaf }, 2, 0x79e4, 0 },
	{ { 0xaf, 0xb0 }, 2, 0x79e3, 0 },
	{ { 0xaf, 0xb1 }, 2, 0x79e7, 0 },
	{ { 0xaf, 0xb2 }, 2, 0x79df, 0 },
	{ { 0xaf, 0xb3 }, 2, 0x79e6, 0 },
	{ { 0xaf, 0xb4 }, 2, 0x79e9, 0 },
	{ { 0xaf, 0xb5 }, 2, 0x79d8, 0 },
	{ { 0xaf, 0xb6 }, 2, 0x7a84, 0 },
	{ { 0xaf, 0xb7 }, 2, 0x7a88, 0 },
	{ { 0xaf, 0xb8 }, 2, 0x7ad9, 0 },
	{ { 0xaf, 0xb9 }, 2, 0x7b06, 0 },
	{ { 0xaf, 0xba }, 2, 0x7b11, 0 },
	{ { 0xaf, 0xbb }, 2, 0x7c89, 0 },
	{ { 0xaf, 0xbc }, 2, 0x7d21, 0 },
	{ { 0xaf, 0xbd }, 2, 0x7d17, 0 },
	{ { 0xaf, 0xbe }, 2, 0x7d0b, 0 },
	{ { 0xaf, 0xbf }, 2, 0x7d0a, 0 },
	{ { 0xaf, 0xc0 }, 2, 0x7d20, 0 },
	{ { 0xaf, 0xc1 }, 2, 0x7d22, 0 },
	{ { 0xaf, 0xc2 }, 2, 0x7d14, 0 },
	{ { 0xaf, 0xc3 }, 2, 0x7d10, 0 },
	{ { 0xaf, 0xc4 }, 2, 0x7d15, 0 },
	{ { 0xaf, 0xc5 }, 2, 0x7d1a, 0 },
	{ { 0xaf, 0xc6 }, 2, 0x7d1c, 0 },
	{ { 0xaf, 0xc7 }, 2, 0x7d0d, 0 },
	{ { 0xaf, 0xc8 }, 2, 0x7d19, 0 },
	{ { 0xaf, 0xc9 }, 2, 0x7d1b, 0 },
	{ { 0xaf, 0xca }, 2, 0x7f3a, 0 },
	{ { 0xaf, 0xcb }, 2, 0x7f5f, 0 },
	{ { 0xaf, 0xcc }, 2, 0x7f94, 0 },
	{ { 0xaf, 0xcd }, 2, 0x7fc5, 0 },
	{ { 0xaf, 0xce }, 2, 0x7fc1, 0 },
	{ { 0xaf, 0xcf }, 2, 0x8006, 0 },
	{ { 0xaf, 0xd0 }, 2, 0x8018, 0 },
	{ { 0xaf, 0xd1 }, 2, 0x8015, 0 },
	{ { 0xaf, 0xd2 }, 2, 0x8019, 0 },
	{ { 0xaf, 0xd3 }, 2, 0x8017, 0 },
	{ { 0xaf, 0xd4 }, 2, 0x803d, 0 },
	{ { 0xaf, 0xd5 }, 2, 0x803f, 0 },
	{ { 0xaf, 0xd6 }, 2, 0x80f1, 0 },
	{ { 0xaf, 0xd7 }, 2, 0x8102, 0 },
	{ { 0xaf, 0xd8 }, 2, 0x80f0, 0 },
	{ { 0xaf, 0xd9 }, 2, 0x8105, 0 },
	{ { 0xaf, 0xda }, 2, 0x80ed, 0 },
	{ { 0xaf, 0xdb }, 2, 0x80f4, 0 },
	{ { 0xaf, 0xdc }, 2, 0x8106, 0 },
	{ { 0xaf, 0xdd }, 2, 0x80f8, 0 },
	{ { 0xaf, 0xde }, 2, 0x80f3, 0 },
	{ { 0xaf, 0xdf }, 2, 0x8108, 0 },
	{ { 0xaf, 0xe0 }, 2, 0x80fd, 0 },
	{ { 0xaf, 0xe1 }, 2, 0x810a, 0 },
	{ { 0xaf, 0xe2 }, 2, 0x80fc, 0 },
	{ { 0xaf, 0xe3 }, 2, 0x80ef, 0 },
	{ { 0xaf, 0xe4 }, 2, 0x81ed, 0 },
	{ { 0xaf, 0xe5 }, 2, 0x81ec, 0 },
	{ { 0xaf, 0xe6 }, 2, 0x8200, 0 },
	{ { 0xaf, 0xe7 }, 2, 0x8210, 0 },
	{ { 0xaf, 0xe8 }, 2, 0x822a, 0 },
	{ { 0xaf, 0xe9 }, 2, 0x822b, 0 },
	{ { 0xaf, 0xea }, 2, 0x8228, 0 },
	{ { 0xaf, 0xeb }, 2, 0x822c, 0 },
	{ { 0xaf, 0xec }, 2, 0x82bb, 0 },
	{ { 0xaf, 0xed }, 2, 0x832b, 0 },
	{ { 0xaf, 0xee }, 2, 0x8352, 0 },
	{ { 0xaf, 0xef }, 2, 0x8354, 0 },
	{ { 0xaf, 0xf0 }, 2, 0x834a, 0 },
	{ { 0xaf, 0xf1 }, 2, 0x8338, 0 },
	{ { 0xaf, 0xf2 }, 2, 0x8350, 0 },
	{ { 0xaf, 0xf3 }, 2, 0x8349, 0 },
	{ { 0xaf, 0xf4 }, 2, 0x8335, 0 },
	{ { 0xaf, 0xf5 }, 2, 0x8334, 0 },
	{ { 0xaf, 0xf6 }, 2, 0x834f, 0 },
	{ { 0xaf, 0xf7 }, 2, 0x8332, 0 },
	{ { 0xaf, 0xf8 }, 2, 0x8339, 0 },
	{ { 0xaf, 0xf9 }, 2, 0x8336, 0 },
	{ { 0xaf, 0xfa }, 2, 0x8317, 0 },
	{ { 0xaf, 0xfb }, 2, 0x8340, 0 },
	{ { 0xaf, 0xfc }, 2, 0x8331, 0 },
	{ { 0xaf, 0xfd }, 2, 0x8328, 0 },
	{ { 0xaf, 0xfe }, 2, 0x8343, 0 },

	{ { 0xb0, 0x40 }, 2, 0x8654, 0 },
	{ { 0xb0, 0x41 }, 2, 0x868a, 0 },
	{ { 0xb0, 0x42 }, 2, 0x86aa, 0 },
	{ { 0xb0, 0x43 }, 2, 0x8693, 0 },
	{ { 0xb0, 0x44 }, 2, 0x86a4, 0 },
	{ { 0xb0, 0x45 }, 2, 0x86a9, 0 },
	{ { 0xb0, 0x46 }, 2, 0x868c, 0 },
	{ { 0xb0, 0x47 }, 2, 0x86a3, 0 },
	{ { 0xb0, 0x48 }, 2, 0x869c, 0 },
	{ { 0xb0, 0x49 }, 2, 0x8870, 0 },
	{ { 0xb0, 0x4a }, 2, 0x8877, 0 },
	{ { 0xb0, 0x4b }, 2, 0x8881, 0 },
	{ { 0xb0, 0x4c }, 2, 0x8882, 0 },
	{ { 0xb0, 0x4d }, 2, 0x887d, 0 },
	{ { 0xb0, 0x4e }, 2, 0x8879, 0 },
	{ { 0xb0, 0x4f }, 2, 0x8a18, 0 },
	{ { 0xb0, 0x50 }, 2, 0x8a10, 0 },
	{ { 0xb0, 0x51 }, 2, 0x8a0e, 0 },
	{ { 0xb0, 0x52 }, 2, 0x8a0c, 0 },
	{ { 0xb0, 0x53 }, 2, 0x8a15, 0 },
	{ { 0xb0, 0x54 }, 2, 0x8a0a, 0 },
	{ { 0xb0, 0x55 }, 2, 0x8a17, 0 },
	{ { 0xb0, 0x56 }, 2, 0x8a13, 0 },
	{ { 0xb0, 0x57 }, 2, 0x8a16, 0 },
	{ { 0xb0, 0x58 }, 2, 0x8a0f, 0 },
	{ { 0xb0, 0x59 }, 2, 0x8a11, 0 },
	{ { 0xb0, 0x5a }, 2, 0x8c48, 0 },
	{ { 0xb0, 0x5b }, 2, 0x8c7a, 0 },
	{ { 0xb0, 0x5c }, 2, 0x8c79, 0 },
	{ { 0xb0, 0x5d }, 2, 0x8ca1, 0 },
	{ { 0xb0, 0x5e }, 2, 0x8ca2, 0 },
	{ { 0xb0, 0x5f }, 2, 0x8d77, 0 },
	{ { 0xb0, 0x60 }, 2, 0x8eac, 0 },
	{ { 0xb0, 0x61 }, 2, 0x8ed2, 0 },
	{ { 0xb0, 0x62 }, 2, 0x8ed4, 0 },
	{ { 0xb0, 0x63 }, 2, 0x8ecf, 0 },
	{ { 0xb0, 0x64 }, 2, 0x8fb1, 0 },
	{ { 0xb0, 0x65 }, 2, 0x9001, 0 },
	{ { 0xb0, 0x66 }, 2, 0x9006, 0 },
	{ { 0xb0, 0x67 }, 2, 0x8ff7, 0 },
	{ { 0xb0, 0x68 }, 2, 0x9000, 0 },
	{ { 0xb0, 0x69 }, 2, 0x8ffa, 0 },
	{ { 0xb0, 0x6a }, 2, 0x8ff4, 0 },
	{ { 0xb0, 0x6b }, 2, 0x9003, 0 },
	{ { 0xb0, 0x6c }, 2, 0x8ffd, 0 },
	{ { 0xb0, 0x6d }, 2, 0x9005, 0 },
	{ { 0xb0, 0x6e }, 2, 0x8ff8, 0 },
	{ { 0xb0, 0x6f }, 2, 0x9095, 0 },
	{ { 0xb0, 0x70 }, 2, 0x90e1, 0 },
	{ { 0xb0, 0x71 }, 2, 0x90dd, 0 },
	{ { 0xb0, 0x72 }, 2, 0x90e2, 0 },
	{ { 0xb0, 0x73 }, 2, 0x9152, 0 },
	{ { 0xb0, 0x74 }, 2, 0x914d, 0 },
	{ { 0xb0, 0x75 }, 2, 0x914c, 0 },
	{ { 0xb0, 0x76 }, 2, 0x91d8, 0 },
	{ { 0xb0, 0x77 }, 2, 0x91dd, 0 },
	{ { 0xb0, 0x78 }, 2, 0x91d7, 0 },
	{ { 0xb0, 0x79 }, 2, 0x91dc, 0 },
	{ { 0xb0, 0x7a }, 2, 0x91d9, 0 },
	{ { 0xb0, 0x7b }, 2, 0x9583, 0 },
	{ { 0xb0, 0x7c }, 2, 0x9662, 0 },
	{ { 0xb0, 0x7d }, 2, 0x9663, 0 },
	{ { 0xb0, 0x7e }, 2, 0x9661, 0 },
	{ { 0xb0, 0xa1 }, 2, 0x965b, 0 },
	{ { 0xb0, 0xa2 }, 2, 0x965d, 0 },
	{ { 0xb0, 0xa3 }, 2, 0x9664, 0 },
	{ { 0xb0, 0xa4 }, 2, 0x9658, 0 },
	{ { 0xb0, 0xa5 }, 2, 0x965e, 0 },
	{ { 0xb0, 0xa6 }, 2, 0x96bb, 0 },
	{ { 0xb0, 0xa7 }, 2, 0x98e2, 0 },
	{ { 0xb0, 0xa8 }, 2, 0x99ac, 0 },
	{ { 0xb0, 0xa9 }, 2, 0x9aa8, 0 },
	{ { 0xb0, 0xaa }, 2, 0x9ad8, 0 },
	{ { 0xb0, 0xab }, 2, 0x9b25, 0 },
	{ { 0xb0, 0xac }, 2, 0x9b32, 0 },
	{ { 0xb0, 0xad }, 2, 0x9b3c, 0 },
	{ { 0xb0, 0xae }, 2, 0x4e7e, 0 },
	{ { 0xb0, 0xaf }, 2, 0x507a, 0 },
	{ { 0xb0, 0xb0 }, 2, 0x507d, 0 },
	{ { 0xb0, 0xb1 }, 2, 0x505c, 0 },
	{ { 0xb0, 0xb2 }, 2, 0x5047, 0 },
	{ { 0xb0, 0xb3 }, 2, 0x5043, 0 },
	{ { 0xb0, 0xb4 }, 2, 0x504c, 0 },
	{ { 0xb0, 0xb5 }, 2, 0x505a, 0 },
	{ { 0xb0, 0xb6 }, 2, 0x5049, 0 },
	{ { 0xb0, 0xb7 }, 2, 0x5065, 0 },
	{ { 0xb0, 0xb8 }, 2, 0x5076, 0 },
	{ { 0xb0, 0xb9 }, 2, 0x504e, 0 },
	{ { 0xb0, 0xba }, 2, 0x5055, 0 },
	{ { 0xb0, 0xbb }, 2, 0x5075, 0 },
	{ { 0xb0, 0xbc }, 2, 0x5074, 0 },
	{ { 0xb0, 0xbd }, 2, 0x5077, 0 },
	{ { 0xb0, 0xbe }, 2, 0x504f, 0 },
	{ { 0xb0, 0xbf }, 2, 0x500f, 0 },
	{ { 0xb0, 0xc0 }, 2, 0x506f, 0 },
	{ { 0xb0, 0xc1 }, 2, 0x506d, 0 },
	{ { 0xb0, 0xc2 }, 2, 0x515c, 0 },
	{ { 0xb0, 0xc3 }, 2, 0x5195, 0 },
	{ { 0xb0, 0xc4 }, 2, 0x51f0, 0 },
	{ { 0xb0, 0xc5 }, 2, 0x526a, 0 },
	{ { 0xb0, 0xc6 }, 2, 0x526f, 0 },
	{ { 0xb0, 0xc7 }, 2, 0x52d2, 0 },
	{ { 0xb0, 0xc8 }, 2, 0x52d9, 0 },
	{ { 0xb0, 0xc9 }, 2, 0x52d8, 0 },
	{ { 0xb0, 0xca }, 2, 0x52d5, 0 },
	{ { 0xb0, 0xcb }, 2, 0x5310, 0 },
	{ { 0xb0, 0xcc }, 2, 0x530f, 0 },
	{ { 0xb0, 0xcd }, 2, 0x5319, 0 },
	{ { 0xb0, 0xce }, 2, 0x533f, 0 },
	{ { 0xb0, 0xcf }, 2, 0x5340, 0 },
	{ { 0xb0, 0xd0 }, 2, 0x533e, 0 },
	{ { 0xb0, 0xd1 }, 2, 0x53c3, 0 },
	{ { 0xb0, 0xd2 }, 2, 0x66fc, 0 },
	{ { 0xb0, 0xd3 }, 2, 0x5546, 0 },
	{ { 0xb0, 0xd4 }, 2, 0x556a, 0 },
	{ { 0xb0, 0xd5 }, 2, 0x5566, 0 },
	{ { 0xb0, 0xd6 }, 2, 0x5544, 0 },
	{ { 0xb0, 0xd7 }, 2, 0x555e, 0 },
	{ { 0xb0, 0xd8 }, 2, 0x5561, 0 },
	{ { 0xb0, 0xd9 }, 2, 0x5543, 0 },
	{ { 0xb0, 0xda }, 2, 0x554a, 0 },
	{ { 0xb0, 0xdb }, 2, 0x5531, 0 },
	{ { 0xb0, 0xdc }, 2, 0x5556, 0 },
	{ { 0xb0, 0xdd }, 2, 0x554f, 0 },
	{ { 0xb0, 0xde }, 2, 0x5555, 0 },
	{ { 0xb0, 0xdf }, 2, 0x552f, 0 },
	{ { 0xb0, 0xe0 }, 2, 0x5564, 0 },
	{ { 0xb0, 0xe1 }, 2, 0x5538, 0 },
	{ { 0xb0, 0xe2 }, 2, 0x552e, 0 },
	{ { 0xb0, 0xe3 }, 2, 0x555c, 0 },
	{ { 0xb0, 0xe4 }, 2, 0x552c, 0 },
	{ { 0xb0, 0xe5 }, 2, 0x5563, 0 },
	{ { 0xb0, 0xe6 }, 2, 0x5533, 0 },
	{ { 0xb0, 0xe7 }, 2, 0x5541, 0 },
	{ { 0xb0, 0xe8 }, 2, 0x5557, 0 },
	{ { 0xb0, 0xe9 }, 2, 0x5708, 0 },
	{ { 0xb0, 0xea }, 2, 0x570b, 0 },
	{ { 0xb0, 0xeb }, 2, 0x5709, 0 },
	{ { 0xb0, 0xec }, 2, 0x57df, 0 },
	{ { 0xb0, 0xed }, 2, 0x5805, 0 },
	{ { 0xb0, 0xee }, 2, 0x580a, 0 },
	{ { 0xb0, 0xef }, 2, 0x5806, 0 },
	{ { 0xb0, 0xf0 }, 2, 0x57e0, 0 },
	{ { 0xb0, 0xf1 }, 2, 0x57e4, 0 },
	{ { 0xb0, 0xf2 }, 2, 0x57fa, 0 },
	{ { 0xb0, 0xf3 }, 2, 0x5802, 0 },
	{ { 0xb0, 0xf4 }, 2, 0x5835, 0 },
	{ { 0xb0, 0xf5 }, 2, 0x57f7, 0 },
	{ { 0xb0, 0xf6 }, 2, 0x57f9, 0 },
	{ { 0xb0, 0xf7 }, 2, 0x5920, 0 },
	{ { 0xb0, 0xf8 }, 2, 0x5962, 0 },
	{ { 0xb0, 0xf9 }, 2, 0x5a36, 0 },
	{ { 0xb0, 0xfa }, 2, 0x5a41, 0 },
	{ { 0xb0, 0xfb }, 2, 0x5a49, 0 },
	{ { 0xb0, 0xfc }, 2, 0x5a66, 0 },
	{ { 0xb0, 0xfd }, 2, 0x5a6a, 0 },
	{ { 0xb0, 0xfe }, 2, 0x5a40, 0 },

	{ { 0xb1, 0x40 }, 2, 0x5a3c, 0 },
	{ { 0xb1, 0x41 }, 2, 0x5a62, 0 },
	{ { 0xb1, 0x42 }, 2, 0x5a5a, 0 },
	{ { 0xb1, 0x43 }, 2, 0x5a46, 0 },
	{ { 0xb1, 0x44 }, 2, 0x5a4a, 0 },
	{ { 0xb1, 0x45 }, 2, 0x5b70, 0 },
	{ { 0xb1, 0x46 }, 2, 0x5bc7, 0 },
	{ { 0xb1, 0x47 }, 2, 0x5bc5, 0 },
	{ { 0xb1, 0x48 }, 2, 0x5bc4, 0 },
	{ { 0xb1, 0x49 }, 2, 0x5bc2, 0 },
	{ { 0xb1, 0x4a }, 2, 0x5bbf, 0 },
	{ { 0xb1, 0x4b }, 2, 0x5bc6, 0 },
	{ { 0xb1, 0x4c }, 2, 0x5c09, 0 },
	{ { 0xb1, 0x4d }, 2, 0x5c08, 0 },
	{ { 0xb1, 0x4e }, 2, 0x5c07, 0 },
	{ { 0xb1, 0x4f }, 2, 0x5c60, 0 },
	{ { 0xb1, 0x50 }, 2, 0x5c5c, 0 },
	{ { 0xb1, 0x51 }, 2, 0x5c5d, 0 },
	{ { 0xb1, 0x52 }, 2, 0x5d07, 0 },
	{ { 0xb1, 0x53 }, 2, 0x5d06, 0 },
	{ { 0xb1, 0x54 }, 2, 0x5d0e, 0 },
	{ { 0xb1, 0x55 }, 2, 0x5d1b, 0 },
	{ { 0xb1, 0x56 }, 2, 0x5d16, 0 },
	{ { 0xb1, 0x57 }, 2, 0x5d22, 0 },
	{ { 0xb1, 0x58 }, 2, 0x5d11, 0 },
	{ { 0xb1, 0x59 }, 2, 0x5d29, 0 },
	{ { 0xb1, 0x5a }, 2, 0x5d14, 0 },
	{ { 0xb1, 0x5b }, 2, 0x5d19, 0 },
	{ { 0xb1, 0x5c }, 2, 0x5d24, 0 },
	{ { 0xb1, 0x5d }, 2, 0x5d27, 0 },
	{ { 0xb1, 0x5e }, 2, 0x5d17, 0 },
	{ { 0xb1, 0x5f }, 2, 0x5de2, 0 },
	{ { 0xb1, 0x60 }, 2, 0x5e38, 0 },
	{ { 0xb1, 0x61 }, 2, 0x5e36, 0 },
	{ { 0xb1, 0x62 }, 2, 0x5e33, 0 },
	{ { 0xb1, 0x63 }, 2, 0x5e37, 0 },
	{ { 0xb1, 0x64 }, 2, 0x5eb7, 0 },
	{ { 0xb1, 0x65 }, 2, 0x5eb8, 0 },
	{ { 0xb1, 0x66 }, 2, 0x5eb6, 0 },
	{ { 0xb1, 0x67 }, 2, 0x5eb5, 0 },
	{ { 0xb1, 0x68 }, 2, 0x5ebe, 0 },
	{ { 0xb1, 0x69 }, 2, 0x5f35, 0 },
	{ { 0xb1, 0x6a }, 2, 0x5f37, 0 },
	{ { 0xb1, 0x6b }, 2, 0x5f57, 0 },
	{ { 0xb1, 0x6c }, 2, 0x5f6c, 0 },
	{ { 0xb1, 0x6d }, 2, 0x5f69, 0 },
	{ { 0xb1, 0x6e }, 2, 0x5f6b, 0 },
	{ { 0xb1, 0x6f }, 2, 0x5f97, 0 },
	{ { 0xb1, 0x70 }, 2, 0x5f99, 0 },
	{ { 0xb1, 0x71 }, 2, 0x5f9e, 0 },
	{ { 0xb1, 0x72 }, 2, 0x5f98, 0 },
	{ { 0xb1, 0x73 }, 2, 0x5fa1, 0 },
	{ { 0xb1, 0x74 }, 2, 0x5fa0, 0 },
	{ { 0xb1, 0x75 }, 2, 0x5f9c, 0 },
	{ { 0xb1, 0x76 }, 2, 0x607f, 0 },
	{ { 0xb1, 0x77 }, 2, 0x60a3, 0 },
	{ { 0xb1, 0x78 }, 2, 0x6089, 0 },
	{ { 0xb1, 0x79 }, 2, 0x60a0, 0 },
	{ { 0xb1, 0x7a }, 2, 0x60a8, 0 },
	{ { 0xb1, 0x7b }, 2, 0x60cb, 0 },
	{ { 0xb1, 0x7c }, 2, 0x60b4, 0 },
	{ { 0xb1, 0x7d }, 2, 0x60e6, 0 },
	{ { 0xb1, 0x7e }, 2, 0x60bd, 0 },
	{ { 0xb1, 0xa1 }, 2, 0x60c5, 0 },
	{ { 0xb1, 0xa2 }, 2, 0x60bb, 0 },
	{ { 0xb1, 0xa3 }, 2, 0x60b5, 0 },
	{ { 0xb1, 0xa4 }, 2, 0x60dc, 0 },
	{ { 0xb1, 0xa5 }, 2, 0x60bc, 0 },
	{ { 0xb1, 0xa6 }, 2, 0x60d8, 0 },
	{ { 0xb1, 0xa7 }, 2, 0x60d5, 0 },
	{ { 0xb1, 0xa8 }, 2, 0x60c6, 0 },
	{ { 0xb1, 0xa9 }, 2, 0x60df, 0 },
	{ { 0xb1, 0xaa }, 2, 0x60b8, 0 },
	{ { 0xb1, 0xab }, 2, 0x60da, 0 },
	{ { 0xb1, 0xac }, 2, 0x60c7, 0 },
	{ { 0xb1, 0xad }, 2, 0x621a, 0 },
	{ { 0xb1, 0xae }, 2, 0x621b, 0 },
	{ { 0xb1, 0xaf }, 2, 0x6248, 0 },
	{ { 0xb1, 0xb0 }, 2, 0x63a0, 0 },
	{ { 0xb1, 0xb1 }, 2, 0x63a7, 0 },
	{ { 0xb1, 0xb2 }, 2, 0x6372, 0 },
	{ { 0xb1, 0xb3 }, 2, 0x6396, 0 },
	{ { 0xb1, 0xb4 }, 2, 0x63a2, 0 },
	{ { 0xb1, 0xb5 }, 2, 0x63a5, 0 },
	{ { 0xb1, 0xb6 }, 2, 0x6377, 0 },
	{ { 0xb1, 0xb7 }, 2, 0x6367, 0 },
	{ { 0xb1, 0xb8 }, 2, 0x6398, 0 },
	{ { 0xb1, 0xb9 }, 2, 0x63aa, 0 },
	{ { 0xb1, 0xba }, 2, 0x6371, 0 },
	{ { 0xb1, 0xbb }, 2, 0x63a9, 0 },
	{ { 0xb1, 0xbc }, 2, 0x6389, 0 },
	{ { 0xb1, 0xbd }, 2, 0x6383, 0 },
	{ { 0xb1, 0xbe }, 2, 0x639b, 0 },
	{ { 0xb1, 0xbf }, 2, 0x636b, 0 },
	{ { 0xb1, 0xc0 }, 2, 0x63a8, 0 },
	{ { 0xb1, 0xc1 }, 2, 0x6384, 0 },
	{ { 0xb1, 0xc2 }, 2, 0x6388, 0 },
	{ { 0xb1, 0xc3 }, 2, 0x6399, 0 },
	{ { 0xb1, 0xc4 }, 2, 0x63a1, 0 },
	{ { 0xb1, 0xc5 }, 2, 0x63ac, 0 },
	{ { 0xb1, 0xc6 }, 2, 0x6392, 0 },
	{ { 0xb1, 0xc7 }, 2, 0x638f, 0 },
	{ { 0xb1, 0xc8 }, 2, 0x6380, 0 },
	{ { 0xb1, 0xc9 }, 2, 0x637b, 0 },
	{ { 0xb1, 0xca }, 2, 0x6369, 0 },
	{ { 0xb1, 0xcb }, 2, 0x6368, 0 },
	{ { 0xb1, 0xcc }, 2, 0x637a, 0 },
	{ { 0xb1, 0xcd }, 2, 0x655d, 0 },
	{ { 0xb1, 0xce }, 2, 0x6556, 0 },
	{ { 0xb1, 0xcf }, 2, 0x6551, 0 },
	{ { 0xb1, 0xd0 }, 2, 0x6559, 0 },
	{ { 0xb1, 0xd1 }, 2, 0x6557, 0 },
	{ { 0xb1, 0xd2 }, 2, 0x555f, 0 },
	{ { 0xb1, 0xd3 }, 2, 0x654f, 0 },
	{ { 0xb1, 0xd4 }, 2, 0x6558, 0 },
	{ { 0xb1, 0xd5 }, 2, 0x6555, 0 },
	{ { 0xb1, 0xd6 }, 2, 0x6554, 0 },
	{ { 0xb1, 0xd7 }, 2, 0x659c, 0 },
	{ { 0xb1, 0xd8 }, 2, 0x659b, 0 },
	{ { 0xb1, 0xd9 }, 2, 0x65ac, 0 },
	{ { 0xb1, 0xda }, 2, 0x65cf, 0 },
	{ { 0xb1, 0xdb }, 2, 0x65cb, 0 },
	{ { 0xb1, 0xdc }, 2, 0x65cc, 0 },
	{ { 0xb1, 0xdd }, 2, 0x65ce, 0 },
	{ { 0xb1, 0xde }, 2, 0x665d, 0 },
	{ { 0xb1, 0xdf }, 2, 0x665a, 0 },
	{ { 0xb1, 0xe0 }, 2, 0x6664, 0 },
	{ { 0xb1, 0xe1 }, 2, 0x6668, 0 },
	{ { 0xb1, 0xe2 }, 2, 0x6666, 0 },
	{ { 0xb1, 0xe3 }, 2, 0x665e, 0 },
	{ { 0xb1, 0xe4 }, 2, 0x66f9, 0 },
	{ { 0xb1, 0xe5 }, 2, 0x52d7, 0 },
	{ { 0xb1, 0xe6 }, 2, 0x671b, 0 },
	{ { 0xb1, 0xe7 }, 2, 0x6881, 0 },
	{ { 0xb1, 0xe8 }, 2, 0x68af, 0 },
	{ { 0xb1, 0xe9 }, 2, 0x68a2, 0 },
	{ { 0xb1, 0xea }, 2, 0x6893, 0 },
	{ { 0xb1, 0xeb }, 2, 0x68b5, 0 },
	{ { 0xb1, 0xec }, 2, 0x687f, 0 },
	{ { 0xb1, 0xed }, 2, 0x6876, 0 },
	{ { 0xb1, 0xee }, 2, 0x68b1, 0 },
	{ { 0xb1, 0xef }, 2, 0x68a7, 0 },
	{ { 0xb1, 0xf0 }, 2, 0x6897, 0 },
	{ { 0xb1, 0xf1 }, 2, 0x68b0, 0 },
	{ { 0xb1, 0xf2 }, 2, 0x6883, 0 },
	{ { 0xb1, 0xf3 }, 2, 0x68c4, 0 },
	{ { 0xb1, 0xf4 }, 2, 0x68ad, 0 },
	{ { 0xb1, 0xf5 }, 2, 0x6886, 0 },
	{ { 0xb1, 0xf6 }, 2, 0x6885, 0 },
	{ { 0xb1, 0xf7 }, 2, 0x6894, 0 },
	{ { 0xb1, 0xf8 }, 2, 0x689d, 0 },
	{ { 0xb1, 0xf9 }, 2, 0x68a8, 0 },
	{ { 0xb1, 0xfa }, 2, 0x689f, 0 },
	{ { 0xb1, 0xfb }, 2, 0x68a1, 0 },
	{ { 0xb1, 0xfc }, 2, 0x6882, 0 },
	{ { 0xb1, 0xfd }, 2, 0x6b32, 0 },
	{ { 0xb1, 0xfe }, 2, 0x6bba, 0 },

	{ { 0xb2, 0x40 }, 2, 0x6beb, 0 },
	{ { 0xb2, 0x41 }, 2, 0x6bec, 0 },
	{ { 0xb2, 0x42 }, 2, 0x6c2b, 0 },
	{ { 0xb2, 0x43 }, 2, 0x6d8e, 0 },
	{ { 0xb2, 0x44 }, 2, 0x6dbc, 0 },
	{ { 0xb2, 0x45 }, 2, 0x6df3, 0 },
	{ { 0xb2, 0x46 }, 2, 0x6dd9, 0 },
	{ { 0xb2, 0x47 }, 2, 0x6db2, 0 },
	{ { 0xb2, 0x48 }, 2, 0x6de1, 0 },
	{ { 0xb2, 0x49 }, 2, 0x6dcc, 0 },
	{ { 0xb2, 0x4a }, 2, 0x6de4, 0 },
	{ { 0xb2, 0x4b }, 2, 0x6dfb, 0 },
	{ { 0xb2, 0x4c }, 2, 0x6dfa, 0 },
	{ { 0xb2, 0x4d }, 2, 0x6e05, 0 },
	{ { 0xb2, 0x4e }, 2, 0x6dc7, 0 },
	{ { 0xb2, 0x4f }, 2, 0x6dcb, 0 },
	{ { 0xb2, 0x50 }, 2, 0x6daf, 0 },
	{ { 0xb2, 0x51 }, 2, 0x6dd1, 0 },
	{ { 0xb2, 0x52 }, 2, 0x6dae, 0 },
	{ { 0xb2, 0x53 }, 2, 0x6dde, 0 },
	{ { 0xb2, 0x54 }, 2, 0x6df9, 0 },
	{ { 0xb2, 0x55 }, 2, 0x6db8, 0 },
	{ { 0xb2, 0x56 }, 2, 0x6df7, 0 },
	{ { 0xb2, 0x57 }, 2, 0x6df5, 0 },
	{ { 0xb2, 0x58 }, 2, 0x6dc5, 0 },
	{ { 0xb2, 0x59 }, 2, 0x6dd2, 0 },
	{ { 0xb2, 0x5a }, 2, 0x6e1a, 0 },
	{ { 0xb2, 0x5b }, 2, 0x6db5, 0 },
	{ { 0xb2, 0x5c }, 2, 0x6dda, 0 },
	{ { 0xb2, 0x5d }, 2, 0x6deb, 0 },
	{ { 0xb2, 0x5e }, 2, 0x6dd8, 0 },
	{ { 0xb2, 0x5f }, 2, 0x6dea, 0 },
	{ { 0xb2, 0x60 }, 2, 0x6df1, 0 },
	{ { 0xb2, 0x61 }, 2, 0x6dee, 0 },
	{ { 0xb2, 0x62 }, 2, 0x6de8, 0 },
	{ { 0xb2, 0x63 }, 2, 0x6dc6, 0 },
	{ { 0xb2, 0x64 }, 2, 0x6dc4, 0 },
	{ { 0xb2, 0x65 }, 2, 0x6daa, 0 },
	{ { 0xb2, 0x66 }, 2, 0x6dec, 0 },
	{ { 0xb2, 0x67 }, 2, 0x6dbf, 0 },
	{ { 0xb2, 0x68 }, 2, 0x6de6, 0 },
	{ { 0xb2, 0x69 }, 2, 0x70f9, 0 },
	{ { 0xb2, 0x6a }, 2, 0x7109, 0 },
	{ { 0xb2, 0x6b }, 2, 0x710a, 0 },
	{ { 0xb2, 0x6c }, 2, 0x70fd, 0 },
	{ { 0xb2, 0x6d }, 2, 0x70ef, 0 },
	{ { 0xb2, 0x6e }, 2, 0x723d, 0 },
	{ { 0xb2, 0x6f }, 2, 0x727d, 0 },
	{ { 0xb2, 0x70 }, 2, 0x7281, 0 },
	{ { 0xb2, 0x71 }, 2, 0x731c, 0 },
	{ { 0xb2, 0x72 }, 2, 0x731b, 0 },
	{ { 0xb2, 0x73 }, 2, 0x7316, 0 },
	{ { 0xb2, 0x74 }, 2, 0x7313, 0 },
	{ { 0xb2, 0x75 }, 2, 0x7319, 0 },
	{ { 0xb2, 0x76 }, 2, 0x7387, 0 },
	{ { 0xb2, 0x77 }, 2, 0x7405, 0 },
	{ { 0xb2, 0x78 }, 2, 0x740a, 0 },
	{ { 0xb2, 0x79 }, 2, 0x7403, 0 },
	{ { 0xb2, 0x7a }, 2, 0x7406, 0 },
	{ { 0xb2, 0x7b }, 2, 0x73fe, 0 },
	{ { 0xb2, 0x7c }, 2, 0x740d, 0 },
	{ { 0xb2, 0x7d }, 2, 0x74e0, 0 },
	{ { 0xb2, 0x7e }, 2, 0x74f6, 0 },
	{ { 0xb2, 0xa1 }, 2, 0x74f7, 0 },
	{ { 0xb2, 0xa2 }, 2, 0x751c, 0 },
	{ { 0xb2, 0xa3 }, 2, 0x7522, 0 },
	{ { 0xb2, 0xa4 }, 2, 0x7565, 0 },
	{ { 0xb2, 0xa5 }, 2, 0x7566, 0 },
	{ { 0xb2, 0xa6 }, 2, 0x7562, 0 },
	{ { 0xb2, 0xa7 }, 2, 0x7570, 0 },
	{ { 0xb2, 0xa8 }, 2, 0x758f, 0 },
	{ { 0xb2, 0xa9 }, 2, 0x75d4, 0 },
	{ { 0xb2, 0xaa }, 2, 0x75d5, 0 },
	{ { 0xb2, 0xab }, 2, 0x75b5, 0 },
	{ { 0xb2, 0xac }, 2, 0x75ca, 0 },
	{ { 0xb2, 0xad }, 2, 0x75cd, 0 },
	{ { 0xb2, 0xae }, 2, 0x768e, 0 },
	{ { 0xb2, 0xaf }, 2, 0x76d4, 0 },
	{ { 0xb2, 0xb0 }, 2, 0x76d2, 0 },
	{ { 0xb2, 0xb1 }, 2, 0x76db, 0 },
	{ { 0xb2, 0xb2 }, 2, 0x7737, 0 },
	{ { 0xb2, 0xb3 }, 2, 0x773e, 0 },
	{ { 0xb2, 0xb4 }, 2, 0x773c, 0 },
	{ { 0xb2, 0xb5 }, 2, 0x7736, 0 },
	{ { 0xb2, 0xb6 }, 2, 0x7738, 0 },
	{ { 0xb2, 0xb7 }, 2, 0x773a, 0 },
	{ { 0xb2, 0xb8 }, 2, 0x786b, 0 },
	{ { 0xb2, 0xb9 }, 2, 0x7843, 0 },
	{ { 0xb2, 0xba }, 2, 0x784e, 0 },
	{ { 0xb2, 0xbb }, 2, 0x7965, 0 },
	{ { 0xb2, 0xbc }, 2, 0x7968, 0 },
	{ { 0xb2, 0xbd }, 2, 0x796d, 0 },
	{ { 0xb2, 0xbe }, 2, 0x79fb, 0 },
	{ { 0xb2, 0xbf }, 2, 0x7a92, 0 },
	{ { 0xb2, 0xc0 }, 2, 0x7a95, 0 },
	{ { 0xb2, 0xc1 }, 2, 0x7b20, 0 },
	{ { 0xb2, 0xc2 }, 2, 0x7b28, 0 },
	{ { 0xb2, 0xc3 }, 2, 0x7b1b, 0 },
	{ { 0xb2, 0xc4 }, 2, 0x7b2c, 0 },
	{ { 0xb2, 0xc5 }, 2, 0x7b26, 0 },
	{ { 0xb2, 0xc6 }, 2, 0x7b19, 0 },
	{ { 0xb2, 0xc7 }, 2, 0x7b1e, 0 },
	{ { 0xb2, 0xc8 }, 2, 0x7b2e, 0 },
	{ { 0xb2, 0xc9 }, 2, 0x7c92, 0 },
	{ { 0xb2, 0xca }, 2, 0x7c97, 0 },
	{ { 0xb2, 0xcb }, 2, 0x7c95, 0 },
	{ { 0xb2, 0xcc }, 2, 0x7d46, 0 },
	{ { 0xb2, 0xcd }, 2, 0x7d43, 0 },
	{ { 0xb2, 0xce }, 2, 0x7d71, 0 },
	{ { 0xb2, 0xcf }, 2, 0x7d2e, 0 },
	{ { 0xb2, 0xd0 }, 2, 0x7d39, 0 },
	{ { 0xb2, 0xd1 }, 2, 0x7d3c, 0 },
	{ { 0xb2, 0xd2 }, 2, 0x7d40, 0 },
	{ { 0xb2, 0xd3 }, 2, 0x7d30, 0 },
	{ { 0xb2, 0xd4 }, 2, 0x7d33, 0 },
	{ { 0xb2, 0xd5 }, 2, 0x7d44, 0 },
	{ { 0xb2, 0xd6 }, 2, 0x7d2f, 0 },
	{ { 0xb2, 0xd7 }, 2, 0x7d42, 0 },
	{ { 0xb2, 0xd8 }, 2, 0x7d32, 0 },
	{ { 0xb2, 0xd9 }, 2, 0x7d31, 0 },
	{ { 0xb2, 0xda }, 2, 0x7f3d, 0 },
	{ { 0xb2, 0xdb }, 2, 0x7f9e, 0 },
	{ { 0xb2, 0xdc }, 2, 0x7f9a, 0 },
	{ { 0xb2, 0xdd }, 2, 0x7fcc, 0 },
	{ { 0xb2, 0xde }, 2, 0x7fce, 0 },
	{ { 0xb2, 0xdf }, 2, 0x7fd2, 0 },
	{ { 0xb2, 0xe0 }, 2, 0x801c, 0 },
	{ { 0xb2, 0xe1 }, 2, 0x804a, 0 },
	{ { 0xb2, 0xe2 }, 2, 0x8046, 0 },
	{ { 0xb2, 0xe3 }, 2, 0x812f, 0 },
	{ { 0xb2, 0xe4 }, 2, 0x8116, 0 },
	{ { 0xb2, 0xe5 }, 2, 0x8123, 0 },
	{ { 0xb2, 0xe6 }, 2, 0x812b, 0 },
	{ { 0xb2, 0xe7 }, 2, 0x8129, 0 },
	{ { 0xb2, 0xe8 }, 2, 0x8130, 0 },
	{ { 0xb2, 0xe9 }, 2, 0x8124, 0 },
	{ { 0xb2, 0xea }, 2, 0x8202, 0 },
	{ { 0xb2, 0xeb }, 2, 0x8235, 0 },
	{ { 0xb2, 0xec }, 2, 0x8237, 0 },
	{ { 0xb2, 0xed }, 2, 0x8236, 0 },
	{ { 0xb2, 0xee }, 2, 0x8239, 0 },
	{ { 0xb2, 0xef }, 2, 0x838e, 0 },
	{ { 0xb2, 0xf0 }, 2, 0x839e, 0 },
	{ { 0xb2, 0xf1 }, 2, 0x8398, 0 },
	{ { 0xb2, 0xf2 }, 2, 0x8378, 0 },
	{ { 0xb2, 0xf3 }, 2, 0x83a2, 0 },
	{ { 0xb2, 0xf4 }, 2, 0x8396, 0 },
	{ { 0xb2, 0xf5 }, 2, 0x83bd, 0 },
	{ { 0xb2, 0xf6 }, 2, 0x83ab, 0 },
	{ { 0xb2, 0xf7 }, 2, 0x8392, 0 },
	{ { 0xb2, 0xf8 }, 2, 0x838a, 0 },
	{ { 0xb2, 0xf9 }, 2, 0x8393, 0 },
	{ { 0xb2, 0xfa }, 2, 0x8389, 0 },
	{ { 0xb2, 0xfb }, 2, 0x83a0, 0 },
	{ { 0xb2, 0xfc }, 2, 0x8377, 0 },
	{ { 0xb2, 0xfd }, 2, 0x837b, 0 },
	{ { 0xb2, 0xfe }, 2, 0x837c, 0 },

	{ { 0xb3, 0x40 }, 2, 0x8386, 0 },
	{ { 0xb3, 0x41 }, 2, 0x83a7, 0 },
	{ { 0xb3, 0x42 }, 2, 0x8655, 0 },
	{ { 0xb3, 0x43 }, 2, 0x5f6a, 0 },
	{ { 0xb3, 0x44 }, 2, 0x86c7, 0 },
	{ { 0xb3, 0x45 }, 2, 0x86c0, 0 },
	{ { 0xb3, 0x46 }, 2, 0x86b6, 0 },
	{ { 0xb3, 0x47 }, 2, 0x86c4, 0 },
	{ { 0xb3, 0x48 }, 2, 0x86b5, 0 },
	{ { 0xb3, 0x49 }, 2, 0x86c6, 0 },
	{ { 0xb3, 0x4a }, 2, 0x86cb, 0 },
	{ { 0xb3, 0x4b }, 2, 0x86b1, 0 },
	{ { 0xb3, 0x4c }, 2, 0x86af, 0 },
	{ { 0xb3, 0x4d }, 2, 0x86c9, 0 },
	{ { 0xb3, 0x4e }, 2, 0x8853, 0 },
	{ { 0xb3, 0x4f }, 2, 0x889e, 0 },
	{ { 0xb3, 0x50 }, 2, 0x8888, 0 },
	{ { 0xb3, 0x51 }, 2, 0x88ab, 0 },
	{ { 0xb3, 0x52 }, 2, 0x8892, 0 },
	{ { 0xb3, 0x53 }, 2, 0x8896, 0 },
	{ { 0xb3, 0x54 }, 2, 0x888d, 0 },
	{ { 0xb3, 0x55 }, 2, 0x888b, 0 },
	{ { 0xb3, 0x56 }, 2, 0x8993, 0 },
	{ { 0xb3, 0x57 }, 2, 0x898f, 0 },
	{ { 0xb3, 0x58 }, 2, 0x8a2a, 0 },
	{ { 0xb3, 0x59 }, 2, 0x8a1d, 0 },
	{ { 0xb3, 0x5a }, 2, 0x8a23, 0 },
	{ { 0xb3, 0x5b }, 2, 0x8a25, 0 },
	{ { 0xb3, 0x5c }, 2, 0x8a31, 0 },
	{ { 0xb3, 0x5d }, 2, 0x8a2d, 0 },
	{ { 0xb3, 0x5e }, 2, 0x8a1f, 0 },
	{ { 0xb3, 0x5f }, 2, 0x8a1b, 0 },
	{ { 0xb3, 0x60 }, 2, 0x8a22, 0 },
	{ { 0xb3, 0x61 }, 2, 0x8c49, 0 },
	{ { 0xb3, 0x62 }, 2, 0x8c5a, 0 },
	{ { 0xb3, 0x63 }, 2, 0x8ca9, 0 },
	{ { 0xb3, 0x64 }, 2, 0x8cac, 0 },
	{ { 0xb3, 0x65 }, 2, 0x8cab, 0 },
	{ { 0xb3, 0x66 }, 2, 0x8ca8, 0 },
	{ { 0xb3, 0x67 }, 2, 0x8caa, 0 },
	{ { 0xb3, 0x68 }, 2, 0x8ca7, 0 },
	{ { 0xb3, 0x69 }, 2, 0x8d67, 0 },
	{ { 0xb3, 0x6a }, 2, 0x8d66, 0 },
	{ { 0xb3, 0x6b }, 2, 0x8dbe, 0 },
	{ { 0xb3, 0x6c }, 2, 0x8dba, 0 },
	{ { 0xb3, 0x6d }, 2, 0x8edb, 0 },
	{ { 0xb3, 0x6e }, 2, 0x8edf, 0 },
	{ { 0xb3, 0x6f }, 2, 0x9019, 0 },
	{ { 0xb3, 0x70 }, 2, 0x900d, 0 },
	{ { 0xb3, 0x71 }, 2, 0x901a, 0 },
	{ { 0xb3, 0x72 }, 2, 0x9017, 0 },
	{ { 0xb3, 0x73 }, 2, 0x9023, 0 },
	{ { 0xb3, 0x74 }, 2, 0x901f, 0 },
	{ { 0xb3, 0x75 }, 2, 0x901d, 0 },
	{ { 0xb3, 0x76 }, 2, 0x9010, 0 },
	{ { 0xb3, 0x77 }, 2, 0x9015, 0 },
	{ { 0xb3, 0x78 }, 2, 0x901e, 0 },
	{ { 0xb3, 0x79 }, 2, 0x9020, 0 },
	{ { 0xb3, 0x7a }, 2, 0x900f, 0 },
	{ { 0xb3, 0x7b }, 2, 0x9022, 0 },
	{ { 0xb3, 0x7c }, 2, 0x9016, 0 },
	{ { 0xb3, 0x7d }, 2, 0x901b, 0 },
	{ { 0xb3, 0x7e }, 2, 0x9014, 0 },
	{ { 0xb3, 0xa1 }, 2, 0x90e8, 0 },
	{ { 0xb3, 0xa2 }, 2, 0x90ed, 0 },
	{ { 0xb3, 0xa3 }, 2, 0x90fd, 0 },
	{ { 0xb3, 0xa4 }, 2, 0x9157, 0 },
	{ { 0xb3, 0xa5 }, 2, 0x91ce, 0 },
	{ { 0xb3, 0xa6 }, 2, 0x91f5, 0 },
	{ { 0xb3, 0xa7 }, 2, 0x91e6, 0 },
	{ { 0xb3, 0xa8 }, 2, 0x91e3, 0 },
	{ { 0xb3, 0xa9 }, 2, 0x91e7, 0 },
	{ { 0xb3, 0xaa }, 2, 0x91ed, 0 },
	{ { 0xb3, 0xab }, 2, 0x91e9, 0 },
	{ { 0xb3, 0xac }, 2, 0x9589, 0 },
	{ { 0xb3, 0xad }, 2, 0x966a, 0 },
	{ { 0xb3, 0xae }, 2, 0x9675, 0 },
	{ { 0xb3, 0xaf }, 2, 0x9673, 0 },
	{ { 0xb3, 0xb0 }, 2, 0x9678, 0 },
	{ { 0xb3, 0xb1 }, 2, 0x9670, 0 },
	{ { 0xb3, 0xb2 }, 2, 0x9674, 0 },
	{ { 0xb3, 0xb3 }, 2, 0x9676, 0 },
	{ { 0xb3, 0xb4 }, 2, 0x9677, 0 },
	{ { 0xb3, 0xb5 }, 2, 0x966c, 0 },
	{ { 0xb3, 0xb6 }, 2, 0x96c0, 0 },
	{ { 0xb3, 0xb7 }, 2, 0x96ea, 0 },
	{ { 0xb3, 0xb8 }, 2, 0x96e9, 0 },
	{ { 0xb3, 0xb9 }, 2, 0x7ae0, 0 },
	{ { 0xb3, 0xba }, 2, 0x7adf, 0 },
	{ { 0xb3, 0xbb }, 2, 0x9802, 0 },
	{ { 0xb3, 0xbc }, 2, 0x9803, 0 },
	{ { 0xb3, 0xbd }, 2, 0x9b5a, 0 },
	{ { 0xb3, 0xbe }, 2, 0x9ce5, 0 },
	{ { 0xb3, 0xbf }, 2, 0x9e75, 0 },
	{ { 0xb3, 0xc0 }, 2, 0x9e7f, 0 },
	{ { 0xb3, 0xc1 }, 2, 0x9ea5, 0 },
	{ { 0xb3, 0xc2 }, 2, 0x9ebb, 0 },
	{ { 0xb3, 0xc3 }, 2, 0x50a2, 0 },
	{ { 0xb3, 0xc4 }, 2, 0x508d, 0 },
	{ { 0xb3, 0xc5 }, 2, 0x5085, 0 },
	{ { 0xb3, 0xc6 }, 2, 0x5099, 0 },
	{ { 0xb3, 0xc7 }, 2, 0x5091, 0 },
	{ { 0xb3, 0xc8 }, 2, 0x5080, 0 },
	{ { 0xb3, 0xc9 }, 2, 0x5096, 0 },
	{ { 0xb3, 0xca }, 2, 0x5098, 0 },
	{ { 0xb3, 0xcb }, 2, 0x509a, 0 },
	{ { 0xb3, 0xcc }, 2, 0x6700, 0 },
	{ { 0xb3, 0xcd }, 2, 0x51f1, 0 },
	{ { 0xb3, 0xce }, 2, 0x5272, 0 },
	{ { 0xb3, 0xcf }, 2, 0x5274, 0 },
	{ { 0xb3, 0xd0 }, 2, 0x5275, 0 },
	{ { 0xb3, 0xd1 }, 2, 0x5269, 0 },
	{ { 0xb3, 0xd2 }, 2, 0x52de, 0 },
	{ { 0xb3, 0xd3 }, 2, 0x52dd, 0 },
	{ { 0xb3, 0xd4 }, 2, 0x52db, 0 },
	{ { 0xb3, 0xd5 }, 2, 0x535a, 0 },
	{ { 0xb3, 0xd6 }, 2, 0x53a5, 0 },
	{ { 0xb3, 0xd7 }, 2, 0x557b, 0 },
	{ { 0xb3, 0xd8 }, 2, 0x5580, 0 },
	{ { 0xb3, 0xd9 }, 2, 0x55a7, 0 },
	{ { 0xb3, 0xda }, 2, 0x557c, 0 },
	{ { 0xb3, 0xdb }, 2, 0x558a, 0 },
	{ { 0xb3, 0xdc }, 2, 0x559d, 0 },
	{ { 0xb3, 0xdd }, 2, 0x5598, 0 },
	{ { 0xb3, 0xde }, 2, 0x5582, 0 },
	{ { 0xb3, 0xdf }, 2, 0x559c, 0 },
	{ { 0xb3, 0xe0 }, 2, 0x55aa, 0 },
	{ { 0xb3, 0xe1 }, 2, 0x5594, 0 },
	{ { 0xb3, 0xe2 }, 2, 0x5587, 0 },
	{ { 0xb3, 0xe3 }, 2, 0x558b, 0 },
	{ { 0xb3, 0xe4 }, 2, 0x5583, 0 },
	{ { 0xb3, 0xe5 }, 2, 0x55b3, 0 },
	{ { 0xb3, 0xe6 }, 2, 0x55ae, 0 },
	{ { 0xb3, 0xe7 }, 2, 0x559f, 0 },
	{ { 0xb3, 0xe8 }, 2, 0x553e, 0 },
	{ { 0xb3, 0xe9 }, 2, 0x55b2, 0 },
	{ { 0xb3, 0xea }, 2, 0x559a, 0 },
	{ { 0xb3, 0xeb }, 2, 0x55bb, 0 },
	{ { 0xb3, 0xec }, 2, 0x55ac, 0 },
	{ { 0xb3, 0xed }, 2, 0x55b1, 0 },
	{ { 0xb3, 0xee }, 2, 0x557e, 0 },
	{ { 0xb3, 0xef }, 2, 0x5589, 0 },
	{ { 0xb3, 0xf0 }, 2, 0x55ab, 0 },
	{ { 0xb3, 0xf1 }, 2, 0x5599, 0 },
	{ { 0xb3, 0xf2 }, 2, 0x570d, 0 },
	{ { 0xb3, 0xf3 }, 2, 0x582f, 0 },
	{ { 0xb3, 0xf4 }, 2, 0x582a, 0 },
	{ { 0xb3, 0xf5 }, 2, 0x5834, 0 },
	{ { 0xb3, 0xf6 }, 2, 0x5824, 0 },
	{ { 0xb3, 0xf7 }, 2, 0x5830, 0 },
	{ { 0xb3, 0xf8 }, 2, 0x5831, 0 },
	{ { 0xb3, 0xf9 }, 2, 0x5821, 0 },
	{ { 0xb3, 0xfa }, 2, 0x581d, 0 },
	{ { 0xb3, 0xfb }, 2, 0x5820, 0 },
	{ { 0xb3, 0xfc }, 2, 0x58f9, 0 },
	{ { 0xb3, 0xfd }, 2, 0x58fa, 0 },
	{ { 0xb3, 0xfe }, 2, 0x5960, 0 },

	{ { 0xb4, 0x40 }, 2, 0x5a77, 0 },
	{ { 0xb4, 0x41 }, 2, 0x5a9a, 0 },
	{ { 0xb4, 0x42 }, 2, 0x5a7f, 0 },
	{ { 0xb4, 0x43 }, 2, 0x5a92, 0 },
	{ { 0xb4, 0x44 }, 2, 0x5a9b, 0 },
	{ { 0xb4, 0x45 }, 2, 0x5aa7, 0 },
	{ { 0xb4, 0x46 }, 2, 0x5b73, 0 },
	{ { 0xb4, 0x47 }, 2, 0x5b71, 0 },
	{ { 0xb4, 0x48 }, 2, 0x5bd2, 0 },
	{ { 0xb4, 0x49 }, 2, 0x5bcc, 0 },
	{ { 0xb4, 0x4a }, 2, 0x5bd3, 0 },
	{ { 0xb4, 0x4b }, 2, 0x5bd0, 0 },
	{ { 0xb4, 0x4c }, 2, 0x5c0a, 0 },
	{ { 0xb4, 0x4d }, 2, 0x5c0b, 0 },
	{ { 0xb4, 0x4e }, 2, 0x5c31, 0 },
	{ { 0xb4, 0x4f }, 2, 0x5d4c, 0 },
	{ { 0xb4, 0x50 }, 2, 0x5d50, 0 },
	{ { 0xb4, 0x51 }, 2, 0x5d34, 0 },
	{ { 0xb4, 0x52 }, 2, 0x5d47, 0 },
	{ { 0xb4, 0x53 }, 2, 0x5dfd, 0 },
	{ { 0xb4, 0x54 }, 2, 0x5e45, 0 },
	{ { 0xb4, 0x55 }, 2, 0x5e3d, 0 },
	{ { 0xb4, 0x56 }, 2, 0x5e40, 0 },
	{ { 0xb4, 0x57 }, 2, 0x5e43, 0 },
	{ { 0xb4, 0x58 }, 2, 0x5e7e, 0 },
	{ { 0xb4, 0x59 }, 2, 0x5eca, 0 },
	{ { 0xb4, 0x5a }, 2, 0x5ec1, 0 },
	{ { 0xb4, 0x5b }, 2, 0x5ec2, 0 },
	{ { 0xb4, 0x5c }, 2, 0x5ec4, 0 },
	{ { 0xb4, 0x5d }, 2, 0x5f3c, 0 },
	{ { 0xb4, 0x5e }, 2, 0x5f6d, 0 },
	{ { 0xb4, 0x5f }, 2, 0x5fa9, 0 },
	{ { 0xb4, 0x60 }, 2, 0x5faa, 0 },
	{ { 0xb4, 0x61 }, 2, 0x5fa8, 0 },
	{ { 0xb4, 0x62 }, 2, 0x60d1, 0 },
	{ { 0xb4, 0x63 }, 2, 0x60e1, 0 },
	{ { 0xb4, 0x64 }, 2, 0x60b2, 0 },
	{ { 0xb4, 0x65 }, 2, 0x60b6, 0 },
	{ { 0xb4, 0x66 }, 2, 0x60e0, 0 },
	{ { 0xb4, 0x67 }, 2, 0x611c, 0 },
	{ { 0xb4, 0x68 }, 2, 0x6123, 0 },
	{ { 0xb4, 0x69 }, 2, 0x60fa, 0 },
	{ { 0xb4, 0x6a }, 2, 0x6115, 0 },
	{ { 0xb4, 0x6b }, 2, 0x60f0, 0 },
	{ { 0xb4, 0x6c }, 2, 0x60fb, 0 },
	{ { 0xb4, 0x6d }, 2, 0x60f4, 0 },
	{ { 0xb4, 0x6e }, 2, 0x6168, 0 },
	{ { 0xb4, 0x6f }, 2, 0x60f1, 0 },
	{ { 0xb4, 0x70 }, 2, 0x610e, 0 },
	{ { 0xb4, 0x71 }, 2, 0x60f6, 0 },
	{ { 0xb4, 0x72 }, 2, 0x6109, 0 },
	{ { 0xb4, 0x73 }, 2, 0x6100, 0 },
	{ { 0xb4, 0x74 }, 2, 0x6112, 0 },
	{ { 0xb4, 0x75 }, 2, 0x621f, 0 },
	{ { 0xb4, 0x76 }, 2, 0x6249, 0 },
	{ { 0xb4, 0x77 }, 2, 0x63a3, 0 },
	{ { 0xb4, 0x78 }, 2, 0x638c, 0 },
	{ { 0xb4, 0x79 }, 2, 0x63cf, 0 },
	{ { 0xb4, 0x7a }, 2, 0x63c0, 0 },
	{ { 0xb4, 0x7b }, 2, 0x63e9, 0 },
	{ { 0xb4, 0x7c }, 2, 0x63c9, 0 },
	{ { 0xb4, 0x7d }, 2, 0x63c6, 0 },
	{ { 0xb4, 0x7e }, 2, 0x63cd, 0 },
	{ { 0xb4, 0xa1 }, 2, 0x63d2, 0 },
	{ { 0xb4, 0xa2 }, 2, 0x63e3, 0 },
	{ { 0xb4, 0xa3 }, 2, 0x63d0, 0 },
	{ { 0xb4, 0xa4 }, 2, 0x63e1, 0 },
	{ { 0xb4, 0xa5 }, 2, 0x63d6, 0 },
	{ { 0xb4, 0xa6 }, 2, 0x63ed, 0 },
	{ { 0xb4, 0xa7 }, 2, 0x63ee, 0 },
	{ { 0xb4, 0xa8 }, 2, 0x6376, 0 },
	{ { 0xb4, 0xa9 }, 2, 0x63f4, 0 },
	{ { 0xb4, 0xaa }, 2, 0x63ea, 0 },
	{ { 0xb4, 0xab }, 2, 0x63db, 0 },
	{ { 0xb4, 0xac }, 2, 0x6452, 0 },
	{ { 0xb4, 0xad }, 2, 0x63da, 0 },
	{ { 0xb4, 0xae }, 2, 0x63f9, 0 },
	{ { 0xb4, 0xaf }, 2, 0x655e, 0 },
	{ { 0xb4, 0xb0 }, 2, 0x6566, 0 },
	{ { 0xb4, 0xb1 }, 2, 0x6562, 0 },
	{ { 0xb4, 0xb2 }, 2, 0x6563, 0 },
	{ { 0xb4, 0xb3 }, 2, 0x6591, 0 },
	{ { 0xb4, 0xb4 }, 2, 0x6590, 0 },
	{ { 0xb4, 0xb5 }, 2, 0x65af, 0 },
	{ { 0xb4, 0xb6 }, 2, 0x666e, 0 },
	{ { 0xb4, 0xb7 }, 2, 0x6670, 0 },
	{ { 0xb4, 0xb8 }, 2, 0x6674, 0 },
	{ { 0xb4, 0xb9 }, 2, 0x6676, 0 },
	{ { 0xb4, 0xba }, 2, 0x666f, 0 },
	{ { 0xb4, 0xbb }, 2, 0x6691, 0 },
	{ { 0xb4, 0xbc }, 2, 0x667a, 0 },
	{ { 0xb4, 0xbd }, 2, 0x667e, 0 },
	{ { 0xb4, 0xbe }, 2, 0x6677, 0 },
	{ { 0xb4, 0xbf }, 2, 0x66fe, 0 },
	{ { 0xb4, 0xc0 }, 2, 0x66ff, 0 },
	{ { 0xb4, 0xc1 }, 2, 0x671f, 0 },
	{ { 0xb4, 0xc2 }, 2, 0x671d, 0 },
	{ { 0xb4, 0xc3 }, 2, 0x68fa, 0 },
	{ { 0xb4, 0xc4 }, 2, 0x68d5, 0 },
	{ { 0xb4, 0xc5 }, 2, 0x68e0, 0 },
	{ { 0xb4, 0xc6 }, 2, 0x68d8, 0 },
	{ { 0xb4, 0xc7 }, 2, 0x68d7, 0 },
	{ { 0xb4, 0xc8 }, 2, 0x6905, 0 },
	{ { 0xb4, 0xc9 }, 2, 0x68df, 0 },
	{ { 0xb4, 0xca }, 2, 0x68f5, 0 },
	{ { 0xb4, 0xcb }, 2, 0x68ee, 0 },
	{ { 0xb4, 0xcc }, 2, 0x68e7, 0 },
	{ { 0xb4, 0xcd }, 2, 0x68f9, 0 },
	{ { 0xb4, 0xce }, 2, 0x68d2, 0 },
	{ { 0xb4, 0xcf }, 2, 0x68f2, 0 },
	{ { 0xb4, 0xd0 }, 2, 0x68e3, 0 },
	{ { 0xb4, 0xd1 }, 2, 0x68cb, 0 },
	{ { 0xb4, 0xd2 }, 2, 0x68cd, 0 },
	{ { 0xb4, 0xd3 }, 2, 0x690d, 0 },
	{ { 0xb4, 0xd4 }, 2, 0x6912, 0 },
	{ { 0xb4, 0xd5 }, 2, 0x690e, 0 },
	{ { 0xb4, 0xd6 }, 2, 0x68c9, 0 },
	{ { 0xb4, 0xd7 }, 2, 0x68da, 0 },
	{ { 0xb4, 0xd8 }, 2, 0x696e, 0 },
	{ { 0xb4, 0xd9 }, 2, 0x68fb, 0 },
	{ { 0xb4, 0xda }, 2, 0x6b3e, 0 },
	{ { 0xb4, 0xdb }, 2, 0x6b3a, 0 },
	{ { 0xb4, 0xdc }, 2, 0x6b3d, 0 },
	{ { 0xb4, 0xdd }, 2, 0x6b98, 0 },
	{ { 0xb4, 0xde }, 2, 0x6b96, 0 },
	{ { 0xb4, 0xdf }, 2, 0x6bbc, 0 },
	{ { 0xb4, 0xe0 }, 2, 0x6bef, 0 },
	{ { 0xb4, 0xe1 }, 2, 0x6c2e, 0 },
	{ { 0xb4, 0xe2 }, 2, 0x6c2f, 0 },
	{ { 0xb4, 0xe3 }, 2, 0x6c2c, 0 },
	{ { 0xb4, 0xe4 }, 2, 0x6e2f, 0 },
	{ { 0xb4, 0xe5 }, 2, 0x6e38, 0 },
	{ { 0xb4, 0xe6 }, 2, 0x6e54, 0 },
	{ { 0xb4, 0xe7 }, 2, 0x6e21, 0 },
	{ { 0xb4, 0xe8 }, 2, 0x6e32, 0 },
	{ { 0xb4, 0xe9 }, 2, 0x6e67, 0 },
	{ { 0xb4, 0xea }, 2, 0x6e4a, 0 },
	{ { 0xb4, 0xeb }, 2, 0x6e20, 0 },
	{ { 0xb4, 0xec }, 2, 0x6e25, 0 },
	{ { 0xb4, 0xed }, 2, 0x6e23, 0 },
	{ { 0xb4, 0xee }, 2, 0x6e1b, 0 },
	{ { 0xb4, 0xef }, 2, 0x6e5b, 0 },
	{ { 0xb4, 0xf0 }, 2, 0x6e58, 0 },
	{ { 0xb4, 0xf1 }, 2, 0x6e24, 0 },
	{ { 0xb4, 0xf2 }, 2, 0x6e56, 0 },
	{ { 0xb4, 0xf3 }, 2, 0x6e6e, 0 },
	{ { 0xb4, 0xf4 }, 2, 0x6e2d, 0 },
	{ { 0xb4, 0xf5 }, 2, 0x6e26, 0 },
	{ { 0xb4, 0xf6 }, 2, 0x6e6f, 0 },
	{ { 0xb4, 0xf7 }, 2, 0x6e34, 0 },
	{ { 0xb4, 0xf8 }, 2, 0x6e4d, 0 },
	{ { 0xb4, 0xf9 }, 2, 0x6e3a, 0 },
	{ { 0xb4, 0xfa }, 2, 0x6e2c, 0 },
	{ { 0xb4, 0xfb }, 2, 0x6e43, 0 },
	{ { 0xb4, 0xfc }, 2, 0x6e1d, 0 },
	{ { 0xb4, 0xfd }, 2, 0x6e3e, 0 },
	{ { 0xb4, 0xfe }, 2, 0x6ecb, 0 },

	{ { 0xb5, 0x40 }, 2, 0x6e89, 0 },
	{ { 0xb5, 0x41 }, 2, 0x6e19, 0 },
	{ { 0xb5, 0x42 }, 2, 0x6e4e, 0 },
	{ { 0xb5, 0x43 }, 2, 0x6e63, 0 },
	{ { 0xb5, 0x44 }, 2, 0x6e44, 0 },
	{ { 0xb5, 0x45 }, 2, 0x6e72, 0 },
	{ { 0xb5, 0x46 }, 2, 0x6e69, 0 },
	{ { 0xb5, 0x47 }, 2, 0x6e5f, 0 },
	{ { 0xb5, 0x48 }, 2, 0x7119, 0 },
	{ { 0xb5, 0x49 }, 2, 0x711a, 0 },
	{ { 0xb5, 0x4a }, 2, 0x7126, 0 },
	{ { 0xb5, 0x4b }, 2, 0x7130, 0 },
	{ { 0xb5, 0x4c }, 2, 0x7121, 0 },
	{ { 0xb5, 0x4d }, 2, 0x7136, 0 },
	{ { 0xb5, 0x4e }, 2, 0x716e, 0 },
	{ { 0xb5, 0x4f }, 2, 0x711c, 0 },
	{ { 0xb5, 0x50 }, 2, 0x724c, 0 },
	{ { 0xb5, 0x51 }, 2, 0x7284, 0 },
	{ { 0xb5, 0x52 }, 2, 0x7280, 0 },
	{ { 0xb5, 0x53 }, 2, 0x7336, 0 },
	{ { 0xb5, 0x54 }, 2, 0x7325, 0 },
	{ { 0xb5, 0x55 }, 2, 0x7334, 0 },
	{ { 0xb5, 0x56 }, 2, 0x7329, 0 },
	{ { 0xb5, 0x57 }, 2, 0x743a, 0 },
	{ { 0xb5, 0x58 }, 2, 0x742a, 0 },
	{ { 0xb5, 0x59 }, 2, 0x7433, 0 },
	{ { 0xb5, 0x5a }, 2, 0x7422, 0 },
	{ { 0xb5, 0x5b }, 2, 0x7425, 0 },
	{ { 0xb5, 0x5c }, 2, 0x7435, 0 },
	{ { 0xb5, 0x5d }, 2, 0x7436, 0 },
	{ { 0xb5, 0x5e }, 2, 0x7434, 0 },
	{ { 0xb5, 0x5f }, 2, 0x742f, 0 },
	{ { 0xb5, 0x60 }, 2, 0x741b, 0 },
	{ { 0xb5, 0x61 }, 2, 0x7426, 0 },
	{ { 0xb5, 0x62 }, 2, 0x7428, 0 },
	{ { 0xb5, 0x63 }, 2, 0x7525, 0 },
	{ { 0xb5, 0x64 }, 2, 0x7526, 0 },
	{ { 0xb5, 0x65 }, 2, 0x756b, 0 },
	{ { 0xb5, 0x66 }, 2, 0x756a, 0 },
	{ { 0xb5, 0x67 }, 2, 0x75e2, 0 },
	{ { 0xb5, 0x68 }, 2, 0x75db, 0 },
	{ { 0xb5, 0x69 }, 2, 0x75e3, 0 },
	{ { 0xb5, 0x6a }, 2, 0x75d9, 0 },
	{ { 0xb5, 0x6b }, 2, 0x75d8, 0 },
	{ { 0xb5, 0x6c }, 2, 0x75de, 0 },
	{ { 0xb5, 0x6d }, 2, 0x75e0, 0 },
	{ { 0xb5, 0x6e }, 2, 0x767b, 0 },
	{ { 0xb5, 0x6f }, 2, 0x767c, 0 },
	{ { 0xb5, 0x70 }, 2, 0x7696, 0 },
	{ { 0xb5, 0x71 }, 2, 0x7693, 0 },
	{ { 0xb5, 0x72 }, 2, 0x76b4, 0 },
	{ { 0xb5, 0x73 }, 2, 0x76dc, 0 },
	{ { 0xb5, 0x74 }, 2, 0x774f, 0 },
	{ { 0xb5, 0x75 }, 2, 0x77ed, 0 },
	{ { 0xb5, 0x76 }, 2, 0x785d, 0 },
	{ { 0xb5, 0x77 }, 2, 0x786c, 0 },
	{ { 0xb5, 0x78 }, 2, 0x786f, 0 },
	{ { 0xb5, 0x79 }, 2, 0x7a0d, 0 },
	{ { 0xb5, 0x7a }, 2, 0x7a08, 0 },
	{ { 0xb5, 0x7b }, 2, 0x7a0b, 0 },
	{ { 0xb5, 0x7c }, 2, 0x7a05, 0 },
	{ { 0xb5, 0x7d }, 2, 0x7a00, 0 },
	{ { 0xb5, 0x7e }, 2, 0x7a98, 0 },
	{ { 0xb5, 0xa1 }, 2, 0x7a97, 0 },
	{ { 0xb5, 0xa2 }, 2, 0x7a96, 0 },
	{ { 0xb5, 0xa3 }, 2, 0x7ae5, 0 },
	{ { 0xb5, 0xa4 }, 2, 0x7ae3, 0 },
	{ { 0xb5, 0xa5 }, 2, 0x7b49, 0 },
	{ { 0xb5, 0xa6 }, 2, 0x7b56, 0 },
	{ { 0xb5, 0xa7 }, 2, 0x7b46, 0 },
	{ { 0xb5, 0xa8 }, 2, 0x7b50, 0 },
	{ { 0xb5, 0xa9 }, 2, 0x7b52, 0 },
	{ { 0xb5, 0xaa }, 2, 0x7b54, 0 },
	{ { 0xb5, 0xab }, 2, 0x7b4d, 0 },
	{ { 0xb5, 0xac }, 2, 0x7b4b, 0 },
	{ { 0xb5, 0xad }, 2, 0x7b4f, 0 },
	{ { 0xb5, 0xae }, 2, 0x7b51, 0 },
	{ { 0xb5, 0xaf }, 2, 0x7c9f, 0 },
	{ { 0xb5, 0xb0 }, 2, 0x7ca5, 0 },
	{ { 0xb5, 0xb1 }, 2, 0x7d5e, 0 },
	{ { 0xb5, 0xb2 }, 2, 0x7d50, 0 },
	{ { 0xb5, 0xb3 }, 2, 0x7d68, 0 },
	{ { 0xb5, 0xb4 }, 2, 0x7d55, 0 },
	{ { 0xb5, 0xb5 }, 2, 0x7d2b, 0 },
	{ { 0xb5, 0xb6 }, 2, 0x7d6e, 0 },
	{ { 0xb5, 0xb7 }, 2, 0x7d72, 0 },
	{ { 0xb5, 0xb8 }, 2, 0x7d61, 0 },
	{ { 0xb5, 0xb9 }, 2, 0x7d66, 0 },
	{ { 0xb5, 0xba }, 2, 0x7d62, 0 },
	{ { 0xb5, 0xbb }, 2, 0x7d70, 0 },
	{ { 0xb5, 0xbc }, 2, 0x7d73, 0 },
	{ { 0xb5, 0xbd }, 2, 0x5584, 0 },
	{ { 0xb5, 0xbe }, 2, 0x7fd4, 0 },
	{ { 0xb5, 0xbf }, 2, 0x7fd5, 0 },
	{ { 0xb5, 0xc0 }, 2, 0x800b, 0 },
	{ { 0xb5, 0xc1 }, 2, 0x8052, 0 },
	{ { 0xb5, 0xc2 }, 2, 0x8085, 0 },
	{ { 0xb5, 0xc3 }, 2, 0x8155, 0 },
	{ { 0xb5, 0xc4 }, 2, 0x8154, 0 },
	{ { 0xb5, 0xc5 }, 2, 0x814b, 0 },
	{ { 0xb5, 0xc6 }, 2, 0x8151, 0 },
	{ { 0xb5, 0xc7 }, 2, 0x814e, 0 },
	{ { 0xb5, 0xc8 }, 2, 0x8139, 0 },
	{ { 0xb5, 0xc9 }, 2, 0x8146, 0 },
	{ { 0xb5, 0xca }, 2, 0x813e, 0 },
	{ { 0xb5, 0xcb }, 2, 0x814c, 0 },
	{ { 0xb5, 0xcc }, 2, 0x8153, 0 },
	{ { 0xb5, 0xcd }, 2, 0x8174, 0 },
	{ { 0xb5, 0xce }, 2, 0x8212, 0 },
	{ { 0xb5, 0xcf }, 2, 0x821c, 0 },
	{ { 0xb5, 0xd0 }, 2, 0x83e9, 0 },
	{ { 0xb5, 0xd1 }, 2, 0x8403, 0 },
	{ { 0xb5, 0xd2 }, 2, 0x83f8, 0 },
	{ { 0xb5, 0xd3 }, 2, 0x840d, 0 },
	{ { 0xb5, 0xd4 }, 2, 0x83e0, 0 },
	{ { 0xb5, 0xd5 }, 2, 0x83c5, 0 },
	{ { 0xb5, 0xd6 }, 2, 0x840b, 0 },
	{ { 0xb5, 0xd7 }, 2, 0x83c1, 0 },
	{ { 0xb5, 0xd8 }, 2, 0x83ef, 0 },
	{ { 0xb5, 0xd9 }, 2, 0x83f1, 0 },
	{ { 0xb5, 0xda }, 2, 0x83f4, 0 },
	{ { 0xb5, 0xdb }, 2, 0x8457, 0 },
	{ { 0xb5, 0xdc }, 2, 0x840a, 0 },
	{ { 0xb5, 0xdd }, 2, 0x83f0, 0 },
	{ { 0xb5, 0xde }, 2, 0x840c, 0 },
	{ { 0xb5, 0xdf }, 2, 0x83cc, 0 },
	{ { 0xb5, 0xe0 }, 2, 0x83fd, 0 },
	{ { 0xb5, 0xe1 }, 2, 0x83f2, 0 },
	{ { 0xb5, 0xe2 }, 2, 0x83ca, 0 },
	{ { 0xb5, 0xe3 }, 2, 0x8438, 0 },
	{ { 0xb5, 0xe4 }, 2, 0x840e, 0 },
	{ { 0xb5, 0xe5 }, 2, 0x8404, 0 },
	{ { 0xb5, 0xe6 }, 2, 0x83dc, 0 },
	{ { 0xb5, 0xe7 }, 2, 0x8407, 0 },
	{ { 0xb5, 0xe8 }, 2, 0x83d4, 0 },
	{ { 0xb5, 0xe9 }, 2, 0x83df, 0 },
	{ { 0xb5, 0xea }, 2, 0x865b, 0 },
	{ { 0xb5, 0xeb }, 2, 0x86df, 0 },
	{ { 0xb5, 0xec }, 2, 0x86d9, 0 },
	{ { 0xb5, 0xed }, 2, 0x86ed, 0 },
	{ { 0xb5, 0xee }, 2, 0x86d4, 0 },
	{ { 0xb5, 0xef }, 2, 0x86db, 0 },
	{ { 0xb5, 0xf0 }, 2, 0x86e4, 0 },
	{ { 0xb5, 0xf1 }, 2, 0x86d0, 0 },
	{ { 0xb5, 0xf2 }, 2, 0x86de, 0 },
	{ { 0xb5, 0xf3 }, 2, 0x8857, 0 },
	{ { 0xb5, 0xf4 }, 2, 0x88c1, 0 },
	{ { 0xb5, 0xf5 }, 2, 0x88c2, 0 },
	{ { 0xb5, 0xf6 }, 2, 0x88b1, 0 },
	{ { 0xb5, 0xf7 }, 2, 0x8983, 0 },
	{ { 0xb5, 0xf8 }, 2, 0x8996, 0 },
	{ { 0xb5, 0xf9 }, 2, 0x8a3b, 0 },
	{ { 0xb5, 0xfa }, 2, 0x8a60, 0 },
	{ { 0xb5, 0xfb }, 2, 0x8a55, 0 },
	{ { 0xb5, 0xfc }, 2, 0x8a5e, 0 },
	{ { 0xb5, 0xfd }, 2, 0x8a3c, 0 },
	{ { 0xb5, 0xfe }, 2, 0x8a41, 0 },

	{ { 0xb6, 0x40 }, 2, 0x8a54, 0 },
	{ { 0xb6, 0x41 }, 2, 0x8a5b, 0 },
	{ { 0xb6, 0x42 }, 2, 0x8a50, 0 },
	{ { 0xb6, 0x43 }, 2, 0x8a46, 0 },
	{ { 0xb6, 0x44 }, 2, 0x8a34, 0 },
	{ { 0xb6, 0x45 }, 2, 0x8a3a, 0 },
	{ { 0xb6, 0x46 }, 2, 0x8a36, 0 },
	{ { 0xb6, 0x47 }, 2, 0x8a56, 0 },
	{ { 0xb6, 0x48 }, 2, 0x8c61, 0 },
	{ { 0xb6, 0x49 }, 2, 0x8c82, 0 },
	{ { 0xb6, 0x4a }, 2, 0x8caf, 0 },
	{ { 0xb6, 0x4b }, 2, 0x8cbc, 0 },
	{ { 0xb6, 0x4c }, 2, 0x8cb3, 0 },
	{ { 0xb6, 0x4d }, 2, 0x8cbd, 0 },
	{ { 0xb6, 0x4e }, 2, 0x8cc1, 0 },
	{ { 0xb6, 0x4f }, 2, 0x8cbb, 0 },
	{ { 0xb6, 0x50 }, 2, 0x8cc0, 0 },
	{ { 0xb6, 0x51 }, 2, 0x8cb4, 0 },
	{ { 0xb6, 0x52 }, 2, 0x8cb7, 0 },
	{ { 0xb6, 0x53 }, 2, 0x8cb6, 0 },
	{ { 0xb6, 0x54 }, 2, 0x8cbf, 0 },
	{ { 0xb6, 0x55 }, 2, 0x8cb8, 0 },
	{ { 0xb6, 0x56 }, 2, 0x8d8a, 0 },
	{ { 0xb6, 0x57 }, 2, 0x8d85, 0 },
	{ { 0xb6, 0x58 }, 2, 0x8d81, 0 },
	{ { 0xb6, 0x59 }, 2, 0x8dce, 0 },
	{ { 0xb6, 0x5a }, 2, 0x8ddd, 0 },
	{ { 0xb6, 0x5b }, 2, 0x8dcb, 0 },
	{ { 0xb6, 0x5c }, 2, 0x8dda, 0 },
	{ { 0xb6, 0x5d }, 2, 0x8dd1, 0 },
	{ { 0xb6, 0x5e }, 2, 0x8dcc, 0 },
	{ { 0xb6, 0x5f }, 2, 0x8ddb, 0 },
	{ { 0xb6, 0x60 }, 2, 0x8dc6, 0 },
	{ { 0xb6, 0x61 }, 2, 0x8efb, 0 },
	{ { 0xb6, 0x62 }, 2, 0x8ef8, 0 },
	{ { 0xb6, 0x63 }, 2, 0x8efc, 0 },
	{ { 0xb6, 0x64 }, 2, 0x8f9c, 0 },
	{ { 0xb6, 0x65 }, 2, 0x902e, 0 },
	{ { 0xb6, 0x66 }, 2, 0x9035, 0 },
	{ { 0xb6, 0x67 }, 2, 0x9031, 0 },
	{ { 0xb6, 0x68 }, 2, 0x9038, 0 },
	{ { 0xb6, 0x69 }, 2, 0x9032, 0 },
	{ { 0xb6, 0x6a }, 2, 0x9036, 0 },
	{ { 0xb6, 0x6b }, 2, 0x9102, 0 },
	{ { 0xb6, 0x6c }, 2, 0x90f5, 0 },
	{ { 0xb6, 0x6d }, 2, 0x9109, 0 },
	{ { 0xb6, 0x6e }, 2, 0x90fe, 0 },
	{ { 0xb6, 0x6f }, 2, 0x9163, 0 },
	{ { 0xb6, 0x70 }, 2, 0x9165, 0 },
	{ { 0xb6, 0x71 }, 2, 0x91cf, 0 },
	{ { 0xb6, 0x72 }, 2, 0x9214, 0 },
	{ { 0xb6, 0x73 }, 2, 0x9215, 0 },
	{ { 0xb6, 0x74 }, 2, 0x9223, 0 },
	{ { 0xb6, 0x75 }, 2, 0x9209, 0 },
	{ { 0xb6, 0x76 }, 2, 0x921e, 0 },
	{ { 0xb6, 0x77 }, 2, 0x920d, 0 },
	{ { 0xb6, 0x78 }, 2, 0x9210, 0 },
	{ { 0xb6, 0x79 }, 2, 0x9207, 0 },
	{ { 0xb6, 0x7a }, 2, 0x9211, 0 },
	{ { 0xb6, 0x7b }, 2, 0x9594, 0 },
	{ { 0xb6, 0x7c }, 2, 0x958f, 0 },
	{ { 0xb6, 0x7d }, 2, 0x958b, 0 },
	{ { 0xb6, 0x7e }, 2, 0x9591, 0 },
	{ { 0xb6, 0xa1 }, 2, 0x9593, 0 },
	{ { 0xb6, 0xa2 }, 2, 0x9592, 0 },
	{ { 0xb6, 0xa3 }, 2, 0x958e, 0 },
	{ { 0xb6, 0xa4 }, 2, 0x968a, 0 },
	{ { 0xb6, 0xa5 }, 2, 0x968e, 0 },
	{ { 0xb6, 0xa6 }, 2, 0x968b, 0 },
	{ { 0xb6, 0xa7 }, 2, 0x967d, 0 },
	{ { 0xb6, 0xa8 }, 2, 0x9685, 0 },
	{ { 0xb6, 0xa9 }, 2, 0x9686, 0 },
	{ { 0xb6, 0xaa }, 2, 0x968d, 0 },
	{ { 0xb6, 0xab }, 2, 0x9672, 0 },
	{ { 0xb6, 0xac }, 2, 0x9684, 0 },
	{ { 0xb6, 0xad }, 2, 0x96c1, 0 },
	{ { 0xb6, 0xae }, 2, 0x96c5, 0 },
	{ { 0xb6, 0xaf }, 2, 0x96c4, 0 },
	{ { 0xb6, 0xb0 }, 2, 0x96c6, 0 },
	{ { 0xb6, 0xb1 }, 2, 0x96c7, 0 },
	{ { 0xb6, 0xb2 }, 2, 0x96ef, 0 },
	{ { 0xb6, 0xb3 }, 2, 0x96f2, 0 },
	{ { 0xb6, 0xb4 }, 2, 0x97cc, 0 },
	{ { 0xb6, 0xb5 }, 2, 0x9805, 0 },
	{ { 0xb6, 0xb6 }, 2, 0x9806, 0 },
	{ { 0xb6, 0xb7 }, 2, 0x9808, 0 },
	{ { 0xb6, 0xb8 }, 2, 0x98e7, 0 },
	{ { 0xb6, 0xb9 }, 2, 0x98ea, 0 },
	{ { 0xb6, 0xba }, 2, 0x98ef, 0 },
	{ { 0xb6, 0xbb }, 2, 0x98e9, 0 },
	{ { 0xb6, 0xbc }, 2, 0x98f2, 0 },
	{ { 0xb6, 0xbd }, 2, 0x98ed, 0 },
	{ { 0xb6, 0xbe }, 2, 0x99ae, 0 },
	{ { 0xb6, 0xbf }, 2, 0x99ad, 0 },
	{ { 0xb6, 0xc0 }, 2, 0x9ec3, 0 },
	{ { 0xb6, 0xc1 }, 2, 0x9ecd, 0 },
	{ { 0xb6, 0xc2 }, 2, 0x9ed1, 0 },
	{ { 0xb6, 0xc3 }, 2, 0x4e82, 0 },
	{ { 0xb6, 0xc4 }, 2, 0x50ad, 0 },
	{ { 0xb6, 0xc5 }, 2, 0x50b5, 0 },
	{ { 0xb6, 0xc6 }, 2, 0x50b2, 0 },
	{ { 0xb6, 0xc7 }, 2, 0x50b3, 0 },
	{ { 0xb6, 0xc8 }, 2, 0x50c5, 0 },
	{ { 0xb6, 0xc9 }, 2, 0x50be, 0 },
	{ { 0xb6, 0xca }, 2, 0x50ac, 0 },
	{ { 0xb6, 0xcb }, 2, 0x50b7, 0 },
	{ { 0xb6, 0xcc }, 2, 0x50bb, 0 },
	{ { 0xb6, 0xcd }, 2, 0x50af, 0 },
	{ { 0xb6, 0xce }, 2, 0x50c7, 0 },
	{ { 0xb6, 0xcf }, 2, 0x527f, 0 },
	{ { 0xb6, 0xd0 }, 2, 0x5277, 0 },
	{ { 0xb6, 0xd1 }, 2, 0x527d, 0 },
	{ { 0xb6, 0xd2 }, 2, 0x52df, 0 },
	{ { 0xb6, 0xd3 }, 2, 0x52e6, 0 },
	{ { 0xb6, 0xd4 }, 2, 0x52e4, 0 },
	{ { 0xb6, 0xd5 }, 2, 0x52e2, 0 },
	{ { 0xb6, 0xd6 }, 2, 0x52e3, 0 },
	{ { 0xb6, 0xd7 }, 2, 0x532f, 0 },
	{ { 0xb6, 0xd8 }, 2, 0x55df, 0 },
	{ { 0xb6, 0xd9 }, 2, 0x55e8, 0 },
	{ { 0xb6, 0xda }, 2, 0x55d3, 0 },
	{ { 0xb6, 0xdb }, 2, 0x55e6, 0 },
	{ { 0xb6, 0xdc }, 2, 0x55ce, 0 },
	{ { 0xb6, 0xdd }, 2, 0x55dc, 0 },
	{ { 0xb6, 0xde }, 2, 0x55c7, 0 },
	{ { 0xb6, 0xdf }, 2, 0x55d1, 0 },
	{ { 0xb6, 0xe0 }, 2, 0x55e3, 0 },
	{ { 0xb6, 0xe1 }, 2, 0x55e4, 0 },
	{ { 0xb6, 0xe2 }, 2, 0x55ef, 0 },
	{ { 0xb6, 0xe3 }, 2, 0x55da, 0 },
	{ { 0xb6, 0xe4 }, 2, 0x55e1, 0 },
	{ { 0xb6, 0xe5 }, 2, 0x55c5, 0 },
	{ { 0xb6, 0xe6 }, 2, 0x55c6, 0 },
	{ { 0xb6, 0xe7 }, 2, 0x55e5, 0 },
	{ { 0xb6, 0xe8 }, 2, 0x55c9, 0 },
	{ { 0xb6, 0xe9 }, 2, 0x5712, 0 },
	{ { 0xb6, 0xea }, 2, 0x5713, 0 },
	{ { 0xb6, 0xeb }, 2, 0x585e, 0 },
	{ { 0xb6, 0xec }, 2, 0x5851, 0 },
	{ { 0xb6, 0xed }, 2, 0x5858, 0 },
	{ { 0xb6, 0xee }, 2, 0x5857, 0 },
	{ { 0xb6, 0xef }, 2, 0x585a, 0 },
	{ { 0xb6, 0xf0 }, 2, 0x5854, 0 },
	{ { 0xb6, 0xf1 }, 2, 0x586b, 0 },
	{ { 0xb6, 0xf2 }, 2, 0x584c, 0 },
	{ { 0xb6, 0xf3 }, 2, 0x586d, 0 },
	{ { 0xb6, 0xf4 }, 2, 0x584a, 0 },
	{ { 0xb6, 0xf5 }, 2, 0x5862, 0 },
	{ { 0xb6, 0xf6 }, 2, 0x5852, 0 },
	{ { 0xb6, 0xf7 }, 2, 0x584b, 0 },
	{ { 0xb6, 0xf8 }, 2, 0x5967, 0 },
	{ { 0xb6, 0xf9 }, 2, 0x5ac1, 0 },
	{ { 0xb6, 0xfa }, 2, 0x5ac9, 0 },
	{ { 0xb6, 0xfb }, 2, 0x5acc, 0 },
	{ { 0xb6, 0xfc }, 2, 0x5abe, 0 },
	{ { 0xb6, 0xfd }, 2, 0x5abd, 0 },
	{ { 0xb6, 0xfe }, 2, 0x5abc, 0 },

	{ { 0xb7, 0x40 }, 2, 0x5ab3, 0 },
	{ { 0xb7, 0x41 }, 2, 0x5ac2, 0 },
	{ { 0xb7, 0x42 }, 2, 0x5ab2, 0 },
	{ { 0xb7, 0x43 }, 2, 0x5d69, 0 },
	{ { 0xb7, 0x44 }, 2, 0x5d6f, 0 },
	{ { 0xb7, 0x45 }, 2, 0x5e4c, 0 },
	{ { 0xb7, 0x46 }, 2, 0x5e79, 0 },
	{ { 0xb7, 0x47 }, 2, 0x5ec9, 0 },
	{ { 0xb7, 0x48 }, 2, 0x5ec8, 0 },
	{ { 0xb7, 0x49 }, 2, 0x5f12, 0 },
	{ { 0xb7, 0x4a }, 2, 0x5f59, 0 },
	{ { 0xb7, 0x4b }, 2, 0x5fac, 0 },
	{ { 0xb7, 0x4c }, 2, 0x5fae, 0 },
	{ { 0xb7, 0x4d }, 2, 0x611a, 0 },
	{ { 0xb7, 0x4e }, 2, 0x610f, 0 },
	{ { 0xb7, 0x4f }, 2, 0x6148, 0 },
	{ { 0xb7, 0x50 }, 2, 0x611f, 0 },
	{ { 0xb7, 0x51 }, 2, 0x60f3, 0 },
	{ { 0xb7, 0x52 }, 2, 0x611b, 0 },
	{ { 0xb7, 0x53 }, 2, 0x60f9, 0 },
	{ { 0xb7, 0x54 }, 2, 0x6101, 0 },
	{ { 0xb7, 0x55 }, 2, 0x6108, 0 },
	{ { 0xb7, 0x56 }, 2, 0x614e, 0 },
	{ { 0xb7, 0x57 }, 2, 0x614c, 0 },
	{ { 0xb7, 0x58 }, 2, 0x6144, 0 },
	{ { 0xb7, 0x59 }, 2, 0x614d, 0 },
	{ { 0xb7, 0x5a }, 2, 0x613e, 0 },
	{ { 0xb7, 0x5b }, 2, 0x6134, 0 },
	{ { 0xb7, 0x5c }, 2, 0x6127, 0 },
	{ { 0xb7, 0x5d }, 2, 0x610d, 0 },
	{ { 0xb7, 0x5e }, 2, 0x6106, 0 },
	{ { 0xb7, 0x5f }, 2, 0x6137, 0 },
	{ { 0xb7, 0x60 }, 2, 0x6221, 0 },
	{ { 0xb7, 0x61 }, 2, 0x6222, 0 },
	{ { 0xb7, 0x62 }, 2, 0x6413, 0 },
	{ { 0xb7, 0x63 }, 2, 0x643e, 0 },
	{ { 0xb7, 0x64 }, 2, 0x641e, 0 },
	{ { 0xb7, 0x65 }, 2, 0x642a, 0 },
	{ { 0xb7, 0x66 }, 2, 0x642d, 0 },
	{ { 0xb7, 0x67 }, 2, 0x643d, 0 },
	{ { 0xb7, 0x68 }, 2, 0x642c, 0 },
	{ { 0xb7, 0x69 }, 2, 0x640f, 0 },
	{ { 0xb7, 0x6a }, 2, 0x641c, 0 },
	{ { 0xb7, 0x6b }, 2, 0x6414, 0 },
	{ { 0xb7, 0x6c }, 2, 0x640d, 0 },
	{ { 0xb7, 0x6d }, 2, 0x6436, 0 },
	{ { 0xb7, 0x6e }, 2, 0x6416, 0 },
	{ { 0xb7, 0x6f }, 2, 0x6417, 0 },
	{ { 0xb7, 0x70 }, 2, 0x6406, 0 },
	{ { 0xb7, 0x71 }, 2, 0x656c, 0 },
	{ { 0xb7, 0x72 }, 2, 0x659f, 0 },
	{ { 0xb7, 0x73 }, 2, 0x65b0, 0 },
	{ { 0xb7, 0x74 }, 2, 0x6697, 0 },
	{ { 0xb7, 0x75 }, 2, 0x6689, 0 },
	{ { 0xb7, 0x76 }, 2, 0x6687, 0 },
	{ { 0xb7, 0x77 }, 2, 0x6688, 0 },
	{ { 0xb7, 0x78 }, 2, 0x6696, 0 },
	{ { 0xb7, 0x79 }, 2, 0x6684, 0 },
	{ { 0xb7, 0x7a }, 2, 0x6698, 0 },
	{ { 0xb7, 0x7b }, 2, 0x668d, 0 },
	{ { 0xb7, 0x7c }, 2, 0x6703, 0 },
	{ { 0xb7, 0x7d }, 2, 0x6994, 0 },
	{ { 0xb7, 0x7e }, 2, 0x696d, 0 },
	{ { 0xb7, 0xa1 }, 2, 0x695a, 0 },
	{ { 0xb7, 0xa2 }, 2, 0x6977, 0 },
	{ { 0xb7, 0xa3 }, 2, 0x6960, 0 },
	{ { 0xb7, 0xa4 }, 2, 0x6954, 0 },
	{ { 0xb7, 0xa5 }, 2, 0x6975, 0 },
	{ { 0xb7, 0xa6 }, 2, 0x6930, 0 },
	{ { 0xb7, 0xa7 }, 2, 0x6982, 0 },
	{ { 0xb7, 0xa8 }, 2, 0x694a, 0 },
	{ { 0xb7, 0xa9 }, 2, 0x6968, 0 },
	{ { 0xb7, 0xaa }, 2, 0x696b, 0 },
	{ { 0xb7, 0xab }, 2, 0x695e, 0 },
	{ { 0xb7, 0xac }, 2, 0x6953, 0 },
	{ { 0xb7, 0xad }, 2, 0x6979, 0 },
	{ { 0xb7, 0xae }, 2, 0x6986, 0 },
	{ { 0xb7, 0xaf }, 2, 0x695d, 0 },
	{ { 0xb7, 0xb0 }, 2, 0x6963, 0 },
	{ { 0xb7, 0xb1 }, 2, 0x695b, 0 },
	{ { 0xb7, 0xb2 }, 2, 0x6b47, 0 },
	{ { 0xb7, 0xb3 }, 2, 0x6b72, 0 },
	{ { 0xb7, 0xb4 }, 2, 0x6bc0, 0 },
	{ { 0xb7, 0xb5 }, 2, 0x6bbf, 0 },
	{ { 0xb7, 0xb6 }, 2, 0x6bd3, 0 },
	{ { 0xb7, 0xb7 }, 2, 0x6bfd, 0 },
	{ { 0xb7, 0xb8 }, 2, 0x6ea2, 0 },
	{ { 0xb7, 0xb9 }, 2, 0x6eaf, 0 },
	{ { 0xb7, 0xba }, 2, 0x6ed3, 0 },
	{ { 0xb7, 0xbb }, 2, 0x6eb6, 0 },
	{ { 0xb7, 0xbc }, 2, 0x6ec2, 0 },
	{ { 0xb7, 0xbd }, 2, 0x6e90, 0 },
	{ { 0xb7, 0xbe }, 2, 0x6e9d, 0 },
	{ { 0xb7, 0xbf }, 2, 0x6ec7, 0 },
	{ { 0xb7, 0xc0 }, 2, 0x6ec5, 0 },
	{ { 0xb7, 0xc1 }, 2, 0x6ea5, 0 },
	{ { 0xb7, 0xc2 }, 2, 0x6e98, 0 },
	{ { 0xb7, 0xc3 }, 2, 0x6ebc, 0 },
	{ { 0xb7, 0xc4 }, 2, 0x6eba, 0 },
	{ { 0xb7, 0xc5 }, 2, 0x6eab, 0 },
	{ { 0xb7, 0xc6 }, 2, 0x6ed1, 0 },
	{ { 0xb7, 0xc7 }, 2, 0x6e96, 0 },
	{ { 0xb7, 0xc8 }, 2, 0x6e9c, 0 },
	{ { 0xb7, 0xc9 }, 2, 0x6ec4, 0 },
	{ { 0xb7, 0xca }, 2, 0x6ed4, 0 },
	{ { 0xb7, 0xcb }, 2, 0x6eaa, 0 },
	{ { 0xb7, 0xcc }, 2, 0x6ea7, 0 },
	{ { 0xb7, 0xcd }, 2, 0x6eb4, 0 },
	{ { 0xb7, 0xce }, 2, 0x714e, 0 },
	{ { 0xb7, 0xcf }, 2, 0x7159, 0 },
	{ { 0xb7, 0xd0 }, 2, 0x7169, 0 },
	{ { 0xb7, 0xd1 }, 2, 0x7164, 0 },
	{ { 0xb7, 0xd2 }, 2, 0x7149, 0 },
	{ { 0xb7, 0xd3 }, 2, 0x7167, 0 },
	{ { 0xb7, 0xd4 }, 2, 0x715c, 0 },
	{ { 0xb7, 0xd5 }, 2, 0x716c, 0 },
	{ { 0xb7, 0xd6 }, 2, 0x7166, 0 },
	{ { 0xb7, 0xd7 }, 2, 0x714c, 0 },
	{ { 0xb7, 0xd8 }, 2, 0x7165, 0 },
	{ { 0xb7, 0xd9 }, 2, 0x715e, 0 },
	{ { 0xb7, 0xda }, 2, 0x7146, 0 },
	{ { 0xb7, 0xdb }, 2, 0x7168, 0 },
	{ { 0xb7, 0xdc }, 2, 0x7156, 0 },
	{ { 0xb7, 0xdd }, 2, 0x723a, 0 },
	{ { 0xb7, 0xde }, 2, 0x7252, 0 },
	{ { 0xb7, 0xdf }, 2, 0x7337, 0 },
	{ { 0xb7, 0xe0 }, 2, 0x7345, 0 },
	{ { 0xb7, 0xe1 }, 2, 0x733f, 0 },
	{ { 0xb7, 0xe2 }, 2, 0x733e, 0 },
	{ { 0xb7, 0xe3 }, 2, 0x746f, 0 },
	{ { 0xb7, 0xe4 }, 2, 0x745a, 0 },
	{ { 0xb7, 0xe5 }, 2, 0x7455, 0 },
	{ { 0xb7, 0xe6 }, 2, 0x745f, 0 },
	{ { 0xb7, 0xe7 }, 2, 0x745e, 0 },
	{ { 0xb7, 0xe8 }, 2, 0x7441, 0 },
	{ { 0xb7, 0xe9 }, 2, 0x743f, 0 },
	{ { 0xb7, 0xea }, 2, 0x7459, 0 },
	{ { 0xb7, 0xeb }, 2, 0x745b, 0 },
	{ { 0xb7, 0xec }, 2, 0x745c, 0 },
	{ { 0xb7, 0xed }, 2, 0x7576, 0 },
	{ { 0xb7, 0xee }, 2, 0x7578, 0 },
	{ { 0xb7, 0xef }, 2, 0x7600, 0 },
	{ { 0xb7, 0xf0 }, 2, 0x75f0, 0 },
	{ { 0xb7, 0xf1 }, 2, 0x7601, 0 },
	{ { 0xb7, 0xf2 }, 2, 0x75f2, 0 },
	{ { 0xb7, 0xf3 }, 2, 0x75f1, 0 },
	{ { 0xb7, 0xf4 }, 2, 0x75fa, 0 },
	{ { 0xb7, 0xf5 }, 2, 0x75ff, 0 },
	{ { 0xb7, 0xf6 }, 2, 0x75f4, 0 },
	{ { 0xb7, 0xf7 }, 2, 0x75f3, 0 },
	{ { 0xb7, 0xf8 }, 2, 0x76de, 0 },
	{ { 0xb7, 0xf9 }, 2, 0x76df, 0 },
	{ { 0xb7, 0xfa }, 2, 0x775b, 0 },
	{ { 0xb7, 0xfb }, 2, 0x776b, 0 },
	{ { 0xb7, 0xfc }, 2, 0x7766, 0 },
	{ { 0xb7, 0xfd }, 2, 0x775e, 0 },
	{ { 0xb7, 0xfe }, 2, 0x7763, 0 },

	{ { 0xb8, 0x40 }, 2, 0x7779, 0 },
	{ { 0xb8, 0x41 }, 2, 0x776a, 0 },
	{ { 0xb8, 0x42 }, 2, 0x776c, 0 },
	{ { 0xb8, 0x43 }, 2, 0x775c, 0 },
	{ { 0xb8, 0x44 }, 2, 0x7765, 0 },
	{ { 0xb8, 0x45 }, 2, 0x7768, 0 },
	{ { 0xb8, 0x46 }, 2, 0x7762, 0 },
	{ { 0xb8, 0x47 }, 2, 0x77ee, 0 },
	{ { 0xb8, 0x48 }, 2, 0x788e, 0 },
	{ { 0xb8, 0x49 }, 2, 0x78b0, 0 },
	{ { 0xb8, 0x4a }, 2, 0x7897, 0 },
	{ { 0xb8, 0x4b }, 2, 0x7898, 0 },
	{ { 0xb8, 0x4c }, 2, 0x788c, 0 },
	{ { 0xb8, 0x4d }, 2, 0x7889, 0 },
	{ { 0xb8, 0x4e }, 2, 0x787c, 0 },
	{ { 0xb8, 0x4f }, 2, 0x7891, 0 },
	{ { 0xb8, 0x50 }, 2, 0x7893, 0 },
	{ { 0xb8, 0x51 }, 2, 0x787f, 0 },
	{ { 0xb8, 0x52 }, 2, 0x797a, 0 },
	{ { 0xb8, 0x53 }, 2, 0x797f, 0 },
	{ { 0xb8, 0x54 }, 2, 0x7981, 0 },
	{ { 0xb8, 0x55 }, 2, 0x842c, 0 },
	{ { 0xb8, 0x56 }, 2, 0x79bd, 0 },
	{ { 0xb8, 0x57 }, 2, 0x7a1c, 0 },
	{ { 0xb8, 0x58 }, 2, 0x7a1a, 0 },
	{ { 0xb8, 0x59 }, 2, 0x7a20, 0 },
	{ { 0xb8, 0x5a }, 2, 0x7a14, 0 },
	{ { 0xb8, 0x5b }, 2, 0x7a1f, 0 },
	{ { 0xb8, 0x5c }, 2, 0x7a1e, 0 },
	{ { 0xb8, 0x5d }, 2, 0x7a9f, 0 },
	{ { 0xb8, 0x5e }, 2, 0x7aa0, 0 },
	{ { 0xb8, 0x5f }, 2, 0x7b77, 0 },
	{ { 0xb8, 0x60 }, 2, 0x7bc0, 0 },
	{ { 0xb8, 0x61 }, 2, 0x7b60, 0 },
	{ { 0xb8, 0x62 }, 2, 0x7b6e, 0 },
	{ { 0xb8, 0x63 }, 2, 0x7b67, 0 },
	{ { 0xb8, 0x64 }, 2, 0x7cb1, 0 },
	{ { 0xb8, 0x65 }, 2, 0x7cb3, 0 },
	{ { 0xb8, 0x66 }, 2, 0x7cb5, 0 },
	{ { 0xb8, 0x67 }, 2, 0x7d93, 0 },
	{ { 0xb8, 0x68 }, 2, 0x7d79, 0 },
	{ { 0xb8, 0x69 }, 2, 0x7d91, 0 },
	{ { 0xb8, 0x6a }, 2, 0x7d81, 0 },
	{ { 0xb8, 0x6b }, 2, 0x7d8f, 0 },
	{ { 0xb8, 0x6c }, 2, 0x7d5b, 0 },
	{ { 0xb8, 0x6d }, 2, 0x7f6e, 0 },
	{ { 0xb8, 0x6e }, 2, 0x7f69, 0 },
	{ { 0xb8, 0x6f }, 2, 0x7f6a, 0 },
	{ { 0xb8, 0x70 }, 2, 0x7f72, 0 },
	{ { 0xb8, 0x71 }, 2, 0x7fa9, 0 },
	{ { 0xb8, 0x72 }, 2, 0x7fa8, 0 },
	{ { 0xb8, 0x73 }, 2, 0x7fa4, 0 },
	{ { 0xb8, 0x74 }, 2, 0x8056, 0 },
	{ { 0xb8, 0x75 }, 2, 0x8058, 0 },
	{ { 0xb8, 0x76 }, 2, 0x8086, 0 },
	{ { 0xb8, 0x77 }, 2, 0x8084, 0 },
	{ { 0xb8, 0x78 }, 2, 0x8171, 0 },
	{ { 0xb8, 0x79 }, 2, 0x8170, 0 },
	{ { 0xb8, 0x7a }, 2, 0x8178, 0 },
	{ { 0xb8, 0x7b }, 2, 0x8165, 0 },
	{ { 0xb8, 0x7c }, 2, 0x816e, 0 },
	{ { 0xb8, 0x7d }, 2, 0x8173, 0 },
	{ { 0xb8, 0x7e }, 2, 0x816b, 0 },
	{ { 0xb8, 0xa1 }, 2, 0x8179, 0 },
	{ { 0xb8, 0xa2 }, 2, 0x817a, 0 },
	{ { 0xb8, 0xa3 }, 2, 0x8166, 0 },
	{ { 0xb8, 0xa4 }, 2, 0x8205, 0 },
	{ { 0xb8, 0xa5 }, 2, 0x8247, 0 },
	{ { 0xb8, 0xa6 }, 2, 0x8482, 0 },
	{ { 0xb8, 0xa7 }, 2, 0x8477, 0 },
	{ { 0xb8, 0xa8 }, 2, 0x843d, 0 },
	{ { 0xb8, 0xa9 }, 2, 0x8431, 0 },
	{ { 0xb8, 0xaa }, 2, 0x8475, 0 },
	{ { 0xb8, 0xab }, 2, 0x8466, 0 },
	{ { 0xb8, 0xac }, 2, 0x846b, 0 },
	{ { 0xb8, 0xad }, 2, 0x8449, 0 },
	{ { 0xb8, 0xae }, 2, 0x846c, 0 },
	{ { 0xb8, 0xaf }, 2, 0x845b, 0 },
	{ { 0xb8, 0xb0 }, 2, 0x843c, 0 },
	{ { 0xb8, 0xb1 }, 2, 0x8435, 0 },
	{ { 0xb8, 0xb2 }, 2, 0x8461, 0 },
	{ { 0xb8, 0xb3 }, 2, 0x8463, 0 },
	{ { 0xb8, 0xb4 }, 2, 0x8469, 0 },
	{ { 0xb8, 0xb5 }, 2, 0x846d, 0 },
	{ { 0xb8, 0xb6 }, 2, 0x8446, 0 },
	{ { 0xb8, 0xb7 }, 2, 0x865e, 0 },
	{ { 0xb8, 0xb8 }, 2, 0x865c, 0 },
	{ { 0xb8, 0xb9 }, 2, 0x865f, 0 },
	{ { 0xb8, 0xba }, 2, 0x86f9, 0 },
	{ { 0xb8, 0xbb }, 2, 0x8713, 0 },
	{ { 0xb8, 0xbc }, 2, 0x8708, 0 },
	{ { 0xb8, 0xbd }, 2, 0x8707, 0 },
	{ { 0xb8, 0xbe }, 2, 0x8700, 0 },
	{ { 0xb8, 0xbf }, 2, 0x86fe, 0 },
	{ { 0xb8, 0xc0 }, 2, 0x86fb, 0 },
	{ { 0xb8, 0xc1 }, 2, 0x8702, 0 },
	{ { 0xb8, 0xc2 }, 2, 0x8703, 0 },
	{ { 0xb8, 0xc3 }, 2, 0x8706, 0 },
	{ { 0xb8, 0xc4 }, 2, 0x870a, 0 },
	{ { 0xb8, 0xc5 }, 2, 0x8859, 0 },
	{ { 0xb8, 0xc6 }, 2, 0x88df, 0 },
	{ { 0xb8, 0xc7 }, 2, 0x88d4, 0 },
	{ { 0xb8, 0xc8 }, 2, 0x88d9, 0 },
	{ { 0xb8, 0xc9 }, 2, 0x88dc, 0 },
	{ { 0xb8, 0xca }, 2, 0x88d8, 0 },
	{ { 0xb8, 0xcb }, 2, 0x88dd, 0 },
	{ { 0xb8, 0xcc }, 2, 0x88e1, 0 },
	{ { 0xb8, 0xcd }, 2, 0x88ca, 0 },
	{ { 0xb8, 0xce }, 2, 0x88d5, 0 },
	{ { 0xb8, 0xcf }, 2, 0x88d2, 0 },
	{ { 0xb8, 0xd0 }, 2, 0x899c, 0 },
	{ { 0xb8, 0xd1 }, 2, 0x89e3, 0 },
	{ { 0xb8, 0xd2 }, 2, 0x8a6b, 0 },
	{ { 0xb8, 0xd3 }, 2, 0x8a72, 0 },
	{ { 0xb8, 0xd4 }, 2, 0x8a73, 0 },
	{ { 0xb8, 0xd5 }, 2, 0x8a66, 0 },
	{ { 0xb8, 0xd6 }, 2, 0x8a69, 0 },
	{ { 0xb8, 0xd7 }, 2, 0x8a70, 0 },
	{ { 0xb8, 0xd8 }, 2, 0x8a87, 0 },
	{ { 0xb8, 0xd9 }, 2, 0x8a7c, 0 },
	{ { 0xb8, 0xda }, 2, 0x8a63, 0 },
	{ { 0xb8, 0xdb }, 2, 0x8aa0, 0 },
	{ { 0xb8, 0xdc }, 2, 0x8a71, 0 },
	{ { 0xb8, 0xdd }, 2, 0x8a85, 0 },
	{ { 0xb8, 0xde }, 2, 0x8a6d, 0 },
	{ { 0xb8, 0xdf }, 2, 0x8a62, 0 },
	{ { 0xb8, 0xe0 }, 2, 0x8a6e, 0 },
	{ { 0xb8, 0xe1 }, 2, 0x8a6c, 0 },
	{ { 0xb8, 0xe2 }, 2, 0x8a79, 0 },
	{ { 0xb8, 0xe3 }, 2, 0x8a7b, 0 },
	{ { 0xb8, 0xe4 }, 2, 0x8a3e, 0 },
	{ { 0xb8, 0xe5 }, 2, 0x8a68, 0 },
	{ { 0xb8, 0xe6 }, 2, 0x8c62, 0 },
	{ { 0xb8, 0xe7 }, 2, 0x8c8a, 0 },
	{ { 0xb8, 0xe8 }, 2, 0x8c89, 0 },
	{ { 0xb8, 0xe9 }, 2, 0x8cca, 0 },
	{ { 0xb8, 0xea }, 2, 0x8cc7, 0 },
	{ { 0xb8, 0xeb }, 2, 0x8cc8, 0 },
	{ { 0xb8, 0xec }, 2, 0x8cc4, 0 },
	{ { 0xb8, 0xed }, 2, 0x8cb2, 0 },
	{ { 0xb8, 0xee }, 2, 0x8cc3, 0 },
	{ { 0xb8, 0xef }, 2, 0x8cc2, 0 },
	{ { 0xb8, 0xf0 }, 2, 0x8cc5, 0 },
	{ { 0xb8, 0xf1 }, 2, 0x8de1, 0 },
	{ { 0xb8, 0xf2 }, 2, 0x8ddf, 0 },
	{ { 0xb8, 0xf3 }, 2, 0x8de8, 0 },
	{ { 0xb8, 0xf4 }, 2, 0x8def, 0 },
	{ { 0xb8, 0xf5 }, 2, 0x8df3, 0 },
	{ { 0xb8, 0xf6 }, 2, 0x8dfa, 0 },
	{ { 0xb8, 0xf7 }, 2, 0x8dea, 0 },
	{ { 0xb8, 0xf8 }, 2, 0x8de4, 0 },
	{ { 0xb8, 0xf9 }, 2, 0x8de6, 0 },
	{ { 0xb8, 0xfa }, 2, 0x8eb2, 0 },
	{ { 0xb8, 0xfb }, 2, 0x8f03, 0 },
	{ { 0xb8, 0xfc }, 2, 0x8f09, 0 },
	{ { 0xb8, 0xfd }, 2, 0x8efe, 0 },
	{ { 0xb8, 0xfe }, 2, 0x8f0a, 0 },

	{ { 0xb9, 0x40 }, 2, 0x8f9f, 0 },
	{ { 0xb9, 0x41 }, 2, 0x8fb2, 0 },
	{ { 0xb9, 0x42 }, 2, 0x904b, 0 },
	{ { 0xb9, 0x43 }, 2, 0x904a, 0 },
	{ { 0xb9, 0x44 }, 2, 0x9053, 0 },
	{ { 0xb9, 0x45 }, 2, 0x9042, 0 },
	{ { 0xb9, 0x46 }, 2, 0x9054, 0 },
	{ { 0xb9, 0x47 }, 2, 0x903c, 0 },
	{ { 0xb9, 0x48 }, 2, 0x9055, 0 },
	{ { 0xb9, 0x49 }, 2, 0x9050, 0 },
	{ { 0xb9, 0x4a }, 2, 0x9047, 0 },
	{ { 0xb9, 0x4b }, 2, 0x904f, 0 },
	{ { 0xb9, 0x4c }, 2, 0x904e, 0 },
	{ { 0xb9, 0x4d }, 2, 0x904d, 0 },
	{ { 0xb9, 0x4e }, 2, 0x9051, 0 },
	{ { 0xb9, 0x4f }, 2, 0x903e, 0 },
	{ { 0xb9, 0x50 }, 2, 0x9041, 0 },
	{ { 0xb9, 0x51 }, 2, 0x9112, 0 },
	{ { 0xb9, 0x52 }, 2, 0x9117, 0 },
	{ { 0xb9, 0x53 }, 2, 0x916c, 0 },
	{ { 0xb9, 0x54 }, 2, 0x916a, 0 },
	{ { 0xb9, 0x55 }, 2, 0x9169, 0 },
	{ { 0xb9, 0x56 }, 2, 0x91c9, 0 },
	{ { 0xb9, 0x57 }, 2, 0x9237, 0 },
	{ { 0xb9, 0x58 }, 2, 0x9257, 0 },
	{ { 0xb9, 0x59 }, 2, 0x9238, 0 },
	{ { 0xb9, 0x5a }, 2, 0x923d, 0 },
	{ { 0xb9, 0x5b }, 2, 0x9240, 0 },
	{ { 0xb9, 0x5c }, 2, 0x923e, 0 },
	{ { 0xb9, 0x5d }, 2, 0x925b, 0 },
	{ { 0xb9, 0x5e }, 2, 0x924b, 0 },
	{ { 0xb9, 0x5f }, 2, 0x9264, 0 },
	{ { 0xb9, 0x60 }, 2, 0x9251, 0 },
	{ { 0xb9, 0x61 }, 2, 0x9234, 0 },
	{ { 0xb9, 0x62 }, 2, 0x9249, 0 },
	{ { 0xb9, 0x63 }, 2, 0x924d, 0 },
	{ { 0xb9, 0x64 }, 2, 0x9245, 0 },
	{ { 0xb9, 0x65 }, 2, 0x9239, 0 },
	{ { 0xb9, 0x66 }, 2, 0x923f, 0 },
	{ { 0xb9, 0x67 }, 2, 0x925a, 0 },
	{ { 0xb9, 0x68 }, 2, 0x9598, 0 },
	{ { 0xb9, 0x69 }, 2, 0x9698, 0 },
	{ { 0xb9, 0x6a }, 2, 0x9694, 0 },
	{ { 0xb9, 0x6b }, 2, 0x9695, 0 },
	{ { 0xb9, 0x6c }, 2, 0x96cd, 0 },
	{ { 0xb9, 0x6d }, 2, 0x96cb, 0 },
	{ { 0xb9, 0x6e }, 2, 0x96c9, 0 },
	{ { 0xb9, 0x6f }, 2, 0x96ca, 0 },
	{ { 0xb9, 0x70 }, 2, 0x96f7, 0 },
	{ { 0xb9, 0x71 }, 2, 0x96fb, 0 },
	{ { 0xb9, 0x72 }, 2, 0x96f9, 0 },
	{ { 0xb9, 0x73 }, 2, 0x96f6, 0 },
	{ { 0xb9, 0x74 }, 2, 0x9756, 0 },
	{ { 0xb9, 0x75 }, 2, 0x9774, 0 },
	{ { 0xb9, 0x76 }, 2, 0x9776, 0 },
	{ { 0xb9, 0x77 }, 2, 0x9810, 0 },
	{ { 0xb9, 0x78 }, 2, 0x9811, 0 },
	{ { 0xb9, 0x79 }, 2, 0x9813, 0 },
	{ { 0xb9, 0x7a }, 2, 0x980a, 0 },
	{ { 0xb9, 0x7b }, 2, 0x9812, 0 },
	{ { 0xb9, 0x7c }, 2, 0x980c, 0 },
	{ { 0xb9, 0x7d }, 2, 0x98fc, 0 },
	{ { 0xb9, 0x7e }, 2, 0x98f4, 0 },
	{ { 0xb9, 0xa1 }, 2, 0x98fd, 0 },
	{ { 0xb9, 0xa2 }, 2, 0x98fe, 0 },
	{ { 0xb9, 0xa3 }, 2, 0x99b3, 0 },
	{ { 0xb9, 0xa4 }, 2, 0x99b1, 0 },
	{ { 0xb9, 0xa5 }, 2, 0x99b4, 0 },
	{ { 0xb9, 0xa6 }, 2, 0x9ae1, 0 },
	{ { 0xb9, 0xa7 }, 2, 0x9ce9, 0 },
	{ { 0xb9, 0xa8 }, 2, 0x9e82, 0 },
	{ { 0xb9, 0xa9 }, 2, 0x9f0e, 0 },
	{ { 0xb9, 0xaa }, 2, 0x9f13, 0 },
	{ { 0xb9, 0xab }, 2, 0x9f20, 0 },
	{ { 0xb9, 0xac }, 2, 0x50e7, 0 },
	{ { 0xb9, 0xad }, 2, 0x50ee, 0 },
	{ { 0xb9, 0xae }, 2, 0x50e5, 0 },
	{ { 0xb9, 0xaf }, 2, 0x50d6, 0 },
	{ { 0xb9, 0xb0 }, 2, 0x50ed, 0 },
	{ { 0xb9, 0xb1 }, 2, 0x50da, 0 },
	{ { 0xb9, 0xb2 }, 2, 0x50d5, 0 },
	{ { 0xb9, 0xb3 }, 2, 0x50cf, 0 },
	{ { 0xb9, 0xb4 }, 2, 0x50d1, 0 },
	{ { 0xb9, 0xb5 }, 2, 0x50f1, 0 },
	{ { 0xb9, 0xb6 }, 2, 0x50ce, 0 },
	{ { 0xb9, 0xb7 }, 2, 0x50e9, 0 },
	{ { 0xb9, 0xb8 }, 2, 0x5162, 0 },
	{ { 0xb9, 0xb9 }, 2, 0x51f3, 0 },
	{ { 0xb9, 0xba }, 2, 0x5283, 0 },
	{ { 0xb9, 0xbb }, 2, 0x5282, 0 },
	{ { 0xb9, 0xbc }, 2, 0x5331, 0 },
	{ { 0xb9, 0xbd }, 2, 0x53ad, 0 },
	{ { 0xb9, 0xbe }, 2, 0x55fe, 0 },
	{ { 0xb9, 0xbf }, 2, 0x5600, 0 },
	{ { 0xb9, 0xc0 }, 2, 0x561b, 0 },
	{ { 0xb9, 0xc1 }, 2, 0x5617, 0 },
	{ { 0xb9, 0xc2 }, 2, 0x55fd, 0 },
	{ { 0xb9, 0xc3 }, 2, 0x5614, 0 },
	{ { 0xb9, 0xc4 }, 2, 0x5606, 0 },
	{ { 0xb9, 0xc5 }, 2, 0x5609, 0 },
	{ { 0xb9, 0xc6 }, 2, 0x560d, 0 },
	{ { 0xb9, 0xc7 }, 2, 0x560e, 0 },
	{ { 0xb9, 0xc8 }, 2, 0x55f7, 0 },
	{ { 0xb9, 0xc9 }, 2, 0x5616, 0 },
	{ { 0xb9, 0xca }, 2, 0x561f, 0 },
	{ { 0xb9, 0xcb }, 2, 0x5608, 0 },
	{ { 0xb9, 0xcc }, 2, 0x5610, 0 },
	{ { 0xb9, 0xcd }, 2, 0x55f6, 0 },
	{ { 0xb9, 0xce }, 2, 0x5718, 0 },
	{ { 0xb9, 0xcf }, 2, 0x5716, 0 },
	{ { 0xb9, 0xd0 }, 2, 0x5875, 0 },
	{ { 0xb9, 0xd1 }, 2, 0x587e, 0 },
	{ { 0xb9, 0xd2 }, 2, 0x5883, 0 },
	{ { 0xb9, 0xd3 }, 2, 0x5893, 0 },
	{ { 0xb9, 0xd4 }, 2, 0x588a, 0 },
	{ { 0xb9, 0xd5 }, 2, 0x5879, 0 },
	{ { 0xb9, 0xd6 }, 2, 0x5885, 0 },
	{ { 0xb9, 0xd7 }, 2, 0x587d, 0 },
	{ { 0xb9, 0xd8 }, 2, 0x58fd, 0 },
	{ { 0xb9, 0xd9 }, 2, 0x5925, 0 },
	{ { 0xb9, 0xda }, 2, 0x5922, 0 },
	{ { 0xb9, 0xdb }, 2, 0x5924, 0 },
	{ { 0xb9, 0xdc }, 2, 0x596a, 0 },
	{ { 0xb9, 0xdd }, 2, 0x5969, 0 },
	{ { 0xb9, 0xde }, 2, 0x5ae1, 0 },
	{ { 0xb9, 0xdf }, 2, 0x5ae6, 0 },
	{ { 0xb9, 0xe0 }, 2, 0x5ae9, 0 },
	{ { 0xb9, 0xe1 }, 2, 0x5ad7, 0 },
	{ { 0xb9, 0xe2 }, 2, 0x5ad6, 0 },
	{ { 0xb9, 0xe3 }, 2, 0x5ad8, 0 },
	{ { 0xb9, 0xe4 }, 2, 0x5ae3, 0 },
	{ { 0xb9, 0xe5 }, 2, 0x5b75, 0 },
	{ { 0xb9, 0xe6 }, 2, 0x5bde, 0 },
	{ { 0xb9, 0xe7 }, 2, 0x5be7, 0 },
	{ { 0xb9, 0xe8 }, 2, 0x5be1, 0 },
	{ { 0xb9, 0xe9 }, 2, 0x5be5, 0 },
	{ { 0xb9, 0xea }, 2, 0x5be6, 0 },
	{ { 0xb9, 0xeb }, 2, 0x5be8, 0 },
	{ { 0xb9, 0xec }, 2, 0x5be2, 0 },
	{ { 0xb9, 0xed }, 2, 0x5be4, 0 },
	{ { 0xb9, 0xee }, 2, 0x5bdf, 0 },
	{ { 0xb9, 0xef }, 2, 0x5c0d, 0 },
	{ { 0xb9, 0xf0 }, 2, 0x5c62, 0 },
	{ { 0xb9, 0xf1 }, 2, 0x5d84, 0 },
	{ { 0xb9, 0xf2 }, 2, 0x5d87, 0 },
	{ { 0xb9, 0xf3 }, 2, 0x5e5b, 0 },
	{ { 0xb9, 0xf4 }, 2, 0x5e63, 0 },
	{ { 0xb9, 0xf5 }, 2, 0x5e55, 0 },
	{ { 0xb9, 0xf6 }, 2, 0x5e57, 0 },
	{ { 0xb9, 0xf7 }, 2, 0x5e54, 0 },
	{ { 0xb9, 0xf8 }, 2, 0x5ed3, 0 },
	{ { 0xb9, 0xf9 }, 2, 0x5ed6, 0 },
	{ { 0xb9, 0xfa }, 2, 0x5f0a, 0 },
	{ { 0xb9, 0xfb }, 2, 0x5f46, 0 },
	{ { 0xb9, 0xfc }, 2, 0x5f70, 0 },
	{ { 0xb9, 0xfd }, 2, 0x5fb9, 0 },
	{ { 0xb9, 0xfe }, 2, 0x6147, 0 },

	{ { 0xba, 0x40 }, 2, 0x613f, 0 },
	{ { 0xba, 0x41 }, 2, 0x614b, 0 },
	{ { 0xba, 0x42 }, 2, 0x6177, 0 },
	{ { 0xba, 0x43 }, 2, 0x6162, 0 },
	{ { 0xba, 0x44 }, 2, 0x6163, 0 },
	{ { 0xba, 0x45 }, 2, 0x615f, 0 },
	{ { 0xba, 0x46 }, 2, 0x615a, 0 },
	{ { 0xba, 0x47 }, 2, 0x6158, 0 },
	{ { 0xba, 0x48 }, 2, 0x6175, 0 },
	{ { 0xba, 0x49 }, 2, 0x622a, 0 },
	{ { 0xba, 0x4a }, 2, 0x6487, 0 },
	{ { 0xba, 0x4b }, 2, 0x6458, 0 },
	{ { 0xba, 0x4c }, 2, 0x6454, 0 },
	{ { 0xba, 0x4d }, 2, 0x64a4, 0 },
	{ { 0xba, 0x4e }, 2, 0x6478, 0 },
	{ { 0xba, 0x4f }, 2, 0x645f, 0 },
	{ { 0xba, 0x50 }, 2, 0x647a, 0 },
	{ { 0xba, 0x51 }, 2, 0x6451, 0 },
	{ { 0xba, 0x52 }, 2, 0x6467, 0 },
	{ { 0xba, 0x53 }, 2, 0x6434, 0 },
	{ { 0xba, 0x54 }, 2, 0x646d, 0 },
	{ { 0xba, 0x55 }, 2, 0x647b, 0 },
	{ { 0xba, 0x56 }, 2, 0x6572, 0 },
	{ { 0xba, 0x57 }, 2, 0x65a1, 0 },
	{ { 0xba, 0x58 }, 2, 0x65d7, 0 },
	{ { 0xba, 0x59 }, 2, 0x65d6, 0 },
	{ { 0xba, 0x5a }, 2, 0x66a2, 0 },
	{ { 0xba, 0x5b }, 2, 0x66a8, 0 },
	{ { 0xba, 0x5c }, 2, 0x669d, 0 },
	{ { 0xba, 0x5d }, 2, 0x699c, 0 },
	{ { 0xba, 0x5e }, 2, 0x69a8, 0 },
	{ { 0xba, 0x5f }, 2, 0x6995, 0 },
	{ { 0xba, 0x60 }, 2, 0x69c1, 0 },
	{ { 0xba, 0x61 }, 2, 0x69ae, 0 },
	{ { 0xba, 0x62 }, 2, 0x69d3, 0 },
	{ { 0xba, 0x63 }, 2, 0x69cb, 0 },
	{ { 0xba, 0x64 }, 2, 0x699b, 0 },
	{ { 0xba, 0x65 }, 2, 0x69b7, 0 },
	{ { 0xba, 0x66 }, 2, 0x69bb, 0 },
	{ { 0xba, 0x67 }, 2, 0x69ab, 0 },
	{ { 0xba, 0x68 }, 2, 0x69b4, 0 },
	{ { 0xba, 0x69 }, 2, 0x69d0, 0 },
	{ { 0xba, 0x6a }, 2, 0x69cd, 0 },
	{ { 0xba, 0x6b }, 2, 0x69ad, 0 },
	{ { 0xba, 0x6c }, 2, 0x69cc, 0 },
	{ { 0xba, 0x6d }, 2, 0x69a6, 0 },
	{ { 0xba, 0x6e }, 2, 0x69c3, 0 },
	{ { 0xba, 0x6f }, 2, 0x69a3, 0 },
	{ { 0xba, 0x70 }, 2, 0x6b49, 0 },
	{ { 0xba, 0x71 }, 2, 0x6b4c, 0 },
	{ { 0xba, 0x72 }, 2, 0x6c33, 0 },
	{ { 0xba, 0x73 }, 2, 0x6f33, 0 },
	{ { 0xba, 0x74 }, 2, 0x6f14, 0 },
	{ { 0xba, 0x75 }, 2, 0x6efe, 0 },
	{ { 0xba, 0x76 }, 2, 0x6f13, 0 },
	{ { 0xba, 0x77 }, 2, 0x6ef4, 0 },
	{ { 0xba, 0x78 }, 2, 0x6f29, 0 },
	{ { 0xba, 0x79 }, 2, 0x6f3e, 0 },
	{ { 0xba, 0x7a }, 2, 0x6f20, 0 },
	{ { 0xba, 0x7b }, 2, 0x6f2c, 0 },
	{ { 0xba, 0x7c }, 2, 0x6f0f, 0 },
	{ { 0xba, 0x7d }, 2, 0x6f02, 0 },
	{ { 0xba, 0x7e }, 2, 0x6f22, 0 },
	{ { 0xba, 0xa1 }, 2, 0x6eff, 0 },
	{ { 0xba, 0xa2 }, 2, 0x6eef, 0 },
	{ { 0xba, 0xa3 }, 2, 0x6f06, 0 },
	{ { 0xba, 0xa4 }, 2, 0x6f31, 0 },
	{ { 0xba, 0xa5 }, 2, 0x6f38, 0 },
	{ { 0xba, 0xa6 }, 2, 0x6f32, 0 },
	{ { 0xba, 0xa7 }, 2, 0x6f23, 0 },
	{ { 0xba, 0xa8 }, 2, 0x6f15, 0 },
	{ { 0xba, 0xa9 }, 2, 0x6f2b, 0 },
	{ { 0xba, 0xaa }, 2, 0x6f2f, 0 },
	{ { 0xba, 0xab }, 2, 0x6f88, 0 },
	{ { 0xba, 0xac }, 2, 0x6f2a, 0 },
	{ { 0xba, 0xad }, 2, 0x6eec, 0 },
	{ { 0xba, 0xae }, 2, 0x6f01, 0 },
	{ { 0xba, 0xaf }, 2, 0x6ef2, 0 },
	{ { 0xba, 0xb0 }, 2, 0x6ecc, 0 },
	{ { 0xba, 0xb1 }, 2, 0x6ef7, 0 },
	{ { 0xba, 0xb2 }, 2, 0x7194, 0 },
	{ { 0xba, 0xb3 }, 2, 0x7199, 0 },
	{ { 0xba, 0xb4 }, 2, 0x717d, 0 },
	{ { 0xba, 0xb5 }, 2, 0x718a, 0 },
	{ { 0xba, 0xb6 }, 2, 0x7184, 0 },
	{ { 0xba, 0xb7 }, 2, 0x7192, 0 },
	{ { 0xba, 0xb8 }, 2, 0x723e, 0 },
	{ { 0xba, 0xb9 }, 2, 0x7292, 0 },
	{ { 0xba, 0xba }, 2, 0x7296, 0 },
	{ { 0xba, 0xbb }, 2, 0x7344, 0 },
	{ { 0xba, 0xbc }, 2, 0x7350, 0 },
	{ { 0xba, 0xbd }, 2, 0x7464, 0 },
	{ { 0xba, 0xbe }, 2, 0x7463, 0 },
	{ { 0xba, 0xbf }, 2, 0x746a, 0 },
	{ { 0xba, 0xc0 }, 2, 0x7470, 0 },
	{ { 0xba, 0xc1 }, 2, 0x746d, 0 },
	{ { 0xba, 0xc2 }, 2, 0x7504, 0 },
	{ { 0xba, 0xc3 }, 2, 0x7591, 0 },
	{ { 0xba, 0xc4 }, 2, 0x7627, 0 },
	{ { 0xba, 0xc5 }, 2, 0x760d, 0 },
	{ { 0xba, 0xc6 }, 2, 0x760b, 0 },
	{ { 0xba, 0xc7 }, 2, 0x7609, 0 },
	{ { 0xba, 0xc8 }, 2, 0x7613, 0 },
	{ { 0xba, 0xc9 }, 2, 0x76e1, 0 },
	{ { 0xba, 0xca }, 2, 0x76e3, 0 },
	{ { 0xba, 0xcb }, 2, 0x7784, 0 },
	{ { 0xba, 0xcc }, 2, 0x777d, 0 },
	{ { 0xba, 0xcd }, 2, 0x777f, 0 },
	{ { 0xba, 0xce }, 2, 0x7761, 0 },
	{ { 0xba, 0xcf }, 2, 0x78c1, 0 },
	{ { 0xba, 0xd0 }, 2, 0x789f, 0 },
	{ { 0xba, 0xd1 }, 2, 0x78a7, 0 },
	{ { 0xba, 0xd2 }, 2, 0x78b3, 0 },
	{ { 0xba, 0xd3 }, 2, 0x78a9, 0 },
	{ { 0xba, 0xd4 }, 2, 0x78a3, 0 },
	{ { 0xba, 0xd5 }, 2, 0x798e, 0 },
	{ { 0xba, 0xd6 }, 2, 0x798f, 0 },
	{ { 0xba, 0xd7 }, 2, 0x798d, 0 },
	{ { 0xba, 0xd8 }, 2, 0x7a2e, 0 },
	{ { 0xba, 0xd9 }, 2, 0x7a31, 0 },
	{ { 0xba, 0xda }, 2, 0x7aaa, 0 },
	{ { 0xba, 0xdb }, 2, 0x7aa9, 0 },
	{ { 0xba, 0xdc }, 2, 0x7aed, 0 },
	{ { 0xba, 0xdd }, 2, 0x7aef, 0 },
	{ { 0xba, 0xde }, 2, 0x7ba1, 0 },
	{ { 0xba, 0xdf }, 2, 0x7b95, 0 },
	{ { 0xba, 0xe0 }, 2, 0x7b8b, 0 },
	{ { 0xba, 0xe1 }, 2, 0x7b75, 0 },
	{ { 0xba, 0xe2 }, 2, 0x7b97, 0 },
	{ { 0xba, 0xe3 }, 2, 0x7b9d, 0 },
	{ { 0xba, 0xe4 }, 2, 0x7b94, 0 },
	{ { 0xba, 0xe5 }, 2, 0x7b8f, 0 },
	{ { 0xba, 0xe6 }, 2, 0x7bb8, 0 },
	{ { 0xba, 0xe7 }, 2, 0x7b87, 0 },
	{ { 0xba, 0xe8 }, 2, 0x7b84, 0 },
	{ { 0xba, 0xe9 }, 2, 0x7cb9, 0 },
	{ { 0xba, 0xea }, 2, 0x7cbd, 0 },
	{ { 0xba, 0xeb }, 2, 0x7cbe, 0 },
	{ { 0xba, 0xec }, 2, 0x7dbb, 0 },
	{ { 0xba, 0xed }, 2, 0x7db0, 0 },
	{ { 0xba, 0xee }, 2, 0x7d9c, 0 },
	{ { 0xba, 0xef }, 2, 0x7dbd, 0 },
	{ { 0xba, 0xf0 }, 2, 0x7dbe, 0 },
	{ { 0xba, 0xf1 }, 2, 0x7da0, 0 },
	{ { 0xba, 0xf2 }, 2, 0x7dca, 0 },
	{ { 0xba, 0xf3 }, 2, 0x7db4, 0 },
	{ { 0xba, 0xf4 }, 2, 0x7db2, 0 },
	{ { 0xba, 0xf5 }, 2, 0x7db1, 0 },
	{ { 0xba, 0xf6 }, 2, 0x7dba, 0 },
	{ { 0xba, 0xf7 }, 2, 0x7da2, 0 },
	{ { 0xba, 0xf8 }, 2, 0x7dbf, 0 },
	{ { 0xba, 0xf9 }, 2, 0x7db5, 0 },
	{ { 0xba, 0xfa }, 2, 0x7db8, 0 },
	{ { 0xba, 0xfb }, 2, 0x7dad, 0 },
	{ { 0xba, 0xfc }, 2, 0x7dd2, 0 },
	{ { 0xba, 0xfd }, 2, 0x7dc7, 0 },
	{ { 0xba, 0xfe }, 2, 0x7dac, 0 },

	{ { 0xbb, 0x40 }, 2, 0x7f70, 0 },
	{ { 0xbb, 0x41 }, 2, 0x7fe0, 0 },
	{ { 0xbb, 0x42 }, 2, 0x7fe1, 0 },
	{ { 0xbb, 0x43 }, 2, 0x7fdf, 0 },
	{ { 0xbb, 0x44 }, 2, 0x805e, 0 },
	{ { 0xbb, 0x45 }, 2, 0x805a, 0 },
	{ { 0xbb, 0x46 }, 2, 0x8087, 0 },
	{ { 0xbb, 0x47 }, 2, 0x8150, 0 },
	{ { 0xbb, 0x48 }, 2, 0x8180, 0 },
	{ { 0xbb, 0x49 }, 2, 0x818f, 0 },
	{ { 0xbb, 0x4a }, 2, 0x8188, 0 },
	{ { 0xbb, 0x4b }, 2, 0x818a, 0 },
	{ { 0xbb, 0x4c }, 2, 0x817f, 0 },
	{ { 0xbb, 0x4d }, 2, 0x8182, 0 },
	{ { 0xbb, 0x4e }, 2, 0x81e7, 0 },
	{ { 0xbb, 0x4f }, 2, 0x81fa, 0 },
	{ { 0xbb, 0x50 }, 2, 0x8207, 0 },
	{ { 0xbb, 0x51 }, 2, 0x8214, 0 },
	{ { 0xbb, 0x52 }, 2, 0x821e, 0 },
	{ { 0xbb, 0x53 }, 2, 0x824b, 0 },
	{ { 0xbb, 0x54 }, 2, 0x84c9, 0 },
	{ { 0xbb, 0x55 }, 2, 0x84bf, 0 },
	{ { 0xbb, 0x56 }, 2, 0x84c6, 0 },
	{ { 0xbb, 0x57 }, 2, 0x84c4, 0 },
	{ { 0xbb, 0x58 }, 2, 0x8499, 0 },
	{ { 0xbb, 0x59 }, 2, 0x849e, 0 },
	{ { 0xbb, 0x5a }, 2, 0x84b2, 0 },
	{ { 0xbb, 0x5b }, 2, 0x849c, 0 },
	{ { 0xbb, 0x5c }, 2, 0x84cb, 0 },
	{ { 0xbb, 0x5d }, 2, 0x84b8, 0 },
	{ { 0xbb, 0x5e }, 2, 0x84c0, 0 },
	{ { 0xbb, 0x5f }, 2, 0x84d3, 0 },
	{ { 0xbb, 0x60 }, 2, 0x8490, 0 },
	{ { 0xbb, 0x61 }, 2, 0x84bc, 0 },
	{ { 0xbb, 0x62 }, 2, 0x84d1, 0 },
	{ { 0xbb, 0x63 }, 2, 0x84ca, 0 },
	{ { 0xbb, 0x64 }, 2, 0x873f, 0 },
	{ { 0xbb, 0x65 }, 2, 0x871c, 0 },
	{ { 0xbb, 0x66 }, 2, 0x873b, 0 },
	{ { 0xbb, 0x67 }, 2, 0x8722, 0 },
	{ { 0xbb, 0x68 }, 2, 0x8725, 0 },
	{ { 0xbb, 0x69 }, 2, 0x8734, 0 },
	{ { 0xbb, 0x6a }, 2, 0x8718, 0 },
	{ { 0xbb, 0x6b }, 2, 0x8755, 0 },
	{ { 0xbb, 0x6c }, 2, 0x8737, 0 },
	{ { 0xbb, 0x6d }, 2, 0x8729, 0 },
	{ { 0xbb, 0x6e }, 2, 0x88f3, 0 },
	{ { 0xbb, 0x6f }, 2, 0x8902, 0 },
	{ { 0xbb, 0x70 }, 2, 0x88f4, 0 },
	{ { 0xbb, 0x71 }, 2, 0x88f9, 0 },
	{ { 0xbb, 0x72 }, 2, 0x88f8, 0 },
	{ { 0xbb, 0x73 }, 2, 0x88fd, 0 },
	{ { 0xbb, 0x74 }, 2, 0x88e8, 0 },
	{ { 0xbb, 0x75 }, 2, 0x891a, 0 },
	{ { 0xbb, 0x76 }, 2, 0x88ef, 0 },
	{ { 0xbb, 0x77 }, 2, 0x8aa6, 0 },
	{ { 0xbb, 0x78 }, 2, 0x8a8c, 0 },
	{ { 0xbb, 0x79 }, 2, 0x8a9e, 0 },
	{ { 0xbb, 0x7a }, 2, 0x8aa3, 0 },
	{ { 0xbb, 0x7b }, 2, 0x8a8d, 0 },
	{ { 0xbb, 0x7c }, 2, 0x8aa1, 0 },
	{ { 0xbb, 0x7d }, 2, 0x8a93, 0 },
	{ { 0xbb, 0x7e }, 2, 0x8aa4, 0 },
	{ { 0xbb, 0xa1 }, 2, 0x8aaa, 0 },
	{ { 0xbb, 0xa2 }, 2, 0x8aa5, 0 },
	{ { 0xbb, 0xa3 }, 2, 0x8aa8, 0 },
	{ { 0xbb, 0xa4 }, 2, 0x8a98, 0 },
	{ { 0xbb, 0xa5 }, 2, 0x8a91, 0 },
	{ { 0xbb, 0xa6 }, 2, 0x8a9a, 0 },
	{ { 0xbb, 0xa7 }, 2, 0x8aa7, 0 },
	{ { 0xbb, 0xa8 }, 2, 0x8c6a, 0 },
	{ { 0xbb, 0xa9 }, 2, 0x8c8d, 0 },
	{ { 0xbb, 0xaa }, 2, 0x8c8c, 0 },
	{ { 0xbb, 0xab }, 2, 0x8cd3, 0 },
	{ { 0xbb, 0xac }, 2, 0x8cd1, 0 },
	{ { 0xbb, 0xad }, 2, 0x8cd2, 0 },
	{ { 0xbb, 0xae }, 2, 0x8d6b, 0 },
	{ { 0xbb, 0xaf }, 2, 0x8d99, 0 },
	{ { 0xbb, 0xb0 }, 2, 0x8d95, 0 },
	{ { 0xbb, 0xb1 }, 2, 0x8dfc, 0 },
	{ { 0xbb, 0xb2 }, 2, 0x8f14, 0 },
	{ { 0xbb, 0xb3 }, 2, 0x8f12, 0 },
	{ { 0xbb, 0xb4 }, 2, 0x8f15, 0 },
	{ { 0xbb, 0xb5 }, 2, 0x8f13, 0 },
	{ { 0xbb, 0xb6 }, 2, 0x8fa3, 0 },
	{ { 0xbb, 0xb7 }, 2, 0x9060, 0 },
	{ { 0xbb, 0xb8 }, 2, 0x9058, 0 },
	{ { 0xbb, 0xb9 }, 2, 0x905c, 0 },
	{ { 0xbb, 0xba }, 2, 0x9063, 0 },
	{ { 0xbb, 0xbb }, 2, 0x9059, 0 },
	{ { 0xbb, 0xbc }, 2, 0x905e, 0 },
	{ { 0xbb, 0xbd }, 2, 0x9062, 0 },
	{ { 0xbb, 0xbe }, 2, 0x905d, 0 },
	{ { 0xbb, 0xbf }, 2, 0x905b, 0 },
	{ { 0xbb, 0xc0 }, 2, 0x9119, 0 },
	{ { 0xbb, 0xc1 }, 2, 0x9118, 0 },
	{ { 0xbb, 0xc2 }, 2, 0x911e, 0 },
	{ { 0xbb, 0xc3 }, 2, 0x9175, 0 },
	{ { 0xbb, 0xc4 }, 2, 0x9178, 0 },
	{ { 0xbb, 0xc5 }, 2, 0x9177, 0 },
	{ { 0xbb, 0xc6 }, 2, 0x9174, 0 },
	{ { 0xbb, 0xc7 }, 2, 0x9278, 0 },
	{ { 0xbb, 0xc8 }, 2, 0x9280, 0 },
	{ { 0xbb, 0xc9 }, 2, 0x9285, 0 },
	{ { 0xbb, 0xca }, 2, 0x9298, 0 },
	{ { 0xbb, 0xcb }, 2, 0x9296, 0 },
	{ { 0xbb, 0xcc }, 2, 0x927b, 0 },
	{ { 0xbb, 0xcd }, 2, 0x9293, 0 },
	{ { 0xbb, 0xce }, 2, 0x929c, 0 },
	{ { 0xbb, 0xcf }, 2, 0x92a8, 0 },
	{ { 0xbb, 0xd0 }, 2, 0x927c, 0 },
	{ { 0xbb, 0xd1 }, 2, 0x9291, 0 },
	{ { 0xbb, 0xd2 }, 2, 0x95a1, 0 },
	{ { 0xbb, 0xd3 }, 2, 0x95a8, 0 },
	{ { 0xbb, 0xd4 }, 2, 0x95a9, 0 },
	{ { 0xbb, 0xd5 }, 2, 0x95a3, 0 },
	{ { 0xbb, 0xd6 }, 2, 0x95a5, 0 },
	{ { 0xbb, 0xd7 }, 2, 0x95a4, 0 },
	{ { 0xbb, 0xd8 }, 2, 0x9699, 0 },
	{ { 0xbb, 0xd9 }, 2, 0x969c, 0 },
	{ { 0xbb, 0xda }, 2, 0x969b, 0 },
	{ { 0xbb, 0xdb }, 2, 0x96cc, 0 },
	{ { 0xbb, 0xdc }, 2, 0x96d2, 0 },
	{ { 0xbb, 0xdd }, 2, 0x9700, 0 },
	{ { 0xbb, 0xde }, 2, 0x977c, 0 },
	{ { 0xbb, 0xdf }, 2, 0x9785, 0 },
	{ { 0xbb, 0xe0 }, 2, 0x97f6, 0 },
	{ { 0xbb, 0xe1 }, 2, 0x9817, 0 },
	{ { 0xbb, 0xe2 }, 2, 0x9818, 0 },
	{ { 0xbb, 0xe3 }, 2, 0x98af, 0 },
	{ { 0xbb, 0xe4 }, 2, 0x98b1, 0 },
	{ { 0xbb, 0xe5 }, 2, 0x9903, 0 },
	{ { 0xbb, 0xe6 }, 2, 0x9905, 0 },
	{ { 0xbb, 0xe7 }, 2, 0x990c, 0 },
	{ { 0xbb, 0xe8 }, 2, 0x9909, 0 },
	{ { 0xbb, 0xe9 }, 2, 0x99c1, 0 },
	{ { 0xbb, 0xea }, 2, 0x9aaf, 0 },
	{ { 0xbb, 0xeb }, 2, 0x9ab0, 0 },
	{ { 0xbb, 0xec }, 2, 0x9ae6, 0 },
	{ { 0xbb, 0xed }, 2, 0x9b41, 0 },
	{ { 0xbb, 0xee }, 2, 0x9b42, 0 },
	{ { 0xbb, 0xef }, 2, 0x9cf4, 0 },
	{ { 0xbb, 0xf0 }, 2, 0x9cf6, 0 },
	{ { 0xbb, 0xf1 }, 2, 0x9cf3, 0 },
	{ { 0xbb, 0xf2 }, 2, 0x9ebc, 0 },
	{ { 0xbb, 0xf3 }, 2, 0x9f3b, 0 },
	{ { 0xbb, 0xf4 }, 2, 0x9f4a, 0 },
	{ { 0xbb, 0xf5 }, 2, 0x5104, 0 },
	{ { 0xbb, 0xf6 }, 2, 0x5100, 0 },
	{ { 0xbb, 0xf7 }, 2, 0x50fb, 0 },
	{ { 0xbb, 0xf8 }, 2, 0x50f5, 0 },
	{ { 0xbb, 0xf9 }, 2, 0x50f9, 0 },
	{ { 0xbb, 0xfa }, 2, 0x5102, 0 },
	{ { 0xbb, 0xfb }, 2, 0x5108, 0 },
	{ { 0xbb, 0xfc }, 2, 0x5109, 0 },
	{ { 0xbb, 0xfd }, 2, 0x5105, 0 },
	{ { 0xbb, 0xfe }, 2, 0x51dc, 0 },

	{ { 0xbc, 0x40 }, 2, 0x5287, 0 },
	{ { 0xbc, 0x41 }, 2, 0x5288, 0 },
	{ { 0xbc, 0x42 }, 2, 0x5289, 0 },
	{ { 0xbc, 0x43 }, 2, 0x528d, 0 },
	{ { 0xbc, 0x44 }, 2, 0x528a, 0 },
	{ { 0xbc, 0x45 }, 2, 0x52f0, 0 },
	{ { 0xbc, 0x46 }, 2, 0x53b2, 0 },
	{ { 0xbc, 0x47 }, 2, 0x562e, 0 },
	{ { 0xbc, 0x48 }, 2, 0x563b, 0 },
	{ { 0xbc, 0x49 }, 2, 0x5639, 0 },
	{ { 0xbc, 0x4a }, 2, 0x5632, 0 },
	{ { 0xbc, 0x4b }, 2, 0x563f, 0 },
	{ { 0xbc, 0x4c }, 2, 0x5634, 0 },
	{ { 0xbc, 0x4d }, 2, 0x5629, 0 },
	{ { 0xbc, 0x4e }, 2, 0x5653, 0 },
	{ { 0xbc, 0x4f }, 2, 0x564e, 0 },
	{ { 0xbc, 0x50 }, 2, 0x5657, 0 },
	{ { 0xbc, 0x51 }, 2, 0x5674, 0 },
	{ { 0xbc, 0x52 }, 2, 0x5636, 0 },
	{ { 0xbc, 0x53 }, 2, 0x562f, 0 },
	{ { 0xbc, 0x54 }, 2, 0x5630, 0 },
	{ { 0xbc, 0x55 }, 2, 0x5880, 0 },
	{ { 0xbc, 0x56 }, 2, 0x589f, 0 },
	{ { 0xbc, 0x57 }, 2, 0x589e, 0 },
	{ { 0xbc, 0x58 }, 2, 0x58b3, 0 },
	{ { 0xbc, 0x59 }, 2, 0x589c, 0 },
	{ { 0xbc, 0x5a }, 2, 0x58ae, 0 },
	{ { 0xbc, 0x5b }, 2, 0x58a9, 0 },
	{ { 0xbc, 0x5c }, 2, 0x58a6, 0 },
	{ { 0xbc, 0x5d }, 2, 0x596d, 0 },
	{ { 0xbc, 0x5e }, 2, 0x5b09, 0 },
	{ { 0xbc, 0x5f }, 2, 0x5afb, 0 },
	{ { 0xbc, 0x60 }, 2, 0x5b0b, 0 },
	{ { 0xbc, 0x61 }, 2, 0x5af5, 0 },
	{ { 0xbc, 0x62 }, 2, 0x5b0c, 0 },
	{ { 0xbc, 0x63 }, 2, 0x5b08, 0 },
	{ { 0xbc, 0x64 }, 2, 0x5bee, 0 },
	{ { 0xbc, 0x65 }, 2, 0x5bec, 0 },
	{ { 0xbc, 0x66 }, 2, 0x5be9, 0 },
	{ { 0xbc, 0x67 }, 2, 0x5beb, 0 },
	{ { 0xbc, 0x68 }, 2, 0x5c64, 0 },
	{ { 0xbc, 0x69 }, 2, 0x5c65, 0 },
	{ { 0xbc, 0x6a }, 2, 0x5d9d, 0 },
	{ { 0xbc, 0x6b }, 2, 0x5d94, 0 },
	{ { 0xbc, 0x6c }, 2, 0x5e62, 0 },
	{ { 0xbc, 0x6d }, 2, 0x5e5f, 0 },
	{ { 0xbc, 0x6e }, 2, 0x5e61, 0 },
	{ { 0xbc, 0x6f }, 2, 0x5ee2, 0 },
	{ { 0xbc, 0x70 }, 2, 0x5eda, 0 },
	{ { 0xbc, 0x71 }, 2, 0x5edf, 0 },
	{ { 0xbc, 0x72 }, 2, 0x5edd, 0 },
	{ { 0xbc, 0x73 }, 2, 0x5ee3, 0 },
	{ { 0xbc, 0x74 }, 2, 0x5ee0, 0 },
	{ { 0xbc, 0x75 }, 2, 0x5f48, 0 },
	{ { 0xbc, 0x76 }, 2, 0x5f71, 0 },
	{ { 0xbc, 0x77 }, 2, 0x5fb7, 0 },
	{ { 0xbc, 0x78 }, 2, 0x5fb5, 0 },
	{ { 0xbc, 0x79 }, 2, 0x6176, 0 },
	{ { 0xbc, 0x7a }, 2, 0x6167, 0 },
	{ { 0xbc, 0x7b }, 2, 0x616e, 0 },
	{ { 0xbc, 0x7c }, 2, 0x615d, 0 },
	{ { 0xbc, 0x7d }, 2, 0x6155, 0 },
	{ { 0xbc, 0x7e }, 2, 0x6182, 0 },
	{ { 0xbc, 0xa1 }, 2, 0x617c, 0 },
	{ { 0xbc, 0xa2 }, 2, 0x6170, 0 },
	{ { 0xbc, 0xa3 }, 2, 0x616b, 0 },
	{ { 0xbc, 0xa4 }, 2, 0x617e, 0 },
	{ { 0xbc, 0xa5 }, 2, 0x61a7, 0 },
	{ { 0xbc, 0xa6 }, 2, 0x6190, 0 },
	{ { 0xbc, 0xa7 }, 2, 0x61ab, 0 },
	{ { 0xbc, 0xa8 }, 2, 0x618e, 0 },
	{ { 0xbc, 0xa9 }, 2, 0x61ac, 0 },
	{ { 0xbc, 0xaa }, 2, 0x619a, 0 },
	{ { 0xbc, 0xab }, 2, 0x61a4, 0 },
	{ { 0xbc, 0xac }, 2, 0x6194, 0 },
	{ { 0xbc, 0xad }, 2, 0x61ae, 0 },
	{ { 0xbc, 0xae }, 2, 0x622e, 0 },
	{ { 0xbc, 0xaf }, 2, 0x6469, 0 },
	{ { 0xbc, 0xb0 }, 2, 0x646f, 0 },
	{ { 0xbc, 0xb1 }, 2, 0x6479, 0 },
	{ { 0xbc, 0xb2 }, 2, 0x649e, 0 },
	{ { 0xbc, 0xb3 }, 2, 0x64b2, 0 },
	{ { 0xbc, 0xb4 }, 2, 0x6488, 0 },
	{ { 0xbc, 0xb5 }, 2, 0x6490, 0 },
	{ { 0xbc, 0xb6 }, 2, 0x64b0, 0 },
	{ { 0xbc, 0xb7 }, 2, 0x64a5, 0 },
	{ { 0xbc, 0xb8 }, 2, 0x6493, 0 },
	{ { 0xbc, 0xb9 }, 2, 0x6495, 0 },
	{ { 0xbc, 0xba }, 2, 0x64a9, 0 },
	{ { 0xbc, 0xbb }, 2, 0x6492, 0 },
	{ { 0xbc, 0xbc }, 2, 0x64ae, 0 },
	{ { 0xbc, 0xbd }, 2, 0x64ad, 0 },
	{ { 0xbc, 0xbe }, 2, 0x64ab, 0 },
	{ { 0xbc, 0xbf }, 2, 0x649a, 0 },
	{ { 0xbc, 0xc0 }, 2, 0x64ac, 0 },
	{ { 0xbc, 0xc1 }, 2, 0x6499, 0 },
	{ { 0xbc, 0xc2 }, 2, 0x64a2, 0 },
	{ { 0xbc, 0xc3 }, 2, 0x64b3, 0 },
	{ { 0xbc, 0xc4 }, 2, 0x6575, 0 },
	{ { 0xbc, 0xc5 }, 2, 0x6577, 0 },
	{ { 0xbc, 0xc6 }, 2, 0x6578, 0 },
	{ { 0xbc, 0xc7 }, 2, 0x66ae, 0 },
	{ { 0xbc, 0xc8 }, 2, 0x66ab, 0 },
	{ { 0xbc, 0xc9 }, 2, 0x66b4, 0 },
	{ { 0xbc, 0xca }, 2, 0x66b1, 0 },
	{ { 0xbc, 0xcb }, 2, 0x6a23, 0 },
	{ { 0xbc, 0xcc }, 2, 0x6a1f, 0 },
	{ { 0xbc, 0xcd }, 2, 0x69e8, 0 },
	{ { 0xbc, 0xce }, 2, 0x6a01, 0 },
	{ { 0xbc, 0xcf }, 2, 0x6a1e, 0 },
	{ { 0xbc, 0xd0 }, 2, 0x6a19, 0 },
	{ { 0xbc, 0xd1 }, 2, 0x69fd, 0 },
	{ { 0xbc, 0xd2 }, 2, 0x6a21, 0 },
	{ { 0xbc, 0xd3 }, 2, 0x6a13, 0 },
	{ { 0xbc, 0xd4 }, 2, 0x6a0a, 0 },
	{ { 0xbc, 0xd5 }, 2, 0x69f3, 0 },
	{ { 0xbc, 0xd6 }, 2, 0x6a02, 0 },
	{ { 0xbc, 0xd7 }, 2, 0x6a05, 0 },
	{ { 0xbc, 0xd8 }, 2, 0x69ed, 0 },
	{ { 0xbc, 0xd9 }, 2, 0x6a11, 0 },
	{ { 0xbc, 0xda }, 2, 0x6b50, 0 },
	{ { 0xbc, 0xdb }, 2, 0x6b4e, 0 },
	{ { 0xbc, 0xdc }, 2, 0x6ba4, 0 },
	{ { 0xbc, 0xdd }, 2, 0x6bc5, 0 },
	{ { 0xbc, 0xde }, 2, 0x6bc6, 0 },
	{ { 0xbc, 0xdf }, 2, 0x6f3f, 0 },
	{ { 0xbc, 0xe0 }, 2, 0x6f7c, 0 },
	{ { 0xbc, 0xe1 }, 2, 0x6f84, 0 },
	{ { 0xbc, 0xe2 }, 2, 0x6f51, 0 },
	{ { 0xbc, 0xe3 }, 2, 0x6f66, 0 },
	{ { 0xbc, 0xe4 }, 2, 0x6f54, 0 },
	{ { 0xbc, 0xe5 }, 2, 0x6f86, 0 },
	{ { 0xbc, 0xe6 }, 2, 0x6f6d, 0 },
	{ { 0xbc, 0xe7 }, 2, 0x6f5b, 0 },
	{ { 0xbc, 0xe8 }, 2, 0x6f78, 0 },
	{ { 0xbc, 0xe9 }, 2, 0x6f6e, 0 },
	{ { 0xbc, 0xea }, 2, 0x6f8e, 0 },
	{ { 0xbc, 0xeb }, 2, 0x6f7a, 0 },
	{ { 0xbc, 0xec }, 2, 0x6f70, 0 },
	{ { 0xbc, 0xed }, 2, 0x6f64, 0 },
	{ { 0xbc, 0xee }, 2, 0x6f97, 0 },
	{ { 0xbc, 0xef }, 2, 0x6f58, 0 },
	{ { 0xbc, 0xf0 }, 2, 0x6ed5, 0 },
	{ { 0xbc, 0xf1 }, 2, 0x6f6f, 0 },
	{ { 0xbc, 0xf2 }, 2, 0x6f60, 0 },
	{ { 0xbc, 0xf3 }, 2, 0x6f5f, 0 },
	{ { 0xbc, 0xf4 }, 2, 0x719f, 0 },
	{ { 0xbc, 0xf5 }, 2, 0x71ac, 0 },
	{ { 0xbc, 0xf6 }, 2, 0x71b1, 0 },
	{ { 0xbc, 0xf7 }, 2, 0x71a8, 0 },
	{ { 0xbc, 0xf8 }, 2, 0x7256, 0 },
	{ { 0xbc, 0xf9 }, 2, 0x729b, 0 },
	{ { 0xbc, 0xfa }, 2, 0x734e, 0 },
	{ { 0xbc, 0xfb }, 2, 0x7357, 0 },
	{ { 0xbc, 0xfc }, 2, 0x7469, 0 },
	{ { 0xbc, 0xfd }, 2, 0x748b, 0 },
	{ { 0xbc, 0xfe }, 2, 0x7483, 0 },

	{ { 0xbd, 0x40 }, 2, 0x747e, 0 },
	{ { 0xbd, 0x41 }, 2, 0x7480, 0 },
	{ { 0xbd, 0x42 }, 2, 0x757f, 0 },
	{ { 0xbd, 0x43 }, 2, 0x7620, 0 },
	{ { 0xbd, 0x44 }, 2, 0x7629, 0 },
	{ { 0xbd, 0x45 }, 2, 0x761f, 0 },
	{ { 0xbd, 0x46 }, 2, 0x7624, 0 },
	{ { 0xbd, 0x47 }, 2, 0x7626, 0 },
	{ { 0xbd, 0x48 }, 2, 0x7621, 0 },
	{ { 0xbd, 0x49 }, 2, 0x7622, 0 },
	{ { 0xbd, 0x4a }, 2, 0x769a, 0 },
	{ { 0xbd, 0x4b }, 2, 0x76ba, 0 },
	{ { 0xbd, 0x4c }, 2, 0x76e4, 0 },
	{ { 0xbd, 0x4d }, 2, 0x778e, 0 },
	{ { 0xbd, 0x4e }, 2, 0x7787, 0 },
	{ { 0xbd, 0x4f }, 2, 0x778c, 0 },
	{ { 0xbd, 0x50 }, 2, 0x7791, 0 },
	{ { 0xbd, 0x51 }, 2, 0x778b, 0 },
	{ { 0xbd, 0x52 }, 2, 0x78cb, 0 },
	{ { 0xbd, 0x53 }, 2, 0x78c5, 0 },
	{ { 0xbd, 0x54 }, 2, 0x78ba, 0 },
	{ { 0xbd, 0x55 }, 2, 0x78ca, 0 },
	{ { 0xbd, 0x56 }, 2, 0x78be, 0 },
	{ { 0xbd, 0x57 }, 2, 0x78d5, 0 },
	{ { 0xbd, 0x58 }, 2, 0x78bc, 0 },
	{ { 0xbd, 0x59 }, 2, 0x78d0, 0 },
	{ { 0xbd, 0x5a }, 2, 0x7a3f, 0 },
	{ { 0xbd, 0x5b }, 2, 0x7a3c, 0 },
	{ { 0xbd, 0x5c }, 2, 0x7a40, 0 },
	{ { 0xbd, 0x5d }, 2, 0x7a3d, 0 },
	{ { 0xbd, 0x5e }, 2, 0x7a37, 0 },
	{ { 0xbd, 0x5f }, 2, 0x7a3b, 0 },
	{ { 0xbd, 0x60 }, 2, 0x7aaf, 0 },
	{ { 0xbd, 0x61 }, 2, 0x7aae, 0 },
	{ { 0xbd, 0x62 }, 2, 0x7bad, 0 },
	{ { 0xbd, 0x63 }, 2, 0x7bb1, 0 },
	{ { 0xbd, 0x64 }, 2, 0x7bc4, 0 },
	{ { 0xbd, 0x65 }, 2, 0x7bb4, 0 },
	{ { 0xbd, 0x66 }, 2, 0x7bc6, 0 },
	{ { 0xbd, 0x67 }, 2, 0x7bc7, 0 },
	{ { 0xbd, 0x68 }, 2, 0x7bc1, 0 },
	{ { 0xbd, 0x69 }, 2, 0x7ba0, 0 },
	{ { 0xbd, 0x6a }, 2, 0x7bcc, 0 },
	{ { 0xbd, 0x6b }, 2, 0x7cca, 0 },
	{ { 0xbd, 0x6c }, 2, 0x7de0, 0 },
	{ { 0xbd, 0x6d }, 2, 0x7df4, 0 },
	{ { 0xbd, 0x6e }, 2, 0x7def, 0 },
	{ { 0xbd, 0x6f }, 2, 0x7dfb, 0 },
	{ { 0xbd, 0x70 }, 2, 0x7dd8, 0 },
	{ { 0xbd, 0x71 }, 2, 0x7dec, 0 },
	{ { 0xbd, 0x72 }, 2, 0x7ddd, 0 },
	{ { 0xbd, 0x73 }, 2, 0x7de8, 0 },
	{ { 0xbd, 0x74 }, 2, 0x7de3, 0 },
	{ { 0xbd, 0x75 }, 2, 0x7dda, 0 },
	{ { 0xbd, 0x76 }, 2, 0x7dde, 0 },
	{ { 0xbd, 0x77 }, 2, 0x7de9, 0 },
	{ { 0xbd, 0x78 }, 2, 0x7d9e, 0 },
	{ { 0xbd, 0x79 }, 2, 0x7dd9, 0 },
	{ { 0xbd, 0x7a }, 2, 0x7df2, 0 },
	{ { 0xbd, 0x7b }, 2, 0x7df9, 0 },
	{ { 0xbd, 0x7c }, 2, 0x7f75, 0 },
	{ { 0xbd, 0x7d }, 2, 0x7f77, 0 },
	{ { 0xbd, 0x7e }, 2, 0x7faf, 0 },
	{ { 0xbd, 0xa1 }, 2, 0x7fe9, 0 },
	{ { 0xbd, 0xa2 }, 2, 0x8026, 0 },
	{ { 0xbd, 0xa3 }, 2, 0x819b, 0 },
	{ { 0xbd, 0xa4 }, 2, 0x819c, 0 },
	{ { 0xbd, 0xa5 }, 2, 0x819d, 0 },
	{ { 0xbd, 0xa6 }, 2, 0x81a0, 0 },
	{ { 0xbd, 0xa7 }, 2, 0x819a, 0 },
	{ { 0xbd, 0xa8 }, 2, 0x8198, 0 },
	{ { 0xbd, 0xa9 }, 2, 0x8517, 0 },
	{ { 0xbd, 0xaa }, 2, 0x853d, 0 },
	{ { 0xbd, 0xab }, 2, 0x851a, 0 },
	{ { 0xbd, 0xac }, 2, 0x84ee, 0 },
	{ { 0xbd, 0xad }, 2, 0x852c, 0 },
	{ { 0xbd, 0xae }, 2, 0x852d, 0 },
	{ { 0xbd, 0xaf }, 2, 0x8513, 0 },
	{ { 0xbd, 0xb0 }, 2, 0x8511, 0 },
	{ { 0xbd, 0xb1 }, 2, 0x8523, 0 },
	{ { 0xbd, 0xb2 }, 2, 0x8521, 0 },
	{ { 0xbd, 0xb3 }, 2, 0x8514, 0 },
	{ { 0xbd, 0xb4 }, 2, 0x84ec, 0 },
	{ { 0xbd, 0xb5 }, 2, 0x8525, 0 },
	{ { 0xbd, 0xb6 }, 2, 0x84ff, 0 },
	{ { 0xbd, 0xb7 }, 2, 0x8506, 0 },
	{ { 0xbd, 0xb8 }, 2, 0x8782, 0 },
	{ { 0xbd, 0xb9 }, 2, 0x8774, 0 },
	{ { 0xbd, 0xba }, 2, 0x8776, 0 },
	{ { 0xbd, 0xbb }, 2, 0x8760, 0 },
	{ { 0xbd, 0xbc }, 2, 0x8766, 0 },
	{ { 0xbd, 0xbd }, 2, 0x8778, 0 },
	{ { 0xbd, 0xbe }, 2, 0x8768, 0 },
	{ { 0xbd, 0xbf }, 2, 0x8759, 0 },
	{ { 0xbd, 0xc0 }, 2, 0x8757, 0 },
	{ { 0xbd, 0xc1 }, 2, 0x874c, 0 },
	{ { 0xbd, 0xc2 }, 2, 0x8753, 0 },
	{ { 0xbd, 0xc3 }, 2, 0x885b, 0 },
	{ { 0xbd, 0xc4 }, 2, 0x885d, 0 },
	{ { 0xbd, 0xc5 }, 2, 0x8910, 0 },
	{ { 0xbd, 0xc6 }, 2, 0x8907, 0 },
	{ { 0xbd, 0xc7 }, 2, 0x8912, 0 },
	{ { 0xbd, 0xc8 }, 2, 0x8913, 0 },
	{ { 0xbd, 0xc9 }, 2, 0x8915, 0 },
	{ { 0xbd, 0xca }, 2, 0x890a, 0 },
	{ { 0xbd, 0xcb }, 2, 0x8abc, 0 },
	{ { 0xbd, 0xcc }, 2, 0x8ad2, 0 },
	{ { 0xbd, 0xcd }, 2, 0x8ac7, 0 },
	{ { 0xbd, 0xce }, 2, 0x8ac4, 0 },
	{ { 0xbd, 0xcf }, 2, 0x8a95, 0 },
	{ { 0xbd, 0xd0 }, 2, 0x8acb, 0 },
	{ { 0xbd, 0xd1 }, 2, 0x8af8, 0 },
	{ { 0xbd, 0xd2 }, 2, 0x8ab2, 0 },
	{ { 0xbd, 0xd3 }, 2, 0x8ac9, 0 },
	{ { 0xbd, 0xd4 }, 2, 0x8ac2, 0 },
	{ { 0xbd, 0xd5 }, 2, 0x8abf, 0 },
	{ { 0xbd, 0xd6 }, 2, 0x8ab0, 0 },
	{ { 0xbd, 0xd7 }, 2, 0x8ad6, 0 },
	{ { 0xbd, 0xd8 }, 2, 0x8acd, 0 },
	{ { 0xbd, 0xd9 }, 2, 0x8ab6, 0 },
	{ { 0xbd, 0xda }, 2, 0x8ab9, 0 },
	{ { 0xbd, 0xdb }, 2, 0x8adb, 0 },
	{ { 0xbd, 0xdc }, 2, 0x8c4c, 0 },
	{ { 0xbd, 0xdd }, 2, 0x8c4e, 0 },
	{ { 0xbd, 0xde }, 2, 0x8c6c, 0 },
	{ { 0xbd, 0xdf }, 2, 0x8ce0, 0 },
	{ { 0xbd, 0xe0 }, 2, 0x8cde, 0 },
	{ { 0xbd, 0xe1 }, 2, 0x8ce6, 0 },
	{ { 0xbd, 0xe2 }, 2, 0x8ce4, 0 },
	{ { 0xbd, 0xe3 }, 2, 0x8cec, 0 },
	{ { 0xbd, 0xe4 }, 2, 0x8ced, 0 },
	{ { 0xbd, 0xe5 }, 2, 0x8ce2, 0 },
	{ { 0xbd, 0xe6 }, 2, 0x8ce3, 0 },
	{ { 0xbd, 0xe7 }, 2, 0x8cdc, 0 },
	{ { 0xbd, 0xe8 }, 2, 0x8cea, 0 },
	{ { 0xbd, 0xe9 }, 2, 0x8ce1, 0 },
	{ { 0xbd, 0xea }, 2, 0x8d6d, 0 },
	{ { 0xbd, 0xeb }, 2, 0x8d9f, 0 },
	{ { 0xbd, 0xec }, 2, 0x8da3, 0 },
	{ { 0xbd, 0xed }, 2, 0x8e2b, 0 },
	{ { 0xbd, 0xee }, 2, 0x8e10, 0 },
	{ { 0xbd, 0xef }, 2, 0x8e1d, 0 },
	{ { 0xbd, 0xf0 }, 2, 0x8e22, 0 },
	{ { 0xbd, 0xf1 }, 2, 0x8e0f, 0 },
	{ { 0xbd, 0xf2 }, 2, 0x8e29, 0 },
	{ { 0xbd, 0xf3 }, 2, 0x8e1f, 0 },
	{ { 0xbd, 0xf4 }, 2, 0x8e21, 0 },
	{ { 0xbd, 0xf5 }, 2, 0x8e1e, 0 },
	{ { 0xbd, 0xf6 }, 2, 0x8eba, 0 },
	{ { 0xbd, 0xf7 }, 2, 0x8f1d, 0 },
	{ { 0xbd, 0xf8 }, 2, 0x8f1b, 0 },
	{ { 0xbd, 0xf9 }, 2, 0x8f1f, 0 },
	{ { 0xbd, 0xfa }, 2, 0x8f29, 0 },
	{ { 0xbd, 0xfb }, 2, 0x8f26, 0 },
	{ { 0xbd, 0xfc }, 2, 0x8f2a, 0 },
	{ { 0xbd, 0xfd }, 2, 0x8f1c, 0 },
	{ { 0xbd, 0xfe }, 2, 0x8f1e, 0 },

	{ { 0xbe, 0x40 }, 2, 0x8f25, 0 },
	{ { 0xbe, 0x41 }, 2, 0x9069, 0 },
	{ { 0xbe, 0x42 }, 2, 0x906e, 0 },
	{ { 0xbe, 0x43 }, 2, 0x9068, 0 },
	{ { 0xbe, 0x44 }, 2, 0x906d, 0 },
	{ { 0xbe, 0x45 }, 2, 0x9077, 0 },
	{ { 0xbe, 0x46 }, 2, 0x9130, 0 },
	{ { 0xbe, 0x47 }, 2, 0x912d, 0 },
	{ { 0xbe, 0x48 }, 2, 0x9127, 0 },
	{ { 0xbe, 0x49 }, 2, 0x9131, 0 },
	{ { 0xbe, 0x4a }, 2, 0x9187, 0 },
	{ { 0xbe, 0x4b }, 2, 0x9189, 0 },
	{ { 0xbe, 0x4c }, 2, 0x918b, 0 },
	{ { 0xbe, 0x4d }, 2, 0x9183, 0 },
	{ { 0xbe, 0x4e }, 2, 0x92c5, 0 },
	{ { 0xbe, 0x4f }, 2, 0x92bb, 0 },
	{ { 0xbe, 0x50 }, 2, 0x92b7, 0 },
	{ { 0xbe, 0x51 }, 2, 0x92ea, 0 },
	{ { 0xbe, 0x52 }, 2, 0x92ac, 0 },
	{ { 0xbe, 0x53 }, 2, 0x92e4, 0 },
	{ { 0xbe, 0x54 }, 2, 0x92c1, 0 },
	{ { 0xbe, 0x55 }, 2, 0x92b3, 0 },
	{ { 0xbe, 0x56 }, 2, 0x92bc, 0 },
	{ { 0xbe, 0x57 }, 2, 0x92d2, 0 },
	{ { 0xbe, 0x58 }, 2, 0x92c7, 0 },
	{ { 0xbe, 0x59 }, 2, 0x92f0, 0 },
	{ { 0xbe, 0x5a }, 2, 0x92b2, 0 },
	{ { 0xbe, 0x5b }, 2, 0x95ad, 0 },
	{ { 0xbe, 0x5c }, 2, 0x95b1, 0 },
	{ { 0xbe, 0x5d }, 2, 0x9704, 0 },
	{ { 0xbe, 0x5e }, 2, 0x9706, 0 },
	{ { 0xbe, 0x5f }, 2, 0x9707, 0 },
	{ { 0xbe, 0x60 }, 2, 0x9709, 0 },
	{ { 0xbe, 0x61 }, 2, 0x9760, 0 },
	{ { 0xbe, 0x62 }, 2, 0x978d, 0 },
	{ { 0xbe, 0x63 }, 2, 0x978b, 0 },
	{ { 0xbe, 0x64 }, 2, 0x978f, 0 },
	{ { 0xbe, 0x65 }, 2, 0x9821, 0 },
	{ { 0xbe, 0x66 }, 2, 0x982b, 0 },
	{ { 0xbe, 0x67 }, 2, 0x981c, 0 },
	{ { 0xbe, 0x68 }, 2, 0x98b3, 0 },
	{ { 0xbe, 0x69 }, 2, 0x990a, 0 },
	{ { 0xbe, 0x6a }, 2, 0x9913, 0 },
	{ { 0xbe, 0x6b }, 2, 0x9912, 0 },
	{ { 0xbe, 0x6c }, 2, 0x9918, 0 },
	{ { 0xbe, 0x6d }, 2, 0x99dd, 0 },
	{ { 0xbe, 0x6e }, 2, 0x99d0, 0 },
	{ { 0xbe, 0x6f }, 2, 0x99df, 0 },
	{ { 0xbe, 0x70 }, 2, 0x99db, 0 },
	{ { 0xbe, 0x71 }, 2, 0x99d1, 0 },
	{ { 0xbe, 0x72 }, 2, 0x99d5, 0 },
	{ { 0xbe, 0x73 }, 2, 0x99d2, 0 },
	{ { 0xbe, 0x74 }, 2, 0x99d9, 0 },
	{ { 0xbe, 0x75 }, 2, 0x9ab7, 0 },
	{ { 0xbe, 0x76 }, 2, 0x9aee, 0 },
	{ { 0xbe, 0x77 }, 2, 0x9aef, 0 },
	{ { 0xbe, 0x78 }, 2, 0x9b27, 0 },
	{ { 0xbe, 0x79 }, 2, 0x9b45, 0 },
	{ { 0xbe, 0x7a }, 2, 0x9b44, 0 },
	{ { 0xbe, 0x7b }, 2, 0x9b77, 0 },
	{ { 0xbe, 0x7c }, 2, 0x9b6f, 0 },
	{ { 0xbe, 0x7d }, 2, 0x9d06, 0 },
	{ { 0xbe, 0x7e }, 2, 0x9d09, 0 },
	{ { 0xbe, 0xa1 }, 2, 0x9d03, 0 },
	{ { 0xbe, 0xa2 }, 2, 0x9ea9, 0 },
	{ { 0xbe, 0xa3 }, 2, 0x9ebe, 0 },
	{ { 0xbe, 0xa4 }, 2, 0x9ece, 0 },
	{ { 0xbe, 0xa5 }, 2, 0x58a8, 0 },
	{ { 0xbe, 0xa6 }, 2, 0x9f52, 0 },
	{ { 0xbe, 0xa7 }, 2, 0x5112, 0 },
	{ { 0xbe, 0xa8 }, 2, 0x5118, 0 },
	{ { 0xbe, 0xa9 }, 2, 0x5114, 0 },
	{ { 0xbe, 0xaa }, 2, 0x5110, 0 },
	{ { 0xbe, 0xab }, 2, 0x5115, 0 },
	{ { 0xbe, 0xac }, 2, 0x5180, 0 },
	{ { 0xbe, 0xad }, 2, 0x51aa, 0 },
	{ { 0xbe, 0xae }, 2, 0x51dd, 0 },
	{ { 0xbe, 0xaf }, 2, 0x5291, 0 },
	{ { 0xbe, 0xb0 }, 2, 0x5293, 0 },
	{ { 0xbe, 0xb1 }, 2, 0x52f3, 0 },
	{ { 0xbe, 0xb2 }, 2, 0x5659, 0 },
	{ { 0xbe, 0xb3 }, 2, 0x566b, 0 },
	{ { 0xbe, 0xb4 }, 2, 0x5679, 0 },
	{ { 0xbe, 0xb5 }, 2, 0x5669, 0 },
	{ { 0xbe, 0xb6 }, 2, 0x5664, 0 },
	{ { 0xbe, 0xb7 }, 2, 0x5678, 0 },
	{ { 0xbe, 0xb8 }, 2, 0x566a, 0 },
	{ { 0xbe, 0xb9 }, 2, 0x5668, 0 },
	{ { 0xbe, 0xba }, 2, 0x5665, 0 },
	{ { 0xbe, 0xbb }, 2, 0x5671, 0 },
	{ { 0xbe, 0xbc }, 2, 0x566f, 0 },
	{ { 0xbe, 0xbd }, 2, 0x566c, 0 },
	{ { 0xbe, 0xbe }, 2, 0x5662, 0 },
	{ { 0xbe, 0xbf }, 2, 0x5676, 0 },
	{ { 0xbe, 0xc0 }, 2, 0x58c1, 0 },
	{ { 0xbe, 0xc1 }, 2, 0x58be, 0 },
	{ { 0xbe, 0xc2 }, 2, 0x58c7, 0 },
	{ { 0xbe, 0xc3 }, 2, 0x58c5, 0 },
	{ { 0xbe, 0xc4 }, 2, 0x596e, 0 },
	{ { 0xbe, 0xc5 }, 2, 0x5b1d, 0 },
	{ { 0xbe, 0xc6 }, 2, 0x5b34, 0 },
	{ { 0xbe, 0xc7 }, 2, 0x5b78, 0 },
	{ { 0xbe, 0xc8 }, 2, 0x5bf0, 0 },
	{ { 0xbe, 0xc9 }, 2, 0x5c0e, 0 },
	{ { 0xbe, 0xca }, 2, 0x5f4a, 0 },
	{ { 0xbe, 0xcb }, 2, 0x61b2, 0 },
	{ { 0xbe, 0xcc }, 2, 0x6191, 0 },
	{ { 0xbe, 0xcd }, 2, 0x61a9, 0 },
	{ { 0xbe, 0xce }, 2, 0x618a, 0 },
	{ { 0xbe, 0xcf }, 2, 0x61cd, 0 },
	{ { 0xbe, 0xd0 }, 2, 0x61b6, 0 },
	{ { 0xbe, 0xd1 }, 2, 0x61be, 0 },
	{ { 0xbe, 0xd2 }, 2, 0x61ca, 0 },
	{ { 0xbe, 0xd3 }, 2, 0x61c8, 0 },
	{ { 0xbe, 0xd4 }, 2, 0x6230, 0 },
	{ { 0xbe, 0xd5 }, 2, 0x64c5, 0 },
	{ { 0xbe, 0xd6 }, 2, 0x64c1, 0 },
	{ { 0xbe, 0xd7 }, 2, 0x64cb, 0 },
	{ { 0xbe, 0xd8 }, 2, 0x64bb, 0 },
	{ { 0xbe, 0xd9 }, 2, 0x64bc, 0 },
	{ { 0xbe, 0xda }, 2, 0x64da, 0 },
	{ { 0xbe, 0xdb }, 2, 0x64c4, 0 },
	{ { 0xbe, 0xdc }, 2, 0x64c7, 0 },
	{ { 0xbe, 0xdd }, 2, 0x64c2, 0 },
	{ { 0xbe, 0xde }, 2, 0x64cd, 0 },
	{ { 0xbe, 0xdf }, 2, 0x64bf, 0 },
	{ { 0xbe, 0xe0 }, 2, 0x64d2, 0 },
	{ { 0xbe, 0xe1 }, 2, 0x64d4, 0 },
	{ { 0xbe, 0xe2 }, 2, 0x64be, 0 },
	{ { 0xbe, 0xe3 }, 2, 0x6574, 0 },
	{ { 0xbe, 0xe4 }, 2, 0x66c6, 0 },
	{ { 0xbe, 0xe5 }, 2, 0x66c9, 0 },
	{ { 0xbe, 0xe6 }, 2, 0x66b9, 0 },
	{ { 0xbe, 0xe7 }, 2, 0x66c4, 0 },
	{ { 0xbe, 0xe8 }, 2, 0x66c7, 0 },
	{ { 0xbe, 0xe9 }, 2, 0x66b8, 0 },
	{ { 0xbe, 0xea }, 2, 0x6a3d, 0 },
	{ { 0xbe, 0xeb }, 2, 0x6a38, 0 },
	{ { 0xbe, 0xec }, 2, 0x6a3a, 0 },
	{ { 0xbe, 0xed }, 2, 0x6a59, 0 },
	{ { 0xbe, 0xee }, 2, 0x6a6b, 0 },
	{ { 0xbe, 0xef }, 2, 0x6a58, 0 },
	{ { 0xbe, 0xf0 }, 2, 0x6a39, 0 },
	{ { 0xbe, 0xf1 }, 2, 0x6a44, 0 },
	{ { 0xbe, 0xf2 }, 2, 0x6a62, 0 },
	{ { 0xbe, 0xf3 }, 2, 0x6a61, 0 },
	{ { 0xbe, 0xf4 }, 2, 0x6a4b, 0 },
	{ { 0xbe, 0xf5 }, 2, 0x6a47, 0 },
	{ { 0xbe, 0xf6 }, 2, 0x6a35, 0 },
	{ { 0xbe, 0xf7 }, 2, 0x6a5f, 0 },
	{ { 0xbe, 0xf8 }, 2, 0x6a48, 0 },
	{ { 0xbe, 0xf9 }, 2, 0x6b59, 0 },
	{ { 0xbe, 0xfa }, 2, 0x6b77, 0 },
	{ { 0xbe, 0xfb }, 2, 0x6c05, 0 },
	{ { 0xbe, 0xfc }, 2, 0x6fc2, 0 },
	{ { 0xbe, 0xfd }, 2, 0x6fb1, 0 },
	{ { 0xbe, 0xfe }, 2, 0x6fa1, 0 },

	{ { 0xbf, 0x40 }, 2, 0x6fc3, 0 },
	{ { 0xbf, 0x41 }, 2, 0x6fa4, 0 },
	{ { 0xbf, 0x42 }, 2, 0x6fc1, 0 },
	{ { 0xbf, 0x43 }, 2, 0x6fa7, 0 },
	{ { 0xbf, 0x44 }, 2, 0x6fb3, 0 },
	{ { 0xbf, 0x45 }, 2, 0x6fc0, 0 },
	{ { 0xbf, 0x46 }, 2, 0x6fb9, 0 },
	{ { 0xbf, 0x47 }, 2, 0x6fb6, 0 },
	{ { 0xbf, 0x48 }, 2, 0x6fa6, 0 },
	{ { 0xbf, 0x49 }, 2, 0x6fa0, 0 },
	{ { 0xbf, 0x4a }, 2, 0x6fb4, 0 },
	{ { 0xbf, 0x4b }, 2, 0x71be, 0 },
	{ { 0xbf, 0x4c }, 2, 0x71c9, 0 },
	{ { 0xbf, 0x4d }, 2, 0x71d0, 0 },
	{ { 0xbf, 0x4e }, 2, 0x71d2, 0 },
	{ { 0xbf, 0x4f }, 2, 0x71c8, 0 },
	{ { 0xbf, 0x50 }, 2, 0x71d5, 0 },
	{ { 0xbf, 0x51 }, 2, 0x71b9, 0 },
	{ { 0xbf, 0x52 }, 2, 0x71ce, 0 },
	{ { 0xbf, 0x53 }, 2, 0x71d9, 0 },
	{ { 0xbf, 0x54 }, 2, 0x71dc, 0 },
	{ { 0xbf, 0x55 }, 2, 0x71c3, 0 },
	{ { 0xbf, 0x56 }, 2, 0x71c4, 0 },
	{ { 0xbf, 0x57 }, 2, 0x7368, 0 },
	{ { 0xbf, 0x58 }, 2, 0x749c, 0 },
	{ { 0xbf, 0x59 }, 2, 0x74a3, 0 },
	{ { 0xbf, 0x5a }, 2, 0x7498, 0 },
	{ { 0xbf, 0x5b }, 2, 0x749f, 0 },
	{ { 0xbf, 0x5c }, 2, 0x749e, 0 },
	{ { 0xbf, 0x5d }, 2, 0x74e2, 0 },
	{ { 0xbf, 0x5e }, 2, 0x750c, 0 },
	{ { 0xbf, 0x5f }, 2, 0x750d, 0 },
	{ { 0xbf, 0x60 }, 2, 0x7634, 0 },
	{ { 0xbf, 0x61 }, 2, 0x7638, 0 },
	{ { 0xbf, 0x62 }, 2, 0x763a, 0 },
	{ { 0xbf, 0x63 }, 2, 0x76e7, 0 },
	{ { 0xbf, 0x64 }, 2, 0x76e5, 0 },
	{ { 0xbf, 0x65 }, 2, 0x77a0, 0 },
	{ { 0xbf, 0x66 }, 2, 0x779e, 0 },
	{ { 0xbf, 0x67 }, 2, 0x779f, 0 },
	{ { 0xbf, 0x68 }, 2, 0x77a5, 0 },
	{ { 0xbf, 0x69 }, 2, 0x78e8, 0 },
	{ { 0xbf, 0x6a }, 2, 0x78da, 0 },
	{ { 0xbf, 0x6b }, 2, 0x78ec, 0 },
	{ { 0xbf, 0x6c }, 2, 0x78e7, 0 },
	{ { 0xbf, 0x6d }, 2, 0x79a6, 0 },
	{ { 0xbf, 0x6e }, 2, 0x7a4d, 0 },
	{ { 0xbf, 0x6f }, 2, 0x7a4e, 0 },
	{ { 0xbf, 0x70 }, 2, 0x7a46, 0 },
	{ { 0xbf, 0x71 }, 2, 0x7a4c, 0 },
	{ { 0xbf, 0x72 }, 2, 0x7a4b, 0 },
	{ { 0xbf, 0x73 }, 2, 0x7aba, 0 },
	{ { 0xbf, 0x74 }, 2, 0x7bd9, 0 },
	{ { 0xbf, 0x75 }, 2, 0x7c11, 0 },
	{ { 0xbf, 0x76 }, 2, 0x7bc9, 0 },
	{ { 0xbf, 0x77 }, 2, 0x7be4, 0 },
	{ { 0xbf, 0x78 }, 2, 0x7bdb, 0 },
	{ { 0xbf, 0x79 }, 2, 0x7be1, 0 },
	{ { 0xbf, 0x7a }, 2, 0x7be9, 0 },
	{ { 0xbf, 0x7b }, 2, 0x7be6, 0 },
	{ { 0xbf, 0x7c }, 2, 0x7cd5, 0 },
	{ { 0xbf, 0x7d }, 2, 0x7cd6, 0 },
	{ { 0xbf, 0x7e }, 2, 0x7e0a, 0 },
	{ { 0xbf, 0xa1 }, 2, 0x7e11, 0 },
	{ { 0xbf, 0xa2 }, 2, 0x7e08, 0 },
	{ { 0xbf, 0xa3 }, 2, 0x7e1b, 0 },
	{ { 0xbf, 0xa4 }, 2, 0x7e23, 0 },
	{ { 0xbf, 0xa5 }, 2, 0x7e1e, 0 },
	{ { 0xbf, 0xa6 }, 2, 0x7e1d, 0 },
	{ { 0xbf, 0xa7 }, 2, 0x7e09, 0 },
	{ { 0xbf, 0xa8 }, 2, 0x7e10, 0 },
	{ { 0xbf, 0xa9 }, 2, 0x7f79, 0 },
	{ { 0xbf, 0xaa }, 2, 0x7fb2, 0 },
	{ { 0xbf, 0xab }, 2, 0x7ff0, 0 },
	{ { 0xbf, 0xac }, 2, 0x7ff1, 0 },
	{ { 0xbf, 0xad }, 2, 0x7fee, 0 },
	{ { 0xbf, 0xae }, 2, 0x8028, 0 },
	{ { 0xbf, 0xaf }, 2, 0x81b3, 0 },
	{ { 0xbf, 0xb0 }, 2, 0x81a9, 0 },
	{ { 0xbf, 0xb1 }, 2, 0x81a8, 0 },
	{ { 0xbf, 0xb2 }, 2, 0x81fb, 0 },
	{ { 0xbf, 0xb3 }, 2, 0x8208, 0 },
	{ { 0xbf, 0xb4 }, 2, 0x8258, 0 },
	{ { 0xbf, 0xb5 }, 2, 0x8259, 0 },
	{ { 0xbf, 0xb6 }, 2, 0x854a, 0 },
	{ { 0xbf, 0xb7 }, 2, 0x8559, 0 },
	{ { 0xbf, 0xb8 }, 2, 0x8548, 0 },
	{ { 0xbf, 0xb9 }, 2, 0x8568, 0 },
	{ { 0xbf, 0xba }, 2, 0x8569, 0 },
	{ { 0xbf, 0xbb }, 2, 0x8543, 0 },
	{ { 0xbf, 0xbc }, 2, 0x8549, 0 },
	{ { 0xbf, 0xbd }, 2, 0x856d, 0 },
	{ { 0xbf, 0xbe }, 2, 0x856a, 0 },
	{ { 0xbf, 0xbf }, 2, 0x855e, 0 },
	{ { 0xbf, 0xc0 }, 2, 0x8783, 0 },
	{ { 0xbf, 0xc1 }, 2, 0x879f, 0 },
	{ { 0xbf, 0xc2 }, 2, 0x879e, 0 },
	{ { 0xbf, 0xc3 }, 2, 0x87a2, 0 },
	{ { 0xbf, 0xc4 }, 2, 0x878d, 0 },
	{ { 0xbf, 0xc5 }, 2, 0x8861, 0 },
	{ { 0xbf, 0xc6 }, 2, 0x892a, 0 },
	{ { 0xbf, 0xc7 }, 2, 0x8932, 0 },
	{ { 0xbf, 0xc8 }, 2, 0x8925, 0 },
	{ { 0xbf, 0xc9 }, 2, 0x892b, 0 },
	{ { 0xbf, 0xca }, 2, 0x8921, 0 },
	{ { 0xbf, 0xcb }, 2, 0x89aa, 0 },
	{ { 0xbf, 0xcc }, 2, 0x89a6, 0 },
	{ { 0xbf, 0xcd }, 2, 0x8ae6, 0 },
	{ { 0xbf, 0xce }, 2, 0x8afa, 0 },
	{ { 0xbf, 0xcf }, 2, 0x8aeb, 0 },
	{ { 0xbf, 0xd0 }, 2, 0x8af1, 0 },
	{ { 0xbf, 0xd1 }, 2, 0x8b00, 0 },
	{ { 0xbf, 0xd2 }, 2, 0x8adc, 0 },
	{ { 0xbf, 0xd3 }, 2, 0x8ae7, 0 },
	{ { 0xbf, 0xd4 }, 2, 0x8aee, 0 },
	{ { 0xbf, 0xd5 }, 2, 0x8afe, 0 },
	{ { 0xbf, 0xd6 }, 2, 0x8b01, 0 },
	{ { 0xbf, 0xd7 }, 2, 0x8b02, 0 },
	{ { 0xbf, 0xd8 }, 2, 0x8af7, 0 },
	{ { 0xbf, 0xd9 }, 2, 0x8aed, 0 },
	{ { 0xbf, 0xda }, 2, 0x8af3, 0 },
	{ { 0xbf, 0xdb }, 2, 0x8af6, 0 },
	{ { 0xbf, 0xdc }, 2, 0x8afc, 0 },
	{ { 0xbf, 0xdd }, 2, 0x8c6b, 0 },
	{ { 0xbf, 0xde }, 2, 0x8c6d, 0 },
	{ { 0xbf, 0xdf }, 2, 0x8c93, 0 },
	{ { 0xbf, 0xe0 }, 2, 0x8cf4, 0 },
	{ { 0xbf, 0xe1 }, 2, 0x8e44, 0 },
	{ { 0xbf, 0xe2 }, 2, 0x8e31, 0 },
	{ { 0xbf, 0xe3 }, 2, 0x8e34, 0 },
	{ { 0xbf, 0xe4 }, 2, 0x8e42, 0 },
	{ { 0xbf, 0xe5 }, 2, 0x8e39, 0 },
	{ { 0xbf, 0xe6 }, 2, 0x8e35, 0 },
	{ { 0xbf, 0xe7 }, 2, 0x8f3b, 0 },
	{ { 0xbf, 0xe8 }, 2, 0x8f2f, 0 },
	{ { 0xbf, 0xe9 }, 2, 0x8f38, 0 },
	{ { 0xbf, 0xea }, 2, 0x8f33, 0 },
	{ { 0xbf, 0xeb }, 2, 0x8fa8, 0 },
	{ { 0xbf, 0xec }, 2, 0x8fa6, 0 },
	{ { 0xbf, 0xed }, 2, 0x9075, 0 },
	{ { 0xbf, 0xee }, 2, 0x9074, 0 },
	{ { 0xbf, 0xef }, 2, 0x9078, 0 },
	{ { 0xbf, 0xf0 }, 2, 0x9072, 0 },
	{ { 0xbf, 0xf1 }, 2, 0x907c, 0 },
	{ { 0xbf, 0xf2 }, 2, 0x907a, 0 },
	{ { 0xbf, 0xf3 }, 2, 0x9134, 0 },
	{ { 0xbf, 0xf4 }, 2, 0x9192, 0 },
	{ { 0xbf, 0xf5 }, 2, 0x9320, 0 },
	{ { 0xbf, 0xf6 }, 2, 0x9336, 0 },
	{ { 0xbf, 0xf7 }, 2, 0x92f8, 0 },
	{ { 0xbf, 0xf8 }, 2, 0x9333, 0 },
	{ { 0xbf, 0xf9 }, 2, 0x932f, 0 },
	{ { 0xbf, 0xfa }, 2, 0x9322, 0 },
	{ { 0xbf, 0xfb }, 2, 0x92fc, 0 },
	{ { 0xbf, 0xfc }, 2, 0x932b, 0 },
	{ { 0xbf, 0xfd }, 2, 0x9304, 0 },
	{ { 0xbf, 0xfe }, 2, 0x931a, 0 },

	{ { 0xc0, 0x40 }, 2, 0x9310, 0 },
	{ { 0xc0, 0x41 }, 2, 0x9326, 0 },
	{ { 0xc0, 0x42 }, 2, 0x9321, 0 },
	{ { 0xc0, 0x43 }, 2, 0x9315, 0 },
	{ { 0xc0, 0x44 }, 2, 0x932e, 0 },
	{ { 0xc0, 0x45 }, 2, 0x9319, 0 },
	{ { 0xc0, 0x46 }, 2, 0x95bb, 0 },
	{ { 0xc0, 0x47 }, 2, 0x96a7, 0 },
	{ { 0xc0, 0x48 }, 2, 0x96a8, 0 },
	{ { 0xc0, 0x49 }, 2, 0x96aa, 0 },
	{ { 0xc0, 0x4a }, 2, 0x96d5, 0 },
	{ { 0xc0, 0x4b }, 2, 0x970e, 0 },
	{ { 0xc0, 0x4c }, 2, 0x9711, 0 },
	{ { 0xc0, 0x4d }, 2, 0x9716, 0 },
	{ { 0xc0, 0x4e }, 2, 0x970d, 0 },
	{ { 0xc0, 0x4f }, 2, 0x9713, 0 },
	{ { 0xc0, 0x50 }, 2, 0x970f, 0 },
	{ { 0xc0, 0x51 }, 2, 0x975b, 0 },
	{ { 0xc0, 0x52 }, 2, 0x975c, 0 },
	{ { 0xc0, 0x53 }, 2, 0x9766, 0 },
	{ { 0xc0, 0x54 }, 2, 0x9798, 0 },
	{ { 0xc0, 0x55 }, 2, 0x9830, 0 },
	{ { 0xc0, 0x56 }, 2, 0x9838, 0 },
	{ { 0xc0, 0x57 }, 2, 0x983b, 0 },
	{ { 0xc0, 0x58 }, 2, 0x9837, 0 },
	{ { 0xc0, 0x59 }, 2, 0x982d, 0 },
	{ { 0xc0, 0x5a }, 2, 0x9839, 0 },
	{ { 0xc0, 0x5b }, 2, 0x9824, 0 },
	{ { 0xc0, 0x5c }, 2, 0x9910, 0 },
	{ { 0xc0, 0x5d }, 2, 0x9928, 0 },
	{ { 0xc0, 0x5e }, 2, 0x991e, 0 },
	{ { 0xc0, 0x5f }, 2, 0x991b, 0 },
	{ { 0xc0, 0x60 }, 2, 0x9921, 0 },
	{ { 0xc0, 0x61 }, 2, 0x991a, 0 },
	{ { 0xc0, 0x62 }, 2, 0x99ed, 0 },
	{ { 0xc0, 0x63 }, 2, 0x99e2, 0 },
	{ { 0xc0, 0x64 }, 2, 0x99f1, 0 },
	{ { 0xc0, 0x65 }, 2, 0x9ab8, 0 },
	{ { 0xc0, 0x66 }, 2, 0x9abc, 0 },
	{ { 0xc0, 0x67 }, 2, 0x9afb, 0 },
	{ { 0xc0, 0x68 }, 2, 0x9aed, 0 },
	{ { 0xc0, 0x69 }, 2, 0x9b28, 0 },
	{ { 0xc0, 0x6a }, 2, 0x9b91, 0 },
	{ { 0xc0, 0x6b }, 2, 0x9d15, 0 },
	{ { 0xc0, 0x6c }, 2, 0x9d23, 0 },
	{ { 0xc0, 0x6d }, 2, 0x9d26, 0 },
	{ { 0xc0, 0x6e }, 2, 0x9d28, 0 },
	{ { 0xc0, 0x6f }, 2, 0x9d12, 0 },
	{ { 0xc0, 0x70 }, 2, 0x9d1b, 0 },
	{ { 0xc0, 0x71 }, 2, 0x9ed8, 0 },
	{ { 0xc0, 0x72 }, 2, 0x9ed4, 0 },
	{ { 0xc0, 0x73 }, 2, 0x9f8d, 0 },
	{ { 0xc0, 0x74 }, 2, 0x9f9c, 0 },
	{ { 0xc0, 0x75 }, 2, 0x512a, 0 },
	{ { 0xc0, 0x76 }, 2, 0x511f, 0 },
	{ { 0xc0, 0x77 }, 2, 0x5121, 0 },
	{ { 0xc0, 0x78 }, 2, 0x5132, 0 },
	{ { 0xc0, 0x79 }, 2, 0x52f5, 0 },
	{ { 0xc0, 0x7a }, 2, 0x568e, 0 },
	{ { 0xc0, 0x7b }, 2, 0x5680, 0 },
	{ { 0xc0, 0x7c }, 2, 0x5690, 0 },
	{ { 0xc0, 0x7d }, 2, 0x5685, 0 },
	{ { 0xc0, 0x7e }, 2, 0x5687, 0 },
	{ { 0xc0, 0xa1 }, 2, 0x568f, 0 },
	{ { 0xc0, 0xa2 }, 2, 0x58d5, 0 },
	{ { 0xc0, 0xa3 }, 2, 0x58d3, 0 },
	{ { 0xc0, 0xa4 }, 2, 0x58d1, 0 },
	{ { 0xc0, 0xa5 }, 2, 0x58ce, 0 },
	{ { 0xc0, 0xa6 }, 2, 0x5b30, 0 },
	{ { 0xc0, 0xa7 }, 2, 0x5b2a, 0 },
	{ { 0xc0, 0xa8 }, 2, 0x5b24, 0 },
	{ { 0xc0, 0xa9 }, 2, 0x5b7a, 0 },
	{ { 0xc0, 0xaa }, 2, 0x5c37, 0 },
	{ { 0xc0, 0xab }, 2, 0x5c68, 0 },
	{ { 0xc0, 0xac }, 2, 0x5dbc, 0 },
	{ { 0xc0, 0xad }, 2, 0x5dba, 0 },
	{ { 0xc0, 0xae }, 2, 0x5dbd, 0 },
	{ { 0xc0, 0xaf }, 2, 0x5db8, 0 },
	{ { 0xc0, 0xb0 }, 2, 0x5e6b, 0 },
	{ { 0xc0, 0xb1 }, 2, 0x5f4c, 0 },
	{ { 0xc0, 0xb2 }, 2, 0x5fbd, 0 },
	{ { 0xc0, 0xb3 }, 2, 0x61c9, 0 },
	{ { 0xc0, 0xb4 }, 2, 0x61c2, 0 },
	{ { 0xc0, 0xb5 }, 2, 0x61c7, 0 },
	{ { 0xc0, 0xb6 }, 2, 0x61e6, 0 },
	{ { 0xc0, 0xb7 }, 2, 0x61cb, 0 },
	{ { 0xc0, 0xb8 }, 2, 0x6232, 0 },
	{ { 0xc0, 0xb9 }, 2, 0x6234, 0 },
	{ { 0xc0, 0xba }, 2, 0x64ce, 0 },
	{ { 0xc0, 0xbb }, 2, 0x64ca, 0 },
	{ { 0xc0, 0xbc }, 2, 0x64d8, 0 },
	{ { 0xc0, 0xbd }, 2, 0x64e0, 0 },
	{ { 0xc0, 0xbe }, 2, 0x64f0, 0 },
	{ { 0xc0, 0xbf }, 2, 0x64e6, 0 },
	{ { 0xc0, 0xc0 }, 2, 0x64ec, 0 },
	{ { 0xc0, 0xc1 }, 2, 0x64f1, 0 },
	{ { 0xc0, 0xc2 }, 2, 0x64e2, 0 },
	{ { 0xc0, 0xc3 }, 2, 0x64ed, 0 },
	{ { 0xc0, 0xc4 }, 2, 0x6582, 0 },
	{ { 0xc0, 0xc5 }, 2, 0x6583, 0 },
	{ { 0xc0, 0xc6 }, 2, 0x66d9, 0 },
	{ { 0xc0, 0xc7 }, 2, 0x66d6, 0 },
	{ { 0xc0, 0xc8 }, 2, 0x6a80, 0 },
	{ { 0xc0, 0xc9 }, 2, 0x6a94, 0 },
	{ { 0xc0, 0xca }, 2, 0x6a84, 0 },
	{ { 0xc0, 0xcb }, 2, 0x6aa2, 0 },
	{ { 0xc0, 0xcc }, 2, 0x6a9c, 0 },
	{ { 0xc0, 0xcd }, 2, 0x6adb, 0 },
	{ { 0xc0, 0xce }, 2, 0x6aa3, 0 },
	{ { 0xc0, 0xcf }, 2, 0x6a7e, 0 },
	{ { 0xc0, 0xd0 }, 2, 0x6a97, 0 },
	{ { 0xc0, 0xd1 }, 2, 0x6a90, 0 },
	{ { 0xc0, 0xd2 }, 2, 0x6aa0, 0 },
	{ { 0xc0, 0xd3 }, 2, 0x6b5c, 0 },
	{ { 0xc0, 0xd4 }, 2, 0x6bae, 0 },
	{ { 0xc0, 0xd5 }, 2, 0x6bda, 0 },
	{ { 0xc0, 0xd6 }, 2, 0x6c08, 0 },
	{ { 0xc0, 0xd7 }, 2, 0x6fd8, 0 },
	{ { 0xc0, 0xd8 }, 2, 0x6ff1, 0 },
	{ { 0xc0, 0xd9 }, 2, 0x6fdf, 0 },
	{ { 0xc0, 0xda }, 2, 0x6fe0, 0 },
	{ { 0xc0, 0xdb }, 2, 0x6fdb, 0 },
	{ { 0xc0, 0xdc }, 2, 0x6fe4, 0 },
	{ { 0xc0, 0xdd }, 2, 0x6feb, 0 },
	{ { 0xc0, 0xde }, 2, 0x6fef, 0 },
	{ { 0xc0, 0xdf }, 2, 0x6f80, 0 },
	{ { 0xc0, 0xe0 }, 2, 0x6fec, 0 },
	{ { 0xc0, 0xe1 }, 2, 0x6fe1, 0 },
	{ { 0xc0, 0xe2 }, 2, 0x6fe9, 0 },
	{ { 0xc0, 0xe3 }, 2, 0x6fd5, 0 },
	{ { 0xc0, 0xe4 }, 2, 0x6fee, 0 },
	{ { 0xc0, 0xe5 }, 2, 0x6ff0, 0 },
	{ { 0xc0, 0xe6 }, 2, 0x71e7, 0 },
	{ { 0xc0, 0xe7 }, 2, 0x71df, 0 },
	{ { 0xc0, 0xe8 }, 2, 0x71ee, 0 },
	{ { 0xc0, 0xe9 }, 2, 0x71e6, 0 },
	{ { 0xc0, 0xea }, 2, 0x71e5, 0 },
	{ { 0xc0, 0xeb }, 2, 0x71ed, 0 },
	{ { 0xc0, 0xec }, 2, 0x71ec, 0 },
	{ { 0xc0, 0xed }, 2, 0x71f4, 0 },
	{ { 0xc0, 0xee }, 2, 0x71e0, 0 },
	{ { 0xc0, 0xef }, 2, 0x7235, 0 },
	{ { 0xc0, 0xf0 }, 2, 0x7246, 0 },
	{ { 0xc0, 0xf1 }, 2, 0x7370, 0 },
	{ { 0xc0, 0xf2 }, 2, 0x7372, 0 },
	{ { 0xc0, 0xf3 }, 2, 0x74a9, 0 },
	{ { 0xc0, 0xf4 }, 2, 0x74b0, 0 },
	{ { 0xc0, 0xf5 }, 2, 0x74a6, 0 },
	{ { 0xc0, 0xf6 }, 2, 0x74a8, 0 },
	{ { 0xc0, 0xf7 }, 2, 0x7646, 0 },
	{ { 0xc0, 0xf8 }, 2, 0x7642, 0 },
	{ { 0xc0, 0xf9 }, 2, 0x764c, 0 },
	{ { 0xc0, 0xfa }, 2, 0x76ea, 0 },
	{ { 0xc0, 0xfb }, 2, 0x77b3, 0 },
	{ { 0xc0, 0xfc }, 2, 0x77aa, 0 },
	{ { 0xc0, 0xfd }, 2, 0x77b0, 0 },
	{ { 0xc0, 0xfe }, 2, 0x77ac, 0 },

	{ { 0xc1, 0x40 }, 2, 0x77a7, 0 },
	{ { 0xc1, 0x41 }, 2, 0x77ad, 0 },
	{ { 0xc1, 0x42 }, 2, 0x77ef, 0 },
	{ { 0xc1, 0x43 }, 2, 0x78f7, 0 },
	{ { 0xc1, 0x44 }, 2, 0x78fa, 0 },
	{ { 0xc1, 0x45 }, 2, 0x78f4, 0 },
	{ { 0xc1, 0x46 }, 2, 0x78ef, 0 },
	{ { 0xc1, 0x47 }, 2, 0x7901, 0 },
	{ { 0xc1, 0x48 }, 2, 0x79a7, 0 },
	{ { 0xc1, 0x49 }, 2, 0x79aa, 0 },
	{ { 0xc1, 0x4a }, 2, 0x7a57, 0 },
	{ { 0xc1, 0x4b }, 2, 0x7abf, 0 },
	{ { 0xc1, 0x4c }, 2, 0x7c07, 0 },
	{ { 0xc1, 0x4d }, 2, 0x7c0d, 0 },
	{ { 0xc1, 0x4e }, 2, 0x7bfe, 0 },
	{ { 0xc1, 0x4f }, 2, 0x7bf7, 0 },
	{ { 0xc1, 0x50 }, 2, 0x7c0c, 0 },
	{ { 0xc1, 0x51 }, 2, 0x7be0, 0 },
	{ { 0xc1, 0x52 }, 2, 0x7ce0, 0 },
	{ { 0xc1, 0x53 }, 2, 0x7cdc, 0 },
	{ { 0xc1, 0x54 }, 2, 0x7cde, 0 },
	{ { 0xc1, 0x55 }, 2, 0x7ce2, 0 },
	{ { 0xc1, 0x56 }, 2, 0x7cdf, 0 },
	{ { 0xc1, 0x57 }, 2, 0x7cd9, 0 },
	{ { 0xc1, 0x58 }, 2, 0x7cdd, 0 },
	{ { 0xc1, 0x59 }, 2, 0x7e2e, 0 },
	{ { 0xc1, 0x5a }, 2, 0x7e3e, 0 },
	{ { 0xc1, 0x5b }, 2, 0x7e46, 0 },
	{ { 0xc1, 0x5c }, 2, 0x7e37, 0 },
	{ { 0xc1, 0x5d }, 2, 0x7e32, 0 },
	{ { 0xc1, 0x5e }, 2, 0x7e43, 0 },
	{ { 0xc1, 0x5f }, 2, 0x7e2b, 0 },
	{ { 0xc1, 0x60 }, 2, 0x7e3d, 0 },
	{ { 0xc1, 0x61 }, 2, 0x7e31, 0 },
	{ { 0xc1, 0x62 }, 2, 0x7e45, 0 },
	{ { 0xc1, 0x63 }, 2, 0x7e41, 0 },
	{ { 0xc1, 0x64 }, 2, 0x7e34, 0 },
	{ { 0xc1, 0x65 }, 2, 0x7e39, 0 },
	{ { 0xc1, 0x66 }, 2, 0x7e48, 0 },
	{ { 0xc1, 0x67 }, 2, 0x7e35, 0 },
	{ { 0xc1, 0x68 }, 2, 0x7e3f, 0 },
	{ { 0xc1, 0x69 }, 2, 0x7e2f, 0 },
	{ { 0xc1, 0x6a }, 2, 0x7f44, 0 },
	{ { 0xc1, 0x6b }, 2, 0x7ff3, 0 },
	{ { 0xc1, 0x6c }, 2, 0x7ffc, 0 },
	{ { 0xc1, 0x6d }, 2, 0x8071, 0 },
	{ { 0xc1, 0x6e }, 2, 0x8072, 0 },
	{ { 0xc1, 0x6f }, 2, 0x8070, 0 },
	{ { 0xc1, 0x70 }, 2, 0x806f, 0 },
	{ { 0xc1, 0x71 }, 2, 0x8073, 0 },
	{ { 0xc1, 0x72 }, 2, 0x81c6, 0 },
	{ { 0xc1, 0x73 }, 2, 0x81c3, 0 },
	{ { 0xc1, 0x74 }, 2, 0x81ba, 0 },
	{ { 0xc1, 0x75 }, 2, 0x81c2, 0 },
	{ { 0xc1, 0x76 }, 2, 0x81c0, 0 },
	{ { 0xc1, 0x77 }, 2, 0x81bf, 0 },
	{ { 0xc1, 0x78 }, 2, 0x81bd, 0 },
	{ { 0xc1, 0x79 }, 2, 0x81c9, 0 },
	{ { 0xc1, 0x7a }, 2, 0x81be, 0 },
	{ { 0xc1, 0x7b }, 2, 0x81e8, 0 },
	{ { 0xc1, 0x7c }, 2, 0x8209, 0 },
	{ { 0xc1, 0x7d }, 2, 0x8271, 0 },
	{ { 0xc1, 0x7e }, 2, 0x85aa, 0 },
	{ { 0xc1, 0xa1 }, 2, 0x8584, 0 },
	{ { 0xc1, 0xa2 }, 2, 0x857e, 0 },
	{ { 0xc1, 0xa3 }, 2, 0x859c, 0 },
	{ { 0xc1, 0xa4 }, 2, 0x8591, 0 },
	{ { 0xc1, 0xa5 }, 2, 0x8594, 0 },
	{ { 0xc1, 0xa6 }, 2, 0x85af, 0 },
	{ { 0xc1, 0xa7 }, 2, 0x859b, 0 },
	{ { 0xc1, 0xa8 }, 2, 0x8587, 0 },
	{ { 0xc1, 0xa9 }, 2, 0x85a8, 0 },
	{ { 0xc1, 0xaa }, 2, 0x858a, 0 },
	{ { 0xc1, 0xab }, 2, 0x8667, 0 },
	{ { 0xc1, 0xac }, 2, 0x87c0, 0 },
	{ { 0xc1, 0xad }, 2, 0x87d1, 0 },
	{ { 0xc1, 0xae }, 2, 0x87b3, 0 },
	{ { 0xc1, 0xaf }, 2, 0x87d2, 0 },
	{ { 0xc1, 0xb0 }, 2, 0x87c6, 0 },
	{ { 0xc1, 0xb1 }, 2, 0x87ab, 0 },
	{ { 0xc1, 0xb2 }, 2, 0x87bb, 0 },
	{ { 0xc1, 0xb3 }, 2, 0x87ba, 0 },
	{ { 0xc1, 0xb4 }, 2, 0x87c8, 0 },
	{ { 0xc1, 0xb5 }, 2, 0x87cb, 0 },
	{ { 0xc1, 0xb6 }, 2, 0x893b, 0 },
	{ { 0xc1, 0xb7 }, 2, 0x8936, 0 },
	{ { 0xc1, 0xb8 }, 2, 0x8944, 0 },
	{ { 0xc1, 0xb9 }, 2, 0x8938, 0 },
	{ { 0xc1, 0xba }, 2, 0x893d, 0 },
	{ { 0xc1, 0xbb }, 2, 0x89ac, 0 },
	{ { 0xc1, 0xbc }, 2, 0x8b0e, 0 },
	{ { 0xc1, 0xbd }, 2, 0x8b17, 0 },
	{ { 0xc1, 0xbe }, 2, 0x8b19, 0 },
	{ { 0xc1, 0xbf }, 2, 0x8b1b, 0 },
	{ { 0xc1, 0xc0 }, 2, 0x8b0a, 0 },
	{ { 0xc1, 0xc1 }, 2, 0x8b20, 0 },
	{ { 0xc1, 0xc2 }, 2, 0x8b1d, 0 },
	{ { 0xc1, 0xc3 }, 2, 0x8b04, 0 },
	{ { 0xc1, 0xc4 }, 2, 0x8b10, 0 },
	{ { 0xc1, 0xc5 }, 2, 0x8c41, 0 },
	{ { 0xc1, 0xc6 }, 2, 0x8c3f, 0 },
	{ { 0xc1, 0xc7 }, 2, 0x8c73, 0 },
	{ { 0xc1, 0xc8 }, 2, 0x8cfa, 0 },
	{ { 0xc1, 0xc9 }, 2, 0x8cfd, 0 },
	{ { 0xc1, 0xca }, 2, 0x8cfc, 0 },
	{ { 0xc1, 0xcb }, 2, 0x8cf8, 0 },
	{ { 0xc1, 0xcc }, 2, 0x8cfb, 0 },
	{ { 0xc1, 0xcd }, 2, 0x8da8, 0 },
	{ { 0xc1, 0xce }, 2, 0x8e49, 0 },
	{ { 0xc1, 0xcf }, 2, 0x8e4b, 0 },
	{ { 0xc1, 0xd0 }, 2, 0x8e48, 0 },
	{ { 0xc1, 0xd1 }, 2, 0x8e4a, 0 },
	{ { 0xc1, 0xd2 }, 2, 0x8f44, 0 },
	{ { 0xc1, 0xd3 }, 2, 0x8f3e, 0 },
	{ { 0xc1, 0xd4 }, 2, 0x8f42, 0 },
	{ { 0xc1, 0xd5 }, 2, 0x8f45, 0 },
	{ { 0xc1, 0xd6 }, 2, 0x8f3f, 0 },
	{ { 0xc1, 0xd7 }, 2, 0x907f, 0 },
	{ { 0xc1, 0xd8 }, 2, 0x907d, 0 },
	{ { 0xc1, 0xd9 }, 2, 0x9084, 0 },
	{ { 0xc1, 0xda }, 2, 0x9081, 0 },
	{ { 0xc1, 0xdb }, 2, 0x9082, 0 },
	{ { 0xc1, 0xdc }, 2, 0x9080, 0 },
	{ { 0xc1, 0xdd }, 2, 0x9139, 0 },
	{ { 0xc1, 0xde }, 2, 0x91a3, 0 },
	{ { 0xc1, 0xdf }, 2, 0x919e, 0 },
	{ { 0xc1, 0xe0 }, 2, 0x919c, 0 },
	{ { 0xc1, 0xe1 }, 2, 0x934d, 0 },
	{ { 0xc1, 0xe2 }, 2, 0x9382, 0 },
	{ { 0xc1, 0xe3 }, 2, 0x9328, 0 },
	{ { 0xc1, 0xe4 }, 2, 0x9375, 0 },
	{ { 0xc1, 0xe5 }, 2, 0x934a, 0 },
	{ { 0xc1, 0xe6 }, 2, 0x9365, 0 },
	{ { 0xc1, 0xe7 }, 2, 0x934b, 0 },
	{ { 0xc1, 0xe8 }, 2, 0x9318, 0 },
	{ { 0xc1, 0xe9 }, 2, 0x937e, 0 },
	{ { 0xc1, 0xea }, 2, 0x936c, 0 },
	{ { 0xc1, 0xeb }, 2, 0x935b, 0 },
	{ { 0xc1, 0xec }, 2, 0x9370, 0 },
	{ { 0xc1, 0xed }, 2, 0x935a, 0 },
	{ { 0xc1, 0xee }, 2, 0x9354, 0 },
	{ { 0xc1, 0xef }, 2, 0x95ca, 0 },
	{ { 0xc1, 0xf0 }, 2, 0x95cb, 0 },
	{ { 0xc1, 0xf1 }, 2, 0x95cc, 0 },
	{ { 0xc1, 0xf2 }, 2, 0x95c8, 0 },
	{ { 0xc1, 0xf3 }, 2, 0x95c6, 0 },
	{ { 0xc1, 0xf4 }, 2, 0x96b1, 0 },
	{ { 0xc1, 0xf5 }, 2, 0x96b8, 0 },
	{ { 0xc1, 0xf6 }, 2, 0x96d6, 0 },
	{ { 0xc1, 0xf7 }, 2, 0x971c, 0 },
	{ { 0xc1, 0xf8 }, 2, 0x971e, 0 },
	{ { 0xc1, 0xf9 }, 2, 0x97a0, 0 },
	{ { 0xc1, 0xfa }, 2, 0x97d3, 0 },
	{ { 0xc1, 0xfb }, 2, 0x9846, 0 },
	{ { 0xc1, 0xfc }, 2, 0x98b6, 0 },
	{ { 0xc1, 0xfd }, 2, 0x9935, 0 },
	{ { 0xc1, 0xfe }, 2, 0x9a01, 0 },

	{ { 0xc2, 0x40 }, 2, 0x99ff, 0 },
	{ { 0xc2, 0x41 }, 2, 0x9bae, 0 },
	{ { 0xc2, 0x42 }, 2, 0x9bab, 0 },
	{ { 0xc2, 0x43 }, 2, 0x9baa, 0 },
	{ { 0xc2, 0x44 }, 2, 0x9bad, 0 },
	{ { 0xc2, 0x45 }, 2, 0x9d3b, 0 },
	{ { 0xc2, 0x46 }, 2, 0x9d3f, 0 },
	{ { 0xc2, 0x47 }, 2, 0x9e8b, 0 },
	{ { 0xc2, 0x48 }, 2, 0x9ecf, 0 },
	{ { 0xc2, 0x49 }, 2, 0x9ede, 0 },
	{ { 0xc2, 0x4a }, 2, 0x9edc, 0 },
	{ { 0xc2, 0x4b }, 2, 0x9edd, 0 },
	{ { 0xc2, 0x4c }, 2, 0x9edb, 0 },
	{ { 0xc2, 0x4d }, 2, 0x9f3e, 0 },
	{ { 0xc2, 0x4e }, 2, 0x9f4b, 0 },
	{ { 0xc2, 0x4f }, 2, 0x53e2, 0 },
	{ { 0xc2, 0x50 }, 2, 0x5695, 0 },
	{ { 0xc2, 0x51 }, 2, 0x56ae, 0 },
	{ { 0xc2, 0x52 }, 2, 0x58d9, 0 },
	{ { 0xc2, 0x53 }, 2, 0x58d8, 0 },
	{ { 0xc2, 0x54 }, 2, 0x5b38, 0 },
	{ { 0xc2, 0x55 }, 2, 0x5f5d, 0 },
	{ { 0xc2, 0x56 }, 2, 0x61e3, 0 },
	{ { 0xc2, 0x57 }, 2, 0x6233, 0 },
	{ { 0xc2, 0x58 }, 2, 0x64f4, 0 },
	{ { 0xc2, 0x59 }, 2, 0x64f2, 0 },
	{ { 0xc2, 0x5a }, 2, 0x64fe, 0 },
	{ { 0xc2, 0x5b }, 2, 0x6506, 0 },
	{ { 0xc2, 0x5c }, 2, 0x64fa, 0 },
	{ { 0xc2, 0x5d }, 2, 0x64fb, 0 },
	{ { 0xc2, 0x5e }, 2, 0x64f7, 0 },
	{ { 0xc2, 0x5f }, 2, 0x65b7, 0 },
	{ { 0xc2, 0x60 }, 2, 0x66dc, 0 },
	{ { 0xc2, 0x61 }, 2, 0x6726, 0 },
	{ { 0xc2, 0x62 }, 2, 0x6ab3, 0 },
	{ { 0xc2, 0x63 }, 2, 0x6aac, 0 },
	{ { 0xc2, 0x64 }, 2, 0x6ac3, 0 },
	{ { 0xc2, 0x65 }, 2, 0x6abb, 0 },
	{ { 0xc2, 0x66 }, 2, 0x6ab8, 0 },
	{ { 0xc2, 0x67 }, 2, 0x6ac2, 0 },
	{ { 0xc2, 0x68 }, 2, 0x6aae, 0 },
	{ { 0xc2, 0x69 }, 2, 0x6aaf, 0 },
	{ { 0xc2, 0x6a }, 2, 0x6b5f, 0 },
	{ { 0xc2, 0x6b }, 2, 0x6b78, 0 },
	{ { 0xc2, 0x6c }, 2, 0x6baf, 0 },
	{ { 0xc2, 0x6d }, 2, 0x7009, 0 },
	{ { 0xc2, 0x6e }, 2, 0x700b, 0 },
	{ { 0xc2, 0x6f }, 2, 0x6ffe, 0 },
	{ { 0xc2, 0x70 }, 2, 0x7006, 0 },
	{ { 0xc2, 0x71 }, 2, 0x6ffa, 0 },
	{ { 0xc2, 0x72 }, 2, 0x7011, 0 },
	{ { 0xc2, 0x73 }, 2, 0x700f, 0 },
	{ { 0xc2, 0x74 }, 2, 0x71fb, 0 },
	{ { 0xc2, 0x75 }, 2, 0x71fc, 0 },
	{ { 0xc2, 0x76 }, 2, 0x71fe, 0 },
	{ { 0xc2, 0x77 }, 2, 0x71f8, 0 },
	{ { 0xc2, 0x78 }, 2, 0x7377, 0 },
	{ { 0xc2, 0x79 }, 2, 0x7375, 0 },
	{ { 0xc2, 0x7a }, 2, 0x74a7, 0 },
	{ { 0xc2, 0x7b }, 2, 0x74bf, 0 },
	{ { 0xc2, 0x7c }, 2, 0x7515, 0 },
	{ { 0xc2, 0x7d }, 2, 0x7656, 0 },
	{ { 0xc2, 0x7e }, 2, 0x7658, 0 },
	{ { 0xc2, 0xa1 }, 2, 0x7652, 0 },
	{ { 0xc2, 0xa2 }, 2, 0x77bd, 0 },
	{ { 0xc2, 0xa3 }, 2, 0x77bf, 0 },
	{ { 0xc2, 0xa4 }, 2, 0x77bb, 0 },
	{ { 0xc2, 0xa5 }, 2, 0x77bc, 0 },
	{ { 0xc2, 0xa6 }, 2, 0x790e, 0 },
	{ { 0xc2, 0xa7 }, 2, 0x79ae, 0 },
	{ { 0xc2, 0xa8 }, 2, 0x7a61, 0 },
	{ { 0xc2, 0xa9 }, 2, 0x7a62, 0 },
	{ { 0xc2, 0xaa }, 2, 0x7a60, 0 },
	{ { 0xc2, 0xab }, 2, 0x7ac4, 0 },
	{ { 0xc2, 0xac }, 2, 0x7ac5, 0 },
	{ { 0xc2, 0xad }, 2, 0x7c2b, 0 },
	{ { 0xc2, 0xae }, 2, 0x7c27, 0 },
	{ { 0xc2, 0xaf }, 2, 0x7c2a, 0 },
	{ { 0xc2, 0xb0 }, 2, 0x7c1e, 0 },
	{ { 0xc2, 0xb1 }, 2, 0x7c23, 0 },
	{ { 0xc2, 0xb2 }, 2, 0x7c21, 0 },
	{ { 0xc2, 0xb3 }, 2, 0x7ce7, 0 },
	{ { 0xc2, 0xb4 }, 2, 0x7e54, 0 },
	{ { 0xc2, 0xb5 }, 2, 0x7e55, 0 },
	{ { 0xc2, 0xb6 }, 2, 0x7e5e, 0 },
	{ { 0xc2, 0xb7 }, 2, 0x7e5a, 0 },
	{ { 0xc2, 0xb8 }, 2, 0x7e61, 0 },
	{ { 0xc2, 0xb9 }, 2, 0x7e52, 0 },
	{ { 0xc2, 0xba }, 2, 0x7e59, 0 },
	{ { 0xc2, 0xbb }, 2, 0x7f48, 0 },
	{ { 0xc2, 0xbc }, 2, 0x7ff9, 0 },
	{ { 0xc2, 0xbd }, 2, 0x7ffb, 0 },
	{ { 0xc2, 0xbe }, 2, 0x8077, 0 },
	{ { 0xc2, 0xbf }, 2, 0x8076, 0 },
	{ { 0xc2, 0xc0 }, 2, 0x81cd, 0 },
	{ { 0xc2, 0xc1 }, 2, 0x81cf, 0 },
	{ { 0xc2, 0xc2 }, 2, 0x820a, 0 },
	{ { 0xc2, 0xc3 }, 2, 0x85cf, 0 },
	{ { 0xc2, 0xc4 }, 2, 0x85a9, 0 },
	{ { 0xc2, 0xc5 }, 2, 0x85cd, 0 },
	{ { 0xc2, 0xc6 }, 2, 0x85d0, 0 },
	{ { 0xc2, 0xc7 }, 2, 0x85c9, 0 },
	{ { 0xc2, 0xc8 }, 2, 0x85b0, 0 },
	{ { 0xc2, 0xc9 }, 2, 0x85ba, 0 },
	{ { 0xc2, 0xca }, 2, 0x85b9, 0 },
	{ { 0xc2, 0xcb }, 2, 0x85a6, 0 },
	{ { 0xc2, 0xcc }, 2, 0x87ef, 0 },
	{ { 0xc2, 0xcd }, 2, 0x87ec, 0 },
	{ { 0xc2, 0xce }, 2, 0x87f2, 0 },
	{ { 0xc2, 0xcf }, 2, 0x87e0, 0 },
	{ { 0xc2, 0xd0 }, 2, 0x8986, 0 },
	{ { 0xc2, 0xd1 }, 2, 0x89b2, 0 },
	{ { 0xc2, 0xd2 }, 2, 0x89f4, 0 },
	{ { 0xc2, 0xd3 }, 2, 0x8b28, 0 },
	{ { 0xc2, 0xd4 }, 2, 0x8b39, 0 },
	{ { 0xc2, 0xd5 }, 2, 0x8b2c, 0 },
	{ { 0xc2, 0xd6 }, 2, 0x8b2b, 0 },
	{ { 0xc2, 0xd7 }, 2, 0x8c50, 0 },
	{ { 0xc2, 0xd8 }, 2, 0x8d05, 0 },
	{ { 0xc2, 0xd9 }, 2, 0x8e59, 0 },
	{ { 0xc2, 0xda }, 2, 0x8e63, 0 },
	{ { 0xc2, 0xdb }, 2, 0x8e66, 0 },
	{ { 0xc2, 0xdc }, 2, 0x8e64, 0 },
	{ { 0xc2, 0xdd }, 2, 0x8e5f, 0 },
	{ { 0xc2, 0xde }, 2, 0x8e55, 0 },
	{ { 0xc2, 0xdf }, 2, 0x8ec0, 0 },
	{ { 0xc2, 0xe0 }, 2, 0x8f49, 0 },
	{ { 0xc2, 0xe1 }, 2, 0x8f4d, 0 },
	{ { 0xc2, 0xe2 }, 2, 0x9087, 0 },
	{ { 0xc2, 0xe3 }, 2, 0x9083, 0 },
	{ { 0xc2, 0xe4 }, 2, 0x9088, 0 },
	{ { 0xc2, 0xe5 }, 2, 0x91ab, 0 },
	{ { 0xc2, 0xe6 }, 2, 0x91ac, 0 },
	{ { 0xc2, 0xe7 }, 2, 0x91d0, 0 },
	{ { 0xc2, 0xe8 }, 2, 0x9394, 0 },
	{ { 0xc2, 0xe9 }, 2, 0x938a, 0 },
	{ { 0xc2, 0xea }, 2, 0x9396, 0 },
	{ { 0xc2, 0xeb }, 2, 0x93a2, 0 },
	{ { 0xc2, 0xec }, 2, 0x93b3, 0 },
	{ { 0xc2, 0xed }, 2, 0x93ae, 0 },
	{ { 0xc2, 0xee }, 2, 0x93ac, 0 },
	{ { 0xc2, 0xef }, 2, 0x93b0, 0 },
	{ { 0xc2, 0xf0 }, 2, 0x9398, 0 },
	{ { 0xc2, 0xf1 }, 2, 0x939a, 0 },
	{ { 0xc2, 0xf2 }, 2, 0x9397, 0 },
	{ { 0xc2, 0xf3 }, 2, 0x95d4, 0 },
	{ { 0xc2, 0xf4 }, 2, 0x95d6, 0 },
	{ { 0xc2, 0xf5 }, 2, 0x95d0, 0 },
	{ { 0xc2, 0xf6 }, 2, 0x95d5, 0 },
	{ { 0xc2, 0xf7 }, 2, 0x96e2, 0 },
	{ { 0xc2, 0xf8 }, 2, 0x96dc, 0 },
	{ { 0xc2, 0xf9 }, 2, 0x96d9, 0 },
	{ { 0xc2, 0xfa }, 2, 0x96db, 0 },
	{ { 0xc2, 0xfb }, 2, 0x96de, 0 },
	{ { 0xc2, 0xfc }, 2, 0x9724, 0 },
	{ { 0xc2, 0xfd }, 2, 0x97a3, 0 },
	{ { 0xc2, 0xfe }, 2, 0x97a6, 0 },

	{ { 0xc3, 0x40 }, 2, 0x97ad, 0 },
	{ { 0xc3, 0x41 }, 2, 0x97f9, 0 },
	{ { 0xc3, 0x42 }, 2, 0x984d, 0 },
	{ { 0xc3, 0x43 }, 2, 0x984f, 0 },
	{ { 0xc3, 0x44 }, 2, 0x984c, 0 },
	{ { 0xc3, 0x45 }, 2, 0x984e, 0 },
	{ { 0xc3, 0x46 }, 2, 0x9853, 0 },
	{ { 0xc3, 0x47 }, 2, 0x98ba, 0 },
	{ { 0xc3, 0x48 }, 2, 0x993e, 0 },
	{ { 0xc3, 0x49 }, 2, 0x993f, 0 },
	{ { 0xc3, 0x4a }, 2, 0x993d, 0 },
	{ { 0xc3, 0x4b }, 2, 0x992e, 0 },
	{ { 0xc3, 0x4c }, 2, 0x99a5, 0 },
	{ { 0xc3, 0x4d }, 2, 0x9a0e, 0 },
	{ { 0xc3, 0x4e }, 2, 0x9ac1, 0 },
	{ { 0xc3, 0x4f }, 2, 0x9b03, 0 },
	{ { 0xc3, 0x50 }, 2, 0x9b06, 0 },
	{ { 0xc3, 0x51 }, 2, 0x9b4f, 0 },
	{ { 0xc3, 0x52 }, 2, 0x9b4e, 0 },
	{ { 0xc3, 0x53 }, 2, 0x9b4d, 0 },
	{ { 0xc3, 0x54 }, 2, 0x9bca, 0 },
	{ { 0xc3, 0x55 }, 2, 0x9bc9, 0 },
	{ { 0xc3, 0x56 }, 2, 0x9bfd, 0 },
	{ { 0xc3, 0x57 }, 2, 0x9bc8, 0 },
	{ { 0xc3, 0x58 }, 2, 0x9bc0, 0 },
	{ { 0xc3, 0x59 }, 2, 0x9d51, 0 },
	{ { 0xc3, 0x5a }, 2, 0x9d5d, 0 },
	{ { 0xc3, 0x5b }, 2, 0x9d60, 0 },
	{ { 0xc3, 0x5c }, 2, 0x9ee0, 0 },
	{ { 0xc3, 0x5d }, 2, 0x9f15, 0 },
	{ { 0xc3, 0x5e }, 2, 0x9f2c, 0 },
	{ { 0xc3, 0x5f }, 2, 0x5133, 0 },
	{ { 0xc3, 0x60 }, 2, 0x56a5, 0 },
	{ { 0xc3, 0x61 }, 2, 0x58de, 0 },
	{ { 0xc3, 0x62 }, 2, 0x58df, 0 },
	{ { 0xc3, 0x63 }, 2, 0x58e2, 0 },
	{ { 0xc3, 0x64 }, 2, 0x5bf5, 0 },
	{ { 0xc3, 0x65 }, 2, 0x9f90, 0 },
	{ { 0xc3, 0x66 }, 2, 0x5eec, 0 },
	{ { 0xc3, 0x67 }, 2, 0x61f2, 0 },
	{ { 0xc3, 0x68 }, 2, 0x61f7, 0 },
	{ { 0xc3, 0x69 }, 2, 0x61f6, 0 },
	{ { 0xc3, 0x6a }, 2, 0x61f5, 0 },
	{ { 0xc3, 0x6b }, 2, 0x6500, 0 },
	{ { 0xc3, 0x6c }, 2, 0x650f, 0 },
	{ { 0xc3, 0x6d }, 2, 0x66e0, 0 },
	{ { 0xc3, 0x6e }, 2, 0x66dd, 0 },
	{ { 0xc3, 0x6f }, 2, 0x6ae5, 0 },
	{ { 0xc3, 0x70 }, 2, 0x6add, 0 },
	{ { 0xc3, 0x71 }, 2, 0x6ada, 0 },
	{ { 0xc3, 0x72 }, 2, 0x6ad3, 0 },
	{ { 0xc3, 0x73 }, 2, 0x701b, 0 },
	{ { 0xc3, 0x74 }, 2, 0x701f, 0 },
	{ { 0xc3, 0x75 }, 2, 0x7028, 0 },
	{ { 0xc3, 0x76 }, 2, 0x701a, 0 },
	{ { 0xc3, 0x77 }, 2, 0x701d, 0 },
	{ { 0xc3, 0x78 }, 2, 0x7015, 0 },
	{ { 0xc3, 0x79 }, 2, 0x7018, 0 },
	{ { 0xc3, 0x7a }, 2, 0x7206, 0 },
	{ { 0xc3, 0x7b }, 2, 0x720d, 0 },
	{ { 0xc3, 0x7c }, 2, 0x7258, 0 },
	{ { 0xc3, 0x7d }, 2, 0x72a2, 0 },
	{ { 0xc3, 0x7e }, 2, 0x7378, 0 },
	{ { 0xc3, 0xa1 }, 2, 0x737a, 0 },
	{ { 0xc3, 0xa2 }, 2, 0x74bd, 0 },
	{ { 0xc3, 0xa3 }, 2, 0x74ca, 0 },
	{ { 0xc3, 0xa4 }, 2, 0x74e3, 0 },
	{ { 0xc3, 0xa5 }, 2, 0x7587, 0 },
	{ { 0xc3, 0xa6 }, 2, 0x7586, 0 },
	{ { 0xc3, 0xa7 }, 2, 0x765f, 0 },
	{ { 0xc3, 0xa8 }, 2, 0x7661, 0 },
	{ { 0xc3, 0xa9 }, 2, 0x77c7, 0 },
	{ { 0xc3, 0xaa }, 2, 0x7919, 0 },
	{ { 0xc3, 0xab }, 2, 0x79b1, 0 },
	{ { 0xc3, 0xac }, 2, 0x7a6b, 0 },
	{ { 0xc3, 0xad }, 2, 0x7a69, 0 },
	{ { 0xc3, 0xae }, 2, 0x7c3e, 0 },
	{ { 0xc3, 0xaf }, 2, 0x7c3f, 0 },
	{ { 0xc3, 0xb0 }, 2, 0x7c38, 0 },
	{ { 0xc3, 0xb1 }, 2, 0x7c3d, 0 },
	{ { 0xc3, 0xb2 }, 2, 0x7c37, 0 },
	{ { 0xc3, 0xb3 }, 2, 0x7c40, 0 },
	{ { 0xc3, 0xb4 }, 2, 0x7e6b, 0 },
	{ { 0xc3, 0xb5 }, 2, 0x7e6d, 0 },
	{ { 0xc3, 0xb6 }, 2, 0x7e79, 0 },
	{ { 0xc3, 0xb7 }, 2, 0x7e69, 0 },
	{ { 0xc3, 0xb8 }, 2, 0x7e6a, 0 },
	{ { 0xc3, 0xb9 }, 2, 0x7f85, 0 },
	{ { 0xc3, 0xba }, 2, 0x7e73, 0 },
	{ { 0xc3, 0xbb }, 2, 0x7fb6, 0 },
	{ { 0xc3, 0xbc }, 2, 0x7fb9, 0 },
	{ { 0xc3, 0xbd }, 2, 0x7fb8, 0 },
	{ { 0xc3, 0xbe }, 2, 0x81d8, 0 },
	{ { 0xc3, 0xbf }, 2, 0x85e9, 0 },
	{ { 0xc3, 0xc0 }, 2, 0x85dd, 0 },
	{ { 0xc3, 0xc1 }, 2, 0x85ea, 0 },
	{ { 0xc3, 0xc2 }, 2, 0x85d5, 0 },
	{ { 0xc3, 0xc3 }, 2, 0x85e4, 0 },
	{ { 0xc3, 0xc4 }, 2, 0x85e5, 0 },
	{ { 0xc3, 0xc5 }, 2, 0x85f7, 0 },
	{ { 0xc3, 0xc6 }, 2, 0x87fb, 0 },
	{ { 0xc3, 0xc7 }, 2, 0x8805, 0 },
	{ { 0xc3, 0xc8 }, 2, 0x880d, 0 },
	{ { 0xc3, 0xc9 }, 2, 0x87f9, 0 },
	{ { 0xc3, 0xca }, 2, 0x87fe, 0 },
	{ { 0xc3, 0xcb }, 2, 0x8960, 0 },
	{ { 0xc3, 0xcc }, 2, 0x895f, 0 },
	{ { 0xc3, 0xcd }, 2, 0x8956, 0 },
	{ { 0xc3, 0xce }, 2, 0x895e, 0 },
	{ { 0xc3, 0xcf }, 2, 0x8b41, 0 },
	{ { 0xc3, 0xd0 }, 2, 0x8b5c, 0 },
	{ { 0xc3, 0xd1 }, 2, 0x8b58, 0 },
	{ { 0xc3, 0xd2 }, 2, 0x8b49, 0 },
	{ { 0xc3, 0xd3 }, 2, 0x8b5a, 0 },
	{ { 0xc3, 0xd4 }, 2, 0x8b4e, 0 },
	{ { 0xc3, 0xd5 }, 2, 0x8b4f, 0 },
	{ { 0xc3, 0xd6 }, 2, 0x8b46, 0 },
	{ { 0xc3, 0xd7 }, 2, 0x8b59, 0 },
	{ { 0xc3, 0xd8 }, 2, 0x8d08, 0 },
	{ { 0xc3, 0xd9 }, 2, 0x8d0a, 0 },
	{ { 0xc3, 0xda }, 2, 0x8e7c, 0 },
	{ { 0xc3, 0xdb }, 2, 0x8e72, 0 },
	{ { 0xc3, 0xdc }, 2, 0x8e87, 0 },
	{ { 0xc3, 0xdd }, 2, 0x8e76, 0 },
	{ { 0xc3, 0xde }, 2, 0x8e6c, 0 },
	{ { 0xc3, 0xdf }, 2, 0x8e7a, 0 },
	{ { 0xc3, 0xe0 }, 2, 0x8e74, 0 },
	{ { 0xc3, 0xe1 }, 2, 0x8f54, 0 },
	{ { 0xc3, 0xe2 }, 2, 0x8f4e, 0 },
	{ { 0xc3, 0xe3 }, 2, 0x8fad, 0 },
	{ { 0xc3, 0xe4 }, 2, 0x908a, 0 },
	{ { 0xc3, 0xe5 }, 2, 0x908b, 0 },
	{ { 0xc3, 0xe6 }, 2, 0x91b1, 0 },
	{ { 0xc3, 0xe7 }, 2, 0x91ae, 0 },
	{ { 0xc3, 0xe8 }, 2, 0x93e1, 0 },
	{ { 0xc3, 0xe9 }, 2, 0x93d1, 0 },
	{ { 0xc3, 0xea }, 2, 0x93df, 0 },
	{ { 0xc3, 0xeb }, 2, 0x93c3, 0 },
	{ { 0xc3, 0xec }, 2, 0x93c8, 0 },
	{ { 0xc3, 0xed }, 2, 0x93dc, 0 },
	{ { 0xc3, 0xee }, 2, 0x93dd, 0 },
	{ { 0xc3, 0xef }, 2, 0x93d6, 0 },
	{ { 0xc3, 0xf0 }, 2, 0x93e2, 0 },
	{ { 0xc3, 0xf1 }, 2, 0x93cd, 0 },
	{ { 0xc3, 0xf2 }, 2, 0x93d8, 0 },
	{ { 0xc3, 0xf3 }, 2, 0x93e4, 0 },
	{ { 0xc3, 0xf4 }, 2, 0x93d7, 0 },
	{ { 0xc3, 0xf5 }, 2, 0x93e8, 0 },
	{ { 0xc3, 0xf6 }, 2, 0x95dc, 0 },
	{ { 0xc3, 0xf7 }, 2, 0x96b4, 0 },
	{ { 0xc3, 0xf8 }, 2, 0x96e3, 0 },
	{ { 0xc3, 0xf9 }, 2, 0x972a, 0 },
	{ { 0xc3, 0xfa }, 2, 0x9727, 0 },
	{ { 0xc3, 0xfb }, 2, 0x9761, 0 },
	{ { 0xc3, 0xfc }, 2, 0x97dc, 0 },
	{ { 0xc3, 0xfd }, 2, 0x97fb, 0 },
	{ { 0xc3, 0xfe }, 2, 0x985e, 0 },

	{ { 0xc4, 0x40 }, 2, 0x9858, 0 },
	{ { 0xc4, 0x41 }, 2, 0x985b, 0 },
	{ { 0xc4, 0x42 }, 2, 0x98bc, 0 },
	{ { 0xc4, 0x43 }, 2, 0x9945, 0 },
	{ { 0xc4, 0x44 }, 2, 0x9949, 0 },
	{ { 0xc4, 0x45 }, 2, 0x9a16, 0 },
	{ { 0xc4, 0x46 }, 2, 0x9a19, 0 },
	{ { 0xc4, 0x47 }, 2, 0x9b0d, 0 },
	{ { 0xc4, 0x48 }, 2, 0x9be8, 0 },
	{ { 0xc4, 0x49 }, 2, 0x9be7, 0 },
	{ { 0xc4, 0x4a }, 2, 0x9bd6, 0 },
	{ { 0xc4, 0x4b }, 2, 0x9bdb, 0 },
	{ { 0xc4, 0x4c }, 2, 0x9d89, 0 },
	{ { 0xc4, 0x4d }, 2, 0x9d61, 0 },
	{ { 0xc4, 0x4e }, 2, 0x9d72, 0 },
	{ { 0xc4, 0x4f }, 2, 0x9d6a, 0 },
	{ { 0xc4, 0x50 }, 2, 0x9d6c, 0 },
	{ { 0xc4, 0x51 }, 2, 0x9e92, 0 },
	{ { 0xc4, 0x52 }, 2, 0x9e97, 0 },
	{ { 0xc4, 0x53 }, 2, 0x9e93, 0 },
	{ { 0xc4, 0x54 }, 2, 0x9eb4, 0 },
	{ { 0xc4, 0x55 }, 2, 0x52f8, 0 },
	{ { 0xc4, 0x56 }, 2, 0x56a8, 0 },
	{ { 0xc4, 0x57 }, 2, 0x56b7, 0 },
	{ { 0xc4, 0x58 }, 2, 0x56b6, 0 },
	{ { 0xc4, 0x59 }, 2, 0x56b4, 0 },
	{ { 0xc4, 0x5a }, 2, 0x56bc, 0 },
	{ { 0xc4, 0x5b }, 2, 0x58e4, 0 },
	{ { 0xc4, 0x5c }, 2, 0x5b40, 0 },
	{ { 0xc4, 0x5d }, 2, 0x5b43, 0 },
	{ { 0xc4, 0x5e }, 2, 0x5b7d, 0 },
	{ { 0xc4, 0x5f }, 2, 0x5bf6, 0 },
	{ { 0xc4, 0x60 }, 2, 0x5dc9, 0 },
	{ { 0xc4, 0x61 }, 2, 0x61f8, 0 },
	{ { 0xc4, 0x62 }, 2, 0x61fa, 0 },
	{ { 0xc4, 0x63 }, 2, 0x6518, 0 },
	{ { 0xc4, 0x64 }, 2, 0x6514, 0 },
	{ { 0xc4, 0x65 }, 2, 0x6519, 0 },
	{ { 0xc4, 0x66 }, 2, 0x66e6, 0 },
	{ { 0xc4, 0x67 }, 2, 0x6727, 0 },
	{ { 0xc4, 0x68 }, 2, 0x6aec, 0 },
	{ { 0xc4, 0x69 }, 2, 0x703e, 0 },
	{ { 0xc4, 0x6a }, 2, 0x7030, 0 },
	{ { 0xc4, 0x6b }, 2, 0x7032, 0 },
	{ { 0xc4, 0x6c }, 2, 0x7210, 0 },
	{ { 0xc4, 0x6d }, 2, 0x737b, 0 },
	{ { 0xc4, 0x6e }, 2, 0x74cf, 0 },
	{ { 0xc4, 0x6f }, 2, 0x7662, 0 },
	{ { 0xc4, 0x70 }, 2, 0x7665, 0 },
	{ { 0xc4, 0x71 }, 2, 0x7926, 0 },
	{ { 0xc4, 0x72 }, 2, 0x792a, 0 },
	{ { 0xc4, 0x73 }, 2, 0x792c, 0 },
	{ { 0xc4, 0x74 }, 2, 0x792b, 0 },
	{ { 0xc4, 0x75 }, 2, 0x7ac7, 0 },
	{ { 0xc4, 0x76 }, 2, 0x7af6, 0 },
	{ { 0xc4, 0x77 }, 2, 0x7c4c, 0 },
	{ { 0xc4, 0x78 }, 2, 0x7c43, 0 },
	{ { 0xc4, 0x79 }, 2, 0x7c4d, 0 },
	{ { 0xc4, 0x7a }, 2, 0x7cef, 0 },
	{ { 0xc4, 0x7b }, 2, 0x7cf0, 0 },
	{ { 0xc4, 0x7c }, 2, 0x8fae, 0 },
	{ { 0xc4, 0x7d }, 2, 0x7e7d, 0 },
	{ { 0xc4, 0x7e }, 2, 0x7e7c, 0 },
	{ { 0xc4, 0xa1 }, 2, 0x7e82, 0 },
	{ { 0xc4, 0xa2 }, 2, 0x7f4c, 0 },
	{ { 0xc4, 0xa3 }, 2, 0x8000, 0 },
	{ { 0xc4, 0xa4 }, 2, 0x81da, 0 },
	{ { 0xc4, 0xa5 }, 2, 0x8266, 0 },
	{ { 0xc4, 0xa6 }, 2, 0x85fb, 0 },
	{ { 0xc4, 0xa7 }, 2, 0x85f9, 0 },
	{ { 0xc4, 0xa8 }, 2, 0x8611, 0 },
	{ { 0xc4, 0xa9 }, 2, 0x85fa, 0 },
	{ { 0xc4, 0xaa }, 2, 0x8606, 0 },
	{ { 0xc4, 0xab }, 2, 0x860b, 0 },
	{ { 0xc4, 0xac }, 2, 0x8607, 0 },
	{ { 0xc4, 0xad }, 2, 0x860a, 0 },
	{ { 0xc4, 0xae }, 2, 0x8814, 0 },
	{ { 0xc4, 0xaf }, 2, 0x8815, 0 },
	{ { 0xc4, 0xb0 }, 2, 0x8964, 0 },
	{ { 0xc4, 0xb1 }, 2, 0x89ba, 0 },
	{ { 0xc4, 0xb2 }, 2, 0x89f8, 0 },
	{ { 0xc4, 0xb3 }, 2, 0x8b70, 0 },
	{ { 0xc4, 0xb4 }, 2, 0x8b6c, 0 },
	{ { 0xc4, 0xb5 }, 2, 0x8b66, 0 },
	{ { 0xc4, 0xb6 }, 2, 0x8b6f, 0 },
	{ { 0xc4, 0xb7 }, 2, 0x8b5f, 0 },
	{ { 0xc4, 0xb8 }, 2, 0x8b6b, 0 },
	{ { 0xc4, 0xb9 }, 2, 0x8d0f, 0 },
	{ { 0xc4, 0xba }, 2, 0x8d0d, 0 },
	{ { 0xc4, 0xbb }, 2, 0x8e89, 0 },
	{ { 0xc4, 0xbc }, 2, 0x8e81, 0 },
	{ { 0xc4, 0xbd }, 2, 0x8e85, 0 },
	{ { 0xc4, 0xbe }, 2, 0x8e82, 0 },
	{ { 0xc4, 0xbf }, 2, 0x91b4, 0 },
	{ { 0xc4, 0xc0 }, 2, 0x91cb, 0 },
	{ { 0xc4, 0xc1 }, 2, 0x9418, 0 },
	{ { 0xc4, 0xc2 }, 2, 0x9403, 0 },
	{ { 0xc4, 0xc3 }, 2, 0x93fd, 0 },
	{ { 0xc4, 0xc4 }, 2, 0x95e1, 0 },
	{ { 0xc4, 0xc5 }, 2, 0x9730, 0 },
	{ { 0xc4, 0xc6 }, 2, 0x98c4, 0 },
	{ { 0xc4, 0xc7 }, 2, 0x9952, 0 },
	{ { 0xc4, 0xc8 }, 2, 0x9951, 0 },
	{ { 0xc4, 0xc9 }, 2, 0x99a8, 0 },
	{ { 0xc4, 0xca }, 2, 0x9a2b, 0 },
	{ { 0xc4, 0xcb }, 2, 0x9a30, 0 },
	{ { 0xc4, 0xcc }, 2, 0x9a37, 0 },
	{ { 0xc4, 0xcd }, 2, 0x9a35, 0 },
	{ { 0xc4, 0xce }, 2, 0x9c13, 0 },
	{ { 0xc4, 0xcf }, 2, 0x9c0d, 0 },
	{ { 0xc4, 0xd0 }, 2, 0x9e79, 0 },
	{ { 0xc4, 0xd1 }, 2, 0x9eb5, 0 },
	{ { 0xc4, 0xd2 }, 2, 0x9ee8, 0 },
	{ { 0xc4, 0xd3 }, 2, 0x9f2f, 0 },
	{ { 0xc4, 0xd4 }, 2, 0x9f5f, 0 },
	{ { 0xc4, 0xd5 }, 2, 0x9f63, 0 },
	{ { 0xc4, 0xd6 }, 2, 0x9f61, 0 },
	{ { 0xc4, 0xd7 }, 2, 0x5137, 0 },
	{ { 0xc4, 0xd8 }, 2, 0x5138, 0 },
	{ { 0xc4, 0xd9 }, 2, 0x56c1, 0 },
	{ { 0xc4, 0xda }, 2, 0x56c0, 0 },
	{ { 0xc4, 0xdb }, 2, 0x56c2, 0 },
	{ { 0xc4, 0xdc }, 2, 0x5914, 0 },
	{ { 0xc4, 0xdd }, 2, 0x5c6c, 0 },
	{ { 0xc4, 0xde }, 2, 0x5dcd, 0 },
	{ { 0xc4, 0xdf }, 2, 0x61fc, 0 },
	{ { 0xc4, 0xe0 }, 2, 0x61fe, 0 },
	{ { 0xc4, 0xe1 }, 2, 0x651d, 0 },
	{ { 0xc4, 0xe2 }, 2, 0x651c, 0 },
	{ { 0xc4, 0xe3 }, 2, 0x6595, 0 },
	{ { 0xc4, 0xe4 }, 2, 0x66e9, 0 },
	{ { 0xc4, 0xe5 }, 2, 0x6afb, 0 },
	{ { 0xc4, 0xe6 }, 2, 0x6b04, 0 },
	{ { 0xc4, 0xe7 }, 2, 0x6afa, 0 },
	{ { 0xc4, 0xe8 }, 2, 0x6bb2, 0 },
	{ { 0xc4, 0xe9 }, 2, 0x704c, 0 },
	{ { 0xc4, 0xea }, 2, 0x721b, 0 },
	{ { 0xc4, 0xeb }, 2, 0x72a7, 0 },
	{ { 0xc4, 0xec }, 2, 0x74d6, 0 },
	{ { 0xc4, 0xed }, 2, 0x74d4, 0 },
	{ { 0xc4, 0xee }, 2, 0x7669, 0 },
	{ { 0xc4, 0xef }, 2, 0x77d3, 0 },
	{ { 0xc4, 0xf0 }, 2, 0x7c50, 0 },
	{ { 0xc4, 0xf1 }, 2, 0x7e8f, 0 },
	{ { 0xc4, 0xf2 }, 2, 0x7e8c, 0 },
	{ { 0xc4, 0xf3 }, 2, 0x7fbc, 0 },
	{ { 0xc4, 0xf4 }, 2, 0x8617, 0 },
	{ { 0xc4, 0xf5 }, 2, 0x862d, 0 },
	{ { 0xc4, 0xf6 }, 2, 0x861a, 0 },
	{ { 0xc4, 0xf7 }, 2, 0x8823, 0 },
	{ { 0xc4, 0xf8 }, 2, 0x8822, 0 },
	{ { 0xc4, 0xf9 }, 2, 0x8821, 0 },
	{ { 0xc4, 0xfa }, 2, 0x881f, 0 },
	{ { 0xc4, 0xfb }, 2, 0x896a, 0 },
	{ { 0xc4, 0xfc }, 2, 0x896c, 0 },
	{ { 0xc4, 0xfd }, 2, 0x89bd, 0 },
	{ { 0xc4, 0xfe }, 2, 0x8b74, 0 },

	{ { 0xc5, 0x40 }, 2, 0x8b77, 0 },
	{ { 0xc5, 0x41 }, 2, 0x8b7d, 0 },
	{ { 0xc5, 0x42 }, 2, 0x8d13, 0 },
	{ { 0xc5, 0x43 }, 2, 0x8e8a, 0 },
	{ { 0xc5, 0x44 }, 2, 0x8e8d, 0 },
	{ { 0xc5, 0x45 }, 2, 0x8e8b, 0 },
	{ { 0xc5, 0x46 }, 2, 0x8f5f, 0 },
	{ { 0xc5, 0x47 }, 2, 0x8faf, 0 },
	{ { 0xc5, 0x48 }, 2, 0x91ba, 0 },
	{ { 0xc5, 0x49 }, 2, 0x942e, 0 },
	{ { 0xc5, 0x4a }, 2, 0x9433, 0 },
	{ { 0xc5, 0x4b }, 2, 0x9435, 0 },
	{ { 0xc5, 0x4c }, 2, 0x943a, 0 },
	{ { 0xc5, 0x4d }, 2, 0x9438, 0 },
	{ { 0xc5, 0x4e }, 2, 0x9432, 0 },
	{ { 0xc5, 0x4f }, 2, 0x942b, 0 },
	{ { 0xc5, 0x50 }, 2, 0x95e2, 0 },
	{ { 0xc5, 0x51 }, 2, 0x9738, 0 },
	{ { 0xc5, 0x52 }, 2, 0x9739, 0 },
	{ { 0xc5, 0x53 }, 2, 0x9732, 0 },
	{ { 0xc5, 0x54 }, 2, 0x97ff, 0 },
	{ { 0xc5, 0x55 }, 2, 0x9867, 0 },
	{ { 0xc5, 0x56 }, 2, 0x9865, 0 },
	{ { 0xc5, 0x57 }, 2, 0x9957, 0 },
	{ { 0xc5, 0x58 }, 2, 0x9a45, 0 },
	{ { 0xc5, 0x59 }, 2, 0x9a43, 0 },
	{ { 0xc5, 0x5a }, 2, 0x9a40, 0 },
	{ { 0xc5, 0x5b }, 2, 0x9a3e, 0 },
	{ { 0xc5, 0x5c }, 2, 0x9acf, 0 },
	{ { 0xc5, 0x5d }, 2, 0x9b54, 0 },
	{ { 0xc5, 0x5e }, 2, 0x9b51, 0 },
	{ { 0xc5, 0x5f }, 2, 0x9c2d, 0 },
	{ { 0xc5, 0x60 }, 2, 0x9c25, 0 },
	{ { 0xc5, 0x61 }, 2, 0x9daf, 0 },
	{ { 0xc5, 0x62 }, 2, 0x9db4, 0 },
	{ { 0xc5, 0x63 }, 2, 0x9dc2, 0 },
	{ { 0xc5, 0x64 }, 2, 0x9db8, 0 },
	{ { 0xc5, 0x65 }, 2, 0x9e9d, 0 },
	{ { 0xc5, 0x66 }, 2, 0x9eef, 0 },
	{ { 0xc5, 0x67 }, 2, 0x9f19, 0 },
	{ { 0xc5, 0x68 }, 2, 0x9f5c, 0 },
	{ { 0xc5, 0x69 }, 2, 0x9f66, 0 },
	{ { 0xc5, 0x6a }, 2, 0x9f67, 0 },
	{ { 0xc5, 0x6b }, 2, 0x513c, 0 },
	{ { 0xc5, 0x6c }, 2, 0x513b, 0 },
	{ { 0xc5, 0x6d }, 2, 0x56c8, 0 },
	{ { 0xc5, 0x6e }, 2, 0x56ca, 0 },
	{ { 0xc5, 0x6f }, 2, 0x56c9, 0 },
	{ { 0xc5, 0x70 }, 2, 0x5b7f, 0 },
	{ { 0xc5, 0x71 }, 2, 0x5dd4, 0 },
	{ { 0xc5, 0x72 }, 2, 0x5dd2, 0 },
	{ { 0xc5, 0x73 }, 2, 0x5f4e, 0 },
	{ { 0xc5, 0x74 }, 2, 0x61ff, 0 },
	{ { 0xc5, 0x75 }, 2, 0x6524, 0 },
	{ { 0xc5, 0x76 }, 2, 0x6b0a, 0 },
	{ { 0xc5, 0x77 }, 2, 0x6b61, 0 },
	{ { 0xc5, 0x78 }, 2, 0x7051, 0 },
	{ { 0xc5, 0x79 }, 2, 0x7058, 0 },
	{ { 0xc5, 0x7a }, 2, 0x7380, 0 },
	{ { 0xc5, 0x7b }, 2, 0x74e4, 0 },
	{ { 0xc5, 0x7c }, 2, 0x758a, 0 },
	{ { 0xc5, 0x7d }, 2, 0x766e, 0 },
	{ { 0xc5, 0x7e }, 2, 0x766c, 0 },
	{ { 0xc5, 0xa1 }, 2, 0x79b3, 0 },
	{ { 0xc5, 0xa2 }, 2, 0x7c60, 0 },
	{ { 0xc5, 0xa3 }, 2, 0x7c5f, 0 },
	{ { 0xc5, 0xa4 }, 2, 0x807e, 0 },
	{ { 0xc5, 0xa5 }, 2, 0x807d, 0 },
	{ { 0xc5, 0xa6 }, 2, 0x81df, 0 },
	{ { 0xc5, 0xa7 }, 2, 0x8972, 0 },
	{ { 0xc5, 0xa8 }, 2, 0x896f, 0 },
	{ { 0xc5, 0xa9 }, 2, 0x89fc, 0 },
	{ { 0xc5, 0xaa }, 2, 0x8b80, 0 },
	{ { 0xc5, 0xab }, 2, 0x8d16, 0 },
	{ { 0xc5, 0xac }, 2, 0x8d17, 0 },
	{ { 0xc5, 0xad }, 2, 0x8e91, 0 },
	{ { 0xc5, 0xae }, 2, 0x8e93, 0 },
	{ { 0xc5, 0xaf }, 2, 0x8f61, 0 },
	{ { 0xc5, 0xb0 }, 2, 0x9148, 0 },
	{ { 0xc5, 0xb1 }, 2, 0x9444, 0 },
	{ { 0xc5, 0xb2 }, 2, 0x9451, 0 },
	{ { 0xc5, 0xb3 }, 2, 0x9452, 0 },
	{ { 0xc5, 0xb4 }, 2, 0x973d, 0 },
	{ { 0xc5, 0xb5 }, 2, 0x973e, 0 },
	{ { 0xc5, 0xb6 }, 2, 0x97c3, 0 },
	{ { 0xc5, 0xb7 }, 2, 0x97c1, 0 },
	{ { 0xc5, 0xb8 }, 2, 0x986b, 0 },
	{ { 0xc5, 0xb9 }, 2, 0x9955, 0 },
	{ { 0xc5, 0xba }, 2, 0x9a55, 0 },
	{ { 0xc5, 0xbb }, 2, 0x9a4d, 0 },
	{ { 0xc5, 0xbc }, 2, 0x9ad2, 0 },
	{ { 0xc5, 0xbd }, 2, 0x9b1a, 0 },
	{ { 0xc5, 0xbe }, 2, 0x9c49, 0 },
	{ { 0xc5, 0xbf }, 2, 0x9c31, 0 },
	{ { 0xc5, 0xc0 }, 2, 0x9c3e, 0 },
	{ { 0xc5, 0xc1 }, 2, 0x9c3b, 0 },
	{ { 0xc5, 0xc2 }, 2, 0x9dd3, 0 },
	{ { 0xc5, 0xc3 }, 2, 0x9dd7, 0 },
	{ { 0xc5, 0xc4 }, 2, 0x9f34, 0 },
	{ { 0xc5, 0xc5 }, 2, 0x9f6c, 0 },
	{ { 0xc5, 0xc6 }, 2, 0x9f6a, 0 },
	{ { 0xc5, 0xc7 }, 2, 0x9f94, 0 },
	{ { 0xc5, 0xc8 }, 2, 0x56cc, 0 },
	{ { 0xc5, 0xc9 }, 2, 0x5dd6, 0 },
	{ { 0xc5, 0xca }, 2, 0x6200, 0 },
	{ { 0xc5, 0xcb }, 2, 0x6523, 0 },
	{ { 0xc5, 0xcc }, 2, 0x652b, 0 },
	{ { 0xc5, 0xcd }, 2, 0x652a, 0 },
	{ { 0xc5, 0xce }, 2, 0x66ec, 0 },
	{ { 0xc5, 0xcf }, 2, 0x6b10, 0 },
	{ { 0xc5, 0xd0 }, 2, 0x74da, 0 },
	{ { 0xc5, 0xd1 }, 2, 0x7aca, 0 },
	{ { 0xc5, 0xd2 }, 2, 0x7c64, 0 },
	{ { 0xc5, 0xd3 }, 2, 0x7c63, 0 },
	{ { 0xc5, 0xd4 }, 2, 0x7c65, 0 },
	{ { 0xc5, 0xd5 }, 2, 0x7e93, 0 },
	{ { 0xc5, 0xd6 }, 2, 0x7e96, 0 },
	{ { 0xc5, 0xd7 }, 2, 0x7e94, 0 },
	{ { 0xc5, 0xd8 }, 2, 0x81e2, 0 },
	{ { 0xc5, 0xd9 }, 2, 0x8638, 0 },
	{ { 0xc5, 0xda }, 2, 0x863f, 0 },
	{ { 0xc5, 0xdb }, 2, 0x8831, 0 },
	{ { 0xc5, 0xdc }, 2, 0x8b8a, 0 },
	{ { 0xc5, 0xdd }, 2, 0x9090, 0 },
	{ { 0xc5, 0xde }, 2, 0x908f, 0 },
	{ { 0xc5, 0xdf }, 2, 0x9463, 0 },
	{ { 0xc5, 0xe0 }, 2, 0x9460, 0 },
	{ { 0xc5, 0xe1 }, 2, 0x9464, 0 },
	{ { 0xc5, 0xe2 }, 2, 0x9768, 0 },
	{ { 0xc5, 0xe3 }, 2, 0x986f, 0 },
	{ { 0xc5, 0xe4 }, 2, 0x995c, 0 },
	{ { 0xc5, 0xe5 }, 2, 0x9a5a, 0 },
	{ { 0xc5, 0xe6 }, 2, 0x9a5b, 0 },
	{ { 0xc5, 0xe7 }, 2, 0x9a57, 0 },
	{ { 0xc5, 0xe8 }, 2, 0x9ad3, 0 },
	{ { 0xc5, 0xe9 }, 2, 0x9ad4, 0 },
	{ { 0xc5, 0xea }, 2, 0x9ad1, 0 },
	{ { 0xc5, 0xeb }, 2, 0x9c54, 0 },
	{ { 0xc5, 0xec }, 2, 0x9c57, 0 },
	{ { 0xc5, 0xed }, 2, 0x9c56, 0 },
	{ { 0xc5, 0xee }, 2, 0x9de5, 0 },
	{ { 0xc5, 0xef }, 2, 0x9e9f, 0 },
	{ { 0xc5, 0xf0 }, 2, 0x9ef4, 0 },
	{ { 0xc5, 0xf1 }, 2, 0x56d1, 0 },
	{ { 0xc5, 0xf2 }, 2, 0x58e9, 0 },
	{ { 0xc5, 0xf3 }, 2, 0x652c, 0 },
	{ { 0xc5, 0xf4 }, 2, 0x705e, 0 },
	{ { 0xc5, 0xf5 }, 2, 0x7671, 0 },
	{ { 0xc5, 0xf6 }, 2, 0x7672, 0 },
	{ { 0xc5, 0xf7 }, 2, 0x77d7, 0 },
	{ { 0xc5, 0xf8 }, 2, 0x7f50, 0 },
	{ { 0xc5, 0xf9 }, 2, 0x7f88, 0 },
	{ { 0xc5, 0xfa }, 2, 0x8836, 0 },
	{ { 0xc5, 0xfb }, 2, 0x8839, 0 },
	{ { 0xc5, 0xfc }, 2, 0x8862, 0 },
	{ { 0xc5, 0xfd }, 2, 0x8b93, 0 },
	{ { 0xc5, 0xfe }, 2, 0x8b92, 0 },

	{ { 0xc6, 0x40 }, 2, 0x8b96, 0 },
	{ { 0xc6, 0x41 }, 2, 0x8277, 0 },
	{ { 0xc6, 0x42 }, 2, 0x8d1b, 0 },
	{ { 0xc6, 0x43 }, 2, 0x91c0, 0 },
	{ { 0xc6, 0x44 }, 2, 0x946a, 0 },
	{ { 0xc6, 0x45 }, 2, 0x9742, 0 },
	{ { 0xc6, 0x46 }, 2, 0x9748, 0 },
	{ { 0xc6, 0x47 }, 2, 0x9744, 0 },
	{ { 0xc6, 0x48 }, 2, 0x97c6, 0 },
	{ { 0xc6, 0x49 }, 2, 0x9870, 0 },
	{ { 0xc6, 0x4a }, 2, 0x9a5f, 0 },
	{ { 0xc6, 0x4b }, 2, 0x9b22, 0 },
	{ { 0xc6, 0x4c }, 2, 0x9b58, 0 },
	{ { 0xc6, 0x4d }, 2, 0x9c5f, 0 },
	{ { 0xc6, 0x4e }, 2, 0x9df9, 0 },
	{ { 0xc6, 0x4f }, 2, 0x9dfa, 0 },
	{ { 0xc6, 0x50 }, 2, 0x9e7c, 0 },
	{ { 0xc6, 0x51 }, 2, 0x9e7d, 0 },
	{ { 0xc6, 0x52 }, 2, 0x9f07, 0 },
	{ { 0xc6, 0x53 }, 2, 0x9f77, 0 },
	{ { 0xc6, 0x54 }, 2, 0x9f72, 0 },
	{ { 0xc6, 0x55 }, 2, 0x5ef3, 0 },
	{ { 0xc6, 0x56 }, 2, 0x6b16, 0 },
	{ { 0xc6, 0x57 }, 2, 0x7063, 0 },
	{ { 0xc6, 0x58 }, 2, 0x7c6c, 0 },
	{ { 0xc6, 0x59 }, 2, 0x7c6e, 0 },
	{ { 0xc6, 0x5a }, 2, 0x883b, 0 },
	{ { 0xc6, 0x5b }, 2, 0x89c0, 0 },
	{ { 0xc6, 0x5c }, 2, 0x8ea1, 0 },
	{ { 0xc6, 0x5d }, 2, 0x91c1, 0 },
	{ { 0xc6, 0x5e }, 2, 0x9472, 0 },
	{ { 0xc6, 0x5f }, 2, 0x9470, 0 },
	{ { 0xc6, 0x60 }, 2, 0x9871, 0 },
	{ { 0xc6, 0x61 }, 2, 0x995e, 0 },
	{ { 0xc6, 0x62 }, 2, 0x9ad6, 0 },
	{ { 0xc6, 0x63 }, 2, 0x9b23, 0 },
	{ { 0xc6, 0x64 }, 2, 0x9ecc, 0 },
	{ { 0xc6, 0x65 }, 2, 0x7064, 0 },
	{ { 0xc6, 0x66 }, 2, 0x77da, 0 },
	{ { 0xc6, 0x67 }, 2, 0x8b9a, 0 },
	{ { 0xc6, 0x68 }, 2, 0x9477, 0 },
	{ { 0xc6, 0x69 }, 2, 0x97c9, 0 },
	{ { 0xc6, 0x6a }, 2, 0x9a62, 0 },
	{ { 0xc6, 0x6b }, 2, 0x9a65, 0 },
	{ { 0xc6, 0x6c }, 2, 0x7e9c, 0 },
	{ { 0xc6, 0x6d }, 2, 0x8b9c, 0 },
	{ { 0xc6, 0x6e }, 2, 0x8eaa, 0 },
	{ { 0xc6, 0x6f }, 2, 0x91c5, 0 },
	{ { 0xc6, 0x70 }, 2, 0x947d, 0 },
	{ { 0xc6, 0x71 }, 2, 0x947e, 0 },
	{ { 0xc6, 0x72 }, 2, 0x947c, 0 },
	{ { 0xc6, 0x73 }, 2, 0x9c77, 0 },
	{ { 0xc6, 0x74 }, 2, 0x9c78, 0 },
	{ { 0xc6, 0x75 }, 2, 0x9ef7, 0 },
	{ { 0xc6, 0x76 }, 2, 0x8c54, 0 },
	{ { 0xc6, 0x77 }, 2, 0x947f, 0 },
	{ { 0xc6, 0x78 }, 2, 0x9e1a, 0 },
	{ { 0xc6, 0x79 }, 2, 0x7228, 0 },
	{ { 0xc6, 0x7a }, 2, 0x9a6a, 0 },
	{ { 0xc6, 0x7b }, 2, 0x9b31, 0 },
	{ { 0xc6, 0x7c }, 2, 0x9e1b, 0 },
	{ { 0xc6, 0x7d }, 2, 0x9e1e, 0 },
	{ { 0xc6, 0x7e }, 2, 0x7c72, 0 },

	{ { 0xc9, 0x40 }, 2, 0x4e42, 0 },
	{ { 0xc9, 0x41 }, 2, 0x4e5c, 0 },
	{ { 0xc9, 0x42 }, 2, 0x51f5, 0 },
	{ { 0xc9, 0x43 }, 2, 0x531a, 0 },
	{ { 0xc9, 0x44 }, 2, 0x5382, 0 },
	{ { 0xc9, 0x45 }, 2, 0x4e07, 0 },
	{ { 0xc9, 0x46 }, 2, 0x4e0c, 0 },
	{ { 0xc9, 0x47 }, 2, 0x4e47, 0 },
	{ { 0xc9, 0x48 }, 2, 0x4e8d, 0 },
	{ { 0xc9, 0x49 }, 2, 0x56d7, 0 },
	{ { 0xc9, 0x4a }, 2, 0xfa0c, 0 },
	{ { 0xc9, 0x4b }, 2, 0x5c6e, 0 },
	{ { 0xc9, 0x4c }, 2, 0x5f73, 0 },
	{ { 0xc9, 0x4d }, 2, 0x4e0f, 0 },
	{ { 0xc9, 0x4e }, 2, 0x5187, 0 },
	{ { 0xc9, 0x4f }, 2, 0x4e0e, 0 },
	{ { 0xc9, 0x50 }, 2, 0x4e2e, 0 },
	{ { 0xc9, 0x51 }, 2, 0x4e93, 0 },
	{ { 0xc9, 0x52 }, 2, 0x4ec2, 0 },
	{ { 0xc9, 0x53 }, 2, 0x4ec9, 0 },
	{ { 0xc9, 0x54 }, 2, 0x4ec8, 0 },
	{ { 0xc9, 0x55 }, 2, 0x5198, 0 },
	{ { 0xc9, 0x56 }, 2, 0x52fc, 0 },
	{ { 0xc9, 0x57 }, 2, 0x536c, 0 },
	{ { 0xc9, 0x58 }, 2, 0x53b9, 0 },
	{ { 0xc9, 0x59 }, 2, 0x5720, 0 },
	{ { 0xc9, 0x5a }, 2, 0x5903, 0 },
	{ { 0xc9, 0x5b }, 2, 0x592c, 0 },
	{ { 0xc9, 0x5c }, 2, 0x5c10, 0 },
	{ { 0xc9, 0x5d }, 2, 0x5dff, 0 },
	{ { 0xc9, 0x5e }, 2, 0x65e1, 0 },
	{ { 0xc9, 0x5f }, 2, 0x6bb3, 0 },
	{ { 0xc9, 0x60 }, 2, 0x6bcc, 0 },
	{ { 0xc9, 0x61 }, 2, 0x6c14, 0 },
	{ { 0xc9, 0x62 }, 2, 0x723f, 0 },
	{ { 0xc9, 0x63 }, 2, 0x4e31, 0 },
	{ { 0xc9, 0x64 }, 2, 0x4e3c, 0 },
	{ { 0xc9, 0x65 }, 2, 0x4ee8, 0 },
	{ { 0xc9, 0x66 }, 2, 0x4edc, 0 },
	{ { 0xc9, 0x67 }, 2, 0x4ee9, 0 },
	{ { 0xc9, 0x68 }, 2, 0x4ee1, 0 },
	{ { 0xc9, 0x69 }, 2, 0x4edd, 0 },
	{ { 0xc9, 0x6a }, 2, 0x4eda, 0 },
	{ { 0xc9, 0x6b }, 2, 0x520c, 0 },
	{ { 0xc9, 0x6c }, 2, 0x531c, 0 },
	{ { 0xc9, 0x6d }, 2, 0x534c, 0 },
	{ { 0xc9, 0x6e }, 2, 0x5722, 0 },
	{ { 0xc9, 0x6f }, 2, 0x5723, 0 },
	{ { 0xc9, 0x70 }, 2, 0x5917, 0 },
	{ { 0xc9, 0x71 }, 2, 0x592f, 0 },
	{ { 0xc9, 0x72 }, 2, 0x5b81, 0 },
	{ { 0xc9, 0x73 }, 2, 0x5b84, 0 },
	{ { 0xc9, 0x74 }, 2, 0x5c12, 0 },
	{ { 0xc9, 0x75 }, 2, 0x5c3b, 0 },
	{ { 0xc9, 0x76 }, 2, 0x5c74, 0 },
	{ { 0xc9, 0x77 }, 2, 0x5c73, 0 },
	{ { 0xc9, 0x78 }, 2, 0x5e04, 0 },
	{ { 0xc9, 0x79 }, 2, 0x5e80, 0 },
	{ { 0xc9, 0x7a }, 2, 0x5e82, 0 },
	{ { 0xc9, 0x7b }, 2, 0x5fc9, 0 },
	{ { 0xc9, 0x7c }, 2, 0x6209, 0 },
	{ { 0xc9, 0x7d }, 2, 0x6250, 0 },
	{ { 0xc9, 0x7e }, 2, 0x6c15, 0 },
	{ { 0xc9, 0xa1 }, 2, 0x6c36, 0 },
	{ { 0xc9, 0xa2 }, 2, 0x6c43, 0 },
	{ { 0xc9, 0xa3 }, 2, 0x6c3f, 0 },
	{ { 0xc9, 0xa4 }, 2, 0x6c3b, 0 },
	{ { 0xc9, 0xa5 }, 2, 0x72ae, 0 },
	{ { 0xc9, 0xa6 }, 2, 0x72b0, 0 },
	{ { 0xc9, 0xa7 }, 2, 0x738a, 0 },
	{ { 0xc9, 0xa8 }, 2, 0x79b8, 0 },
	{ { 0xc9, 0xa9 }, 2, 0x808a, 0 },
	{ { 0xc9, 0xaa }, 2, 0x961e, 0 },
	{ { 0xc9, 0xab }, 2, 0x4f0e, 0 },
	{ { 0xc9, 0xac }, 2, 0x4f18, 0 },
	{ { 0xc9, 0xad }, 2, 0x4f2c, 0 },
	{ { 0xc9, 0xae }, 2, 0x4ef5, 0 },
	{ { 0xc9, 0xaf }, 2, 0x4f14, 0 },
	{ { 0xc9, 0xb0 }, 2, 0x4ef1, 0 },
	{ { 0xc9, 0xb1 }, 2, 0x4f00, 0 },
	{ { 0xc9, 0xb2 }, 2, 0x4ef7, 0 },
	{ { 0xc9, 0xb3 }, 2, 0x4f08, 0 },
	{ { 0xc9, 0xb4 }, 2, 0x4f1d, 0 },
	{ { 0xc9, 0xb5 }, 2, 0x4f02, 0 },
	{ { 0xc9, 0xb6 }, 2, 0x4f05, 0 },
	{ { 0xc9, 0xb7 }, 2, 0x4f22, 0 },
	{ { 0xc9, 0xb8 }, 2, 0x4f13, 0 },
	{ { 0xc9, 0xb9 }, 2, 0x4f04, 0 },
	{ { 0xc9, 0xba }, 2, 0x4ef4, 0 },
	{ { 0xc9, 0xbb }, 2, 0x4f12, 0 },
	{ { 0xc9, 0xbc }, 2, 0x51b1, 0 },
	{ { 0xc9, 0xbd }, 2, 0x5213, 0 },
	{ { 0xc9, 0xbe }, 2, 0x5209, 0 },
	{ { 0xc9, 0xbf }, 2, 0x5210, 0 },
	{ { 0xc9, 0xc0 }, 2, 0x52a6, 0 },
	{ { 0xc9, 0xc1 }, 2, 0x5322, 0 },
	{ { 0xc9, 0xc2 }, 2, 0x531f, 0 },
	{ { 0xc9, 0xc3 }, 2, 0x534d, 0 },
	{ { 0xc9, 0xc4 }, 2, 0x538a, 0 },
	{ { 0xc9, 0xc5 }, 2, 0x5407, 0 },
	{ { 0xc9, 0xc6 }, 2, 0x56e1, 0 },
	{ { 0xc9, 0xc7 }, 2, 0x56df, 0 },
	{ { 0xc9, 0xc8 }, 2, 0x572e, 0 },
	{ { 0xc9, 0xc9 }, 2, 0x572a, 0 },
	{ { 0xc9, 0xca }, 2, 0x5734, 0 },
	{ { 0xc9, 0xcb }, 2, 0x593c, 0 },
	{ { 0xc9, 0xcc }, 2, 0x5980, 0 },
	{ { 0xc9, 0xcd }, 2, 0x597c, 0 },
	{ { 0xc9, 0xce }, 2, 0x5985, 0 },
	{ { 0xc9, 0xcf }, 2, 0x597b, 0 },
	{ { 0xc9, 0xd0 }, 2, 0x597e, 0 },
	{ { 0xc9, 0xd1 }, 2, 0x5977, 0 },
	{ { 0xc9, 0xd2 }, 2, 0x597f, 0 },
	{ { 0xc9, 0xd3 }, 2, 0x5b56, 0 },
	{ { 0xc9, 0xd4 }, 2, 0x5c15, 0 },
	{ { 0xc9, 0xd5 }, 2, 0x5c25, 0 },
	{ { 0xc9, 0xd6 }, 2, 0x5c7c, 0 },
	{ { 0xc9, 0xd7 }, 2, 0x5c7a, 0 },
	{ { 0xc9, 0xd8 }, 2, 0x5c7b, 0 },
	{ { 0xc9, 0xd9 }, 2, 0x5c7e, 0 },
	{ { 0xc9, 0xda }, 2, 0x5ddf, 0 },
	{ { 0xc9, 0xdb }, 2, 0x5e75, 0 },
	{ { 0xc9, 0xdc }, 2, 0x5e84, 0 },
	{ { 0xc9, 0xdd }, 2, 0x5f02, 0 },
	{ { 0xc9, 0xde }, 2, 0x5f1a, 0 },
	{ { 0xc9, 0xdf }, 2, 0x5f74, 0 },
	{ { 0xc9, 0xe0 }, 2, 0x5fd5, 0 },
	{ { 0xc9, 0xe1 }, 2, 0x5fd4, 0 },
	{ { 0xc9, 0xe2 }, 2, 0x5fcf, 0 },
	{ { 0xc9, 0xe3 }, 2, 0x625c, 0 },
	{ { 0xc9, 0xe4 }, 2, 0x625e, 0 },
	{ { 0xc9, 0xe5 }, 2, 0x6264, 0 },
	{ { 0xc9, 0xe6 }, 2, 0x6261, 0 },
	{ { 0xc9, 0xe7 }, 2, 0x6266, 0 },
	{ { 0xc9, 0xe8 }, 2, 0x6262, 0 },
	{ { 0xc9, 0xe9 }, 2, 0x6259, 0 },
	{ { 0xc9, 0xea }, 2, 0x6260, 0 },
	{ { 0xc9, 0xeb }, 2, 0x625a, 0 },
	{ { 0xc9, 0xec }, 2, 0x6265, 0 },
	{ { 0xc9, 0xed }, 2, 0x65ef, 0 },
	{ { 0xc9, 0xee }, 2, 0x65ee, 0 },
	{ { 0xc9, 0xef }, 2, 0x673e, 0 },
	{ { 0xc9, 0xf0 }, 2, 0x6739, 0 },
	{ { 0xc9, 0xf1 }, 2, 0x6738, 0 },
	{ { 0xc9, 0xf2 }, 2, 0x673b, 0 },
	{ { 0xc9, 0xf3 }, 2, 0x673a, 0 },
	{ { 0xc9, 0xf4 }, 2, 0x673f, 0 },
	{ { 0xc9, 0xf5 }, 2, 0x673c, 0 },
	{ { 0xc9, 0xf6 }, 2, 0x6733, 0 },
	{ { 0xc9, 0xf7 }, 2, 0x6c18, 0 },
	{ { 0xc9, 0xf8 }, 2, 0x6c46, 0 },
	{ { 0xc9, 0xf9 }, 2, 0x6c52, 0 },
	{ { 0xc9, 0xfa }, 2, 0x6c5c, 0 },
	{ { 0xc9, 0xfb }, 2, 0x6c4f, 0 },
	{ { 0xc9, 0xfc }, 2, 0x6c4a, 0 },
	{ { 0xc9, 0xfd }, 2, 0x6c54, 0 },
	{ { 0xc9, 0xfe }, 2, 0x6c4b, 0 },

	{ { 0xca, 0x40 }, 2, 0x6c4c, 0 },
	{ { 0xca, 0x41 }, 2, 0x7071, 0 },
	{ { 0xca, 0x42 }, 2, 0x725e, 0 },
	{ { 0xca, 0x43 }, 2, 0x72b4, 0 },
	{ { 0xca, 0x44 }, 2, 0x72b5, 0 },
	{ { 0xca, 0x45 }, 2, 0x738e, 0 },
	{ { 0xca, 0x46 }, 2, 0x752a, 0 },
	{ { 0xca, 0x47 }, 2, 0x767f, 0 },
	{ { 0xca, 0x48 }, 2, 0x7a75, 0 },
	{ { 0xca, 0x49 }, 2, 0x7f51, 0 },
	{ { 0xca, 0x4a }, 2, 0x8278, 0 },
	{ { 0xca, 0x4b }, 2, 0x827c, 0 },
	{ { 0xca, 0x4c }, 2, 0x8280, 0 },
	{ { 0xca, 0x4d }, 2, 0x827d, 0 },
	{ { 0xca, 0x4e }, 2, 0x827f, 0 },
	{ { 0xca, 0x4f }, 2, 0x864d, 0 },
	{ { 0xca, 0x50 }, 2, 0x897e, 0 },
	{ { 0xca, 0x51 }, 2, 0x9099, 0 },
	{ { 0xca, 0x52 }, 2, 0x9097, 0 },
	{ { 0xca, 0x53 }, 2, 0x9098, 0 },
	{ { 0xca, 0x54 }, 2, 0x909b, 0 },
	{ { 0xca, 0x55 }, 2, 0x9094, 0 },
	{ { 0xca, 0x56 }, 2, 0x9622, 0 },
	{ { 0xca, 0x57 }, 2, 0x9624, 0 },
	{ { 0xca, 0x58 }, 2, 0x9620, 0 },
	{ { 0xca, 0x59 }, 2, 0x9623, 0 },
	{ { 0xca, 0x5a }, 2, 0x4f56, 0 },
	{ { 0xca, 0x5b }, 2, 0x4f3b, 0 },
	{ { 0xca, 0x5c }, 2, 0x4f62, 0 },
	{ { 0xca, 0x5d }, 2, 0x4f49, 0 },
	{ { 0xca, 0x5e }, 2, 0x4f53, 0 },
	{ { 0xca, 0x5f }, 2, 0x4f64, 0 },
	{ { 0xca, 0x60 }, 2, 0x4f3e, 0 },
	{ { 0xca, 0x61 }, 2, 0x4f67, 0 },
	{ { 0xca, 0x62 }, 2, 0x4f52, 0 },
	{ { 0xca, 0x63 }, 2, 0x4f5f, 0 },
	{ { 0xca, 0x64 }, 2, 0x4f41, 0 },
	{ { 0xca, 0x65 }, 2, 0x4f58, 0 },
	{ { 0xca, 0x66 }, 2, 0x4f2d, 0 },
	{ { 0xca, 0x67 }, 2, 0x4f33, 0 },
	{ { 0xca, 0x68 }, 2, 0x4f3f, 0 },
	{ { 0xca, 0x69 }, 2, 0x4f61, 0 },
	{ { 0xca, 0x6a }, 2, 0x518f, 0 },
	{ { 0xca, 0x6b }, 2, 0x51b9, 0 },
	{ { 0xca, 0x6c }, 2, 0x521c, 0 },
	{ { 0xca, 0x6d }, 2, 0x521e, 0 },
	{ { 0xca, 0x6e }, 2, 0x5221, 0 },
	{ { 0xca, 0x6f }, 2, 0x52ad, 0 },
	{ { 0xca, 0x70 }, 2, 0x52ae, 0 },
	{ { 0xca, 0x71 }, 2, 0x5309, 0 },
	{ { 0xca, 0x72 }, 2, 0x5363, 0 },
	{ { 0xca, 0x73 }, 2, 0x5372, 0 },
	{ { 0xca, 0x74 }, 2, 0x538e, 0 },
	{ { 0xca, 0x75 }, 2, 0x538f, 0 },
	{ { 0xca, 0x76 }, 2, 0x5430, 0 },
	{ { 0xca, 0x77 }, 2, 0x5437, 0 },
	{ { 0xca, 0x78 }, 2, 0x542a, 0 },
	{ { 0xca, 0x79 }, 2, 0x5454, 0 },
	{ { 0xca, 0x7a }, 2, 0x5445, 0 },
	{ { 0xca, 0x7b }, 2, 0x5419, 0 },
	{ { 0xca, 0x7c }, 2, 0x541c, 0 },
	{ { 0xca, 0x7d }, 2, 0x5425, 0 },
	{ { 0xca, 0x7e }, 2, 0x5418, 0 },
	{ { 0xca, 0xa1 }, 2, 0x543d, 0 },
	{ { 0xca, 0xa2 }, 2, 0x544f, 0 },
	{ { 0xca, 0xa3 }, 2, 0x5441, 0 },
	{ { 0xca, 0xa4 }, 2, 0x5428, 0 },
	{ { 0xca, 0xa5 }, 2, 0x5424, 0 },
	{ { 0xca, 0xa6 }, 2, 0x5447, 0 },
	{ { 0xca, 0xa7 }, 2, 0x56ee, 0 },
	{ { 0xca, 0xa8 }, 2, 0x56e7, 0 },
	{ { 0xca, 0xa9 }, 2, 0x56e5, 0 },
	{ { 0xca, 0xaa }, 2, 0x5741, 0 },
	{ { 0xca, 0xab }, 2, 0x5745, 0 },
	{ { 0xca, 0xac }, 2, 0x574c, 0 },
	{ { 0xca, 0xad }, 2, 0x5749, 0 },
	{ { 0xca, 0xae }, 2, 0x574b, 0 },
	{ { 0xca, 0xaf }, 2, 0x5752, 0 },
	{ { 0xca, 0xb0 }, 2, 0x5906, 0 },
	{ { 0xca, 0xb1 }, 2, 0x5940, 0 },
	{ { 0xca, 0xb2 }, 2, 0x59a6, 0 },
	{ { 0xca, 0xb3 }, 2, 0x5998, 0 },
	{ { 0xca, 0xb4 }, 2, 0x59a0, 0 },
	{ { 0xca, 0xb5 }, 2, 0x5997, 0 },
	{ { 0xca, 0xb6 }, 2, 0x598e, 0 },
	{ { 0xca, 0xb7 }, 2, 0x59a2, 0 },
	{ { 0xca, 0xb8 }, 2, 0x5990, 0 },
	{ { 0xca, 0xb9 }, 2, 0x598f, 0 },
	{ { 0xca, 0xba }, 2, 0x59a7, 0 },
	{ { 0xca, 0xbb }, 2, 0x59a1, 0 },
	{ { 0xca, 0xbc }, 2, 0x5b8e, 0 },
	{ { 0xca, 0xbd }, 2, 0x5b92, 0 },
	{ { 0xca, 0xbe }, 2, 0x5c28, 0 },
	{ { 0xca, 0xbf }, 2, 0x5c2a, 0 },
	{ { 0xca, 0xc0 }, 2, 0x5c8d, 0 },
	{ { 0xca, 0xc1 }, 2, 0x5c8f, 0 },
	{ { 0xca, 0xc2 }, 2, 0x5c88, 0 },
	{ { 0xca, 0xc3 }, 2, 0x5c8b, 0 },
	{ { 0xca, 0xc4 }, 2, 0x5c89, 0 },
	{ { 0xca, 0xc5 }, 2, 0x5c92, 0 },
	{ { 0xca, 0xc6 }, 2, 0x5c8a, 0 },
	{ { 0xca, 0xc7 }, 2, 0x5c86, 0 },
	{ { 0xca, 0xc8 }, 2, 0x5c93, 0 },
	{ { 0xca, 0xc9 }, 2, 0x5c95, 0 },
	{ { 0xca, 0xca }, 2, 0x5de0, 0 },
	{ { 0xca, 0xcb }, 2, 0x5e0a, 0 },
	{ { 0xca, 0xcc }, 2, 0x5e0e, 0 },
	{ { 0xca, 0xcd }, 2, 0x5e8b, 0 },
	{ { 0xca, 0xce }, 2, 0x5e89, 0 },
	{ { 0xca, 0xcf }, 2, 0x5e8c, 0 },
	{ { 0xca, 0xd0 }, 2, 0x5e88, 0 },
	{ { 0xca, 0xd1 }, 2, 0x5e8d, 0 },
	{ { 0xca, 0xd2 }, 2, 0x5f05, 0 },
	{ { 0xca, 0xd3 }, 2, 0x5f1d, 0 },
	{ { 0xca, 0xd4 }, 2, 0x5f78, 0 },
	{ { 0xca, 0xd5 }, 2, 0x5f76, 0 },
	{ { 0xca, 0xd6 }, 2, 0x5fd2, 0 },
	{ { 0xca, 0xd7 }, 2, 0x5fd1, 0 },
	{ { 0xca, 0xd8 }, 2, 0x5fd0, 0 },
	{ { 0xca, 0xd9 }, 2, 0x5fed, 0 },
	{ { 0xca, 0xda }, 2, 0x5fe8, 0 },
	{ { 0xca, 0xdb }, 2, 0x5fee, 0 },
	{ { 0xca, 0xdc }, 2, 0x5ff3, 0 },
	{ { 0xca, 0xdd }, 2, 0x5fe1, 0 },
	{ { 0xca, 0xde }, 2, 0x5fe4, 0 },
	{ { 0xca, 0xdf }, 2, 0x5fe3, 0 },
	{ { 0xca, 0xe0 }, 2, 0x5ffa, 0 },
	{ { 0xca, 0xe1 }, 2, 0x5fef, 0 },
	{ { 0xca, 0xe2 }, 2, 0x5ff7, 0 },
	{ { 0xca, 0xe3 }, 2, 0x5ffb, 0 },
	{ { 0xca, 0xe4 }, 2, 0x6000, 0 },
	{ { 0xca, 0xe5 }, 2, 0x5ff4, 0 },
	{ { 0xca, 0xe6 }, 2, 0x623a, 0 },
	{ { 0xca, 0xe7 }, 2, 0x6283, 0 },
	{ { 0xca, 0xe8 }, 2, 0x628c, 0 },
	{ { 0xca, 0xe9 }, 2, 0x628e, 0 },
	{ { 0xca, 0xea }, 2, 0x628f, 0 },
	{ { 0xca, 0xeb }, 2, 0x6294, 0 },
	{ { 0xca, 0xec }, 2, 0x6287, 0 },
	{ { 0xca, 0xed }, 2, 0x6271, 0 },
	{ { 0xca, 0xee }, 2, 0x627b, 0 },
	{ { 0xca, 0xef }, 2, 0x627a, 0 },
	{ { 0xca, 0xf0 }, 2, 0x6270, 0 },
	{ { 0xca, 0xf1 }, 2, 0x6281, 0 },
	{ { 0xca, 0xf2 }, 2, 0x6288, 0 },
	{ { 0xca, 0xf3 }, 2, 0x6277, 0 },
	{ { 0xca, 0xf4 }, 2, 0x627d, 0 },
	{ { 0xca, 0xf5 }, 2, 0x6272, 0 },
	{ { 0xca, 0xf6 }, 2, 0x6274, 0 },
	{ { 0xca, 0xf7 }, 2, 0x6537, 0 },
	{ { 0xca, 0xf8 }, 2, 0x65f0, 0 },
	{ { 0xca, 0xf9 }, 2, 0x65f4, 0 },
	{ { 0xca, 0xfa }, 2, 0x65f3, 0 },
	{ { 0xca, 0xfb }, 2, 0x65f2, 0 },
	{ { 0xca, 0xfc }, 2, 0x65f5, 0 },
	{ { 0xca, 0xfd }, 2, 0x6745, 0 },
	{ { 0xca, 0xfe }, 2, 0x6747, 0 },

	{ { 0xcb, 0x40 }, 2, 0x6759, 0 },
	{ { 0xcb, 0x41 }, 2, 0x6755, 0 },
	{ { 0xcb, 0x42 }, 2, 0x674c, 0 },
	{ { 0xcb, 0x43 }, 2, 0x6748, 0 },
	{ { 0xcb, 0x44 }, 2, 0x675d, 0 },
	{ { 0xcb, 0x45 }, 2, 0x674d, 0 },
	{ { 0xcb, 0x46 }, 2, 0x675a, 0 },
	{ { 0xcb, 0x47 }, 2, 0x674b, 0 },
	{ { 0xcb, 0x48 }, 2, 0x6bd0, 0 },
	{ { 0xcb, 0x49 }, 2, 0x6c19, 0 },
	{ { 0xcb, 0x4a }, 2, 0x6c1a, 0 },
	{ { 0xcb, 0x4b }, 2, 0x6c78, 0 },
	{ { 0xcb, 0x4c }, 2, 0x6c67, 0 },
	{ { 0xcb, 0x4d }, 2, 0x6c6b, 0 },
	{ { 0xcb, 0x4e }, 2, 0x6c84, 0 },
	{ { 0xcb, 0x4f }, 2, 0x6c8b, 0 },
	{ { 0xcb, 0x50 }, 2, 0x6c8f, 0 },
	{ { 0xcb, 0x51 }, 2, 0x6c71, 0 },
	{ { 0xcb, 0x52 }, 2, 0x6c6f, 0 },
	{ { 0xcb, 0x53 }, 2, 0x6c69, 0 },
	{ { 0xcb, 0x54 }, 2, 0x6c9a, 0 },
	{ { 0xcb, 0x55 }, 2, 0x6c6d, 0 },
	{ { 0xcb, 0x56 }, 2, 0x6c87, 0 },
	{ { 0xcb, 0x57 }, 2, 0x6c95, 0 },
	{ { 0xcb, 0x58 }, 2, 0x6c9c, 0 },
	{ { 0xcb, 0x59 }, 2, 0x6c66, 0 },
	{ { 0xcb, 0x5a }, 2, 0x6c73, 0 },
	{ { 0xcb, 0x5b }, 2, 0x6c65, 0 },
	{ { 0xcb, 0x5c }, 2, 0x6c7b, 0 },
	{ { 0xcb, 0x5d }, 2, 0x6c8e, 0 },
	{ { 0xcb, 0x5e }, 2, 0x7074, 0 },
	{ { 0xcb, 0x5f }, 2, 0x707a, 0 },
	{ { 0xcb, 0x60 }, 2, 0x7263, 0 },
	{ { 0xcb, 0x61 }, 2, 0x72bf, 0 },
	{ { 0xcb, 0x62 }, 2, 0x72bd, 0 },
	{ { 0xcb, 0x63 }, 2, 0x72c3, 0 },
	{ { 0xcb, 0x64 }, 2, 0x72c6, 0 },
	{ { 0xcb, 0x65 }, 2, 0x72c1, 0 },
	{ { 0xcb, 0x66 }, 2, 0x72ba, 0 },
	{ { 0xcb, 0x67 }, 2, 0x72c5, 0 },
	{ { 0xcb, 0x68 }, 2, 0x7395, 0 },
	{ { 0xcb, 0x69 }, 2, 0x7397, 0 },
	{ { 0xcb, 0x6a }, 2, 0x7393, 0 },
	{ { 0xcb, 0x6b }, 2, 0x7394, 0 },
	{ { 0xcb, 0x6c }, 2, 0x7392, 0 },
	{ { 0xcb, 0x6d }, 2, 0x753a, 0 },
	{ { 0xcb, 0x6e }, 2, 0x7539, 0 },
	{ { 0xcb, 0x6f }, 2, 0x7594, 0 },
	{ { 0xcb, 0x70 }, 2, 0x7595, 0 },
	{ { 0xcb, 0x71 }, 2, 0x7681, 0 },
	{ { 0xcb, 0x72 }, 2, 0x793d, 0 },
	{ { 0xcb, 0x73 }, 2, 0x8034, 0 },
	{ { 0xcb, 0x74 }, 2, 0x8095, 0 },
	{ { 0xcb, 0x75 }, 2, 0x8099, 0 },
	{ { 0xcb, 0x76 }, 2, 0x8090, 0 },
	{ { 0xcb, 0x77 }, 2, 0x8092, 0 },
	{ { 0xcb, 0x78 }, 2, 0x809c, 0 },
	{ { 0xcb, 0x79 }, 2, 0x8290, 0 },
	{ { 0xcb, 0x7a }, 2, 0x828f, 0 },
	{ { 0xcb, 0x7b }, 2, 0x8285, 0 },
	{ { 0xcb, 0x7c }, 2, 0x828e, 0 },
	{ { 0xcb, 0x7d }, 2, 0x8291, 0 },
	{ { 0xcb, 0x7e }, 2, 0x8293, 0 },
	{ { 0xcb, 0xa1 }, 2, 0x828a, 0 },
	{ { 0xcb, 0xa2 }, 2, 0x8283, 0 },
	{ { 0xcb, 0xa3 }, 2, 0x8284, 0 },
	{ { 0xcb, 0xa4 }, 2, 0x8c78, 0 },
	{ { 0xcb, 0xa5 }, 2, 0x8fc9, 0 },
	{ { 0xcb, 0xa6 }, 2, 0x8fbf, 0 },
	{ { 0xcb, 0xa7 }, 2, 0x909f, 0 },
	{ { 0xcb, 0xa8 }, 2, 0x90a1, 0 },
	{ { 0xcb, 0xa9 }, 2, 0x90a5, 0 },
	{ { 0xcb, 0xaa }, 2, 0x909e, 0 },
	{ { 0xcb, 0xab }, 2, 0x90a7, 0 },
	{ { 0xcb, 0xac }, 2, 0x90a0, 0 },
	{ { 0xcb, 0xad }, 2, 0x9630, 0 },
	{ { 0xcb, 0xae }, 2, 0x9628, 0 },
	{ { 0xcb, 0xaf }, 2, 0x962f, 0 },
	{ { 0xcb, 0xb0 }, 2, 0x962d, 0 },
	{ { 0xcb, 0xb1 }, 2, 0x4e33, 0 },
	{ { 0xcb, 0xb2 }, 2, 0x4f98, 0 },
	{ { 0xcb, 0xb3 }, 2, 0x4f7c, 0 },
	{ { 0xcb, 0xb4 }, 2, 0x4f85, 0 },
	{ { 0xcb, 0xb5 }, 2, 0x4f7d, 0 },
	{ { 0xcb, 0xb6 }, 2, 0x4f80, 0 },
	{ { 0xcb, 0xb7 }, 2, 0x4f87, 0 },
	{ { 0xcb, 0xb8 }, 2, 0x4f76, 0 },
	{ { 0xcb, 0xb9 }, 2, 0x4f74, 0 },
	{ { 0xcb, 0xba }, 2, 0x4f89, 0 },
	{ { 0xcb, 0xbb }, 2, 0x4f84, 0 },
	{ { 0xcb, 0xbc }, 2, 0x4f77, 0 },
	{ { 0xcb, 0xbd }, 2, 0x4f4c, 0 },
	{ { 0xcb, 0xbe }, 2, 0x4f97, 0 },
	{ { 0xcb, 0xbf }, 2, 0x4f6a, 0 },
	{ { 0xcb, 0xc0 }, 2, 0x4f9a, 0 },
	{ { 0xcb, 0xc1 }, 2, 0x4f79, 0 },
	{ { 0xcb, 0xc2 }, 2, 0x4f81, 0 },
	{ { 0xcb, 0xc3 }, 2, 0x4f78, 0 },
	{ { 0xcb, 0xc4 }, 2, 0x4f90, 0 },
	{ { 0xcb, 0xc5 }, 2, 0x4f9c, 0 },
	{ { 0xcb, 0xc6 }, 2, 0x4f94, 0 },
	{ { 0xcb, 0xc7 }, 2, 0x4f9e, 0 },
	{ { 0xcb, 0xc8 }, 2, 0x4f92, 0 },
	{ { 0xcb, 0xc9 }, 2, 0x4f82, 0 },
	{ { 0xcb, 0xca }, 2, 0x4f95, 0 },
	{ { 0xcb, 0xcb }, 2, 0x4f6b, 0 },
	{ { 0xcb, 0xcc }, 2, 0x4f6e, 0 },
	{ { 0xcb, 0xcd }, 2, 0x519e, 0 },
	{ { 0xcb, 0xce }, 2, 0x51bc, 0 },
	{ { 0xcb, 0xcf }, 2, 0x51be, 0 },
	{ { 0xcb, 0xd0 }, 2, 0x5235, 0 },
	{ { 0xcb, 0xd1 }, 2, 0x5232, 0 },
	{ { 0xcb, 0xd2 }, 2, 0x5233, 0 },
	{ { 0xcb, 0xd3 }, 2, 0x5246, 0 },
	{ { 0xcb, 0xd4 }, 2, 0x5231, 0 },
	{ { 0xcb, 0xd5 }, 2, 0x52bc, 0 },
	{ { 0xcb, 0xd6 }, 2, 0x530a, 0 },
	{ { 0xcb, 0xd7 }, 2, 0x530b, 0 },
	{ { 0xcb, 0xd8 }, 2, 0x533c, 0 },
	{ { 0xcb, 0xd9 }, 2, 0x5392, 0 },
	{ { 0xcb, 0xda }, 2, 0x5394, 0 },
	{ { 0xcb, 0xdb }, 2, 0x5487, 0 },
	{ { 0xcb, 0xdc }, 2, 0x547f, 0 },
	{ { 0xcb, 0xdd }, 2, 0x5481, 0 },
	{ { 0xcb, 0xde }, 2, 0x5491, 0 },
	{ { 0xcb, 0xdf }, 2, 0x5482, 0 },
	{ { 0xcb, 0xe0 }, 2, 0x5488, 0 },
	{ { 0xcb, 0xe1 }, 2, 0x546b, 0 },
	{ { 0xcb, 0xe2 }, 2, 0x547a, 0 },
	{ { 0xcb, 0xe3 }, 2, 0x547e, 0 },
	{ { 0xcb, 0xe4 }, 2, 0x5465, 0 },
	{ { 0xcb, 0xe5 }, 2, 0x546c, 0 },
	{ { 0xcb, 0xe6 }, 2, 0x5474, 0 },
	{ { 0xcb, 0xe7 }, 2, 0x5466, 0 },
	{ { 0xcb, 0xe8 }, 2, 0x548d, 0 },
	{ { 0xcb, 0xe9 }, 2, 0x546f, 0 },
	{ { 0xcb, 0xea }, 2, 0x5461, 0 },
	{ { 0xcb, 0xeb }, 2, 0x5460, 0 },
	{ { 0xcb, 0xec }, 2, 0x5498, 0 },
	{ { 0xcb, 0xed }, 2, 0x5463, 0 },
	{ { 0xcb, 0xee }, 2, 0x5467, 0 },
	{ { 0xcb, 0xef }, 2, 0x5464, 0 },
	{ { 0xcb, 0xf0 }, 2, 0x56f7, 0 },
	{ { 0xcb, 0xf1 }, 2, 0x56f9, 0 },
	{ { 0xcb, 0xf2 }, 2, 0x576f, 0 },
	{ { 0xcb, 0xf3 }, 2, 0x5772, 0 },
	{ { 0xcb, 0xf4 }, 2, 0x576d, 0 },
	{ { 0xcb, 0xf5 }, 2, 0x576b, 0 },
	{ { 0xcb, 0xf6 }, 2, 0x5771, 0 },
	{ { 0xcb, 0xf7 }, 2, 0x5770, 0 },
	{ { 0xcb, 0xf8 }, 2, 0x5776, 0 },
	{ { 0xcb, 0xf9 }, 2, 0x5780, 0 },
	{ { 0xcb, 0xfa }, 2, 0x5775, 0 },
	{ { 0xcb, 0xfb }, 2, 0x577b, 0 },
	{ { 0xcb, 0xfc }, 2, 0x5773, 0 },
	{ { 0xcb, 0xfd }, 2, 0x5774, 0 },
	{ { 0xcb, 0xfe }, 2, 0x5762, 0 },

	{ { 0xcc, 0x40 }, 2, 0x5768, 0 },
	{ { 0xcc, 0x41 }, 2, 0x577d, 0 },
	{ { 0xcc, 0x42 }, 2, 0x590c, 0 },
	{ { 0xcc, 0x43 }, 2, 0x5945, 0 },
	{ { 0xcc, 0x44 }, 2, 0x59b5, 0 },
	{ { 0xcc, 0x45 }, 2, 0x59ba, 0 },
	{ { 0xcc, 0x46 }, 2, 0x59cf, 0 },
	{ { 0xcc, 0x47 }, 2, 0x59ce, 0 },
	{ { 0xcc, 0x48 }, 2, 0x59b2, 0 },
	{ { 0xcc, 0x49 }, 2, 0x59cc, 0 },
	{ { 0xcc, 0x4a }, 2, 0x59c1, 0 },
	{ { 0xcc, 0x4b }, 2, 0x59b6, 0 },
	{ { 0xcc, 0x4c }, 2, 0x59bc, 0 },
	{ { 0xcc, 0x4d }, 2, 0x59c3, 0 },
	{ { 0xcc, 0x4e }, 2, 0x59d6, 0 },
	{ { 0xcc, 0x4f }, 2, 0x59b1, 0 },
	{ { 0xcc, 0x50 }, 2, 0x59bd, 0 },
	{ { 0xcc, 0x51 }, 2, 0x59c0, 0 },
	{ { 0xcc, 0x52 }, 2, 0x59c8, 0 },
	{ { 0xcc, 0x53 }, 2, 0x59b4, 0 },
	{ { 0xcc, 0x54 }, 2, 0x59c7, 0 },
	{ { 0xcc, 0x55 }, 2, 0x5b62, 0 },
	{ { 0xcc, 0x56 }, 2, 0x5b65, 0 },
	{ { 0xcc, 0x57 }, 2, 0x5b93, 0 },
	{ { 0xcc, 0x58 }, 2, 0x5b95, 0 },
	{ { 0xcc, 0x59 }, 2, 0x5c44, 0 },
	{ { 0xcc, 0x5a }, 2, 0x5c47, 0 },
	{ { 0xcc, 0x5b }, 2, 0x5cae, 0 },
	{ { 0xcc, 0x5c }, 2, 0x5ca4, 0 },
	{ { 0xcc, 0x5d }, 2, 0x5ca0, 0 },
	{ { 0xcc, 0x5e }, 2, 0x5cb5, 0 },
	{ { 0xcc, 0x5f }, 2, 0x5caf, 0 },
	{ { 0xcc, 0x60 }, 2, 0x5ca8, 0 },
	{ { 0xcc, 0x61 }, 2, 0x5cac, 0 },
	{ { 0xcc, 0x62 }, 2, 0x5c9f, 0 },
	{ { 0xcc, 0x63 }, 2, 0x5ca3, 0 },
	{ { 0xcc, 0x64 }, 2, 0x5cad, 0 },
	{ { 0xcc, 0x65 }, 2, 0x5ca2, 0 },
	{ { 0xcc, 0x66 }, 2, 0x5caa, 0 },
	{ { 0xcc, 0x67 }, 2, 0x5ca7, 0 },
	{ { 0xcc, 0x68 }, 2, 0x5c9d, 0 },
	{ { 0xcc, 0x69 }, 2, 0x5ca5, 0 },
	{ { 0xcc, 0x6a }, 2, 0x5cb6, 0 },
	{ { 0xcc, 0x6b }, 2, 0x5cb0, 0 },
	{ { 0xcc, 0x6c }, 2, 0x5ca6, 0 },
	{ { 0xcc, 0x6d }, 2, 0x5e17, 0 },
	{ { 0xcc, 0x6e }, 2, 0x5e14, 0 },
	{ { 0xcc, 0x6f }, 2, 0x5e19, 0 },
	{ { 0xcc, 0x70 }, 2, 0x5f28, 0 },
	{ { 0xcc, 0x71 }, 2, 0x5f22, 0 },
	{ { 0xcc, 0x72 }, 2, 0x5f23, 0 },
	{ { 0xcc, 0x73 }, 2, 0x5f24, 0 },
	{ { 0xcc, 0x74 }, 2, 0x5f54, 0 },
	{ { 0xcc, 0x75 }, 2, 0x5f82, 0 },
	{ { 0xcc, 0x76 }, 2, 0x5f7e, 0 },
	{ { 0xcc, 0x77 }, 2, 0x5f7d, 0 },
	{ { 0xcc, 0x78 }, 2, 0x5fde, 0 },
	{ { 0xcc, 0x79 }, 2, 0x5fe5, 0 },
	{ { 0xcc, 0x7a }, 2, 0x602d, 0 },
	{ { 0xcc, 0x7b }, 2, 0x6026, 0 },
	{ { 0xcc, 0x7c }, 2, 0x6019, 0 },
	{ { 0xcc, 0x7d }, 2, 0x6032, 0 },
	{ { 0xcc, 0x7e }, 2, 0x600b, 0 },
	{ { 0xcc, 0xa1 }, 2, 0x6034, 0 },
	{ { 0xcc, 0xa2 }, 2, 0x600a, 0 },
	{ { 0xcc, 0xa3 }, 2, 0x6017, 0 },
	{ { 0xcc, 0xa4 }, 2, 0x6033, 0 },
	{ { 0xcc, 0xa5 }, 2, 0x601a, 0 },
	{ { 0xcc, 0xa6 }, 2, 0x601e, 0 },
	{ { 0xcc, 0xa7 }, 2, 0x602c, 0 },
	{ { 0xcc, 0xa8 }, 2, 0x6022, 0 },
	{ { 0xcc, 0xa9 }, 2, 0x600d, 0 },
	{ { 0xcc, 0xaa }, 2, 0x6010, 0 },
	{ { 0xcc, 0xab }, 2, 0x602e, 0 },
	{ { 0xcc, 0xac }, 2, 0x6013, 0 },
	{ { 0xcc, 0xad }, 2, 0x6011, 0 },
	{ { 0xcc, 0xae }, 2, 0x600c, 0 },
	{ { 0xcc, 0xaf }, 2, 0x6009, 0 },
	{ { 0xcc, 0xb0 }, 2, 0x601c, 0 },
	{ { 0xcc, 0xb1 }, 2, 0x6214, 0 },
	{ { 0xcc, 0xb2 }, 2, 0x623d, 0 },
	{ { 0xcc, 0xb3 }, 2, 0x62ad, 0 },
	{ { 0xcc, 0xb4 }, 2, 0x62b4, 0 },
	{ { 0xcc, 0xb5 }, 2, 0x62d1, 0 },
	{ { 0xcc, 0xb6 }, 2, 0x62be, 0 },
	{ { 0xcc, 0xb7 }, 2, 0x62aa, 0 },
	{ { 0xcc, 0xb8 }, 2, 0x62b6, 0 },
	{ { 0xcc, 0xb9 }, 2, 0x62ca, 0 },
	{ { 0xcc, 0xba }, 2, 0x62ae, 0 },
	{ { 0xcc, 0xbb }, 2, 0x62b3, 0 },
	{ { 0xcc, 0xbc }, 2, 0x62af, 0 },
	{ { 0xcc, 0xbd }, 2, 0x62bb, 0 },
	{ { 0xcc, 0xbe }, 2, 0x62a9, 0 },
	{ { 0xcc, 0xbf }, 2, 0x62b0, 0 },
	{ { 0xcc, 0xc0 }, 2, 0x62b8, 0 },
	{ { 0xcc, 0xc1 }, 2, 0x653d, 0 },
	{ { 0xcc, 0xc2 }, 2, 0x65a8, 0 },
	{ { 0xcc, 0xc3 }, 2, 0x65bb, 0 },
	{ { 0xcc, 0xc4 }, 2, 0x6609, 0 },
	{ { 0xcc, 0xc5 }, 2, 0x65fc, 0 },
	{ { 0xcc, 0xc6 }, 2, 0x6604, 0 },
	{ { 0xcc, 0xc7 }, 2, 0x6612, 0 },
	{ { 0xcc, 0xc8 }, 2, 0x6608, 0 },
	{ { 0xcc, 0xc9 }, 2, 0x65fb, 0 },
	{ { 0xcc, 0xca }, 2, 0x6603, 0 },
	{ { 0xcc, 0xcb }, 2, 0x660b, 0 },
	{ { 0xcc, 0xcc }, 2, 0x660d, 0 },
	{ { 0xcc, 0xcd }, 2, 0x6605, 0 },
	{ { 0xcc, 0xce }, 2, 0x65fd, 0 },
	{ { 0xcc, 0xcf }, 2, 0x6611, 0 },
	{ { 0xcc, 0xd0 }, 2, 0x6610, 0 },
	{ { 0xcc, 0xd1 }, 2, 0x66f6, 0 },
	{ { 0xcc, 0xd2 }, 2, 0x670a, 0 },
	{ { 0xcc, 0xd3 }, 2, 0x6785, 0 },
	{ { 0xcc, 0xd4 }, 2, 0x676c, 0 },
	{ { 0xcc, 0xd5 }, 2, 0x678e, 0 },
	{ { 0xcc, 0xd6 }, 2, 0x6792, 0 },
	{ { 0xcc, 0xd7 }, 2, 0x6776, 0 },
	{ { 0xcc, 0xd8 }, 2, 0x677b, 0 },
	{ { 0xcc, 0xd9 }, 2, 0x6798, 0 },
	{ { 0xcc, 0xda }, 2, 0x6786, 0 },
	{ { 0xcc, 0xdb }, 2, 0x6784, 0 },
	{ { 0xcc, 0xdc }, 2, 0x6774, 0 },
	{ { 0xcc, 0xdd }, 2, 0x678d, 0 },
	{ { 0xcc, 0xde }, 2, 0x678c, 0 },
	{ { 0xcc, 0xdf }, 2, 0x677a, 0 },
	{ { 0xcc, 0xe0 }, 2, 0x679f, 0 },
	{ { 0xcc, 0xe1 }, 2, 0x6791, 0 },
	{ { 0xcc, 0xe2 }, 2, 0x6799, 0 },
	{ { 0xcc, 0xe3 }, 2, 0x6783, 0 },
	{ { 0xcc, 0xe4 }, 2, 0x677d, 0 },
	{ { 0xcc, 0xe5 }, 2, 0x6781, 0 },
	{ { 0xcc, 0xe6 }, 2, 0x6778, 0 },
	{ { 0xcc, 0xe7 }, 2, 0x6779, 0 },
	{ { 0xcc, 0xe8 }, 2, 0x6794, 0 },
	{ { 0xcc, 0xe9 }, 2, 0x6b25, 0 },
	{ { 0xcc, 0xea }, 2, 0x6b80, 0 },
	{ { 0xcc, 0xeb }, 2, 0x6b7e, 0 },
	{ { 0xcc, 0xec }, 2, 0x6bde, 0 },
	{ { 0xcc, 0xed }, 2, 0x6c1d, 0 },
	{ { 0xcc, 0xee }, 2, 0x6c93, 0 },
	{ { 0xcc, 0xef }, 2, 0x6cec, 0 },
	{ { 0xcc, 0xf0 }, 2, 0x6ceb, 0 },
	{ { 0xcc, 0xf1 }, 2, 0x6cee, 0 },
	{ { 0xcc, 0xf2 }, 2, 0x6cd9, 0 },
	{ { 0xcc, 0xf3 }, 2, 0x6cb6, 0 },
	{ { 0xcc, 0xf4 }, 2, 0x6cd4, 0 },
	{ { 0xcc, 0xf5 }, 2, 0x6cad, 0 },
	{ { 0xcc, 0xf6 }, 2, 0x6ce7, 0 },
	{ { 0xcc, 0xf7 }, 2, 0x6cb7, 0 },
	{ { 0xcc, 0xf8 }, 2, 0x6cd0, 0 },
	{ { 0xcc, 0xf9 }, 2, 0x6cc2, 0 },
	{ { 0xcc, 0xfa }, 2, 0x6cba, 0 },
	{ { 0xcc, 0xfb }, 2, 0x6cc3, 0 },
	{ { 0xcc, 0xfc }, 2, 0x6cc6, 0 },
	{ { 0xcc, 0xfd }, 2, 0x6ced, 0 },
	{ { 0xcc, 0xfe }, 2, 0x6cf2, 0 },

	{ { 0xcd, 0x40 }, 2, 0x6cd2, 0 },
	{ { 0xcd, 0x41 }, 2, 0x6cdd, 0 },
	{ { 0xcd, 0x42 }, 2, 0x6cb4, 0 },
	{ { 0xcd, 0x43 }, 2, 0x6c8a, 0 },
	{ { 0xcd, 0x44 }, 2, 0x6c9d, 0 },
	{ { 0xcd, 0x45 }, 2, 0x6c80, 0 },
	{ { 0xcd, 0x46 }, 2, 0x6cde, 0 },
	{ { 0xcd, 0x47 }, 2, 0x6cc0, 0 },
	{ { 0xcd, 0x48 }, 2, 0x6d30, 0 },
	{ { 0xcd, 0x49 }, 2, 0x6ccd, 0 },
	{ { 0xcd, 0x4a }, 2, 0x6cc7, 0 },
	{ { 0xcd, 0x4b }, 2, 0x6cb0, 0 },
	{ { 0xcd, 0x4c }, 2, 0x6cf9, 0 },
	{ { 0xcd, 0x4d }, 2, 0x6ccf, 0 },
	{ { 0xcd, 0x4e }, 2, 0x6ce9, 0 },
	{ { 0xcd, 0x4f }, 2, 0x6cd1, 0 },
	{ { 0xcd, 0x50 }, 2, 0x7094, 0 },
	{ { 0xcd, 0x51 }, 2, 0x7098, 0 },
	{ { 0xcd, 0x52 }, 2, 0x7085, 0 },
	{ { 0xcd, 0x53 }, 2, 0x7093, 0 },
	{ { 0xcd, 0x54 }, 2, 0x7086, 0 },
	{ { 0xcd, 0x55 }, 2, 0x7084, 0 },
	{ { 0xcd, 0x56 }, 2, 0x7091, 0 },
	{ { 0xcd, 0x57 }, 2, 0x7096, 0 },
	{ { 0xcd, 0x58 }, 2, 0x7082, 0 },
	{ { 0xcd, 0x59 }, 2, 0x709a, 0 },
	{ { 0xcd, 0x5a }, 2, 0x7083, 0 },
	{ { 0xcd, 0x5b }, 2, 0x726a, 0 },
	{ { 0xcd, 0x5c }, 2, 0x72d6, 0 },
	{ { 0xcd, 0x5d }, 2, 0x72cb, 0 },
	{ { 0xcd, 0x5e }, 2, 0x72d8, 0 },
	{ { 0xcd, 0x5f }, 2, 0x72c9, 0 },
	{ { 0xcd, 0x60 }, 2, 0x72dc, 0 },
	{ { 0xcd, 0x61 }, 2, 0x72d2, 0 },
	{ { 0xcd, 0x62 }, 2, 0x72d4, 0 },
	{ { 0xcd, 0x63 }, 2, 0x72da, 0 },
	{ { 0xcd, 0x64 }, 2, 0x72cc, 0 },
	{ { 0xcd, 0x65 }, 2, 0x72d1, 0 },
	{ { 0xcd, 0x66 }, 2, 0x73a4, 0 },
	{ { 0xcd, 0x67 }, 2, 0x73a1, 0 },
	{ { 0xcd, 0x68 }, 2, 0x73ad, 0 },
	{ { 0xcd, 0x69 }, 2, 0x73a6, 0 },
	{ { 0xcd, 0x6a }, 2, 0x73a2, 0 },
	{ { 0xcd, 0x6b }, 2, 0x73a0, 0 },
	{ { 0xcd, 0x6c }, 2, 0x73ac, 0 },
	{ { 0xcd, 0x6d }, 2, 0x739d, 0 },
	{ { 0xcd, 0x6e }, 2, 0x74dd, 0 },
	{ { 0xcd, 0x6f }, 2, 0x74e8, 0 },
	{ { 0xcd, 0x70 }, 2, 0x753f, 0 },
	{ { 0xcd, 0x71 }, 2, 0x7540, 0 },
	{ { 0xcd, 0x72 }, 2, 0x753e, 0 },
	{ { 0xcd, 0x73 }, 2, 0x758c, 0 },
	{ { 0xcd, 0x74 }, 2, 0x7598, 0 },
	{ { 0xcd, 0x75 }, 2, 0x76af, 0 },
	{ { 0xcd, 0x76 }, 2, 0x76f3, 0 },
	{ { 0xcd, 0x77 }, 2, 0x76f1, 0 },
	{ { 0xcd, 0x78 }, 2, 0x76f0, 0 },
	{ { 0xcd, 0x79 }, 2, 0x76f5, 0 },
	{ { 0xcd, 0x7a }, 2, 0x77f8, 0 },
	{ { 0xcd, 0x7b }, 2, 0x77fc, 0 },
	{ { 0xcd, 0x7c }, 2, 0x77f9, 0 },
	{ { 0xcd, 0x7d }, 2, 0x77fb, 0 },
	{ { 0xcd, 0x7e }, 2, 0x77fa, 0 },
	{ { 0xcd, 0xa1 }, 2, 0x77f7, 0 },
	{ { 0xcd, 0xa2 }, 2, 0x7942, 0 },
	{ { 0xcd, 0xa3 }, 2, 0x793f, 0 },
	{ { 0xcd, 0xa4 }, 2, 0x79c5, 0 },
	{ { 0xcd, 0xa5 }, 2, 0x7a78, 0 },
	{ { 0xcd, 0xa6 }, 2, 0x7a7b, 0 },
	{ { 0xcd, 0xa7 }, 2, 0x7afb, 0 },
	{ { 0xcd, 0xa8 }, 2, 0x7c75, 0 },
	{ { 0xcd, 0xa9 }, 2, 0x7cfd, 0 },
	{ { 0xcd, 0xaa }, 2, 0x8035, 0 },
	{ { 0xcd, 0xab }, 2, 0x808f, 0 },
	{ { 0xcd, 0xac }, 2, 0x80ae, 0 },
	{ { 0xcd, 0xad }, 2, 0x80a3, 0 },
	{ { 0xcd, 0xae }, 2, 0x80b8, 0 },
	{ { 0xcd, 0xaf }, 2, 0x80b5, 0 },
	{ { 0xcd, 0xb0 }, 2, 0x80ad, 0 },
	{ { 0xcd, 0xb1 }, 2, 0x8220, 0 },
	{ { 0xcd, 0xb2 }, 2, 0x82a0, 0 },
	{ { 0xcd, 0xb3 }, 2, 0x82c0, 0 },
	{ { 0xcd, 0xb4 }, 2, 0x82ab, 0 },
	{ { 0xcd, 0xb5 }, 2, 0x829a, 0 },
	{ { 0xcd, 0xb6 }, 2, 0x8298, 0 },
	{ { 0xcd, 0xb7 }, 2, 0x829b, 0 },
	{ { 0xcd, 0xb8 }, 2, 0x82b5, 0 },
	{ { 0xcd, 0xb9 }, 2, 0x82a7, 0 },
	{ { 0xcd, 0xba }, 2, 0x82ae, 0 },
	{ { 0xcd, 0xbb }, 2, 0x82bc, 0 },
	{ { 0xcd, 0xbc }, 2, 0x829e, 0 },
	{ { 0xcd, 0xbd }, 2, 0x82ba, 0 },
	{ { 0xcd, 0xbe }, 2, 0x82b4, 0 },
	{ { 0xcd, 0xbf }, 2, 0x82a8, 0 },
	{ { 0xcd, 0xc0 }, 2, 0x82a1, 0 },
	{ { 0xcd, 0xc1 }, 2, 0x82a9, 0 },
	{ { 0xcd, 0xc2 }, 2, 0x82c2, 0 },
	{ { 0xcd, 0xc3 }, 2, 0x82a4, 0 },
	{ { 0xcd, 0xc4 }, 2, 0x82c3, 0 },
	{ { 0xcd, 0xc5 }, 2, 0x82b6, 0 },
	{ { 0xcd, 0xc6 }, 2, 0x82a2, 0 },
	{ { 0xcd, 0xc7 }, 2, 0x8670, 0 },
	{ { 0xcd, 0xc8 }, 2, 0x866f, 0 },
	{ { 0xcd, 0xc9 }, 2, 0x866d, 0 },
	{ { 0xcd, 0xca }, 2, 0x866e, 0 },
	{ { 0xcd, 0xcb }, 2, 0x8c56, 0 },
	{ { 0xcd, 0xcc }, 2, 0x8fd2, 0 },
	{ { 0xcd, 0xcd }, 2, 0x8fcb, 0 },
	{ { 0xcd, 0xce }, 2, 0x8fd3, 0 },
	{ { 0xcd, 0xcf }, 2, 0x8fcd, 0 },
	{ { 0xcd, 0xd0 }, 2, 0x8fd6, 0 },
	{ { 0xcd, 0xd1 }, 2, 0x8fd5, 0 },
	{ { 0xcd, 0xd2 }, 2, 0x8fd7, 0 },
	{ { 0xcd, 0xd3 }, 2, 0x90b2, 0 },
	{ { 0xcd, 0xd4 }, 2, 0x90b4, 0 },
	{ { 0xcd, 0xd5 }, 2, 0x90af, 0 },
	{ { 0xcd, 0xd6 }, 2, 0x90b3, 0 },
	{ { 0xcd, 0xd7 }, 2, 0x90b0, 0 },
	{ { 0xcd, 0xd8 }, 2, 0x9639, 0 },
	{ { 0xcd, 0xd9 }, 2, 0x963d, 0 },
	{ { 0xcd, 0xda }, 2, 0x963c, 0 },
	{ { 0xcd, 0xdb }, 2, 0x963a, 0 },
	{ { 0xcd, 0xdc }, 2, 0x9643, 0 },
	{ { 0xcd, 0xdd }, 2, 0x4fcd, 0 },
	{ { 0xcd, 0xde }, 2, 0x4fc5, 0 },
	{ { 0xcd, 0xdf }, 2, 0x4fd3, 0 },
	{ { 0xcd, 0xe0 }, 2, 0x4fb2, 0 },
	{ { 0xcd, 0xe1 }, 2, 0x4fc9, 0 },
	{ { 0xcd, 0xe2 }, 2, 0x4fcb, 0 },
	{ { 0xcd, 0xe3 }, 2, 0x4fc1, 0 },
	{ { 0xcd, 0xe4 }, 2, 0x4fd4, 0 },
	{ { 0xcd, 0xe5 }, 2, 0x4fdc, 0 },
	{ { 0xcd, 0xe6 }, 2, 0x4fd9, 0 },
	{ { 0xcd, 0xe7 }, 2, 0x4fbb, 0 },
	{ { 0xcd, 0xe8 }, 2, 0x4fb3, 0 },
	{ { 0xcd, 0xe9 }, 2, 0x4fdb, 0 },
	{ { 0xcd, 0xea }, 2, 0x4fc7, 0 },
	{ { 0xcd, 0xeb }, 2, 0x4fd6, 0 },
	{ { 0xcd, 0xec }, 2, 0x4fba, 0 },
	{ { 0xcd, 0xed }, 2, 0x4fc0, 0 },
	{ { 0xcd, 0xee }, 2, 0x4fb9, 0 },
	{ { 0xcd, 0xef }, 2, 0x4fec, 0 },
	{ { 0xcd, 0xf0 }, 2, 0x5244, 0 },
	{ { 0xcd, 0xf1 }, 2, 0x5249, 0 },
	{ { 0xcd, 0xf2 }, 2, 0x52c0, 0 },
	{ { 0xcd, 0xf3 }, 2, 0x52c2, 0 },
	{ { 0xcd, 0xf4 }, 2, 0x533d, 0 },
	{ { 0xcd, 0xf5 }, 2, 0x537c, 0 },
	{ { 0xcd, 0xf6 }, 2, 0x5397, 0 },
	{ { 0xcd, 0xf7 }, 2, 0x5396, 0 },
	{ { 0xcd, 0xf8 }, 2, 0x5399, 0 },
	{ { 0xcd, 0xf9 }, 2, 0x5398, 0 },
	{ { 0xcd, 0xfa }, 2, 0x54ba, 0 },
	{ { 0xcd, 0xfb }, 2, 0x54a1, 0 },
	{ { 0xcd, 0xfc }, 2, 0x54ad, 0 },
	{ { 0xcd, 0xfd }, 2, 0x54a5, 0 },
	{ { 0xcd, 0xfe }, 2, 0x54cf, 0 },

	{ { 0xce, 0x40 }, 2, 0x54c3, 0 },
	{ { 0xce, 0x41 }, 2, 0x830d, 0 },
	{ { 0xce, 0x42 }, 2, 0x54b7, 0 },
	{ { 0xce, 0x43 }, 2, 0x54ae, 0 },
	{ { 0xce, 0x44 }, 2, 0x54d6, 0 },
	{ { 0xce, 0x45 }, 2, 0x54b6, 0 },
	{ { 0xce, 0x46 }, 2, 0x54c5, 0 },
	{ { 0xce, 0x47 }, 2, 0x54c6, 0 },
	{ { 0xce, 0x48 }, 2, 0x54a0, 0 },
	{ { 0xce, 0x49 }, 2, 0x5470, 0 },
	{ { 0xce, 0x4a }, 2, 0x54bc, 0 },
	{ { 0xce, 0x4b }, 2, 0x54a2, 0 },
	{ { 0xce, 0x4c }, 2, 0x54be, 0 },
	{ { 0xce, 0x4d }, 2, 0x5472, 0 },
	{ { 0xce, 0x4e }, 2, 0x54de, 0 },
	{ { 0xce, 0x4f }, 2, 0x54b0, 0 },
	{ { 0xce, 0x50 }, 2, 0x57b5, 0 },
	{ { 0xce, 0x51 }, 2, 0x579e, 0 },
	{ { 0xce, 0x52 }, 2, 0x579f, 0 },
	{ { 0xce, 0x53 }, 2, 0x57a4, 0 },
	{ { 0xce, 0x54 }, 2, 0x578c, 0 },
	{ { 0xce, 0x55 }, 2, 0x5797, 0 },
	{ { 0xce, 0x56 }, 2, 0x579d, 0 },
	{ { 0xce, 0x57 }, 2, 0x579b, 0 },
	{ { 0xce, 0x58 }, 2, 0x5794, 0 },
	{ { 0xce, 0x59 }, 2, 0x5798, 0 },
	{ { 0xce, 0x5a }, 2, 0x578f, 0 },
	{ { 0xce, 0x5b }, 2, 0x5799, 0 },
	{ { 0xce, 0x5c }, 2, 0x57a5, 0 },
	{ { 0xce, 0x5d }, 2, 0x579a, 0 },
	{ { 0xce, 0x5e }, 2, 0x5795, 0 },
	{ { 0xce, 0x5f }, 2, 0x58f4, 0 },
	{ { 0xce, 0x60 }, 2, 0x590d, 0 },
	{ { 0xce, 0x61 }, 2, 0x5953, 0 },
	{ { 0xce, 0x62 }, 2, 0x59e1, 0 },
	{ { 0xce, 0x63 }, 2, 0x59de, 0 },
	{ { 0xce, 0x64 }, 2, 0x59ee, 0 },
	{ { 0xce, 0x65 }, 2, 0x5a00, 0 },
	{ { 0xce, 0x66 }, 2, 0x59f1, 0 },
	{ { 0xce, 0x67 }, 2, 0x59dd, 0 },
	{ { 0xce, 0x68 }, 2, 0x59fa, 0 },
	{ { 0xce, 0x69 }, 2, 0x59fd, 0 },
	{ { 0xce, 0x6a }, 2, 0x59fc, 0 },
	{ { 0xce, 0x6b }, 2, 0x59f6, 0 },
	{ { 0xce, 0x6c }, 2, 0x59e4, 0 },
	{ { 0xce, 0x6d }, 2, 0x59f2, 0 },
	{ { 0xce, 0x6e }, 2, 0x59f7, 0 },
	{ { 0xce, 0x6f }, 2, 0x59db, 0 },
	{ { 0xce, 0x70 }, 2, 0x59e9, 0 },
	{ { 0xce, 0x71 }, 2, 0x59f3, 0 },
	{ { 0xce, 0x72 }, 2, 0x59f5, 0 },
	{ { 0xce, 0x73 }, 2, 0x59e0, 0 },
	{ { 0xce, 0x74 }, 2, 0x59fe, 0 },
	{ { 0xce, 0x75 }, 2, 0x59f4, 0 },
	{ { 0xce, 0x76 }, 2, 0x59ed, 0 },
	{ { 0xce, 0x77 }, 2, 0x5ba8, 0 },
	{ { 0xce, 0x78 }, 2, 0x5c4c, 0 },
	{ { 0xce, 0x79 }, 2, 0x5cd0, 0 },
	{ { 0xce, 0x7a }, 2, 0x5cd8, 0 },
	{ { 0xce, 0x7b }, 2, 0x5ccc, 0 },
	{ { 0xce, 0x7c }, 2, 0x5cd7, 0 },
	{ { 0xce, 0x7d }, 2, 0x5ccb, 0 },
	{ { 0xce, 0x7e }, 2, 0x5cdb, 0 },
	{ { 0xce, 0xa1 }, 2, 0x5cde, 0 },
	{ { 0xce, 0xa2 }, 2, 0x5cda, 0 },
	{ { 0xce, 0xa3 }, 2, 0x5cc9, 0 },
	{ { 0xce, 0xa4 }, 2, 0x5cc7, 0 },
	{ { 0xce, 0xa5 }, 2, 0x5cca, 0 },
	{ { 0xce, 0xa6 }, 2, 0x5cd6, 0 },
	{ { 0xce, 0xa7 }, 2, 0x5cd3, 0 },
	{ { 0xce, 0xa8 }, 2, 0x5cd4, 0 },
	{ { 0xce, 0xa9 }, 2, 0x5ccf, 0 },
	{ { 0xce, 0xaa }, 2, 0x5cc8, 0 },
	{ { 0xce, 0xab }, 2, 0x5cc6, 0 },
	{ { 0xce, 0xac }, 2, 0x5cce, 0 },
	{ { 0xce, 0xad }, 2, 0x5cdf, 0 },
	{ { 0xce, 0xae }, 2, 0x5cf8, 0 },
	{ { 0xce, 0xaf }, 2, 0x5df9, 0 },
	{ { 0xce, 0xb0 }, 2, 0x5e21, 0 },
	{ { 0xce, 0xb1 }, 2, 0x5e22, 0 },
	{ { 0xce, 0xb2 }, 2, 0x5e23, 0 },
	{ { 0xce, 0xb3 }, 2, 0x5e20, 0 },
	{ { 0xce, 0xb4 }, 2, 0x5e24, 0 },
	{ { 0xce, 0xb5 }, 2, 0x5eb0, 0 },
	{ { 0xce, 0xb6 }, 2, 0x5ea4, 0 },
	{ { 0xce, 0xb7 }, 2, 0x5ea2, 0 },
	{ { 0xce, 0xb8 }, 2, 0x5e9b, 0 },
	{ { 0xce, 0xb9 }, 2, 0x5ea3, 0 },
	{ { 0xce, 0xba }, 2, 0x5ea5, 0 },
	{ { 0xce, 0xbb }, 2, 0x5f07, 0 },
	{ { 0xce, 0xbc }, 2, 0x5f2e, 0 },
	{ { 0xce, 0xbd }, 2, 0x5f56, 0 },
	{ { 0xce, 0xbe }, 2, 0x5f86, 0 },
	{ { 0xce, 0xbf }, 2, 0x6037, 0 },
	{ { 0xce, 0xc0 }, 2, 0x6039, 0 },
	{ { 0xce, 0xc1 }, 2, 0x6054, 0 },
	{ { 0xce, 0xc2 }, 2, 0x6072, 0 },
	{ { 0xce, 0xc3 }, 2, 0x605e, 0 },
	{ { 0xce, 0xc4 }, 2, 0x6045, 0 },
	{ { 0xce, 0xc5 }, 2, 0x6053, 0 },
	{ { 0xce, 0xc6 }, 2, 0x6047, 0 },
	{ { 0xce, 0xc7 }, 2, 0x6049, 0 },
	{ { 0xce, 0xc8 }, 2, 0x605b, 0 },
	{ { 0xce, 0xc9 }, 2, 0x604c, 0 },
	{ { 0xce, 0xca }, 2, 0x6040, 0 },
	{ { 0xce, 0xcb }, 2, 0x6042, 0 },
	{ { 0xce, 0xcc }, 2, 0x605f, 0 },
	{ { 0xce, 0xcd }, 2, 0x6024, 0 },
	{ { 0xce, 0xce }, 2, 0x6044, 0 },
	{ { 0xce, 0xcf }, 2, 0x6058, 0 },
	{ { 0xce, 0xd0 }, 2, 0x6066, 0 },
	{ { 0xce, 0xd1 }, 2, 0x606e, 0 },
	{ { 0xce, 0xd2 }, 2, 0x6242, 0 },
	{ { 0xce, 0xd3 }, 2, 0x6243, 0 },
	{ { 0xce, 0xd4 }, 2, 0x62cf, 0 },
	{ { 0xce, 0xd5 }, 2, 0x630d, 0 },
	{ { 0xce, 0xd6 }, 2, 0x630b, 0 },
	{ { 0xce, 0xd7 }, 2, 0x62f5, 0 },
	{ { 0xce, 0xd8 }, 2, 0x630e, 0 },
	{ { 0xce, 0xd9 }, 2, 0x6303, 0 },
	{ { 0xce, 0xda }, 2, 0x62eb, 0 },
	{ { 0xce, 0xdb }, 2, 0x62f9, 0 },
	{ { 0xce, 0xdc }, 2, 0x630f, 0 },
	{ { 0xce, 0xdd }, 2, 0x630c, 0 },
	{ { 0xce, 0xde }, 2, 0x62f8, 0 },
	{ { 0xce, 0xdf }, 2, 0x62f6, 0 },
	{ { 0xce, 0xe0 }, 2, 0x6300, 0 },
	{ { 0xce, 0xe1 }, 2, 0x6313, 0 },
	{ { 0xce, 0xe2 }, 2, 0x6314, 0 },
	{ { 0xce, 0xe3 }, 2, 0x62fa, 0 },
	{ { 0xce, 0xe4 }, 2, 0x6315, 0 },
	{ { 0xce, 0xe5 }, 2, 0x62fb, 0 },
	{ { 0xce, 0xe6 }, 2, 0x62f0, 0 },
	{ { 0xce, 0xe7 }, 2, 0x6541, 0 },
	{ { 0xce, 0xe8 }, 2, 0x6543, 0 },
	{ { 0xce, 0xe9 }, 2, 0x65aa, 0 },
	{ { 0xce, 0xea }, 2, 0x65bf, 0 },
	{ { 0xce, 0xeb }, 2, 0x6636, 0 },
	{ { 0xce, 0xec }, 2, 0x6621, 0 },
	{ { 0xce, 0xed }, 2, 0x6632, 0 },
	{ { 0xce, 0xee }, 2, 0x6635, 0 },
	{ { 0xce, 0xef }, 2, 0x661c, 0 },
	{ { 0xce, 0xf0 }, 2, 0x6626, 0 },
	{ { 0xce, 0xf1 }, 2, 0x6622, 0 },
	{ { 0xce, 0xf2 }, 2, 0x6633, 0 },
	{ { 0xce, 0xf3 }, 2, 0x662b, 0 },
	{ { 0xce, 0xf4 }, 2, 0x663a, 0 },
	{ { 0xce, 0xf5 }, 2, 0x661d, 0 },
	{ { 0xce, 0xf6 }, 2, 0x6634, 0 },
	{ { 0xce, 0xf7 }, 2, 0x6639, 0 },
	{ { 0xce, 0xf8 }, 2, 0x662e, 0 },
	{ { 0xce, 0xf9 }, 2, 0x670f, 0 },
	{ { 0xce, 0xfa }, 2, 0x6710, 0 },
	{ { 0xce, 0xfb }, 2, 0x67c1, 0 },
	{ { 0xce, 0xfc }, 2, 0x67f2, 0 },
	{ { 0xce, 0xfd }, 2, 0x67c8, 0 },
	{ { 0xce, 0xfe }, 2, 0x67ba, 0 },

	{ { 0xcf, 0x40 }, 2, 0x67dc, 0 },
	{ { 0xcf, 0x41 }, 2, 0x67bb, 0 },
	{ { 0xcf, 0x42 }, 2, 0x67f8, 0 },
	{ { 0xcf, 0x43 }, 2, 0x67d8, 0 },
	{ { 0xcf, 0x44 }, 2, 0x67c0, 0 },
	{ { 0xcf, 0x45 }, 2, 0x67b7, 0 },
	{ { 0xcf, 0x46 }, 2, 0x67c5, 0 },
	{ { 0xcf, 0x47 }, 2, 0x67eb, 0 },
	{ { 0xcf, 0x48 }, 2, 0x67e4, 0 },
	{ { 0xcf, 0x49 }, 2, 0x67df, 0 },
	{ { 0xcf, 0x4a }, 2, 0x67b5, 0 },
	{ { 0xcf, 0x4b }, 2, 0x67cd, 0 },
	{ { 0xcf, 0x4c }, 2, 0x67b3, 0 },
	{ { 0xcf, 0x4d }, 2, 0x67f7, 0 },
	{ { 0xcf, 0x4e }, 2, 0x67f6, 0 },
	{ { 0xcf, 0x4f }, 2, 0x67ee, 0 },
	{ { 0xcf, 0x50 }, 2, 0x67e3, 0 },
	{ { 0xcf, 0x51 }, 2, 0x67c2, 0 },
	{ { 0xcf, 0x52 }, 2, 0x67b9, 0 },
	{ { 0xcf, 0x53 }, 2, 0x67ce, 0 },
	{ { 0xcf, 0x54 }, 2, 0x67e7, 0 },
	{ { 0xcf, 0x55 }, 2, 0x67f0, 0 },
	{ { 0xcf, 0x56 }, 2, 0x67b2, 0 },
	{ { 0xcf, 0x57 }, 2, 0x67fc, 0 },
	{ { 0xcf, 0x58 }, 2, 0x67c6, 0 },
	{ { 0xcf, 0x59 }, 2, 0x67ed, 0 },
	{ { 0xcf, 0x5a }, 2, 0x67cc, 0 },
	{ { 0xcf, 0x5b }, 2, 0x67ae, 0 },
	{ { 0xcf, 0x5c }, 2, 0x67e6, 0 },
	{ { 0xcf, 0x5d }, 2, 0x67db, 0 },
	{ { 0xcf, 0x5e }, 2, 0x67fa, 0 },
	{ { 0xcf, 0x5f }, 2, 0x67c9, 0 },
	{ { 0xcf, 0x60 }, 2, 0x67ca, 0 },
	{ { 0xcf, 0x61 }, 2, 0x67c3, 0 },
	{ { 0xcf, 0x62 }, 2, 0x67ea, 0 },
	{ { 0xcf, 0x63 }, 2, 0x67cb, 0 },
	{ { 0xcf, 0x64 }, 2, 0x6b28, 0 },
	{ { 0xcf, 0x65 }, 2, 0x6b82, 0 },
	{ { 0xcf, 0x66 }, 2, 0x6b84, 0 },
	{ { 0xcf, 0x67 }, 2, 0x6bb6, 0 },
	{ { 0xcf, 0x68 }, 2, 0x6bd6, 0 },
	{ { 0xcf, 0x69 }, 2, 0x6bd8, 0 },
	{ { 0xcf, 0x6a }, 2, 0x6be0, 0 },
	{ { 0xcf, 0x6b }, 2, 0x6c20, 0 },
	{ { 0xcf, 0x6c }, 2, 0x6c21, 0 },
	{ { 0xcf, 0x6d }, 2, 0x6d28, 0 },
	{ { 0xcf, 0x6e }, 2, 0x6d34, 0 },
	{ { 0xcf, 0x6f }, 2, 0x6d2d, 0 },
	{ { 0xcf, 0x70 }, 2, 0x6d1f, 0 },
	{ { 0xcf, 0x71 }, 2, 0x6d3c, 0 },
	{ { 0xcf, 0x72 }, 2, 0x6d3f, 0 },
	{ { 0xcf, 0x73 }, 2, 0x6d12, 0 },
	{ { 0xcf, 0x74 }, 2, 0x6d0a, 0 },
	{ { 0xcf, 0x75 }, 2, 0x6cda, 0 },
	{ { 0xcf, 0x76 }, 2, 0x6d33, 0 },
	{ { 0xcf, 0x77 }, 2, 0x6d04, 0 },
	{ { 0xcf, 0x78 }, 2, 0x6d19, 0 },
	{ { 0xcf, 0x79 }, 2, 0x6d3a, 0 },
	{ { 0xcf, 0x7a }, 2, 0x6d1a, 0 },
	{ { 0xcf, 0x7b }, 2, 0x6d11, 0 },
	{ { 0xcf, 0x7c }, 2, 0x6d00, 0 },
	{ { 0xcf, 0x7d }, 2, 0x6d1d, 0 },
	{ { 0xcf, 0x7e }, 2, 0x6d42, 0 },
	{ { 0xcf, 0xa1 }, 2, 0x6d01, 0 },
	{ { 0xcf, 0xa2 }, 2, 0x6d18, 0 },
	{ { 0xcf, 0xa3 }, 2, 0x6d37, 0 },
	{ { 0xcf, 0xa4 }, 2, 0x6d03, 0 },
	{ { 0xcf, 0xa5 }, 2, 0x6d0f, 0 },
	{ { 0xcf, 0xa6 }, 2, 0x6d40, 0 },
	{ { 0xcf, 0xa7 }, 2, 0x6d07, 0 },
	{ { 0xcf, 0xa8 }, 2, 0x6d20, 0 },
	{ { 0xcf, 0xa9 }, 2, 0x6d2c, 0 },
	{ { 0xcf, 0xaa }, 2, 0x6d08, 0 },
	{ { 0xcf, 0xab }, 2, 0x6d22, 0 },
	{ { 0xcf, 0xac }, 2, 0x6d09, 0 },
	{ { 0xcf, 0xad }, 2, 0x6d10, 0 },
	{ { 0xcf, 0xae }, 2, 0x70b7, 0 },
	{ { 0xcf, 0xaf }, 2, 0x709f, 0 },
	{ { 0xcf, 0xb0 }, 2, 0x70be, 0 },
	{ { 0xcf, 0xb1 }, 2, 0x70b1, 0 },
	{ { 0xcf, 0xb2 }, 2, 0x70b0, 0 },
	{ { 0xcf, 0xb3 }, 2, 0x70a1, 0 },
	{ { 0xcf, 0xb4 }, 2, 0x70b4, 0 },
	{ { 0xcf, 0xb5 }, 2, 0x70b5, 0 },
	{ { 0xcf, 0xb6 }, 2, 0x70a9, 0 },
	{ { 0xcf, 0xb7 }, 2, 0x7241, 0 },
	{ { 0xcf, 0xb8 }, 2, 0x7249, 0 },
	{ { 0xcf, 0xb9 }, 2, 0x724a, 0 },
	{ { 0xcf, 0xba }, 2, 0x726c, 0 },
	{ { 0xcf, 0xbb }, 2, 0x7270, 0 },
	{ { 0xcf, 0xbc }, 2, 0x7273, 0 },
	{ { 0xcf, 0xbd }, 2, 0x726e, 0 },
	{ { 0xcf, 0xbe }, 2, 0x72ca, 0 },
	{ { 0xcf, 0xbf }, 2, 0x72e4, 0 },
	{ { 0xcf, 0xc0 }, 2, 0x72e8, 0 },
	{ { 0xcf, 0xc1 }, 2, 0x72eb, 0 },
	{ { 0xcf, 0xc2 }, 2, 0x72df, 0 },
	{ { 0xcf, 0xc3 }, 2, 0x72ea, 0 },
	{ { 0xcf, 0xc4 }, 2, 0x72e6, 0 },
	{ { 0xcf, 0xc5 }, 2, 0x72e3, 0 },
	{ { 0xcf, 0xc6 }, 2, 0x7385, 0 },
	{ { 0xcf, 0xc7 }, 2, 0x73cc, 0 },
	{ { 0xcf, 0xc8 }, 2, 0x73c2, 0 },
	{ { 0xcf, 0xc9 }, 2, 0x73c8, 0 },
	{ { 0xcf, 0xca }, 2, 0x73c5, 0 },
	{ { 0xcf, 0xcb }, 2, 0x73b9, 0 },
	{ { 0xcf, 0xcc }, 2, 0x73b6, 0 },
	{ { 0xcf, 0xcd }, 2, 0x73b5, 0 },
	{ { 0xcf, 0xce }, 2, 0x73b4, 0 },
	{ { 0xcf, 0xcf }, 2, 0x73eb, 0 },
	{ { 0xcf, 0xd0 }, 2, 0x73bf, 0 },
	{ { 0xcf, 0xd1 }, 2, 0x73c7, 0 },
	{ { 0xcf, 0xd2 }, 2, 0x73be, 0 },
	{ { 0xcf, 0xd3 }, 2, 0x73c3, 0 },
	{ { 0xcf, 0xd4 }, 2, 0x73c6, 0 },
	{ { 0xcf, 0xd5 }, 2, 0x73b8, 0 },
	{ { 0xcf, 0xd6 }, 2, 0x73cb, 0 },
	{ { 0xcf, 0xd7 }, 2, 0x74ec, 0 },
	{ { 0xcf, 0xd8 }, 2, 0x74ee, 0 },
	{ { 0xcf, 0xd9 }, 2, 0x752e, 0 },
	{ { 0xcf, 0xda }, 2, 0x7547, 0 },
	{ { 0xcf, 0xdb }, 2, 0x7548, 0 },
	{ { 0xcf, 0xdc }, 2, 0x75a7, 0 },
	{ { 0xcf, 0xdd }, 2, 0x75aa, 0 },
	{ { 0xcf, 0xde }, 2, 0x7679, 0 },
	{ { 0xcf, 0xdf }, 2, 0x76c4, 0 },
	{ { 0xcf, 0xe0 }, 2, 0x7708, 0 },
	{ { 0xcf, 0xe1 }, 2, 0x7703, 0 },
	{ { 0xcf, 0xe2 }, 2, 0x7704, 0 },
	{ { 0xcf, 0xe3 }, 2, 0x7705, 0 },
	{ { 0xcf, 0xe4 }, 2, 0x770a, 0 },
	{ { 0xcf, 0xe5 }, 2, 0x76f7, 0 },
	{ { 0xcf, 0xe6 }, 2, 0x76fb, 0 },
	{ { 0xcf, 0xe7 }, 2, 0x76fa, 0 },
	{ { 0xcf, 0xe8 }, 2, 0x77e7, 0 },
	{ { 0xcf, 0xe9 }, 2, 0x77e8, 0 },
	{ { 0xcf, 0xea }, 2, 0x7806, 0 },
	{ { 0xcf, 0xeb }, 2, 0x7811, 0 },
	{ { 0xcf, 0xec }, 2, 0x7812, 0 },
	{ { 0xcf, 0xed }, 2, 0x7805, 0 },
	{ { 0xcf, 0xee }, 2, 0x7810, 0 },
	{ { 0xcf, 0xef }, 2, 0x780f, 0 },
	{ { 0xcf, 0xf0 }, 2, 0x780e, 0 },
	{ { 0xcf, 0xf1 }, 2, 0x7809, 0 },
	{ { 0xcf, 0xf2 }, 2, 0x7803, 0 },
	{ { 0xcf, 0xf3 }, 2, 0x7813, 0 },
	{ { 0xcf, 0xf4 }, 2, 0x794a, 0 },
	{ { 0xcf, 0xf5 }, 2, 0x794c, 0 },
	{ { 0xcf, 0xf6 }, 2, 0x794b, 0 },
	{ { 0xcf, 0xf7 }, 2, 0x7945, 0 },
	{ { 0xcf, 0xf8 }, 2, 0x7944, 0 },
	{ { 0xcf, 0xf9 }, 2, 0x79d5, 0 },
	{ { 0xcf, 0xfa }, 2, 0x79cd, 0 },
	{ { 0xcf, 0xfb }, 2, 0x79cf, 0 },
	{ { 0xcf, 0xfc }, 2, 0x79d6, 0 },
	{ { 0xcf, 0xfd }, 2, 0x79ce, 0 },
	{ { 0xcf, 0xfe }, 2, 0x7a80, 0 },

	{ { 0xd0, 0x40 }, 2, 0x7a7e, 0 },
	{ { 0xd0, 0x41 }, 2, 0x7ad1, 0 },
	{ { 0xd0, 0x42 }, 2, 0x7b00, 0 },
	{ { 0xd0, 0x43 }, 2, 0x7b01, 0 },
	{ { 0xd0, 0x44 }, 2, 0x7c7a, 0 },
	{ { 0xd0, 0x45 }, 2, 0x7c78, 0 },
	{ { 0xd0, 0x46 }, 2, 0x7c79, 0 },
	{ { 0xd0, 0x47 }, 2, 0x7c7f, 0 },
	{ { 0xd0, 0x48 }, 2, 0x7c80, 0 },
	{ { 0xd0, 0x49 }, 2, 0x7c81, 0 },
	{ { 0xd0, 0x4a }, 2, 0x7d03, 0 },
	{ { 0xd0, 0x4b }, 2, 0x7d08, 0 },
	{ { 0xd0, 0x4c }, 2, 0x7d01, 0 },
	{ { 0xd0, 0x4d }, 2, 0x7f58, 0 },
	{ { 0xd0, 0x4e }, 2, 0x7f91, 0 },
	{ { 0xd0, 0x4f }, 2, 0x7f8d, 0 },
	{ { 0xd0, 0x50 }, 2, 0x7fbe, 0 },
	{ { 0xd0, 0x51 }, 2, 0x8007, 0 },
	{ { 0xd0, 0x52 }, 2, 0x800e, 0 },
	{ { 0xd0, 0x53 }, 2, 0x800f, 0 },
	{ { 0xd0, 0x54 }, 2, 0x8014, 0 },
	{ { 0xd0, 0x55 }, 2, 0x8037, 0 },
	{ { 0xd0, 0x56 }, 2, 0x80d8, 0 },
	{ { 0xd0, 0x57 }, 2, 0x80c7, 0 },
	{ { 0xd0, 0x58 }, 2, 0x80e0, 0 },
	{ { 0xd0, 0x59 }, 2, 0x80d1, 0 },
	{ { 0xd0, 0x5a }, 2, 0x80c8, 0 },
	{ { 0xd0, 0x5b }, 2, 0x80c2, 0 },
	{ { 0xd0, 0x5c }, 2, 0x80d0, 0 },
	{ { 0xd0, 0x5d }, 2, 0x80c5, 0 },
	{ { 0xd0, 0x5e }, 2, 0x80e3, 0 },
	{ { 0xd0, 0x5f }, 2, 0x80d9, 0 },
	{ { 0xd0, 0x60 }, 2, 0x80dc, 0 },
	{ { 0xd0, 0x61 }, 2, 0x80ca, 0 },
	{ { 0xd0, 0x62 }, 2, 0x80d5, 0 },
	{ { 0xd0, 0x63 }, 2, 0x80c9, 0 },
	{ { 0xd0, 0x64 }, 2, 0x80cf, 0 },
	{ { 0xd0, 0x65 }, 2, 0x80d7, 0 },
	{ { 0xd0, 0x66 }, 2, 0x80e6, 0 },
	{ { 0xd0, 0x67 }, 2, 0x80cd, 0 },
	{ { 0xd0, 0x68 }, 2, 0x81ff, 0 },
	{ { 0xd0, 0x69 }, 2, 0x8221, 0 },
	{ { 0xd0, 0x6a }, 2, 0x8294, 0 },
	{ { 0xd0, 0x6b }, 2, 0x82d9, 0 },
	{ { 0xd0, 0x6c }, 2, 0x82fe, 0 },
	{ { 0xd0, 0x6d }, 2, 0x82f9, 0 },
	{ { 0xd0, 0x6e }, 2, 0x8307, 0 },
	{ { 0xd0, 0x6f }, 2, 0x82e8, 0 },
	{ { 0xd0, 0x70 }, 2, 0x8300, 0 },
	{ { 0xd0, 0x71 }, 2, 0x82d5, 0 },
	{ { 0xd0, 0x72 }, 2, 0x833a, 0 },
	{ { 0xd0, 0x73 }, 2, 0x82eb, 0 },
	{ { 0xd0, 0x74 }, 2, 0x82d6, 0 },
	{ { 0xd0, 0x75 }, 2, 0x82f4, 0 },
	{ { 0xd0, 0x76 }, 2, 0x82ec, 0 },
	{ { 0xd0, 0x77 }, 2, 0x82e1, 0 },
	{ { 0xd0, 0x78 }, 2, 0x82f2, 0 },
	{ { 0xd0, 0x79 }, 2, 0x82f5, 0 },
	{ { 0xd0, 0x7a }, 2, 0x830c, 0 },
	{ { 0xd0, 0x7b }, 2, 0x82fb, 0 },
	{ { 0xd0, 0x7c }, 2, 0x82f6, 0 },
	{ { 0xd0, 0x7d }, 2, 0x82f0, 0 },
	{ { 0xd0, 0x7e }, 2, 0x82ea, 0 },
	{ { 0xd0, 0xa1 }, 2, 0x82e4, 0 },
	{ { 0xd0, 0xa2 }, 2, 0x82e0, 0 },
	{ { 0xd0, 0xa3 }, 2, 0x82fa, 0 },
	{ { 0xd0, 0xa4 }, 2, 0x82f3, 0 },
	{ { 0xd0, 0xa5 }, 2, 0x82ed, 0 },
	{ { 0xd0, 0xa6 }, 2, 0x8677, 0 },
	{ { 0xd0, 0xa7 }, 2, 0x8674, 0 },
	{ { 0xd0, 0xa8 }, 2, 0x867c, 0 },
	{ { 0xd0, 0xa9 }, 2, 0x8673, 0 },
	{ { 0xd0, 0xaa }, 2, 0x8841, 0 },
	{ { 0xd0, 0xab }, 2, 0x884e, 0 },
	{ { 0xd0, 0xac }, 2, 0x8867, 0 },
	{ { 0xd0, 0xad }, 2, 0x886a, 0 },
	{ { 0xd0, 0xae }, 2, 0x8869, 0 },
	{ { 0xd0, 0xaf }, 2, 0x89d3, 0 },
	{ { 0xd0, 0xb0 }, 2, 0x8a04, 0 },
	{ { 0xd0, 0xb1 }, 2, 0x8a07, 0 },
	{ { 0xd0, 0xb2 }, 2, 0x8d72, 0 },
	{ { 0xd0, 0xb3 }, 2, 0x8fe3, 0 },
	{ { 0xd0, 0xb4 }, 2, 0x8fe1, 0 },
	{ { 0xd0, 0xb5 }, 2, 0x8fee, 0 },
	{ { 0xd0, 0xb6 }, 2, 0x8fe0, 0 },
	{ { 0xd0, 0xb7 }, 2, 0x90f1, 0 },
	{ { 0xd0, 0xb8 }, 2, 0x90bd, 0 },
	{ { 0xd0, 0xb9 }, 2, 0x90bf, 0 },
	{ { 0xd0, 0xba }, 2, 0x90d5, 0 },
	{ { 0xd0, 0xbb }, 2, 0x90c5, 0 },
	{ { 0xd0, 0xbc }, 2, 0x90be, 0 },
	{ { 0xd0, 0xbd }, 2, 0x90c7, 0 },
	{ { 0xd0, 0xbe }, 2, 0x90cb, 0 },
	{ { 0xd0, 0xbf }, 2, 0x90c8, 0 },
	{ { 0xd0, 0xc0 }, 2, 0x91d4, 0 },
	{ { 0xd0, 0xc1 }, 2, 0x91d3, 0 },
	{ { 0xd0, 0xc2 }, 2, 0x9654, 0 },
	{ { 0xd0, 0xc3 }, 2, 0x964f, 0 },
	{ { 0xd0, 0xc4 }, 2, 0x9651, 0 },
	{ { 0xd0, 0xc5 }, 2, 0x9653, 0 },
	{ { 0xd0, 0xc6 }, 2, 0x964a, 0 },
	{ { 0xd0, 0xc7 }, 2, 0x964e, 0 },
	{ { 0xd0, 0xc8 }, 2, 0x501e, 0 },
	{ { 0xd0, 0xc9 }, 2, 0x5005, 0 },
	{ { 0xd0, 0xca }, 2, 0x5007, 0 },
	{ { 0xd0, 0xcb }, 2, 0x5013, 0 },
	{ { 0xd0, 0xcc }, 2, 0x5022, 0 },
	{ { 0xd0, 0xcd }, 2, 0x5030, 0 },
	{ { 0xd0, 0xce }, 2, 0x501b, 0 },
	{ { 0xd0, 0xcf }, 2, 0x4ff5, 0 },
	{ { 0xd0, 0xd0 }, 2, 0x4ff4, 0 },
	{ { 0xd0, 0xd1 }, 2, 0x5033, 0 },
	{ { 0xd0, 0xd2 }, 2, 0x5037, 0 },
	{ { 0xd0, 0xd3 }, 2, 0x502c, 0 },
	{ { 0xd0, 0xd4 }, 2, 0x4ff6, 0 },
	{ { 0xd0, 0xd5 }, 2, 0x4ff7, 0 },
	{ { 0xd0, 0xd6 }, 2, 0x5017, 0 },
	{ { 0xd0, 0xd7 }, 2, 0x501c, 0 },
	{ { 0xd0, 0xd8 }, 2, 0x5020, 0 },
	{ { 0xd0, 0xd9 }, 2, 0x5027, 0 },
	{ { 0xd0, 0xda }, 2, 0x5035, 0 },
	{ { 0xd0, 0xdb }, 2, 0x502f, 0 },
	{ { 0xd0, 0xdc }, 2, 0x5031, 0 },
	{ { 0xd0, 0xdd }, 2, 0x500e, 0 },
	{ { 0xd0, 0xde }, 2, 0x515a, 0 },
	{ { 0xd0, 0xdf }, 2, 0x5194, 0 },
	{ { 0xd0, 0xe0 }, 2, 0x5193, 0 },
	{ { 0xd0, 0xe1 }, 2, 0x51ca, 0 },
	{ { 0xd0, 0xe2 }, 2, 0x51c4, 0 },
	{ { 0xd0, 0xe3 }, 2, 0x51c5, 0 },
	{ { 0xd0, 0xe4 }, 2, 0x51c8, 0 },
	{ { 0xd0, 0xe5 }, 2, 0x51ce, 0 },
	{ { 0xd0, 0xe6 }, 2, 0x5261, 0 },
	{ { 0xd0, 0xe7 }, 2, 0x525a, 0 },
	{ { 0xd0, 0xe8 }, 2, 0x5252, 0 },
	{ { 0xd0, 0xe9 }, 2, 0x525e, 0 },
	{ { 0xd0, 0xea }, 2, 0x525f, 0 },
	{ { 0xd0, 0xeb }, 2, 0x5255, 0 },
	{ { 0xd0, 0xec }, 2, 0x5262, 0 },
	{ { 0xd0, 0xed }, 2, 0x52cd, 0 },
	{ { 0xd0, 0xee }, 2, 0x530e, 0 },
	{ { 0xd0, 0xef }, 2, 0x539e, 0 },
	{ { 0xd0, 0xf0 }, 2, 0x5526, 0 },
	{ { 0xd0, 0xf1 }, 2, 0x54e2, 0 },
	{ { 0xd0, 0xf2 }, 2, 0x5517, 0 },
	{ { 0xd0, 0xf3 }, 2, 0x5512, 0 },
	{ { 0xd0, 0xf4 }, 2, 0x54e7, 0 },
	{ { 0xd0, 0xf5 }, 2, 0x54f3, 0 },
	{ { 0xd0, 0xf6 }, 2, 0x54e4, 0 },
	{ { 0xd0, 0xf7 }, 2, 0x551a, 0 },
	{ { 0xd0, 0xf8 }, 2, 0x54ff, 0 },
	{ { 0xd0, 0xf9 }, 2, 0x5504, 0 },
	{ { 0xd0, 0xfa }, 2, 0x5508, 0 },
	{ { 0xd0, 0xfb }, 2, 0x54eb, 0 },
	{ { 0xd0, 0xfc }, 2, 0x5511, 0 },
	{ { 0xd0, 0xfd }, 2, 0x5505, 0 },
	{ { 0xd0, 0xfe }, 2, 0x54f1, 0 },

	{ { 0xd1, 0x40 }, 2, 0x550a, 0 },
	{ { 0xd1, 0x41 }, 2, 0x54fb, 0 },
	{ { 0xd1, 0x42 }, 2, 0x54f7, 0 },
	{ { 0xd1, 0x43 }, 2, 0x54f8, 0 },
	{ { 0xd1, 0x44 }, 2, 0x54e0, 0 },
	{ { 0xd1, 0x45 }, 2, 0x550e, 0 },
	{ { 0xd1, 0x46 }, 2, 0x5503, 0 },
	{ { 0xd1, 0x47 }, 2, 0x550b, 0 },
	{ { 0xd1, 0x48 }, 2, 0x5701, 0 },
	{ { 0xd1, 0x49 }, 2, 0x5702, 0 },
	{ { 0xd1, 0x4a }, 2, 0x57cc, 0 },
	{ { 0xd1, 0x4b }, 2, 0x5832, 0 },
	{ { 0xd1, 0x4c }, 2, 0x57d5, 0 },
	{ { 0xd1, 0x4d }, 2, 0x57d2, 0 },
	{ { 0xd1, 0x4e }, 2, 0x57ba, 0 },
	{ { 0xd1, 0x4f }, 2, 0x57c6, 0 },
	{ { 0xd1, 0x50 }, 2, 0x57bd, 0 },
	{ { 0xd1, 0x51 }, 2, 0x57bc, 0 },
	{ { 0xd1, 0x52 }, 2, 0x57b8, 0 },
	{ { 0xd1, 0x53 }, 2, 0x57b6, 0 },
	{ { 0xd1, 0x54 }, 2, 0x57bf, 0 },
	{ { 0xd1, 0x55 }, 2, 0x57c7, 0 },
	{ { 0xd1, 0x56 }, 2, 0x57d0, 0 },
	{ { 0xd1, 0x57 }, 2, 0x57b9, 0 },
	{ { 0xd1, 0x58 }, 2, 0x57c1, 0 },
	{ { 0xd1, 0x59 }, 2, 0x590e, 0 },
	{ { 0xd1, 0x5a }, 2, 0x594a, 0 },
	{ { 0xd1, 0x5b }, 2, 0x5a19, 0 },
	{ { 0xd1, 0x5c }, 2, 0x5a16, 0 },
	{ { 0xd1, 0x5d }, 2, 0x5a2d, 0 },
	{ { 0xd1, 0x5e }, 2, 0x5a2e, 0 },
	{ { 0xd1, 0x5f }, 2, 0x5a15, 0 },
	{ { 0xd1, 0x60 }, 2, 0x5a0f, 0 },
	{ { 0xd1, 0x61 }, 2, 0x5a17, 0 },
	{ { 0xd1, 0x62 }, 2, 0x5a0a, 0 },
	{ { 0xd1, 0x63 }, 2, 0x5a1e, 0 },
	{ { 0xd1, 0x64 }, 2, 0x5a33, 0 },
	{ { 0xd1, 0x65 }, 2, 0x5b6c, 0 },
	{ { 0xd1, 0x66 }, 2, 0x5ba7, 0 },
	{ { 0xd1, 0x67 }, 2, 0x5bad, 0 },
	{ { 0xd1, 0x68 }, 2, 0x5bac, 0 },
	{ { 0xd1, 0x69 }, 2, 0x5c03, 0 },
	{ { 0xd1, 0x6a }, 2, 0x5c56, 0 },
	{ { 0xd1, 0x6b }, 2, 0x5c54, 0 },
	{ { 0xd1, 0x6c }, 2, 0x5cec, 0 },
	{ { 0xd1, 0x6d }, 2, 0x5cff, 0 },
	{ { 0xd1, 0x6e }, 2, 0x5cee, 0 },
	{ { 0xd1, 0x6f }, 2, 0x5cf1, 0 },
	{ { 0xd1, 0x70 }, 2, 0x5cf7, 0 },
	{ { 0xd1, 0x71 }, 2, 0x5d00, 0 },
	{ { 0xd1, 0x72 }, 2, 0x5cf9, 0 },
	{ { 0xd1, 0x73 }, 2, 0x5e29, 0 },
	{ { 0xd1, 0x74 }, 2, 0x5e28, 0 },
	{ { 0xd1, 0x75 }, 2, 0x5ea8, 0 },
	{ { 0xd1, 0x76 }, 2, 0x5eae, 0 },
	{ { 0xd1, 0x77 }, 2, 0x5eaa, 0 },
	{ { 0xd1, 0x78 }, 2, 0x5eac, 0 },
	{ { 0xd1, 0x79 }, 2, 0x5f33, 0 },
	{ { 0xd1, 0x7a }, 2, 0x5f30, 0 },
	{ { 0xd1, 0x7b }, 2, 0x5f67, 0 },
	{ { 0xd1, 0x7c }, 2, 0x605d, 0 },
	{ { 0xd1, 0x7d }, 2, 0x605a, 0 },
	{ { 0xd1, 0x7e }, 2, 0x6067, 0 },
	{ { 0xd1, 0xa1 }, 2, 0x6041, 0 },
	{ { 0xd1, 0xa2 }, 2, 0x60a2, 0 },
	{ { 0xd1, 0xa3 }, 2, 0x6088, 0 },
	{ { 0xd1, 0xa4 }, 2, 0x6080, 0 },
	{ { 0xd1, 0xa5 }, 2, 0x6092, 0 },
	{ { 0xd1, 0xa6 }, 2, 0x6081, 0 },
	{ { 0xd1, 0xa7 }, 2, 0x609d, 0 },
	{ { 0xd1, 0xa8 }, 2, 0x6083, 0 },
	{ { 0xd1, 0xa9 }, 2, 0x6095, 0 },
	{ { 0xd1, 0xaa }, 2, 0x609b, 0 },
	{ { 0xd1, 0xab }, 2, 0x6097, 0 },
	{ { 0xd1, 0xac }, 2, 0x6087, 0 },
	{ { 0xd1, 0xad }, 2, 0x609c, 0 },
	{ { 0xd1, 0xae }, 2, 0x608e, 0 },
	{ { 0xd1, 0xaf }, 2, 0x6219, 0 },
	{ { 0xd1, 0xb0 }, 2, 0x6246, 0 },
	{ { 0xd1, 0xb1 }, 2, 0x62f2, 0 },
	{ { 0xd1, 0xb2 }, 2, 0x6310, 0 },
	{ { 0xd1, 0xb3 }, 2, 0x6356, 0 },
	{ { 0xd1, 0xb4 }, 2, 0x632c, 0 },
	{ { 0xd1, 0xb5 }, 2, 0x6344, 0 },
	{ { 0xd1, 0xb6 }, 2, 0x6345, 0 },
	{ { 0xd1, 0xb7 }, 2, 0x6336, 0 },
	{ { 0xd1, 0xb8 }, 2, 0x6343, 0 },
	{ { 0xd1, 0xb9 }, 2, 0x63e4, 0 },
	{ { 0xd1, 0xba }, 2, 0x6339, 0 },
	{ { 0xd1, 0xbb }, 2, 0x634b, 0 },
	{ { 0xd1, 0xbc }, 2, 0x634a, 0 },
	{ { 0xd1, 0xbd }, 2, 0x633c, 0 },
	{ { 0xd1, 0xbe }, 2, 0x6329, 0 },
	{ { 0xd1, 0xbf }, 2, 0x6341, 0 },
	{ { 0xd1, 0xc0 }, 2, 0x6334, 0 },
	{ { 0xd1, 0xc1 }, 2, 0x6358, 0 },
	{ { 0xd1, 0xc2 }, 2, 0x6354, 0 },
	{ { 0xd1, 0xc3 }, 2, 0x6359, 0 },
	{ { 0xd1, 0xc4 }, 2, 0x632d, 0 },
	{ { 0xd1, 0xc5 }, 2, 0x6347, 0 },
	{ { 0xd1, 0xc6 }, 2, 0x6333, 0 },
	{ { 0xd1, 0xc7 }, 2, 0x635a, 0 },
	{ { 0xd1, 0xc8 }, 2, 0x6351, 0 },
	{ { 0xd1, 0xc9 }, 2, 0x6338, 0 },
	{ { 0xd1, 0xca }, 2, 0x6357, 0 },
	{ { 0xd1, 0xcb }, 2, 0x6340, 0 },
	{ { 0xd1, 0xcc }, 2, 0x6348, 0 },
	{ { 0xd1, 0xcd }, 2, 0x654a, 0 },
	{ { 0xd1, 0xce }, 2, 0x6546, 0 },
	{ { 0xd1, 0xcf }, 2, 0x65c6, 0 },
	{ { 0xd1, 0xd0 }, 2, 0x65c3, 0 },
	{ { 0xd1, 0xd1 }, 2, 0x65c4, 0 },
	{ { 0xd1, 0xd2 }, 2, 0x65c2, 0 },
	{ { 0xd1, 0xd3 }, 2, 0x664a, 0 },
	{ { 0xd1, 0xd4 }, 2, 0x665f, 0 },
	{ { 0xd1, 0xd5 }, 2, 0x6647, 0 },
	{ { 0xd1, 0xd6 }, 2, 0x6651, 0 },
	{ { 0xd1, 0xd7 }, 2, 0x6712, 0 },
	{ { 0xd1, 0xd8 }, 2, 0x6713, 0 },
	{ { 0xd1, 0xd9 }, 2, 0x681f, 0 },
	{ { 0xd1, 0xda }, 2, 0x681a, 0 },
	{ { 0xd1, 0xdb }, 2, 0x6849, 0 },
	{ { 0xd1, 0xdc }, 2, 0x6832, 0 },
	{ { 0xd1, 0xdd }, 2, 0x6833, 0 },
	{ { 0xd1, 0xde }, 2, 0x683b, 0 },
	{ { 0xd1, 0xdf }, 2, 0x684b, 0 },
	{ { 0xd1, 0xe0 }, 2, 0x684f, 0 },
	{ { 0xd1, 0xe1 }, 2, 0x6816, 0 },
	{ { 0xd1, 0xe2 }, 2, 0x6831, 0 },
	{ { 0xd1, 0xe3 }, 2, 0x681c, 0 },
	{ { 0xd1, 0xe4 }, 2, 0x6835, 0 },
	{ { 0xd1, 0xe5 }, 2, 0x682b, 0 },
	{ { 0xd1, 0xe6 }, 2, 0x682d, 0 },
	{ { 0xd1, 0xe7 }, 2, 0x682f, 0 },
	{ { 0xd1, 0xe8 }, 2, 0x684e, 0 },
	{ { 0xd1, 0xe9 }, 2, 0x6844, 0 },
	{ { 0xd1, 0xea }, 2, 0x6834, 0 },
	{ { 0xd1, 0xeb }, 2, 0x681d, 0 },
	{ { 0xd1, 0xec }, 2, 0x6812, 0 },
	{ { 0xd1, 0xed }, 2, 0x6814, 0 },
	{ { 0xd1, 0xee }, 2, 0x6826, 0 },
	{ { 0xd1, 0xef }, 2, 0x6828, 0 },
	{ { 0xd1, 0xf0 }, 2, 0x682e, 0 },
	{ { 0xd1, 0xf1 }, 2, 0x684d, 0 },
	{ { 0xd1, 0xf2 }, 2, 0x683a, 0 },
	{ { 0xd1, 0xf3 }, 2, 0x6825, 0 },
	{ { 0xd1, 0xf4 }, 2, 0x6820, 0 },
	{ { 0xd1, 0xf5 }, 2, 0x6b2c, 0 },
	{ { 0xd1, 0xf6 }, 2, 0x6b2f, 0 },
	{ { 0xd1, 0xf7 }, 2, 0x6b2d, 0 },
	{ { 0xd1, 0xf8 }, 2, 0x6b31, 0 },
	{ { 0xd1, 0xf9 }, 2, 0x6b34, 0 },
	{ { 0xd1, 0xfa }, 2, 0x6b6d, 0 },
	{ { 0xd1, 0xfb }, 2, 0x8082, 0 },
	{ { 0xd1, 0xfc }, 2, 0x6b88, 0 },
	{ { 0xd1, 0xfd }, 2, 0x6be6, 0 },
	{ { 0xd1, 0xfe }, 2, 0x6be4, 0 },

	{ { 0xd2, 0x40 }, 2, 0x6be8, 0 },
	{ { 0xd2, 0x41 }, 2, 0x6be3, 0 },
	{ { 0xd2, 0x42 }, 2, 0x6be2, 0 },
	{ { 0xd2, 0x43 }, 2, 0x6be7, 0 },
	{ { 0xd2, 0x44 }, 2, 0x6c25, 0 },
	{ { 0xd2, 0x45 }, 2, 0x6d7a, 0 },
	{ { 0xd2, 0x46 }, 2, 0x6d63, 0 },
	{ { 0xd2, 0x47 }, 2, 0x6d64, 0 },
	{ { 0xd2, 0x48 }, 2, 0x6d76, 0 },
	{ { 0xd2, 0x49 }, 2, 0x6d0d, 0 },
	{ { 0xd2, 0x4a }, 2, 0x6d61, 0 },
	{ { 0xd2, 0x4b }, 2, 0x6d92, 0 },
	{ { 0xd2, 0x4c }, 2, 0x6d58, 0 },
	{ { 0xd2, 0x4d }, 2, 0x6d62, 0 },
	{ { 0xd2, 0x4e }, 2, 0x6d6d, 0 },
	{ { 0xd2, 0x4f }, 2, 0x6d6f, 0 },
	{ { 0xd2, 0x50 }, 2, 0x6d91, 0 },
	{ { 0xd2, 0x51 }, 2, 0x6d8d, 0 },
	{ { 0xd2, 0x52 }, 2, 0x6def, 0 },
	{ { 0xd2, 0x53 }, 2, 0x6d7f, 0 },
	{ { 0xd2, 0x54 }, 2, 0x6d86, 0 },
	{ { 0xd2, 0x55 }, 2, 0x6d5e, 0 },
	{ { 0xd2, 0x56 }, 2, 0x6d67, 0 },
	{ { 0xd2, 0x57 }, 2, 0x6d60, 0 },
	{ { 0xd2, 0x58 }, 2, 0x6d97, 0 },
	{ { 0xd2, 0x59 }, 2, 0x6d70, 0 },
	{ { 0xd2, 0x5a }, 2, 0x6d7c, 0 },
	{ { 0xd2, 0x5b }, 2, 0x6d5f, 0 },
	{ { 0xd2, 0x5c }, 2, 0x6d82, 0 },
	{ { 0xd2, 0x5d }, 2, 0x6d98, 0 },
	{ { 0xd2, 0x5e }, 2, 0x6d2f, 0 },
	{ { 0xd2, 0x5f }, 2, 0x6d68, 0 },
	{ { 0xd2, 0x60 }, 2, 0x6d8b, 0 },
	{ { 0xd2, 0x61 }, 2, 0x6d7e, 0 },
	{ { 0xd2, 0x62 }, 2, 0x6d80, 0 },
	{ { 0xd2, 0x63 }, 2, 0x6d84, 0 },
	{ { 0xd2, 0x64 }, 2, 0x6d16, 0 },
	{ { 0xd2, 0x65 }, 2, 0x6d83, 0 },
	{ { 0xd2, 0x66 }, 2, 0x6d7b, 0 },
	{ { 0xd2, 0x67 }, 2, 0x6d7d, 0 },
	{ { 0xd2, 0x68 }, 2, 0x6d75, 0 },
	{ { 0xd2, 0x69 }, 2, 0x6d90, 0 },
	{ { 0xd2, 0x6a }, 2, 0x70dc, 0 },
	{ { 0xd2, 0x6b }, 2, 0x70d3, 0 },
	{ { 0xd2, 0x6c }, 2, 0x70d1, 0 },
	{ { 0xd2, 0x6d }, 2, 0x70dd, 0 },
	{ { 0xd2, 0x6e }, 2, 0x70cb, 0 },
	{ { 0xd2, 0x6f }, 2, 0x7f39, 0 },
	{ { 0xd2, 0x70 }, 2, 0x70e2, 0 },
	{ { 0xd2, 0x71 }, 2, 0x70d7, 0 },
	{ { 0xd2, 0x72 }, 2, 0x70d2, 0 },
	{ { 0xd2, 0x73 }, 2, 0x70de, 0 },
	{ { 0xd2, 0x74 }, 2, 0x70e0, 0 },
	{ { 0xd2, 0x75 }, 2, 0x70d4, 0 },
	{ { 0xd2, 0x76 }, 2, 0x70cd, 0 },
	{ { 0xd2, 0x77 }, 2, 0x70c5, 0 },
	{ { 0xd2, 0x78 }, 2, 0x70c6, 0 },
	{ { 0xd2, 0x79 }, 2, 0x70c7, 0 },
	{ { 0xd2, 0x7a }, 2, 0x70da, 0 },
	{ { 0xd2, 0x7b }, 2, 0x70ce, 0 },
	{ { 0xd2, 0x7c }, 2, 0x70e1, 0 },
	{ { 0xd2, 0x7d }, 2, 0x7242, 0 },
	{ { 0xd2, 0x7e }, 2, 0x7278, 0 },
	{ { 0xd2, 0xa1 }, 2, 0x7277, 0 },
	{ { 0xd2, 0xa2 }, 2, 0x7276, 0 },
	{ { 0xd2, 0xa3 }, 2, 0x7300, 0 },
	{ { 0xd2, 0xa4 }, 2, 0x72fa, 0 },
	{ { 0xd2, 0xa5 }, 2, 0x72f4, 0 },
	{ { 0xd2, 0xa6 }, 2, 0x72fe, 0 },
	{ { 0xd2, 0xa7 }, 2, 0x72f6, 0 },
	{ { 0xd2, 0xa8 }, 2, 0x72f3, 0 },
	{ { 0xd2, 0xa9 }, 2, 0x72fb, 0 },
	{ { 0xd2, 0xaa }, 2, 0x7301, 0 },
	{ { 0xd2, 0xab }, 2, 0x73d3, 0 },
	{ { 0xd2, 0xac }, 2, 0x73d9, 0 },
	{ { 0xd2, 0xad }, 2, 0x73e5, 0 },
	{ { 0xd2, 0xae }, 2, 0x73d6, 0 },
	{ { 0xd2, 0xaf }, 2, 0x73bc, 0 },
	{ { 0xd2, 0xb0 }, 2, 0x73e7, 0 },
	{ { 0xd2, 0xb1 }, 2, 0x73e3, 0 },
	{ { 0xd2, 0xb2 }, 2, 0x73e9, 0 },
	{ { 0xd2, 0xb3 }, 2, 0x73dc, 0 },
	{ { 0xd2, 0xb4 }, 2, 0x73d2, 0 },
	{ { 0xd2, 0xb5 }, 2, 0x73db, 0 },
	{ { 0xd2, 0xb6 }, 2, 0x73d4, 0 },
	{ { 0xd2, 0xb7 }, 2, 0x73dd, 0 },
	{ { 0xd2, 0xb8 }, 2, 0x73da, 0 },
	{ { 0xd2, 0xb9 }, 2, 0x73d7, 0 },
	{ { 0xd2, 0xba }, 2, 0x73d8, 0 },
	{ { 0xd2, 0xbb }, 2, 0x73e8, 0 },
	{ { 0xd2, 0xbc }, 2, 0x74de, 0 },
	{ { 0xd2, 0xbd }, 2, 0x74df, 0 },
	{ { 0xd2, 0xbe }, 2, 0x74f4, 0 },
	{ { 0xd2, 0xbf }, 2, 0x74f5, 0 },
	{ { 0xd2, 0xc0 }, 2, 0x7521, 0 },
	{ { 0xd2, 0xc1 }, 2, 0x755b, 0 },
	{ { 0xd2, 0xc2 }, 2, 0x755f, 0 },
	{ { 0xd2, 0xc3 }, 2, 0x75b0, 0 },
	{ { 0xd2, 0xc4 }, 2, 0x75c1, 0 },
	{ { 0xd2, 0xc5 }, 2, 0x75bb, 0 },
	{ { 0xd2, 0xc6 }, 2, 0x75c4, 0 },
	{ { 0xd2, 0xc7 }, 2, 0x75c0, 0 },
	{ { 0xd2, 0xc8 }, 2, 0x75bf, 0 },
	{ { 0xd2, 0xc9 }, 2, 0x75b6, 0 },
	{ { 0xd2, 0xca }, 2, 0x75ba, 0 },
	{ { 0xd2, 0xcb }, 2, 0x768a, 0 },
	{ { 0xd2, 0xcc }, 2, 0x76c9, 0 },
	{ { 0xd2, 0xcd }, 2, 0x771d, 0 },
	{ { 0xd2, 0xce }, 2, 0x771b, 0 },
	{ { 0xd2, 0xcf }, 2, 0x7710, 0 },
	{ { 0xd2, 0xd0 }, 2, 0x7713, 0 },
	{ { 0xd2, 0xd1 }, 2, 0x7712, 0 },
	{ { 0xd2, 0xd2 }, 2, 0x7723, 0 },
	{ { 0xd2, 0xd3 }, 2, 0x7711, 0 },
	{ { 0xd2, 0xd4 }, 2, 0x7715, 0 },
	{ { 0xd2, 0xd5 }, 2, 0x7719, 0 },
	{ { 0xd2, 0xd6 }, 2, 0x771a, 0 },
	{ { 0xd2, 0xd7 }, 2, 0x7722, 0 },
	{ { 0xd2, 0xd8 }, 2, 0x7727, 0 },
	{ { 0xd2, 0xd9 }, 2, 0x7823, 0 },
	{ { 0xd2, 0xda }, 2, 0x782c, 0 },
	{ { 0xd2, 0xdb }, 2, 0x7822, 0 },
	{ { 0xd2, 0xdc }, 2, 0x7835, 0 },
	{ { 0xd2, 0xdd }, 2, 0x782f, 0 },
	{ { 0xd2, 0xde }, 2, 0x7828, 0 },
	{ { 0xd2, 0xdf }, 2, 0x782e, 0 },
	{ { 0xd2, 0xe0 }, 2, 0x782b, 0 },
	{ { 0xd2, 0xe1 }, 2, 0x7821, 0 },
	{ { 0xd2, 0xe2 }, 2, 0x7829, 0 },
	{ { 0xd2, 0xe3 }, 2, 0x7833, 0 },
	{ { 0xd2, 0xe4 }, 2, 0x782a, 0 },
	{ { 0xd2, 0xe5 }, 2, 0x7831, 0 },
	{ { 0xd2, 0xe6 }, 2, 0x7954, 0 },
	{ { 0xd2, 0xe7 }, 2, 0x795b, 0 },
	{ { 0xd2, 0xe8 }, 2, 0x794f, 0 },
	{ { 0xd2, 0xe9 }, 2, 0x795c, 0 },
	{ { 0xd2, 0xea }, 2, 0x7953, 0 },
	{ { 0xd2, 0xeb }, 2, 0x7952, 0 },
	{ { 0xd2, 0xec }, 2, 0x7951, 0 },
	{ { 0xd2, 0xed }, 2, 0x79eb, 0 },
	{ { 0xd2, 0xee }, 2, 0x79ec, 0 },
	{ { 0xd2, 0xef }, 2, 0x79e0, 0 },
	{ { 0xd2, 0xf0 }, 2, 0x79ee, 0 },
	{ { 0xd2, 0xf1 }, 2, 0x79ed, 0 },
	{ { 0xd2, 0xf2 }, 2, 0x79ea, 0 },
	{ { 0xd2, 0xf3 }, 2, 0x79dc, 0 },
	{ { 0xd2, 0xf4 }, 2, 0x79de, 0 },
	{ { 0xd2, 0xf5 }, 2, 0x79dd, 0 },
	{ { 0xd2, 0xf6 }, 2, 0x7a86, 0 },
	{ { 0xd2, 0xf7 }, 2, 0x7a89, 0 },
	{ { 0xd2, 0xf8 }, 2, 0x7a85, 0 },
	{ { 0xd2, 0xf9 }, 2, 0x7a8b, 0 },
	{ { 0xd2, 0xfa }, 2, 0x7a8c, 0 },
	{ { 0xd2, 0xfb }, 2, 0x7a8a, 0 },
	{ { 0xd2, 0xfc }, 2, 0x7a87, 0 },
	{ { 0xd2, 0xfd }, 2, 0x7ad8, 0 },
	{ { 0xd2, 0xfe }, 2, 0x7b10, 0 },

	{ { 0xd3, 0x40 }, 2, 0x7b04, 0 },
	{ { 0xd3, 0x41 }, 2, 0x7b13, 0 },
	{ { 0xd3, 0x42 }, 2, 0x7b05, 0 },
	{ { 0xd3, 0x43 }, 2, 0x7b0f, 0 },
	{ { 0xd3, 0x44 }, 2, 0x7b08, 0 },
	{ { 0xd3, 0x45 }, 2, 0x7b0a, 0 },
	{ { 0xd3, 0x46 }, 2, 0x7b0e, 0 },
	{ { 0xd3, 0x47 }, 2, 0x7b09, 0 },
	{ { 0xd3, 0x48 }, 2, 0x7b12, 0 },
	{ { 0xd3, 0x49 }, 2, 0x7c84, 0 },
	{ { 0xd3, 0x4a }, 2, 0x7c91, 0 },
	{ { 0xd3, 0x4b }, 2, 0x7c8a, 0 },
	{ { 0xd3, 0x4c }, 2, 0x7c8c, 0 },
	{ { 0xd3, 0x4d }, 2, 0x7c88, 0 },
	{ { 0xd3, 0x4e }, 2, 0x7c8d, 0 },
	{ { 0xd3, 0x4f }, 2, 0x7c85, 0 },
	{ { 0xd3, 0x50 }, 2, 0x7d1e, 0 },
	{ { 0xd3, 0x51 }, 2, 0x7d1d, 0 },
	{ { 0xd3, 0x52 }, 2, 0x7d11, 0 },
	{ { 0xd3, 0x53 }, 2, 0x7d0e, 0 },
	{ { 0xd3, 0x54 }, 2, 0x7d18, 0 },
	{ { 0xd3, 0x55 }, 2, 0x7d16, 0 },
	{ { 0xd3, 0x56 }, 2, 0x7d13, 0 },
	{ { 0xd3, 0x57 }, 2, 0x7d1f, 0 },
	{ { 0xd3, 0x58 }, 2, 0x7d12, 0 },
	{ { 0xd3, 0x59 }, 2, 0x7d0f, 0 },
	{ { 0xd3, 0x5a }, 2, 0x7d0c, 0 },
	{ { 0xd3, 0x5b }, 2, 0x7f5c, 0 },
	{ { 0xd3, 0x5c }, 2, 0x7f61, 0 },
	{ { 0xd3, 0x5d }, 2, 0x7f5e, 0 },
	{ { 0xd3, 0x5e }, 2, 0x7f60, 0 },
	{ { 0xd3, 0x5f }, 2, 0x7f5d, 0 },
	{ { 0xd3, 0x60 }, 2, 0x7f5b, 0 },
	{ { 0xd3, 0x61 }, 2, 0x7f96, 0 },
	{ { 0xd3, 0x62 }, 2, 0x7f92, 0 },
	{ { 0xd3, 0x63 }, 2, 0x7fc3, 0 },
	{ { 0xd3, 0x64 }, 2, 0x7fc2, 0 },
	{ { 0xd3, 0x65 }, 2, 0x7fc0, 0 },
	{ { 0xd3, 0x66 }, 2, 0x8016, 0 },
	{ { 0xd3, 0x67 }, 2, 0x803e, 0 },
	{ { 0xd3, 0x68 }, 2, 0x8039, 0 },
	{ { 0xd3, 0x69 }, 2, 0x80fa, 0 },
	{ { 0xd3, 0x6a }, 2, 0x80f2, 0 },
	{ { 0xd3, 0x6b }, 2, 0x80f9, 0 },
	{ { 0xd3, 0x6c }, 2, 0x80f5, 0 },
	{ { 0xd3, 0x6d }, 2, 0x8101, 0 },
	{ { 0xd3, 0x6e }, 2, 0x80fb, 0 },
	{ { 0xd3, 0x6f }, 2, 0x8100, 0 },
	{ { 0xd3, 0x70 }, 2, 0x8201, 0 },
	{ { 0xd3, 0x71 }, 2, 0x822f, 0 },
	{ { 0xd3, 0x72 }, 2, 0x8225, 0 },
	{ { 0xd3, 0x73 }, 2, 0x8333, 0 },
	{ { 0xd3, 0x74 }, 2, 0x832d, 0 },
	{ { 0xd3, 0x75 }, 2, 0x8344, 0 },
	{ { 0xd3, 0x76 }, 2, 0x8319, 0 },
	{ { 0xd3, 0x77 }, 2, 0x8351, 0 },
	{ { 0xd3, 0x78 }, 2, 0x8325, 0 },
	{ { 0xd3, 0x79 }, 2, 0x8356, 0 },
	{ { 0xd3, 0x7a }, 2, 0x833f, 0 },
	{ { 0xd3, 0x7b }, 2, 0x8341, 0 },
	{ { 0xd3, 0x7c }, 2, 0x8326, 0 },
	{ { 0xd3, 0x7d }, 2, 0x831c, 0 },
	{ { 0xd3, 0x7e }, 2, 0x8322, 0 },
	{ { 0xd3, 0xa1 }, 2, 0x8342, 0 },
	{ { 0xd3, 0xa2 }, 2, 0x834e, 0 },
	{ { 0xd3, 0xa3 }, 2, 0x831b, 0 },
	{ { 0xd3, 0xa4 }, 2, 0x832a, 0 },
	{ { 0xd3, 0xa5 }, 2, 0x8308, 0 },
	{ { 0xd3, 0xa6 }, 2, 0x833c, 0 },
	{ { 0xd3, 0xa7 }, 2, 0x834d, 0 },
	{ { 0xd3, 0xa8 }, 2, 0x8316, 0 },
	{ { 0xd3, 0xa9 }, 2, 0x8324, 0 },
	{ { 0xd3, 0xaa }, 2, 0x8320, 0 },
	{ { 0xd3, 0xab }, 2, 0x8337, 0 },
	{ { 0xd3, 0xac }, 2, 0x832f, 0 },
	{ { 0xd3, 0xad }, 2, 0x8329, 0 },
	{ { 0xd3, 0xae }, 2, 0x8347, 0 },
	{ { 0xd3, 0xaf }, 2, 0x8345, 0 },
	{ { 0xd3, 0xb0 }, 2, 0x834c, 0 },
	{ { 0xd3, 0xb1 }, 2, 0x8353, 0 },
	{ { 0xd3, 0xb2 }, 2, 0x831e, 0 },
	{ { 0xd3, 0xb3 }, 2, 0x832c, 0 },
	{ { 0xd3, 0xb4 }, 2, 0x834b, 0 },
	{ { 0xd3, 0xb5 }, 2, 0x8327, 0 },
	{ { 0xd3, 0xb6 }, 2, 0x8348, 0 },
	{ { 0xd3, 0xb7 }, 2, 0x8653, 0 },
	{ { 0xd3, 0xb8 }, 2, 0x8652, 0 },
	{ { 0xd3, 0xb9 }, 2, 0x86a2, 0 },
	{ { 0xd3, 0xba }, 2, 0x86a8, 0 },
	{ { 0xd3, 0xbb }, 2, 0x8696, 0 },
	{ { 0xd3, 0xbc }, 2, 0x868d, 0 },
	{ { 0xd3, 0xbd }, 2, 0x8691, 0 },
	{ { 0xd3, 0xbe }, 2, 0x869e, 0 },
	{ { 0xd3, 0xbf }, 2, 0x8687, 0 },
	{ { 0xd3, 0xc0 }, 2, 0x8697, 0 },
	{ { 0xd3, 0xc1 }, 2, 0x8686, 0 },
	{ { 0xd3, 0xc2 }, 2, 0x868b, 0 },
	{ { 0xd3, 0xc3 }, 2, 0x869a, 0 },
	{ { 0xd3, 0xc4 }, 2, 0x8685, 0 },
	{ { 0xd3, 0xc5 }, 2, 0x86a5, 0 },
	{ { 0xd3, 0xc6 }, 2, 0x8699, 0 },
	{ { 0xd3, 0xc7 }, 2, 0x86a1, 0 },
	{ { 0xd3, 0xc8 }, 2, 0x86a7, 0 },
	{ { 0xd3, 0xc9 }, 2, 0x8695, 0 },
	{ { 0xd3, 0xca }, 2, 0x8698, 0 },
	{ { 0xd3, 0xcb }, 2, 0x868e, 0 },
	{ { 0xd3, 0xcc }, 2, 0x869d, 0 },
	{ { 0xd3, 0xcd }, 2, 0x8690, 0 },
	{ { 0xd3, 0xce }, 2, 0x8694, 0 },
	{ { 0xd3, 0xcf }, 2, 0x8843, 0 },
	{ { 0xd3, 0xd0 }, 2, 0x8844, 0 },
	{ { 0xd3, 0xd1 }, 2, 0x886d, 0 },
	{ { 0xd3, 0xd2 }, 2, 0x8875, 0 },
	{ { 0xd3, 0xd3 }, 2, 0x8876, 0 },
	{ { 0xd3, 0xd4 }, 2, 0x8872, 0 },
	{ { 0xd3, 0xd5 }, 2, 0x8880, 0 },
	{ { 0xd3, 0xd6 }, 2, 0x8871, 0 },
	{ { 0xd3, 0xd7 }, 2, 0x887f, 0 },
	{ { 0xd3, 0xd8 }, 2, 0x886f, 0 },
	{ { 0xd3, 0xd9 }, 2, 0x8883, 0 },
	{ { 0xd3, 0xda }, 2, 0x887e, 0 },
	{ { 0xd3, 0xdb }, 2, 0x8874, 0 },
	{ { 0xd3, 0xdc }, 2, 0x887c, 0 },
	{ { 0xd3, 0xdd }, 2, 0x8a12, 0 },
	{ { 0xd3, 0xde }, 2, 0x8c47, 0 },
	{ { 0xd3, 0xdf }, 2, 0x8c57, 0 },
	{ { 0xd3, 0xe0 }, 2, 0x8c7b, 0 },
	{ { 0xd3, 0xe1 }, 2, 0x8ca4, 0 },
	{ { 0xd3, 0xe2 }, 2, 0x8ca3, 0 },
	{ { 0xd3, 0xe3 }, 2, 0x8d76, 0 },
	{ { 0xd3, 0xe4 }, 2, 0x8d78, 0 },
	{ { 0xd3, 0xe5 }, 2, 0x8db5, 0 },
	{ { 0xd3, 0xe6 }, 2, 0x8db7, 0 },
	{ { 0xd3, 0xe7 }, 2, 0x8db6, 0 },
	{ { 0xd3, 0xe8 }, 2, 0x8ed1, 0 },
	{ { 0xd3, 0xe9 }, 2, 0x8ed3, 0 },
	{ { 0xd3, 0xea }, 2, 0x8ffe, 0 },
	{ { 0xd3, 0xeb }, 2, 0x8ff5, 0 },
	{ { 0xd3, 0xec }, 2, 0x9002, 0 },
	{ { 0xd3, 0xed }, 2, 0x8fff, 0 },
	{ { 0xd3, 0xee }, 2, 0x8ffb, 0 },
	{ { 0xd3, 0xef }, 2, 0x9004, 0 },
	{ { 0xd3, 0xf0 }, 2, 0x8ffc, 0 },
	{ { 0xd3, 0xf1 }, 2, 0x8ff6, 0 },
	{ { 0xd3, 0xf2 }, 2, 0x90d6, 0 },
	{ { 0xd3, 0xf3 }, 2, 0x90e0, 0 },
	{ { 0xd3, 0xf4 }, 2, 0x90d9, 0 },
	{ { 0xd3, 0xf5 }, 2, 0x90da, 0 },
	{ { 0xd3, 0xf6 }, 2, 0x90e3, 0 },
	{ { 0xd3, 0xf7 }, 2, 0x90df, 0 },
	{ { 0xd3, 0xf8 }, 2, 0x90e5, 0 },
	{ { 0xd3, 0xf9 }, 2, 0x90d8, 0 },
	{ { 0xd3, 0xfa }, 2, 0x90db, 0 },
	{ { 0xd3, 0xfb }, 2, 0x90d7, 0 },
	{ { 0xd3, 0xfc }, 2, 0x90dc, 0 },
	{ { 0xd3, 0xfd }, 2, 0x90e4, 0 },
	{ { 0xd3, 0xfe }, 2, 0x9150, 0 },

	{ { 0xd4, 0x40 }, 2, 0x914e, 0 },
	{ { 0xd4, 0x41 }, 2, 0x914f, 0 },
	{ { 0xd4, 0x42 }, 2, 0x91d5, 0 },
	{ { 0xd4, 0x43 }, 2, 0x91e2, 0 },
	{ { 0xd4, 0x44 }, 2, 0x91da, 0 },
	{ { 0xd4, 0x45 }, 2, 0x965c, 0 },
	{ { 0xd4, 0x46 }, 2, 0x965f, 0 },
	{ { 0xd4, 0x47 }, 2, 0x96bc, 0 },
	{ { 0xd4, 0x48 }, 2, 0x98e3, 0 },
	{ { 0xd4, 0x49 }, 2, 0x9adf, 0 },
	{ { 0xd4, 0x4a }, 2, 0x9b2f, 0 },
	{ { 0xd4, 0x4b }, 2, 0x4e7f, 0 },
	{ { 0xd4, 0x4c }, 2, 0x5070, 0 },
	{ { 0xd4, 0x4d }, 2, 0x506a, 0 },
	{ { 0xd4, 0x4e }, 2, 0x5061, 0 },
	{ { 0xd4, 0x4f }, 2, 0x505e, 0 },
	{ { 0xd4, 0x50 }, 2, 0x5060, 0 },
	{ { 0xd4, 0x51 }, 2, 0x5053, 0 },
	{ { 0xd4, 0x52 }, 2, 0x504b, 0 },
	{ { 0xd4, 0x53 }, 2, 0x505d, 0 },
	{ { 0xd4, 0x54 }, 2, 0x5072, 0 },
	{ { 0xd4, 0x55 }, 2, 0x5048, 0 },
	{ { 0xd4, 0x56 }, 2, 0x504d, 0 },
	{ { 0xd4, 0x57 }, 2, 0x5041, 0 },
	{ { 0xd4, 0x58 }, 2, 0x505b, 0 },
	{ { 0xd4, 0x59 }, 2, 0x504a, 0 },
	{ { 0xd4, 0x5a }, 2, 0x5062, 0 },
	{ { 0xd4, 0x5b }, 2, 0x5015, 0 },
	{ { 0xd4, 0x5c }, 2, 0x5045, 0 },
	{ { 0xd4, 0x5d }, 2, 0x505f, 0 },
	{ { 0xd4, 0x5e }, 2, 0x5069, 0 },
	{ { 0xd4, 0x5f }, 2, 0x506b, 0 },
	{ { 0xd4, 0x60 }, 2, 0x5063, 0 },
	{ { 0xd4, 0x61 }, 2, 0x5064, 0 },
	{ { 0xd4, 0x62 }, 2, 0x5046, 0 },
	{ { 0xd4, 0x63 }, 2, 0x5040, 0 },
	{ { 0xd4, 0x64 }, 2, 0x506e, 0 },
	{ { 0xd4, 0x65 }, 2, 0x5073, 0 },
	{ { 0xd4, 0x66 }, 2, 0x5057, 0 },
	{ { 0xd4, 0x67 }, 2, 0x5051, 0 },
	{ { 0xd4, 0x68 }, 2, 0x51d0, 0 },
	{ { 0xd4, 0x69 }, 2, 0x526b, 0 },
	{ { 0xd4, 0x6a }, 2, 0x526d, 0 },
	{ { 0xd4, 0x6b }, 2, 0x526c, 0 },
	{ { 0xd4, 0x6c }, 2, 0x526e, 0 },
	{ { 0xd4, 0x6d }, 2, 0x52d6, 0 },
	{ { 0xd4, 0x6e }, 2, 0x52d3, 0 },
	{ { 0xd4, 0x6f }, 2, 0x532d, 0 },
	{ { 0xd4, 0x70 }, 2, 0x539c, 0 },
	{ { 0xd4, 0x71 }, 2, 0x5575, 0 },
	{ { 0xd4, 0x72 }, 2, 0x5576, 0 },
	{ { 0xd4, 0x73 }, 2, 0x553c, 0 },
	{ { 0xd4, 0x74 }, 2, 0x554d, 0 },
	{ { 0xd4, 0x75 }, 2, 0x5550, 0 },
	{ { 0xd4, 0x76 }, 2, 0x5534, 0 },
	{ { 0xd4, 0x77 }, 2, 0x552a, 0 },
	{ { 0xd4, 0x78 }, 2, 0x5551, 0 },
	{ { 0xd4, 0x79 }, 2, 0x5562, 0 },
	{ { 0xd4, 0x7a }, 2, 0x5536, 0 },
	{ { 0xd4, 0x7b }, 2, 0x5535, 0 },
	{ { 0xd4, 0x7c }, 2, 0x5530, 0 },
	{ { 0xd4, 0x7d }, 2, 0x5552, 0 },
	{ { 0xd4, 0x7e }, 2, 0x5545, 0 },
	{ { 0xd4, 0xa1 }, 2, 0x550c, 0 },
	{ { 0xd4, 0xa2 }, 2, 0x5532, 0 },
	{ { 0xd4, 0xa3 }, 2, 0x5565, 0 },
	{ { 0xd4, 0xa4 }, 2, 0x554e, 0 },
	{ { 0xd4, 0xa5 }, 2, 0x5539, 0 },
	{ { 0xd4, 0xa6 }, 2, 0x5548, 0 },
	{ { 0xd4, 0xa7 }, 2, 0x552d, 0 },
	{ { 0xd4, 0xa8 }, 2, 0x553b, 0 },
	{ { 0xd4, 0xa9 }, 2, 0x5540, 0 },
	{ { 0xd4, 0xaa }, 2, 0x554b, 0 },
	{ { 0xd4, 0xab }, 2, 0x570a, 0 },
	{ { 0xd4, 0xac }, 2, 0x5707, 0 },
	{ { 0xd4, 0xad }, 2, 0x57fb, 0 },
	{ { 0xd4, 0xae }, 2, 0x5814, 0 },
	{ { 0xd4, 0xaf }, 2, 0x57e2, 0 },
	{ { 0xd4, 0xb0 }, 2, 0x57f6, 0 },
	{ { 0xd4, 0xb1 }, 2, 0x57dc, 0 },
	{ { 0xd4, 0xb2 }, 2, 0x57f4, 0 },
	{ { 0xd4, 0xb3 }, 2, 0x5800, 0 },
	{ { 0xd4, 0xb4 }, 2, 0x57ed, 0 },
	{ { 0xd4, 0xb5 }, 2, 0x57fd, 0 },
	{ { 0xd4, 0xb6 }, 2, 0x5808, 0 },
	{ { 0xd4, 0xb7 }, 2, 0x57f8, 0 },
	{ { 0xd4, 0xb8 }, 2, 0x580b, 0 },
	{ { 0xd4, 0xb9 }, 2, 0x57f3, 0 },
	{ { 0xd4, 0xba }, 2, 0x57cf, 0 },
	{ { 0xd4, 0xbb }, 2, 0x5807, 0 },
	{ { 0xd4, 0xbc }, 2, 0x57ee, 0 },
	{ { 0xd4, 0xbd }, 2, 0x57e3, 0 },
	{ { 0xd4, 0xbe }, 2, 0x57f2, 0 },
	{ { 0xd4, 0xbf }, 2, 0x57e5, 0 },
	{ { 0xd4, 0xc0 }, 2, 0x57ec, 0 },
	{ { 0xd4, 0xc1 }, 2, 0x57e1, 0 },
	{ { 0xd4, 0xc2 }, 2, 0x580e, 0 },
	{ { 0xd4, 0xc3 }, 2, 0x57fc, 0 },
	{ { 0xd4, 0xc4 }, 2, 0x5810, 0 },
	{ { 0xd4, 0xc5 }, 2, 0x57e7, 0 },
	{ { 0xd4, 0xc6 }, 2, 0x5801, 0 },
	{ { 0xd4, 0xc7 }, 2, 0x580c, 0 },
	{ { 0xd4, 0xc8 }, 2, 0x57f1, 0 },
	{ { 0xd4, 0xc9 }, 2, 0x57e9, 0 },
	{ { 0xd4, 0xca }, 2, 0x57f0, 0 },
	{ { 0xd4, 0xcb }, 2, 0x580d, 0 },
	{ { 0xd4, 0xcc }, 2, 0x5804, 0 },
	{ { 0xd4, 0xcd }, 2, 0x595c, 0 },
	{ { 0xd4, 0xce }, 2, 0x5a60, 0 },
	{ { 0xd4, 0xcf }, 2, 0x5a58, 0 },
	{ { 0xd4, 0xd0 }, 2, 0x5a55, 0 },
	{ { 0xd4, 0xd1 }, 2, 0x5a67, 0 },
	{ { 0xd4, 0xd2 }, 2, 0x5a5e, 0 },
	{ { 0xd4, 0xd3 }, 2, 0x5a38, 0 },
	{ { 0xd4, 0xd4 }, 2, 0x5a35, 0 },
	{ { 0xd4, 0xd5 }, 2, 0x5a6d, 0 },
	{ { 0xd4, 0xd6 }, 2, 0x5a50, 0 },
	{ { 0xd4, 0xd7 }, 2, 0x5a5f, 0 },
	{ { 0xd4, 0xd8 }, 2, 0x5a65, 0 },
	{ { 0xd4, 0xd9 }, 2, 0x5a6c, 0 },
	{ { 0xd4, 0xda }, 2, 0x5a53, 0 },
	{ { 0xd4, 0xdb }, 2, 0x5a64, 0 },
	{ { 0xd4, 0xdc }, 2, 0x5a57, 0 },
	{ { 0xd4, 0xdd }, 2, 0x5a43, 0 },
	{ { 0xd4, 0xde }, 2, 0x5a5d, 0 },
	{ { 0xd4, 0xdf }, 2, 0x5a52, 0 },
	{ { 0xd4, 0xe0 }, 2, 0x5a44, 0 },
	{ { 0xd4, 0xe1 }, 2, 0x5a5b, 0 },
	{ { 0xd4, 0xe2 }, 2, 0x5a48, 0 },
	{ { 0xd4, 0xe3 }, 2, 0x5a8e, 0 },
	{ { 0xd4, 0xe4 }, 2, 0x5a3e, 0 },
	{ { 0xd4, 0xe5 }, 2, 0x5a4d, 0 },
	{ { 0xd4, 0xe6 }, 2, 0x5a39, 0 },
	{ { 0xd4, 0xe7 }, 2, 0x5a4c, 0 },
	{ { 0xd4, 0xe8 }, 2, 0x5a70, 0 },
	{ { 0xd4, 0xe9 }, 2, 0x5a69, 0 },
	{ { 0xd4, 0xea }, 2, 0x5a47, 0 },
	{ { 0xd4, 0xeb }, 2, 0x5a51, 0 },
	{ { 0xd4, 0xec }, 2, 0x5a56, 0 },
	{ { 0xd4, 0xed }, 2, 0x5a42, 0 },
	{ { 0xd4, 0xee }, 2, 0x5a5c, 0 },
	{ { 0xd4, 0xef }, 2, 0x5b72, 0 },
	{ { 0xd4, 0xf0 }, 2, 0x5b6e, 0 },
	{ { 0xd4, 0xf1 }, 2, 0x5bc1, 0 },
	{ { 0xd4, 0xf2 }, 2, 0x5bc0, 0 },
	{ { 0xd4, 0xf3 }, 2, 0x5c59, 0 },
	{ { 0xd4, 0xf4 }, 2, 0x5d1e, 0 },
	{ { 0xd4, 0xf5 }, 2, 0x5d0b, 0 },
	{ { 0xd4, 0xf6 }, 2, 0x5d1d, 0 },
	{ { 0xd4, 0xf7 }, 2, 0x5d1a, 0 },
	{ { 0xd4, 0xf8 }, 2, 0x5d20, 0 },
	{ { 0xd4, 0xf9 }, 2, 0x5d0c, 0 },
	{ { 0xd4, 0xfa }, 2, 0x5d28, 0 },
	{ { 0xd4, 0xfb }, 2, 0x5d0d, 0 },
	{ { 0xd4, 0xfc }, 2, 0x5d26, 0 },
	{ { 0xd4, 0xfd }, 2, 0x5d25, 0 },
	{ { 0xd4, 0xfe }, 2, 0x5d0f, 0 },

	{ { 0xd5, 0x40 }, 2, 0x5d30, 0 },
	{ { 0xd5, 0x41 }, 2, 0x5d12, 0 },
	{ { 0xd5, 0x42 }, 2, 0x5d23, 0 },
	{ { 0xd5, 0x43 }, 2, 0x5d1f, 0 },
	{ { 0xd5, 0x44 }, 2, 0x5d2e, 0 },
	{ { 0xd5, 0x45 }, 2, 0x5e3e, 0 },
	{ { 0xd5, 0x46 }, 2, 0x5e34, 0 },
	{ { 0xd5, 0x47 }, 2, 0x5eb1, 0 },
	{ { 0xd5, 0x48 }, 2, 0x5eb4, 0 },
	{ { 0xd5, 0x49 }, 2, 0x5eb9, 0 },
	{ { 0xd5, 0x4a }, 2, 0x5eb2, 0 },
	{ { 0xd5, 0x4b }, 2, 0x5eb3, 0 },
	{ { 0xd5, 0x4c }, 2, 0x5f36, 0 },
	{ { 0xd5, 0x4d }, 2, 0x5f38, 0 },
	{ { 0xd5, 0x4e }, 2, 0x5f9b, 0 },
	{ { 0xd5, 0x4f }, 2, 0x5f96, 0 },
	{ { 0xd5, 0x50 }, 2, 0x5f9f, 0 },
	{ { 0xd5, 0x51 }, 2, 0x608a, 0 },
	{ { 0xd5, 0x52 }, 2, 0x6090, 0 },
	{ { 0xd5, 0x53 }, 2, 0x6086, 0 },
	{ { 0xd5, 0x54 }, 2, 0x60be, 0 },
	{ { 0xd5, 0x55 }, 2, 0x60b0, 0 },
	{ { 0xd5, 0x56 }, 2, 0x60ba, 0 },
	{ { 0xd5, 0x57 }, 2, 0x60d3, 0 },
	{ { 0xd5, 0x58 }, 2, 0x60d4, 0 },
	{ { 0xd5, 0x59 }, 2, 0x60cf, 0 },
	{ { 0xd5, 0x5a }, 2, 0x60e4, 0 },
	{ { 0xd5, 0x5b }, 2, 0x60d9, 0 },
	{ { 0xd5, 0x5c }, 2, 0x60dd, 0 },
	{ { 0xd5, 0x5d }, 2, 0x60c8, 0 },
	{ { 0xd5, 0x5e }, 2, 0x60b1, 0 },
	{ { 0xd5, 0x5f }, 2, 0x60db, 0 },
	{ { 0xd5, 0x60 }, 2, 0x60b7, 0 },
	{ { 0xd5, 0x61 }, 2, 0x60ca, 0 },
	{ { 0xd5, 0x62 }, 2, 0x60bf, 0 },
	{ { 0xd5, 0x63 }, 2, 0x60c3, 0 },
	{ { 0xd5, 0x64 }, 2, 0x60cd, 0 },
	{ { 0xd5, 0x65 }, 2, 0x60c0, 0 },
	{ { 0xd5, 0x66 }, 2, 0x6332, 0 },
	{ { 0xd5, 0x67 }, 2, 0x6365, 0 },
	{ { 0xd5, 0x68 }, 2, 0x638a, 0 },
	{ { 0xd5, 0x69 }, 2, 0x6382, 0 },
	{ { 0xd5, 0x6a }, 2, 0x637d, 0 },
	{ { 0xd5, 0x6b }, 2, 0x63bd, 0 },
	{ { 0xd5, 0x6c }, 2, 0x639e, 0 },
	{ { 0xd5, 0x6d }, 2, 0x63ad, 0 },
	{ { 0xd5, 0x6e }, 2, 0x639d, 0 },
	{ { 0xd5, 0x6f }, 2, 0x6397, 0 },
	{ { 0xd5, 0x70 }, 2, 0x63ab, 0 },
	{ { 0xd5, 0x71 }, 2, 0x638e, 0 },
	{ { 0xd5, 0x72 }, 2, 0x636f, 0 },
	{ { 0xd5, 0x73 }, 2, 0x6387, 0 },
	{ { 0xd5, 0x74 }, 2, 0x6390, 0 },
	{ { 0xd5, 0x75 }, 2, 0x636e, 0 },
	{ { 0xd5, 0x76 }, 2, 0x63af, 0 },
	{ { 0xd5, 0x77 }, 2, 0x6375, 0 },
	{ { 0xd5, 0x78 }, 2, 0x639c, 0 },
	{ { 0xd5, 0x79 }, 2, 0x636d, 0 },
	{ { 0xd5, 0x7a }, 2, 0x63ae, 0 },
	{ { 0xd5, 0x7b }, 2, 0x637c, 0 },
	{ { 0xd5, 0x7c }, 2, 0x63a4, 0 },
	{ { 0xd5, 0x7d }, 2, 0x633b, 0 },
	{ { 0xd5, 0x7e }, 2, 0x639f, 0 },
	{ { 0xd5, 0xa1 }, 2, 0x6378, 0 },
	{ { 0xd5, 0xa2 }, 2, 0x6385, 0 },
	{ { 0xd5, 0xa3 }, 2, 0x6381, 0 },
	{ { 0xd5, 0xa4 }, 2, 0x6391, 0 },
	{ { 0xd5, 0xa5 }, 2, 0x638d, 0 },
	{ { 0xd5, 0xa6 }, 2, 0x6370, 0 },
	{ { 0xd5, 0xa7 }, 2, 0x6553, 0 },
	{ { 0xd5, 0xa8 }, 2, 0x65cd, 0 },
	{ { 0xd5, 0xa9 }, 2, 0x6665, 0 },
	{ { 0xd5, 0xaa }, 2, 0x6661, 0 },
	{ { 0xd5, 0xab }, 2, 0x665b, 0 },
	{ { 0xd5, 0xac }, 2, 0x6659, 0 },
	{ { 0xd5, 0xad }, 2, 0x665c, 0 },
	{ { 0xd5, 0xae }, 2, 0x6662, 0 },
	{ { 0xd5, 0xaf }, 2, 0x6718, 0 },
	{ { 0xd5, 0xb0 }, 2, 0x6879, 0 },
	{ { 0xd5, 0xb1 }, 2, 0x6887, 0 },
	{ { 0xd5, 0xb2 }, 2, 0x6890, 0 },
	{ { 0xd5, 0xb3 }, 2, 0x689c, 0 },
	{ { 0xd5, 0xb4 }, 2, 0x686d, 0 },
	{ { 0xd5, 0xb5 }, 2, 0x686e, 0 },
	{ { 0xd5, 0xb6 }, 2, 0x68ae, 0 },
	{ { 0xd5, 0xb7 }, 2, 0x68ab, 0 },
	{ { 0xd5, 0xb8 }, 2, 0x6956, 0 },
	{ { 0xd5, 0xb9 }, 2, 0x686f, 0 },
	{ { 0xd5, 0xba }, 2, 0x68a3, 0 },
	{ { 0xd5, 0xbb }, 2, 0x68ac, 0 },
	{ { 0xd5, 0xbc }, 2, 0x68a9, 0 },
	{ { 0xd5, 0xbd }, 2, 0x6875, 0 },
	{ { 0xd5, 0xbe }, 2, 0x6874, 0 },
	{ { 0xd5, 0xbf }, 2, 0x68b2, 0 },
	{ { 0xd5, 0xc0 }, 2, 0x688f, 0 },
	{ { 0xd5, 0xc1 }, 2, 0x6877, 0 },
	{ { 0xd5, 0xc2 }, 2, 0x6892, 0 },
	{ { 0xd5, 0xc3 }, 2, 0x687c, 0 },
	{ { 0xd5, 0xc4 }, 2, 0x686b, 0 },
	{ { 0xd5, 0xc5 }, 2, 0x6872, 0 },
	{ { 0xd5, 0xc6 }, 2, 0x68aa, 0 },
	{ { 0xd5, 0xc7 }, 2, 0x6880, 0 },
	{ { 0xd5, 0xc8 }, 2, 0x6871, 0 },
	{ { 0xd5, 0xc9 }, 2, 0x687e, 0 },
	{ { 0xd5, 0xca }, 2, 0x689b, 0 },
	{ { 0xd5, 0xcb }, 2, 0x6896, 0 },
	{ { 0xd5, 0xcc }, 2, 0x688b, 0 },
	{ { 0xd5, 0xcd }, 2, 0x68a0, 0 },
	{ { 0xd5, 0xce }, 2, 0x6889, 0 },
	{ { 0xd5, 0xcf }, 2, 0x68a4, 0 },
	{ { 0xd5, 0xd0 }, 2, 0x6878, 0 },
	{ { 0xd5, 0xd1 }, 2, 0x687b, 0 },
	{ { 0xd5, 0xd2 }, 2, 0x6891, 0 },
	{ { 0xd5, 0xd3 }, 2, 0x688c, 0 },
	{ { 0xd5, 0xd4 }, 2, 0x688a, 0 },
	{ { 0xd5, 0xd5 }, 2, 0x687d, 0 },
	{ { 0xd5, 0xd6 }, 2, 0x6b36, 0 },
	{ { 0xd5, 0xd7 }, 2, 0x6b33, 0 },
	{ { 0xd5, 0xd8 }, 2, 0x6b37, 0 },
	{ { 0xd5, 0xd9 }, 2, 0x6b38, 0 },
	{ { 0xd5, 0xda }, 2, 0x6b91, 0 },
	{ { 0xd5, 0xdb }, 2, 0x6b8f, 0 },
	{ { 0xd5, 0xdc }, 2, 0x6b8d, 0 },
	{ { 0xd5, 0xdd }, 2, 0x6b8e, 0 },
	{ { 0xd5, 0xde }, 2, 0x6b8c, 0 },
	{ { 0xd5, 0xdf }, 2, 0x6c2a, 0 },
	{ { 0xd5, 0xe0 }, 2, 0x6dc0, 0 },
	{ { 0xd5, 0xe1 }, 2, 0x6dab, 0 },
	{ { 0xd5, 0xe2 }, 2, 0x6db4, 0 },
	{ { 0xd5, 0xe3 }, 2, 0x6db3, 0 },
	{ { 0xd5, 0xe4 }, 2, 0x6e74, 0 },
	{ { 0xd5, 0xe5 }, 2, 0x6dac, 0 },
	{ { 0xd5, 0xe6 }, 2, 0x6de9, 0 },
	{ { 0xd5, 0xe7 }, 2, 0x6de2, 0 },
	{ { 0xd5, 0xe8 }, 2, 0x6db7, 0 },
	{ { 0xd5, 0xe9 }, 2, 0x6df6, 0 },
	{ { 0xd5, 0xea }, 2, 0x6dd4, 0 },
	{ { 0xd5, 0xeb }, 2, 0x6e00, 0 },
	{ { 0xd5, 0xec }, 2, 0x6dc8, 0 },
	{ { 0xd5, 0xed }, 2, 0x6de0, 0 },
	{ { 0xd5, 0xee }, 2, 0x6ddf, 0 },
	{ { 0xd5, 0xef }, 2, 0x6dd6, 0 },
	{ { 0xd5, 0xf0 }, 2, 0x6dbe, 0 },
	{ { 0xd5, 0xf1 }, 2, 0x6de5, 0 },
	{ { 0xd5, 0xf2 }, 2, 0x6ddc, 0 },
	{ { 0xd5, 0xf3 }, 2, 0x6ddd, 0 },
	{ { 0xd5, 0xf4 }, 2, 0x6ddb, 0 },
	{ { 0xd5, 0xf5 }, 2, 0x6df4, 0 },
	{ { 0xd5, 0xf6 }, 2, 0x6dca, 0 },
	{ { 0xd5, 0xf7 }, 2, 0x6dbd, 0 },
	{ { 0xd5, 0xf8 }, 2, 0x6ded, 0 },
	{ { 0xd5, 0xf9 }, 2, 0x6df0, 0 },
	{ { 0xd5, 0xfa }, 2, 0x6dba, 0 },
	{ { 0xd5, 0xfb }, 2, 0x6dd5, 0 },
	{ { 0xd5, 0xfc }, 2, 0x6dc2, 0 },
	{ { 0xd5, 0xfd }, 2, 0x6dcf, 0 },
	{ { 0xd5, 0xfe }, 2, 0x6dc9, 0 },

	{ { 0xd6, 0x40 }, 2, 0x6dd0, 0 },
	{ { 0xd6, 0x41 }, 2, 0x6df2, 0 },
	{ { 0xd6, 0x42 }, 2, 0x6dd3, 0 },
	{ { 0xd6, 0x43 }, 2, 0x6dfd, 0 },
	{ { 0xd6, 0x44 }, 2, 0x6dd7, 0 },
	{ { 0xd6, 0x45 }, 2, 0x6dcd, 0 },
	{ { 0xd6, 0x46 }, 2, 0x6de3, 0 },
	{ { 0xd6, 0x47 }, 2, 0x6dbb, 0 },
	{ { 0xd6, 0x48 }, 2, 0x70fa, 0 },
	{ { 0xd6, 0x49 }, 2, 0x710d, 0 },
	{ { 0xd6, 0x4a }, 2, 0x70f7, 0 },
	{ { 0xd6, 0x4b }, 2, 0x7117, 0 },
	{ { 0xd6, 0x4c }, 2, 0x70f4, 0 },
	{ { 0xd6, 0x4d }, 2, 0x710c, 0 },
	{ { 0xd6, 0x4e }, 2, 0x70f0, 0 },
	{ { 0xd6, 0x4f }, 2, 0x7104, 0 },
	{ { 0xd6, 0x50 }, 2, 0x70f3, 0 },
	{ { 0xd6, 0x51 }, 2, 0x7110, 0 },
	{ { 0xd6, 0x52 }, 2, 0x70fc, 0 },
	{ { 0xd6, 0x53 }, 2, 0x70ff, 0 },
	{ { 0xd6, 0x54 }, 2, 0x7106, 0 },
	{ { 0xd6, 0x55 }, 2, 0x7113, 0 },
	{ { 0xd6, 0x56 }, 2, 0x7100, 0 },
	{ { 0xd6, 0x57 }, 2, 0x70f8, 0 },
	{ { 0xd6, 0x58 }, 2, 0x70f6, 0 },
	{ { 0xd6, 0x59 }, 2, 0x710b, 0 },
	{ { 0xd6, 0x5a }, 2, 0x7102, 0 },
	{ { 0xd6, 0x5b }, 2, 0x710e, 0 },
	{ { 0xd6, 0x5c }, 2, 0x727e, 0 },
	{ { 0xd6, 0x5d }, 2, 0x727b, 0 },
	{ { 0xd6, 0x5e }, 2, 0x727c, 0 },
	{ { 0xd6, 0x5f }, 2, 0x727f, 0 },
	{ { 0xd6, 0x60 }, 2, 0x731d, 0 },
	{ { 0xd6, 0x61 }, 2, 0x7317, 0 },
	{ { 0xd6, 0x62 }, 2, 0x7307, 0 },
	{ { 0xd6, 0x63 }, 2, 0x7311, 0 },
	{ { 0xd6, 0x64 }, 2, 0x7318, 0 },
	{ { 0xd6, 0x65 }, 2, 0x730a, 0 },
	{ { 0xd6, 0x66 }, 2, 0x7308, 0 },
	{ { 0xd6, 0x67 }, 2, 0x72ff, 0 },
	{ { 0xd6, 0x68 }, 2, 0x730f, 0 },
	{ { 0xd6, 0x69 }, 2, 0x731e, 0 },
	{ { 0xd6, 0x6a }, 2, 0x7388, 0 },
	{ { 0xd6, 0x6b }, 2, 0x73f6, 0 },
	{ { 0xd6, 0x6c }, 2, 0x73f8, 0 },
	{ { 0xd6, 0x6d }, 2, 0x73f5, 0 },
	{ { 0xd6, 0x6e }, 2, 0x7404, 0 },
	{ { 0xd6, 0x6f }, 2, 0x7401, 0 },
	{ { 0xd6, 0x70 }, 2, 0x73fd, 0 },
	{ { 0xd6, 0x71 }, 2, 0x7407, 0 },
	{ { 0xd6, 0x72 }, 2, 0x7400, 0 },
	{ { 0xd6, 0x73 }, 2, 0x73fa, 0 },
	{ { 0xd6, 0x74 }, 2, 0x73fc, 0 },
	{ { 0xd6, 0x75 }, 2, 0x73ff, 0 },
	{ { 0xd6, 0x76 }, 2, 0x740c, 0 },
	{ { 0xd6, 0x77 }, 2, 0x740b, 0 },
	{ { 0xd6, 0x78 }, 2, 0x73f4, 0 },
	{ { 0xd6, 0x79 }, 2, 0x7408, 0 },
	{ { 0xd6, 0x7a }, 2, 0x7564, 0 },
	{ { 0xd6, 0x7b }, 2, 0x7563, 0 },
	{ { 0xd6, 0x7c }, 2, 0x75ce, 0 },
	{ { 0xd6, 0x7d }, 2, 0x75d2, 0 },
	{ { 0xd6, 0x7e }, 2, 0x75cf, 0 },
	{ { 0xd6, 0xa1 }, 2, 0x75cb, 0 },
	{ { 0xd6, 0xa2 }, 2, 0x75cc, 0 },
	{ { 0xd6, 0xa3 }, 2, 0x75d1, 0 },
	{ { 0xd6, 0xa4 }, 2, 0x75d0, 0 },
	{ { 0xd6, 0xa5 }, 2, 0x768f, 0 },
	{ { 0xd6, 0xa6 }, 2, 0x7689, 0 },
	{ { 0xd6, 0xa7 }, 2, 0x76d3, 0 },
	{ { 0xd6, 0xa8 }, 2, 0x7739, 0 },
	{ { 0xd6, 0xa9 }, 2, 0x772f, 0 },
	{ { 0xd6, 0xaa }, 2, 0x772d, 0 },
	{ { 0xd6, 0xab }, 2, 0x7731, 0 },
	{ { 0xd6, 0xac }, 2, 0x7732, 0 },
	{ { 0xd6, 0xad }, 2, 0x7734, 0 },
	{ { 0xd6, 0xae }, 2, 0x7733, 0 },
	{ { 0xd6, 0xaf }, 2, 0x773d, 0 },
	{ { 0xd6, 0xb0 }, 2, 0x7725, 0 },
	{ { 0xd6, 0xb1 }, 2, 0x773b, 0 },
	{ { 0xd6, 0xb2 }, 2, 0x7735, 0 },
	{ { 0xd6, 0xb3 }, 2, 0x7848, 0 },
	{ { 0xd6, 0xb4 }, 2, 0x7852, 0 },
	{ { 0xd6, 0xb5 }, 2, 0x7849, 0 },
	{ { 0xd6, 0xb6 }, 2, 0x784d, 0 },
	{ { 0xd6, 0xb7 }, 2, 0x784a, 0 },
	{ { 0xd6, 0xb8 }, 2, 0x784c, 0 },
	{ { 0xd6, 0xb9 }, 2, 0x7826, 0 },
	{ { 0xd6, 0xba }, 2, 0x7845, 0 },
	{ { 0xd6, 0xbb }, 2, 0x7850, 0 },
	{ { 0xd6, 0xbc }, 2, 0x7964, 0 },
	{ { 0xd6, 0xbd }, 2, 0x7967, 0 },
	{ { 0xd6, 0xbe }, 2, 0x7969, 0 },
	{ { 0xd6, 0xbf }, 2, 0x796a, 0 },
	{ { 0xd6, 0xc0 }, 2, 0x7963, 0 },
	{ { 0xd6, 0xc1 }, 2, 0x796b, 0 },
	{ { 0xd6, 0xc2 }, 2, 0x7961, 0 },
	{ { 0xd6, 0xc3 }, 2, 0x79bb, 0 },
	{ { 0xd6, 0xc4 }, 2, 0x79fa, 0 },
	{ { 0xd6, 0xc5 }, 2, 0x79f8, 0 },
	{ { 0xd6, 0xc6 }, 2, 0x79f6, 0 },
	{ { 0xd6, 0xc7 }, 2, 0x79f7, 0 },
	{ { 0xd6, 0xc8 }, 2, 0x7a8f, 0 },
	{ { 0xd6, 0xc9 }, 2, 0x7a94, 0 },
	{ { 0xd6, 0xca }, 2, 0x7a90, 0 },
	{ { 0xd6, 0xcb }, 2, 0x7b35, 0 },
	{ { 0xd6, 0xcc }, 2, 0x7b47, 0 },
	{ { 0xd6, 0xcd }, 2, 0x7b34, 0 },
	{ { 0xd6, 0xce }, 2, 0x7b25, 0 },
	{ { 0xd6, 0xcf }, 2, 0x7b30, 0 },
	{ { 0xd6, 0xd0 }, 2, 0x7b22, 0 },
	{ { 0xd6, 0xd1 }, 2, 0x7b24, 0 },
	{ { 0xd6, 0xd2 }, 2, 0x7b33, 0 },
	{ { 0xd6, 0xd3 }, 2, 0x7b18, 0 },
	{ { 0xd6, 0xd4 }, 2, 0x7b2a, 0 },
	{ { 0xd6, 0xd5 }, 2, 0x7b1d, 0 },
	{ { 0xd6, 0xd6 }, 2, 0x7b31, 0 },
	{ { 0xd6, 0xd7 }, 2, 0x7b2b, 0 },
	{ { 0xd6, 0xd8 }, 2, 0x7b2d, 0 },
	{ { 0xd6, 0xd9 }, 2, 0x7b2f, 0 },
	{ { 0xd6, 0xda }, 2, 0x7b32, 0 },
	{ { 0xd6, 0xdb }, 2, 0x7b38, 0 },
	{ { 0xd6, 0xdc }, 2, 0x7b1a, 0 },
	{ { 0xd6, 0xdd }, 2, 0x7b23, 0 },
	{ { 0xd6, 0xde }, 2, 0x7c94, 0 },
	{ { 0xd6, 0xdf }, 2, 0x7c98, 0 },
	{ { 0xd6, 0xe0 }, 2, 0x7c96, 0 },
	{ { 0xd6, 0xe1 }, 2, 0x7ca3, 0 },
	{ { 0xd6, 0xe2 }, 2, 0x7d35, 0 },
	{ { 0xd6, 0xe3 }, 2, 0x7d3d, 0 },
	{ { 0xd6, 0xe4 }, 2, 0x7d38, 0 },
	{ { 0xd6, 0xe5 }, 2, 0x7d36, 0 },
	{ { 0xd6, 0xe6 }, 2, 0x7d3a, 0 },
	{ { 0xd6, 0xe7 }, 2, 0x7d45, 0 },
	{ { 0xd6, 0xe8 }, 2, 0x7d2c, 0 },
	{ { 0xd6, 0xe9 }, 2, 0x7d29, 0 },
	{ { 0xd6, 0xea }, 2, 0x7d41, 0 },
	{ { 0xd6, 0xeb }, 2, 0x7d47, 0 },
	{ { 0xd6, 0xec }, 2, 0x7d3e, 0 },
	{ { 0xd6, 0xed }, 2, 0x7d3f, 0 },
	{ { 0xd6, 0xee }, 2, 0x7d4a, 0 },
	{ { 0xd6, 0xef }, 2, 0x7d3b, 0 },
	{ { 0xd6, 0xf0 }, 2, 0x7d28, 0 },
	{ { 0xd6, 0xf1 }, 2, 0x7f63, 0 },
	{ { 0xd6, 0xf2 }, 2, 0x7f95, 0 },
	{ { 0xd6, 0xf3 }, 2, 0x7f9c, 0 },
	{ { 0xd6, 0xf4 }, 2, 0x7f9d, 0 },
	{ { 0xd6, 0xf5 }, 2, 0x7f9b, 0 },
	{ { 0xd6, 0xf6 }, 2, 0x7fca, 0 },
	{ { 0xd6, 0xf7 }, 2, 0x7fcb, 0 },
	{ { 0xd6, 0xf8 }, 2, 0x7fcd, 0 },
	{ { 0xd6, 0xf9 }, 2, 0x7fd0, 0 },
	{ { 0xd6, 0xfa }, 2, 0x7fd1, 0 },
	{ { 0xd6, 0xfb }, 2, 0x7fc7, 0 },
	{ { 0xd6, 0xfc }, 2, 0x7fcf, 0 },
	{ { 0xd6, 0xfd }, 2, 0x7fc9, 0 },
	{ { 0xd6, 0xfe }, 2, 0x801f, 0 },

	{ { 0xd7, 0x40 }, 2, 0x801e, 0 },
	{ { 0xd7, 0x41 }, 2, 0x801b, 0 },
	{ { 0xd7, 0x42 }, 2, 0x8047, 0 },
	{ { 0xd7, 0x43 }, 2, 0x8043, 0 },
	{ { 0xd7, 0x44 }, 2, 0x8048, 0 },
	{ { 0xd7, 0x45 }, 2, 0x8118, 0 },
	{ { 0xd7, 0x46 }, 2, 0x8125, 0 },
	{ { 0xd7, 0x47 }, 2, 0x8119, 0 },
	{ { 0xd7, 0x48 }, 2, 0x811b, 0 },
	{ { 0xd7, 0x49 }, 2, 0x812d, 0 },
	{ { 0xd7, 0x4a }, 2, 0x811f, 0 },
	{ { 0xd7, 0x4b }, 2, 0x812c, 0 },
	{ { 0xd7, 0x4c }, 2, 0x811e, 0 },
	{ { 0xd7, 0x4d }, 2, 0x8121, 0 },
	{ { 0xd7, 0x4e }, 2, 0x8115, 0 },
	{ { 0xd7, 0x4f }, 2, 0x8127, 0 },
	{ { 0xd7, 0x50 }, 2, 0x811d, 0 },
	{ { 0xd7, 0x51 }, 2, 0x8122, 0 },
	{ { 0xd7, 0x52 }, 2, 0x8211, 0 },
	{ { 0xd7, 0x53 }, 2, 0x8238, 0 },
	{ { 0xd7, 0x54 }, 2, 0x8233, 0 },
	{ { 0xd7, 0x55 }, 2, 0x823a, 0 },
	{ { 0xd7, 0x56 }, 2, 0x8234, 0 },
	{ { 0xd7, 0x57 }, 2, 0x8232, 0 },
	{ { 0xd7, 0x58 }, 2, 0x8274, 0 },
	{ { 0xd7, 0x59 }, 2, 0x8390, 0 },
	{ { 0xd7, 0x5a }, 2, 0x83a3, 0 },
	{ { 0xd7, 0x5b }, 2, 0x83a8, 0 },
	{ { 0xd7, 0x5c }, 2, 0x838d, 0 },
	{ { 0xd7, 0x5d }, 2, 0x837a, 0 },
	{ { 0xd7, 0x5e }, 2, 0x8373, 0 },
	{ { 0xd7, 0x5f }, 2, 0x83a4, 0 },
	{ { 0xd7, 0x60 }, 2, 0x8374, 0 },
	{ { 0xd7, 0x61 }, 2, 0x838f, 0 },
	{ { 0xd7, 0x62 }, 2, 0x8381, 0 },
	{ { 0xd7, 0x63 }, 2, 0x8395, 0 },
	{ { 0xd7, 0x64 }, 2, 0x8399, 0 },
	{ { 0xd7, 0x65 }, 2, 0x8375, 0 },
	{ { 0xd7, 0x66 }, 2, 0x8394, 0 },
	{ { 0xd7, 0x67 }, 2, 0x83a9, 0 },
	{ { 0xd7, 0x68 }, 2, 0x837d, 0 },
	{ { 0xd7, 0x69 }, 2, 0x8383, 0 },
	{ { 0xd7, 0x6a }, 2, 0x838c, 0 },
	{ { 0xd7, 0x6b }, 2, 0x839d, 0 },
	{ { 0xd7, 0x6c }, 2, 0x839b, 0 },
	{ { 0xd7, 0x6d }, 2, 0x83aa, 0 },
	{ { 0xd7, 0x6e }, 2, 0x838b, 0 },
	{ { 0xd7, 0x6f }, 2, 0x837e, 0 },
	{ { 0xd7, 0x70 }, 2, 0x83a5, 0 },
	{ { 0xd7, 0x71 }, 2, 0x83af, 0 },
	{ { 0xd7, 0x72 }, 2, 0x8388, 0 },
	{ { 0xd7, 0x73 }, 2, 0x8397, 0 },
	{ { 0xd7, 0x74 }, 2, 0x83b0, 0 },
	{ { 0xd7, 0x75 }, 2, 0x837f, 0 },
	{ { 0xd7, 0x76 }, 2, 0x83a6, 0 },
	{ { 0xd7, 0x77 }, 2, 0x8387, 0 },
	{ { 0xd7, 0x78 }, 2, 0x83ae, 0 },
	{ { 0xd7, 0x79 }, 2, 0x8376, 0 },
	{ { 0xd7, 0x7a }, 2, 0x839a, 0 },
	{ { 0xd7, 0x7b }, 2, 0x8659, 0 },
	{ { 0xd7, 0x7c }, 2, 0x8656, 0 },
	{ { 0xd7, 0x7d }, 2, 0x86bf, 0 },
	{ { 0xd7, 0x7e }, 2, 0x86b7, 0 },
	{ { 0xd7, 0xa1 }, 2, 0x86c2, 0 },
	{ { 0xd7, 0xa2 }, 2, 0x86c1, 0 },
	{ { 0xd7, 0xa3 }, 2, 0x86c5, 0 },
	{ { 0xd7, 0xa4 }, 2, 0x86ba, 0 },
	{ { 0xd7, 0xa5 }, 2, 0x86b0, 0 },
	{ { 0xd7, 0xa6 }, 2, 0x86c8, 0 },
	{ { 0xd7, 0xa7 }, 2, 0x86b9, 0 },
	{ { 0xd7, 0xa8 }, 2, 0x86b3, 0 },
	{ { 0xd7, 0xa9 }, 2, 0x86b8, 0 },
	{ { 0xd7, 0xaa }, 2, 0x86cc, 0 },
	{ { 0xd7, 0xab }, 2, 0x86b4, 0 },
	{ { 0xd7, 0xac }, 2, 0x86bb, 0 },
	{ { 0xd7, 0xad }, 2, 0x86bc, 0 },
	{ { 0xd7, 0xae }, 2, 0x86c3, 0 },
	{ { 0xd7, 0xaf }, 2, 0x86bd, 0 },
	{ { 0xd7, 0xb0 }, 2, 0x86be, 0 },
	{ { 0xd7, 0xb1 }, 2, 0x8852, 0 },
	{ { 0xd7, 0xb2 }, 2, 0x8889, 0 },
	{ { 0xd7, 0xb3 }, 2, 0x8895, 0 },
	{ { 0xd7, 0xb4 }, 2, 0x88a8, 0 },
	{ { 0xd7, 0xb5 }, 2, 0x88a2, 0 },
	{ { 0xd7, 0xb6 }, 2, 0x88aa, 0 },
	{ { 0xd7, 0xb7 }, 2, 0x889a, 0 },
	{ { 0xd7, 0xb8 }, 2, 0x8891, 0 },
	{ { 0xd7, 0xb9 }, 2, 0x88a1, 0 },
	{ { 0xd7, 0xba }, 2, 0x889f, 0 },
	{ { 0xd7, 0xbb }, 2, 0x8898, 0 },
	{ { 0xd7, 0xbc }, 2, 0x88a7, 0 },
	{ { 0xd7, 0xbd }, 2, 0x8899, 0 },
	{ { 0xd7, 0xbe }, 2, 0x889b, 0 },
	{ { 0xd7, 0xbf }, 2, 0x8897, 0 },
	{ { 0xd7, 0xc0 }, 2, 0x88a4, 0 },
	{ { 0xd7, 0xc1 }, 2, 0x88ac, 0 },
	{ { 0xd7, 0xc2 }, 2, 0x888c, 0 },
	{ { 0xd7, 0xc3 }, 2, 0x8893, 0 },
	{ { 0xd7, 0xc4 }, 2, 0x888e, 0 },
	{ { 0xd7, 0xc5 }, 2, 0x8982, 0 },
	{ { 0xd7, 0xc6 }, 2, 0x89d6, 0 },
	{ { 0xd7, 0xc7 }, 2, 0x89d9, 0 },
	{ { 0xd7, 0xc8 }, 2, 0x89d5, 0 },
	{ { 0xd7, 0xc9 }, 2, 0x8a30, 0 },
	{ { 0xd7, 0xca }, 2, 0x8a27, 0 },
	{ { 0xd7, 0xcb }, 2, 0x8a2c, 0 },
	{ { 0xd7, 0xcc }, 2, 0x8a1e, 0 },
	{ { 0xd7, 0xcd }, 2, 0x8c39, 0 },
	{ { 0xd7, 0xce }, 2, 0x8c3b, 0 },
	{ { 0xd7, 0xcf }, 2, 0x8c5c, 0 },
	{ { 0xd7, 0xd0 }, 2, 0x8c5d, 0 },
	{ { 0xd7, 0xd1 }, 2, 0x8c7d, 0 },
	{ { 0xd7, 0xd2 }, 2, 0x8ca5, 0 },
	{ { 0xd7, 0xd3 }, 2, 0x8d7d, 0 },
	{ { 0xd7, 0xd4 }, 2, 0x8d7b, 0 },
	{ { 0xd7, 0xd5 }, 2, 0x8d79, 0 },
	{ { 0xd7, 0xd6 }, 2, 0x8dbc, 0 },
	{ { 0xd7, 0xd7 }, 2, 0x8dc2, 0 },
	{ { 0xd7, 0xd8 }, 2, 0x8db9, 0 },
	{ { 0xd7, 0xd9 }, 2, 0x8dbf, 0 },
	{ { 0xd7, 0xda }, 2, 0x8dc1, 0 },
	{ { 0xd7, 0xdb }, 2, 0x8ed8, 0 },
	{ { 0xd7, 0xdc }, 2, 0x8ede, 0 },
	{ { 0xd7, 0xdd }, 2, 0x8edd, 0 },
	{ { 0xd7, 0xde }, 2, 0x8edc, 0 },
	{ { 0xd7, 0xdf }, 2, 0x8ed7, 0 },
	{ { 0xd7, 0xe0 }, 2, 0x8ee0, 0 },
	{ { 0xd7, 0xe1 }, 2, 0x8ee1, 0 },
	{ { 0xd7, 0xe2 }, 2, 0x9024, 0 },
	{ { 0xd7, 0xe3 }, 2, 0x900b, 0 },
	{ { 0xd7, 0xe4 }, 2, 0x9011, 0 },
	{ { 0xd7, 0xe5 }, 2, 0x901c, 0 },
	{ { 0xd7, 0xe6 }, 2, 0x900c, 0 },
	{ { 0xd7, 0xe7 }, 2, 0x9021, 0 },
	{ { 0xd7, 0xe8 }, 2, 0x90ef, 0 },
	{ { 0xd7, 0xe9 }, 2, 0x90ea, 0 },
	{ { 0xd7, 0xea }, 2, 0x90f0, 0 },
	{ { 0xd7, 0xeb }, 2, 0x90f4, 0 },
	{ { 0xd7, 0xec }, 2, 0x90f2, 0 },
	{ { 0xd7, 0xed }, 2, 0x90f3, 0 },
	{ { 0xd7, 0xee }, 2, 0x90d4, 0 },
	{ { 0xd7, 0xef }, 2, 0x90eb, 0 },
	{ { 0xd7, 0xf0 }, 2, 0x90ec, 0 },
	{ { 0xd7, 0xf1 }, 2, 0x90e9, 0 },
	{ { 0xd7, 0xf2 }, 2, 0x9156, 0 },
	{ { 0xd7, 0xf3 }, 2, 0x9158, 0 },
	{ { 0xd7, 0xf4 }, 2, 0x915a, 0 },
	{ { 0xd7, 0xf5 }, 2, 0x9153, 0 },
	{ { 0xd7, 0xf6 }, 2, 0x9155, 0 },
	{ { 0xd7, 0xf7 }, 2, 0x91ec, 0 },
	{ { 0xd7, 0xf8 }, 2, 0x91f4, 0 },
	{ { 0xd7, 0xf9 }, 2, 0x91f1, 0 },
	{ { 0xd7, 0xfa }, 2, 0x91f3, 0 },
	{ { 0xd7, 0xfb }, 2, 0x91f8, 0 },
	{ { 0xd7, 0xfc }, 2, 0x91e4, 0 },
	{ { 0xd7, 0xfd }, 2, 0x91f9, 0 },
	{ { 0xd7, 0xfe }, 2, 0x91ea, 0 },

	{ { 0xd8, 0x40 }, 2, 0x91eb, 0 },
	{ { 0xd8, 0x41 }, 2, 0x91f7, 0 },
	{ { 0xd8, 0x42 }, 2, 0x91e8, 0 },
	{ { 0xd8, 0x43 }, 2, 0x91ee, 0 },
	{ { 0xd8, 0x44 }, 2, 0x957a, 0 },
	{ { 0xd8, 0x45 }, 2, 0x9586, 0 },
	{ { 0xd8, 0x46 }, 2, 0x9588, 0 },
	{ { 0xd8, 0x47 }, 2, 0x967c, 0 },
	{ { 0xd8, 0x48 }, 2, 0x966d, 0 },
	{ { 0xd8, 0x49 }, 2, 0x966b, 0 },
	{ { 0xd8, 0x4a }, 2, 0x9671, 0 },
	{ { 0xd8, 0x4b }, 2, 0x966f, 0 },
	{ { 0xd8, 0x4c }, 2, 0x96bf, 0 },
	{ { 0xd8, 0x4d }, 2, 0x976a, 0 },
	{ { 0xd8, 0x4e }, 2, 0x9804, 0 },
	{ { 0xd8, 0x4f }, 2, 0x98e5, 0 },
	{ { 0xd8, 0x50 }, 2, 0x9997, 0 },
	{ { 0xd8, 0x51 }, 2, 0x509b, 0 },
	{ { 0xd8, 0x52 }, 2, 0x5095, 0 },
	{ { 0xd8, 0x53 }, 2, 0x5094, 0 },
	{ { 0xd8, 0x54 }, 2, 0x509e, 0 },
	{ { 0xd8, 0x55 }, 2, 0x508b, 0 },
	{ { 0xd8, 0x56 }, 2, 0x50a3, 0 },
	{ { 0xd8, 0x57 }, 2, 0x5083, 0 },
	{ { 0xd8, 0x58 }, 2, 0x508c, 0 },
	{ { 0xd8, 0x59 }, 2, 0x508e, 0 },
	{ { 0xd8, 0x5a }, 2, 0x509d, 0 },
	{ { 0xd8, 0x5b }, 2, 0x5068, 0 },
	{ { 0xd8, 0x5c }, 2, 0x509c, 0 },
	{ { 0xd8, 0x5d }, 2, 0x5092, 0 },
	{ { 0xd8, 0x5e }, 2, 0x5082, 0 },
	{ { 0xd8, 0x5f }, 2, 0x5087, 0 },
	{ { 0xd8, 0x60 }, 2, 0x515f, 0 },
	{ { 0xd8, 0x61 }, 2, 0x51d4, 0 },
	{ { 0xd8, 0x62 }, 2, 0x5312, 0 },
	{ { 0xd8, 0x63 }, 2, 0x5311, 0 },
	{ { 0xd8, 0x64 }, 2, 0x53a4, 0 },
	{ { 0xd8, 0x65 }, 2, 0x53a7, 0 },
	{ { 0xd8, 0x66 }, 2, 0x5591, 0 },
	{ { 0xd8, 0x67 }, 2, 0x55a8, 0 },
	{ { 0xd8, 0x68 }, 2, 0x55a5, 0 },
	{ { 0xd8, 0x69 }, 2, 0x55ad, 0 },
	{ { 0xd8, 0x6a }, 2, 0x5577, 0 },
	{ { 0xd8, 0x6b }, 2, 0x5645, 0 },
	{ { 0xd8, 0x6c }, 2, 0x55a2, 0 },
	{ { 0xd8, 0x6d }, 2, 0x5593, 0 },
	{ { 0xd8, 0x6e }, 2, 0x5588, 0 },
	{ { 0xd8, 0x6f }, 2, 0x558f, 0 },
	{ { 0xd8, 0x70 }, 2, 0x55b5, 0 },
	{ { 0xd8, 0x71 }, 2, 0x5581, 0 },
	{ { 0xd8, 0x72 }, 2, 0x55a3, 0 },
	{ { 0xd8, 0x73 }, 2, 0x5592, 0 },
	{ { 0xd8, 0x74 }, 2, 0x55a4, 0 },
	{ { 0xd8, 0x75 }, 2, 0x557d, 0 },
	{ { 0xd8, 0x76 }, 2, 0x558c, 0 },
	{ { 0xd8, 0x77 }, 2, 0x55a6, 0 },
	{ { 0xd8, 0x78 }, 2, 0x557f, 0 },
	{ { 0xd8, 0x79 }, 2, 0x5595, 0 },
	{ { 0xd8, 0x7a }, 2, 0x55a1, 0 },
	{ { 0xd8, 0x7b }, 2, 0x558e, 0 },
	{ { 0xd8, 0x7c }, 2, 0x570c, 0 },
	{ { 0xd8, 0x7d }, 2, 0x5829, 0 },
	{ { 0xd8, 0x7e }, 2, 0x5837, 0 },
	{ { 0xd8, 0xa1 }, 2, 0x5819, 0 },
	{ { 0xd8, 0xa2 }, 2, 0x581e, 0 },
	{ { 0xd8, 0xa3 }, 2, 0x5827, 0 },
	{ { 0xd8, 0xa4 }, 2, 0x5823, 0 },
	{ { 0xd8, 0xa5 }, 2, 0x5828, 0 },
	{ { 0xd8, 0xa6 }, 2, 0x57f5, 0 },
	{ { 0xd8, 0xa7 }, 2, 0x5848, 0 },
	{ { 0xd8, 0xa8 }, 2, 0x5825, 0 },
	{ { 0xd8, 0xa9 }, 2, 0x581c, 0 },
	{ { 0xd8, 0xaa }, 2, 0x581b, 0 },
	{ { 0xd8, 0xab }, 2, 0x5833, 0 },
	{ { 0xd8, 0xac }, 2, 0x583f, 0 },
	{ { 0xd8, 0xad }, 2, 0x5836, 0 },
	{ { 0xd8, 0xae }, 2, 0x582e, 0 },
	{ { 0xd8, 0xaf }, 2, 0x5839, 0 },
	{ { 0xd8, 0xb0 }, 2, 0x5838, 0 },
	{ { 0xd8, 0xb1 }, 2, 0x582d, 0 },
	{ { 0xd8, 0xb2 }, 2, 0x582c, 0 },
	{ { 0xd8, 0xb3 }, 2, 0x583b, 0 },
	{ { 0xd8, 0xb4 }, 2, 0x5961, 0 },
	{ { 0xd8, 0xb5 }, 2, 0x5aaf, 0 },
	{ { 0xd8, 0xb6 }, 2, 0x5a94, 0 },
	{ { 0xd8, 0xb7 }, 2, 0x5a9f, 0 },
	{ { 0xd8, 0xb8 }, 2, 0x5a7a, 0 },
	{ { 0xd8, 0xb9 }, 2, 0x5aa2, 0 },
	{ { 0xd8, 0xba }, 2, 0x5a9e, 0 },
	{ { 0xd8, 0xbb }, 2, 0x5a78, 0 },
	{ { 0xd8, 0xbc }, 2, 0x5aa6, 0 },
	{ { 0xd8, 0xbd }, 2, 0x5a7c, 0 },
	{ { 0xd8, 0xbe }, 2, 0x5aa5, 0 },
	{ { 0xd8, 0xbf }, 2, 0x5aac, 0 },
	{ { 0xd8, 0xc0 }, 2, 0x5a95, 0 },
	{ { 0xd8, 0xc1 }, 2, 0x5aae, 0 },
	{ { 0xd8, 0xc2 }, 2, 0x5a37, 0 },
	{ { 0xd8, 0xc3 }, 2, 0x5a84, 0 },
	{ { 0xd8, 0xc4 }, 2, 0x5a8a, 0 },
	{ { 0xd8, 0xc5 }, 2, 0x5a97, 0 },
	{ { 0xd8, 0xc6 }, 2, 0x5a83, 0 },
	{ { 0xd8, 0xc7 }, 2, 0x5a8b, 0 },
	{ { 0xd8, 0xc8 }, 2, 0x5aa9, 0 },
	{ { 0xd8, 0xc9 }, 2, 0x5a7b, 0 },
	{ { 0xd8, 0xca }, 2, 0x5a7d, 0 },
	{ { 0xd8, 0xcb }, 2, 0x5a8c, 0 },
	{ { 0xd8, 0xcc }, 2, 0x5a9c, 0 },
	{ { 0xd8, 0xcd }, 2, 0x5a8f, 0 },
	{ { 0xd8, 0xce }, 2, 0x5a93, 0 },
	{ { 0xd8, 0xcf }, 2, 0x5a9d, 0 },
	{ { 0xd8, 0xd0 }, 2, 0x5bea, 0 },
	{ { 0xd8, 0xd1 }, 2, 0x5bcd, 0 },
	{ { 0xd8, 0xd2 }, 2, 0x5bcb, 0 },
	{ { 0xd8, 0xd3 }, 2, 0x5bd4, 0 },
	{ { 0xd8, 0xd4 }, 2, 0x5bd1, 0 },
	{ { 0xd8, 0xd5 }, 2, 0x5bca, 0 },
	{ { 0xd8, 0xd6 }, 2, 0x5bce, 0 },
	{ { 0xd8, 0xd7 }, 2, 0x5c0c, 0 },
	{ { 0xd8, 0xd8 }, 2, 0x5c30, 0 },
	{ { 0xd8, 0xd9 }, 2, 0x5d37, 0 },
	{ { 0xd8, 0xda }, 2, 0x5d43, 0 },
	{ { 0xd8, 0xdb }, 2, 0x5d6b, 0 },
	{ { 0xd8, 0xdc }, 2, 0x5d41, 0 },
	{ { 0xd8, 0xdd }, 2, 0x5d4b, 0 },
	{ { 0xd8, 0xde }, 2, 0x5d3f, 0 },
	{ { 0xd8, 0xdf }, 2, 0x5d35, 0 },
	{ { 0xd8, 0xe0 }, 2, 0x5d51, 0 },
	{ { 0xd8, 0xe1 }, 2, 0x5d4e, 0 },
	{ { 0xd8, 0xe2 }, 2, 0x5d55, 0 },
	{ { 0xd8, 0xe3 }, 2, 0x5d33, 0 },
	{ { 0xd8, 0xe4 }, 2, 0x5d3a, 0 },
	{ { 0xd8, 0xe5 }, 2, 0x5d52, 0 },
	{ { 0xd8, 0xe6 }, 2, 0x5d3d, 0 },
	{ { 0xd8, 0xe7 }, 2, 0x5d31, 0 },
	{ { 0xd8, 0xe8 }, 2, 0x5d59, 0 },
	{ { 0xd8, 0xe9 }, 2, 0x5d42, 0 },
	{ { 0xd8, 0xea }, 2, 0x5d39, 0 },
	{ { 0xd8, 0xeb }, 2, 0x5d49, 0 },
	{ { 0xd8, 0xec }, 2, 0x5d38, 0 },
	{ { 0xd8, 0xed }, 2, 0x5d3c, 0 },
	{ { 0xd8, 0xee }, 2, 0x5d32, 0 },
	{ { 0xd8, 0xef }, 2, 0x5d36, 0 },
	{ { 0xd8, 0xf0 }, 2, 0x5d40, 0 },
	{ { 0xd8, 0xf1 }, 2, 0x5d45, 0 },
	{ { 0xd8, 0xf2 }, 2, 0x5e44, 0 },
	{ { 0xd8, 0xf3 }, 2, 0x5e41, 0 },
	{ { 0xd8, 0xf4 }, 2, 0x5f58, 0 },
	{ { 0xd8, 0xf5 }, 2, 0x5fa6, 0 },
	{ { 0xd8, 0xf6 }, 2, 0x5fa5, 0 },
	{ { 0xd8, 0xf7 }, 2, 0x5fab, 0 },
	{ { 0xd8, 0xf8 }, 2, 0x60c9, 0 },
	{ { 0xd8, 0xf9 }, 2, 0x60b9, 0 },
	{ { 0xd8, 0xfa }, 2, 0x60cc, 0 },
	{ { 0xd8, 0xfb }, 2, 0x60e2, 0 },
	{ { 0xd8, 0xfc }, 2, 0x60ce, 0 },
	{ { 0xd8, 0xfd }, 2, 0x60c4, 0 },
	{ { 0xd8, 0xfe }, 2, 0x6114, 0 },

	{ { 0xd9, 0x40 }, 2, 0x60f2, 0 },
	{ { 0xd9, 0x41 }, 2, 0x610a, 0 },
	{ { 0xd9, 0x42 }, 2, 0x6116, 0 },
	{ { 0xd9, 0x43 }, 2, 0x6105, 0 },
	{ { 0xd9, 0x44 }, 2, 0x60f5, 0 },
	{ { 0xd9, 0x45 }, 2, 0x6113, 0 },
	{ { 0xd9, 0x46 }, 2, 0x60f8, 0 },
	{ { 0xd9, 0x47 }, 2, 0x60fc, 0 },
	{ { 0xd9, 0x48 }, 2, 0x60fe, 0 },
	{ { 0xd9, 0x49 }, 2, 0x60c1, 0 },
	{ { 0xd9, 0x4a }, 2, 0x6103, 0 },
	{ { 0xd9, 0x4b }, 2, 0x6118, 0 },
	{ { 0xd9, 0x4c }, 2, 0x611d, 0 },
	{ { 0xd9, 0x4d }, 2, 0x6110, 0 },
	{ { 0xd9, 0x4e }, 2, 0x60ff, 0 },
	{ { 0xd9, 0x4f }, 2, 0x6104, 0 },
	{ { 0xd9, 0x50 }, 2, 0x610b, 0 },
	{ { 0xd9, 0x51 }, 2, 0x624a, 0 },
	{ { 0xd9, 0x52 }, 2, 0x6394, 0 },
	{ { 0xd9, 0x53 }, 2, 0x63b1, 0 },
	{ { 0xd9, 0x54 }, 2, 0x63b0, 0 },
	{ { 0xd9, 0x55 }, 2, 0x63ce, 0 },
	{ { 0xd9, 0x56 }, 2, 0x63e5, 0 },
	{ { 0xd9, 0x57 }, 2, 0x63e8, 0 },
	{ { 0xd9, 0x58 }, 2, 0x63ef, 0 },
	{ { 0xd9, 0x59 }, 2, 0x63c3, 0 },
	{ { 0xd9, 0x5a }, 2, 0x649d, 0 },
	{ { 0xd9, 0x5b }, 2, 0x63f3, 0 },
	{ { 0xd9, 0x5c }, 2, 0x63ca, 0 },
	{ { 0xd9, 0x5d }, 2, 0x63e0, 0 },
	{ { 0xd9, 0x5e }, 2, 0x63f6, 0 },
	{ { 0xd9, 0x5f }, 2, 0x63d5, 0 },
	{ { 0xd9, 0x60 }, 2, 0x63f2, 0 },
	{ { 0xd9, 0x61 }, 2, 0x63f5, 0 },
	{ { 0xd9, 0x62 }, 2, 0x6461, 0 },
	{ { 0xd9, 0x63 }, 2, 0x63df, 0 },
	{ { 0xd9, 0x64 }, 2, 0x63be, 0 },
	{ { 0xd9, 0x65 }, 2, 0x63dd, 0 },
	{ { 0xd9, 0x66 }, 2, 0x63dc, 0 },
	{ { 0xd9, 0x67 }, 2, 0x63c4, 0 },
	{ { 0xd9, 0x68 }, 2, 0x63d8, 0 },
	{ { 0xd9, 0x69 }, 2, 0x63d3, 0 },
	{ { 0xd9, 0x6a }, 2, 0x63c2, 0 },
	{ { 0xd9, 0x6b }, 2, 0x63c7, 0 },
	{ { 0xd9, 0x6c }, 2, 0x63cc, 0 },
	{ { 0xd9, 0x6d }, 2, 0x63cb, 0 },
	{ { 0xd9, 0x6e }, 2, 0x63c8, 0 },
	{ { 0xd9, 0x6f }, 2, 0x63f0, 0 },
	{ { 0xd9, 0x70 }, 2, 0x63d7, 0 },
	{ { 0xd9, 0x71 }, 2, 0x63d9, 0 },
	{ { 0xd9, 0x72 }, 2, 0x6532, 0 },
	{ { 0xd9, 0x73 }, 2, 0x6567, 0 },
	{ { 0xd9, 0x74 }, 2, 0x656a, 0 },
	{ { 0xd9, 0x75 }, 2, 0x6564, 0 },
	{ { 0xd9, 0x76 }, 2, 0x655c, 0 },
	{ { 0xd9, 0x77 }, 2, 0x6568, 0 },
	{ { 0xd9, 0x78 }, 2, 0x6565, 0 },
	{ { 0xd9, 0x79 }, 2, 0x658c, 0 },
	{ { 0xd9, 0x7a }, 2, 0x659d, 0 },
	{ { 0xd9, 0x7b }, 2, 0x659e, 0 },
	{ { 0xd9, 0x7c }, 2, 0x65ae, 0 },
	{ { 0xd9, 0x7d }, 2, 0x65d0, 0 },
	{ { 0xd9, 0x7e }, 2, 0x65d2, 0 },
	{ { 0xd9, 0xa1 }, 2, 0x667c, 0 },
	{ { 0xd9, 0xa2 }, 2, 0x666c, 0 },
	{ { 0xd9, 0xa3 }, 2, 0x667b, 0 },
	{ { 0xd9, 0xa4 }, 2, 0x6680, 0 },
	{ { 0xd9, 0xa5 }, 2, 0x6671, 0 },
	{ { 0xd9, 0xa6 }, 2, 0x6679, 0 },
	{ { 0xd9, 0xa7 }, 2, 0x666a, 0 },
	{ { 0xd9, 0xa8 }, 2, 0x6672, 0 },
	{ { 0xd9, 0xa9 }, 2, 0x6701, 0 },
	{ { 0xd9, 0xaa }, 2, 0x690c, 0 },
	{ { 0xd9, 0xab }, 2, 0x68d3, 0 },
	{ { 0xd9, 0xac }, 2, 0x6904, 0 },
	{ { 0xd9, 0xad }, 2, 0x68dc, 0 },
	{ { 0xd9, 0xae }, 2, 0x692a, 0 },
	{ { 0xd9, 0xaf }, 2, 0x68ec, 0 },
	{ { 0xd9, 0xb0 }, 2, 0x68ea, 0 },
	{ { 0xd9, 0xb1 }, 2, 0x68f1, 0 },
	{ { 0xd9, 0xb2 }, 2, 0x690f, 0 },
	{ { 0xd9, 0xb3 }, 2, 0x68d6, 0 },
	{ { 0xd9, 0xb4 }, 2, 0x68f7, 0 },
	{ { 0xd9, 0xb5 }, 2, 0x68eb, 0 },
	{ { 0xd9, 0xb6 }, 2, 0x68e4, 0 },
	{ { 0xd9, 0xb7 }, 2, 0x68f6, 0 },
	{ { 0xd9, 0xb8 }, 2, 0x6913, 0 },
	{ { 0xd9, 0xb9 }, 2, 0x6910, 0 },
	{ { 0xd9, 0xba }, 2, 0x68f3, 0 },
	{ { 0xd9, 0xbb }, 2, 0x68e1, 0 },
	{ { 0xd9, 0xbc }, 2, 0x6907, 0 },
	{ { 0xd9, 0xbd }, 2, 0x68cc, 0 },
	{ { 0xd9, 0xbe }, 2, 0x6908, 0 },
	{ { 0xd9, 0xbf }, 2, 0x6970, 0 },
	{ { 0xd9, 0xc0 }, 2, 0x68b4, 0 },
	{ { 0xd9, 0xc1 }, 2, 0x6911, 0 },
	{ { 0xd9, 0xc2 }, 2, 0x68ef, 0 },
	{ { 0xd9, 0xc3 }, 2, 0x68c6, 0 },
	{ { 0xd9, 0xc4 }, 2, 0x6914, 0 },
	{ { 0xd9, 0xc5 }, 2, 0x68f8, 0 },
	{ { 0xd9, 0xc6 }, 2, 0x68d0, 0 },
	{ { 0xd9, 0xc7 }, 2, 0x68fd, 0 },
	{ { 0xd9, 0xc8 }, 2, 0x68fc, 0 },
	{ { 0xd9, 0xc9 }, 2, 0x68e8, 0 },
	{ { 0xd9, 0xca }, 2, 0x690b, 0 },
	{ { 0xd9, 0xcb }, 2, 0x690a, 0 },
	{ { 0xd9, 0xcc }, 2, 0x6917, 0 },
	{ { 0xd9, 0xcd }, 2, 0x68ce, 0 },
	{ { 0xd9, 0xce }, 2, 0x68c8, 0 },
	{ { 0xd9, 0xcf }, 2, 0x68dd, 0 },
	{ { 0xd9, 0xd0 }, 2, 0x68de, 0 },
	{ { 0xd9, 0xd1 }, 2, 0x68e6, 0 },
	{ { 0xd9, 0xd2 }, 2, 0x68f4, 0 },
	{ { 0xd9, 0xd3 }, 2, 0x68d1, 0 },
	{ { 0xd9, 0xd4 }, 2, 0x6906, 0 },
	{ { 0xd9, 0xd5 }, 2, 0x68d4, 0 },
	{ { 0xd9, 0xd6 }, 2, 0x68e9, 0 },
	{ { 0xd9, 0xd7 }, 2, 0x6915, 0 },
	{ { 0xd9, 0xd8 }, 2, 0x6925, 0 },
	{ { 0xd9, 0xd9 }, 2, 0x68c7, 0 },
	{ { 0xd9, 0xda }, 2, 0x6b39, 0 },
	{ { 0xd9, 0xdb }, 2, 0x6b3b, 0 },
	{ { 0xd9, 0xdc }, 2, 0x6b3f, 0 },
	{ { 0xd9, 0xdd }, 2, 0x6b3c, 0 },
	{ { 0xd9, 0xde }, 2, 0x6b94, 0 },
	{ { 0xd9, 0xdf }, 2, 0x6b97, 0 },
	{ { 0xd9, 0xe0 }, 2, 0x6b99, 0 },
	{ { 0xd9, 0xe1 }, 2, 0x6b95, 0 },
	{ { 0xd9, 0xe2 }, 2, 0x6bbd, 0 },
	{ { 0xd9, 0xe3 }, 2, 0x6bf0, 0 },
	{ { 0xd9, 0xe4 }, 2, 0x6bf2, 0 },
	{ { 0xd9, 0xe5 }, 2, 0x6bf3, 0 },
	{ { 0xd9, 0xe6 }, 2, 0x6c30, 0 },
	{ { 0xd9, 0xe7 }, 2, 0x6dfc, 0 },
	{ { 0xd9, 0xe8 }, 2, 0x6e46, 0 },
	{ { 0xd9, 0xe9 }, 2, 0x6e47, 0 },
	{ { 0xd9, 0xea }, 2, 0x6e1f, 0 },
	{ { 0xd9, 0xeb }, 2, 0x6e49, 0 },
	{ { 0xd9, 0xec }, 2, 0x6e88, 0 },
	{ { 0xd9, 0xed }, 2, 0x6e3c, 0 },
	{ { 0xd9, 0xee }, 2, 0x6e3d, 0 },
	{ { 0xd9, 0xef }, 2, 0x6e45, 0 },
	{ { 0xd9, 0xf0 }, 2, 0x6e62, 0 },
	{ { 0xd9, 0xf1 }, 2, 0x6e2b, 0 },
	{ { 0xd9, 0xf2 }, 2, 0x6e3f, 0 },
	{ { 0xd9, 0xf3 }, 2, 0x6e41, 0 },
	{ { 0xd9, 0xf4 }, 2, 0x6e5d, 0 },
	{ { 0xd9, 0xf5 }, 2, 0x6e73, 0 },
	{ { 0xd9, 0xf6 }, 2, 0x6e1c, 0 },
	{ { 0xd9, 0xf7 }, 2, 0x6e33, 0 },
	{ { 0xd9, 0xf8 }, 2, 0x6e4b, 0 },
	{ { 0xd9, 0xf9 }, 2, 0x6e40, 0 },
	{ { 0xd9, 0xfa }, 2, 0x6e51, 0 },
	{ { 0xd9, 0xfb }, 2, 0x6e3b, 0 },
	{ { 0xd9, 0xfc }, 2, 0x6e03, 0 },
	{ { 0xd9, 0xfd }, 2, 0x6e2e, 0 },
	{ { 0xd9, 0xfe }, 2, 0x6e5e, 0 },

	{ { 0xda, 0x40 }, 2, 0x6e68, 0 },
	{ { 0xda, 0x41 }, 2, 0x6e5c, 0 },
	{ { 0xda, 0x42 }, 2, 0x6e61, 0 },
	{ { 0xda, 0x43 }, 2, 0x6e31, 0 },
	{ { 0xda, 0x44 }, 2, 0x6e28, 0 },
	{ { 0xda, 0x45 }, 2, 0x6e60, 0 },
	{ { 0xda, 0x46 }, 2, 0x6e71, 0 },
	{ { 0xda, 0x47 }, 2, 0x6e6b, 0 },
	{ { 0xda, 0x48 }, 2, 0x6e39, 0 },
	{ { 0xda, 0x49 }, 2, 0x6e22, 0 },
	{ { 0xda, 0x4a }, 2, 0x6e30, 0 },
	{ { 0xda, 0x4b }, 2, 0x6e53, 0 },
	{ { 0xda, 0x4c }, 2, 0x6e65, 0 },
	{ { 0xda, 0x4d }, 2, 0x6e27, 0 },
	{ { 0xda, 0x4e }, 2, 0x6e78, 0 },
	{ { 0xda, 0x4f }, 2, 0x6e64, 0 },
	{ { 0xda, 0x50 }, 2, 0x6e77, 0 },
	{ { 0xda, 0x51 }, 2, 0x6e55, 0 },
	{ { 0xda, 0x52 }, 2, 0x6e79, 0 },
	{ { 0xda, 0x53 }, 2, 0x6e52, 0 },
	{ { 0xda, 0x54 }, 2, 0x6e66, 0 },
	{ { 0xda, 0x55 }, 2, 0x6e35, 0 },
	{ { 0xda, 0x56 }, 2, 0x6e36, 0 },
	{ { 0xda, 0x57 }, 2, 0x6e5a, 0 },
	{ { 0xda, 0x58 }, 2, 0x7120, 0 },
	{ { 0xda, 0x59 }, 2, 0x711e, 0 },
	{ { 0xda, 0x5a }, 2, 0x712f, 0 },
	{ { 0xda, 0x5b }, 2, 0x70fb, 0 },
	{ { 0xda, 0x5c }, 2, 0x712e, 0 },
	{ { 0xda, 0x5d }, 2, 0x7131, 0 },
	{ { 0xda, 0x5e }, 2, 0x7123, 0 },
	{ { 0xda, 0x5f }, 2, 0x7125, 0 },
	{ { 0xda, 0x60 }, 2, 0x7122, 0 },
	{ { 0xda, 0x61 }, 2, 0x7132, 0 },
	{ { 0xda, 0x62 }, 2, 0x711f, 0 },
	{ { 0xda, 0x63 }, 2, 0x7128, 0 },
	{ { 0xda, 0x64 }, 2, 0x713a, 0 },
	{ { 0xda, 0x65 }, 2, 0x711b, 0 },
	{ { 0xda, 0x66 }, 2, 0x724b, 0 },
	{ { 0xda, 0x67 }, 2, 0x725a, 0 },
	{ { 0xda, 0x68 }, 2, 0x7288, 0 },
	{ { 0xda, 0x69 }, 2, 0x7289, 0 },
	{ { 0xda, 0x6a }, 2, 0x7286, 0 },
	{ { 0xda, 0x6b }, 2, 0x7285, 0 },
	{ { 0xda, 0x6c }, 2, 0x728b, 0 },
	{ { 0xda, 0x6d }, 2, 0x7312, 0 },
	{ { 0xda, 0x6e }, 2, 0x730b, 0 },
	{ { 0xda, 0x6f }, 2, 0x7330, 0 },
	{ { 0xda, 0x70 }, 2, 0x7322, 0 },
	{ { 0xda, 0x71 }, 2, 0x7331, 0 },
	{ { 0xda, 0x72 }, 2, 0x7333, 0 },
	{ { 0xda, 0x73 }, 2, 0x7327, 0 },
	{ { 0xda, 0x74 }, 2, 0x7332, 0 },
	{ { 0xda, 0x75 }, 2, 0x732d, 0 },
	{ { 0xda, 0x76 }, 2, 0x7326, 0 },
	{ { 0xda, 0x77 }, 2, 0x7323, 0 },
	{ { 0xda, 0x78 }, 2, 0x7335, 0 },
	{ { 0xda, 0x79 }, 2, 0x730c, 0 },
	{ { 0xda, 0x7a }, 2, 0x742e, 0 },
	{ { 0xda, 0x7b }, 2, 0x742c, 0 },
	{ { 0xda, 0x7c }, 2, 0x7430, 0 },
	{ { 0xda, 0x7d }, 2, 0x742b, 0 },
	{ { 0xda, 0x7e }, 2, 0x7416, 0 },
	{ { 0xda, 0xa1 }, 2, 0x741a, 0 },
	{ { 0xda, 0xa2 }, 2, 0x7421, 0 },
	{ { 0xda, 0xa3 }, 2, 0x742d, 0 },
	{ { 0xda, 0xa4 }, 2, 0x7431, 0 },
	{ { 0xda, 0xa5 }, 2, 0x7424, 0 },
	{ { 0xda, 0xa6 }, 2, 0x7423, 0 },
	{ { 0xda, 0xa7 }, 2, 0x741d, 0 },
	{ { 0xda, 0xa8 }, 2, 0x7429, 0 },
	{ { 0xda, 0xa9 }, 2, 0x7420, 0 },
	{ { 0xda, 0xaa }, 2, 0x7432, 0 },
	{ { 0xda, 0xab }, 2, 0x74fb, 0 },
	{ { 0xda, 0xac }, 2, 0x752f, 0 },
	{ { 0xda, 0xad }, 2, 0x756f, 0 },
	{ { 0xda, 0xae }, 2, 0x756c, 0 },
	{ { 0xda, 0xaf }, 2, 0x75e7, 0 },
	{ { 0xda, 0xb0 }, 2, 0x75da, 0 },
	{ { 0xda, 0xb1 }, 2, 0x75e1, 0 },
	{ { 0xda, 0xb2 }, 2, 0x75e6, 0 },
	{ { 0xda, 0xb3 }, 2, 0x75dd, 0 },
	{ { 0xda, 0xb4 }, 2, 0x75df, 0 },
	{ { 0xda, 0xb5 }, 2, 0x75e4, 0 },
	{ { 0xda, 0xb6 }, 2, 0x75d7, 0 },
	{ { 0xda, 0xb7 }, 2, 0x7695, 0 },
	{ { 0xda, 0xb8 }, 2, 0x7692, 0 },
	{ { 0xda, 0xb9 }, 2, 0x76da, 0 },
	{ { 0xda, 0xba }, 2, 0x7746, 0 },
	{ { 0xda, 0xbb }, 2, 0x7747, 0 },
	{ { 0xda, 0xbc }, 2, 0x7744, 0 },
	{ { 0xda, 0xbd }, 2, 0x774d, 0 },
	{ { 0xda, 0xbe }, 2, 0x7745, 0 },
	{ { 0xda, 0xbf }, 2, 0x774a, 0 },
	{ { 0xda, 0xc0 }, 2, 0x774e, 0 },
	{ { 0xda, 0xc1 }, 2, 0x774b, 0 },
	{ { 0xda, 0xc2 }, 2, 0x774c, 0 },
	{ { 0xda, 0xc3 }, 2, 0x77de, 0 },
	{ { 0xda, 0xc4 }, 2, 0x77ec, 0 },
	{ { 0xda, 0xc5 }, 2, 0x7860, 0 },
	{ { 0xda, 0xc6 }, 2, 0x7864, 0 },
	{ { 0xda, 0xc7 }, 2, 0x7865, 0 },
	{ { 0xda, 0xc8 }, 2, 0x785c, 0 },
	{ { 0xda, 0xc9 }, 2, 0x786d, 0 },
	{ { 0xda, 0xca }, 2, 0x7871, 0 },
	{ { 0xda, 0xcb }, 2, 0x786a, 0 },
	{ { 0xda, 0xcc }, 2, 0x786e, 0 },
	{ { 0xda, 0xcd }, 2, 0x7870, 0 },
	{ { 0xda, 0xce }, 2, 0x7869, 0 },
	{ { 0xda, 0xcf }, 2, 0x7868, 0 },
	{ { 0xda, 0xd0 }, 2, 0x785e, 0 },
	{ { 0xda, 0xd1 }, 2, 0x7862, 0 },
	{ { 0xda, 0xd2 }, 2, 0x7974, 0 },
	{ { 0xda, 0xd3 }, 2, 0x7973, 0 },
	{ { 0xda, 0xd4 }, 2, 0x7972, 0 },
	{ { 0xda, 0xd5 }, 2, 0x7970, 0 },
	{ { 0xda, 0xd6 }, 2, 0x7a02, 0 },
	{ { 0xda, 0xd7 }, 2, 0x7a0a, 0 },
	{ { 0xda, 0xd8 }, 2, 0x7a03, 0 },
	{ { 0xda, 0xd9 }, 2, 0x7a0c, 0 },
	{ { 0xda, 0xda }, 2, 0x7a04, 0 },
	{ { 0xda, 0xdb }, 2, 0x7a99, 0 },
	{ { 0xda, 0xdc }, 2, 0x7ae6, 0 },
	{ { 0xda, 0xdd }, 2, 0x7ae4, 0 },
	{ { 0xda, 0xde }, 2, 0x7b4a, 0 },
	{ { 0xda, 0xdf }, 2, 0x7b3b, 0 },
	{ { 0xda, 0xe0 }, 2, 0x7b44, 0 },
	{ { 0xda, 0xe1 }, 2, 0x7b48, 0 },
	{ { 0xda, 0xe2 }, 2, 0x7b4c, 0 },
	{ { 0xda, 0xe3 }, 2, 0x7b4e, 0 },
	{ { 0xda, 0xe4 }, 2, 0x7b40, 0 },
	{ { 0xda, 0xe5 }, 2, 0x7b58, 0 },
	{ { 0xda, 0xe6 }, 2, 0x7b45, 0 },
	{ { 0xda, 0xe7 }, 2, 0x7ca2, 0 },
	{ { 0xda, 0xe8 }, 2, 0x7c9e, 0 },
	{ { 0xda, 0xe9 }, 2, 0x7ca8, 0 },
	{ { 0xda, 0xea }, 2, 0x7ca1, 0 },
	{ { 0xda, 0xeb }, 2, 0x7d58, 0 },
	{ { 0xda, 0xec }, 2, 0x7d6f, 0 },
	{ { 0xda, 0xed }, 2, 0x7d63, 0 },
	{ { 0xda, 0xee }, 2, 0x7d53, 0 },
	{ { 0xda, 0xef }, 2, 0x7d56, 0 },
	{ { 0xda, 0xf0 }, 2, 0x7d67, 0 },
	{ { 0xda, 0xf1 }, 2, 0x7d6a, 0 },
	{ { 0xda, 0xf2 }, 2, 0x7d4f, 0 },
	{ { 0xda, 0xf3 }, 2, 0x7d6d, 0 },
	{ { 0xda, 0xf4 }, 2, 0x7d5c, 0 },
	{ { 0xda, 0xf5 }, 2, 0x7d6b, 0 },
	{ { 0xda, 0xf6 }, 2, 0x7d52, 0 },
	{ { 0xda, 0xf7 }, 2, 0x7d54, 0 },
	{ { 0xda, 0xf8 }, 2, 0x7d69, 0 },
	{ { 0xda, 0xf9 }, 2, 0x7d51, 0 },
	{ { 0xda, 0xfa }, 2, 0x7d5f, 0 },
	{ { 0xda, 0xfb }, 2, 0x7d4e, 0 },
	{ { 0xda, 0xfc }, 2, 0x7f3e, 0 },
	{ { 0xda, 0xfd }, 2, 0x7f3f, 0 },
	{ { 0xda, 0xfe }, 2, 0x7f65, 0 },

	{ { 0xdb, 0x40 }, 2, 0x7f66, 0 },
	{ { 0xdb, 0x41 }, 2, 0x7fa2, 0 },
	{ { 0xdb, 0x42 }, 2, 0x7fa0, 0 },
	{ { 0xdb, 0x43 }, 2, 0x7fa1, 0 },
	{ { 0xdb, 0x44 }, 2, 0x7fd7, 0 },
	{ { 0xdb, 0x45 }, 2, 0x8051, 0 },
	{ { 0xdb, 0x46 }, 2, 0x804f, 0 },
	{ { 0xdb, 0x47 }, 2, 0x8050, 0 },
	{ { 0xdb, 0x48 }, 2, 0x80fe, 0 },
	{ { 0xdb, 0x49 }, 2, 0x80d4, 0 },
	{ { 0xdb, 0x4a }, 2, 0x8143, 0 },
	{ { 0xdb, 0x4b }, 2, 0x814a, 0 },
	{ { 0xdb, 0x4c }, 2, 0x8152, 0 },
	{ { 0xdb, 0x4d }, 2, 0x814f, 0 },
	{ { 0xdb, 0x4e }, 2, 0x8147, 0 },
	{ { 0xdb, 0x4f }, 2, 0x813d, 0 },
	{ { 0xdb, 0x50 }, 2, 0x814d, 0 },
	{ { 0xdb, 0x51 }, 2, 0x813a, 0 },
	{ { 0xdb, 0x52 }, 2, 0x81e6, 0 },
	{ { 0xdb, 0x53 }, 2, 0x81ee, 0 },
	{ { 0xdb, 0x54 }, 2, 0x81f7, 0 },
	{ { 0xdb, 0x55 }, 2, 0x81f8, 0 },
	{ { 0xdb, 0x56 }, 2, 0x81f9, 0 },
	{ { 0xdb, 0x57 }, 2, 0x8204, 0 },
	{ { 0xdb, 0x58 }, 2, 0x823c, 0 },
	{ { 0xdb, 0x59 }, 2, 0x823d, 0 },
	{ { 0xdb, 0x5a }, 2, 0x823f, 0 },
	{ { 0xdb, 0x5b }, 2, 0x8275, 0 },
	{ { 0xdb, 0x5c }, 2, 0x833b, 0 },
	{ { 0xdb, 0x5d }, 2, 0x83cf, 0 },
	{ { 0xdb, 0x5e }, 2, 0x83f9, 0 },
	{ { 0xdb, 0x5f }, 2, 0x8423, 0 },
	{ { 0xdb, 0x60 }, 2, 0x83c0, 0 },
	{ { 0xdb, 0x61 }, 2, 0x83e8, 0 },
	{ { 0xdb, 0x62 }, 2, 0x8412, 0 },
	{ { 0xdb, 0x63 }, 2, 0x83e7, 0 },
	{ { 0xdb, 0x64 }, 2, 0x83e4, 0 },
	{ { 0xdb, 0x65 }, 2, 0x83fc, 0 },
	{ { 0xdb, 0x66 }, 2, 0x83f6, 0 },
	{ { 0xdb, 0x67 }, 2, 0x8410, 0 },
	{ { 0xdb, 0x68 }, 2, 0x83c6, 0 },
	{ { 0xdb, 0x69 }, 2, 0x83c8, 0 },
	{ { 0xdb, 0x6a }, 2, 0x83eb, 0 },
	{ { 0xdb, 0x6b }, 2, 0x83e3, 0 },
	{ { 0xdb, 0x6c }, 2, 0x83bf, 0 },
	{ { 0xdb, 0x6d }, 2, 0x8401, 0 },
	{ { 0xdb, 0x6e }, 2, 0x83dd, 0 },
	{ { 0xdb, 0x6f }, 2, 0x83e5, 0 },
	{ { 0xdb, 0x70 }, 2, 0x83d8, 0 },
	{ { 0xdb, 0x71 }, 2, 0x83ff, 0 },
	{ { 0xdb, 0x72 }, 2, 0x83e1, 0 },
	{ { 0xdb, 0x73 }, 2, 0x83cb, 0 },
	{ { 0xdb, 0x74 }, 2, 0x83ce, 0 },
	{ { 0xdb, 0x75 }, 2, 0x83d6, 0 },
	{ { 0xdb, 0x76 }, 2, 0x83f5, 0 },
	{ { 0xdb, 0x77 }, 2, 0x83c9, 0 },
	{ { 0xdb, 0x78 }, 2, 0x8409, 0 },
	{ { 0xdb, 0x79 }, 2, 0x840f, 0 },
	{ { 0xdb, 0x7a }, 2, 0x83de, 0 },
	{ { 0xdb, 0x7b }, 2, 0x8411, 0 },
	{ { 0xdb, 0x7c }, 2, 0x8406, 0 },
	{ { 0xdb, 0x7d }, 2, 0x83c2, 0 },
	{ { 0xdb, 0x7e }, 2, 0x83f3, 0 },
	{ { 0xdb, 0xa1 }, 2, 0x83d5, 0 },
	{ { 0xdb, 0xa2 }, 2, 0x83fa, 0 },
	{ { 0xdb, 0xa3 }, 2, 0x83c7, 0 },
	{ { 0xdb, 0xa4 }, 2, 0x83d1, 0 },
	{ { 0xdb, 0xa5 }, 2, 0x83ea, 0 },
	{ { 0xdb, 0xa6 }, 2, 0x8413, 0 },
	{ { 0xdb, 0xa7 }, 2, 0x83c3, 0 },
	{ { 0xdb, 0xa8 }, 2, 0x83ec, 0 },
	{ { 0xdb, 0xa9 }, 2, 0x83ee, 0 },
	{ { 0xdb, 0xaa }, 2, 0x83c4, 0 },
	{ { 0xdb, 0xab }, 2, 0x83fb, 0 },
	{ { 0xdb, 0xac }, 2, 0x83d7, 0 },
	{ { 0xdb, 0xad }, 2, 0x83e2, 0 },
	{ { 0xdb, 0xae }, 2, 0x841b, 0 },
	{ { 0xdb, 0xaf }, 2, 0x83db, 0 },
	{ { 0xdb, 0xb0 }, 2, 0x83fe, 0 },
	{ { 0xdb, 0xb1 }, 2, 0x86d8, 0 },
	{ { 0xdb, 0xb2 }, 2, 0x86e2, 0 },
	{ { 0xdb, 0xb3 }, 2, 0x86e6, 0 },
	{ { 0xdb, 0xb4 }, 2, 0x86d3, 0 },
	{ { 0xdb, 0xb5 }, 2, 0x86e3, 0 },
	{ { 0xdb, 0xb6 }, 2, 0x86da, 0 },
	{ { 0xdb, 0xb7 }, 2, 0x86ea, 0 },
	{ { 0xdb, 0xb8 }, 2, 0x86dd, 0 },
	{ { 0xdb, 0xb9 }, 2, 0x86eb, 0 },
	{ { 0xdb, 0xba }, 2, 0x86dc, 0 },
	{ { 0xdb, 0xbb }, 2, 0x86ec, 0 },
	{ { 0xdb, 0xbc }, 2, 0x86e9, 0 },
	{ { 0xdb, 0xbd }, 2, 0x86d7, 0 },
	{ { 0xdb, 0xbe }, 2, 0x86e8, 0 },
	{ { 0xdb, 0xbf }, 2, 0x86d1, 0 },
	{ { 0xdb, 0xc0 }, 2, 0x8848, 0 },
	{ { 0xdb, 0xc1 }, 2, 0x8856, 0 },
	{ { 0xdb, 0xc2 }, 2, 0x8855, 0 },
	{ { 0xdb, 0xc3 }, 2, 0x88ba, 0 },
	{ { 0xdb, 0xc4 }, 2, 0x88d7, 0 },
	{ { 0xdb, 0xc5 }, 2, 0x88b9, 0 },
	{ { 0xdb, 0xc6 }, 2, 0x88b8, 0 },
	{ { 0xdb, 0xc7 }, 2, 0x88c0, 0 },
	{ { 0xdb, 0xc8 }, 2, 0x88be, 0 },
	{ { 0xdb, 0xc9 }, 2, 0x88b6, 0 },
	{ { 0xdb, 0xca }, 2, 0x88bc, 0 },
	{ { 0xdb, 0xcb }, 2, 0x88b7, 0 },
	{ { 0xdb, 0xcc }, 2, 0x88bd, 0 },
	{ { 0xdb, 0xcd }, 2, 0x88b2, 0 },
	{ { 0xdb, 0xce }, 2, 0x8901, 0 },
	{ { 0xdb, 0xcf }, 2, 0x88c9, 0 },
	{ { 0xdb, 0xd0 }, 2, 0x8995, 0 },
	{ { 0xdb, 0xd1 }, 2, 0x8998, 0 },
	{ { 0xdb, 0xd2 }, 2, 0x8997, 0 },
	{ { 0xdb, 0xd3 }, 2, 0x89dd, 0 },
	{ { 0xdb, 0xd4 }, 2, 0x89da, 0 },
	{ { 0xdb, 0xd5 }, 2, 0x89db, 0 },
	{ { 0xdb, 0xd6 }, 2, 0x8a4e, 0 },
	{ { 0xdb, 0xd7 }, 2, 0x8a4d, 0 },
	{ { 0xdb, 0xd8 }, 2, 0x8a39, 0 },
	{ { 0xdb, 0xd9 }, 2, 0x8a59, 0 },
	{ { 0xdb, 0xda }, 2, 0x8a40, 0 },
	{ { 0xdb, 0xdb }, 2, 0x8a57, 0 },
	{ { 0xdb, 0xdc }, 2, 0x8a58, 0 },
	{ { 0xdb, 0xdd }, 2, 0x8a44, 0 },
	{ { 0xdb, 0xde }, 2, 0x8a45, 0 },
	{ { 0xdb, 0xdf }, 2, 0x8a52, 0 },
	{ { 0xdb, 0xe0 }, 2, 0x8a48, 0 },
	{ { 0xdb, 0xe1 }, 2, 0x8a51, 0 },
	{ { 0xdb, 0xe2 }, 2, 0x8a4a, 0 },
	{ { 0xdb, 0xe3 }, 2, 0x8a4c, 0 },
	{ { 0xdb, 0xe4 }, 2, 0x8a4f, 0 },
	{ { 0xdb, 0xe5 }, 2, 0x8c5f, 0 },
	{ { 0xdb, 0xe6 }, 2, 0x8c81, 0 },
	{ { 0xdb, 0xe7 }, 2, 0x8c80, 0 },
	{ { 0xdb, 0xe8 }, 2, 0x8cba, 0 },
	{ { 0xdb, 0xe9 }, 2, 0x8cbe, 0 },
	{ { 0xdb, 0xea }, 2, 0x8cb0, 0 },
	{ { 0xdb, 0xeb }, 2, 0x8cb9, 0 },
	{ { 0xdb, 0xec }, 2, 0x8cb5, 0 },
	{ { 0xdb, 0xed }, 2, 0x8d84, 0 },
	{ { 0xdb, 0xee }, 2, 0x8d80, 0 },
	{ { 0xdb, 0xef }, 2, 0x8d89, 0 },
	{ { 0xdb, 0xf0 }, 2, 0x8dd8, 0 },
	{ { 0xdb, 0xf1 }, 2, 0x8dd3, 0 },
	{ { 0xdb, 0xf2 }, 2, 0x8dcd, 0 },
	{ { 0xdb, 0xf3 }, 2, 0x8dc7, 0 },
	{ { 0xdb, 0xf4 }, 2, 0x8dd6, 0 },
	{ { 0xdb, 0xf5 }, 2, 0x8ddc, 0 },
	{ { 0xdb, 0xf6 }, 2, 0x8dcf, 0 },
	{ { 0xdb, 0xf7 }, 2, 0x8dd5, 0 },
	{ { 0xdb, 0xf8 }, 2, 0x8dd9, 0 },
	{ { 0xdb, 0xf9 }, 2, 0x8dc8, 0 },
	{ { 0xdb, 0xfa }, 2, 0x8dd7, 0 },
	{ { 0xdb, 0xfb }, 2, 0x8dc5, 0 },
	{ { 0xdb, 0xfc }, 2, 0x8eef, 0 },
	{ { 0xdb, 0xfd }, 2, 0x8ef7, 0 },
	{ { 0xdb, 0xfe }, 2, 0x8efa, 0 },

	{ { 0xdc, 0x40 }, 2, 0x8ef9, 0 },
	{ { 0xdc, 0x41 }, 2, 0x8ee6, 0 },
	{ { 0xdc, 0x42 }, 2, 0x8eee, 0 },
	{ { 0xdc, 0x43 }, 2, 0x8ee5, 0 },
	{ { 0xdc, 0x44 }, 2, 0x8ef5, 0 },
	{ { 0xdc, 0x45 }, 2, 0x8ee7, 0 },
	{ { 0xdc, 0x46 }, 2, 0x8ee8, 0 },
	{ { 0xdc, 0x47 }, 2, 0x8ef6, 0 },
	{ { 0xdc, 0x48 }, 2, 0x8eeb, 0 },
	{ { 0xdc, 0x49 }, 2, 0x8ef1, 0 },
	{ { 0xdc, 0x4a }, 2, 0x8eec, 0 },
	{ { 0xdc, 0x4b }, 2, 0x8ef4, 0 },
	{ { 0xdc, 0x4c }, 2, 0x8ee9, 0 },
	{ { 0xdc, 0x4d }, 2, 0x902d, 0 },
	{ { 0xdc, 0x4e }, 2, 0x9034, 0 },
	{ { 0xdc, 0x4f }, 2, 0x902f, 0 },
	{ { 0xdc, 0x50 }, 2, 0x9106, 0 },
	{ { 0xdc, 0x51 }, 2, 0x912c, 0 },
	{ { 0xdc, 0x52 }, 2, 0x9104, 0 },
	{ { 0xdc, 0x53 }, 2, 0x90ff, 0 },
	{ { 0xdc, 0x54 }, 2, 0x90fc, 0 },
	{ { 0xdc, 0x55 }, 2, 0x9108, 0 },
	{ { 0xdc, 0x56 }, 2, 0x90f9, 0 },
	{ { 0xdc, 0x57 }, 2, 0x90fb, 0 },
	{ { 0xdc, 0x58 }, 2, 0x9101, 0 },
	{ { 0xdc, 0x59 }, 2, 0x9100, 0 },
	{ { 0xdc, 0x5a }, 2, 0x9107, 0 },
	{ { 0xdc, 0x5b }, 2, 0x9105, 0 },
	{ { 0xdc, 0x5c }, 2, 0x9103, 0 },
	{ { 0xdc, 0x5d }, 2, 0x9161, 0 },
	{ { 0xdc, 0x5e }, 2, 0x9164, 0 },
	{ { 0xdc, 0x5f }, 2, 0x915f, 0 },
	{ { 0xdc, 0x60 }, 2, 0x9162, 0 },
	{ { 0xdc, 0x61 }, 2, 0x9160, 0 },
	{ { 0xdc, 0x62 }, 2, 0x9201, 0 },
	{ { 0xdc, 0x63 }, 2, 0x920a, 0 },
	{ { 0xdc, 0x64 }, 2, 0x9225, 0 },
	{ { 0xdc, 0x65 }, 2, 0x9203, 0 },
	{ { 0xdc, 0x66 }, 2, 0x921a, 0 },
	{ { 0xdc, 0x67 }, 2, 0x9226, 0 },
	{ { 0xdc, 0x68 }, 2, 0x920f, 0 },
	{ { 0xdc, 0x69 }, 2, 0x920c, 0 },
	{ { 0xdc, 0x6a }, 2, 0x9200, 0 },
	{ { 0xdc, 0x6b }, 2, 0x9212, 0 },
	{ { 0xdc, 0x6c }, 2, 0x91ff, 0 },
	{ { 0xdc, 0x6d }, 2, 0x91fd, 0 },
	{ { 0xdc, 0x6e }, 2, 0x9206, 0 },
	{ { 0xdc, 0x6f }, 2, 0x9204, 0 },
	{ { 0xdc, 0x70 }, 2, 0x9227, 0 },
	{ { 0xdc, 0x71 }, 2, 0x9202, 0 },
	{ { 0xdc, 0x72 }, 2, 0x921c, 0 },
	{ { 0xdc, 0x73 }, 2, 0x9224, 0 },
	{ { 0xdc, 0x74 }, 2, 0x9219, 0 },
	{ { 0xdc, 0x75 }, 2, 0x9217, 0 },
	{ { 0xdc, 0x76 }, 2, 0x9205, 0 },
	{ { 0xdc, 0x77 }, 2, 0x9216, 0 },
	{ { 0xdc, 0x78 }, 2, 0x957b, 0 },
	{ { 0xdc, 0x79 }, 2, 0x958d, 0 },
	{ { 0xdc, 0x7a }, 2, 0x958c, 0 },
	{ { 0xdc, 0x7b }, 2, 0x9590, 0 },
	{ { 0xdc, 0x7c }, 2, 0x9687, 0 },
	{ { 0xdc, 0x7d }, 2, 0x967e, 0 },
	{ { 0xdc, 0x7e }, 2, 0x9688, 0 },
	{ { 0xdc, 0xa1 }, 2, 0x9689, 0 },
	{ { 0xdc, 0xa2 }, 2, 0x9683, 0 },
	{ { 0xdc, 0xa3 }, 2, 0x9680, 0 },
	{ { 0xdc, 0xa4 }, 2, 0x96c2, 0 },
	{ { 0xdc, 0xa5 }, 2, 0x96c8, 0 },
	{ { 0xdc, 0xa6 }, 2, 0x96c3, 0 },
	{ { 0xdc, 0xa7 }, 2, 0x96f1, 0 },
	{ { 0xdc, 0xa8 }, 2, 0x96f0, 0 },
	{ { 0xdc, 0xa9 }, 2, 0x976c, 0 },
	{ { 0xdc, 0xaa }, 2, 0x9770, 0 },
	{ { 0xdc, 0xab }, 2, 0x976e, 0 },
	{ { 0xdc, 0xac }, 2, 0x9807, 0 },
	{ { 0xdc, 0xad }, 2, 0x98a9, 0 },
	{ { 0xdc, 0xae }, 2, 0x98eb, 0 },
	{ { 0xdc, 0xaf }, 2, 0x9ce6, 0 },
	{ { 0xdc, 0xb0 }, 2, 0x9ef9, 0 },
	{ { 0xdc, 0xb1 }, 2, 0x4e83, 0 },
	{ { 0xdc, 0xb2 }, 2, 0x4e84, 0 },
	{ { 0xdc, 0xb3 }, 2, 0x4eb6, 0 },
	{ { 0xdc, 0xb4 }, 2, 0x50bd, 0 },
	{ { 0xdc, 0xb5 }, 2, 0x50bf, 0 },
	{ { 0xdc, 0xb6 }, 2, 0x50c6, 0 },
	{ { 0xdc, 0xb7 }, 2, 0x50ae, 0 },
	{ { 0xdc, 0xb8 }, 2, 0x50c4, 0 },
	{ { 0xdc, 0xb9 }, 2, 0x50ca, 0 },
	{ { 0xdc, 0xba }, 2, 0x50b4, 0 },
	{ { 0xdc, 0xbb }, 2, 0x50c8, 0 },
	{ { 0xdc, 0xbc }, 2, 0x50c2, 0 },
	{ { 0xdc, 0xbd }, 2, 0x50b0, 0 },
	{ { 0xdc, 0xbe }, 2, 0x50c1, 0 },
	{ { 0xdc, 0xbf }, 2, 0x50ba, 0 },
	{ { 0xdc, 0xc0 }, 2, 0x50b1, 0 },
	{ { 0xdc, 0xc1 }, 2, 0x50cb, 0 },
	{ { 0xdc, 0xc2 }, 2, 0x50c9, 0 },
	{ { 0xdc, 0xc3 }, 2, 0x50b6, 0 },
	{ { 0xdc, 0xc4 }, 2, 0x50b8, 0 },
	{ { 0xdc, 0xc5 }, 2, 0x51d7, 0 },
	{ { 0xdc, 0xc6 }, 2, 0x527a, 0 },
	{ { 0xdc, 0xc7 }, 2, 0x5278, 0 },
	{ { 0xdc, 0xc8 }, 2, 0x527b, 0 },
	{ { 0xdc, 0xc9 }, 2, 0x527c, 0 },
	{ { 0xdc, 0xca }, 2, 0x55c3, 0 },
	{ { 0xdc, 0xcb }, 2, 0x55db, 0 },
	{ { 0xdc, 0xcc }, 2, 0x55cc, 0 },
	{ { 0xdc, 0xcd }, 2, 0x55d0, 0 },
	{ { 0xdc, 0xce }, 2, 0x55cb, 0 },
	{ { 0xdc, 0xcf }, 2, 0x55ca, 0 },
	{ { 0xdc, 0xd0 }, 2, 0x55dd, 0 },
	{ { 0xdc, 0xd1 }, 2, 0x55c0, 0 },
	{ { 0xdc, 0xd2 }, 2, 0x55d4, 0 },
	{ { 0xdc, 0xd3 }, 2, 0x55c4, 0 },
	{ { 0xdc, 0xd4 }, 2, 0x55e9, 0 },
	{ { 0xdc, 0xd5 }, 2, 0x55bf, 0 },
	{ { 0xdc, 0xd6 }, 2, 0x55d2, 0 },
	{ { 0xdc, 0xd7 }, 2, 0x558d, 0 },
	{ { 0xdc, 0xd8 }, 2, 0x55cf, 0 },
	{ { 0xdc, 0xd9 }, 2, 0x55d5, 0 },
	{ { 0xdc, 0xda }, 2, 0x55e2, 0 },
	{ { 0xdc, 0xdb }, 2, 0x55d6, 0 },
	{ { 0xdc, 0xdc }, 2, 0x55c8, 0 },
	{ { 0xdc, 0xdd }, 2, 0x55f2, 0 },
	{ { 0xdc, 0xde }, 2, 0x55cd, 0 },
	{ { 0xdc, 0xdf }, 2, 0x55d9, 0 },
	{ { 0xdc, 0xe0 }, 2, 0x55c2, 0 },
	{ { 0xdc, 0xe1 }, 2, 0x5714, 0 },
	{ { 0xdc, 0xe2 }, 2, 0x5853, 0 },
	{ { 0xdc, 0xe3 }, 2, 0x5868, 0 },
	{ { 0xdc, 0xe4 }, 2, 0x5864, 0 },
	{ { 0xdc, 0xe5 }, 2, 0x584f, 0 },
	{ { 0xdc, 0xe6 }, 2, 0x584d, 0 },
	{ { 0xdc, 0xe7 }, 2, 0x5849, 0 },
	{ { 0xdc, 0xe8 }, 2, 0x586f, 0 },
	{ { 0xdc, 0xe9 }, 2, 0x5855, 0 },
	{ { 0xdc, 0xea }, 2, 0x584e, 0 },
	{ { 0xdc, 0xeb }, 2, 0x585d, 0 },
	{ { 0xdc, 0xec }, 2, 0x5859, 0 },
	{ { 0xdc, 0xed }, 2, 0x5865, 0 },
	{ { 0xdc, 0xee }, 2, 0x585b, 0 },
	{ { 0xdc, 0xef }, 2, 0x583d, 0 },
	{ { 0xdc, 0xf0 }, 2, 0x5863, 0 },
	{ { 0xdc, 0xf1 }, 2, 0x5871, 0 },
	{ { 0xdc, 0xf2 }, 2, 0x58fc, 0 },
	{ { 0xdc, 0xf3 }, 2, 0x5ac7, 0 },
	{ { 0xdc, 0xf4 }, 2, 0x5ac4, 0 },
	{ { 0xdc, 0xf5 }, 2, 0x5acb, 0 },
	{ { 0xdc, 0xf6 }, 2, 0x5aba, 0 },
	{ { 0xdc, 0xf7 }, 2, 0x5ab8, 0 },
	{ { 0xdc, 0xf8 }, 2, 0x5ab1, 0 },
	{ { 0xdc, 0xf9 }, 2, 0x5ab5, 0 },
	{ { 0xdc, 0xfa }, 2, 0x5ab0, 0 },
	{ { 0xdc, 0xfb }, 2, 0x5abf, 0 },
	{ { 0xdc, 0xfc }, 2, 0x5ac8, 0 },
	{ { 0xdc, 0xfd }, 2, 0x5abb, 0 },
	{ { 0xdc, 0xfe }, 2, 0x5ac6, 0 },

	{ { 0xdd, 0x40 }, 2, 0x5ab7, 0 },
	{ { 0xdd, 0x41 }, 2, 0x5ac0, 0 },
	{ { 0xdd, 0x42 }, 2, 0x5aca, 0 },
	{ { 0xdd, 0x43 }, 2, 0x5ab4, 0 },
	{ { 0xdd, 0x44 }, 2, 0x5ab6, 0 },
	{ { 0xdd, 0x45 }, 2, 0x5acd, 0 },
	{ { 0xdd, 0x46 }, 2, 0x5ab9, 0 },
	{ { 0xdd, 0x47 }, 2, 0x5a90, 0 },
	{ { 0xdd, 0x48 }, 2, 0x5bd6, 0 },
	{ { 0xdd, 0x49 }, 2, 0x5bd8, 0 },
	{ { 0xdd, 0x4a }, 2, 0x5bd9, 0 },
	{ { 0xdd, 0x4b }, 2, 0x5c1f, 0 },
	{ { 0xdd, 0x4c }, 2, 0x5c33, 0 },
	{ { 0xdd, 0x4d }, 2, 0x5d71, 0 },
	{ { 0xdd, 0x4e }, 2, 0x5d63, 0 },
	{ { 0xdd, 0x4f }, 2, 0x5d4a, 0 },
	{ { 0xdd, 0x50 }, 2, 0x5d65, 0 },
	{ { 0xdd, 0x51 }, 2, 0x5d72, 0 },
	{ { 0xdd, 0x52 }, 2, 0x5d6c, 0 },
	{ { 0xdd, 0x53 }, 2, 0x5d5e, 0 },
	{ { 0xdd, 0x54 }, 2, 0x5d68, 0 },
	{ { 0xdd, 0x55 }, 2, 0x5d67, 0 },
	{ { 0xdd, 0x56 }, 2, 0x5d62, 0 },
	{ { 0xdd, 0x57 }, 2, 0x5df0, 0 },
	{ { 0xdd, 0x58 }, 2, 0x5e4f, 0 },
	{ { 0xdd, 0x59 }, 2, 0x5e4e, 0 },
	{ { 0xdd, 0x5a }, 2, 0x5e4a, 0 },
	{ { 0xdd, 0x5b }, 2, 0x5e4d, 0 },
	{ { 0xdd, 0x5c }, 2, 0x5e4b, 0 },
	{ { 0xdd, 0x5d }, 2, 0x5ec5, 0 },
	{ { 0xdd, 0x5e }, 2, 0x5ecc, 0 },
	{ { 0xdd, 0x5f }, 2, 0x5ec6, 0 },
	{ { 0xdd, 0x60 }, 2, 0x5ecb, 0 },
	{ { 0xdd, 0x61 }, 2, 0x5ec7, 0 },
	{ { 0xdd, 0x62 }, 2, 0x5f40, 0 },
	{ { 0xdd, 0x63 }, 2, 0x5faf, 0 },
	{ { 0xdd, 0x64 }, 2, 0x5fad, 0 },
	{ { 0xdd, 0x65 }, 2, 0x60f7, 0 },
	{ { 0xdd, 0x66 }, 2, 0x6149, 0 },
	{ { 0xdd, 0x67 }, 2, 0x614a, 0 },
	{ { 0xdd, 0x68 }, 2, 0x612b, 0 },
	{ { 0xdd, 0x69 }, 2, 0x6145, 0 },
	{ { 0xdd, 0x6a }, 2, 0x6136, 0 },
	{ { 0xdd, 0x6b }, 2, 0x6132, 0 },
	{ { 0xdd, 0x6c }, 2, 0x612e, 0 },
	{ { 0xdd, 0x6d }, 2, 0x6146, 0 },
	{ { 0xdd, 0x6e }, 2, 0x612f, 0 },
	{ { 0xdd, 0x6f }, 2, 0x614f, 0 },
	{ { 0xdd, 0x70 }, 2, 0x6129, 0 },
	{ { 0xdd, 0x71 }, 2, 0x6140, 0 },
	{ { 0xdd, 0x72 }, 2, 0x6220, 0 },
	{ { 0xdd, 0x73 }, 2, 0x9168, 0 },
	{ { 0xdd, 0x74 }, 2, 0x6223, 0 },
	{ { 0xdd, 0x75 }, 2, 0x6225, 0 },
	{ { 0xdd, 0x76 }, 2, 0x6224, 0 },
	{ { 0xdd, 0x77 }, 2, 0x63c5, 0 },
	{ { 0xdd, 0x78 }, 2, 0x63f1, 0 },
	{ { 0xdd, 0x79 }, 2, 0x63eb, 0 },
	{ { 0xdd, 0x7a }, 2, 0x6410, 0 },
	{ { 0xdd, 0x7b }, 2, 0x6412, 0 },
	{ { 0xdd, 0x7c }, 2, 0x6409, 0 },
	{ { 0xdd, 0x7d }, 2, 0x6420, 0 },
	{ { 0xdd, 0x7e }, 2, 0x6424, 0 },
	{ { 0xdd, 0xa1 }, 2, 0x6433, 0 },
	{ { 0xdd, 0xa2 }, 2, 0x6443, 0 },
	{ { 0xdd, 0xa3 }, 2, 0x641f, 0 },
	{ { 0xdd, 0xa4 }, 2, 0x6415, 0 },
	{ { 0xdd, 0xa5 }, 2, 0x6418, 0 },
	{ { 0xdd, 0xa6 }, 2, 0x6439, 0 },
	{ { 0xdd, 0xa7 }, 2, 0x6437, 0 },
	{ { 0xdd, 0xa8 }, 2, 0x6422, 0 },
	{ { 0xdd, 0xa9 }, 2, 0x6423, 0 },
	{ { 0xdd, 0xaa }, 2, 0x640c, 0 },
	{ { 0xdd, 0xab }, 2, 0x6426, 0 },
	{ { 0xdd, 0xac }, 2, 0x6430, 0 },
	{ { 0xdd, 0xad }, 2, 0x6428, 0 },
	{ { 0xdd, 0xae }, 2, 0x6441, 0 },
	{ { 0xdd, 0xaf }, 2, 0x6435, 0 },
	{ { 0xdd, 0xb0 }, 2, 0x642f, 0 },
	{ { 0xdd, 0xb1 }, 2, 0x640a, 0 },
	{ { 0xdd, 0xb2 }, 2, 0x641a, 0 },
	{ { 0xdd, 0xb3 }, 2, 0x6440, 0 },
	{ { 0xdd, 0xb4 }, 2, 0x6425, 0 },
	{ { 0xdd, 0xb5 }, 2, 0x6427, 0 },
	{ { 0xdd, 0xb6 }, 2, 0x640b, 0 },
	{ { 0xdd, 0xb7 }, 2, 0x63e7, 0 },
	{ { 0xdd, 0xb8 }, 2, 0x641b, 0 },
	{ { 0xdd, 0xb9 }, 2, 0x642e, 0 },
	{ { 0xdd, 0xba }, 2, 0x6421, 0 },
	{ { 0xdd, 0xbb }, 2, 0x640e, 0 },
	{ { 0xdd, 0xbc }, 2, 0x656f, 0 },
	{ { 0xdd, 0xbd }, 2, 0x6592, 0 },
	{ { 0xdd, 0xbe }, 2, 0x65d3, 0 },
	{ { 0xdd, 0xbf }, 2, 0x6686, 0 },
	{ { 0xdd, 0xc0 }, 2, 0x668c, 0 },
	{ { 0xdd, 0xc1 }, 2, 0x6695, 0 },
	{ { 0xdd, 0xc2 }, 2, 0x6690, 0 },
	{ { 0xdd, 0xc3 }, 2, 0x668b, 0 },
	{ { 0xdd, 0xc4 }, 2, 0x668a, 0 },
	{ { 0xdd, 0xc5 }, 2, 0x6699, 0 },
	{ { 0xdd, 0xc6 }, 2, 0x6694, 0 },
	{ { 0xdd, 0xc7 }, 2, 0x6678, 0 },
	{ { 0xdd, 0xc8 }, 2, 0x6720, 0 },
	{ { 0xdd, 0xc9 }, 2, 0x6966, 0 },
	{ { 0xdd, 0xca }, 2, 0x695f, 0 },
	{ { 0xdd, 0xcb }, 2, 0x6938, 0 },
	{ { 0xdd, 0xcc }, 2, 0x694e, 0 },
	{ { 0xdd, 0xcd }, 2, 0x6962, 0 },
	{ { 0xdd, 0xce }, 2, 0x6971, 0 },
	{ { 0xdd, 0xcf }, 2, 0x693f, 0 },
	{ { 0xdd, 0xd0 }, 2, 0x6945, 0 },
	{ { 0xdd, 0xd1 }, 2, 0x696a, 0 },
	{ { 0xdd, 0xd2 }, 2, 0x6939, 0 },
	{ { 0xdd, 0xd3 }, 2, 0x6942, 0 },
	{ { 0xdd, 0xd4 }, 2, 0x6957, 0 },
	{ { 0xdd, 0xd5 }, 2, 0x6959, 0 },
	{ { 0xdd, 0xd6 }, 2, 0x697a, 0 },
	{ { 0xdd, 0xd7 }, 2, 0x6948, 0 },
	{ { 0xdd, 0xd8 }, 2, 0x6949, 0 },
	{ { 0xdd, 0xd9 }, 2, 0x6935, 0 },
	{ { 0xdd, 0xda }, 2, 0x696c, 0 },
	{ { 0xdd, 0xdb }, 2, 0x6933, 0 },
	{ { 0xdd, 0xdc }, 2, 0x693d, 0 },
	{ { 0xdd, 0xdd }, 2, 0x6965, 0 },
	{ { 0xdd, 0xde }, 2, 0x68f0, 0 },
	{ { 0xdd, 0xdf }, 2, 0x6978, 0 },
	{ { 0xdd, 0xe0 }, 2, 0x6934, 0 },
	{ { 0xdd, 0xe1 }, 2, 0x6969, 0 },
	{ { 0xdd, 0xe2 }, 2, 0x6940, 0 },
	{ { 0xdd, 0xe3 }, 2, 0x696f, 0 },
	{ { 0xdd, 0xe4 }, 2, 0x6944, 0 },
	{ { 0xdd, 0xe5 }, 2, 0x6976, 0 },
	{ { 0xdd, 0xe6 }, 2, 0x6958, 0 },
	{ { 0xdd, 0xe7 }, 2, 0x6941, 0 },
	{ { 0xdd, 0xe8 }, 2, 0x6974, 0 },
	{ { 0xdd, 0xe9 }, 2, 0x694c, 0 },
	{ { 0xdd, 0xea }, 2, 0x693b, 0 },
	{ { 0xdd, 0xeb }, 2, 0x694b, 0 },
	{ { 0xdd, 0xec }, 2, 0x6937, 0 },
	{ { 0xdd, 0xed }, 2, 0x695c, 0 },
	{ { 0xdd, 0xee }, 2, 0x694f, 0 },
	{ { 0xdd, 0xef }, 2, 0x6951, 0 },
	{ { 0xdd, 0xf0 }, 2, 0x6932, 0 },
	{ { 0xdd, 0xf1 }, 2, 0x6952, 0 },
	{ { 0xdd, 0xf2 }, 2, 0x692f, 0 },
	{ { 0xdd, 0xf3 }, 2, 0x697b, 0 },
	{ { 0xdd, 0xf4 }, 2, 0x693c, 0 },
	{ { 0xdd, 0xf5 }, 2, 0x6b46, 0 },
	{ { 0xdd, 0xf6 }, 2, 0x6b45, 0 },
	{ { 0xdd, 0xf7 }, 2, 0x6b43, 0 },
	{ { 0xdd, 0xf8 }, 2, 0x6b42, 0 },
	{ { 0xdd, 0xf9 }, 2, 0x6b48, 0 },
	{ { 0xdd, 0xfa }, 2, 0x6b41, 0 },
	{ { 0xdd, 0xfb }, 2, 0x6b9b, 0 },
	{ { 0xdd, 0xfc }, 2, 0xfa0d, 0 },
	{ { 0xdd, 0xfd }, 2, 0x6bfb, 0 },
	{ { 0xdd, 0xfe }, 2, 0x6bfc, 0 },

	{ { 0xde, 0x40 }, 2, 0x6bf9, 0 },
	{ { 0xde, 0x41 }, 2, 0x6bf7, 0 },
	{ { 0xde, 0x42 }, 2, 0x6bf8, 0 },
	{ { 0xde, 0x43 }, 2, 0x6e9b, 0 },
	{ { 0xde, 0x44 }, 2, 0x6ed6, 0 },
	{ { 0xde, 0x45 }, 2, 0x6ec8, 0 },
	{ { 0xde, 0x46 }, 2, 0x6e8f, 0 },
	{ { 0xde, 0x47 }, 2, 0x6ec0, 0 },
	{ { 0xde, 0x48 }, 2, 0x6e9f, 0 },
	{ { 0xde, 0x49 }, 2, 0x6e93, 0 },
	{ { 0xde, 0x4a }, 2, 0x6e94, 0 },
	{ { 0xde, 0x4b }, 2, 0x6ea0, 0 },
	{ { 0xde, 0x4c }, 2, 0x6eb1, 0 },
	{ { 0xde, 0x4d }, 2, 0x6eb9, 0 },
	{ { 0xde, 0x4e }, 2, 0x6ec6, 0 },
	{ { 0xde, 0x4f }, 2, 0x6ed2, 0 },
	{ { 0xde, 0x50 }, 2, 0x6ebd, 0 },
	{ { 0xde, 0x51 }, 2, 0x6ec1, 0 },
	{ { 0xde, 0x52 }, 2, 0x6e9e, 0 },
	{ { 0xde, 0x53 }, 2, 0x6ec9, 0 },
	{ { 0xde, 0x54 }, 2, 0x6eb7, 0 },
	{ { 0xde, 0x55 }, 2, 0x6eb0, 0 },
	{ { 0xde, 0x56 }, 2, 0x6ecd, 0 },
	{ { 0xde, 0x57 }, 2, 0x6ea6, 0 },
	{ { 0xde, 0x58 }, 2, 0x6ecf, 0 },
	{ { 0xde, 0x59 }, 2, 0x6eb2, 0 },
	{ { 0xde, 0x5a }, 2, 0x6ebe, 0 },
	{ { 0xde, 0x5b }, 2, 0x6ec3, 0 },
	{ { 0xde, 0x5c }, 2, 0x6edc, 0 },
	{ { 0xde, 0x5d }, 2, 0x6ed8, 0 },
	{ { 0xde, 0x5e }, 2, 0x6e99, 0 },
	{ { 0xde, 0x5f }, 2, 0x6e92, 0 },
	{ { 0xde, 0x60 }, 2, 0x6e8e, 0 },
	{ { 0xde, 0x61 }, 2, 0x6e8d, 0 },
	{ { 0xde, 0x62 }, 2, 0x6ea4, 0 },
	{ { 0xde, 0x63 }, 2, 0x6ea1, 0 },
	{ { 0xde, 0x64 }, 2, 0x6ebf, 0 },
	{ { 0xde, 0x65 }, 2, 0x6eb3, 0 },
	{ { 0xde, 0x66 }, 2, 0x6ed0, 0 },
	{ { 0xde, 0x67 }, 2, 0x6eca, 0 },
	{ { 0xde, 0x68 }, 2, 0x6e97, 0 },
	{ { 0xde, 0x69 }, 2, 0x6eae, 0 },
	{ { 0xde, 0x6a }, 2, 0x6ea3, 0 },
	{ { 0xde, 0x6b }, 2, 0x7147, 0 },
	{ { 0xde, 0x6c }, 2, 0x7154, 0 },
	{ { 0xde, 0x6d }, 2, 0x7152, 0 },
	{ { 0xde, 0x6e }, 2, 0x7163, 0 },
	{ { 0xde, 0x6f }, 2, 0x7160, 0 },
	{ { 0xde, 0x70 }, 2, 0x7141, 0 },
	{ { 0xde, 0x71 }, 2, 0x715d, 0 },
	{ { 0xde, 0x72 }, 2, 0x7162, 0 },
	{ { 0xde, 0x73 }, 2, 0x7172, 0 },
	{ { 0xde, 0x74 }, 2, 0x7178, 0 },
	{ { 0xde, 0x75 }, 2, 0x716a, 0 },
	{ { 0xde, 0x76 }, 2, 0x7161, 0 },
	{ { 0xde, 0x77 }, 2, 0x7142, 0 },
	{ { 0xde, 0x78 }, 2, 0x7158, 0 },
	{ { 0xde, 0x79 }, 2, 0x7143, 0 },
	{ { 0xde, 0x7a }, 2, 0x714b, 0 },
	{ { 0xde, 0x7b }, 2, 0x7170, 0 },
	{ { 0xde, 0x7c }, 2, 0x715f, 0 },
	{ { 0xde, 0x7d }, 2, 0x7150, 0 },
	{ { 0xde, 0x7e }, 2, 0x7153, 0 },
	{ { 0xde, 0xa1 }, 2, 0x7144, 0 },
	{ { 0xde, 0xa2 }, 2, 0x714d, 0 },
	{ { 0xde, 0xa3 }, 2, 0x715a, 0 },
	{ { 0xde, 0xa4 }, 2, 0x724f, 0 },
	{ { 0xde, 0xa5 }, 2, 0x728d, 0 },
	{ { 0xde, 0xa6 }, 2, 0x728c, 0 },
	{ { 0xde, 0xa7 }, 2, 0x7291, 0 },
	{ { 0xde, 0xa8 }, 2, 0x7290, 0 },
	{ { 0xde, 0xa9 }, 2, 0x728e, 0 },
	{ { 0xde, 0xaa }, 2, 0x733c, 0 },
	{ { 0xde, 0xab }, 2, 0x7342, 0 },
	{ { 0xde, 0xac }, 2, 0x733b, 0 },
	{ { 0xde, 0xad }, 2, 0x733a, 0 },
	{ { 0xde, 0xae }, 2, 0x7340, 0 },
	{ { 0xde, 0xaf }, 2, 0x734a, 0 },
	{ { 0xde, 0xb0 }, 2, 0x7349, 0 },
	{ { 0xde, 0xb1 }, 2, 0x7444, 0 },
	{ { 0xde, 0xb2 }, 2, 0x744a, 0 },
	{ { 0xde, 0xb3 }, 2, 0x744b, 0 },
	{ { 0xde, 0xb4 }, 2, 0x7452, 0 },
	{ { 0xde, 0xb5 }, 2, 0x7451, 0 },
	{ { 0xde, 0xb6 }, 2, 0x7457, 0 },
	{ { 0xde, 0xb7 }, 2, 0x7440, 0 },
	{ { 0xde, 0xb8 }, 2, 0x744f, 0 },
	{ { 0xde, 0xb9 }, 2, 0x7450, 0 },
	{ { 0xde, 0xba }, 2, 0x744e, 0 },
	{ { 0xde, 0xbb }, 2, 0x7442, 0 },
	{ { 0xde, 0xbc }, 2, 0x7446, 0 },
	{ { 0xde, 0xbd }, 2, 0x744d, 0 },
	{ { 0xde, 0xbe }, 2, 0x7454, 0 },
	{ { 0xde, 0xbf }, 2, 0x74e1, 0 },
	{ { 0xde, 0xc0 }, 2, 0x74ff, 0 },
	{ { 0xde, 0xc1 }, 2, 0x74fe, 0 },
	{ { 0xde, 0xc2 }, 2, 0x74fd, 0 },
	{ { 0xde, 0xc3 }, 2, 0x751d, 0 },
	{ { 0xde, 0xc4 }, 2, 0x7579, 0 },
	{ { 0xde, 0xc5 }, 2, 0x7577, 0 },
	{ { 0xde, 0xc6 }, 2, 0x6983, 0 },
	{ { 0xde, 0xc7 }, 2, 0x75ef, 0 },
	{ { 0xde, 0xc8 }, 2, 0x760f, 0 },
	{ { 0xde, 0xc9 }, 2, 0x7603, 0 },
	{ { 0xde, 0xca }, 2, 0x75f7, 0 },
	{ { 0xde, 0xcb }, 2, 0x75fe, 0 },
	{ { 0xde, 0xcc }, 2, 0x75fc, 0 },
	{ { 0xde, 0xcd }, 2, 0x75f9, 0 },
	{ { 0xde, 0xce }, 2, 0x75f8, 0 },
	{ { 0xde, 0xcf }, 2, 0x7610, 0 },
	{ { 0xde, 0xd0 }, 2, 0x75fb, 0 },
	{ { 0xde, 0xd1 }, 2, 0x75f6, 0 },
	{ { 0xde, 0xd2 }, 2, 0x75ed, 0 },
	{ { 0xde, 0xd3 }, 2, 0x75f5, 0 },
	{ { 0xde, 0xd4 }, 2, 0x75fd, 0 },
	{ { 0xde, 0xd5 }, 2, 0x7699, 0 },
	{ { 0xde, 0xd6 }, 2, 0x76b5, 0 },
	{ { 0xde, 0xd7 }, 2, 0x76dd, 0 },
	{ { 0xde, 0xd8 }, 2, 0x7755, 0 },
	{ { 0xde, 0xd9 }, 2, 0x775f, 0 },
	{ { 0xde, 0xda }, 2, 0x7760, 0 },
	{ { 0xde, 0xdb }, 2, 0x7752, 0 },
	{ { 0xde, 0xdc }, 2, 0x7756, 0 },
	{ { 0xde, 0xdd }, 2, 0x775a, 0 },
	{ { 0xde, 0xde }, 2, 0x7769, 0 },
	{ { 0xde, 0xdf }, 2, 0x7767, 0 },
	{ { 0xde, 0xe0 }, 2, 0x7754, 0 },
	{ { 0xde, 0xe1 }, 2, 0x7759, 0 },
	{ { 0xde, 0xe2 }, 2, 0x776d, 0 },
	{ { 0xde, 0xe3 }, 2, 0x77e0, 0 },
	{ { 0xde, 0xe4 }, 2, 0x7887, 0 },
	{ { 0xde, 0xe5 }, 2, 0x789a, 0 },
	{ { 0xde, 0xe6 }, 2, 0x7894, 0 },
	{ { 0xde, 0xe7 }, 2, 0x788f, 0 },
	{ { 0xde, 0xe8 }, 2, 0x7884, 0 },
	{ { 0xde, 0xe9 }, 2, 0x7895, 0 },
	{ { 0xde, 0xea }, 2, 0x7885, 0 },
	{ { 0xde, 0xeb }, 2, 0x7886, 0 },
	{ { 0xde, 0xec }, 2, 0x78a1, 0 },
	{ { 0xde, 0xed }, 2, 0x7883, 0 },
	{ { 0xde, 0xee }, 2, 0x7879, 0 },
	{ { 0xde, 0xef }, 2, 0x7899, 0 },
	{ { 0xde, 0xf0 }, 2, 0x7880, 0 },
	{ { 0xde, 0xf1 }, 2, 0x7896, 0 },
	{ { 0xde, 0xf2 }, 2, 0x787b, 0 },
	{ { 0xde, 0xf3 }, 2, 0x797c, 0 },
	{ { 0xde, 0xf4 }, 2, 0x7982, 0 },
	{ { 0xde, 0xf5 }, 2, 0x797d, 0 },
	{ { 0xde, 0xf6 }, 2, 0x7979, 0 },
	{ { 0xde, 0xf7 }, 2, 0x7a11, 0 },
	{ { 0xde, 0xf8 }, 2, 0x7a18, 0 },
	{ { 0xde, 0xf9 }, 2, 0x7a19, 0 },
	{ { 0xde, 0xfa }, 2, 0x7a12, 0 },
	{ { 0xde, 0xfb }, 2, 0x7a17, 0 },
	{ { 0xde, 0xfc }, 2, 0x7a15, 0 },
	{ { 0xde, 0xfd }, 2, 0x7a22, 0 },
	{ { 0xde, 0xfe }, 2, 0x7a13, 0 },

	{ { 0xdf, 0x40 }, 2, 0x7a1b, 0 },
	{ { 0xdf, 0x41 }, 2, 0x7a10, 0 },
	{ { 0xdf, 0x42 }, 2, 0x7aa3, 0 },
	{ { 0xdf, 0x43 }, 2, 0x7aa2, 0 },
	{ { 0xdf, 0x44 }, 2, 0x7a9e, 0 },
	{ { 0xdf, 0x45 }, 2, 0x7aeb, 0 },
	{ { 0xdf, 0x46 }, 2, 0x7b66, 0 },
	{ { 0xdf, 0x47 }, 2, 0x7b64, 0 },
	{ { 0xdf, 0x48 }, 2, 0x7b6d, 0 },
	{ { 0xdf, 0x49 }, 2, 0x7b74, 0 },
	{ { 0xdf, 0x4a }, 2, 0x7b69, 0 },
	{ { 0xdf, 0x4b }, 2, 0x7b72, 0 },
	{ { 0xdf, 0x4c }, 2, 0x7b65, 0 },
	{ { 0xdf, 0x4d }, 2, 0x7b73, 0 },
	{ { 0xdf, 0x4e }, 2, 0x7b71, 0 },
	{ { 0xdf, 0x4f }, 2, 0x7b70, 0 },
	{ { 0xdf, 0x50 }, 2, 0x7b61, 0 },
	{ { 0xdf, 0x51 }, 2, 0x7b78, 0 },
	{ { 0xdf, 0x52 }, 2, 0x7b76, 0 },
	{ { 0xdf, 0x53 }, 2, 0x7b63, 0 },
	{ { 0xdf, 0x54 }, 2, 0x7cb2, 0 },
	{ { 0xdf, 0x55 }, 2, 0x7cb4, 0 },
	{ { 0xdf, 0x56 }, 2, 0x7caf, 0 },
	{ { 0xdf, 0x57 }, 2, 0x7d88, 0 },
	{ { 0xdf, 0x58 }, 2, 0x7d86, 0 },
	{ { 0xdf, 0x59 }, 2, 0x7d80, 0 },
	{ { 0xdf, 0x5a }, 2, 0x7d8d, 0 },
	{ { 0xdf, 0x5b }, 2, 0x7d7f, 0 },
	{ { 0xdf, 0x5c }, 2, 0x7d85, 0 },
	{ { 0xdf, 0x5d }, 2, 0x7d7a, 0 },
	{ { 0xdf, 0x5e }, 2, 0x7d8e, 0 },
	{ { 0xdf, 0x5f }, 2, 0x7d7b, 0 },
	{ { 0xdf, 0x60 }, 2, 0x7d83, 0 },
	{ { 0xdf, 0x61 }, 2, 0x7d7c, 0 },
	{ { 0xdf, 0x62 }, 2, 0x7d8c, 0 },
	{ { 0xdf, 0x63 }, 2, 0x7d94, 0 },
	{ { 0xdf, 0x64 }, 2, 0x7d84, 0 },
	{ { 0xdf, 0x65 }, 2, 0x7d7d, 0 },
	{ { 0xdf, 0x66 }, 2, 0x7d92, 0 },
	{ { 0xdf, 0x67 }, 2, 0x7f6d, 0 },
	{ { 0xdf, 0x68 }, 2, 0x7f6b, 0 },
	{ { 0xdf, 0x69 }, 2, 0x7f67, 0 },
	{ { 0xdf, 0x6a }, 2, 0x7f68, 0 },
	{ { 0xdf, 0x6b }, 2, 0x7f6c, 0 },
	{ { 0xdf, 0x6c }, 2, 0x7fa6, 0 },
	{ { 0xdf, 0x6d }, 2, 0x7fa5, 0 },
	{ { 0xdf, 0x6e }, 2, 0x7fa7, 0 },
	{ { 0xdf, 0x6f }, 2, 0x7fdb, 0 },
	{ { 0xdf, 0x70 }, 2, 0x7fdc, 0 },
	{ { 0xdf, 0x71 }, 2, 0x8021, 0 },
	{ { 0xdf, 0x72 }, 2, 0x8164, 0 },
	{ { 0xdf, 0x73 }, 2, 0x8160, 0 },
	{ { 0xdf, 0x74 }, 2, 0x8177, 0 },
	{ { 0xdf, 0x75 }, 2, 0x815c, 0 },
	{ { 0xdf, 0x76 }, 2, 0x8169, 0 },
	{ { 0xdf, 0x77 }, 2, 0x815b, 0 },
	{ { 0xdf, 0x78 }, 2, 0x8162, 0 },
	{ { 0xdf, 0x79 }, 2, 0x8172, 0 },
	{ { 0xdf, 0x7a }, 2, 0x6721, 0 },
	{ { 0xdf, 0x7b }, 2, 0x815e, 0 },
	{ { 0xdf, 0x7c }, 2, 0x8176, 0 },
	{ { 0xdf, 0x7d }, 2, 0x8167, 0 },
	{ { 0xdf, 0x7e }, 2, 0x816f, 0 },
	{ { 0xdf, 0xa1 }, 2, 0x8144, 0 },
	{ { 0xdf, 0xa2 }, 2, 0x8161, 0 },
	{ { 0xdf, 0xa3 }, 2, 0x821d, 0 },
	{ { 0xdf, 0xa4 }, 2, 0x8249, 0 },
	{ { 0xdf, 0xa5 }, 2, 0x8244, 0 },
	{ { 0xdf, 0xa6 }, 2, 0x8240, 0 },
	{ { 0xdf, 0xa7 }, 2, 0x8242, 0 },
	{ { 0xdf, 0xa8 }, 2, 0x8245, 0 },
	{ { 0xdf, 0xa9 }, 2, 0x84f1, 0 },
	{ { 0xdf, 0xaa }, 2, 0x843f, 0 },
	{ { 0xdf, 0xab }, 2, 0x8456, 0 },
	{ { 0xdf, 0xac }, 2, 0x8476, 0 },
	{ { 0xdf, 0xad }, 2, 0x8479, 0 },
	{ { 0xdf, 0xae }, 2, 0x848f, 0 },
	{ { 0xdf, 0xaf }, 2, 0x848d, 0 },
	{ { 0xdf, 0xb0 }, 2, 0x8465, 0 },
	{ { 0xdf, 0xb1 }, 2, 0x8451, 0 },
	{ { 0xdf, 0xb2 }, 2, 0x8440, 0 },
	{ { 0xdf, 0xb3 }, 2, 0x8486, 0 },
	{ { 0xdf, 0xb4 }, 2, 0x8467, 0 },
	{ { 0xdf, 0xb5 }, 2, 0x8430, 0 },
	{ { 0xdf, 0xb6 }, 2, 0x844d, 0 },
	{ { 0xdf, 0xb7 }, 2, 0x847d, 0 },
	{ { 0xdf, 0xb8 }, 2, 0x845a, 0 },
	{ { 0xdf, 0xb9 }, 2, 0x8459, 0 },
	{ { 0xdf, 0xba }, 2, 0x8474, 0 },
	{ { 0xdf, 0xbb }, 2, 0x8473, 0 },
	{ { 0xdf, 0xbc }, 2, 0x845d, 0 },
	{ { 0xdf, 0xbd }, 2, 0x8507, 0 },
	{ { 0xdf, 0xbe }, 2, 0x845e, 0 },
	{ { 0xdf, 0xbf }, 2, 0x8437, 0 },
	{ { 0xdf, 0xc0 }, 2, 0x843a, 0 },
	{ { 0xdf, 0xc1 }, 2, 0x8434, 0 },
	{ { 0xdf, 0xc2 }, 2, 0x847a, 0 },
	{ { 0xdf, 0xc3 }, 2, 0x8443, 0 },
	{ { 0xdf, 0xc4 }, 2, 0x8478, 0 },
	{ { 0xdf, 0xc5 }, 2, 0x8432, 0 },
	{ { 0xdf, 0xc6 }, 2, 0x8445, 0 },
	{ { 0xdf, 0xc7 }, 2, 0x8429, 0 },
	{ { 0xdf, 0xc8 }, 2, 0x83d9, 0 },
	{ { 0xdf, 0xc9 }, 2, 0x844b, 0 },
	{ { 0xdf, 0xca }, 2, 0x842f, 0 },
	{ { 0xdf, 0xcb }, 2, 0x8442, 0 },
	{ { 0xdf, 0xcc }, 2, 0x842d, 0 },
	{ { 0xdf, 0xcd }, 2, 0x845f, 0 },
	{ { 0xdf, 0xce }, 2, 0x8470, 0 },
	{ { 0xdf, 0xcf }, 2, 0x8439, 0 },
	{ { 0xdf, 0xd0 }, 2, 0x844e, 0 },
	{ { 0xdf, 0xd1 }, 2, 0x844c, 0 },
	{ { 0xdf, 0xd2 }, 2, 0x8452, 0 },
	{ { 0xdf, 0xd3 }, 2, 0x846f, 0 },
	{ { 0xdf, 0xd4 }, 2, 0x84c5, 0 },
	{ { 0xdf, 0xd5 }, 2, 0x848e, 0 },
	{ { 0xdf, 0xd6 }, 2, 0x843b, 0 },
	{ { 0xdf, 0xd7 }, 2, 0x8447, 0 },
	{ { 0xdf, 0xd8 }, 2, 0x8436, 0 },
	{ { 0xdf, 0xd9 }, 2, 0x8433, 0 },
	{ { 0xdf, 0xda }, 2, 0x8468, 0 },
	{ { 0xdf, 0xdb }, 2, 0x847e, 0 },
	{ { 0xdf, 0xdc }, 2, 0x8444, 0 },
	{ { 0xdf, 0xdd }, 2, 0x842b, 0 },
	{ { 0xdf, 0xde }, 2, 0x8460, 0 },
	{ { 0xdf, 0xdf }, 2, 0x8454, 0 },
	{ { 0xdf, 0xe0 }, 2, 0x846e, 0 },
	{ { 0xdf, 0xe1 }, 2, 0x8450, 0 },
	{ { 0xdf, 0xe2 }, 2, 0x870b, 0 },
	{ { 0xdf, 0xe3 }, 2, 0x8704, 0 },
	{ { 0xdf, 0xe4 }, 2, 0x86f7, 0 },
	{ { 0xdf, 0xe5 }, 2, 0x870c, 0 },
	{ { 0xdf, 0xe6 }, 2, 0x86fa, 0 },
	{ { 0xdf, 0xe7 }, 2, 0x86d6, 0 },
	{ { 0xdf, 0xe8 }, 2, 0x86f5, 0 },
	{ { 0xdf, 0xe9 }, 2, 0x874d, 0 },
	{ { 0xdf, 0xea }, 2, 0x86f8, 0 },
	{ { 0xdf, 0xeb }, 2, 0x870e, 0 },
	{ { 0xdf, 0xec }, 2, 0x8709, 0 },
	{ { 0xdf, 0xed }, 2, 0x8701, 0 },
	{ { 0xdf, 0xee }, 2, 0x86f6, 0 },
	{ { 0xdf, 0xef }, 2, 0x870d, 0 },
	{ { 0xdf, 0xf0 }, 2, 0x8705, 0 },
	{ { 0xdf, 0xf1 }, 2, 0x88d6, 0 },
	{ { 0xdf, 0xf2 }, 2, 0x88cb, 0 },
	{ { 0xdf, 0xf3 }, 2, 0x88cd, 0 },
	{ { 0xdf, 0xf4 }, 2, 0x88ce, 0 },
	{ { 0xdf, 0xf5 }, 2, 0x88de, 0 },
	{ { 0xdf, 0xf6 }, 2, 0x88db, 0 },
	{ { 0xdf, 0xf7 }, 2, 0x88da, 0 },
	{ { 0xdf, 0xf8 }, 2, 0x88cc, 0 },
	{ { 0xdf, 0xf9 }, 2, 0x88d0, 0 },
	{ { 0xdf, 0xfa }, 2, 0x8985, 0 },
	{ { 0xdf, 0xfb }, 2, 0x899b, 0 },
	{ { 0xdf, 0xfc }, 2, 0x89df, 0 },
	{ { 0xdf, 0xfd }, 2, 0x89e5, 0 },
	{ { 0xdf, 0xfe }, 2, 0x89e4, 0 },

	{ { 0xe0, 0x40 }, 2, 0x89e1, 0 },
	{ { 0xe0, 0x41 }, 2, 0x89e0, 0 },
	{ { 0xe0, 0x42 }, 2, 0x89e2, 0 },
	{ { 0xe0, 0x43 }, 2, 0x89dc, 0 },
	{ { 0xe0, 0x44 }, 2, 0x89e6, 0 },
	{ { 0xe0, 0x45 }, 2, 0x8a76, 0 },
	{ { 0xe0, 0x46 }, 2, 0x8a86, 0 },
	{ { 0xe0, 0x47 }, 2, 0x8a7f, 0 },
	{ { 0xe0, 0x48 }, 2, 0x8a61, 0 },
	{ { 0xe0, 0x49 }, 2, 0x8a3f, 0 },
	{ { 0xe0, 0x4a }, 2, 0x8a77, 0 },
	{ { 0xe0, 0x4b }, 2, 0x8a82, 0 },
	{ { 0xe0, 0x4c }, 2, 0x8a84, 0 },
	{ { 0xe0, 0x4d }, 2, 0x8a75, 0 },
	{ { 0xe0, 0x4e }, 2, 0x8a83, 0 },
	{ { 0xe0, 0x4f }, 2, 0x8a81, 0 },
	{ { 0xe0, 0x50 }, 2, 0x8a74, 0 },
	{ { 0xe0, 0x51 }, 2, 0x8a7a, 0 },
	{ { 0xe0, 0x52 }, 2, 0x8c3c, 0 },
	{ { 0xe0, 0x53 }, 2, 0x8c4b, 0 },
	{ { 0xe0, 0x54 }, 2, 0x8c4a, 0 },
	{ { 0xe0, 0x55 }, 2, 0x8c65, 0 },
	{ { 0xe0, 0x56 }, 2, 0x8c64, 0 },
	{ { 0xe0, 0x57 }, 2, 0x8c66, 0 },
	{ { 0xe0, 0x58 }, 2, 0x8c86, 0 },
	{ { 0xe0, 0x59 }, 2, 0x8c84, 0 },
	{ { 0xe0, 0x5a }, 2, 0x8c85, 0 },
	{ { 0xe0, 0x5b }, 2, 0x8ccc, 0 },
	{ { 0xe0, 0x5c }, 2, 0x8d68, 0 },
	{ { 0xe0, 0x5d }, 2, 0x8d69, 0 },
	{ { 0xe0, 0x5e }, 2, 0x8d91, 0 },
	{ { 0xe0, 0x5f }, 2, 0x8d8c, 0 },
	{ { 0xe0, 0x60 }, 2, 0x8d8e, 0 },
	{ { 0xe0, 0x61 }, 2, 0x8d8f, 0 },
	{ { 0xe0, 0x62 }, 2, 0x8d8d, 0 },
	{ { 0xe0, 0x63 }, 2, 0x8d93, 0 },
	{ { 0xe0, 0x64 }, 2, 0x8d94, 0 },
	{ { 0xe0, 0x65 }, 2, 0x8d90, 0 },
	{ { 0xe0, 0x66 }, 2, 0x8d92, 0 },
	{ { 0xe0, 0x67 }, 2, 0x8df0, 0 },
	{ { 0xe0, 0x68 }, 2, 0x8de0, 0 },
	{ { 0xe0, 0x69 }, 2, 0x8dec, 0 },
	{ { 0xe0, 0x6a }, 2, 0x8df1, 0 },
	{ { 0xe0, 0x6b }, 2, 0x8dee, 0 },
	{ { 0xe0, 0x6c }, 2, 0x8dd0, 0 },
	{ { 0xe0, 0x6d }, 2, 0x8de9, 0 },
	{ { 0xe0, 0x6e }, 2, 0x8de3, 0 },
	{ { 0xe0, 0x6f }, 2, 0x8de2, 0 },
	{ { 0xe0, 0x70 }, 2, 0x8de7, 0 },
	{ { 0xe0, 0x71 }, 2, 0x8df2, 0 },
	{ { 0xe0, 0x72 }, 2, 0x8deb, 0 },
	{ { 0xe0, 0x73 }, 2, 0x8df4, 0 },
	{ { 0xe0, 0x74 }, 2, 0x8f06, 0 },
	{ { 0xe0, 0x75 }, 2, 0x8eff, 0 },
	{ { 0xe0, 0x76 }, 2, 0x8f01, 0 },
	{ { 0xe0, 0x77 }, 2, 0x8f00, 0 },
	{ { 0xe0, 0x78 }, 2, 0x8f05, 0 },
	{ { 0xe0, 0x79 }, 2, 0x8f07, 0 },
	{ { 0xe0, 0x7a }, 2, 0x8f08, 0 },
	{ { 0xe0, 0x7b }, 2, 0x8f02, 0 },
	{ { 0xe0, 0x7c }, 2, 0x8f0b, 0 },
	{ { 0xe0, 0x7d }, 2, 0x9052, 0 },
	{ { 0xe0, 0x7e }, 2, 0x903f, 0 },
	{ { 0xe0, 0xa1 }, 2, 0x9044, 0 },
	{ { 0xe0, 0xa2 }, 2, 0x9049, 0 },
	{ { 0xe0, 0xa3 }, 2, 0x903d, 0 },
	{ { 0xe0, 0xa4 }, 2, 0x9110, 0 },
	{ { 0xe0, 0xa5 }, 2, 0x910d, 0 },
	{ { 0xe0, 0xa6 }, 2, 0x910f, 0 },
	{ { 0xe0, 0xa7 }, 2, 0x9111, 0 },
	{ { 0xe0, 0xa8 }, 2, 0x9116, 0 },
	{ { 0xe0, 0xa9 }, 2, 0x9114, 0 },
	{ { 0xe0, 0xaa }, 2, 0x910b, 0 },
	{ { 0xe0, 0xab }, 2, 0x910e, 0 },
	{ { 0xe0, 0xac }, 2, 0x916e, 0 },
	{ { 0xe0, 0xad }, 2, 0x916f, 0 },
	{ { 0xe0, 0xae }, 2, 0x9248, 0 },
	{ { 0xe0, 0xaf }, 2, 0x9252, 0 },
	{ { 0xe0, 0xb0 }, 2, 0x9230, 0 },
	{ { 0xe0, 0xb1 }, 2, 0x923a, 0 },
	{ { 0xe0, 0xb2 }, 2, 0x9266, 0 },
	{ { 0xe0, 0xb3 }, 2, 0x9233, 0 },
	{ { 0xe0, 0xb4 }, 2, 0x9265, 0 },
	{ { 0xe0, 0xb5 }, 2, 0x925e, 0 },
	{ { 0xe0, 0xb6 }, 2, 0x9283, 0 },
	{ { 0xe0, 0xb7 }, 2, 0x922e, 0 },
	{ { 0xe0, 0xb8 }, 2, 0x924a, 0 },
	{ { 0xe0, 0xb9 }, 2, 0x9246, 0 },
	{ { 0xe0, 0xba }, 2, 0x926d, 0 },
	{ { 0xe0, 0xbb }, 2, 0x926c, 0 },
	{ { 0xe0, 0xbc }, 2, 0x924f, 0 },
	{ { 0xe0, 0xbd }, 2, 0x9260, 0 },
	{ { 0xe0, 0xbe }, 2, 0x9267, 0 },
	{ { 0xe0, 0xbf }, 2, 0x926f, 0 },
	{ { 0xe0, 0xc0 }, 2, 0x9236, 0 },
	{ { 0xe0, 0xc1 }, 2, 0x9261, 0 },
	{ { 0xe0, 0xc2 }, 2, 0x9270, 0 },
	{ { 0xe0, 0xc3 }, 2, 0x9231, 0 },
	{ { 0xe0, 0xc4 }, 2, 0x9254, 0 },
	{ { 0xe0, 0xc5 }, 2, 0x9263, 0 },
	{ { 0xe0, 0xc6 }, 2, 0x9250, 0 },
	{ { 0xe0, 0xc7 }, 2, 0x9272, 0 },
	{ { 0xe0, 0xc8 }, 2, 0x924e, 0 },
	{ { 0xe0, 0xc9 }, 2, 0x9253, 0 },
	{ { 0xe0, 0xca }, 2, 0x924c, 0 },
	{ { 0xe0, 0xcb }, 2, 0x9256, 0 },
	{ { 0xe0, 0xcc }, 2, 0x9232, 0 },
	{ { 0xe0, 0xcd }, 2, 0x959f, 0 },
	{ { 0xe0, 0xce }, 2, 0x959c, 0 },
	{ { 0xe0, 0xcf }, 2, 0x959e, 0 },
	{ { 0xe0, 0xd0 }, 2, 0x959b, 0 },
	{ { 0xe0, 0xd1 }, 2, 0x9692, 0 },
	{ { 0xe0, 0xd2 }, 2, 0x9693, 0 },
	{ { 0xe0, 0xd3 }, 2, 0x9691, 0 },
	{ { 0xe0, 0xd4 }, 2, 0x9697, 0 },
	{ { 0xe0, 0xd5 }, 2, 0x96ce, 0 },
	{ { 0xe0, 0xd6 }, 2, 0x96fa, 0 },
	{ { 0xe0, 0xd7 }, 2, 0x96fd, 0 },
	{ { 0xe0, 0xd8 }, 2, 0x96f8, 0 },
	{ { 0xe0, 0xd9 }, 2, 0x96f5, 0 },
	{ { 0xe0, 0xda }, 2, 0x9773, 0 },
	{ { 0xe0, 0xdb }, 2, 0x9777, 0 },
	{ { 0xe0, 0xdc }, 2, 0x9778, 0 },
	{ { 0xe0, 0xdd }, 2, 0x9772, 0 },
	{ { 0xe0, 0xde }, 2, 0x980f, 0 },
	{ { 0xe0, 0xdf }, 2, 0x980d, 0 },
	{ { 0xe0, 0xe0 }, 2, 0x980e, 0 },
	{ { 0xe0, 0xe1 }, 2, 0x98ac, 0 },
	{ { 0xe0, 0xe2 }, 2, 0x98f6, 0 },
	{ { 0xe0, 0xe3 }, 2, 0x98f9, 0 },
	{ { 0xe0, 0xe4 }, 2, 0x99af, 0 },
	{ { 0xe0, 0xe5 }, 2, 0x99b2, 0 },
	{ { 0xe0, 0xe6 }, 2, 0x99b0, 0 },
	{ { 0xe0, 0xe7 }, 2, 0x99b5, 0 },
	{ { 0xe0, 0xe8 }, 2, 0x9aad, 0 },
	{ { 0xe0, 0xe9 }, 2, 0x9aab, 0 },
	{ { 0xe0, 0xea }, 2, 0x9b5b, 0 },
	{ { 0xe0, 0xeb }, 2, 0x9cea, 0 },
	{ { 0xe0, 0xec }, 2, 0x9ced, 0 },
	{ { 0xe0, 0xed }, 2, 0x9ce7, 0 },
	{ { 0xe0, 0xee }, 2, 0x9e80, 0 },
	{ { 0xe0, 0xef }, 2, 0x9efd, 0 },
	{ { 0xe0, 0xf0 }, 2, 0x50e6, 0 },
	{ { 0xe0, 0xf1 }, 2, 0x50d4, 0 },
	{ { 0xe0, 0xf2 }, 2, 0x50d7, 0 },
	{ { 0xe0, 0xf3 }, 2, 0x50e8, 0 },
	{ { 0xe0, 0xf4 }, 2, 0x50f3, 0 },
	{ { 0xe0, 0xf5 }, 2, 0x50db, 0 },
	{ { 0xe0, 0xf6 }, 2, 0x50ea, 0 },
	{ { 0xe0, 0xf7 }, 2, 0x50dd, 0 },
	{ { 0xe0, 0xf8 }, 2, 0x50e4, 0 },
	{ { 0xe0, 0xf9 }, 2, 0x50d3, 0 },
	{ { 0xe0, 0xfa }, 2, 0x50ec, 0 },
	{ { 0xe0, 0xfb }, 2, 0x50f0, 0 },
	{ { 0xe0, 0xfc }, 2, 0x50ef, 0 },
	{ { 0xe0, 0xfd }, 2, 0x50e3, 0 },
	{ { 0xe0, 0xfe }, 2, 0x50e0, 0 },

	{ { 0xe1, 0x40 }, 2, 0x51d8, 0 },
	{ { 0xe1, 0x41 }, 2, 0x5280, 0 },
	{ { 0xe1, 0x42 }, 2, 0x5281, 0 },
	{ { 0xe1, 0x43 }, 2, 0x52e9, 0 },
	{ { 0xe1, 0x44 }, 2, 0x52eb, 0 },
	{ { 0xe1, 0x45 }, 2, 0x5330, 0 },
	{ { 0xe1, 0x46 }, 2, 0x53ac, 0 },
	{ { 0xe1, 0x47 }, 2, 0x5627, 0 },
	{ { 0xe1, 0x48 }, 2, 0x5615, 0 },
	{ { 0xe1, 0x49 }, 2, 0x560c, 0 },
	{ { 0xe1, 0x4a }, 2, 0x5612, 0 },
	{ { 0xe1, 0x4b }, 2, 0x55fc, 0 },
	{ { 0xe1, 0x4c }, 2, 0x560f, 0 },
	{ { 0xe1, 0x4d }, 2, 0x561c, 0 },
	{ { 0xe1, 0x4e }, 2, 0x5601, 0 },
	{ { 0xe1, 0x4f }, 2, 0x5613, 0 },
	{ { 0xe1, 0x50 }, 2, 0x5602, 0 },
	{ { 0xe1, 0x51 }, 2, 0x55fa, 0 },
	{ { 0xe1, 0x52 }, 2, 0x561d, 0 },
	{ { 0xe1, 0x53 }, 2, 0x5604, 0 },
	{ { 0xe1, 0x54 }, 2, 0x55ff, 0 },
	{ { 0xe1, 0x55 }, 2, 0x55f9, 0 },
	{ { 0xe1, 0x56 }, 2, 0x5889, 0 },
	{ { 0xe1, 0x57 }, 2, 0x587c, 0 },
	{ { 0xe1, 0x58 }, 2, 0x5890, 0 },
	{ { 0xe1, 0x59 }, 2, 0x5898, 0 },
	{ { 0xe1, 0x5a }, 2, 0x5886, 0 },
	{ { 0xe1, 0x5b }, 2, 0x5881, 0 },
	{ { 0xe1, 0x5c }, 2, 0x587f, 0 },
	{ { 0xe1, 0x5d }, 2, 0x5874, 0 },
	{ { 0xe1, 0x5e }, 2, 0x588b, 0 },
	{ { 0xe1, 0x5f }, 2, 0x587a, 0 },
	{ { 0xe1, 0x60 }, 2, 0x5887, 0 },
	{ { 0xe1, 0x61 }, 2, 0x5891, 0 },
	{ { 0xe1, 0x62 }, 2, 0x588e, 0 },
	{ { 0xe1, 0x63 }, 2, 0x5876, 0 },
	{ { 0xe1, 0x64 }, 2, 0x5882, 0 },
	{ { 0xe1, 0x65 }, 2, 0x5888, 0 },
	{ { 0xe1, 0x66 }, 2, 0x587b, 0 },
	{ { 0xe1, 0x67 }, 2, 0x5894, 0 },
	{ { 0xe1, 0x68 }, 2, 0x588f, 0 },
	{ { 0xe1, 0x69 }, 2, 0x58fe, 0 },
	{ { 0xe1, 0x6a }, 2, 0x596b, 0 },
	{ { 0xe1, 0x6b }, 2, 0x5adc, 0 },
	{ { 0xe1, 0x6c }, 2, 0x5aee, 0 },
	{ { 0xe1, 0x6d }, 2, 0x5ae5, 0 },
	{ { 0xe1, 0x6e }, 2, 0x5ad5, 0 },
	{ { 0xe1, 0x6f }, 2, 0x5aea, 0 },
	{ { 0xe1, 0x70 }, 2, 0x5ada, 0 },
	{ { 0xe1, 0x71 }, 2, 0x5aed, 0 },
	{ { 0xe1, 0x72 }, 2, 0x5aeb, 0 },
	{ { 0xe1, 0x73 }, 2, 0x5af3, 0 },
	{ { 0xe1, 0x74 }, 2, 0x5ae2, 0 },
	{ { 0xe1, 0x75 }, 2, 0x5ae0, 0 },
	{ { 0xe1, 0x76 }, 2, 0x5adb, 0 },
	{ { 0xe1, 0x77 }, 2, 0x5aec, 0 },
	{ { 0xe1, 0x78 }, 2, 0x5ade, 0 },
	{ { 0xe1, 0x79 }, 2, 0x5add, 0 },
	{ { 0xe1, 0x7a }, 2, 0x5ad9, 0 },
	{ { 0xe1, 0x7b }, 2, 0x5ae8, 0 },
	{ { 0xe1, 0x7c }, 2, 0x5adf, 0 },
	{ { 0xe1, 0x7d }, 2, 0x5b77, 0 },
	{ { 0xe1, 0x7e }, 2, 0x5be0, 0 },
	{ { 0xe1, 0xa1 }, 2, 0x5be3, 0 },
	{ { 0xe1, 0xa2 }, 2, 0x5c63, 0 },
	{ { 0xe1, 0xa3 }, 2, 0x5d82, 0 },
	{ { 0xe1, 0xa4 }, 2, 0x5d80, 0 },
	{ { 0xe1, 0xa5 }, 2, 0x5d7d, 0 },
	{ { 0xe1, 0xa6 }, 2, 0x5d86, 0 },
	{ { 0xe1, 0xa7 }, 2, 0x5d7a, 0 },
	{ { 0xe1, 0xa8 }, 2, 0x5d81, 0 },
	{ { 0xe1, 0xa9 }, 2, 0x5d77, 0 },
	{ { 0xe1, 0xaa }, 2, 0x5d8a, 0 },
	{ { 0xe1, 0xab }, 2, 0x5d89, 0 },
	{ { 0xe1, 0xac }, 2, 0x5d88, 0 },
	{ { 0xe1, 0xad }, 2, 0x5d7e, 0 },
	{ { 0xe1, 0xae }, 2, 0x5d7c, 0 },
	{ { 0xe1, 0xaf }, 2, 0x5d8d, 0 },
	{ { 0xe1, 0xb0 }, 2, 0x5d79, 0 },
	{ { 0xe1, 0xb1 }, 2, 0x5d7f, 0 },
	{ { 0xe1, 0xb2 }, 2, 0x5e58, 0 },
	{ { 0xe1, 0xb3 }, 2, 0x5e59, 0 },
	{ { 0xe1, 0xb4 }, 2, 0x5e53, 0 },
	{ { 0xe1, 0xb5 }, 2, 0x5ed8, 0 },
	{ { 0xe1, 0xb6 }, 2, 0x5ed1, 0 },
	{ { 0xe1, 0xb7 }, 2, 0x5ed7, 0 },
	{ { 0xe1, 0xb8 }, 2, 0x5ece, 0 },
	{ { 0xe1, 0xb9 }, 2, 0x5edc, 0 },
	{ { 0xe1, 0xba }, 2, 0x5ed5, 0 },
	{ { 0xe1, 0xbb }, 2, 0x5ed9, 0 },
	{ { 0xe1, 0xbc }, 2, 0x5ed2, 0 },
	{ { 0xe1, 0xbd }, 2, 0x5ed4, 0 },
	{ { 0xe1, 0xbe }, 2, 0x5f44, 0 },
	{ { 0xe1, 0xbf }, 2, 0x5f43, 0 },
	{ { 0xe1, 0xc0 }, 2, 0x5f6f, 0 },
	{ { 0xe1, 0xc1 }, 2, 0x5fb6, 0 },
	{ { 0xe1, 0xc2 }, 2, 0x612c, 0 },
	{ { 0xe1, 0xc3 }, 2, 0x6128, 0 },
	{ { 0xe1, 0xc4 }, 2, 0x6141, 0 },
	{ { 0xe1, 0xc5 }, 2, 0x615e, 0 },
	{ { 0xe1, 0xc6 }, 2, 0x6171, 0 },
	{ { 0xe1, 0xc7 }, 2, 0x6173, 0 },
	{ { 0xe1, 0xc8 }, 2, 0x6152, 0 },
	{ { 0xe1, 0xc9 }, 2, 0x6153, 0 },
	{ { 0xe1, 0xca }, 2, 0x6172, 0 },
	{ { 0xe1, 0xcb }, 2, 0x616c, 0 },
	{ { 0xe1, 0xcc }, 2, 0x6180, 0 },
	{ { 0xe1, 0xcd }, 2, 0x6174, 0 },
	{ { 0xe1, 0xce }, 2, 0x6154, 0 },
	{ { 0xe1, 0xcf }, 2, 0x617a, 0 },
	{ { 0xe1, 0xd0 }, 2, 0x615b, 0 },
	{ { 0xe1, 0xd1 }, 2, 0x6165, 0 },
	{ { 0xe1, 0xd2 }, 2, 0x613b, 0 },
	{ { 0xe1, 0xd3 }, 2, 0x616a, 0 },
	{ { 0xe1, 0xd4 }, 2, 0x6161, 0 },
	{ { 0xe1, 0xd5 }, 2, 0x6156, 0 },
	{ { 0xe1, 0xd6 }, 2, 0x6229, 0 },
	{ { 0xe1, 0xd7 }, 2, 0x6227, 0 },
	{ { 0xe1, 0xd8 }, 2, 0x622b, 0 },
	{ { 0xe1, 0xd9 }, 2, 0x642b, 0 },
	{ { 0xe1, 0xda }, 2, 0x644d, 0 },
	{ { 0xe1, 0xdb }, 2, 0x645b, 0 },
	{ { 0xe1, 0xdc }, 2, 0x645d, 0 },
	{ { 0xe1, 0xdd }, 2, 0x6474, 0 },
	{ { 0xe1, 0xde }, 2, 0x6476, 0 },
	{ { 0xe1, 0xdf }, 2, 0x6472, 0 },
	{ { 0xe1, 0xe0 }, 2, 0x6473, 0 },
	{ { 0xe1, 0xe1 }, 2, 0x647d, 0 },
	{ { 0xe1, 0xe2 }, 2, 0x6475, 0 },
	{ { 0xe1, 0xe3 }, 2, 0x6466, 0 },
	{ { 0xe1, 0xe4 }, 2, 0x64a6, 0 },
	{ { 0xe1, 0xe5 }, 2, 0x644e, 0 },
	{ { 0xe1, 0xe6 }, 2, 0x6482, 0 },
	{ { 0xe1, 0xe7 }, 2, 0x645e, 0 },
	{ { 0xe1, 0xe8 }, 2, 0x645c, 0 },
	{ { 0xe1, 0xe9 }, 2, 0x644b, 0 },
	{ { 0xe1, 0xea }, 2, 0x6453, 0 },
	{ { 0xe1, 0xeb }, 2, 0x6460, 0 },
	{ { 0xe1, 0xec }, 2, 0x6450, 0 },
	{ { 0xe1, 0xed }, 2, 0x647f, 0 },
	{ { 0xe1, 0xee }, 2, 0x643f, 0 },
	{ { 0xe1, 0xef }, 2, 0x646c, 0 },
	{ { 0xe1, 0xf0 }, 2, 0x646b, 0 },
	{ { 0xe1, 0xf1 }, 2, 0x6459, 0 },
	{ { 0xe1, 0xf2 }, 2, 0x6465, 0 },
	{ { 0xe1, 0xf3 }, 2, 0x6477, 0 },
	{ { 0xe1, 0xf4 }, 2, 0x6573, 0 },
	{ { 0xe1, 0xf5 }, 2, 0x65a0, 0 },
	{ { 0xe1, 0xf6 }, 2, 0x66a1, 0 },
	{ { 0xe1, 0xf7 }, 2, 0x66a0, 0 },
	{ { 0xe1, 0xf8 }, 2, 0x669f, 0 },
	{ { 0xe1, 0xf9 }, 2, 0x6705, 0 },
	{ { 0xe1, 0xfa }, 2, 0x6704, 0 },
	{ { 0xe1, 0xfb }, 2, 0x6722, 0 },
	{ { 0xe1, 0xfc }, 2, 0x69b1, 0 },
	{ { 0xe1, 0xfd }, 2, 0x69b6, 0 },
	{ { 0xe1, 0xfe }, 2, 0x69c9, 0 },

	{ { 0xe2, 0x40 }, 2, 0x69a0, 0 },
	{ { 0xe2, 0x41 }, 2, 0x69ce, 0 },
	{ { 0xe2, 0x42 }, 2, 0x6996, 0 },
	{ { 0xe2, 0x43 }, 2, 0x69b0, 0 },
	{ { 0xe2, 0x44 }, 2, 0x69ac, 0 },
	{ { 0xe2, 0x45 }, 2, 0x69bc, 0 },
	{ { 0xe2, 0x46 }, 2, 0x6991, 0 },
	{ { 0xe2, 0x47 }, 2, 0x6999, 0 },
	{ { 0xe2, 0x48 }, 2, 0x698e, 0 },
	{ { 0xe2, 0x49 }, 2, 0x69a7, 0 },
	{ { 0xe2, 0x4a }, 2, 0x698d, 0 },
	{ { 0xe2, 0x4b }, 2, 0x69a9, 0 },
	{ { 0xe2, 0x4c }, 2, 0x69be, 0 },
	{ { 0xe2, 0x4d }, 2, 0x69af, 0 },
	{ { 0xe2, 0x4e }, 2, 0x69bf, 0 },
	{ { 0xe2, 0x4f }, 2, 0x69c4, 0 },
	{ { 0xe2, 0x50 }, 2, 0x69bd, 0 },
	{ { 0xe2, 0x51 }, 2, 0x69a4, 0 },
	{ { 0xe2, 0x52 }, 2, 0x69d4, 0 },
	{ { 0xe2, 0x53 }, 2, 0x69b9, 0 },
	{ { 0xe2, 0x54 }, 2, 0x69ca, 0 },
	{ { 0xe2, 0x55 }, 2, 0x699a, 0 },
	{ { 0xe2, 0x56 }, 2, 0x69cf, 0 },
	{ { 0xe2, 0x57 }, 2, 0x69b3, 0 },
	{ { 0xe2, 0x58 }, 2, 0x6993, 0 },
	{ { 0xe2, 0x59 }, 2, 0x69aa, 0 },
	{ { 0xe2, 0x5a }, 2, 0x69a1, 0 },
	{ { 0xe2, 0x5b }, 2, 0x699e, 0 },
	{ { 0xe2, 0x5c }, 2, 0x69d9, 0 },
	{ { 0xe2, 0x5d }, 2, 0x6997, 0 },
	{ { 0xe2, 0x5e }, 2, 0x6990, 0 },
	{ { 0xe2, 0x5f }, 2, 0x69c2, 0 },
	{ { 0xe2, 0x60 }, 2, 0x69b5, 0 },
	{ { 0xe2, 0x61 }, 2, 0x69a5, 0 },
	{ { 0xe2, 0x62 }, 2, 0x69c6, 0 },
	{ { 0xe2, 0x63 }, 2, 0x6b4a, 0 },
	{ { 0xe2, 0x64 }, 2, 0x6b4d, 0 },
	{ { 0xe2, 0x65 }, 2, 0x6b4b, 0 },
	{ { 0xe2, 0x66 }, 2, 0x6b9e, 0 },
	{ { 0xe2, 0x67 }, 2, 0x6b9f, 0 },
	{ { 0xe2, 0x68 }, 2, 0x6ba0, 0 },
	{ { 0xe2, 0x69 }, 2, 0x6bc3, 0 },
	{ { 0xe2, 0x6a }, 2, 0x6bc4, 0 },
	{ { 0xe2, 0x6b }, 2, 0x6bfe, 0 },
	{ { 0xe2, 0x6c }, 2, 0x6ece, 0 },
	{ { 0xe2, 0x6d }, 2, 0x6ef5, 0 },
	{ { 0xe2, 0x6e }, 2, 0x6ef1, 0 },
	{ { 0xe2, 0x6f }, 2, 0x6f03, 0 },
	{ { 0xe2, 0x70 }, 2, 0x6f25, 0 },
	{ { 0xe2, 0x71 }, 2, 0x6ef8, 0 },
	{ { 0xe2, 0x72 }, 2, 0x6f37, 0 },
	{ { 0xe2, 0x73 }, 2, 0x6efb, 0 },
	{ { 0xe2, 0x74 }, 2, 0x6f2e, 0 },
	{ { 0xe2, 0x75 }, 2, 0x6f09, 0 },
	{ { 0xe2, 0x76 }, 2, 0x6f4e, 0 },
	{ { 0xe2, 0x77 }, 2, 0x6f19, 0 },
	{ { 0xe2, 0x78 }, 2, 0x6f1a, 0 },
	{ { 0xe2, 0x79 }, 2, 0x6f27, 0 },
	{ { 0xe2, 0x7a }, 2, 0x6f18, 0 },
	{ { 0xe2, 0x7b }, 2, 0x6f3b, 0 },
	{ { 0xe2, 0x7c }, 2, 0x6f12, 0 },
	{ { 0xe2, 0x7d }, 2, 0x6eed, 0 },
	{ { 0xe2, 0x7e }, 2, 0x6f0a, 0 },
	{ { 0xe2, 0xa1 }, 2, 0x6f36, 0 },
	{ { 0xe2, 0xa2 }, 2, 0x6f73, 0 },
	{ { 0xe2, 0xa3 }, 2, 0x6ef9, 0 },
	{ { 0xe2, 0xa4 }, 2, 0x6eee, 0 },
	{ { 0xe2, 0xa5 }, 2, 0x6f2d, 0 },
	{ { 0xe2, 0xa6 }, 2, 0x6f40, 0 },
	{ { 0xe2, 0xa7 }, 2, 0x6f30, 0 },
	{ { 0xe2, 0xa8 }, 2, 0x6f3c, 0 },
	{ { 0xe2, 0xa9 }, 2, 0x6f35, 0 },
	{ { 0xe2, 0xaa }, 2, 0x6eeb, 0 },
	{ { 0xe2, 0xab }, 2, 0x6f07, 0 },
	{ { 0xe2, 0xac }, 2, 0x6f0e, 0 },
	{ { 0xe2, 0xad }, 2, 0x6f43, 0 },
	{ { 0xe2, 0xae }, 2, 0x6f05, 0 },
	{ { 0xe2, 0xaf }, 2, 0x6efd, 0 },
	{ { 0xe2, 0xb0 }, 2, 0x6ef6, 0 },
	{ { 0xe2, 0xb1 }, 2, 0x6f39, 0 },
	{ { 0xe2, 0xb2 }, 2, 0x6f1c, 0 },
	{ { 0xe2, 0xb3 }, 2, 0x6efc, 0 },
	{ { 0xe2, 0xb4 }, 2, 0x6f3a, 0 },
	{ { 0xe2, 0xb5 }, 2, 0x6f1f, 0 },
	{ { 0xe2, 0xb6 }, 2, 0x6f0d, 0 },
	{ { 0xe2, 0xb7 }, 2, 0x6f1e, 0 },
	{ { 0xe2, 0xb8 }, 2, 0x6f08, 0 },
	{ { 0xe2, 0xb9 }, 2, 0x6f21, 0 },
	{ { 0xe2, 0xba }, 2, 0x7187, 0 },
	{ { 0xe2, 0xbb }, 2, 0x7190, 0 },
	{ { 0xe2, 0xbc }, 2, 0x7189, 0 },
	{ { 0xe2, 0xbd }, 2, 0x7180, 0 },
	{ { 0xe2, 0xbe }, 2, 0x7185, 0 },
	{ { 0xe2, 0xbf }, 2, 0x7182, 0 },
	{ { 0xe2, 0xc0 }, 2, 0x718f, 0 },
	{ { 0xe2, 0xc1 }, 2, 0x717b, 0 },
	{ { 0xe2, 0xc2 }, 2, 0x7186, 0 },
	{ { 0xe2, 0xc3 }, 2, 0x7181, 0 },
	{ { 0xe2, 0xc4 }, 2, 0x7197, 0 },
	{ { 0xe2, 0xc5 }, 2, 0x7244, 0 },
	{ { 0xe2, 0xc6 }, 2, 0x7253, 0 },
	{ { 0xe2, 0xc7 }, 2, 0x7297, 0 },
	{ { 0xe2, 0xc8 }, 2, 0x7295, 0 },
	{ { 0xe2, 0xc9 }, 2, 0x7293, 0 },
	{ { 0xe2, 0xca }, 2, 0x7343, 0 },
	{ { 0xe2, 0xcb }, 2, 0x734d, 0 },
	{ { 0xe2, 0xcc }, 2, 0x7351, 0 },
	{ { 0xe2, 0xcd }, 2, 0x734c, 0 },
	{ { 0xe2, 0xce }, 2, 0x7462, 0 },
	{ { 0xe2, 0xcf }, 2, 0x7473, 0 },
	{ { 0xe2, 0xd0 }, 2, 0x7471, 0 },
	{ { 0xe2, 0xd1 }, 2, 0x7475, 0 },
	{ { 0xe2, 0xd2 }, 2, 0x7472, 0 },
	{ { 0xe2, 0xd3 }, 2, 0x7467, 0 },
	{ { 0xe2, 0xd4 }, 2, 0x746e, 0 },
	{ { 0xe2, 0xd5 }, 2, 0x7500, 0 },
	{ { 0xe2, 0xd6 }, 2, 0x7502, 0 },
	{ { 0xe2, 0xd7 }, 2, 0x7503, 0 },
	{ { 0xe2, 0xd8 }, 2, 0x757d, 0 },
	{ { 0xe2, 0xd9 }, 2, 0x7590, 0 },
	{ { 0xe2, 0xda }, 2, 0x7616, 0 },
	{ { 0xe2, 0xdb }, 2, 0x7608, 0 },
	{ { 0xe2, 0xdc }, 2, 0x760c, 0 },
	{ { 0xe2, 0xdd }, 2, 0x7615, 0 },
	{ { 0xe2, 0xde }, 2, 0x7611, 0 },
	{ { 0xe2, 0xdf }, 2, 0x760a, 0 },
	{ { 0xe2, 0xe0 }, 2, 0x7614, 0 },
	{ { 0xe2, 0xe1 }, 2, 0x76b8, 0 },
	{ { 0xe2, 0xe2 }, 2, 0x7781, 0 },
	{ { 0xe2, 0xe3 }, 2, 0x777c, 0 },
	{ { 0xe2, 0xe4 }, 2, 0x7785, 0 },
	{ { 0xe2, 0xe5 }, 2, 0x7782, 0 },
	{ { 0xe2, 0xe6 }, 2, 0x776e, 0 },
	{ { 0xe2, 0xe7 }, 2, 0x7780, 0 },
	{ { 0xe2, 0xe8 }, 2, 0x776f, 0 },
	{ { 0xe2, 0xe9 }, 2, 0x777e, 0 },
	{ { 0xe2, 0xea }, 2, 0x7783, 0 },
	{ { 0xe2, 0xeb }, 2, 0x78b2, 0 },
	{ { 0xe2, 0xec }, 2, 0x78aa, 0 },
	{ { 0xe2, 0xed }, 2, 0x78b4, 0 },
	{ { 0xe2, 0xee }, 2, 0x78ad, 0 },
	{ { 0xe2, 0xef }, 2, 0x78a8, 0 },
	{ { 0xe2, 0xf0 }, 2, 0x787e, 0 },
	{ { 0xe2, 0xf1 }, 2, 0x78ab, 0 },
	{ { 0xe2, 0xf2 }, 2, 0x789e, 0 },
	{ { 0xe2, 0xf3 }, 2, 0x78a5, 0 },
	{ { 0xe2, 0xf4 }, 2, 0x78a0, 0 },
	{ { 0xe2, 0xf5 }, 2, 0x78ac, 0 },
	{ { 0xe2, 0xf6 }, 2, 0x78a2, 0 },
	{ { 0xe2, 0xf7 }, 2, 0x78a4, 0 },
	{ { 0xe2, 0xf8 }, 2, 0x7998, 0 },
	{ { 0xe2, 0xf9 }, 2, 0x798a, 0 },
	{ { 0xe2, 0xfa }, 2, 0x798b, 0 },
	{ { 0xe2, 0xfb }, 2, 0x7996, 0 },
	{ { 0xe2, 0xfc }, 2, 0x7995, 0 },
	{ { 0xe2, 0xfd }, 2, 0x7994, 0 },
	{ { 0xe2, 0xfe }, 2, 0x7993, 0 },

	{ { 0xe3, 0x40 }, 2, 0x7997, 0 },
	{ { 0xe3, 0x41 }, 2, 0x7988, 0 },
	{ { 0xe3, 0x42 }, 2, 0x7992, 0 },
	{ { 0xe3, 0x43 }, 2, 0x7990, 0 },
	{ { 0xe3, 0x44 }, 2, 0x7a2b, 0 },
	{ { 0xe3, 0x45 }, 2, 0x7a4a, 0 },
	{ { 0xe3, 0x46 }, 2, 0x7a30, 0 },
	{ { 0xe3, 0x47 }, 2, 0x7a2f, 0 },
	{ { 0xe3, 0x48 }, 2, 0x7a28, 0 },
	{ { 0xe3, 0x49 }, 2, 0x7a26, 0 },
	{ { 0xe3, 0x4a }, 2, 0x7aa8, 0 },
	{ { 0xe3, 0x4b }, 2, 0x7aab, 0 },
	{ { 0xe3, 0x4c }, 2, 0x7aac, 0 },
	{ { 0xe3, 0x4d }, 2, 0x7aee, 0 },
	{ { 0xe3, 0x4e }, 2, 0x7b88, 0 },
	{ { 0xe3, 0x4f }, 2, 0x7b9c, 0 },
	{ { 0xe3, 0x50 }, 2, 0x7b8a, 0 },
	{ { 0xe3, 0x51 }, 2, 0x7b91, 0 },
	{ { 0xe3, 0x52 }, 2, 0x7b90, 0 },
	{ { 0xe3, 0x53 }, 2, 0x7b96, 0 },
	{ { 0xe3, 0x54 }, 2, 0x7b8d, 0 },
	{ { 0xe3, 0x55 }, 2, 0x7b8c, 0 },
	{ { 0xe3, 0x56 }, 2, 0x7b9b, 0 },
	{ { 0xe3, 0x57 }, 2, 0x7b8e, 0 },
	{ { 0xe3, 0x58 }, 2, 0x7b85, 0 },
	{ { 0xe3, 0x59 }, 2, 0x7b98, 0 },
	{ { 0xe3, 0x5a }, 2, 0x5284, 0 },
	{ { 0xe3, 0x5b }, 2, 0x7b99, 0 },
	{ { 0xe3, 0x5c }, 2, 0x7ba4, 0 },
	{ { 0xe3, 0x5d }, 2, 0x7b82, 0 },
	{ { 0xe3, 0x5e }, 2, 0x7cbb, 0 },
	{ { 0xe3, 0x5f }, 2, 0x7cbf, 0 },
	{ { 0xe3, 0x60 }, 2, 0x7cbc, 0 },
	{ { 0xe3, 0x61 }, 2, 0x7cba, 0 },
	{ { 0xe3, 0x62 }, 2, 0x7da7, 0 },
	{ { 0xe3, 0x63 }, 2, 0x7db7, 0 },
	{ { 0xe3, 0x64 }, 2, 0x7dc2, 0 },
	{ { 0xe3, 0x65 }, 2, 0x7da3, 0 },
	{ { 0xe3, 0x66 }, 2, 0x7daa, 0 },
	{ { 0xe3, 0x67 }, 2, 0x7dc1, 0 },
	{ { 0xe3, 0x68 }, 2, 0x7dc0, 0 },
	{ { 0xe3, 0x69 }, 2, 0x7dc5, 0 },
	{ { 0xe3, 0x6a }, 2, 0x7d9d, 0 },
	{ { 0xe3, 0x6b }, 2, 0x7dce, 0 },
	{ { 0xe3, 0x6c }, 2, 0x7dc4, 0 },
	{ { 0xe3, 0x6d }, 2, 0x7dc6, 0 },
	{ { 0xe3, 0x6e }, 2, 0x7dcb, 0 },
	{ { 0xe3, 0x6f }, 2, 0x7dcc, 0 },
	{ { 0xe3, 0x70 }, 2, 0x7daf, 0 },
	{ { 0xe3, 0x71 }, 2, 0x7db9, 0 },
	{ { 0xe3, 0x72 }, 2, 0x7d96, 0 },
	{ { 0xe3, 0x73 }, 2, 0x7dbc, 0 },
	{ { 0xe3, 0x74 }, 2, 0x7d9f, 0 },
	{ { 0xe3, 0x75 }, 2, 0x7da6, 0 },
	{ { 0xe3, 0x76 }, 2, 0x7dae, 0 },
	{ { 0xe3, 0x77 }, 2, 0x7da9, 0 },
	{ { 0xe3, 0x78 }, 2, 0x7da1, 0 },
	{ { 0xe3, 0x79 }, 2, 0x7dc9, 0 },
	{ { 0xe3, 0x7a }, 2, 0x7f73, 0 },
	{ { 0xe3, 0x7b }, 2, 0x7fe2, 0 },
	{ { 0xe3, 0x7c }, 2, 0x7fe3, 0 },
	{ { 0xe3, 0x7d }, 2, 0x7fe5, 0 },
	{ { 0xe3, 0x7e }, 2, 0x7fde, 0 },
	{ { 0xe3, 0xa1 }, 2, 0x8024, 0 },
	{ { 0xe3, 0xa2 }, 2, 0x805d, 0 },
	{ { 0xe3, 0xa3 }, 2, 0x805c, 0 },
	{ { 0xe3, 0xa4 }, 2, 0x8189, 0 },
	{ { 0xe3, 0xa5 }, 2, 0x8186, 0 },
	{ { 0xe3, 0xa6 }, 2, 0x8183, 0 },
	{ { 0xe3, 0xa7 }, 2, 0x8187, 0 },
	{ { 0xe3, 0xa8 }, 2, 0x818d, 0 },
	{ { 0xe3, 0xa9 }, 2, 0x818c, 0 },
	{ { 0xe3, 0xaa }, 2, 0x818b, 0 },
	{ { 0xe3, 0xab }, 2, 0x8215, 0 },
	{ { 0xe3, 0xac }, 2, 0x8497, 0 },
	{ { 0xe3, 0xad }, 2, 0x84a4, 0 },
	{ { 0xe3, 0xae }, 2, 0x84a1, 0 },
	{ { 0xe3, 0xaf }, 2, 0x849f, 0 },
	{ { 0xe3, 0xb0 }, 2, 0x84ba, 0 },
	{ { 0xe3, 0xb1 }, 2, 0x84ce, 0 },
	{ { 0xe3, 0xb2 }, 2, 0x84c2, 0 },
	{ { 0xe3, 0xb3 }, 2, 0x84ac, 0 },
	{ { 0xe3, 0xb4 }, 2, 0x84ae, 0 },
	{ { 0xe3, 0xb5 }, 2, 0x84ab, 0 },
	{ { 0xe3, 0xb6 }, 2, 0x84b9, 0 },
	{ { 0xe3, 0xb7 }, 2, 0x84b4, 0 },
	{ { 0xe3, 0xb8 }, 2, 0x84c1, 0 },
	{ { 0xe3, 0xb9 }, 2, 0x84cd, 0 },
	{ { 0xe3, 0xba }, 2, 0x84aa, 0 },
	{ { 0xe3, 0xbb }, 2, 0x849a, 0 },
	{ { 0xe3, 0xbc }, 2, 0x84b1, 0 },
	{ { 0xe3, 0xbd }, 2, 0x84d0, 0 },
	{ { 0xe3, 0xbe }, 2, 0x849d, 0 },
	{ { 0xe3, 0xbf }, 2, 0x84a7, 0 },
	{ { 0xe3, 0xc0 }, 2, 0x84bb, 0 },
	{ { 0xe3, 0xc1 }, 2, 0x84a2, 0 },
	{ { 0xe3, 0xc2 }, 2, 0x8494, 0 },
	{ { 0xe3, 0xc3 }, 2, 0x84c7, 0 },
	{ { 0xe3, 0xc4 }, 2, 0x84cc, 0 },
	{ { 0xe3, 0xc5 }, 2, 0x849b, 0 },
	{ { 0xe3, 0xc6 }, 2, 0x84a9, 0 },
	{ { 0xe3, 0xc7 }, 2, 0x84af, 0 },
	{ { 0xe3, 0xc8 }, 2, 0x84a8, 0 },
	{ { 0xe3, 0xc9 }, 2, 0x84d6, 0 },
	{ { 0xe3, 0xca }, 2, 0x8498, 0 },
	{ { 0xe3, 0xcb }, 2, 0x84b6, 0 },
	{ { 0xe3, 0xcc }, 2, 0x84cf, 0 },
	{ { 0xe3, 0xcd }, 2, 0x84a0, 0 },
	{ { 0xe3, 0xce }, 2, 0x84d7, 0 },
	{ { 0xe3, 0xcf }, 2, 0x84d4, 0 },
	{ { 0xe3, 0xd0 }, 2, 0x84d2, 0 },
	{ { 0xe3, 0xd1 }, 2, 0x84db, 0 },
	{ { 0xe3, 0xd2 }, 2, 0x84b0, 0 },
	{ { 0xe3, 0xd3 }, 2, 0x8491, 0 },
	{ { 0xe3, 0xd4 }, 2, 0x8661, 0 },
	{ { 0xe3, 0xd5 }, 2, 0x8733, 0 },
	{ { 0xe3, 0xd6 }, 2, 0x8723, 0 },
	{ { 0xe3, 0xd7 }, 2, 0x8728, 0 },
	{ { 0xe3, 0xd8 }, 2, 0x876b, 0 },
	{ { 0xe3, 0xd9 }, 2, 0x8740, 0 },
	{ { 0xe3, 0xda }, 2, 0x872e, 0 },
	{ { 0xe3, 0xdb }, 2, 0x871e, 0 },
	{ { 0xe3, 0xdc }, 2, 0x8721, 0 },
	{ { 0xe3, 0xdd }, 2, 0x8719, 0 },
	{ { 0xe3, 0xde }, 2, 0x871b, 0 },
	{ { 0xe3, 0xdf }, 2, 0x8743, 0 },
	{ { 0xe3, 0xe0 }, 2, 0x872c, 0 },
	{ { 0xe3, 0xe1 }, 2, 0x8741, 0 },
	{ { 0xe3, 0xe2 }, 2, 0x873e, 0 },
	{ { 0xe3, 0xe3 }, 2, 0x8746, 0 },
	{ { 0xe3, 0xe4 }, 2, 0x8720, 0 },
	{ { 0xe3, 0xe5 }, 2, 0x8732, 0 },
	{ { 0xe3, 0xe6 }, 2, 0x872a, 0 },
	{ { 0xe3, 0xe7 }, 2, 0x872d, 0 },
	{ { 0xe3, 0xe8 }, 2, 0x873c, 0 },
	{ { 0xe3, 0xe9 }, 2, 0x8712, 0 },
	{ { 0xe3, 0xea }, 2, 0x873a, 0 },
	{ { 0xe3, 0xeb }, 2, 0x8731, 0 },
	{ { 0xe3, 0xec }, 2, 0x8735, 0 },
	{ { 0xe3, 0xed }, 2, 0x8742, 0 },
	{ { 0xe3, 0xee }, 2, 0x8726, 0 },
	{ { 0xe3, 0xef }, 2, 0x8727, 0 },
	{ { 0xe3, 0xf0 }, 2, 0x8738, 0 },
	{ { 0xe3, 0xf1 }, 2, 0x8724, 0 },
	{ { 0xe3, 0xf2 }, 2, 0x871a, 0 },
	{ { 0xe3, 0xf3 }, 2, 0x8730, 0 },
	{ { 0xe3, 0xf4 }, 2, 0x8711, 0 },
	{ { 0xe3, 0xf5 }, 2, 0x88f7, 0 },
	{ { 0xe3, 0xf6 }, 2, 0x88e7, 0 },
	{ { 0xe3, 0xf7 }, 2, 0x88f1, 0 },
	{ { 0xe3, 0xf8 }, 2, 0x88f2, 0 },
	{ { 0xe3, 0xf9 }, 2, 0x88fa, 0 },
	{ { 0xe3, 0xfa }, 2, 0x88fe, 0 },
	{ { 0xe3, 0xfb }, 2, 0x88ee, 0 },
	{ { 0xe3, 0xfc }, 2, 0x88fc, 0 },
	{ { 0xe3, 0xfd }, 2, 0x88f6, 0 },
	{ { 0xe3, 0xfe }, 2, 0x88fb, 0 },

	{ { 0xe4, 0x40 }, 2, 0x88f0, 0 },
	{ { 0xe4, 0x41 }, 2, 0x88ec, 0 },
	{ { 0xe4, 0x42 }, 2, 0x88eb, 0 },
	{ { 0xe4, 0x43 }, 2, 0x899d, 0 },
	{ { 0xe4, 0x44 }, 2, 0x89a1, 0 },
	{ { 0xe4, 0x45 }, 2, 0x899f, 0 },
	{ { 0xe4, 0x46 }, 2, 0x899e, 0 },
	{ { 0xe4, 0x47 }, 2, 0x89e9, 0 },
	{ { 0xe4, 0x48 }, 2, 0x89eb, 0 },
	{ { 0xe4, 0x49 }, 2, 0x89e8, 0 },
	{ { 0xe4, 0x4a }, 2, 0x8aab, 0 },
	{ { 0xe4, 0x4b }, 2, 0x8a99, 0 },
	{ { 0xe4, 0x4c }, 2, 0x8a8b, 0 },
	{ { 0xe4, 0x4d }, 2, 0x8a92, 0 },
	{ { 0xe4, 0x4e }, 2, 0x8a8f, 0 },
	{ { 0xe4, 0x4f }, 2, 0x8a96, 0 },
	{ { 0xe4, 0x50 }, 2, 0x8c3d, 0 },
	{ { 0xe4, 0x51 }, 2, 0x8c68, 0 },
	{ { 0xe4, 0x52 }, 2, 0x8c69, 0 },
	{ { 0xe4, 0x53 }, 2, 0x8cd5, 0 },
	{ { 0xe4, 0x54 }, 2, 0x8ccf, 0 },
	{ { 0xe4, 0x55 }, 2, 0x8cd7, 0 },
	{ { 0xe4, 0x56 }, 2, 0x8d96, 0 },
	{ { 0xe4, 0x57 }, 2, 0x8e09, 0 },
	{ { 0xe4, 0x58 }, 2, 0x8e02, 0 },
	{ { 0xe4, 0x59 }, 2, 0x8dff, 0 },
	{ { 0xe4, 0x5a }, 2, 0x8e0d, 0 },
	{ { 0xe4, 0x5b }, 2, 0x8dfd, 0 },
	{ { 0xe4, 0x5c }, 2, 0x8e0a, 0 },
	{ { 0xe4, 0x5d }, 2, 0x8e03, 0 },
	{ { 0xe4, 0x5e }, 2, 0x8e07, 0 },
	{ { 0xe4, 0x5f }, 2, 0x8e06, 0 },
	{ { 0xe4, 0x60 }, 2, 0x8e05, 0 },
	{ { 0xe4, 0x61 }, 2, 0x8dfe, 0 },
	{ { 0xe4, 0x62 }, 2, 0x8e00, 0 },
	{ { 0xe4, 0x63 }, 2, 0x8e04, 0 },
	{ { 0xe4, 0x64 }, 2, 0x8f10, 0 },
	{ { 0xe4, 0x65 }, 2, 0x8f11, 0 },
	{ { 0xe4, 0x66 }, 2, 0x8f0e, 0 },
	{ { 0xe4, 0x67 }, 2, 0x8f0d, 0 },
	{ { 0xe4, 0x68 }, 2, 0x9123, 0 },
	{ { 0xe4, 0x69 }, 2, 0x911c, 0 },
	{ { 0xe4, 0x6a }, 2, 0x9120, 0 },
	{ { 0xe4, 0x6b }, 2, 0x9122, 0 },
	{ { 0xe4, 0x6c }, 2, 0x911f, 0 },
	{ { 0xe4, 0x6d }, 2, 0x911d, 0 },
	{ { 0xe4, 0x6e }, 2, 0x911a, 0 },
	{ { 0xe4, 0x6f }, 2, 0x9124, 0 },
	{ { 0xe4, 0x70 }, 2, 0x9121, 0 },
	{ { 0xe4, 0x71 }, 2, 0x911b, 0 },
	{ { 0xe4, 0x72 }, 2, 0x917a, 0 },
	{ { 0xe4, 0x73 }, 2, 0x9172, 0 },
	{ { 0xe4, 0x74 }, 2, 0x9179, 0 },
	{ { 0xe4, 0x75 }, 2, 0x9173, 0 },
	{ { 0xe4, 0x76 }, 2, 0x92a5, 0 },
	{ { 0xe4, 0x77 }, 2, 0x92a4, 0 },
	{ { 0xe4, 0x78 }, 2, 0x9276, 0 },
	{ { 0xe4, 0x79 }, 2, 0x929b, 0 },
	{ { 0xe4, 0x7a }, 2, 0x927a, 0 },
	{ { 0xe4, 0x7b }, 2, 0x92a0, 0 },
	{ { 0xe4, 0x7c }, 2, 0x9294, 0 },
	{ { 0xe4, 0x7d }, 2, 0x92aa, 0 },
	{ { 0xe4, 0x7e }, 2, 0x928d, 0 },
	{ { 0xe4, 0xa1 }, 2, 0x92a6, 0 },
	{ { 0xe4, 0xa2 }, 2, 0x929a, 0 },
	{ { 0xe4, 0xa3 }, 2, 0x92ab, 0 },
	{ { 0xe4, 0xa4 }, 2, 0x9279, 0 },
	{ { 0xe4, 0xa5 }, 2, 0x9297, 0 },
	{ { 0xe4, 0xa6 }, 2, 0x927f, 0 },
	{ { 0xe4, 0xa7 }, 2, 0x92a3, 0 },
	{ { 0xe4, 0xa8 }, 2, 0x92ee, 0 },
	{ { 0xe4, 0xa9 }, 2, 0x928e, 0 },
	{ { 0xe4, 0xaa }, 2, 0x9282, 0 },
	{ { 0xe4, 0xab }, 2, 0x9295, 0 },
	{ { 0xe4, 0xac }, 2, 0x92a2, 0 },
	{ { 0xe4, 0xad }, 2, 0x927d, 0 },
	{ { 0xe4, 0xae }, 2, 0x9288, 0 },
	{ { 0xe4, 0xaf }, 2, 0x92a1, 0 },
	{ { 0xe4, 0xb0 }, 2, 0x928a, 0 },
	{ { 0xe4, 0xb1 }, 2, 0x9286, 0 },
	{ { 0xe4, 0xb2 }, 2, 0x928c, 0 },
	{ { 0xe4, 0xb3 }, 2, 0x9299, 0 },
	{ { 0xe4, 0xb4 }, 2, 0x92a7, 0 },
	{ { 0xe4, 0xb5 }, 2, 0x927e, 0 },
	{ { 0xe4, 0xb6 }, 2, 0x9287, 0 },
	{ { 0xe4, 0xb7 }, 2, 0x92a9, 0 },
	{ { 0xe4, 0xb8 }, 2, 0x929d, 0 },
	{ { 0xe4, 0xb9 }, 2, 0x928b, 0 },
	{ { 0xe4, 0xba }, 2, 0x922d, 0 },
	{ { 0xe4, 0xbb }, 2, 0x969e, 0 },
	{ { 0xe4, 0xbc }, 2, 0x96a1, 0 },
	{ { 0xe4, 0xbd }, 2, 0x96ff, 0 },
	{ { 0xe4, 0xbe }, 2, 0x9758, 0 },
	{ { 0xe4, 0xbf }, 2, 0x977d, 0 },
	{ { 0xe4, 0xc0 }, 2, 0x977a, 0 },
	{ { 0xe4, 0xc1 }, 2, 0x977e, 0 },
	{ { 0xe4, 0xc2 }, 2, 0x9783, 0 },
	{ { 0xe4, 0xc3 }, 2, 0x9780, 0 },
	{ { 0xe4, 0xc4 }, 2, 0x9782, 0 },
	{ { 0xe4, 0xc5 }, 2, 0x977b, 0 },
	{ { 0xe4, 0xc6 }, 2, 0x9784, 0 },
	{ { 0xe4, 0xc7 }, 2, 0x9781, 0 },
	{ { 0xe4, 0xc8 }, 2, 0x977f, 0 },
	{ { 0xe4, 0xc9 }, 2, 0x97ce, 0 },
	{ { 0xe4, 0xca }, 2, 0x97cd, 0 },
	{ { 0xe4, 0xcb }, 2, 0x9816, 0 },
	{ { 0xe4, 0xcc }, 2, 0x98ad, 0 },
	{ { 0xe4, 0xcd }, 2, 0x98ae, 0 },
	{ { 0xe4, 0xce }, 2, 0x9902, 0 },
	{ { 0xe4, 0xcf }, 2, 0x9900, 0 },
	{ { 0xe4, 0xd0 }, 2, 0x9907, 0 },
	{ { 0xe4, 0xd1 }, 2, 0x999d, 0 },
	{ { 0xe4, 0xd2 }, 2, 0x999c, 0 },
	{ { 0xe4, 0xd3 }, 2, 0x99c3, 0 },
	{ { 0xe4, 0xd4 }, 2, 0x99b9, 0 },
	{ { 0xe4, 0xd5 }, 2, 0x99bb, 0 },
	{ { 0xe4, 0xd6 }, 2, 0x99ba, 0 },
	{ { 0xe4, 0xd7 }, 2, 0x99c2, 0 },
	{ { 0xe4, 0xd8 }, 2, 0x99bd, 0 },
	{ { 0xe4, 0xd9 }, 2, 0x99c7, 0 },
	{ { 0xe4, 0xda }, 2, 0x9ab1, 0 },
	{ { 0xe4, 0xdb }, 2, 0x9ae3, 0 },
	{ { 0xe4, 0xdc }, 2, 0x9ae7, 0 },
	{ { 0xe4, 0xdd }, 2, 0x9b3e, 0 },
	{ { 0xe4, 0xde }, 2, 0x9b3f, 0 },
	{ { 0xe4, 0xdf }, 2, 0x9b60, 0 },
	{ { 0xe4, 0xe0 }, 2, 0x9b61, 0 },
	{ { 0xe4, 0xe1 }, 2, 0x9b5f, 0 },
	{ { 0xe4, 0xe2 }, 2, 0x9cf1, 0 },
	{ { 0xe4, 0xe3 }, 2, 0x9cf2, 0 },
	{ { 0xe4, 0xe4 }, 2, 0x9cf5, 0 },
	{ { 0xe4, 0xe5 }, 2, 0x9ea7, 0 },
	{ { 0xe4, 0xe6 }, 2, 0x50ff, 0 },
	{ { 0xe4, 0xe7 }, 2, 0x5103, 0 },
	{ { 0xe4, 0xe8 }, 2, 0x5130, 0 },
	{ { 0xe4, 0xe9 }, 2, 0x50f8, 0 },
	{ { 0xe4, 0xea }, 2, 0x5106, 0 },
	{ { 0xe4, 0xeb }, 2, 0x5107, 0 },
	{ { 0xe4, 0xec }, 2, 0x50f6, 0 },
	{ { 0xe4, 0xed }, 2, 0x50fe, 0 },
	{ { 0xe4, 0xee }, 2, 0x510b, 0 },
	{ { 0xe4, 0xef }, 2, 0x510c, 0 },
	{ { 0xe4, 0xf0 }, 2, 0x50fd, 0 },
	{ { 0xe4, 0xf1 }, 2, 0x510a, 0 },
	{ { 0xe4, 0xf2 }, 2, 0x528b, 0 },
	{ { 0xe4, 0xf3 }, 2, 0x528c, 0 },
	{ { 0xe4, 0xf4 }, 2, 0x52f1, 0 },
	{ { 0xe4, 0xf5 }, 2, 0x52ef, 0 },
	{ { 0xe4, 0xf6 }, 2, 0x5648, 0 },
	{ { 0xe4, 0xf7 }, 2, 0x5642, 0 },
	{ { 0xe4, 0xf8 }, 2, 0x564c, 0 },
	{ { 0xe4, 0xf9 }, 2, 0x5635, 0 },
	{ { 0xe4, 0xfa }, 2, 0x5641, 0 },
	{ { 0xe4, 0xfb }, 2, 0x564a, 0 },
	{ { 0xe4, 0xfc }, 2, 0x5649, 0 },
	{ { 0xe4, 0xfd }, 2, 0x5646, 0 },
	{ { 0xe4, 0xfe }, 2, 0x5658, 0 },

	{ { 0xe5, 0x40 }, 2, 0x565a, 0 },
	{ { 0xe5, 0x41 }, 2, 0x5640, 0 },
	{ { 0xe5, 0x42 }, 2, 0x5633, 0 },
	{ { 0xe5, 0x43 }, 2, 0x563d, 0 },
	{ { 0xe5, 0x44 }, 2, 0x562c, 0 },
	{ { 0xe5, 0x45 }, 2, 0x563e, 0 },
	{ { 0xe5, 0x46 }, 2, 0x5638, 0 },
	{ { 0xe5, 0x47 }, 2, 0x562a, 0 },
	{ { 0xe5, 0x48 }, 2, 0x563a, 0 },
	{ { 0xe5, 0x49 }, 2, 0x571a, 0 },
	{ { 0xe5, 0x4a }, 2, 0x58ab, 0 },
	{ { 0xe5, 0x4b }, 2, 0x589d, 0 },
	{ { 0xe5, 0x4c }, 2, 0x58b1, 0 },
	{ { 0xe5, 0x4d }, 2, 0x58a0, 0 },
	{ { 0xe5, 0x4e }, 2, 0x58a3, 0 },
	{ { 0xe5, 0x4f }, 2, 0x58af, 0 },
	{ { 0xe5, 0x50 }, 2, 0x58ac, 0 },
	{ { 0xe5, 0x51 }, 2, 0x58a5, 0 },
	{ { 0xe5, 0x52 }, 2, 0x58a1, 0 },
	{ { 0xe5, 0x53 }, 2, 0x58ff, 0 },
	{ { 0xe5, 0x54 }, 2, 0x5aff, 0 },
	{ { 0xe5, 0x55 }, 2, 0x5af4, 0 },
	{ { 0xe5, 0x56 }, 2, 0x5afd, 0 },
	{ { 0xe5, 0x57 }, 2, 0x5af7, 0 },
	{ { 0xe5, 0x58 }, 2, 0x5af6, 0 },
	{ { 0xe5, 0x59 }, 2, 0x5b03, 0 },
	{ { 0xe5, 0x5a }, 2, 0x5af8, 0 },
	{ { 0xe5, 0x5b }, 2, 0x5b02, 0 },
	{ { 0xe5, 0x5c }, 2, 0x5af9, 0 },
	{ { 0xe5, 0x5d }, 2, 0x5b01, 0 },
	{ { 0xe5, 0x5e }, 2, 0x5b07, 0 },
	{ { 0xe5, 0x5f }, 2, 0x5b05, 0 },
	{ { 0xe5, 0x60 }, 2, 0x5b0f, 0 },
	{ { 0xe5, 0x61 }, 2, 0x5c67, 0 },
	{ { 0xe5, 0x62 }, 2, 0x5d99, 0 },
	{ { 0xe5, 0x63 }, 2, 0x5d97, 0 },
	{ { 0xe5, 0x64 }, 2, 0x5d9f, 0 },
	{ { 0xe5, 0x65 }, 2, 0x5d92, 0 },
	{ { 0xe5, 0x66 }, 2, 0x5da2, 0 },
	{ { 0xe5, 0x67 }, 2, 0x5d93, 0 },
	{ { 0xe5, 0x68 }, 2, 0x5d95, 0 },
	{ { 0xe5, 0x69 }, 2, 0x5da0, 0 },
	{ { 0xe5, 0x6a }, 2, 0x5d9c, 0 },
	{ { 0xe5, 0x6b }, 2, 0x5da1, 0 },
	{ { 0xe5, 0x6c }, 2, 0x5d9a, 0 },
	{ { 0xe5, 0x6d }, 2, 0x5d9e, 0 },
	{ { 0xe5, 0x6e }, 2, 0x5e69, 0 },
	{ { 0xe5, 0x6f }, 2, 0x5e5d, 0 },
	{ { 0xe5, 0x70 }, 2, 0x5e60, 0 },
	{ { 0xe5, 0x71 }, 2, 0x5e5c, 0 },
	{ { 0xe5, 0x72 }, 2, 0x7df3, 0 },
	{ { 0xe5, 0x73 }, 2, 0x5edb, 0 },
	{ { 0xe5, 0x74 }, 2, 0x5ede, 0 },
	{ { 0xe5, 0x75 }, 2, 0x5ee1, 0 },
	{ { 0xe5, 0x76 }, 2, 0x5f49, 0 },
	{ { 0xe5, 0x77 }, 2, 0x5fb2, 0 },
	{ { 0xe5, 0x78 }, 2, 0x618b, 0 },
	{ { 0xe5, 0x79 }, 2, 0x6183, 0 },
	{ { 0xe5, 0x7a }, 2, 0x6179, 0 },
	{ { 0xe5, 0x7b }, 2, 0x61b1, 0 },
	{ { 0xe5, 0x7c }, 2, 0x61b0, 0 },
	{ { 0xe5, 0x7d }, 2, 0x61a2, 0 },
	{ { 0xe5, 0x7e }, 2, 0x6189, 0 },
	{ { 0xe5, 0xa1 }, 2, 0x619b, 0 },
	{ { 0xe5, 0xa2 }, 2, 0x6193, 0 },
	{ { 0xe5, 0xa3 }, 2, 0x61af, 0 },
	{ { 0xe5, 0xa4 }, 2, 0x61ad, 0 },
	{ { 0xe5, 0xa5 }, 2, 0x619f, 0 },
	{ { 0xe5, 0xa6 }, 2, 0x6192, 0 },
	{ { 0xe5, 0xa7 }, 2, 0x61aa, 0 },
	{ { 0xe5, 0xa8 }, 2, 0x61a1, 0 },
	{ { 0xe5, 0xa9 }, 2, 0x618d, 0 },
	{ { 0xe5, 0xaa }, 2, 0x6166, 0 },
	{ { 0xe5, 0xab }, 2, 0x61b3, 0 },
	{ { 0xe5, 0xac }, 2, 0x622d, 0 },
	{ { 0xe5, 0xad }, 2, 0x646e, 0 },
	{ { 0xe5, 0xae }, 2, 0x6470, 0 },
	{ { 0xe5, 0xaf }, 2, 0x6496, 0 },
	{ { 0xe5, 0xb0 }, 2, 0x64a0, 0 },
	{ { 0xe5, 0xb1 }, 2, 0x6485, 0 },
	{ { 0xe5, 0xb2 }, 2, 0x6497, 0 },
	{ { 0xe5, 0xb3 }, 2, 0x649c, 0 },
	{ { 0xe5, 0xb4 }, 2, 0x648f, 0 },
	{ { 0xe5, 0xb5 }, 2, 0x648b, 0 },
	{ { 0xe5, 0xb6 }, 2, 0x648a, 0 },
	{ { 0xe5, 0xb7 }, 2, 0x648c, 0 },
	{ { 0xe5, 0xb8 }, 2, 0x64a3, 0 },
	{ { 0xe5, 0xb9 }, 2, 0x649f, 0 },
	{ { 0xe5, 0xba }, 2, 0x6468, 0 },
	{ { 0xe5, 0xbb }, 2, 0x64b1, 0 },
	{ { 0xe5, 0xbc }, 2, 0x6498, 0 },
	{ { 0xe5, 0xbd }, 2, 0x6576, 0 },
	{ { 0xe5, 0xbe }, 2, 0x657a, 0 },
	{ { 0xe5, 0xbf }, 2, 0x6579, 0 },
	{ { 0xe5, 0xc0 }, 2, 0x657b, 0 },
	{ { 0xe5, 0xc1 }, 2, 0x65b2, 0 },
	{ { 0xe5, 0xc2 }, 2, 0x65b3, 0 },
	{ { 0xe5, 0xc3 }, 2, 0x66b5, 0 },
	{ { 0xe5, 0xc4 }, 2, 0x66b0, 0 },
	{ { 0xe5, 0xc5 }, 2, 0x66a9, 0 },
	{ { 0xe5, 0xc6 }, 2, 0x66b2, 0 },
	{ { 0xe5, 0xc7 }, 2, 0x66b7, 0 },
	{ { 0xe5, 0xc8 }, 2, 0x66aa, 0 },
	{ { 0xe5, 0xc9 }, 2, 0x66af, 0 },
	{ { 0xe5, 0xca }, 2, 0x6a00, 0 },
	{ { 0xe5, 0xcb }, 2, 0x6a06, 0 },
	{ { 0xe5, 0xcc }, 2, 0x6a17, 0 },
	{ { 0xe5, 0xcd }, 2, 0x69e5, 0 },
	{ { 0xe5, 0xce }, 2, 0x69f8, 0 },
	{ { 0xe5, 0xcf }, 2, 0x6a15, 0 },
	{ { 0xe5, 0xd0 }, 2, 0x69f1, 0 },
	{ { 0xe5, 0xd1 }, 2, 0x69e4, 0 },
	{ { 0xe5, 0xd2 }, 2, 0x6a20, 0 },
	{ { 0xe5, 0xd3 }, 2, 0x69ff, 0 },
	{ { 0xe5, 0xd4 }, 2, 0x69ec, 0 },
	{ { 0xe5, 0xd5 }, 2, 0x69e2, 0 },
	{ { 0xe5, 0xd6 }, 2, 0x6a1b, 0 },
	{ { 0xe5, 0xd7 }, 2, 0x6a1d, 0 },
	{ { 0xe5, 0xd8 }, 2, 0x69fe, 0 },
	{ { 0xe5, 0xd9 }, 2, 0x6a27, 0 },
	{ { 0xe5, 0xda }, 2, 0x69f2, 0 },
	{ { 0xe5, 0xdb }, 2, 0x69ee, 0 },
	{ { 0xe5, 0xdc }, 2, 0x6a14, 0 },
	{ { 0xe5, 0xdd }, 2, 0x69f7, 0 },
	{ { 0xe5, 0xde }, 2, 0x69e7, 0 },
	{ { 0xe5, 0xdf }, 2, 0x6a40, 0 },
	{ { 0xe5, 0xe0 }, 2, 0x6a08, 0 },
	{ { 0xe5, 0xe1 }, 2, 0x69e6, 0 },
	{ { 0xe5, 0xe2 }, 2, 0x69fb, 0 },
	{ { 0xe5, 0xe3 }, 2, 0x6a0d, 0 },
	{ { 0xe5, 0xe4 }, 2, 0x69fc, 0 },
	{ { 0xe5, 0xe5 }, 2, 0x69eb, 0 },
	{ { 0xe5, 0xe6 }, 2, 0x6a09, 0 },
	{ { 0xe5, 0xe7 }, 2, 0x6a04, 0 },
	{ { 0xe5, 0xe8 }, 2, 0x6a18, 0 },
	{ { 0xe5, 0xe9 }, 2, 0x6a25, 0 },
	{ { 0xe5, 0xea }, 2, 0x6a0f, 0 },
	{ { 0xe5, 0xeb }, 2, 0x69f6, 0 },
	{ { 0xe5, 0xec }, 2, 0x6a26, 0 },
	{ { 0xe5, 0xed }, 2, 0x6a07, 0 },
	{ { 0xe5, 0xee }, 2, 0x69f4, 0 },
	{ { 0xe5, 0xef }, 2, 0x6a16, 0 },
	{ { 0xe5, 0xf0 }, 2, 0x6b51, 0 },
	{ { 0xe5, 0xf1 }, 2, 0x6ba5, 0 },
	{ { 0xe5, 0xf2 }, 2, 0x6ba3, 0 },
	{ { 0xe5, 0xf3 }, 2, 0x6ba2, 0 },
	{ { 0xe5, 0xf4 }, 2, 0x6ba6, 0 },
	{ { 0xe5, 0xf5 }, 2, 0x6c01, 0 },
	{ { 0xe5, 0xf6 }, 2, 0x6c00, 0 },
	{ { 0xe5, 0xf7 }, 2, 0x6bff, 0 },
	{ { 0xe5, 0xf8 }, 2, 0x6c02, 0 },
	{ { 0xe5, 0xf9 }, 2, 0x6f41, 0 },
	{ { 0xe5, 0xfa }, 2, 0x6f26, 0 },
	{ { 0xe5, 0xfb }, 2, 0x6f7e, 0 },
	{ { 0xe5, 0xfc }, 2, 0x6f87, 0 },
	{ { 0xe5, 0xfd }, 2, 0x6fc6, 0 },
	{ { 0xe5, 0xfe }, 2, 0x6f92, 0 },

	{ { 0xe6, 0x40 }, 2, 0x6f8d, 0 },
	{ { 0xe6, 0x41 }, 2, 0x6f89, 0 },
	{ { 0xe6, 0x42 }, 2, 0x6f8c, 0 },
	{ { 0xe6, 0x43 }, 2, 0x6f62, 0 },
	{ { 0xe6, 0x44 }, 2, 0x6f4f, 0 },
	{ { 0xe6, 0x45 }, 2, 0x6f85, 0 },
	{ { 0xe6, 0x46 }, 2, 0x6f5a, 0 },
	{ { 0xe6, 0x47 }, 2, 0x6f96, 0 },
	{ { 0xe6, 0x48 }, 2, 0x6f76, 0 },
	{ { 0xe6, 0x49 }, 2, 0x6f6c, 0 },
	{ { 0xe6, 0x4a }, 2, 0x6f82, 0 },
	{ { 0xe6, 0x4b }, 2, 0x6f55, 0 },
	{ { 0xe6, 0x4c }, 2, 0x6f72, 0 },
	{ { 0xe6, 0x4d }, 2, 0x6f52, 0 },
	{ { 0xe6, 0x4e }, 2, 0x6f50, 0 },
	{ { 0xe6, 0x4f }, 2, 0x6f57, 0 },
	{ { 0xe6, 0x50 }, 2, 0x6f94, 0 },
	{ { 0xe6, 0x51 }, 2, 0x6f93, 0 },
	{ { 0xe6, 0x52 }, 2, 0x6f5d, 0 },
	{ { 0xe6, 0x53 }, 2, 0x6f00, 0 },
	{ { 0xe6, 0x54 }, 2, 0x6f61, 0 },
	{ { 0xe6, 0x55 }, 2, 0x6f6b, 0 },
	{ { 0xe6, 0x56 }, 2, 0x6f7d, 0 },
	{ { 0xe6, 0x57 }, 2, 0x6f67, 0 },
	{ { 0xe6, 0x58 }, 2, 0x6f90, 0 },
	{ { 0xe6, 0x59 }, 2, 0x6f53, 0 },
	{ { 0xe6, 0x5a }, 2, 0x6f8b, 0 },
	{ { 0xe6, 0x5b }, 2, 0x6f69, 0 },
	{ { 0xe6, 0x5c }, 2, 0x6f7f, 0 },
	{ { 0xe6, 0x5d }, 2, 0x6f95, 0 },
	{ { 0xe6, 0x5e }, 2, 0x6f63, 0 },
	{ { 0xe6, 0x5f }, 2, 0x6f77, 0 },
	{ { 0xe6, 0x60 }, 2, 0x6f6a, 0 },
	{ { 0xe6, 0x61 }, 2, 0x6f7b, 0 },
	{ { 0xe6, 0x62 }, 2, 0x71b2, 0 },
	{ { 0xe6, 0x63 }, 2, 0x71af, 0 },
	{ { 0xe6, 0x64 }, 2, 0x719b, 0 },
	{ { 0xe6, 0x65 }, 2, 0x71b0, 0 },
	{ { 0xe6, 0x66 }, 2, 0x71a0, 0 },
	{ { 0xe6, 0x67 }, 2, 0x719a, 0 },
	{ { 0xe6, 0x68 }, 2, 0x71a9, 0 },
	{ { 0xe6, 0x69 }, 2, 0x71b5, 0 },
	{ { 0xe6, 0x6a }, 2, 0x719d, 0 },
	{ { 0xe6, 0x6b }, 2, 0x71a5, 0 },
	{ { 0xe6, 0x6c }, 2, 0x719e, 0 },
	{ { 0xe6, 0x6d }, 2, 0x71a4, 0 },
	{ { 0xe6, 0x6e }, 2, 0x71a1, 0 },
	{ { 0xe6, 0x6f }, 2, 0x71aa, 0 },
	{ { 0xe6, 0x70 }, 2, 0x719c, 0 },
	{ { 0xe6, 0x71 }, 2, 0x71a7, 0 },
	{ { 0xe6, 0x72 }, 2, 0x71b3, 0 },
	{ { 0xe6, 0x73 }, 2, 0x7298, 0 },
	{ { 0xe6, 0x74 }, 2, 0x729a, 0 },
	{ { 0xe6, 0x75 }, 2, 0x7358, 0 },
	{ { 0xe6, 0x76 }, 2, 0x7352, 0 },
	{ { 0xe6, 0x77 }, 2, 0x735e, 0 },
	{ { 0xe6, 0x78 }, 2, 0x735f, 0 },
	{ { 0xe6, 0x79 }, 2, 0x7360, 0 },
	{ { 0xe6, 0x7a }, 2, 0x735d, 0 },
	{ { 0xe6, 0x7b }, 2, 0x735b, 0 },
	{ { 0xe6, 0x7c }, 2, 0x7361, 0 },
	{ { 0xe6, 0x7d }, 2, 0x735a, 0 },
	{ { 0xe6, 0x7e }, 2, 0x7359, 0 },
	{ { 0xe6, 0xa1 }, 2, 0x7362, 0 },
	{ { 0xe6, 0xa2 }, 2, 0x7487, 0 },
	{ { 0xe6, 0xa3 }, 2, 0x7489, 0 },
	{ { 0xe6, 0xa4 }, 2, 0x748a, 0 },
	{ { 0xe6, 0xa5 }, 2, 0x7486, 0 },
	{ { 0xe6, 0xa6 }, 2, 0x7481, 0 },
	{ { 0xe6, 0xa7 }, 2, 0x747d, 0 },
	{ { 0xe6, 0xa8 }, 2, 0x7485, 0 },
	{ { 0xe6, 0xa9 }, 2, 0x7488, 0 },
	{ { 0xe6, 0xaa }, 2, 0x747c, 0 },
	{ { 0xe6, 0xab }, 2, 0x7479, 0 },
	{ { 0xe6, 0xac }, 2, 0x7508, 0 },
	{ { 0xe6, 0xad }, 2, 0x7507, 0 },
	{ { 0xe6, 0xae }, 2, 0x757e, 0 },
	{ { 0xe6, 0xaf }, 2, 0x7625, 0 },
	{ { 0xe6, 0xb0 }, 2, 0x761e, 0 },
	{ { 0xe6, 0xb1 }, 2, 0x7619, 0 },
	{ { 0xe6, 0xb2 }, 2, 0x761d, 0 },
	{ { 0xe6, 0xb3 }, 2, 0x761c, 0 },
	{ { 0xe6, 0xb4 }, 2, 0x7623, 0 },
	{ { 0xe6, 0xb5 }, 2, 0x761a, 0 },
	{ { 0xe6, 0xb6 }, 2, 0x7628, 0 },
	{ { 0xe6, 0xb7 }, 2, 0x761b, 0 },
	{ { 0xe6, 0xb8 }, 2, 0x769c, 0 },
	{ { 0xe6, 0xb9 }, 2, 0x769d, 0 },
	{ { 0xe6, 0xba }, 2, 0x769e, 0 },
	{ { 0xe6, 0xbb }, 2, 0x769b, 0 },
	{ { 0xe6, 0xbc }, 2, 0x778d, 0 },
	{ { 0xe6, 0xbd }, 2, 0x778f, 0 },
	{ { 0xe6, 0xbe }, 2, 0x7789, 0 },
	{ { 0xe6, 0xbf }, 2, 0x7788, 0 },
	{ { 0xe6, 0xc0 }, 2, 0x78cd, 0 },
	{ { 0xe6, 0xc1 }, 2, 0x78bb, 0 },
	{ { 0xe6, 0xc2 }, 2, 0x78cf, 0 },
	{ { 0xe6, 0xc3 }, 2, 0x78cc, 0 },
	{ { 0xe6, 0xc4 }, 2, 0x78d1, 0 },
	{ { 0xe6, 0xc5 }, 2, 0x78ce, 0 },
	{ { 0xe6, 0xc6 }, 2, 0x78d4, 0 },
	{ { 0xe6, 0xc7 }, 2, 0x78c8, 0 },
	{ { 0xe6, 0xc8 }, 2, 0x78c3, 0 },
	{ { 0xe6, 0xc9 }, 2, 0x78c4, 0 },
	{ { 0xe6, 0xca }, 2, 0x78c9, 0 },
	{ { 0xe6, 0xcb }, 2, 0x799a, 0 },
	{ { 0xe6, 0xcc }, 2, 0x79a1, 0 },
	{ { 0xe6, 0xcd }, 2, 0x79a0, 0 },
	{ { 0xe6, 0xce }, 2, 0x799c, 0 },
	{ { 0xe6, 0xcf }, 2, 0x79a2, 0 },
	{ { 0xe6, 0xd0 }, 2, 0x799b, 0 },
	{ { 0xe6, 0xd1 }, 2, 0x6b76, 0 },
	{ { 0xe6, 0xd2 }, 2, 0x7a39, 0 },
	{ { 0xe6, 0xd3 }, 2, 0x7ab2, 0 },
	{ { 0xe6, 0xd4 }, 2, 0x7ab4, 0 },
	{ { 0xe6, 0xd5 }, 2, 0x7ab3, 0 },
	{ { 0xe6, 0xd6 }, 2, 0x7bb7, 0 },
	{ { 0xe6, 0xd7 }, 2, 0x7bcb, 0 },
	{ { 0xe6, 0xd8 }, 2, 0x7bbe, 0 },
	{ { 0xe6, 0xd9 }, 2, 0x7bac, 0 },
	{ { 0xe6, 0xda }, 2, 0x7bce, 0 },
	{ { 0xe6, 0xdb }, 2, 0x7baf, 0 },
	{ { 0xe6, 0xdc }, 2, 0x7bb9, 0 },
	{ { 0xe6, 0xdd }, 2, 0x7bca, 0 },
	{ { 0xe6, 0xde }, 2, 0x7bb5, 0 },
	{ { 0xe6, 0xdf }, 2, 0x7cc5, 0 },
	{ { 0xe6, 0xe0 }, 2, 0x7cc8, 0 },
	{ { 0xe6, 0xe1 }, 2, 0x7ccc, 0 },
	{ { 0xe6, 0xe2 }, 2, 0x7ccb, 0 },
	{ { 0xe6, 0xe3 }, 2, 0x7df7, 0 },
	{ { 0xe6, 0xe4 }, 2, 0x7ddb, 0 },
	{ { 0xe6, 0xe5 }, 2, 0x7dea, 0 },
	{ { 0xe6, 0xe6 }, 2, 0x7de7, 0 },
	{ { 0xe6, 0xe7 }, 2, 0x7dd7, 0 },
	{ { 0xe6, 0xe8 }, 2, 0x7de1, 0 },
	{ { 0xe6, 0xe9 }, 2, 0x7e03, 0 },
	{ { 0xe6, 0xea }, 2, 0x7dfa, 0 },
	{ { 0xe6, 0xeb }, 2, 0x7de6, 0 },
	{ { 0xe6, 0xec }, 2, 0x7df6, 0 },
	{ { 0xe6, 0xed }, 2, 0x7df1, 0 },
	{ { 0xe6, 0xee }, 2, 0x7df0, 0 },
	{ { 0xe6, 0xef }, 2, 0x7dee, 0 },
	{ { 0xe6, 0xf0 }, 2, 0x7ddf, 0 },
	{ { 0xe6, 0xf1 }, 2, 0x7f76, 0 },
	{ { 0xe6, 0xf2 }, 2, 0x7fac, 0 },
	{ { 0xe6, 0xf3 }, 2, 0x7fb0, 0 },
	{ { 0xe6, 0xf4 }, 2, 0x7fad, 0 },
	{ { 0xe6, 0xf5 }, 2, 0x7fed, 0 },
	{ { 0xe6, 0xf6 }, 2, 0x7feb, 0 },
	{ { 0xe6, 0xf7 }, 2, 0x7fea, 0 },
	{ { 0xe6, 0xf8 }, 2, 0x7fec, 0 },
	{ { 0xe6, 0xf9 }, 2, 0x7fe6, 0 },
	{ { 0xe6, 0xfa }, 2, 0x7fe8, 0 },
	{ { 0xe6, 0xfb }, 2, 0x8064, 0 },
	{ { 0xe6, 0xfc }, 2, 0x8067, 0 },
	{ { 0xe6, 0xfd }, 2, 0x81a3, 0 },
	{ { 0xe6, 0xfe }, 2, 0x819f, 0 },

	{ { 0xe7, 0x40 }, 2, 0x819e, 0 },
	{ { 0xe7, 0x41 }, 2, 0x8195, 0 },
	{ { 0xe7, 0x42 }, 2, 0x81a2, 0 },
	{ { 0xe7, 0x43 }, 2, 0x8199, 0 },
	{ { 0xe7, 0x44 }, 2, 0x8197, 0 },
	{ { 0xe7, 0x45 }, 2, 0x8216, 0 },
	{ { 0xe7, 0x46 }, 2, 0x824f, 0 },
	{ { 0xe7, 0x47 }, 2, 0x8253, 0 },
	{ { 0xe7, 0x48 }, 2, 0x8252, 0 },
	{ { 0xe7, 0x49 }, 2, 0x8250, 0 },
	{ { 0xe7, 0x4a }, 2, 0x824e, 0 },
	{ { 0xe7, 0x4b }, 2, 0x8251, 0 },
	{ { 0xe7, 0x4c }, 2, 0x8524, 0 },
	{ { 0xe7, 0x4d }, 2, 0x853b, 0 },
	{ { 0xe7, 0x4e }, 2, 0x850f, 0 },
	{ { 0xe7, 0x4f }, 2, 0x8500, 0 },
	{ { 0xe7, 0x50 }, 2, 0x8529, 0 },
	{ { 0xe7, 0x51 }, 2, 0x850e, 0 },
	{ { 0xe7, 0x52 }, 2, 0x8509, 0 },
	{ { 0xe7, 0x53 }, 2, 0x850d, 0 },
	{ { 0xe7, 0x54 }, 2, 0x851f, 0 },
	{ { 0xe7, 0x55 }, 2, 0x850a, 0 },
	{ { 0xe7, 0x56 }, 2, 0x8527, 0 },
	{ { 0xe7, 0x57 }, 2, 0x851c, 0 },
	{ { 0xe7, 0x58 }, 2, 0x84fb, 0 },
	{ { 0xe7, 0x59 }, 2, 0x852b, 0 },
	{ { 0xe7, 0x5a }, 2, 0x84fa, 0 },
	{ { 0xe7, 0x5b }, 2, 0x8508, 0 },
	{ { 0xe7, 0x5c }, 2, 0x850c, 0 },
	{ { 0xe7, 0x5d }, 2, 0x84f4, 0 },
	{ { 0xe7, 0x5e }, 2, 0x852a, 0 },
	{ { 0xe7, 0x5f }, 2, 0x84f2, 0 },
	{ { 0xe7, 0x60 }, 2, 0x8515, 0 },
	{ { 0xe7, 0x61 }, 2, 0x84f7, 0 },
	{ { 0xe7, 0x62 }, 2, 0x84eb, 0 },
	{ { 0xe7, 0x63 }, 2, 0x84f3, 0 },
	{ { 0xe7, 0x64 }, 2, 0x84fc, 0 },
	{ { 0xe7, 0x65 }, 2, 0x8512, 0 },
	{ { 0xe7, 0x66 }, 2, 0x84ea, 0 },
	{ { 0xe7, 0x67 }, 2, 0x84e9, 0 },
	{ { 0xe7, 0x68 }, 2, 0x8516, 0 },
	{ { 0xe7, 0x69 }, 2, 0x84fe, 0 },
	{ { 0xe7, 0x6a }, 2, 0x8528, 0 },
	{ { 0xe7, 0x6b }, 2, 0x851d, 0 },
	{ { 0xe7, 0x6c }, 2, 0x852e, 0 },
	{ { 0xe7, 0x6d }, 2, 0x8502, 0 },
	{ { 0xe7, 0x6e }, 2, 0x84fd, 0 },
	{ { 0xe7, 0x6f }, 2, 0x851e, 0 },
	{ { 0xe7, 0x70 }, 2, 0x84f6, 0 },
	{ { 0xe7, 0x71 }, 2, 0x8531, 0 },
	{ { 0xe7, 0x72 }, 2, 0x8526, 0 },
	{ { 0xe7, 0x73 }, 2, 0x84e7, 0 },
	{ { 0xe7, 0x74 }, 2, 0x84e8, 0 },
	{ { 0xe7, 0x75 }, 2, 0x84f0, 0 },
	{ { 0xe7, 0x76 }, 2, 0x84ef, 0 },
	{ { 0xe7, 0x77 }, 2, 0x84f9, 0 },
	{ { 0xe7, 0x78 }, 2, 0x8518, 0 },
	{ { 0xe7, 0x79 }, 2, 0x8520, 0 },
	{ { 0xe7, 0x7a }, 2, 0x8530, 0 },
	{ { 0xe7, 0x7b }, 2, 0x850b, 0 },
	{ { 0xe7, 0x7c }, 2, 0x8519, 0 },
	{ { 0xe7, 0x7d }, 2, 0x852f, 0 },
	{ { 0xe7, 0x7e }, 2, 0x8662, 0 },
	{ { 0xe7, 0xa1 }, 2, 0x8756, 0 },
	{ { 0xe7, 0xa2 }, 2, 0x8763, 0 },
	{ { 0xe7, 0xa3 }, 2, 0x8764, 0 },
	{ { 0xe7, 0xa4 }, 2, 0x8777, 0 },
	{ { 0xe7, 0xa5 }, 2, 0x87e1, 0 },
	{ { 0xe7, 0xa6 }, 2, 0x8773, 0 },
	{ { 0xe7, 0xa7 }, 2, 0x8758, 0 },
	{ { 0xe7, 0xa8 }, 2, 0x8754, 0 },
	{ { 0xe7, 0xa9 }, 2, 0x875b, 0 },
	{ { 0xe7, 0xaa }, 2, 0x8752, 0 },
	{ { 0xe7, 0xab }, 2, 0x8761, 0 },
	{ { 0xe7, 0xac }, 2, 0x875a, 0 },
	{ { 0xe7, 0xad }, 2, 0x8751, 0 },
	{ { 0xe7, 0xae }, 2, 0x875e, 0 },
	{ { 0xe7, 0xaf }, 2, 0x876d, 0 },
	{ { 0xe7, 0xb0 }, 2, 0x876a, 0 },
	{ { 0xe7, 0xb1 }, 2, 0x8750, 0 },
	{ { 0xe7, 0xb2 }, 2, 0x874e, 0 },
	{ { 0xe7, 0xb3 }, 2, 0x875f, 0 },
	{ { 0xe7, 0xb4 }, 2, 0x875d, 0 },
	{ { 0xe7, 0xb5 }, 2, 0x876f, 0 },
	{ { 0xe7, 0xb6 }, 2, 0x876c, 0 },
	{ { 0xe7, 0xb7 }, 2, 0x877a, 0 },
	{ { 0xe7, 0xb8 }, 2, 0x876e, 0 },
	{ { 0xe7, 0xb9 }, 2, 0x875c, 0 },
	{ { 0xe7, 0xba }, 2, 0x8765, 0 },
	{ { 0xe7, 0xbb }, 2, 0x874f, 0 },
	{ { 0xe7, 0xbc }, 2, 0x877b, 0 },
	{ { 0xe7, 0xbd }, 2, 0x8775, 0 },
	{ { 0xe7, 0xbe }, 2, 0x8762, 0 },
	{ { 0xe7, 0xbf }, 2, 0x8767, 0 },
	{ { 0xe7, 0xc0 }, 2, 0x8769, 0 },
	{ { 0xe7, 0xc1 }, 2, 0x885a, 0 },
	{ { 0xe7, 0xc2 }, 2, 0x8905, 0 },
	{ { 0xe7, 0xc3 }, 2, 0x890c, 0 },
	{ { 0xe7, 0xc4 }, 2, 0x8914, 0 },
	{ { 0xe7, 0xc5 }, 2, 0x890b, 0 },
	{ { 0xe7, 0xc6 }, 2, 0x8917, 0 },
	{ { 0xe7, 0xc7 }, 2, 0x8918, 0 },
	{ { 0xe7, 0xc8 }, 2, 0x8919, 0 },
	{ { 0xe7, 0xc9 }, 2, 0x8906, 0 },
	{ { 0xe7, 0xca }, 2, 0x8916, 0 },
	{ { 0xe7, 0xcb }, 2, 0x8911, 0 },
	{ { 0xe7, 0xcc }, 2, 0x890e, 0 },
	{ { 0xe7, 0xcd }, 2, 0x8909, 0 },
	{ { 0xe7, 0xce }, 2, 0x89a2, 0 },
	{ { 0xe7, 0xcf }, 2, 0x89a4, 0 },
	{ { 0xe7, 0xd0 }, 2, 0x89a3, 0 },
	{ { 0xe7, 0xd1 }, 2, 0x89ed, 0 },
	{ { 0xe7, 0xd2 }, 2, 0x89f0, 0 },
	{ { 0xe7, 0xd3 }, 2, 0x89ec, 0 },
	{ { 0xe7, 0xd4 }, 2, 0x8acf, 0 },
	{ { 0xe7, 0xd5 }, 2, 0x8ac6, 0 },
	{ { 0xe7, 0xd6 }, 2, 0x8ab8, 0 },
	{ { 0xe7, 0xd7 }, 2, 0x8ad3, 0 },
	{ { 0xe7, 0xd8 }, 2, 0x8ad1, 0 },
	{ { 0xe7, 0xd9 }, 2, 0x8ad4, 0 },
	{ { 0xe7, 0xda }, 2, 0x8ad5, 0 },
	{ { 0xe7, 0xdb }, 2, 0x8abb, 0 },
	{ { 0xe7, 0xdc }, 2, 0x8ad7, 0 },
	{ { 0xe7, 0xdd }, 2, 0x8abe, 0 },
	{ { 0xe7, 0xde }, 2, 0x8ac0, 0 },
	{ { 0xe7, 0xdf }, 2, 0x8ac5, 0 },
	{ { 0xe7, 0xe0 }, 2, 0x8ad8, 0 },
	{ { 0xe7, 0xe1 }, 2, 0x8ac3, 0 },
	{ { 0xe7, 0xe2 }, 2, 0x8aba, 0 },
	{ { 0xe7, 0xe3 }, 2, 0x8abd, 0 },
	{ { 0xe7, 0xe4 }, 2, 0x8ad9, 0 },
	{ { 0xe7, 0xe5 }, 2, 0x8c3e, 0 },
	{ { 0xe7, 0xe6 }, 2, 0x8c4d, 0 },
	{ { 0xe7, 0xe7 }, 2, 0x8c8f, 0 },
	{ { 0xe7, 0xe8 }, 2, 0x8ce5, 0 },
	{ { 0xe7, 0xe9 }, 2, 0x8cdf, 0 },
	{ { 0xe7, 0xea }, 2, 0x8cd9, 0 },
	{ { 0xe7, 0xeb }, 2, 0x8ce8, 0 },
	{ { 0xe7, 0xec }, 2, 0x8cda, 0 },
	{ { 0xe7, 0xed }, 2, 0x8cdd, 0 },
	{ { 0xe7, 0xee }, 2, 0x8ce7, 0 },
	{ { 0xe7, 0xef }, 2, 0x8da0, 0 },
	{ { 0xe7, 0xf0 }, 2, 0x8d9c, 0 },
	{ { 0xe7, 0xf1 }, 2, 0x8da1, 0 },
	{ { 0xe7, 0xf2 }, 2, 0x8d9b, 0 },
	{ { 0xe7, 0xf3 }, 2, 0x8e20, 0 },
	{ { 0xe7, 0xf4 }, 2, 0x8e23, 0 },
	{ { 0xe7, 0xf5 }, 2, 0x8e25, 0 },
	{ { 0xe7, 0xf6 }, 2, 0x8e24, 0 },
	{ { 0xe7, 0xf7 }, 2, 0x8e2e, 0 },
	{ { 0xe7, 0xf8 }, 2, 0x8e15, 0 },
	{ { 0xe7, 0xf9 }, 2, 0x8e1b, 0 },
	{ { 0xe7, 0xfa }, 2, 0x8e16, 0 },
	{ { 0xe7, 0xfb }, 2, 0x8e11, 0 },
	{ { 0xe7, 0xfc }, 2, 0x8e19, 0 },
	{ { 0xe7, 0xfd }, 2, 0x8e26, 0 },
	{ { 0xe7, 0xfe }, 2, 0x8e27, 0 },

	{ { 0xe8, 0x40 }, 2, 0x8e14, 0 },
	{ { 0xe8, 0x41 }, 2, 0x8e12, 0 },
	{ { 0xe8, 0x42 }, 2, 0x8e18, 0 },
	{ { 0xe8, 0x43 }, 2, 0x8e13, 0 },
	{ { 0xe8, 0x44 }, 2, 0x8e1c, 0 },
	{ { 0xe8, 0x45 }, 2, 0x8e17, 0 },
	{ { 0xe8, 0x46 }, 2, 0x8e1a, 0 },
	{ { 0xe8, 0x47 }, 2, 0x8f2c, 0 },
	{ { 0xe8, 0x48 }, 2, 0x8f24, 0 },
	{ { 0xe8, 0x49 }, 2, 0x8f18, 0 },
	{ { 0xe8, 0x4a }, 2, 0x8f1a, 0 },
	{ { 0xe8, 0x4b }, 2, 0x8f20, 0 },
	{ { 0xe8, 0x4c }, 2, 0x8f23, 0 },
	{ { 0xe8, 0x4d }, 2, 0x8f16, 0 },
	{ { 0xe8, 0x4e }, 2, 0x8f17, 0 },
	{ { 0xe8, 0x4f }, 2, 0x9073, 0 },
	{ { 0xe8, 0x50 }, 2, 0x9070, 0 },
	{ { 0xe8, 0x51 }, 2, 0x906f, 0 },
	{ { 0xe8, 0x52 }, 2, 0x9067, 0 },
	{ { 0xe8, 0x53 }, 2, 0x906b, 0 },
	{ { 0xe8, 0x54 }, 2, 0x912f, 0 },
	{ { 0xe8, 0x55 }, 2, 0x912b, 0 },
	{ { 0xe8, 0x56 }, 2, 0x9129, 0 },
	{ { 0xe8, 0x57 }, 2, 0x912a, 0 },
	{ { 0xe8, 0x58 }, 2, 0x9132, 0 },
	{ { 0xe8, 0x59 }, 2, 0x9126, 0 },
	{ { 0xe8, 0x5a }, 2, 0x912e, 0 },
	{ { 0xe8, 0x5b }, 2, 0x9185, 0 },
	{ { 0xe8, 0x5c }, 2, 0x9186, 0 },
	{ { 0xe8, 0x5d }, 2, 0x918a, 0 },
	{ { 0xe8, 0x5e }, 2, 0x9181, 0 },
	{ { 0xe8, 0x5f }, 2, 0x9182, 0 },
	{ { 0xe8, 0x60 }, 2, 0x9184, 0 },
	{ { 0xe8, 0x61 }, 2, 0x9180, 0 },
	{ { 0xe8, 0x62 }, 2, 0x92d0, 0 },
	{ { 0xe8, 0x63 }, 2, 0x92c3, 0 },
	{ { 0xe8, 0x64 }, 2, 0x92c4, 0 },
	{ { 0xe8, 0x65 }, 2, 0x92c0, 0 },
	{ { 0xe8, 0x66 }, 2, 0x92d9, 0 },
	{ { 0xe8, 0x67 }, 2, 0x92b6, 0 },
	{ { 0xe8, 0x68 }, 2, 0x92cf, 0 },
	{ { 0xe8, 0x69 }, 2, 0x92f1, 0 },
	{ { 0xe8, 0x6a }, 2, 0x92df, 0 },
	{ { 0xe8, 0x6b }, 2, 0x92d8, 0 },
	{ { 0xe8, 0x6c }, 2, 0x92e9, 0 },
	{ { 0xe8, 0x6d }, 2, 0x92d7, 0 },
	{ { 0xe8, 0x6e }, 2, 0x92dd, 0 },
	{ { 0xe8, 0x6f }, 2, 0x92cc, 0 },
	{ { 0xe8, 0x70 }, 2, 0x92ef, 0 },
	{ { 0xe8, 0x71 }, 2, 0x92c2, 0 },
	{ { 0xe8, 0x72 }, 2, 0x92e8, 0 },
	{ { 0xe8, 0x73 }, 2, 0x92ca, 0 },
	{ { 0xe8, 0x74 }, 2, 0x92c8, 0 },
	{ { 0xe8, 0x75 }, 2, 0x92ce, 0 },
	{ { 0xe8, 0x76 }, 2, 0x92e6, 0 },
	{ { 0xe8, 0x77 }, 2, 0x92cd, 0 },
	{ { 0xe8, 0x78 }, 2, 0x92d5, 0 },
	{ { 0xe8, 0x79 }, 2, 0x92c9, 0 },
	{ { 0xe8, 0x7a }, 2, 0x92e0, 0 },
	{ { 0xe8, 0x7b }, 2, 0x92de, 0 },
	{ { 0xe8, 0x7c }, 2, 0x92e7, 0 },
	{ { 0xe8, 0x7d }, 2, 0x92d1, 0 },
	{ { 0xe8, 0x7e }, 2, 0x92d3, 0 },
	{ { 0xe8, 0xa1 }, 2, 0x92b5, 0 },
	{ { 0xe8, 0xa2 }, 2, 0x92e1, 0 },
	{ { 0xe8, 0xa3 }, 2, 0x92c6, 0 },
	{ { 0xe8, 0xa4 }, 2, 0x92b4, 0 },
	{ { 0xe8, 0xa5 }, 2, 0x957c, 0 },
	{ { 0xe8, 0xa6 }, 2, 0x95ac, 0 },
	{ { 0xe8, 0xa7 }, 2, 0x95ab, 0 },
	{ { 0xe8, 0xa8 }, 2, 0x95ae, 0 },
	{ { 0xe8, 0xa9 }, 2, 0x95b0, 0 },
	{ { 0xe8, 0xaa }, 2, 0x96a4, 0 },
	{ { 0xe8, 0xab }, 2, 0x96a2, 0 },
	{ { 0xe8, 0xac }, 2, 0x96d3, 0 },
	{ { 0xe8, 0xad }, 2, 0x9705, 0 },
	{ { 0xe8, 0xae }, 2, 0x9708, 0 },
	{ { 0xe8, 0xaf }, 2, 0x9702, 0 },
	{ { 0xe8, 0xb0 }, 2, 0x975a, 0 },
	{ { 0xe8, 0xb1 }, 2, 0x978a, 0 },
	{ { 0xe8, 0xb2 }, 2, 0x978e, 0 },
	{ { 0xe8, 0xb3 }, 2, 0x9788, 0 },
	{ { 0xe8, 0xb4 }, 2, 0x97d0, 0 },
	{ { 0xe8, 0xb5 }, 2, 0x97cf, 0 },
	{ { 0xe8, 0xb6 }, 2, 0x981e, 0 },
	{ { 0xe8, 0xb7 }, 2, 0x981d, 0 },
	{ { 0xe8, 0xb8 }, 2, 0x9826, 0 },
	{ { 0xe8, 0xb9 }, 2, 0x9829, 0 },
	{ { 0xe8, 0xba }, 2, 0x9828, 0 },
	{ { 0xe8, 0xbb }, 2, 0x9820, 0 },
	{ { 0xe8, 0xbc }, 2, 0x981b, 0 },
	{ { 0xe8, 0xbd }, 2, 0x9827, 0 },
	{ { 0xe8, 0xbe }, 2, 0x98b2, 0 },
	{ { 0xe8, 0xbf }, 2, 0x9908, 0 },
	{ { 0xe8, 0xc0 }, 2, 0x98fa, 0 },
	{ { 0xe8, 0xc1 }, 2, 0x9911, 0 },
	{ { 0xe8, 0xc2 }, 2, 0x9914, 0 },
	{ { 0xe8, 0xc3 }, 2, 0x9916, 0 },
	{ { 0xe8, 0xc4 }, 2, 0x9917, 0 },
	{ { 0xe8, 0xc5 }, 2, 0x9915, 0 },
	{ { 0xe8, 0xc6 }, 2, 0x99dc, 0 },
	{ { 0xe8, 0xc7 }, 2, 0x99cd, 0 },
	{ { 0xe8, 0xc8 }, 2, 0x99cf, 0 },
	{ { 0xe8, 0xc9 }, 2, 0x99d3, 0 },
	{ { 0xe8, 0xca }, 2, 0x99d4, 0 },
	{ { 0xe8, 0xcb }, 2, 0x99ce, 0 },
	{ { 0xe8, 0xcc }, 2, 0x99c9, 0 },
	{ { 0xe8, 0xcd }, 2, 0x99d6, 0 },
	{ { 0xe8, 0xce }, 2, 0x99d8, 0 },
	{ { 0xe8, 0xcf }, 2, 0x99cb, 0 },
	{ { 0xe8, 0xd0 }, 2, 0x99d7, 0 },
	{ { 0xe8, 0xd1 }, 2, 0x99cc, 0 },
	{ { 0xe8, 0xd2 }, 2, 0x9ab3, 0 },
	{ { 0xe8, 0xd3 }, 2, 0x9aec, 0 },
	{ { 0xe8, 0xd4 }, 2, 0x9aeb, 0 },
	{ { 0xe8, 0xd5 }, 2, 0x9af3, 0 },
	{ { 0xe8, 0xd6 }, 2, 0x9af2, 0 },
	{ { 0xe8, 0xd7 }, 2, 0x9af1, 0 },
	{ { 0xe8, 0xd8 }, 2, 0x9b46, 0 },
	{ { 0xe8, 0xd9 }, 2, 0x9b43, 0 },
	{ { 0xe8, 0xda }, 2, 0x9b67, 0 },
	{ { 0xe8, 0xdb }, 2, 0x9b74, 0 },
	{ { 0xe8, 0xdc }, 2, 0x9b71, 0 },
	{ { 0xe8, 0xdd }, 2, 0x9b66, 0 },
	{ { 0xe8, 0xde }, 2, 0x9b76, 0 },
	{ { 0xe8, 0xdf }, 2, 0x9b75, 0 },
	{ { 0xe8, 0xe0 }, 2, 0x9b70, 0 },
	{ { 0xe8, 0xe1 }, 2, 0x9b68, 0 },
	{ { 0xe8, 0xe2 }, 2, 0x9b64, 0 },
	{ { 0xe8, 0xe3 }, 2, 0x9b6c, 0 },
	{ { 0xe8, 0xe4 }, 2, 0x9cfc, 0 },
	{ { 0xe8, 0xe5 }, 2, 0x9cfa, 0 },
	{ { 0xe8, 0xe6 }, 2, 0x9cfd, 0 },
	{ { 0xe8, 0xe7 }, 2, 0x9cff, 0 },
	{ { 0xe8, 0xe8 }, 2, 0x9cf7, 0 },
	{ { 0xe8, 0xe9 }, 2, 0x9d07, 0 },
	{ { 0xe8, 0xea }, 2, 0x9d00, 0 },
	{ { 0xe8, 0xeb }, 2, 0x9cf9, 0 },
	{ { 0xe8, 0xec }, 2, 0x9cfb, 0 },
	{ { 0xe8, 0xed }, 2, 0x9d08, 0 },
	{ { 0xe8, 0xee }, 2, 0x9d05, 0 },
	{ { 0xe8, 0xef }, 2, 0x9d04, 0 },
	{ { 0xe8, 0xf0 }, 2, 0x9e83, 0 },
	{ { 0xe8, 0xf1 }, 2, 0x9ed3, 0 },
	{ { 0xe8, 0xf2 }, 2, 0x9f0f, 0 },
	{ { 0xe8, 0xf3 }, 2, 0x9f10, 0 },
	{ { 0xe8, 0xf4 }, 2, 0x511c, 0 },
	{ { 0xe8, 0xf5 }, 2, 0x5113, 0 },
	{ { 0xe8, 0xf6 }, 2, 0x5117, 0 },
	{ { 0xe8, 0xf7 }, 2, 0x511a, 0 },
	{ { 0xe8, 0xf8 }, 2, 0x5111, 0 },
	{ { 0xe8, 0xf9 }, 2, 0x51de, 0 },
	{ { 0xe8, 0xfa }, 2, 0x5334, 0 },
	{ { 0xe8, 0xfb }, 2, 0x53e1, 0 },
	{ { 0xe8, 0xfc }, 2, 0x5670, 0 },
	{ { 0xe8, 0xfd }, 2, 0x5660, 0 },
	{ { 0xe8, 0xfe }, 2, 0x566e, 0 },

	{ { 0xe9, 0x40 }, 2, 0x5673, 0 },
	{ { 0xe9, 0x41 }, 2, 0x5666, 0 },
	{ { 0xe9, 0x42 }, 2, 0x5663, 0 },
	{ { 0xe9, 0x43 }, 2, 0x566d, 0 },
	{ { 0xe9, 0x44 }, 2, 0x5672, 0 },
	{ { 0xe9, 0x45 }, 2, 0x565e, 0 },
	{ { 0xe9, 0x46 }, 2, 0x5677, 0 },
	{ { 0xe9, 0x47 }, 2, 0x571c, 0 },
	{ { 0xe9, 0x48 }, 2, 0x571b, 0 },
	{ { 0xe9, 0x49 }, 2, 0x58c8, 0 },
	{ { 0xe9, 0x4a }, 2, 0x58bd, 0 },
	{ { 0xe9, 0x4b }, 2, 0x58c9, 0 },
	{ { 0xe9, 0x4c }, 2, 0x58bf, 0 },
	{ { 0xe9, 0x4d }, 2, 0x58ba, 0 },
	{ { 0xe9, 0x4e }, 2, 0x58c2, 0 },
	{ { 0xe9, 0x4f }, 2, 0x58bc, 0 },
	{ { 0xe9, 0x50 }, 2, 0x58c6, 0 },
	{ { 0xe9, 0x51 }, 2, 0x5b17, 0 },
	{ { 0xe9, 0x52 }, 2, 0x5b19, 0 },
	{ { 0xe9, 0x53 }, 2, 0x5b1b, 0 },
	{ { 0xe9, 0x54 }, 2, 0x5b21, 0 },
	{ { 0xe9, 0x55 }, 2, 0x5b14, 0 },
	{ { 0xe9, 0x56 }, 2, 0x5b13, 0 },
	{ { 0xe9, 0x57 }, 2, 0x5b10, 0 },
	{ { 0xe9, 0x58 }, 2, 0x5b16, 0 },
	{ { 0xe9, 0x59 }, 2, 0x5b28, 0 },
	{ { 0xe9, 0x5a }, 2, 0x5b1a, 0 },
	{ { 0xe9, 0x5b }, 2, 0x5b20, 0 },
	{ { 0xe9, 0x5c }, 2, 0x5b1e, 0 },
	{ { 0xe9, 0x5d }, 2, 0x5bef, 0 },
	{ { 0xe9, 0x5e }, 2, 0x5dac, 0 },
	{ { 0xe9, 0x5f }, 2, 0x5db1, 0 },
	{ { 0xe9, 0x60 }, 2, 0x5da9, 0 },
	{ { 0xe9, 0x61 }, 2, 0x5da7, 0 },
	{ { 0xe9, 0x62 }, 2, 0x5db5, 0 },
	{ { 0xe9, 0x63 }, 2, 0x5db0, 0 },
	{ { 0xe9, 0x64 }, 2, 0x5dae, 0 },
	{ { 0xe9, 0x65 }, 2, 0x5daa, 0 },
	{ { 0xe9, 0x66 }, 2, 0x5da8, 0 },
	{ { 0xe9, 0x67 }, 2, 0x5db2, 0 },
	{ { 0xe9, 0x68 }, 2, 0x5dad, 0 },
	{ { 0xe9, 0x69 }, 2, 0x5daf, 0 },
	{ { 0xe9, 0x6a }, 2, 0x5db4, 0 },
	{ { 0xe9, 0x6b }, 2, 0x5e67, 0 },
	{ { 0xe9, 0x6c }, 2, 0x5e68, 0 },
	{ { 0xe9, 0x6d }, 2, 0x5e66, 0 },
	{ { 0xe9, 0x6e }, 2, 0x5e6f, 0 },
	{ { 0xe9, 0x6f }, 2, 0x5ee9, 0 },
	{ { 0xe9, 0x70 }, 2, 0x5ee7, 0 },
	{ { 0xe9, 0x71 }, 2, 0x5ee6, 0 },
	{ { 0xe9, 0x72 }, 2, 0x5ee8, 0 },
	{ { 0xe9, 0x73 }, 2, 0x5ee5, 0 },
	{ { 0xe9, 0x74 }, 2, 0x5f4b, 0 },
	{ { 0xe9, 0x75 }, 2, 0x5fbc, 0 },
	{ { 0xe9, 0x76 }, 2, 0x619d, 0 },
	{ { 0xe9, 0x77 }, 2, 0x61a8, 0 },
	{ { 0xe9, 0x78 }, 2, 0x6196, 0 },
	{ { 0xe9, 0x79 }, 2, 0x61c5, 0 },
	{ { 0xe9, 0x7a }, 2, 0x61b4, 0 },
	{ { 0xe9, 0x7b }, 2, 0x61c6, 0 },
	{ { 0xe9, 0x7c }, 2, 0x61c1, 0 },
	{ { 0xe9, 0x7d }, 2, 0x61cc, 0 },
	{ { 0xe9, 0x7e }, 2, 0x61ba, 0 },
	{ { 0xe9, 0xa1 }, 2, 0x61bf, 0 },
	{ { 0xe9, 0xa2 }, 2, 0x61b8, 0 },
	{ { 0xe9, 0xa3 }, 2, 0x618c, 0 },
	{ { 0xe9, 0xa4 }, 2, 0x64d7, 0 },
	{ { 0xe9, 0xa5 }, 2, 0x64d6, 0 },
	{ { 0xe9, 0xa6 }, 2, 0x64d0, 0 },
	{ { 0xe9, 0xa7 }, 2, 0x64cf, 0 },
	{ { 0xe9, 0xa8 }, 2, 0x64c9, 0 },
	{ { 0xe9, 0xa9 }, 2, 0x64bd, 0 },
	{ { 0xe9, 0xaa }, 2, 0x6489, 0 },
	{ { 0xe9, 0xab }, 2, 0x64c3, 0 },
	{ { 0xe9, 0xac }, 2, 0x64db, 0 },
	{ { 0xe9, 0xad }, 2, 0x64f3, 0 },
	{ { 0xe9, 0xae }, 2, 0x64d9, 0 },
	{ { 0xe9, 0xaf }, 2, 0x6533, 0 },
	{ { 0xe9, 0xb0 }, 2, 0x657f, 0 },
	{ { 0xe9, 0xb1 }, 2, 0x657c, 0 },
	{ { 0xe9, 0xb2 }, 2, 0x65a2, 0 },
	{ { 0xe9, 0xb3 }, 2, 0x66c8, 0 },
	{ { 0xe9, 0xb4 }, 2, 0x66be, 0 },
	{ { 0xe9, 0xb5 }, 2, 0x66c0, 0 },
	{ { 0xe9, 0xb6 }, 2, 0x66ca, 0 },
	{ { 0xe9, 0xb7 }, 2, 0x66cb, 0 },
	{ { 0xe9, 0xb8 }, 2, 0x66cf, 0 },
	{ { 0xe9, 0xb9 }, 2, 0x66bd, 0 },
	{ { 0xe9, 0xba }, 2, 0x66bb, 0 },
	{ { 0xe9, 0xbb }, 2, 0x66ba, 0 },
	{ { 0xe9, 0xbc }, 2, 0x66cc, 0 },
	{ { 0xe9, 0xbd }, 2, 0x6723, 0 },
	{ { 0xe9, 0xbe }, 2, 0x6a34, 0 },
	{ { 0xe9, 0xbf }, 2, 0x6a66, 0 },
	{ { 0xe9, 0xc0 }, 2, 0x6a49, 0 },
	{ { 0xe9, 0xc1 }, 2, 0x6a67, 0 },
	{ { 0xe9, 0xc2 }, 2, 0x6a32, 0 },
	{ { 0xe9, 0xc3 }, 2, 0x6a68, 0 },
	{ { 0xe9, 0xc4 }, 2, 0x6a3e, 0 },
	{ { 0xe9, 0xc5 }, 2, 0x6a5d, 0 },
	{ { 0xe9, 0xc6 }, 2, 0x6a6d, 0 },
	{ { 0xe9, 0xc7 }, 2, 0x6a76, 0 },
	{ { 0xe9, 0xc8 }, 2, 0x6a5b, 0 },
	{ { 0xe9, 0xc9 }, 2, 0x6a51, 0 },
	{ { 0xe9, 0xca }, 2, 0x6a28, 0 },
	{ { 0xe9, 0xcb }, 2, 0x6a5a, 0 },
	{ { 0xe9, 0xcc }, 2, 0x6a3b, 0 },
	{ { 0xe9, 0xcd }, 2, 0x6a3f, 0 },
	{ { 0xe9, 0xce }, 2, 0x6a41, 0 },
	{ { 0xe9, 0xcf }, 2, 0x6a6a, 0 },
	{ { 0xe9, 0xd0 }, 2, 0x6a64, 0 },
	{ { 0xe9, 0xd1 }, 2, 0x6a50, 0 },
	{ { 0xe9, 0xd2 }, 2, 0x6a4f, 0 },
	{ { 0xe9, 0xd3 }, 2, 0x6a54, 0 },
	{ { 0xe9, 0xd4 }, 2, 0x6a6f, 0 },
	{ { 0xe9, 0xd5 }, 2, 0x6a69, 0 },
	{ { 0xe9, 0xd6 }, 2, 0x6a60, 0 },
	{ { 0xe9, 0xd7 }, 2, 0x6a3c, 0 },
	{ { 0xe9, 0xd8 }, 2, 0x6a5e, 0 },
	{ { 0xe9, 0xd9 }, 2, 0x6a56, 0 },
	{ { 0xe9, 0xda }, 2, 0x6a55, 0 },
	{ { 0xe9, 0xdb }, 2, 0x6a4d, 0 },
	{ { 0xe9, 0xdc }, 2, 0x6a4e, 0 },
	{ { 0xe9, 0xdd }, 2, 0x6a46, 0 },
	{ { 0xe9, 0xde }, 2, 0x6b55, 0 },
	{ { 0xe9, 0xdf }, 2, 0x6b54, 0 },
	{ { 0xe9, 0xe0 }, 2, 0x6b56, 0 },
	{ { 0xe9, 0xe1 }, 2, 0x6ba7, 0 },
	{ { 0xe9, 0xe2 }, 2, 0x6baa, 0 },
	{ { 0xe9, 0xe3 }, 2, 0x6bab, 0 },
	{ { 0xe9, 0xe4 }, 2, 0x6bc8, 0 },
	{ { 0xe9, 0xe5 }, 2, 0x6bc7, 0 },
	{ { 0xe9, 0xe6 }, 2, 0x6c04, 0 },
	{ { 0xe9, 0xe7 }, 2, 0x6c03, 0 },
	{ { 0xe9, 0xe8 }, 2, 0x6c06, 0 },
	{ { 0xe9, 0xe9 }, 2, 0x6fad, 0 },
	{ { 0xe9, 0xea }, 2, 0x6fcb, 0 },
	{ { 0xe9, 0xeb }, 2, 0x6fa3, 0 },
	{ { 0xe9, 0xec }, 2, 0x6fc7, 0 },
	{ { 0xe9, 0xed }, 2, 0x6fbc, 0 },
	{ { 0xe9, 0xee }, 2, 0x6fce, 0 },
	{ { 0xe9, 0xef }, 2, 0x6fc8, 0 },
	{ { 0xe9, 0xf0 }, 2, 0x6f5e, 0 },
	{ { 0xe9, 0xf1 }, 2, 0x6fc4, 0 },
	{ { 0xe9, 0xf2 }, 2, 0x6fbd, 0 },
	{ { 0xe9, 0xf3 }, 2, 0x6f9e, 0 },
	{ { 0xe9, 0xf4 }, 2, 0x6fca, 0 },
	{ { 0xe9, 0xf5 }, 2, 0x6fa8, 0 },
	{ { 0xe9, 0xf6 }, 2, 0x7004, 0 },
	{ { 0xe9, 0xf7 }, 2, 0x6fa5, 0 },
	{ { 0xe9, 0xf8 }, 2, 0x6fae, 0 },
	{ { 0xe9, 0xf9 }, 2, 0x6fba, 0 },
	{ { 0xe9, 0xfa }, 2, 0x6fac, 0 },
	{ { 0xe9, 0xfb }, 2, 0x6faa, 0 },
	{ { 0xe9, 0xfc }, 2, 0x6fcf, 0 },
	{ { 0xe9, 0xfd }, 2, 0x6fbf, 0 },
	{ { 0xe9, 0xfe }, 2, 0x6fb8, 0 },

	{ { 0xea, 0x40 }, 2, 0x6fa2, 0 },
	{ { 0xea, 0x41 }, 2, 0x6fc9, 0 },
	{ { 0xea, 0x42 }, 2, 0x6fab, 0 },
	{ { 0xea, 0x43 }, 2, 0x6fcd, 0 },
	{ { 0xea, 0x44 }, 2, 0x6faf, 0 },
	{ { 0xea, 0x45 }, 2, 0x6fb2, 0 },
	{ { 0xea, 0x46 }, 2, 0x6fb0, 0 },
	{ { 0xea, 0x47 }, 2, 0x71c5, 0 },
	{ { 0xea, 0x48 }, 2, 0x71c2, 0 },
	{ { 0xea, 0x49 }, 2, 0x71bf, 0 },
	{ { 0xea, 0x4a }, 2, 0x71b8, 0 },
	{ { 0xea, 0x4b }, 2, 0x71d6, 0 },
	{ { 0xea, 0x4c }, 2, 0x71c0, 0 },
	{ { 0xea, 0x4d }, 2, 0x71c1, 0 },
	{ { 0xea, 0x4e }, 2, 0x71cb, 0 },
	{ { 0xea, 0x4f }, 2, 0x71d4, 0 },
	{ { 0xea, 0x50 }, 2, 0x71ca, 0 },
	{ { 0xea, 0x51 }, 2, 0x71c7, 0 },
	{ { 0xea, 0x52 }, 2, 0x71cf, 0 },
	{ { 0xea, 0x53 }, 2, 0x71bd, 0 },
	{ { 0xea, 0x54 }, 2, 0x71d8, 0 },
	{ { 0xea, 0x55 }, 2, 0x71bc, 0 },
	{ { 0xea, 0x56 }, 2, 0x71c6, 0 },
	{ { 0xea, 0x57 }, 2, 0x71da, 0 },
	{ { 0xea, 0x58 }, 2, 0x71db, 0 },
	{ { 0xea, 0x59 }, 2, 0x729d, 0 },
	{ { 0xea, 0x5a }, 2, 0x729e, 0 },
	{ { 0xea, 0x5b }, 2, 0x7369, 0 },
	{ { 0xea, 0x5c }, 2, 0x7366, 0 },
	{ { 0xea, 0x5d }, 2, 0x7367, 0 },
	{ { 0xea, 0x5e }, 2, 0x736c, 0 },
	{ { 0xea, 0x5f }, 2, 0x7365, 0 },
	{ { 0xea, 0x60 }, 2, 0x736b, 0 },
	{ { 0xea, 0x61 }, 2, 0x736a, 0 },
	{ { 0xea, 0x62 }, 2, 0x747f, 0 },
	{ { 0xea, 0x63 }, 2, 0x749a, 0 },
	{ { 0xea, 0x64 }, 2, 0x74a0, 0 },
	{ { 0xea, 0x65 }, 2, 0x7494, 0 },
	{ { 0xea, 0x66 }, 2, 0x7492, 0 },
	{ { 0xea, 0x67 }, 2, 0x7495, 0 },
	{ { 0xea, 0x68 }, 2, 0x74a1, 0 },
	{ { 0xea, 0x69 }, 2, 0x750b, 0 },
	{ { 0xea, 0x6a }, 2, 0x7580, 0 },
	{ { 0xea, 0x6b }, 2, 0x762f, 0 },
	{ { 0xea, 0x6c }, 2, 0x762d, 0 },
	{ { 0xea, 0x6d }, 2, 0x7631, 0 },
	{ { 0xea, 0x6e }, 2, 0x763d, 0 },
	{ { 0xea, 0x6f }, 2, 0x7633, 0 },
	{ { 0xea, 0x70 }, 2, 0x763c, 0 },
	{ { 0xea, 0x71 }, 2, 0x7635, 0 },
	{ { 0xea, 0x72 }, 2, 0x7632, 0 },
	{ { 0xea, 0x73 }, 2, 0x7630, 0 },
	{ { 0xea, 0x74 }, 2, 0x76bb, 0 },
	{ { 0xea, 0x75 }, 2, 0x76e6, 0 },
	{ { 0xea, 0x76 }, 2, 0x779a, 0 },
	{ { 0xea, 0x77 }, 2, 0x779d, 0 },
	{ { 0xea, 0x78 }, 2, 0x77a1, 0 },
	{ { 0xea, 0x79 }, 2, 0x779c, 0 },
	{ { 0xea, 0x7a }, 2, 0x779b, 0 },
	{ { 0xea, 0x7b }, 2, 0x77a2, 0 },
	{ { 0xea, 0x7c }, 2, 0x77a3, 0 },
	{ { 0xea, 0x7d }, 2, 0x7795, 0 },
	{ { 0xea, 0x7e }, 2, 0x7799, 0 },
	{ { 0xea, 0xa1 }, 2, 0x7797, 0 },
	{ { 0xea, 0xa2 }, 2, 0x78dd, 0 },
	{ { 0xea, 0xa3 }, 2, 0x78e9, 0 },
	{ { 0xea, 0xa4 }, 2, 0x78e5, 0 },
	{ { 0xea, 0xa5 }, 2, 0x78ea, 0 },
	{ { 0xea, 0xa6 }, 2, 0x78de, 0 },
	{ { 0xea, 0xa7 }, 2, 0x78e3, 0 },
	{ { 0xea, 0xa8 }, 2, 0x78db, 0 },
	{ { 0xea, 0xa9 }, 2, 0x78e1, 0 },
	{ { 0xea, 0xaa }, 2, 0x78e2, 0 },
	{ { 0xea, 0xab }, 2, 0x78ed, 0 },
	{ { 0xea, 0xac }, 2, 0x78df, 0 },
	{ { 0xea, 0xad }, 2, 0x78e0, 0 },
	{ { 0xea, 0xae }, 2, 0x79a4, 0 },
	{ { 0xea, 0xaf }, 2, 0x7a44, 0 },
	{ { 0xea, 0xb0 }, 2, 0x7a48, 0 },
	{ { 0xea, 0xb1 }, 2, 0x7a47, 0 },
	{ { 0xea, 0xb2 }, 2, 0x7ab6, 0 },
	{ { 0xea, 0xb3 }, 2, 0x7ab8, 0 },
	{ { 0xea, 0xb4 }, 2, 0x7ab5, 0 },
	{ { 0xea, 0xb5 }, 2, 0x7ab1, 0 },
	{ { 0xea, 0xb6 }, 2, 0x7ab7, 0 },
	{ { 0xea, 0xb7 }, 2, 0x7bde, 0 },
	{ { 0xea, 0xb8 }, 2, 0x7be3, 0 },
	{ { 0xea, 0xb9 }, 2, 0x7be7, 0 },
	{ { 0xea, 0xba }, 2, 0x7bdd, 0 },
	{ { 0xea, 0xbb }, 2, 0x7bd5, 0 },
	{ { 0xea, 0xbc }, 2, 0x7be5, 0 },
	{ { 0xea, 0xbd }, 2, 0x7bda, 0 },
	{ { 0xea, 0xbe }, 2, 0x7be8, 0 },
	{ { 0xea, 0xbf }, 2, 0x7bf9, 0 },
	{ { 0xea, 0xc0 }, 2, 0x7bd4, 0 },
	{ { 0xea, 0xc1 }, 2, 0x7bea, 0 },
	{ { 0xea, 0xc2 }, 2, 0x7be2, 0 },
	{ { 0xea, 0xc3 }, 2, 0x7bdc, 0 },
	{ { 0xea, 0xc4 }, 2, 0x7beb, 0 },
	{ { 0xea, 0xc5 }, 2, 0x7bd8, 0 },
	{ { 0xea, 0xc6 }, 2, 0x7bdf, 0 },
	{ { 0xea, 0xc7 }, 2, 0x7cd2, 0 },
	{ { 0xea, 0xc8 }, 2, 0x7cd4, 0 },
	{ { 0xea, 0xc9 }, 2, 0x7cd7, 0 },
	{ { 0xea, 0xca }, 2, 0x7cd0, 0 },
	{ { 0xea, 0xcb }, 2, 0x7cd1, 0 },
	{ { 0xea, 0xcc }, 2, 0x7e12, 0 },
	{ { 0xea, 0xcd }, 2, 0x7e21, 0 },
	{ { 0xea, 0xce }, 2, 0x7e17, 0 },
	{ { 0xea, 0xcf }, 2, 0x7e0c, 0 },
	{ { 0xea, 0xd0 }, 2, 0x7e1f, 0 },
	{ { 0xea, 0xd1 }, 2, 0x7e20, 0 },
	{ { 0xea, 0xd2 }, 2, 0x7e13, 0 },
	{ { 0xea, 0xd3 }, 2, 0x7e0e, 0 },
	{ { 0xea, 0xd4 }, 2, 0x7e1c, 0 },
	{ { 0xea, 0xd5 }, 2, 0x7e15, 0 },
	{ { 0xea, 0xd6 }, 2, 0x7e1a, 0 },
	{ { 0xea, 0xd7 }, 2, 0x7e22, 0 },
	{ { 0xea, 0xd8 }, 2, 0x7e0b, 0 },
	{ { 0xea, 0xd9 }, 2, 0x7e0f, 0 },
	{ { 0xea, 0xda }, 2, 0x7e16, 0 },
	{ { 0xea, 0xdb }, 2, 0x7e0d, 0 },
	{ { 0xea, 0xdc }, 2, 0x7e14, 0 },
	{ { 0xea, 0xdd }, 2, 0x7e25, 0 },
	{ { 0xea, 0xde }, 2, 0x7e24, 0 },
	{ { 0xea, 0xdf }, 2, 0x7f43, 0 },
	{ { 0xea, 0xe0 }, 2, 0x7f7b, 0 },
	{ { 0xea, 0xe1 }, 2, 0x7f7c, 0 },
	{ { 0xea, 0xe2 }, 2, 0x7f7a, 0 },
	{ { 0xea, 0xe3 }, 2, 0x7fb1, 0 },
	{ { 0xea, 0xe4 }, 2, 0x7fef, 0 },
	{ { 0xea, 0xe5 }, 2, 0x802a, 0 },
	{ { 0xea, 0xe6 }, 2, 0x8029, 0 },
	{ { 0xea, 0xe7 }, 2, 0x806c, 0 },
	{ { 0xea, 0xe8 }, 2, 0x81b1, 0 },
	{ { 0xea, 0xe9 }, 2, 0x81a6, 0 },
	{ { 0xea, 0xea }, 2, 0x81ae, 0 },
	{ { 0xea, 0xeb }, 2, 0x81b9, 0 },
	{ { 0xea, 0xec }, 2, 0x81b5, 0 },
	{ { 0xea, 0xed }, 2, 0x81ab, 0 },
	{ { 0xea, 0xee }, 2, 0x81b0, 0 },
	{ { 0xea, 0xef }, 2, 0x81ac, 0 },
	{ { 0xea, 0xf0 }, 2, 0x81b4, 0 },
	{ { 0xea, 0xf1 }, 2, 0x81b2, 0 },
	{ { 0xea, 0xf2 }, 2, 0x81b7, 0 },
	{ { 0xea, 0xf3 }, 2, 0x81a7, 0 },
	{ { 0xea, 0xf4 }, 2, 0x81f2, 0 },
	{ { 0xea, 0xf5 }, 2, 0x8255, 0 },
	{ { 0xea, 0xf6 }, 2, 0x8256, 0 },
	{ { 0xea, 0xf7 }, 2, 0x8257, 0 },
	{ { 0xea, 0xf8 }, 2, 0x8556, 0 },
	{ { 0xea, 0xf9 }, 2, 0x8545, 0 },
	{ { 0xea, 0xfa }, 2, 0x856b, 0 },
	{ { 0xea, 0xfb }, 2, 0x854d, 0 },
	{ { 0xea, 0xfc }, 2, 0x8553, 0 },
	{ { 0xea, 0xfd }, 2, 0x8561, 0 },
	{ { 0xea, 0xfe }, 2, 0x8558, 0 },

	{ { 0xeb, 0x40 }, 2, 0x8540, 0 },
	{ { 0xeb, 0x41 }, 2, 0x8546, 0 },
	{ { 0xeb, 0x42 }, 2, 0x8564, 0 },
	{ { 0xeb, 0x43 }, 2, 0x8541, 0 },
	{ { 0xeb, 0x44 }, 2, 0x8562, 0 },
	{ { 0xeb, 0x45 }, 2, 0x8544, 0 },
	{ { 0xeb, 0x46 }, 2, 0x8551, 0 },
	{ { 0xeb, 0x47 }, 2, 0x8547, 0 },
	{ { 0xeb, 0x48 }, 2, 0x8563, 0 },
	{ { 0xeb, 0x49 }, 2, 0x853e, 0 },
	{ { 0xeb, 0x4a }, 2, 0x855b, 0 },
	{ { 0xeb, 0x4b }, 2, 0x8571, 0 },
	{ { 0xeb, 0x4c }, 2, 0x854e, 0 },
	{ { 0xeb, 0x4d }, 2, 0x856e, 0 },
	{ { 0xeb, 0x4e }, 2, 0x8575, 0 },
	{ { 0xeb, 0x4f }, 2, 0x8555, 0 },
	{ { 0xeb, 0x50 }, 2, 0x8567, 0 },
	{ { 0xeb, 0x51 }, 2, 0x8560, 0 },
	{ { 0xeb, 0x52 }, 2, 0x858c, 0 },
	{ { 0xeb, 0x53 }, 2, 0x8566, 0 },
	{ { 0xeb, 0x54 }, 2, 0x855d, 0 },
	{ { 0xeb, 0x55 }, 2, 0x8554, 0 },
	{ { 0xeb, 0x56 }, 2, 0x8565, 0 },
	{ { 0xeb, 0x57 }, 2, 0x856c, 0 },
	{ { 0xeb, 0x58 }, 2, 0x8663, 0 },
	{ { 0xeb, 0x59 }, 2, 0x8665, 0 },
	{ { 0xeb, 0x5a }, 2, 0x8664, 0 },
	{ { 0xeb, 0x5b }, 2, 0x879b, 0 },
	{ { 0xeb, 0x5c }, 2, 0x878f, 0 },
	{ { 0xeb, 0x5d }, 2, 0x8797, 0 },
	{ { 0xeb, 0x5e }, 2, 0x8793, 0 },
	{ { 0xeb, 0x5f }, 2, 0x8792, 0 },
	{ { 0xeb, 0x60 }, 2, 0x8788, 0 },
	{ { 0xeb, 0x61 }, 2, 0x8781, 0 },
	{ { 0xeb, 0x62 }, 2, 0x8796, 0 },
	{ { 0xeb, 0x63 }, 2, 0x8798, 0 },
	{ { 0xeb, 0x64 }, 2, 0x8779, 0 },
	{ { 0xeb, 0x65 }, 2, 0x8787, 0 },
	{ { 0xeb, 0x66 }, 2, 0x87a3, 0 },
	{ { 0xeb, 0x67 }, 2, 0x8785, 0 },
	{ { 0xeb, 0x68 }, 2, 0x8790, 0 },
	{ { 0xeb, 0x69 }, 2, 0x8791, 0 },
	{ { 0xeb, 0x6a }, 2, 0x879d, 0 },
	{ { 0xeb, 0x6b }, 2, 0x8784, 0 },
	{ { 0xeb, 0x6c }, 2, 0x8794, 0 },
	{ { 0xeb, 0x6d }, 2, 0x879c, 0 },
	{ { 0xeb, 0x6e }, 2, 0x879a, 0 },
	{ { 0xeb, 0x6f }, 2, 0x8789, 0 },
	{ { 0xeb, 0x70 }, 2, 0x891e, 0 },
	{ { 0xeb, 0x71 }, 2, 0x8926, 0 },
	{ { 0xeb, 0x72 }, 2, 0x8930, 0 },
	{ { 0xeb, 0x73 }, 2, 0x892d, 0 },
	{ { 0xeb, 0x74 }, 2, 0x892e, 0 },
	{ { 0xeb, 0x75 }, 2, 0x8927, 0 },
	{ { 0xeb, 0x76 }, 2, 0x8931, 0 },
	{ { 0xeb, 0x77 }, 2, 0x8922, 0 },
	{ { 0xeb, 0x78 }, 2, 0x8929, 0 },
	{ { 0xeb, 0x79 }, 2, 0x8923, 0 },
	{ { 0xeb, 0x7a }, 2, 0x892f, 0 },
	{ { 0xeb, 0x7b }, 2, 0x892c, 0 },
	{ { 0xeb, 0x7c }, 2, 0x891f, 0 },
	{ { 0xeb, 0x7d }, 2, 0x89f1, 0 },
	{ { 0xeb, 0x7e }, 2, 0x8ae0, 0 },
	{ { 0xeb, 0xa1 }, 2, 0x8ae2, 0 },
	{ { 0xeb, 0xa2 }, 2, 0x8af2, 0 },
	{ { 0xeb, 0xa3 }, 2, 0x8af4, 0 },
	{ { 0xeb, 0xa4 }, 2, 0x8af5, 0 },
	{ { 0xeb, 0xa5 }, 2, 0x8add, 0 },
	{ { 0xeb, 0xa6 }, 2, 0x8b14, 0 },
	{ { 0xeb, 0xa7 }, 2, 0x8ae4, 0 },
	{ { 0xeb, 0xa8 }, 2, 0x8adf, 0 },
	{ { 0xeb, 0xa9 }, 2, 0x8af0, 0 },
	{ { 0xeb, 0xaa }, 2, 0x8ac8, 0 },
	{ { 0xeb, 0xab }, 2, 0x8ade, 0 },
	{ { 0xeb, 0xac }, 2, 0x8ae1, 0 },
	{ { 0xeb, 0xad }, 2, 0x8ae8, 0 },
	{ { 0xeb, 0xae }, 2, 0x8aff, 0 },
	{ { 0xeb, 0xaf }, 2, 0x8aef, 0 },
	{ { 0xeb, 0xb0 }, 2, 0x8afb, 0 },
	{ { 0xeb, 0xb1 }, 2, 0x8c91, 0 },
	{ { 0xeb, 0xb2 }, 2, 0x8c92, 0 },
	{ { 0xeb, 0xb3 }, 2, 0x8c90, 0 },
	{ { 0xeb, 0xb4 }, 2, 0x8cf5, 0 },
	{ { 0xeb, 0xb5 }, 2, 0x8cee, 0 },
	{ { 0xeb, 0xb6 }, 2, 0x8cf1, 0 },
	{ { 0xeb, 0xb7 }, 2, 0x8cf0, 0 },
	{ { 0xeb, 0xb8 }, 2, 0x8cf3, 0 },
	{ { 0xeb, 0xb9 }, 2, 0x8d6c, 0 },
	{ { 0xeb, 0xba }, 2, 0x8d6e, 0 },
	{ { 0xeb, 0xbb }, 2, 0x8da5, 0 },
	{ { 0xeb, 0xbc }, 2, 0x8da7, 0 },
	{ { 0xeb, 0xbd }, 2, 0x8e33, 0 },
	{ { 0xeb, 0xbe }, 2, 0x8e3e, 0 },
	{ { 0xeb, 0xbf }, 2, 0x8e38, 0 },
	{ { 0xeb, 0xc0 }, 2, 0x8e40, 0 },
	{ { 0xeb, 0xc1 }, 2, 0x8e45, 0 },
	{ { 0xeb, 0xc2 }, 2, 0x8e36, 0 },
	{ { 0xeb, 0xc3 }, 2, 0x8e3c, 0 },
	{ { 0xeb, 0xc4 }, 2, 0x8e3d, 0 },
	{ { 0xeb, 0xc5 }, 2, 0x8e41, 0 },
	{ { 0xeb, 0xc6 }, 2, 0x8e30, 0 },
	{ { 0xeb, 0xc7 }, 2, 0x8e3f, 0 },
	{ { 0xeb, 0xc8 }, 2, 0x8ebd, 0 },
	{ { 0xeb, 0xc9 }, 2, 0x8f36, 0 },
	{ { 0xeb, 0xca }, 2, 0x8f2e, 0 },
	{ { 0xeb, 0xcb }, 2, 0x8f35, 0 },
	{ { 0xeb, 0xcc }, 2, 0x8f32, 0 },
	{ { 0xeb, 0xcd }, 2, 0x8f39, 0 },
	{ { 0xeb, 0xce }, 2, 0x8f37, 0 },
	{ { 0xeb, 0xcf }, 2, 0x8f34, 0 },
	{ { 0xeb, 0xd0 }, 2, 0x9076, 0 },
	{ { 0xeb, 0xd1 }, 2, 0x9079, 0 },
	{ { 0xeb, 0xd2 }, 2, 0x907b, 0 },
	{ { 0xeb, 0xd3 }, 2, 0x9086, 0 },
	{ { 0xeb, 0xd4 }, 2, 0x90fa, 0 },
	{ { 0xeb, 0xd5 }, 2, 0x9133, 0 },
	{ { 0xeb, 0xd6 }, 2, 0x9135, 0 },
	{ { 0xeb, 0xd7 }, 2, 0x9136, 0 },
	{ { 0xeb, 0xd8 }, 2, 0x9193, 0 },
	{ { 0xeb, 0xd9 }, 2, 0x9190, 0 },
	{ { 0xeb, 0xda }, 2, 0x9191, 0 },
	{ { 0xeb, 0xdb }, 2, 0x918d, 0 },
	{ { 0xeb, 0xdc }, 2, 0x918f, 0 },
	{ { 0xeb, 0xdd }, 2, 0x9327, 0 },
	{ { 0xeb, 0xde }, 2, 0x931e, 0 },
	{ { 0xeb, 0xdf }, 2, 0x9308, 0 },
	{ { 0xeb, 0xe0 }, 2, 0x931f, 0 },
	{ { 0xeb, 0xe1 }, 2, 0x9306, 0 },
	{ { 0xeb, 0xe2 }, 2, 0x930f, 0 },
	{ { 0xeb, 0xe3 }, 2, 0x937a, 0 },
	{ { 0xeb, 0xe4 }, 2, 0x9338, 0 },
	{ { 0xeb, 0xe5 }, 2, 0x933c, 0 },
	{ { 0xeb, 0xe6 }, 2, 0x931b, 0 },
	{ { 0xeb, 0xe7 }, 2, 0x9323, 0 },
	{ { 0xeb, 0xe8 }, 2, 0x9312, 0 },
	{ { 0xeb, 0xe9 }, 2, 0x9301, 0 },
	{ { 0xeb, 0xea }, 2, 0x9346, 0 },
	{ { 0xeb, 0xeb }, 2, 0x932d, 0 },
	{ { 0xeb, 0xec }, 2, 0x930e, 0 },
	{ { 0xeb, 0xed }, 2, 0x930d, 0 },
	{ { 0xeb, 0xee }, 2, 0x92cb, 0 },
	{ { 0xeb, 0xef }, 2, 0x931d, 0 },
	{ { 0xeb, 0xf0 }, 2, 0x92fa, 0 },
	{ { 0xeb, 0xf1 }, 2, 0x9325, 0 },
	{ { 0xeb, 0xf2 }, 2, 0x9313, 0 },
	{ { 0xeb, 0xf3 }, 2, 0x92f9, 0 },
	{ { 0xeb, 0xf4 }, 2, 0x92f7, 0 },
	{ { 0xeb, 0xf5 }, 2, 0x9334, 0 },
	{ { 0xeb, 0xf6 }, 2, 0x9302, 0 },
	{ { 0xeb, 0xf7 }, 2, 0x9324, 0 },
	{ { 0xeb, 0xf8 }, 2, 0x92ff, 0 },
	{ { 0xeb, 0xf9 }, 2, 0x9329, 0 },
	{ { 0xeb, 0xfa }, 2, 0x9339, 0 },
	{ { 0xeb, 0xfb }, 2, 0x9335, 0 },
	{ { 0xeb, 0xfc }, 2, 0x932a, 0 },
	{ { 0xeb, 0xfd }, 2, 0x9314, 0 },
	{ { 0xeb, 0xfe }, 2, 0x930c, 0 },

	{ { 0xec, 0x40 }, 2, 0x930b, 0 },
	{ { 0xec, 0x41 }, 2, 0x92fe, 0 },
	{ { 0xec, 0x42 }, 2, 0x9309, 0 },
	{ { 0xec, 0x43 }, 2, 0x9300, 0 },
	{ { 0xec, 0x44 }, 2, 0x92fb, 0 },
	{ { 0xec, 0x45 }, 2, 0x9316, 0 },
	{ { 0xec, 0x46 }, 2, 0x95bc, 0 },
	{ { 0xec, 0x47 }, 2, 0x95cd, 0 },
	{ { 0xec, 0x48 }, 2, 0x95be, 0 },
	{ { 0xec, 0x49 }, 2, 0x95b9, 0 },
	{ { 0xec, 0x4a }, 2, 0x95ba, 0 },
	{ { 0xec, 0x4b }, 2, 0x95b6, 0 },
	{ { 0xec, 0x4c }, 2, 0x95bf, 0 },
	{ { 0xec, 0x4d }, 2, 0x95b5, 0 },
	{ { 0xec, 0x4e }, 2, 0x95bd, 0 },
	{ { 0xec, 0x4f }, 2, 0x96a9, 0 },
	{ { 0xec, 0x50 }, 2, 0x96d4, 0 },
	{ { 0xec, 0x51 }, 2, 0x970b, 0 },
	{ { 0xec, 0x52 }, 2, 0x9712, 0 },
	{ { 0xec, 0x53 }, 2, 0x9710, 0 },
	{ { 0xec, 0x54 }, 2, 0x9799, 0 },
	{ { 0xec, 0x55 }, 2, 0x9797, 0 },
	{ { 0xec, 0x56 }, 2, 0x9794, 0 },
	{ { 0xec, 0x57 }, 2, 0x97f0, 0 },
	{ { 0xec, 0x58 }, 2, 0x97f8, 0 },
	{ { 0xec, 0x59 }, 2, 0x9835, 0 },
	{ { 0xec, 0x5a }, 2, 0x982f, 0 },
	{ { 0xec, 0x5b }, 2, 0x9832, 0 },
	{ { 0xec, 0x5c }, 2, 0x9924, 0 },
	{ { 0xec, 0x5d }, 2, 0x991f, 0 },
	{ { 0xec, 0x5e }, 2, 0x9927, 0 },
	{ { 0xec, 0x5f }, 2, 0x9929, 0 },
	{ { 0xec, 0x60 }, 2, 0x999e, 0 },
	{ { 0xec, 0x61 }, 2, 0x99ee, 0 },
	{ { 0xec, 0x62 }, 2, 0x99ec, 0 },
	{ { 0xec, 0x63 }, 2, 0x99e5, 0 },
	{ { 0xec, 0x64 }, 2, 0x99e4, 0 },
	{ { 0xec, 0x65 }, 2, 0x99f0, 0 },
	{ { 0xec, 0x66 }, 2, 0x99e3, 0 },
	{ { 0xec, 0x67 }, 2, 0x99ea, 0 },
	{ { 0xec, 0x68 }, 2, 0x99e9, 0 },
	{ { 0xec, 0x69 }, 2, 0x99e7, 0 },
	{ { 0xec, 0x6a }, 2, 0x9ab9, 0 },
	{ { 0xec, 0x6b }, 2, 0x9abf, 0 },
	{ { 0xec, 0x6c }, 2, 0x9ab4, 0 },
	{ { 0xec, 0x6d }, 2, 0x9abb, 0 },
	{ { 0xec, 0x6e }, 2, 0x9af6, 0 },
	{ { 0xec, 0x6f }, 2, 0x9afa, 0 },
	{ { 0xec, 0x70 }, 2, 0x9af9, 0 },
	{ { 0xec, 0x71 }, 2, 0x9af7, 0 },
	{ { 0xec, 0x72 }, 2, 0x9b33, 0 },
	{ { 0xec, 0x73 }, 2, 0x9b80, 0 },
	{ { 0xec, 0x74 }, 2, 0x9b85, 0 },
	{ { 0xec, 0x75 }, 2, 0x9b87, 0 },
	{ { 0xec, 0x76 }, 2, 0x9b7c, 0 },
	{ { 0xec, 0x77 }, 2, 0x9b7e, 0 },
	{ { 0xec, 0x78 }, 2, 0x9b7b, 0 },
	{ { 0xec, 0x79 }, 2, 0x9b82, 0 },
	{ { 0xec, 0x7a }, 2, 0x9b93, 0 },
	{ { 0xec, 0x7b }, 2, 0x9b92, 0 },
	{ { 0xec, 0x7c }, 2, 0x9b90, 0 },
	{ { 0xec, 0x7d }, 2, 0x9b7a, 0 },
	{ { 0xec, 0x7e }, 2, 0x9b95, 0 },
	{ { 0xec, 0xa1 }, 2, 0x9b7d, 0 },
	{ { 0xec, 0xa2 }, 2, 0x9b88, 0 },
	{ { 0xec, 0xa3 }, 2, 0x9d25, 0 },
	{ { 0xec, 0xa4 }, 2, 0x9d17, 0 },
	{ { 0xec, 0xa5 }, 2, 0x9d20, 0 },
	{ { 0xec, 0xa6 }, 2, 0x9d1e, 0 },
	{ { 0xec, 0xa7 }, 2, 0x9d14, 0 },
	{ { 0xec, 0xa8 }, 2, 0x9d29, 0 },
	{ { 0xec, 0xa9 }, 2, 0x9d1d, 0 },
	{ { 0xec, 0xaa }, 2, 0x9d18, 0 },
	{ { 0xec, 0xab }, 2, 0x9d22, 0 },
	{ { 0xec, 0xac }, 2, 0x9d10, 0 },
	{ { 0xec, 0xad }, 2, 0x9d19, 0 },
	{ { 0xec, 0xae }, 2, 0x9d1f, 0 },
	{ { 0xec, 0xaf }, 2, 0x9e88, 0 },
	{ { 0xec, 0xb0 }, 2, 0x9e86, 0 },
	{ { 0xec, 0xb1 }, 2, 0x9e87, 0 },
	{ { 0xec, 0xb2 }, 2, 0x9eae, 0 },
	{ { 0xec, 0xb3 }, 2, 0x9ead, 0 },
	{ { 0xec, 0xb4 }, 2, 0x9ed5, 0 },
	{ { 0xec, 0xb5 }, 2, 0x9ed6, 0 },
	{ { 0xec, 0xb6 }, 2, 0x9efa, 0 },
	{ { 0xec, 0xb7 }, 2, 0x9f12, 0 },
	{ { 0xec, 0xb8 }, 2, 0x9f3d, 0 },
	{ { 0xec, 0xb9 }, 2, 0x5126, 0 },
	{ { 0xec, 0xba }, 2, 0x5125, 0 },
	{ { 0xec, 0xbb }, 2, 0x5122, 0 },
	{ { 0xec, 0xbc }, 2, 0x5124, 0 },
	{ { 0xec, 0xbd }, 2, 0x5120, 0 },
	{ { 0xec, 0xbe }, 2, 0x5129, 0 },
	{ { 0xec, 0xbf }, 2, 0x52f4, 0 },
	{ { 0xec, 0xc0 }, 2, 0x5693, 0 },
	{ { 0xec, 0xc1 }, 2, 0x568c, 0 },
	{ { 0xec, 0xc2 }, 2, 0x568d, 0 },
	{ { 0xec, 0xc3 }, 2, 0x5686, 0 },
	{ { 0xec, 0xc4 }, 2, 0x5684, 0 },
	{ { 0xec, 0xc5 }, 2, 0x5683, 0 },
	{ { 0xec, 0xc6 }, 2, 0x567e, 0 },
	{ { 0xec, 0xc7 }, 2, 0x5682, 0 },
	{ { 0xec, 0xc8 }, 2, 0x567f, 0 },
	{ { 0xec, 0xc9 }, 2, 0x5681, 0 },
	{ { 0xec, 0xca }, 2, 0x58d6, 0 },
	{ { 0xec, 0xcb }, 2, 0x58d4, 0 },
	{ { 0xec, 0xcc }, 2, 0x58cf, 0 },
	{ { 0xec, 0xcd }, 2, 0x58d2, 0 },
	{ { 0xec, 0xce }, 2, 0x5b2d, 0 },
	{ { 0xec, 0xcf }, 2, 0x5b25, 0 },
	{ { 0xec, 0xd0 }, 2, 0x5b32, 0 },
	{ { 0xec, 0xd1 }, 2, 0x5b23, 0 },
	{ { 0xec, 0xd2 }, 2, 0x5b2c, 0 },
	{ { 0xec, 0xd3 }, 2, 0x5b27, 0 },
	{ { 0xec, 0xd4 }, 2, 0x5b26, 0 },
	{ { 0xec, 0xd5 }, 2, 0x5b2f, 0 },
	{ { 0xec, 0xd6 }, 2, 0x5b2e, 0 },
	{ { 0xec, 0xd7 }, 2, 0x5b7b, 0 },
	{ { 0xec, 0xd8 }, 2, 0x5bf1, 0 },
	{ { 0xec, 0xd9 }, 2, 0x5bf2, 0 },
	{ { 0xec, 0xda }, 2, 0x5db7, 0 },
	{ { 0xec, 0xdb }, 2, 0x5e6c, 0 },
	{ { 0xec, 0xdc }, 2, 0x5e6a, 0 },
	{ { 0xec, 0xdd }, 2, 0x5fbe, 0 },
	{ { 0xec, 0xde }, 2, 0x5fbb, 0 },
	{ { 0xec, 0xdf }, 2, 0x61c3, 0 },
	{ { 0xec, 0xe0 }, 2, 0x61b5, 0 },
	{ { 0xec, 0xe1 }, 2, 0x61bc, 0 },
	{ { 0xec, 0xe2 }, 2, 0x61e7, 0 },
	{ { 0xec, 0xe3 }, 2, 0x61e0, 0 },
	{ { 0xec, 0xe4 }, 2, 0x61e5, 0 },
	{ { 0xec, 0xe5 }, 2, 0x61e4, 0 },
	{ { 0xec, 0xe6 }, 2, 0x61e8, 0 },
	{ { 0xec, 0xe7 }, 2, 0x61de, 0 },
	{ { 0xec, 0xe8 }, 2, 0x64ef, 0 },
	{ { 0xec, 0xe9 }, 2, 0x64e9, 0 },
	{ { 0xec, 0xea }, 2, 0x64e3, 0 },
	{ { 0xec, 0xeb }, 2, 0x64eb, 0 },
	{ { 0xec, 0xec }, 2, 0x64e4, 0 },
	{ { 0xec, 0xed }, 2, 0x64e8, 0 },
	{ { 0xec, 0xee }, 2, 0x6581, 0 },
	{ { 0xec, 0xef }, 2, 0x6580, 0 },
	{ { 0xec, 0xf0 }, 2, 0x65b6, 0 },
	{ { 0xec, 0xf1 }, 2, 0x65da, 0 },
	{ { 0xec, 0xf2 }, 2, 0x66d2, 0 },
	{ { 0xec, 0xf3 }, 2, 0x6a8d, 0 },
	{ { 0xec, 0xf4 }, 2, 0x6a96, 0 },
	{ { 0xec, 0xf5 }, 2, 0x6a81, 0 },
	{ { 0xec, 0xf6 }, 2, 0x6aa5, 0 },
	{ { 0xec, 0xf7 }, 2, 0x6a89, 0 },
	{ { 0xec, 0xf8 }, 2, 0x6a9f, 0 },
	{ { 0xec, 0xf9 }, 2, 0x6a9b, 0 },
	{ { 0xec, 0xfa }, 2, 0x6aa1, 0 },
	{ { 0xec, 0xfb }, 2, 0x6a9e, 0 },
	{ { 0xec, 0xfc }, 2, 0x6a87, 0 },
	{ { 0xec, 0xfd }, 2, 0x6a93, 0 },
	{ { 0xec, 0xfe }, 2, 0x6a8e, 0 },

	{ { 0xed, 0x40 }, 2, 0x6a95, 0 },
	{ { 0xed, 0x41 }, 2, 0x6a83, 0 },
	{ { 0xed, 0x42 }, 2, 0x6aa8, 0 },
	{ { 0xed, 0x43 }, 2, 0x6aa4, 0 },
	{ { 0xed, 0x44 }, 2, 0x6a91, 0 },
	{ { 0xed, 0x45 }, 2, 0x6a7f, 0 },
	{ { 0xed, 0x46 }, 2, 0x6aa6, 0 },
	{ { 0xed, 0x47 }, 2, 0x6a9a, 0 },
	{ { 0xed, 0x48 }, 2, 0x6a85, 0 },
	{ { 0xed, 0x49 }, 2, 0x6a8c, 0 },
	{ { 0xed, 0x4a }, 2, 0x6a92, 0 },
	{ { 0xed, 0x4b }, 2, 0x6b5b, 0 },
	{ { 0xed, 0x4c }, 2, 0x6bad, 0 },
	{ { 0xed, 0x4d }, 2, 0x6c09, 0 },
	{ { 0xed, 0x4e }, 2, 0x6fcc, 0 },
	{ { 0xed, 0x4f }, 2, 0x6fa9, 0 },
	{ { 0xed, 0x50 }, 2, 0x6ff4, 0 },
	{ { 0xed, 0x51 }, 2, 0x6fd4, 0 },
	{ { 0xed, 0x52 }, 2, 0x6fe3, 0 },
	{ { 0xed, 0x53 }, 2, 0x6fdc, 0 },
	{ { 0xed, 0x54 }, 2, 0x6fed, 0 },
	{ { 0xed, 0x55 }, 2, 0x6fe7, 0 },
	{ { 0xed, 0x56 }, 2, 0x6fe6, 0 },
	{ { 0xed, 0x57 }, 2, 0x6fde, 0 },
	{ { 0xed, 0x58 }, 2, 0x6ff2, 0 },
	{ { 0xed, 0x59 }, 2, 0x6fdd, 0 },
	{ { 0xed, 0x5a }, 2, 0x6fe2, 0 },
	{ { 0xed, 0x5b }, 2, 0x6fe8, 0 },
	{ { 0xed, 0x5c }, 2, 0x71e1, 0 },
	{ { 0xed, 0x5d }, 2, 0x71f1, 0 },
	{ { 0xed, 0x5e }, 2, 0x71e8, 0 },
	{ { 0xed, 0x5f }, 2, 0x71f2, 0 },
	{ { 0xed, 0x60 }, 2, 0x71e4, 0 },
	{ { 0xed, 0x61 }, 2, 0x71f0, 0 },
	{ { 0xed, 0x62 }, 2, 0x71e2, 0 },
	{ { 0xed, 0x63 }, 2, 0x7373, 0 },
	{ { 0xed, 0x64 }, 2, 0x736e, 0 },
	{ { 0xed, 0x65 }, 2, 0x736f, 0 },
	{ { 0xed, 0x66 }, 2, 0x7497, 0 },
	{ { 0xed, 0x67 }, 2, 0x74b2, 0 },
	{ { 0xed, 0x68 }, 2, 0x74ab, 0 },
	{ { 0xed, 0x69 }, 2, 0x7490, 0 },
	{ { 0xed, 0x6a }, 2, 0x74aa, 0 },
	{ { 0xed, 0x6b }, 2, 0x74ad, 0 },
	{ { 0xed, 0x6c }, 2, 0x74b1, 0 },
	{ { 0xed, 0x6d }, 2, 0x74a5, 0 },
	{ { 0xed, 0x6e }, 2, 0x74af, 0 },
	{ { 0xed, 0x6f }, 2, 0x7510, 0 },
	{ { 0xed, 0x70 }, 2, 0x7511, 0 },
	{ { 0xed, 0x71 }, 2, 0x7512, 0 },
	{ { 0xed, 0x72 }, 2, 0x750f, 0 },
	{ { 0xed, 0x73 }, 2, 0x7584, 0 },
	{ { 0xed, 0x74 }, 2, 0x7643, 0 },
	{ { 0xed, 0x75 }, 2, 0x7648, 0 },
	{ { 0xed, 0x76 }, 2, 0x7649, 0 },
	{ { 0xed, 0x77 }, 2, 0x7647, 0 },
	{ { 0xed, 0x78 }, 2, 0x76a4, 0 },
	{ { 0xed, 0x79 }, 2, 0x76e9, 0 },
	{ { 0xed, 0x7a }, 2, 0x77b5, 0 },
	{ { 0xed, 0x7b }, 2, 0x77ab, 0 },
	{ { 0xed, 0x7c }, 2, 0x77b2, 0 },
	{ { 0xed, 0x7d }, 2, 0x77b7, 0 },
	{ { 0xed, 0x7e }, 2, 0x77b6, 0 },
	{ { 0xed, 0xa1 }, 2, 0x77b4, 0 },
	{ { 0xed, 0xa2 }, 2, 0x77b1, 0 },
	{ { 0xed, 0xa3 }, 2, 0x77a8, 0 },
	{ { 0xed, 0xa4 }, 2, 0x77f0, 0 },
	{ { 0xed, 0xa5 }, 2, 0x78f3, 0 },
	{ { 0xed, 0xa6 }, 2, 0x78fd, 0 },
	{ { 0xed, 0xa7 }, 2, 0x7902, 0 },
	{ { 0xed, 0xa8 }, 2, 0x78fb, 0 },
	{ { 0xed, 0xa9 }, 2, 0x78fc, 0 },
	{ { 0xed, 0xaa }, 2, 0x78f2, 0 },
	{ { 0xed, 0xab }, 2, 0x7905, 0 },
	{ { 0xed, 0xac }, 2, 0x78f9, 0 },
	{ { 0xed, 0xad }, 2, 0x78fe, 0 },
	{ { 0xed, 0xae }, 2, 0x7904, 0 },
	{ { 0xed, 0xaf }, 2, 0x79ab, 0 },
	{ { 0xed, 0xb0 }, 2, 0x79a8, 0 },
	{ { 0xed, 0xb1 }, 2, 0x7a5c, 0 },
	{ { 0xed, 0xb2 }, 2, 0x7a5b, 0 },
	{ { 0xed, 0xb3 }, 2, 0x7a56, 0 },
	{ { 0xed, 0xb4 }, 2, 0x7a58, 0 },
	{ { 0xed, 0xb5 }, 2, 0x7a54, 0 },
	{ { 0xed, 0xb6 }, 2, 0x7a5a, 0 },
	{ { 0xed, 0xb7 }, 2, 0x7abe, 0 },
	{ { 0xed, 0xb8 }, 2, 0x7ac0, 0 },
	{ { 0xed, 0xb9 }, 2, 0x7ac1, 0 },
	{ { 0xed, 0xba }, 2, 0x7c05, 0 },
	{ { 0xed, 0xbb }, 2, 0x7c0f, 0 },
	{ { 0xed, 0xbc }, 2, 0x7bf2, 0 },
	{ { 0xed, 0xbd }, 2, 0x7c00, 0 },
	{ { 0xed, 0xbe }, 2, 0x7bff, 0 },
	{ { 0xed, 0xbf }, 2, 0x7bfb, 0 },
	{ { 0xed, 0xc0 }, 2, 0x7c0e, 0 },
	{ { 0xed, 0xc1 }, 2, 0x7bf4, 0 },
	{ { 0xed, 0xc2 }, 2, 0x7c0b, 0 },
	{ { 0xed, 0xc3 }, 2, 0x7bf3, 0 },
	{ { 0xed, 0xc4 }, 2, 0x7c02, 0 },
	{ { 0xed, 0xc5 }, 2, 0x7c09, 0 },
	{ { 0xed, 0xc6 }, 2, 0x7c03, 0 },
	{ { 0xed, 0xc7 }, 2, 0x7c01, 0 },
	{ { 0xed, 0xc8 }, 2, 0x7bf8, 0 },
	{ { 0xed, 0xc9 }, 2, 0x7bfd, 0 },
	{ { 0xed, 0xca }, 2, 0x7c06, 0 },
	{ { 0xed, 0xcb }, 2, 0x7bf0, 0 },
	{ { 0xed, 0xcc }, 2, 0x7bf1, 0 },
	{ { 0xed, 0xcd }, 2, 0x7c10, 0 },
	{ { 0xed, 0xce }, 2, 0x7c0a, 0 },
	{ { 0xed, 0xcf }, 2, 0x7ce8, 0 },
	{ { 0xed, 0xd0 }, 2, 0x7e2d, 0 },
	{ { 0xed, 0xd1 }, 2, 0x7e3c, 0 },
	{ { 0xed, 0xd2 }, 2, 0x7e42, 0 },
	{ { 0xed, 0xd3 }, 2, 0x7e33, 0 },
	{ { 0xed, 0xd4 }, 2, 0x9848, 0 },
	{ { 0xed, 0xd5 }, 2, 0x7e38, 0 },
	{ { 0xed, 0xd6 }, 2, 0x7e2a, 0 },
	{ { 0xed, 0xd7 }, 2, 0x7e49, 0 },
	{ { 0xed, 0xd8 }, 2, 0x7e40, 0 },
	{ { 0xed, 0xd9 }, 2, 0x7e47, 0 },
	{ { 0xed, 0xda }, 2, 0x7e29, 0 },
	{ { 0xed, 0xdb }, 2, 0x7e4c, 0 },
	{ { 0xed, 0xdc }, 2, 0x7e30, 0 },
	{ { 0xed, 0xdd }, 2, 0x7e3b, 0 },
	{ { 0xed, 0xde }, 2, 0x7e36, 0 },
	{ { 0xed, 0xdf }, 2, 0x7e44, 0 },
	{ { 0xed, 0xe0 }, 2, 0x7e3a, 0 },
	{ { 0xed, 0xe1 }, 2, 0x7f45, 0 },
	{ { 0xed, 0xe2 }, 2, 0x7f7f, 0 },
	{ { 0xed, 0xe3 }, 2, 0x7f7e, 0 },
	{ { 0xed, 0xe4 }, 2, 0x7f7d, 0 },
	{ { 0xed, 0xe5 }, 2, 0x7ff4, 0 },
	{ { 0xed, 0xe6 }, 2, 0x7ff2, 0 },
	{ { 0xed, 0xe7 }, 2, 0x802c, 0 },
	{ { 0xed, 0xe8 }, 2, 0x81bb, 0 },
	{ { 0xed, 0xe9 }, 2, 0x81c4, 0 },
	{ { 0xed, 0xea }, 2, 0x81cc, 0 },
	{ { 0xed, 0xeb }, 2, 0x81ca, 0 },
	{ { 0xed, 0xec }, 2, 0x81c5, 0 },
	{ { 0xed, 0xed }, 2, 0x81c7, 0 },
	{ { 0xed, 0xee }, 2, 0x81bc, 0 },
	{ { 0xed, 0xef }, 2, 0x81e9, 0 },
	{ { 0xed, 0xf0 }, 2, 0x825b, 0 },
	{ { 0xed, 0xf1 }, 2, 0x825a, 0 },
	{ { 0xed, 0xf2 }, 2, 0x825c, 0 },
	{ { 0xed, 0xf3 }, 2, 0x8583, 0 },
	{ { 0xed, 0xf4 }, 2, 0x8580, 0 },
	{ { 0xed, 0xf5 }, 2, 0x858f, 0 },
	{ { 0xed, 0xf6 }, 2, 0x85a7, 0 },
	{ { 0xed, 0xf7 }, 2, 0x8595, 0 },
	{ { 0xed, 0xf8 }, 2, 0x85a0, 0 },
	{ { 0xed, 0xf9 }, 2, 0x858b, 0 },
	{ { 0xed, 0xfa }, 2, 0x85a3, 0 },
	{ { 0xed, 0xfb }, 2, 0x857b, 0 },
	{ { 0xed, 0xfc }, 2, 0x85a4, 0 },
	{ { 0xed, 0xfd }, 2, 0x859a, 0 },
	{ { 0xed, 0xfe }, 2, 0x859e, 0 },

	{ { 0xee, 0x40 }, 2, 0x8577, 0 },
	{ { 0xee, 0x41 }, 2, 0x857c, 0 },
	{ { 0xee, 0x42 }, 2, 0x8589, 0 },
	{ { 0xee, 0x43 }, 2, 0x85a1, 0 },
	{ { 0xee, 0x44 }, 2, 0x857a, 0 },
	{ { 0xee, 0x45 }, 2, 0x8578, 0 },
	{ { 0xee, 0x46 }, 2, 0x8557, 0 },
	{ { 0xee, 0x47 }, 2, 0x858e, 0 },
	{ { 0xee, 0x48 }, 2, 0x8596, 0 },
	{ { 0xee, 0x49 }, 2, 0x8586, 0 },
	{ { 0xee, 0x4a }, 2, 0x858d, 0 },
	{ { 0xee, 0x4b }, 2, 0x8599, 0 },
	{ { 0xee, 0x4c }, 2, 0x859d, 0 },
	{ { 0xee, 0x4d }, 2, 0x8581, 0 },
	{ { 0xee, 0x4e }, 2, 0x85a2, 0 },
	{ { 0xee, 0x4f }, 2, 0x8582, 0 },
	{ { 0xee, 0x50 }, 2, 0x8588, 0 },
	{ { 0xee, 0x51 }, 2, 0x8585, 0 },
	{ { 0xee, 0x52 }, 2, 0x8579, 0 },
	{ { 0xee, 0x53 }, 2, 0x8576, 0 },
	{ { 0xee, 0x54 }, 2, 0x8598, 0 },
	{ { 0xee, 0x55 }, 2, 0x8590, 0 },
	{ { 0xee, 0x56 }, 2, 0x859f, 0 },
	{ { 0xee, 0x57 }, 2, 0x8668, 0 },
	{ { 0xee, 0x58 }, 2, 0x87be, 0 },
	{ { 0xee, 0x59 }, 2, 0x87aa, 0 },
	{ { 0xee, 0x5a }, 2, 0x87ad, 0 },
	{ { 0xee, 0x5b }, 2, 0x87c5, 0 },
	{ { 0xee, 0x5c }, 2, 0x87b0, 0 },
	{ { 0xee, 0x5d }, 2, 0x87ac, 0 },
	{ { 0xee, 0x5e }, 2, 0x87b9, 0 },
	{ { 0xee, 0x5f }, 2, 0x87b5, 0 },
	{ { 0xee, 0x60 }, 2, 0x87bc, 0 },
	{ { 0xee, 0x61 }, 2, 0x87ae, 0 },
	{ { 0xee, 0x62 }, 2, 0x87c9, 0 },
	{ { 0xee, 0x63 }, 2, 0x87c3, 0 },
	{ { 0xee, 0x64 }, 2, 0x87c2, 0 },
	{ { 0xee, 0x65 }, 2, 0x87cc, 0 },
	{ { 0xee, 0x66 }, 2, 0x87b7, 0 },
	{ { 0xee, 0x67 }, 2, 0x87af, 0 },
	{ { 0xee, 0x68 }, 2, 0x87c4, 0 },
	{ { 0xee, 0x69 }, 2, 0x87ca, 0 },
	{ { 0xee, 0x6a }, 2, 0x87b4, 0 },
	{ { 0xee, 0x6b }, 2, 0x87b6, 0 },
	{ { 0xee, 0x6c }, 2, 0x87bf, 0 },
	{ { 0xee, 0x6d }, 2, 0x87b8, 0 },
	{ { 0xee, 0x6e }, 2, 0x87bd, 0 },
	{ { 0xee, 0x6f }, 2, 0x87de, 0 },
	{ { 0xee, 0x70 }, 2, 0x87b2, 0 },
	{ { 0xee, 0x71 }, 2, 0x8935, 0 },
	{ { 0xee, 0x72 }, 2, 0x8933, 0 },
	{ { 0xee, 0x73 }, 2, 0x893c, 0 },
	{ { 0xee, 0x74 }, 2, 0x893e, 0 },
	{ { 0xee, 0x75 }, 2, 0x8941, 0 },
	{ { 0xee, 0x76 }, 2, 0x8952, 0 },
	{ { 0xee, 0x77 }, 2, 0x8937, 0 },
	{ { 0xee, 0x78 }, 2, 0x8942, 0 },
	{ { 0xee, 0x79 }, 2, 0x89ad, 0 },
	{ { 0xee, 0x7a }, 2, 0x89af, 0 },
	{ { 0xee, 0x7b }, 2, 0x89ae, 0 },
	{ { 0xee, 0x7c }, 2, 0x89f2, 0 },
	{ { 0xee, 0x7d }, 2, 0x89f3, 0 },
	{ { 0xee, 0x7e }, 2, 0x8b1e, 0 },
	{ { 0xee, 0xa1 }, 2, 0x8b18, 0 },
	{ { 0xee, 0xa2 }, 2, 0x8b16, 0 },
	{ { 0xee, 0xa3 }, 2, 0x8b11, 0 },
	{ { 0xee, 0xa4 }, 2, 0x8b05, 0 },
	{ { 0xee, 0xa5 }, 2, 0x8b0b, 0 },
	{ { 0xee, 0xa6 }, 2, 0x8b22, 0 },
	{ { 0xee, 0xa7 }, 2, 0x8b0f, 0 },
	{ { 0xee, 0xa8 }, 2, 0x8b12, 0 },
	{ { 0xee, 0xa9 }, 2, 0x8b15, 0 },
	{ { 0xee, 0xaa }, 2, 0x8b07, 0 },
	{ { 0xee, 0xab }, 2, 0x8b0d, 0 },
	{ { 0xee, 0xac }, 2, 0x8b08, 0 },
	{ { 0xee, 0xad }, 2, 0x8b06, 0 },
	{ { 0xee, 0xae }, 2, 0x8b1c, 0 },
	{ { 0xee, 0xaf }, 2, 0x8b13, 0 },
	{ { 0xee, 0xb0 }, 2, 0x8b1a, 0 },
	{ { 0xee, 0xb1 }, 2, 0x8c4f, 0 },
	{ { 0xee, 0xb2 }, 2, 0x8c70, 0 },
	{ { 0xee, 0xb3 }, 2, 0x8c72, 0 },
	{ { 0xee, 0xb4 }, 2, 0x8c71, 0 },
	{ { 0xee, 0xb5 }, 2, 0x8c6f, 0 },
	{ { 0xee, 0xb6 }, 2, 0x8c95, 0 },
	{ { 0xee, 0xb7 }, 2, 0x8c94, 0 },
	{ { 0xee, 0xb8 }, 2, 0x8cf9, 0 },
	{ { 0xee, 0xb9 }, 2, 0x8d6f, 0 },
	{ { 0xee, 0xba }, 2, 0x8e4e, 0 },
	{ { 0xee, 0xbb }, 2, 0x8e4d, 0 },
	{ { 0xee, 0xbc }, 2, 0x8e53, 0 },
	{ { 0xee, 0xbd }, 2, 0x8e50, 0 },
	{ { 0xee, 0xbe }, 2, 0x8e4c, 0 },
	{ { 0xee, 0xbf }, 2, 0x8e47, 0 },
	{ { 0xee, 0xc0 }, 2, 0x8f43, 0 },
	{ { 0xee, 0xc1 }, 2, 0x8f40, 0 },
	{ { 0xee, 0xc2 }, 2, 0x9085, 0 },
	{ { 0xee, 0xc3 }, 2, 0x907e, 0 },
	{ { 0xee, 0xc4 }, 2, 0x9138, 0 },
	{ { 0xee, 0xc5 }, 2, 0x919a, 0 },
	{ { 0xee, 0xc6 }, 2, 0x91a2, 0 },
	{ { 0xee, 0xc7 }, 2, 0x919b, 0 },
	{ { 0xee, 0xc8 }, 2, 0x9199, 0 },
	{ { 0xee, 0xc9 }, 2, 0x919f, 0 },
	{ { 0xee, 0xca }, 2, 0x91a1, 0 },
	{ { 0xee, 0xcb }, 2, 0x919d, 0 },
	{ { 0xee, 0xcc }, 2, 0x91a0, 0 },
	{ { 0xee, 0xcd }, 2, 0x93a1, 0 },
	{ { 0xee, 0xce }, 2, 0x9383, 0 },
	{ { 0xee, 0xcf }, 2, 0x93af, 0 },
	{ { 0xee, 0xd0 }, 2, 0x9364, 0 },
	{ { 0xee, 0xd1 }, 2, 0x9356, 0 },
	{ { 0xee, 0xd2 }, 2, 0x9347, 0 },
	{ { 0xee, 0xd3 }, 2, 0x937c, 0 },
	{ { 0xee, 0xd4 }, 2, 0x9358, 0 },
	{ { 0xee, 0xd5 }, 2, 0x935c, 0 },
	{ { 0xee, 0xd6 }, 2, 0x9376, 0 },
	{ { 0xee, 0xd7 }, 2, 0x9349, 0 },
	{ { 0xee, 0xd8 }, 2, 0x9350, 0 },
	{ { 0xee, 0xd9 }, 2, 0x9351, 0 },
	{ { 0xee, 0xda }, 2, 0x9360, 0 },
	{ { 0xee, 0xdb }, 2, 0x936d, 0 },
	{ { 0xee, 0xdc }, 2, 0x938f, 0 },
	{ { 0xee, 0xdd }, 2, 0x934c, 0 },
	{ { 0xee, 0xde }, 2, 0x936a, 0 },
	{ { 0xee, 0xdf }, 2, 0x9379, 0 },
	{ { 0xee, 0xe0 }, 2, 0x9357, 0 },
	{ { 0xee, 0xe1 }, 2, 0x9355, 0 },
	{ { 0xee, 0xe2 }, 2, 0x9352, 0 },
	{ { 0xee, 0xe3 }, 2, 0x934f, 0 },
	{ { 0xee, 0xe4 }, 2, 0x9371, 0 },
	{ { 0xee, 0xe5 }, 2, 0x9377, 0 },
	{ { 0xee, 0xe6 }, 2, 0x937b, 0 },
	{ { 0xee, 0xe7 }, 2, 0x9361, 0 },
	{ { 0xee, 0xe8 }, 2, 0x935e, 0 },
	{ { 0xee, 0xe9 }, 2, 0x9363, 0 },
	{ { 0xee, 0xea }, 2, 0x9367, 0 },
	{ { 0xee, 0xeb }, 2, 0x9380, 0 },
	{ { 0xee, 0xec }, 2, 0x934e, 0 },
	{ { 0xee, 0xed }, 2, 0x9359, 0 },
	{ { 0xee, 0xee }, 2, 0x95c7, 0 },
	{ { 0xee, 0xef }, 2, 0x95c0, 0 },
	{ { 0xee, 0xf0 }, 2, 0x95c9, 0 },
	{ { 0xee, 0xf1 }, 2, 0x95c3, 0 },
	{ { 0xee, 0xf2 }, 2, 0x95c5, 0 },
	{ { 0xee, 0xf3 }, 2, 0x95b7, 0 },
	{ { 0xee, 0xf4 }, 2, 0x96ae, 0 },
	{ { 0xee, 0xf5 }, 2, 0x96b0, 0 },
	{ { 0xee, 0xf6 }, 2, 0x96ac, 0 },
	{ { 0xee, 0xf7 }, 2, 0x9720, 0 },
	{ { 0xee, 0xf8 }, 2, 0x971f, 0 },
	{ { 0xee, 0xf9 }, 2, 0x9718, 0 },
	{ { 0xee, 0xfa }, 2, 0x971d, 0 },
	{ { 0xee, 0xfb }, 2, 0x9719, 0 },
	{ { 0xee, 0xfc }, 2, 0x979a, 0 },
	{ { 0xee, 0xfd }, 2, 0x97a1, 0 },
	{ { 0xee, 0xfe }, 2, 0x979c, 0 },

	{ { 0xef, 0x40 }, 2, 0x979e, 0 },
	{ { 0xef, 0x41 }, 2, 0x979d, 0 },
	{ { 0xef, 0x42 }, 2, 0x97d5, 0 },
	{ { 0xef, 0x43 }, 2, 0x97d4, 0 },
	{ { 0xef, 0x44 }, 2, 0x97f1, 0 },
	{ { 0xef, 0x45 }, 2, 0x9841, 0 },
	{ { 0xef, 0x46 }, 2, 0x9844, 0 },
	{ { 0xef, 0x47 }, 2, 0x984a, 0 },
	{ { 0xef, 0x48 }, 2, 0x9849, 0 },
	{ { 0xef, 0x49 }, 2, 0x9845, 0 },
	{ { 0xef, 0x4a }, 2, 0x9843, 0 },
	{ { 0xef, 0x4b }, 2, 0x9925, 0 },
	{ { 0xef, 0x4c }, 2, 0x992b, 0 },
	{ { 0xef, 0x4d }, 2, 0x992c, 0 },
	{ { 0xef, 0x4e }, 2, 0x992a, 0 },
	{ { 0xef, 0x4f }, 2, 0x9933, 0 },
	{ { 0xef, 0x50 }, 2, 0x9932, 0 },
	{ { 0xef, 0x51 }, 2, 0x992f, 0 },
	{ { 0xef, 0x52 }, 2, 0x992d, 0 },
	{ { 0xef, 0x53 }, 2, 0x9931, 0 },
	{ { 0xef, 0x54 }, 2, 0x9930, 0 },
	{ { 0xef, 0x55 }, 2, 0x9998, 0 },
	{ { 0xef, 0x56 }, 2, 0x99a3, 0 },
	{ { 0xef, 0x57 }, 2, 0x99a1, 0 },
	{ { 0xef, 0x58 }, 2, 0x9a02, 0 },
	{ { 0xef, 0x59 }, 2, 0x99fa, 0 },
	{ { 0xef, 0x5a }, 2, 0x99f4, 0 },
	{ { 0xef, 0x5b }, 2, 0x99f7, 0 },
	{ { 0xef, 0x5c }, 2, 0x99f9, 0 },
	{ { 0xef, 0x5d }, 2, 0x99f8, 0 },
	{ { 0xef, 0x5e }, 2, 0x99f6, 0 },
	{ { 0xef, 0x5f }, 2, 0x99fb, 0 },
	{ { 0xef, 0x60 }, 2, 0x99fd, 0 },
	{ { 0xef, 0x61 }, 2, 0x99fe, 0 },
	{ { 0xef, 0x62 }, 2, 0x99fc, 0 },
	{ { 0xef, 0x63 }, 2, 0x9a03, 0 },
	{ { 0xef, 0x64 }, 2, 0x9abe, 0 },
	{ { 0xef, 0x65 }, 2, 0x9afe, 0 },
	{ { 0xef, 0x66 }, 2, 0x9afd, 0 },
	{ { 0xef, 0x67 }, 2, 0x9b01, 0 },
	{ { 0xef, 0x68 }, 2, 0x9afc, 0 },
	{ { 0xef, 0x69 }, 2, 0x9b48, 0 },
	{ { 0xef, 0x6a }, 2, 0x9b9a, 0 },
	{ { 0xef, 0x6b }, 2, 0x9ba8, 0 },
	{ { 0xef, 0x6c }, 2, 0x9b9e, 0 },
	{ { 0xef, 0x6d }, 2, 0x9b9b, 0 },
	{ { 0xef, 0x6e }, 2, 0x9ba6, 0 },
	{ { 0xef, 0x6f }, 2, 0x9ba1, 0 },
	{ { 0xef, 0x70 }, 2, 0x9ba5, 0 },
	{ { 0xef, 0x71 }, 2, 0x9ba4, 0 },
	{ { 0xef, 0x72 }, 2, 0x9b86, 0 },
	{ { 0xef, 0x73 }, 2, 0x9ba2, 0 },
	{ { 0xef, 0x74 }, 2, 0x9ba0, 0 },
	{ { 0xef, 0x75 }, 2, 0x9baf, 0 },
	{ { 0xef, 0x76 }, 2, 0x9d33, 0 },
	{ { 0xef, 0x77 }, 2, 0x9d41, 0 },
	{ { 0xef, 0x78 }, 2, 0x9d67, 0 },
	{ { 0xef, 0x79 }, 2, 0x9d36, 0 },
	{ { 0xef, 0x7a }, 2, 0x9d2e, 0 },
	{ { 0xef, 0x7b }, 2, 0x9d2f, 0 },
	{ { 0xef, 0x7c }, 2, 0x9d31, 0 },
	{ { 0xef, 0x7d }, 2, 0x9d38, 0 },
	{ { 0xef, 0x7e }, 2, 0x9d30, 0 },
	{ { 0xef, 0xa1 }, 2, 0x9d45, 0 },
	{ { 0xef, 0xa2 }, 2, 0x9d42, 0 },
	{ { 0xef, 0xa3 }, 2, 0x9d43, 0 },
	{ { 0xef, 0xa4 }, 2, 0x9d3e, 0 },
	{ { 0xef, 0xa5 }, 2, 0x9d37, 0 },
	{ { 0xef, 0xa6 }, 2, 0x9d40, 0 },
	{ { 0xef, 0xa7 }, 2, 0x9d3d, 0 },
	{ { 0xef, 0xa8 }, 2, 0x7ff5, 0 },
	{ { 0xef, 0xa9 }, 2, 0x9d2d, 0 },
	{ { 0xef, 0xaa }, 2, 0x9e8a, 0 },
	{ { 0xef, 0xab }, 2, 0x9e89, 0 },
	{ { 0xef, 0xac }, 2, 0x9e8d, 0 },
	{ { 0xef, 0xad }, 2, 0x9eb0, 0 },
	{ { 0xef, 0xae }, 2, 0x9ec8, 0 },
	{ { 0xef, 0xaf }, 2, 0x9eda, 0 },
	{ { 0xef, 0xb0 }, 2, 0x9efb, 0 },
	{ { 0xef, 0xb1 }, 2, 0x9eff, 0 },
	{ { 0xef, 0xb2 }, 2, 0x9f24, 0 },
	{ { 0xef, 0xb3 }, 2, 0x9f23, 0 },
	{ { 0xef, 0xb4 }, 2, 0x9f22, 0 },
	{ { 0xef, 0xb5 }, 2, 0x9f54, 0 },
	{ { 0xef, 0xb6 }, 2, 0x9fa0, 0 },
	{ { 0xef, 0xb7 }, 2, 0x5131, 0 },
	{ { 0xef, 0xb8 }, 2, 0x512d, 0 },
	{ { 0xef, 0xb9 }, 2, 0x512e, 0 },
	{ { 0xef, 0xba }, 2, 0x5698, 0 },
	{ { 0xef, 0xbb }, 2, 0x569c, 0 },
	{ { 0xef, 0xbc }, 2, 0x5697, 0 },
	{ { 0xef, 0xbd }, 2, 0x569a, 0 },
	{ { 0xef, 0xbe }, 2, 0x569d, 0 },
	{ { 0xef, 0xbf }, 2, 0x5699, 0 },
	{ { 0xef, 0xc0 }, 2, 0x5970, 0 },
	{ { 0xef, 0xc1 }, 2, 0x5b3c, 0 },
	{ { 0xef, 0xc2 }, 2, 0x5c69, 0 },
	{ { 0xef, 0xc3 }, 2, 0x5c6a, 0 },
	{ { 0xef, 0xc4 }, 2, 0x5dc0, 0 },
	{ { 0xef, 0xc5 }, 2, 0x5e6d, 0 },
	{ { 0xef, 0xc6 }, 2, 0x5e6e, 0 },
	{ { 0xef, 0xc7 }, 2, 0x61d8, 0 },
	{ { 0xef, 0xc8 }, 2, 0x61df, 0 },
	{ { 0xef, 0xc9 }, 2, 0x61ed, 0 },
	{ { 0xef, 0xca }, 2, 0x61ee, 0 },
	{ { 0xef, 0xcb }, 2, 0x61f1, 0 },
	{ { 0xef, 0xcc }, 2, 0x61ea, 0 },
	{ { 0xef, 0xcd }, 2, 0x61f0, 0 },
	{ { 0xef, 0xce }, 2, 0x61eb, 0 },
	{ { 0xef, 0xcf }, 2, 0x61d6, 0 },
	{ { 0xef, 0xd0 }, 2, 0x61e9, 0 },
	{ { 0xef, 0xd1 }, 2, 0x64ff, 0 },
	{ { 0xef, 0xd2 }, 2, 0x6504, 0 },
	{ { 0xef, 0xd3 }, 2, 0x64fd, 0 },
	{ { 0xef, 0xd4 }, 2, 0x64f8, 0 },
	{ { 0xef, 0xd5 }, 2, 0x6501, 0 },
	{ { 0xef, 0xd6 }, 2, 0x6503, 0 },
	{ { 0xef, 0xd7 }, 2, 0x64fc, 0 },
	{ { 0xef, 0xd8 }, 2, 0x6594, 0 },
	{ { 0xef, 0xd9 }, 2, 0x65db, 0 },
	{ { 0xef, 0xda }, 2, 0x66da, 0 },
	{ { 0xef, 0xdb }, 2, 0x66db, 0 },
	{ { 0xef, 0xdc }, 2, 0x66d8, 0 },
	{ { 0xef, 0xdd }, 2, 0x6ac5, 0 },
	{ { 0xef, 0xde }, 2, 0x6ab9, 0 },
	{ { 0xef, 0xdf }, 2, 0x6abd, 0 },
	{ { 0xef, 0xe0 }, 2, 0x6ae1, 0 },
	{ { 0xef, 0xe1 }, 2, 0x6ac6, 0 },
	{ { 0xef, 0xe2 }, 2, 0x6aba, 0 },
	{ { 0xef, 0xe3 }, 2, 0x6ab6, 0 },
	{ { 0xef, 0xe4 }, 2, 0x6ab7, 0 },
	{ { 0xef, 0xe5 }, 2, 0x6ac7, 0 },
	{ { 0xef, 0xe6 }, 2, 0x6ab4, 0 },
	{ { 0xef, 0xe7 }, 2, 0x6aad, 0 },
	{ { 0xef, 0xe8 }, 2, 0x6b5e, 0 },
	{ { 0xef, 0xe9 }, 2, 0x6bc9, 0 },
	{ { 0xef, 0xea }, 2, 0x6c0b, 0 },
	{ { 0xef, 0xeb }, 2, 0x7007, 0 },
	{ { 0xef, 0xec }, 2, 0x700c, 0 },
	{ { 0xef, 0xed }, 2, 0x700d, 0 },
	{ { 0xef, 0xee }, 2, 0x7001, 0 },
	{ { 0xef, 0xef }, 2, 0x7005, 0 },
	{ { 0xef, 0xf0 }, 2, 0x7014, 0 },
	{ { 0xef, 0xf1 }, 2, 0x700e, 0 },
	{ { 0xef, 0xf2 }, 2, 0x6fff, 0 },
	{ { 0xef, 0xf3 }, 2, 0x7000, 0 },
	{ { 0xef, 0xf4 }, 2, 0x6ffb, 0 },
	{ { 0xef, 0xf5 }, 2, 0x7026, 0 },
	{ { 0xef, 0xf6 }, 2, 0x6ffc, 0 },
	{ { 0xef, 0xf7 }, 2, 0x6ff7, 0 },
	{ { 0xef, 0xf8 }, 2, 0x700a, 0 },
	{ { 0xef, 0xf9 }, 2, 0x7201, 0 },
	{ { 0xef, 0xfa }, 2, 0x71ff, 0 },
	{ { 0xef, 0xfb }, 2, 0x71f9, 0 },
	{ { 0xef, 0xfc }, 2, 0x7203, 0 },
	{ { 0xef, 0xfd }, 2, 0x71fd, 0 },
	{ { 0xef, 0xfe }, 2, 0x7376, 0 },

	{ { 0xf0, 0x40 }, 2, 0x74b8, 0 },
	{ { 0xf0, 0x41 }, 2, 0x74c0, 0 },
	{ { 0xf0, 0x42 }, 2, 0x74b5, 0 },
	{ { 0xf0, 0x43 }, 2, 0x74c1, 0 },
	{ { 0xf0, 0x44 }, 2, 0x74be, 0 },
	{ { 0xf0, 0x45 }, 2, 0x74b6, 0 },
	{ { 0xf0, 0x46 }, 2, 0x74bb, 0 },
	{ { 0xf0, 0x47 }, 2, 0x74c2, 0 },
	{ { 0xf0, 0x48 }, 2, 0x7514, 0 },
	{ { 0xf0, 0x49 }, 2, 0x7513, 0 },
	{ { 0xf0, 0x4a }, 2, 0x765c, 0 },
	{ { 0xf0, 0x4b }, 2, 0x7664, 0 },
	{ { 0xf0, 0x4c }, 2, 0x7659, 0 },
	{ { 0xf0, 0x4d }, 2, 0x7650, 0 },
	{ { 0xf0, 0x4e }, 2, 0x7653, 0 },
	{ { 0xf0, 0x4f }, 2, 0x7657, 0 },
	{ { 0xf0, 0x50 }, 2, 0x765a, 0 },
	{ { 0xf0, 0x51 }, 2, 0x76a6, 0 },
	{ { 0xf0, 0x52 }, 2, 0x76bd, 0 },
	{ { 0xf0, 0x53 }, 2, 0x76ec, 0 },
	{ { 0xf0, 0x54 }, 2, 0x77c2, 0 },
	{ { 0xf0, 0x55 }, 2, 0x77ba, 0 },
	{ { 0xf0, 0x56 }, 2, 0x78ff, 0 },
	{ { 0xf0, 0x57 }, 2, 0x790c, 0 },
	{ { 0xf0, 0x58 }, 2, 0x7913, 0 },
	{ { 0xf0, 0x59 }, 2, 0x7914, 0 },
	{ { 0xf0, 0x5a }, 2, 0x7909, 0 },
	{ { 0xf0, 0x5b }, 2, 0x7910, 0 },
	{ { 0xf0, 0x5c }, 2, 0x7912, 0 },
	{ { 0xf0, 0x5d }, 2, 0x7911, 0 },
	{ { 0xf0, 0x5e }, 2, 0x79ad, 0 },
	{ { 0xf0, 0x5f }, 2, 0x79ac, 0 },
	{ { 0xf0, 0x60 }, 2, 0x7a5f, 0 },
	{ { 0xf0, 0x61 }, 2, 0x7c1c, 0 },
	{ { 0xf0, 0x62 }, 2, 0x7c29, 0 },
	{ { 0xf0, 0x63 }, 2, 0x7c19, 0 },
	{ { 0xf0, 0x64 }, 2, 0x7c20, 0 },
	{ { 0xf0, 0x65 }, 2, 0x7c1f, 0 },
	{ { 0xf0, 0x66 }, 2, 0x7c2d, 0 },
	{ { 0xf0, 0x67 }, 2, 0x7c1d, 0 },
	{ { 0xf0, 0x68 }, 2, 0x7c26, 0 },
	{ { 0xf0, 0x69 }, 2, 0x7c28, 0 },
	{ { 0xf0, 0x6a }, 2, 0x7c22, 0 },
	{ { 0xf0, 0x6b }, 2, 0x7c25, 0 },
	{ { 0xf0, 0x6c }, 2, 0x7c30, 0 },
	{ { 0xf0, 0x6d }, 2, 0x7e5c, 0 },
	{ { 0xf0, 0x6e }, 2, 0x7e50, 0 },
	{ { 0xf0, 0x6f }, 2, 0x7e56, 0 },
	{ { 0xf0, 0x70 }, 2, 0x7e63, 0 },
	{ { 0xf0, 0x71 }, 2, 0x7e58, 0 },
	{ { 0xf0, 0x72 }, 2, 0x7e62, 0 },
	{ { 0xf0, 0x73 }, 2, 0x7e5f, 0 },
	{ { 0xf0, 0x74 }, 2, 0x7e51, 0 },
	{ { 0xf0, 0x75 }, 2, 0x7e60, 0 },
	{ { 0xf0, 0x76 }, 2, 0x7e57, 0 },
	{ { 0xf0, 0x77 }, 2, 0x7e53, 0 },
	{ { 0xf0, 0x78 }, 2, 0x7fb5, 0 },
	{ { 0xf0, 0x79 }, 2, 0x7fb3, 0 },
	{ { 0xf0, 0x7a }, 2, 0x7ff7, 0 },
	{ { 0xf0, 0x7b }, 2, 0x7ff8, 0 },
	{ { 0xf0, 0x7c }, 2, 0x8075, 0 },
	{ { 0xf0, 0x7d }, 2, 0x81d1, 0 },
	{ { 0xf0, 0x7e }, 2, 0x81d2, 0 },
	{ { 0xf0, 0xa1 }, 2, 0x81d0, 0 },
	{ { 0xf0, 0xa2 }, 2, 0x825f, 0 },
	{ { 0xf0, 0xa3 }, 2, 0x825e, 0 },
	{ { 0xf0, 0xa4 }, 2, 0x85b4, 0 },
	{ { 0xf0, 0xa5 }, 2, 0x85c6, 0 },
	{ { 0xf0, 0xa6 }, 2, 0x85c0, 0 },
	{ { 0xf0, 0xa7 }, 2, 0x85c3, 0 },
	{ { 0xf0, 0xa8 }, 2, 0x85c2, 0 },
	{ { 0xf0, 0xa9 }, 2, 0x85b3, 0 },
	{ { 0xf0, 0xaa }, 2, 0x85b5, 0 },
	{ { 0xf0, 0xab }, 2, 0x85bd, 0 },
	{ { 0xf0, 0xac }, 2, 0x85c7, 0 },
	{ { 0xf0, 0xad }, 2, 0x85c4, 0 },
	{ { 0xf0, 0xae }, 2, 0x85bf, 0 },
	{ { 0xf0, 0xaf }, 2, 0x85cb, 0 },
	{ { 0xf0, 0xb0 }, 2, 0x85ce, 0 },
	{ { 0xf0, 0xb1 }, 2, 0x85c8, 0 },
	{ { 0xf0, 0xb2 }, 2, 0x85c5, 0 },
	{ { 0xf0, 0xb3 }, 2, 0x85b1, 0 },
	{ { 0xf0, 0xb4 }, 2, 0x85b6, 0 },
	{ { 0xf0, 0xb5 }, 2, 0x85d2, 0 },
	{ { 0xf0, 0xb6 }, 2, 0x8624, 0 },
	{ { 0xf0, 0xb7 }, 2, 0x85b8, 0 },
	{ { 0xf0, 0xb8 }, 2, 0x85b7, 0 },
	{ { 0xf0, 0xb9 }, 2, 0x85be, 0 },
	{ { 0xf0, 0xba }, 2, 0x8669, 0 },
	{ { 0xf0, 0xbb }, 2, 0x87e7, 0 },
	{ { 0xf0, 0xbc }, 2, 0x87e6, 0 },
	{ { 0xf0, 0xbd }, 2, 0x87e2, 0 },
	{ { 0xf0, 0xbe }, 2, 0x87db, 0 },
	{ { 0xf0, 0xbf }, 2, 0x87eb, 0 },
	{ { 0xf0, 0xc0 }, 2, 0x87ea, 0 },
	{ { 0xf0, 0xc1 }, 2, 0x87e5, 0 },
	{ { 0xf0, 0xc2 }, 2, 0x87df, 0 },
	{ { 0xf0, 0xc3 }, 2, 0x87f3, 0 },
	{ { 0xf0, 0xc4 }, 2, 0x87e4, 0 },
	{ { 0xf0, 0xc5 }, 2, 0x87d4, 0 },
	{ { 0xf0, 0xc6 }, 2, 0x87dc, 0 },
	{ { 0xf0, 0xc7 }, 2, 0x87d3, 0 },
	{ { 0xf0, 0xc8 }, 2, 0x87ed, 0 },
	{ { 0xf0, 0xc9 }, 2, 0x87d8, 0 },
	{ { 0xf0, 0xca }, 2, 0x87e3, 0 },
	{ { 0xf0, 0xcb }, 2, 0x87a4, 0 },
	{ { 0xf0, 0xcc }, 2, 0x87d7, 0 },
	{ { 0xf0, 0xcd }, 2, 0x87d9, 0 },
	{ { 0xf0, 0xce }, 2, 0x8801, 0 },
	{ { 0xf0, 0xcf }, 2, 0x87f4, 0 },
	{ { 0xf0, 0xd0 }, 2, 0x87e8, 0 },
	{ { 0xf0, 0xd1 }, 2, 0x87dd, 0 },
	{ { 0xf0, 0xd2 }, 2, 0x8953, 0 },
	{ { 0xf0, 0xd3 }, 2, 0x894b, 0 },
	{ { 0xf0, 0xd4 }, 2, 0x894f, 0 },
	{ { 0xf0, 0xd5 }, 2, 0x894c, 0 },
	{ { 0xf0, 0xd6 }, 2, 0x8946, 0 },
	{ { 0xf0, 0xd7 }, 2, 0x8950, 0 },
	{ { 0xf0, 0xd8 }, 2, 0x8951, 0 },
	{ { 0xf0, 0xd9 }, 2, 0x8949, 0 },
	{ { 0xf0, 0xda }, 2, 0x8b2a, 0 },
	{ { 0xf0, 0xdb }, 2, 0x8b27, 0 },
	{ { 0xf0, 0xdc }, 2, 0x8b23, 0 },
	{ { 0xf0, 0xdd }, 2, 0x8b33, 0 },
	{ { 0xf0, 0xde }, 2, 0x8b30, 0 },
	{ { 0xf0, 0xdf }, 2, 0x8b35, 0 },
	{ { 0xf0, 0xe0 }, 2, 0x8b47, 0 },
	{ { 0xf0, 0xe1 }, 2, 0x8b2f, 0 },
	{ { 0xf0, 0xe2 }, 2, 0x8b3c, 0 },
	{ { 0xf0, 0xe3 }, 2, 0x8b3e, 0 },
	{ { 0xf0, 0xe4 }, 2, 0x8b31, 0 },
	{ { 0xf0, 0xe5 }, 2, 0x8b25, 0 },
	{ { 0xf0, 0xe6 }, 2, 0x8b37, 0 },
	{ { 0xf0, 0xe7 }, 2, 0x8b26, 0 },
	{ { 0xf0, 0xe8 }, 2, 0x8b36, 0 },
	{ { 0xf0, 0xe9 }, 2, 0x8b2e, 0 },
	{ { 0xf0, 0xea }, 2, 0x8b24, 0 },
	{ { 0xf0, 0xeb }, 2, 0x8b3b, 0 },
	{ { 0xf0, 0xec }, 2, 0x8b3d, 0 },
	{ { 0xf0, 0xed }, 2, 0x8b3a, 0 },
	{ { 0xf0, 0xee }, 2, 0x8c42, 0 },
	{ { 0xf0, 0xef }, 2, 0x8c75, 0 },
	{ { 0xf0, 0xf0 }, 2, 0x8c99, 0 },
	{ { 0xf0, 0xf1 }, 2, 0x8c98, 0 },
	{ { 0xf0, 0xf2 }, 2, 0x8c97, 0 },
	{ { 0xf0, 0xf3 }, 2, 0x8cfe, 0 },
	{ { 0xf0, 0xf4 }, 2, 0x8d04, 0 },
	{ { 0xf0, 0xf5 }, 2, 0x8d02, 0 },
	{ { 0xf0, 0xf6 }, 2, 0x8d00, 0 },
	{ { 0xf0, 0xf7 }, 2, 0x8e5c, 0 },
	{ { 0xf0, 0xf8 }, 2, 0x8e62, 0 },
	{ { 0xf0, 0xf9 }, 2, 0x8e60, 0 },
	{ { 0xf0, 0xfa }, 2, 0x8e57, 0 },
	{ { 0xf0, 0xfb }, 2, 0x8e56, 0 },
	{ { 0xf0, 0xfc }, 2, 0x8e5e, 0 },
	{ { 0xf0, 0xfd }, 2, 0x8e65, 0 },
	{ { 0xf0, 0xfe }, 2, 0x8e67, 0 },

	{ { 0xf1, 0x40 }, 2, 0x8e5b, 0 },
	{ { 0xf1, 0x41 }, 2, 0x8e5a, 0 },
	{ { 0xf1, 0x42 }, 2, 0x8e61, 0 },
	{ { 0xf1, 0x43 }, 2, 0x8e5d, 0 },
	{ { 0xf1, 0x44 }, 2, 0x8e69, 0 },
	{ { 0xf1, 0x45 }, 2, 0x8e54, 0 },
	{ { 0xf1, 0x46 }, 2, 0x8f46, 0 },
	{ { 0xf1, 0x47 }, 2, 0x8f47, 0 },
	{ { 0xf1, 0x48 }, 2, 0x8f48, 0 },
	{ { 0xf1, 0x49 }, 2, 0x8f4b, 0 },
	{ { 0xf1, 0x4a }, 2, 0x9128, 0 },
	{ { 0xf1, 0x4b }, 2, 0x913a, 0 },
	{ { 0xf1, 0x4c }, 2, 0x913b, 0 },
	{ { 0xf1, 0x4d }, 2, 0x913e, 0 },
	{ { 0xf1, 0x4e }, 2, 0x91a8, 0 },
	{ { 0xf1, 0x4f }, 2, 0x91a5, 0 },
	{ { 0xf1, 0x50 }, 2, 0x91a7, 0 },
	{ { 0xf1, 0x51 }, 2, 0x91af, 0 },
	{ { 0xf1, 0x52 }, 2, 0x91aa, 0 },
	{ { 0xf1, 0x53 }, 2, 0x93b5, 0 },
	{ { 0xf1, 0x54 }, 2, 0x938c, 0 },
	{ { 0xf1, 0x55 }, 2, 0x9392, 0 },
	{ { 0xf1, 0x56 }, 2, 0x93b7, 0 },
	{ { 0xf1, 0x57 }, 2, 0x939b, 0 },
	{ { 0xf1, 0x58 }, 2, 0x939d, 0 },
	{ { 0xf1, 0x59 }, 2, 0x9389, 0 },
	{ { 0xf1, 0x5a }, 2, 0x93a7, 0 },
	{ { 0xf1, 0x5b }, 2, 0x938e, 0 },
	{ { 0xf1, 0x5c }, 2, 0x93aa, 0 },
	{ { 0xf1, 0x5d }, 2, 0x939e, 0 },
	{ { 0xf1, 0x5e }, 2, 0x93a6, 0 },
	{ { 0xf1, 0x5f }, 2, 0x9395, 0 },
	{ { 0xf1, 0x60 }, 2, 0x9388, 0 },
	{ { 0xf1, 0x61 }, 2, 0x9399, 0 },
	{ { 0xf1, 0x62 }, 2, 0x939f, 0 },
	{ { 0xf1, 0x63 }, 2, 0x938d, 0 },
	{ { 0xf1, 0x64 }, 2, 0x93b1, 0 },
	{ { 0xf1, 0x65 }, 2, 0x9391, 0 },
	{ { 0xf1, 0x66 }, 2, 0x93b2, 0 },
	{ { 0xf1, 0x67 }, 2, 0x93a4, 0 },
	{ { 0xf1, 0x68 }, 2, 0x93a8, 0 },
	{ { 0xf1, 0x69 }, 2, 0x93b4, 0 },
	{ { 0xf1, 0x6a }, 2, 0x93a3, 0 },
	{ { 0xf1, 0x6b }, 2, 0x93a5, 0 },
	{ { 0xf1, 0x6c }, 2, 0x95d2, 0 },
	{ { 0xf1, 0x6d }, 2, 0x95d3, 0 },
	{ { 0xf1, 0x6e }, 2, 0x95d1, 0 },
	{ { 0xf1, 0x6f }, 2, 0x96b3, 0 },
	{ { 0xf1, 0x70 }, 2, 0x96d7, 0 },
	{ { 0xf1, 0x71 }, 2, 0x96da, 0 },
	{ { 0xf1, 0x72 }, 2, 0x5dc2, 0 },
	{ { 0xf1, 0x73 }, 2, 0x96df, 0 },
	{ { 0xf1, 0x74 }, 2, 0x96d8, 0 },
	{ { 0xf1, 0x75 }, 2, 0x96dd, 0 },
	{ { 0xf1, 0x76 }, 2, 0x9723, 0 },
	{ { 0xf1, 0x77 }, 2, 0x9722, 0 },
	{ { 0xf1, 0x78 }, 2, 0x9725, 0 },
	{ { 0xf1, 0x79 }, 2, 0x97ac, 0 },
	{ { 0xf1, 0x7a }, 2, 0x97ae, 0 },
	{ { 0xf1, 0x7b }, 2, 0x97a8, 0 },
	{ { 0xf1, 0x7c }, 2, 0x97ab, 0 },
	{ { 0xf1, 0x7d }, 2, 0x97a4, 0 },
	{ { 0xf1, 0x7e }, 2, 0x97aa, 0 },
	{ { 0xf1, 0xa1 }, 2, 0x97a2, 0 },
	{ { 0xf1, 0xa2 }, 2, 0x97a5, 0 },
	{ { 0xf1, 0xa3 }, 2, 0x97d7, 0 },
	{ { 0xf1, 0xa4 }, 2, 0x97d9, 0 },
	{ { 0xf1, 0xa5 }, 2, 0x97d6, 0 },
	{ { 0xf1, 0xa6 }, 2, 0x97d8, 0 },
	{ { 0xf1, 0xa7 }, 2, 0x97fa, 0 },
	{ { 0xf1, 0xa8 }, 2, 0x9850, 0 },
	{ { 0xf1, 0xa9 }, 2, 0x9851, 0 },
	{ { 0xf1, 0xaa }, 2, 0x9852, 0 },
	{ { 0xf1, 0xab }, 2, 0x98b8, 0 },
	{ { 0xf1, 0xac }, 2, 0x9941, 0 },
	{ { 0xf1, 0xad }, 2, 0x993c, 0 },
	{ { 0xf1, 0xae }, 2, 0x993a, 0 },
	{ { 0xf1, 0xaf }, 2, 0x9a0f, 0 },
	{ { 0xf1, 0xb0 }, 2, 0x9a0b, 0 },
	{ { 0xf1, 0xb1 }, 2, 0x9a09, 0 },
	{ { 0xf1, 0xb2 }, 2, 0x9a0d, 0 },
	{ { 0xf1, 0xb3 }, 2, 0x9a04, 0 },
	{ { 0xf1, 0xb4 }, 2, 0x9a11, 0 },
	{ { 0xf1, 0xb5 }, 2, 0x9a0a, 0 },
	{ { 0xf1, 0xb6 }, 2, 0x9a05, 0 },
	{ { 0xf1, 0xb7 }, 2, 0x9a07, 0 },
	{ { 0xf1, 0xb8 }, 2, 0x9a06, 0 },
	{ { 0xf1, 0xb9 }, 2, 0x9ac0, 0 },
	{ { 0xf1, 0xba }, 2, 0x9adc, 0 },
	{ { 0xf1, 0xbb }, 2, 0x9b08, 0 },
	{ { 0xf1, 0xbc }, 2, 0x9b04, 0 },
	{ { 0xf1, 0xbd }, 2, 0x9b05, 0 },
	{ { 0xf1, 0xbe }, 2, 0x9b29, 0 },
	{ { 0xf1, 0xbf }, 2, 0x9b35, 0 },
	{ { 0xf1, 0xc0 }, 2, 0x9b4a, 0 },
	{ { 0xf1, 0xc1 }, 2, 0x9b4c, 0 },
	{ { 0xf1, 0xc2 }, 2, 0x9b4b, 0 },
	{ { 0xf1, 0xc3 }, 2, 0x9bc7, 0 },
	{ { 0xf1, 0xc4 }, 2, 0x9bc6, 0 },
	{ { 0xf1, 0xc5 }, 2, 0x9bc3, 0 },
	{ { 0xf1, 0xc6 }, 2, 0x9bbf, 0 },
	{ { 0xf1, 0xc7 }, 2, 0x9bc1, 0 },
	{ { 0xf1, 0xc8 }, 2, 0x9bb5, 0 },
	{ { 0xf1, 0xc9 }, 2, 0x9bb8, 0 },
	{ { 0xf1, 0xca }, 2, 0x9bd3, 0 },
	{ { 0xf1, 0xcb }, 2, 0x9bb6, 0 },
	{ { 0xf1, 0xcc }, 2, 0x9bc4, 0 },
	{ { 0xf1, 0xcd }, 2, 0x9bb9, 0 },
	{ { 0xf1, 0xce }, 2, 0x9bbd, 0 },
	{ { 0xf1, 0xcf }, 2, 0x9d5c, 0 },
	{ { 0xf1, 0xd0 }, 2, 0x9d53, 0 },
	{ { 0xf1, 0xd1 }, 2, 0x9d4f, 0 },
	{ { 0xf1, 0xd2 }, 2, 0x9d4a, 0 },
	{ { 0xf1, 0xd3 }, 2, 0x9d5b, 0 },
	{ { 0xf1, 0xd4 }, 2, 0x9d4b, 0 },
	{ { 0xf1, 0xd5 }, 2, 0x9d59, 0 },
	{ { 0xf1, 0xd6 }, 2, 0x9d56, 0 },
	{ { 0xf1, 0xd7 }, 2, 0x9d4c, 0 },
	{ { 0xf1, 0xd8 }, 2, 0x9d57, 0 },
	{ { 0xf1, 0xd9 }, 2, 0x9d52, 0 },
	{ { 0xf1, 0xda }, 2, 0x9d54, 0 },
	{ { 0xf1, 0xdb }, 2, 0x9d5f, 0 },
	{ { 0xf1, 0xdc }, 2, 0x9d58, 0 },
	{ { 0xf1, 0xdd }, 2, 0x9d5a, 0 },
	{ { 0xf1, 0xde }, 2, 0x9e8e, 0 },
	{ { 0xf1, 0xdf }, 2, 0x9e8c, 0 },
	{ { 0xf1, 0xe0 }, 2, 0x9edf, 0 },
	{ { 0xf1, 0xe1 }, 2, 0x9f01, 0 },
	{ { 0xf1, 0xe2 }, 2, 0x9f00, 0 },
	{ { 0xf1, 0xe3 }, 2, 0x9f16, 0 },
	{ { 0xf1, 0xe4 }, 2, 0x9f25, 0 },
	{ { 0xf1, 0xe5 }, 2, 0x9f2b, 0 },
	{ { 0xf1, 0xe6 }, 2, 0x9f2a, 0 },
	{ { 0xf1, 0xe7 }, 2, 0x9f29, 0 },
	{ { 0xf1, 0xe8 }, 2, 0x9f28, 0 },
	{ { 0xf1, 0xe9 }, 2, 0x9f4c, 0 },
	{ { 0xf1, 0xea }, 2, 0x9f55, 0 },
	{ { 0xf1, 0xeb }, 2, 0x5134, 0 },
	{ { 0xf1, 0xec }, 2, 0x5135, 0 },
	{ { 0xf1, 0xed }, 2, 0x5296, 0 },
	{ { 0xf1, 0xee }, 2, 0x52f7, 0 },
	{ { 0xf1, 0xef }, 2, 0x53b4, 0 },
	{ { 0xf1, 0xf0 }, 2, 0x56ab, 0 },
	{ { 0xf1, 0xf1 }, 2, 0x56ad, 0 },
	{ { 0xf1, 0xf2 }, 2, 0x56a6, 0 },
	{ { 0xf1, 0xf3 }, 2, 0x56a7, 0 },
	{ { 0xf1, 0xf4 }, 2, 0x56aa, 0 },
	{ { 0xf1, 0xf5 }, 2, 0x56ac, 0 },
	{ { 0xf1, 0xf6 }, 2, 0x58da, 0 },
	{ { 0xf1, 0xf7 }, 2, 0x58dd, 0 },
	{ { 0xf1, 0xf8 }, 2, 0x58db, 0 },
	{ { 0xf1, 0xf9 }, 2, 0x5912, 0 },
	{ { 0xf1, 0xfa }, 2, 0x5b3d, 0 },
	{ { 0xf1, 0xfb }, 2, 0x5b3e, 0 },
	{ { 0xf1, 0xfc }, 2, 0x5b3f, 0 },
	{ { 0xf1, 0xfd }, 2, 0x5dc3, 0 },
	{ { 0xf1, 0xfe }, 2, 0x5e70, 0 },

	{ { 0xf2, 0x40 }, 2, 0x5fbf, 0 },
	{ { 0xf2, 0x41 }, 2, 0x61fb, 0 },
	{ { 0xf2, 0x42 }, 2, 0x6507, 0 },
	{ { 0xf2, 0x43 }, 2, 0x6510, 0 },
	{ { 0xf2, 0x44 }, 2, 0x650d, 0 },
	{ { 0xf2, 0x45 }, 2, 0x6509, 0 },
	{ { 0xf2, 0x46 }, 2, 0x650c, 0 },
	{ { 0xf2, 0x47 }, 2, 0x650e, 0 },
	{ { 0xf2, 0x48 }, 2, 0x6584, 0 },
	{ { 0xf2, 0x49 }, 2, 0x65de, 0 },
	{ { 0xf2, 0x4a }, 2, 0x65dd, 0 },
	{ { 0xf2, 0x4b }, 2, 0x66de, 0 },
	{ { 0xf2, 0x4c }, 2, 0x6ae7, 0 },
	{ { 0xf2, 0x4d }, 2, 0x6ae0, 0 },
	{ { 0xf2, 0x4e }, 2, 0x6acc, 0 },
	{ { 0xf2, 0x4f }, 2, 0x6ad1, 0 },
	{ { 0xf2, 0x50 }, 2, 0x6ad9, 0 },
	{ { 0xf2, 0x51 }, 2, 0x6acb, 0 },
	{ { 0xf2, 0x52 }, 2, 0x6adf, 0 },
	{ { 0xf2, 0x53 }, 2, 0x6adc, 0 },
	{ { 0xf2, 0x54 }, 2, 0x6ad0, 0 },
	{ { 0xf2, 0x55 }, 2, 0x6aeb, 0 },
	{ { 0xf2, 0x56 }, 2, 0x6acf, 0 },
	{ { 0xf2, 0x57 }, 2, 0x6acd, 0 },
	{ { 0xf2, 0x58 }, 2, 0x6ade, 0 },
	{ { 0xf2, 0x59 }, 2, 0x6b60, 0 },
	{ { 0xf2, 0x5a }, 2, 0x6bb0, 0 },
	{ { 0xf2, 0x5b }, 2, 0x6c0c, 0 },
	{ { 0xf2, 0x5c }, 2, 0x7019, 0 },
	{ { 0xf2, 0x5d }, 2, 0x7027, 0 },
	{ { 0xf2, 0x5e }, 2, 0x7020, 0 },
	{ { 0xf2, 0x5f }, 2, 0x7016, 0 },
	{ { 0xf2, 0x60 }, 2, 0x702b, 0 },
	{ { 0xf2, 0x61 }, 2, 0x7021, 0 },
	{ { 0xf2, 0x62 }, 2, 0x7022, 0 },
	{ { 0xf2, 0x63 }, 2, 0x7023, 0 },
	{ { 0xf2, 0x64 }, 2, 0x7029, 0 },
	{ { 0xf2, 0x65 }, 2, 0x7017, 0 },
	{ { 0xf2, 0x66 }, 2, 0x7024, 0 },
	{ { 0xf2, 0x67 }, 2, 0x701c, 0 },
	{ { 0xf2, 0x68 }, 2, 0x702a, 0 },
	{ { 0xf2, 0x69 }, 2, 0x720c, 0 },
	{ { 0xf2, 0x6a }, 2, 0x720a, 0 },
	{ { 0xf2, 0x6b }, 2, 0x7207, 0 },
	{ { 0xf2, 0x6c }, 2, 0x7202, 0 },
	{ { 0xf2, 0x6d }, 2, 0x7205, 0 },
	{ { 0xf2, 0x6e }, 2, 0x72a5, 0 },
	{ { 0xf2, 0x6f }, 2, 0x72a6, 0 },
	{ { 0xf2, 0x70 }, 2, 0x72a4, 0 },
	{ { 0xf2, 0x71 }, 2, 0x72a3, 0 },
	{ { 0xf2, 0x72 }, 2, 0x72a1, 0 },
	{ { 0xf2, 0x73 }, 2, 0x74cb, 0 },
	{ { 0xf2, 0x74 }, 2, 0x74c5, 0 },
	{ { 0xf2, 0x75 }, 2, 0x74b7, 0 },
	{ { 0xf2, 0x76 }, 2, 0x74c3, 0 },
	{ { 0xf2, 0x77 }, 2, 0x7516, 0 },
	{ { 0xf2, 0x78 }, 2, 0x7660, 0 },
	{ { 0xf2, 0x79 }, 2, 0x77c9, 0 },
	{ { 0xf2, 0x7a }, 2, 0x77ca, 0 },
	{ { 0xf2, 0x7b }, 2, 0x77c4, 0 },
	{ { 0xf2, 0x7c }, 2, 0x77f1, 0 },
	{ { 0xf2, 0x7d }, 2, 0x791d, 0 },
	{ { 0xf2, 0x7e }, 2, 0x791b, 0 },
	{ { 0xf2, 0xa1 }, 2, 0x7921, 0 },
	{ { 0xf2, 0xa2 }, 2, 0x791c, 0 },
	{ { 0xf2, 0xa3 }, 2, 0x7917, 0 },
	{ { 0xf2, 0xa4 }, 2, 0x791e, 0 },
	{ { 0xf2, 0xa5 }, 2, 0x79b0, 0 },
	{ { 0xf2, 0xa6 }, 2, 0x7a67, 0 },
	{ { 0xf2, 0xa7 }, 2, 0x7a68, 0 },
	{ { 0xf2, 0xa8 }, 2, 0x7c33, 0 },
	{ { 0xf2, 0xa9 }, 2, 0x7c3c, 0 },
	{ { 0xf2, 0xaa }, 2, 0x7c39, 0 },
	{ { 0xf2, 0xab }, 2, 0x7c2c, 0 },
	{ { 0xf2, 0xac }, 2, 0x7c3b, 0 },
	{ { 0xf2, 0xad }, 2, 0x7cec, 0 },
	{ { 0xf2, 0xae }, 2, 0x7cea, 0 },
	{ { 0xf2, 0xaf }, 2, 0x7e76, 0 },
	{ { 0xf2, 0xb0 }, 2, 0x7e75, 0 },
	{ { 0xf2, 0xb1 }, 2, 0x7e78, 0 },
	{ { 0xf2, 0xb2 }, 2, 0x7e70, 0 },
	{ { 0xf2, 0xb3 }, 2, 0x7e77, 0 },
	{ { 0xf2, 0xb4 }, 2, 0x7e6f, 0 },
	{ { 0xf2, 0xb5 }, 2, 0x7e7a, 0 },
	{ { 0xf2, 0xb6 }, 2, 0x7e72, 0 },
	{ { 0xf2, 0xb7 }, 2, 0x7e74, 0 },
	{ { 0xf2, 0xb8 }, 2, 0x7e68, 0 },
	{ { 0xf2, 0xb9 }, 2, 0x7f4b, 0 },
	{ { 0xf2, 0xba }, 2, 0x7f4a, 0 },
	{ { 0xf2, 0xbb }, 2, 0x7f83, 0 },
	{ { 0xf2, 0xbc }, 2, 0x7f86, 0 },
	{ { 0xf2, 0xbd }, 2, 0x7fb7, 0 },
	{ { 0xf2, 0xbe }, 2, 0x7ffd, 0 },
	{ { 0xf2, 0xbf }, 2, 0x7ffe, 0 },
	{ { 0xf2, 0xc0 }, 2, 0x8078, 0 },
	{ { 0xf2, 0xc1 }, 2, 0x81d7, 0 },
	{ { 0xf2, 0xc2 }, 2, 0x81d5, 0 },
	{ { 0xf2, 0xc3 }, 2, 0x8264, 0 },
	{ { 0xf2, 0xc4 }, 2, 0x8261, 0 },
	{ { 0xf2, 0xc5 }, 2, 0x8263, 0 },
	{ { 0xf2, 0xc6 }, 2, 0x85eb, 0 },
	{ { 0xf2, 0xc7 }, 2, 0x85f1, 0 },
	{ { 0xf2, 0xc8 }, 2, 0x85ed, 0 },
	{ { 0xf2, 0xc9 }, 2, 0x85d9, 0 },
	{ { 0xf2, 0xca }, 2, 0x85e1, 0 },
	{ { 0xf2, 0xcb }, 2, 0x85e8, 0 },
	{ { 0xf2, 0xcc }, 2, 0x85da, 0 },
	{ { 0xf2, 0xcd }, 2, 0x85d7, 0 },
	{ { 0xf2, 0xce }, 2, 0x85ec, 0 },
	{ { 0xf2, 0xcf }, 2, 0x85f2, 0 },
	{ { 0xf2, 0xd0 }, 2, 0x85f8, 0 },
	{ { 0xf2, 0xd1 }, 2, 0x85d8, 0 },
	{ { 0xf2, 0xd2 }, 2, 0x85df, 0 },
	{ { 0xf2, 0xd3 }, 2, 0x85e3, 0 },
	{ { 0xf2, 0xd4 }, 2, 0x85dc, 0 },
	{ { 0xf2, 0xd5 }, 2, 0x85d1, 0 },
	{ { 0xf2, 0xd6 }, 2, 0x85f0, 0 },
	{ { 0xf2, 0xd7 }, 2, 0x85e6, 0 },
	{ { 0xf2, 0xd8 }, 2, 0x85ef, 0 },
	{ { 0xf2, 0xd9 }, 2, 0x85de, 0 },
	{ { 0xf2, 0xda }, 2, 0x85e2, 0 },
	{ { 0xf2, 0xdb }, 2, 0x8800, 0 },
	{ { 0xf2, 0xdc }, 2, 0x87fa, 0 },
	{ { 0xf2, 0xdd }, 2, 0x8803, 0 },
	{ { 0xf2, 0xde }, 2, 0x87f6, 0 },
	{ { 0xf2, 0xdf }, 2, 0x87f7, 0 },
	{ { 0xf2, 0xe0 }, 2, 0x8809, 0 },
	{ { 0xf2, 0xe1 }, 2, 0x880c, 0 },
	{ { 0xf2, 0xe2 }, 2, 0x880b, 0 },
	{ { 0xf2, 0xe3 }, 2, 0x8806, 0 },
	{ { 0xf2, 0xe4 }, 2, 0x87fc, 0 },
	{ { 0xf2, 0xe5 }, 2, 0x8808, 0 },
	{ { 0xf2, 0xe6 }, 2, 0x87ff, 0 },
	{ { 0xf2, 0xe7 }, 2, 0x880a, 0 },
	{ { 0xf2, 0xe8 }, 2, 0x8802, 0 },
	{ { 0xf2, 0xe9 }, 2, 0x8962, 0 },
	{ { 0xf2, 0xea }, 2, 0x895a, 0 },
	{ { 0xf2, 0xeb }, 2, 0x895b, 0 },
	{ { 0xf2, 0xec }, 2, 0x8957, 0 },
	{ { 0xf2, 0xed }, 2, 0x8961, 0 },
	{ { 0xf2, 0xee }, 2, 0x895c, 0 },
	{ { 0xf2, 0xef }, 2, 0x8958, 0 },
	{ { 0xf2, 0xf0 }, 2, 0x895d, 0 },
	{ { 0xf2, 0xf1 }, 2, 0x8959, 0 },
	{ { 0xf2, 0xf2 }, 2, 0x8988, 0 },
	{ { 0xf2, 0xf3 }, 2, 0x89b7, 0 },
	{ { 0xf2, 0xf4 }, 2, 0x89b6, 0 },
	{ { 0xf2, 0xf5 }, 2, 0x89f6, 0 },
	{ { 0xf2, 0xf6 }, 2, 0x8b50, 0 },
	{ { 0xf2, 0xf7 }, 2, 0x8b48, 0 },
	{ { 0xf2, 0xf8 }, 2, 0x8b4a, 0 },
	{ { 0xf2, 0xf9 }, 2, 0x8b40, 0 },
	{ { 0xf2, 0xfa }, 2, 0x8b53, 0 },
	{ { 0xf2, 0xfb }, 2, 0x8b56, 0 },
	{ { 0xf2, 0xfc }, 2, 0x8b54, 0 },
	{ { 0xf2, 0xfd }, 2, 0x8b4b, 0 },
	{ { 0xf2, 0xfe }, 2, 0x8b55, 0 },

	{ { 0xf3, 0x40 }, 2, 0x8b51, 0 },
	{ { 0xf3, 0x41 }, 2, 0x8b42, 0 },
	{ { 0xf3, 0x42 }, 2, 0x8b52, 0 },
	{ { 0xf3, 0x43 }, 2, 0x8b57, 0 },
	{ { 0xf3, 0x44 }, 2, 0x8c43, 0 },
	{ { 0xf3, 0x45 }, 2, 0x8c77, 0 },
	{ { 0xf3, 0x46 }, 2, 0x8c76, 0 },
	{ { 0xf3, 0x47 }, 2, 0x8c9a, 0 },
	{ { 0xf3, 0x48 }, 2, 0x8d06, 0 },
	{ { 0xf3, 0x49 }, 2, 0x8d07, 0 },
	{ { 0xf3, 0x4a }, 2, 0x8d09, 0 },
	{ { 0xf3, 0x4b }, 2, 0x8dac, 0 },
	{ { 0xf3, 0x4c }, 2, 0x8daa, 0 },
	{ { 0xf3, 0x4d }, 2, 0x8dad, 0 },
	{ { 0xf3, 0x4e }, 2, 0x8dab, 0 },
	{ { 0xf3, 0x4f }, 2, 0x8e6d, 0 },
	{ { 0xf3, 0x50 }, 2, 0x8e78, 0 },
	{ { 0xf3, 0x51 }, 2, 0x8e73, 0 },
	{ { 0xf3, 0x52 }, 2, 0x8e6a, 0 },
	{ { 0xf3, 0x53 }, 2, 0x8e6f, 0 },
	{ { 0xf3, 0x54 }, 2, 0x8e7b, 0 },
	{ { 0xf3, 0x55 }, 2, 0x8ec2, 0 },
	{ { 0xf3, 0x56 }, 2, 0x8f52, 0 },
	{ { 0xf3, 0x57 }, 2, 0x8f51, 0 },
	{ { 0xf3, 0x58 }, 2, 0x8f4f, 0 },
	{ { 0xf3, 0x59 }, 2, 0x8f50, 0 },
	{ { 0xf3, 0x5a }, 2, 0x8f53, 0 },
	{ { 0xf3, 0x5b }, 2, 0x8fb4, 0 },
	{ { 0xf3, 0x5c }, 2, 0x9140, 0 },
	{ { 0xf3, 0x5d }, 2, 0x913f, 0 },
	{ { 0xf3, 0x5e }, 2, 0x91b0, 0 },
	{ { 0xf3, 0x5f }, 2, 0x91ad, 0 },
	{ { 0xf3, 0x60 }, 2, 0x93de, 0 },
	{ { 0xf3, 0x61 }, 2, 0x93c7, 0 },
	{ { 0xf3, 0x62 }, 2, 0x93cf, 0 },
	{ { 0xf3, 0x63 }, 2, 0x93c2, 0 },
	{ { 0xf3, 0x64 }, 2, 0x93da, 0 },
	{ { 0xf3, 0x65 }, 2, 0x93d0, 0 },
	{ { 0xf3, 0x66 }, 2, 0x93f9, 0 },
	{ { 0xf3, 0x67 }, 2, 0x93ec, 0 },
	{ { 0xf3, 0x68 }, 2, 0x93cc, 0 },
	{ { 0xf3, 0x69 }, 2, 0x93d9, 0 },
	{ { 0xf3, 0x6a }, 2, 0x93a9, 0 },
	{ { 0xf3, 0x6b }, 2, 0x93e6, 0 },
	{ { 0xf3, 0x6c }, 2, 0x93ca, 0 },
	{ { 0xf3, 0x6d }, 2, 0x93d4, 0 },
	{ { 0xf3, 0x6e }, 2, 0x93ee, 0 },
	{ { 0xf3, 0x6f }, 2, 0x93e3, 0 },
	{ { 0xf3, 0x70 }, 2, 0x93d5, 0 },
	{ { 0xf3, 0x71 }, 2, 0x93c4, 0 },
	{ { 0xf3, 0x72 }, 2, 0x93ce, 0 },
	{ { 0xf3, 0x73 }, 2, 0x93c0, 0 },
	{ { 0xf3, 0x74 }, 2, 0x93d2, 0 },
	{ { 0xf3, 0x75 }, 2, 0x93e7, 0 },
	{ { 0xf3, 0x76 }, 2, 0x957d, 0 },
	{ { 0xf3, 0x77 }, 2, 0x95da, 0 },
	{ { 0xf3, 0x78 }, 2, 0x95db, 0 },
	{ { 0xf3, 0x79 }, 2, 0x96e1, 0 },
	{ { 0xf3, 0x7a }, 2, 0x9729, 0 },
	{ { 0xf3, 0x7b }, 2, 0x972b, 0 },
	{ { 0xf3, 0x7c }, 2, 0x972c, 0 },
	{ { 0xf3, 0x7d }, 2, 0x9728, 0 },
	{ { 0xf3, 0x7e }, 2, 0x9726, 0 },
	{ { 0xf3, 0xa1 }, 2, 0x97b3, 0 },
	{ { 0xf3, 0xa2 }, 2, 0x97b7, 0 },
	{ { 0xf3, 0xa3 }, 2, 0x97b6, 0 },
	{ { 0xf3, 0xa4 }, 2, 0x97dd, 0 },
	{ { 0xf3, 0xa5 }, 2, 0x97de, 0 },
	{ { 0xf3, 0xa6 }, 2, 0x97df, 0 },
	{ { 0xf3, 0xa7 }, 2, 0x985c, 0 },
	{ { 0xf3, 0xa8 }, 2, 0x9859, 0 },
	{ { 0xf3, 0xa9 }, 2, 0x985d, 0 },
	{ { 0xf3, 0xaa }, 2, 0x9857, 0 },
	{ { 0xf3, 0xab }, 2, 0x98bf, 0 },
	{ { 0xf3, 0xac }, 2, 0x98bd, 0 },
	{ { 0xf3, 0xad }, 2, 0x98bb, 0 },
	{ { 0xf3, 0xae }, 2, 0x98be, 0 },
	{ { 0xf3, 0xaf }, 2, 0x9948, 0 },
	{ { 0xf3, 0xb0 }, 2, 0x9947, 0 },
	{ { 0xf3, 0xb1 }, 2, 0x9943, 0 },
	{ { 0xf3, 0xb2 }, 2, 0x99a6, 0 },
	{ { 0xf3, 0xb3 }, 2, 0x99a7, 0 },
	{ { 0xf3, 0xb4 }, 2, 0x9a1a, 0 },
	{ { 0xf3, 0xb5 }, 2, 0x9a15, 0 },
	{ { 0xf3, 0xb6 }, 2, 0x9a25, 0 },
	{ { 0xf3, 0xb7 }, 2, 0x9a1d, 0 },
	{ { 0xf3, 0xb8 }, 2, 0x9a24, 0 },
	{ { 0xf3, 0xb9 }, 2, 0x9a1b, 0 },
	{ { 0xf3, 0xba }, 2, 0x9a22, 0 },
	{ { 0xf3, 0xbb }, 2, 0x9a20, 0 },
	{ { 0xf3, 0xbc }, 2, 0x9a27, 0 },
	{ { 0xf3, 0xbd }, 2, 0x9a23, 0 },
	{ { 0xf3, 0xbe }, 2, 0x9a1e, 0 },
	{ { 0xf3, 0xbf }, 2, 0x9a1c, 0 },
	{ { 0xf3, 0xc0 }, 2, 0x9a14, 0 },
	{ { 0xf3, 0xc1 }, 2, 0x9ac2, 0 },
	{ { 0xf3, 0xc2 }, 2, 0x9b0b, 0 },
	{ { 0xf3, 0xc3 }, 2, 0x9b0a, 0 },
	{ { 0xf3, 0xc4 }, 2, 0x9b0e, 0 },
	{ { 0xf3, 0xc5 }, 2, 0x9b0c, 0 },
	{ { 0xf3, 0xc6 }, 2, 0x9b37, 0 },
	{ { 0xf3, 0xc7 }, 2, 0x9bea, 0 },
	{ { 0xf3, 0xc8 }, 2, 0x9beb, 0 },
	{ { 0xf3, 0xc9 }, 2, 0x9be0, 0 },
	{ { 0xf3, 0xca }, 2, 0x9bde, 0 },
	{ { 0xf3, 0xcb }, 2, 0x9be4, 0 },
	{ { 0xf3, 0xcc }, 2, 0x9be6, 0 },
	{ { 0xf3, 0xcd }, 2, 0x9be2, 0 },
	{ { 0xf3, 0xce }, 2, 0x9bf0, 0 },
	{ { 0xf3, 0xcf }, 2, 0x9bd4, 0 },
	{ { 0xf3, 0xd0 }, 2, 0x9bd7, 0 },
	{ { 0xf3, 0xd1 }, 2, 0x9bec, 0 },
	{ { 0xf3, 0xd2 }, 2, 0x9bdc, 0 },
	{ { 0xf3, 0xd3 }, 2, 0x9bd9, 0 },
	{ { 0xf3, 0xd4 }, 2, 0x9be5, 0 },
	{ { 0xf3, 0xd5 }, 2, 0x9bd5, 0 },
	{ { 0xf3, 0xd6 }, 2, 0x9be1, 0 },
	{ { 0xf3, 0xd7 }, 2, 0x9bda, 0 },
	{ { 0xf3, 0xd8 }, 2, 0x9d77, 0 },
	{ { 0xf3, 0xd9 }, 2, 0x9d81, 0 },
	{ { 0xf3, 0xda }, 2, 0x9d8a, 0 },
	{ { 0xf3, 0xdb }, 2, 0x9d84, 0 },
	{ { 0xf3, 0xdc }, 2, 0x9d88, 0 },
	{ { 0xf3, 0xdd }, 2, 0x9d71, 0 },
	{ { 0xf3, 0xde }, 2, 0x9d80, 0 },
	{ { 0xf3, 0xdf }, 2, 0x9d78, 0 },
	{ { 0xf3, 0xe0 }, 2, 0x9d86, 0 },
	{ { 0xf3, 0xe1 }, 2, 0x9d8b, 0 },
	{ { 0xf3, 0xe2 }, 2, 0x9d8c, 0 },
	{ { 0xf3, 0xe3 }, 2, 0x9d7d, 0 },
	{ { 0xf3, 0xe4 }, 2, 0x9d6b, 0 },
	{ { 0xf3, 0xe5 }, 2, 0x9d74, 0 },
	{ { 0xf3, 0xe6 }, 2, 0x9d75, 0 },
	{ { 0xf3, 0xe7 }, 2, 0x9d70, 0 },
	{ { 0xf3, 0xe8 }, 2, 0x9d69, 0 },
	{ { 0xf3, 0xe9 }, 2, 0x9d85, 0 },
	{ { 0xf3, 0xea }, 2, 0x9d73, 0 },
	{ { 0xf3, 0xeb }, 2, 0x9d7b, 0 },
	{ { 0xf3, 0xec }, 2, 0x9d82, 0 },
	{ { 0xf3, 0xed }, 2, 0x9d6f, 0 },
	{ { 0xf3, 0xee }, 2, 0x9d79, 0 },
	{ { 0xf3, 0xef }, 2, 0x9d7f, 0 },
	{ { 0xf3, 0xf0 }, 2, 0x9d87, 0 },
	{ { 0xf3, 0xf1 }, 2, 0x9d68, 0 },
	{ { 0xf3, 0xf2 }, 2, 0x9e94, 0 },
	{ { 0xf3, 0xf3 }, 2, 0x9e91, 0 },
	{ { 0xf3, 0xf4 }, 2, 0x9ec0, 0 },
	{ { 0xf3, 0xf5 }, 2, 0x9efc, 0 },
	{ { 0xf3, 0xf6 }, 2, 0x9f2d, 0 },
	{ { 0xf3, 0xf7 }, 2, 0x9f40, 0 },
	{ { 0xf3, 0xf8 }, 2, 0x9f41, 0 },
	{ { 0xf3, 0xf9 }, 2, 0x9f4d, 0 },
	{ { 0xf3, 0xfa }, 2, 0x9f56, 0 },
	{ { 0xf3, 0xfb }, 2, 0x9f57, 0 },
	{ { 0xf3, 0xfc }, 2, 0x9f58, 0 },
	{ { 0xf3, 0xfd }, 2, 0x5337, 0 },
	{ { 0xf3, 0xfe }, 2, 0x56b2, 0 },

	{ { 0xf4, 0x40 }, 2, 0x56b5, 0 },
	{ { 0xf4, 0x41 }, 2, 0x56b3, 0 },
	{ { 0xf4, 0x42 }, 2, 0x58e3, 0 },
	{ { 0xf4, 0x43 }, 2, 0x5b45, 0 },
	{ { 0xf4, 0x44 }, 2, 0x5dc6, 0 },
	{ { 0xf4, 0x45 }, 2, 0x5dc7, 0 },
	{ { 0xf4, 0x46 }, 2, 0x5eee, 0 },
	{ { 0xf4, 0x47 }, 2, 0x5eef, 0 },
	{ { 0xf4, 0x48 }, 2, 0x5fc0, 0 },
	{ { 0xf4, 0x49 }, 2, 0x5fc1, 0 },
	{ { 0xf4, 0x4a }, 2, 0x61f9, 0 },
	{ { 0xf4, 0x4b }, 2, 0x6517, 0 },
	{ { 0xf4, 0x4c }, 2, 0x6516, 0 },
	{ { 0xf4, 0x4d }, 2, 0x6515, 0 },
	{ { 0xf4, 0x4e }, 2, 0x6513, 0 },
	{ { 0xf4, 0x4f }, 2, 0x65df, 0 },
	{ { 0xf4, 0x50 }, 2, 0x66e8, 0 },
	{ { 0xf4, 0x51 }, 2, 0x66e3, 0 },
	{ { 0xf4, 0x52 }, 2, 0x66e4, 0 },
	{ { 0xf4, 0x53 }, 2, 0x6af3, 0 },
	{ { 0xf4, 0x54 }, 2, 0x6af0, 0 },
	{ { 0xf4, 0x55 }, 2, 0x6aea, 0 },
	{ { 0xf4, 0x56 }, 2, 0x6ae8, 0 },
	{ { 0xf4, 0x57 }, 2, 0x6af9, 0 },
	{ { 0xf4, 0x58 }, 2, 0x6af1, 0 },
	{ { 0xf4, 0x59 }, 2, 0x6aee, 0 },
	{ { 0xf4, 0x5a }, 2, 0x6aef, 0 },
	{ { 0xf4, 0x5b }, 2, 0x703c, 0 },
	{ { 0xf4, 0x5c }, 2, 0x7035, 0 },
	{ { 0xf4, 0x5d }, 2, 0x702f, 0 },
	{ { 0xf4, 0x5e }, 2, 0x7037, 0 },
	{ { 0xf4, 0x5f }, 2, 0x7034, 0 },
	{ { 0xf4, 0x60 }, 2, 0x7031, 0 },
	{ { 0xf4, 0x61 }, 2, 0x7042, 0 },
	{ { 0xf4, 0x62 }, 2, 0x7038, 0 },
	{ { 0xf4, 0x63 }, 2, 0x703f, 0 },
	{ { 0xf4, 0x64 }, 2, 0x703a, 0 },
	{ { 0xf4, 0x65 }, 2, 0x7039, 0 },
	{ { 0xf4, 0x66 }, 2, 0x7040, 0 },
	{ { 0xf4, 0x67 }, 2, 0x703b, 0 },
	{ { 0xf4, 0x68 }, 2, 0x7033, 0 },
	{ { 0xf4, 0x69 }, 2, 0x7041, 0 },
	{ { 0xf4, 0x6a }, 2, 0x7213, 0 },
	{ { 0xf4, 0x6b }, 2, 0x7214, 0 },
	{ { 0xf4, 0x6c }, 2, 0x72a8, 0 },
	{ { 0xf4, 0x6d }, 2, 0x737d, 0 },
	{ { 0xf4, 0x6e }, 2, 0x737c, 0 },
	{ { 0xf4, 0x6f }, 2, 0x74ba, 0 },
	{ { 0xf4, 0x70 }, 2, 0x76ab, 0 },
	{ { 0xf4, 0x71 }, 2, 0x76aa, 0 },
	{ { 0xf4, 0x72 }, 2, 0x76be, 0 },
	{ { 0xf4, 0x73 }, 2, 0x76ed, 0 },
	{ { 0xf4, 0x74 }, 2, 0x77cc, 0 },
	{ { 0xf4, 0x75 }, 2, 0x77ce, 0 },
	{ { 0xf4, 0x76 }, 2, 0x77cf, 0 },
	{ { 0xf4, 0x77 }, 2, 0x77cd, 0 },
	{ { 0xf4, 0x78 }, 2, 0x77f2, 0 },
	{ { 0xf4, 0x79 }, 2, 0x7925, 0 },
	{ { 0xf4, 0x7a }, 2, 0x7923, 0 },
	{ { 0xf4, 0x7b }, 2, 0x7927, 0 },
	{ { 0xf4, 0x7c }, 2, 0x7928, 0 },
	{ { 0xf4, 0x7d }, 2, 0x7924, 0 },
	{ { 0xf4, 0x7e }, 2, 0x7929, 0 },
	{ { 0xf4, 0xa1 }, 2, 0x79b2, 0 },
	{ { 0xf4, 0xa2 }, 2, 0x7a6e, 0 },
	{ { 0xf4, 0xa3 }, 2, 0x7a6c, 0 },
	{ { 0xf4, 0xa4 }, 2, 0x7a6d, 0 },
	{ { 0xf4, 0xa5 }, 2, 0x7af7, 0 },
	{ { 0xf4, 0xa6 }, 2, 0x7c49, 0 },
	{ { 0xf4, 0xa7 }, 2, 0x7c48, 0 },
	{ { 0xf4, 0xa8 }, 2, 0x7c4a, 0 },
	{ { 0xf4, 0xa9 }, 2, 0x7c47, 0 },
	{ { 0xf4, 0xaa }, 2, 0x7c45, 0 },
	{ { 0xf4, 0xab }, 2, 0x7cee, 0 },
	{ { 0xf4, 0xac }, 2, 0x7e7b, 0 },
	{ { 0xf4, 0xad }, 2, 0x7e7e, 0 },
	{ { 0xf4, 0xae }, 2, 0x7e81, 0 },
	{ { 0xf4, 0xaf }, 2, 0x7e80, 0 },
	{ { 0xf4, 0xb0 }, 2, 0x7fba, 0 },
	{ { 0xf4, 0xb1 }, 2, 0x7fff, 0 },
	{ { 0xf4, 0xb2 }, 2, 0x8079, 0 },
	{ { 0xf4, 0xb3 }, 2, 0x81db, 0 },
	{ { 0xf4, 0xb4 }, 2, 0x81d9, 0 },
	{ { 0xf4, 0xb5 }, 2, 0x820b, 0 },
	{ { 0xf4, 0xb6 }, 2, 0x8268, 0 },
	{ { 0xf4, 0xb7 }, 2, 0x8269, 0 },
	{ { 0xf4, 0xb8 }, 2, 0x8622, 0 },
	{ { 0xf4, 0xb9 }, 2, 0x85ff, 0 },
	{ { 0xf4, 0xba }, 2, 0x8601, 0 },
	{ { 0xf4, 0xbb }, 2, 0x85fe, 0 },
	{ { 0xf4, 0xbc }, 2, 0x861b, 0 },
	{ { 0xf4, 0xbd }, 2, 0x8600, 0 },
	{ { 0xf4, 0xbe }, 2, 0x85f6, 0 },
	{ { 0xf4, 0xbf }, 2, 0x8604, 0 },
	{ { 0xf4, 0xc0 }, 2, 0x8609, 0 },
	{ { 0xf4, 0xc1 }, 2, 0x8605, 0 },
	{ { 0xf4, 0xc2 }, 2, 0x860c, 0 },
	{ { 0xf4, 0xc3 }, 2, 0x85fd, 0 },
	{ { 0xf4, 0xc4 }, 2, 0x8819, 0 },
	{ { 0xf4, 0xc5 }, 2, 0x8810, 0 },
	{ { 0xf4, 0xc6 }, 2, 0x8811, 0 },
	{ { 0xf4, 0xc7 }, 2, 0x8817, 0 },
	{ { 0xf4, 0xc8 }, 2, 0x8813, 0 },
	{ { 0xf4, 0xc9 }, 2, 0x8816, 0 },
	{ { 0xf4, 0xca }, 2, 0x8963, 0 },
	{ { 0xf4, 0xcb }, 2, 0x8966, 0 },
	{ { 0xf4, 0xcc }, 2, 0x89b9, 0 },
	{ { 0xf4, 0xcd }, 2, 0x89f7, 0 },
	{ { 0xf4, 0xce }, 2, 0x8b60, 0 },
	{ { 0xf4, 0xcf }, 2, 0x8b6a, 0 },
	{ { 0xf4, 0xd0 }, 2, 0x8b5d, 0 },
	{ { 0xf4, 0xd1 }, 2, 0x8b68, 0 },
	{ { 0xf4, 0xd2 }, 2, 0x8b63, 0 },
	{ { 0xf4, 0xd3 }, 2, 0x8b65, 0 },
	{ { 0xf4, 0xd4 }, 2, 0x8b67, 0 },
	{ { 0xf4, 0xd5 }, 2, 0x8b6d, 0 },
	{ { 0xf4, 0xd6 }, 2, 0x8dae, 0 },
	{ { 0xf4, 0xd7 }, 2, 0x8e86, 0 },
	{ { 0xf4, 0xd8 }, 2, 0x8e88, 0 },
	{ { 0xf4, 0xd9 }, 2, 0x8e84, 0 },
	{ { 0xf4, 0xda }, 2, 0x8f59, 0 },
	{ { 0xf4, 0xdb }, 2, 0x8f56, 0 },
	{ { 0xf4, 0xdc }, 2, 0x8f57, 0 },
	{ { 0xf4, 0xdd }, 2, 0x8f55, 0 },
	{ { 0xf4, 0xde }, 2, 0x8f58, 0 },
	{ { 0xf4, 0xdf }, 2, 0x8f5a, 0 },
	{ { 0xf4, 0xe0 }, 2, 0x908d, 0 },
	{ { 0xf4, 0xe1 }, 2, 0x9143, 0 },
	{ { 0xf4, 0xe2 }, 2, 0x9141, 0 },
	{ { 0xf4, 0xe3 }, 2, 0x91b7, 0 },
	{ { 0xf4, 0xe4 }, 2, 0x91b5, 0 },
	{ { 0xf4, 0xe5 }, 2, 0x91b2, 0 },
	{ { 0xf4, 0xe6 }, 2, 0x91b3, 0 },
	{ { 0xf4, 0xe7 }, 2, 0x940b, 0 },
	{ { 0xf4, 0xe8 }, 2, 0x9413, 0 },
	{ { 0xf4, 0xe9 }, 2, 0x93fb, 0 },
	{ { 0xf4, 0xea }, 2, 0x9420, 0 },
	{ { 0xf4, 0xeb }, 2, 0x940f, 0 },
	{ { 0xf4, 0xec }, 2, 0x9414, 0 },
	{ { 0xf4, 0xed }, 2, 0x93fe, 0 },
	{ { 0xf4, 0xee }, 2, 0x9415, 0 },
	{ { 0xf4, 0xef }, 2, 0x9410, 0 },
	{ { 0xf4, 0xf0 }, 2, 0x9428, 0 },
	{ { 0xf4, 0xf1 }, 2, 0x9419, 0 },
	{ { 0xf4, 0xf2 }, 2, 0x940d, 0 },
	{ { 0xf4, 0xf3 }, 2, 0x93f5, 0 },
	{ { 0xf4, 0xf4 }, 2, 0x9400, 0 },
	{ { 0xf4, 0xf5 }, 2, 0x93f7, 0 },
	{ { 0xf4, 0xf6 }, 2, 0x9407, 0 },
	{ { 0xf4, 0xf7 }, 2, 0x940e, 0 },
	{ { 0xf4, 0xf8 }, 2, 0x9416, 0 },
	{ { 0xf4, 0xf9 }, 2, 0x9412, 0 },
	{ { 0xf4, 0xfa }, 2, 0x93fa, 0 },
	{ { 0xf4, 0xfb }, 2, 0x9409, 0 },
	{ { 0xf4, 0xfc }, 2, 0x93f8, 0 },
	{ { 0xf4, 0xfd }, 2, 0x940a, 0 },
	{ { 0xf4, 0xfe }, 2, 0x93ff, 0 },

	{ { 0xf5, 0x40 }, 2, 0x93fc, 0 },
	{ { 0xf5, 0x41 }, 2, 0x940c, 0 },
	{ { 0xf5, 0x42 }, 2, 0x93f6, 0 },
	{ { 0xf5, 0x43 }, 2, 0x9411, 0 },
	{ { 0xf5, 0x44 }, 2, 0x9406, 0 },
	{ { 0xf5, 0x45 }, 2, 0x95de, 0 },
	{ { 0xf5, 0x46 }, 2, 0x95e0, 0 },
	{ { 0xf5, 0x47 }, 2, 0x95df, 0 },
	{ { 0xf5, 0x48 }, 2, 0x972e, 0 },
	{ { 0xf5, 0x49 }, 2, 0x972f, 0 },
	{ { 0xf5, 0x4a }, 2, 0x97b9, 0 },
	{ { 0xf5, 0x4b }, 2, 0x97bb, 0 },
	{ { 0xf5, 0x4c }, 2, 0x97fd, 0 },
	{ { 0xf5, 0x4d }, 2, 0x97fe, 0 },
	{ { 0xf5, 0x4e }, 2, 0x9860, 0 },
	{ { 0xf5, 0x4f }, 2, 0x9862, 0 },
	{ { 0xf5, 0x50 }, 2, 0x9863, 0 },
	{ { 0xf5, 0x51 }, 2, 0x985f, 0 },
	{ { 0xf5, 0x52 }, 2, 0x98c1, 0 },
	{ { 0xf5, 0x53 }, 2, 0x98c2, 0 },
	{ { 0xf5, 0x54 }, 2, 0x9950, 0 },
	{ { 0xf5, 0x55 }, 2, 0x994e, 0 },
	{ { 0xf5, 0x56 }, 2, 0x9959, 0 },
	{ { 0xf5, 0x57 }, 2, 0x994c, 0 },
	{ { 0xf5, 0x58 }, 2, 0x994b, 0 },
	{ { 0xf5, 0x59 }, 2, 0x9953, 0 },
	{ { 0xf5, 0x5a }, 2, 0x9a32, 0 },
	{ { 0xf5, 0x5b }, 2, 0x9a34, 0 },
	{ { 0xf5, 0x5c }, 2, 0x9a31, 0 },
	{ { 0xf5, 0x5d }, 2, 0x9a2c, 0 },
	{ { 0xf5, 0x5e }, 2, 0x9a2a, 0 },
	{ { 0xf5, 0x5f }, 2, 0x9a36, 0 },
	{ { 0xf5, 0x60 }, 2, 0x9a29, 0 },
	{ { 0xf5, 0x61 }, 2, 0x9a2e, 0 },
	{ { 0xf5, 0x62 }, 2, 0x9a38, 0 },
	{ { 0xf5, 0x63 }, 2, 0x9a2d, 0 },
	{ { 0xf5, 0x64 }, 2, 0x9ac7, 0 },
	{ { 0xf5, 0x65 }, 2, 0x9aca, 0 },
	{ { 0xf5, 0x66 }, 2, 0x9ac6, 0 },
	{ { 0xf5, 0x67 }, 2, 0x9b10, 0 },
	{ { 0xf5, 0x68 }, 2, 0x9b12, 0 },
	{ { 0xf5, 0x69 }, 2, 0x9b11, 0 },
	{ { 0xf5, 0x6a }, 2, 0x9c0b, 0 },
	{ { 0xf5, 0x6b }, 2, 0x9c08, 0 },
	{ { 0xf5, 0x6c }, 2, 0x9bf7, 0 },
	{ { 0xf5, 0x6d }, 2, 0x9c05, 0 },
	{ { 0xf5, 0x6e }, 2, 0x9c12, 0 },
	{ { 0xf5, 0x6f }, 2, 0x9bf8, 0 },
	{ { 0xf5, 0x70 }, 2, 0x9c40, 0 },
	{ { 0xf5, 0x71 }, 2, 0x9c07, 0 },
	{ { 0xf5, 0x72 }, 2, 0x9c0e, 0 },
	{ { 0xf5, 0x73 }, 2, 0x9c06, 0 },
	{ { 0xf5, 0x74 }, 2, 0x9c17, 0 },
	{ { 0xf5, 0x75 }, 2, 0x9c14, 0 },
	{ { 0xf5, 0x76 }, 2, 0x9c09, 0 },
	{ { 0xf5, 0x77 }, 2, 0x9d9f, 0 },
	{ { 0xf5, 0x78 }, 2, 0x9d99, 0 },
	{ { 0xf5, 0x79 }, 2, 0x9da4, 0 },
	{ { 0xf5, 0x7a }, 2, 0x9d9d, 0 },
	{ { 0xf5, 0x7b }, 2, 0x9d92, 0 },
	{ { 0xf5, 0x7c }, 2, 0x9d98, 0 },
	{ { 0xf5, 0x7d }, 2, 0x9d90, 0 },
	{ { 0xf5, 0x7e }, 2, 0x9d9b, 0 },
	{ { 0xf5, 0xa1 }, 2, 0x9da0, 0 },
	{ { 0xf5, 0xa2 }, 2, 0x9d94, 0 },
	{ { 0xf5, 0xa3 }, 2, 0x9d9c, 0 },
	{ { 0xf5, 0xa4 }, 2, 0x9daa, 0 },
	{ { 0xf5, 0xa5 }, 2, 0x9d97, 0 },
	{ { 0xf5, 0xa6 }, 2, 0x9da1, 0 },
	{ { 0xf5, 0xa7 }, 2, 0x9d9a, 0 },
	{ { 0xf5, 0xa8 }, 2, 0x9da2, 0 },
	{ { 0xf5, 0xa9 }, 2, 0x9da8, 0 },
	{ { 0xf5, 0xaa }, 2, 0x9d9e, 0 },
	{ { 0xf5, 0xab }, 2, 0x9da3, 0 },
	{ { 0xf5, 0xac }, 2, 0x9dbf, 0 },
	{ { 0xf5, 0xad }, 2, 0x9da9, 0 },
	{ { 0xf5, 0xae }, 2, 0x9d96, 0 },
	{ { 0xf5, 0xaf }, 2, 0x9da6, 0 },
	{ { 0xf5, 0xb0 }, 2, 0x9da7, 0 },
	{ { 0xf5, 0xb1 }, 2, 0x9e99, 0 },
	{ { 0xf5, 0xb2 }, 2, 0x9e9b, 0 },
	{ { 0xf5, 0xb3 }, 2, 0x9e9a, 0 },
	{ { 0xf5, 0xb4 }, 2, 0x9ee5, 0 },
	{ { 0xf5, 0xb5 }, 2, 0x9ee4, 0 },
	{ { 0xf5, 0xb6 }, 2, 0x9ee7, 0 },
	{ { 0xf5, 0xb7 }, 2, 0x9ee6, 0 },
	{ { 0xf5, 0xb8 }, 2, 0x9f30, 0 },
	{ { 0xf5, 0xb9 }, 2, 0x9f2e, 0 },
	{ { 0xf5, 0xba }, 2, 0x9f5b, 0 },
	{ { 0xf5, 0xbb }, 2, 0x9f60, 0 },
	{ { 0xf5, 0xbc }, 2, 0x9f5e, 0 },
	{ { 0xf5, 0xbd }, 2, 0x9f5d, 0 },
	{ { 0xf5, 0xbe }, 2, 0x9f59, 0 },
	{ { 0xf5, 0xbf }, 2, 0x9f91, 0 },
	{ { 0xf5, 0xc0 }, 2, 0x513a, 0 },
	{ { 0xf5, 0xc1 }, 2, 0x5139, 0 },
	{ { 0xf5, 0xc2 }, 2, 0x5298, 0 },
	{ { 0xf5, 0xc3 }, 2, 0x5297, 0 },
	{ { 0xf5, 0xc4 }, 2, 0x56c3, 0 },
	{ { 0xf5, 0xc5 }, 2, 0x56bd, 0 },
	{ { 0xf5, 0xc6 }, 2, 0x56be, 0 },
	{ { 0xf5, 0xc7 }, 2, 0x5b48, 0 },
	{ { 0xf5, 0xc8 }, 2, 0x5b47, 0 },
	{ { 0xf5, 0xc9 }, 2, 0x5dcb, 0 },
	{ { 0xf5, 0xca }, 2, 0x5dcf, 0 },
	{ { 0xf5, 0xcb }, 2, 0x5ef1, 0 },
	{ { 0xf5, 0xcc }, 2, 0x61fd, 0 },
	{ { 0xf5, 0xcd }, 2, 0x651b, 0 },
	{ { 0xf5, 0xce }, 2, 0x6b02, 0 },
	{ { 0xf5, 0xcf }, 2, 0x6afc, 0 },
	{ { 0xf5, 0xd0 }, 2, 0x6b03, 0 },
	{ { 0xf5, 0xd1 }, 2, 0x6af8, 0 },
	{ { 0xf5, 0xd2 }, 2, 0x6b00, 0 },
	{ { 0xf5, 0xd3 }, 2, 0x7043, 0 },
	{ { 0xf5, 0xd4 }, 2, 0x7044, 0 },
	{ { 0xf5, 0xd5 }, 2, 0x704a, 0 },
	{ { 0xf5, 0xd6 }, 2, 0x7048, 0 },
	{ { 0xf5, 0xd7 }, 2, 0x7049, 0 },
	{ { 0xf5, 0xd8 }, 2, 0x7045, 0 },
	{ { 0xf5, 0xd9 }, 2, 0x7046, 0 },
	{ { 0xf5, 0xda }, 2, 0x721d, 0 },
	{ { 0xf5, 0xdb }, 2, 0x721a, 0 },
	{ { 0xf5, 0xdc }, 2, 0x7219, 0 },
	{ { 0xf5, 0xdd }, 2, 0x737e, 0 },
	{ { 0xf5, 0xde }, 2, 0x7517, 0 },
	{ { 0xf5, 0xdf }, 2, 0x766a, 0 },
	{ { 0xf5, 0xe0 }, 2, 0x77d0, 0 },
	{ { 0xf5, 0xe1 }, 2, 0x792d, 0 },
	{ { 0xf5, 0xe2 }, 2, 0x7931, 0 },
	{ { 0xf5, 0xe3 }, 2, 0x792f, 0 },
	{ { 0xf5, 0xe4 }, 2, 0x7c54, 0 },
	{ { 0xf5, 0xe5 }, 2, 0x7c53, 0 },
	{ { 0xf5, 0xe6 }, 2, 0x7cf2, 0 },
	{ { 0xf5, 0xe7 }, 2, 0x7e8a, 0 },
	{ { 0xf5, 0xe8 }, 2, 0x7e87, 0 },
	{ { 0xf5, 0xe9 }, 2, 0x7e88, 0 },
	{ { 0xf5, 0xea }, 2, 0x7e8b, 0 },
	{ { 0xf5, 0xeb }, 2, 0x7e86, 0 },
	{ { 0xf5, 0xec }, 2, 0x7e8d, 0 },
	{ { 0xf5, 0xed }, 2, 0x7f4d, 0 },
	{ { 0xf5, 0xee }, 2, 0x7fbb, 0 },
	{ { 0xf5, 0xef }, 2, 0x8030, 0 },
	{ { 0xf5, 0xf0 }, 2, 0x81dd, 0 },
	{ { 0xf5, 0xf1 }, 2, 0x8618, 0 },
	{ { 0xf5, 0xf2 }, 2, 0x862a, 0 },
	{ { 0xf5, 0xf3 }, 2, 0x8626, 0 },
	{ { 0xf5, 0xf4 }, 2, 0x861f, 0 },
	{ { 0xf5, 0xf5 }, 2, 0x8623, 0 },
	{ { 0xf5, 0xf6 }, 2, 0x861c, 0 },
	{ { 0xf5, 0xf7 }, 2, 0x8619, 0 },
	{ { 0xf5, 0xf8 }, 2, 0x8627, 0 },
	{ { 0xf5, 0xf9 }, 2, 0x862e, 0 },
	{ { 0xf5, 0xfa }, 2, 0x8621, 0 },
	{ { 0xf5, 0xfb }, 2, 0x8620, 0 },
	{ { 0xf5, 0xfc }, 2, 0x8629, 0 },
	{ { 0xf5, 0xfd }, 2, 0x861e, 0 },
	{ { 0xf5, 0xfe }, 2, 0x8625, 0 },

	{ { 0xf6, 0x40 }, 2, 0x8829, 0 },
	{ { 0xf6, 0x41 }, 2, 0x881d, 0 },
	{ { 0xf6, 0x42 }, 2, 0x881b, 0 },
	{ { 0xf6, 0x43 }, 2, 0x8820, 0 },
	{ { 0xf6, 0x44 }, 2, 0x8824, 0 },
	{ { 0xf6, 0x45 }, 2, 0x881c, 0 },
	{ { 0xf6, 0x46 }, 2, 0x882b, 0 },
	{ { 0xf6, 0x47 }, 2, 0x884a, 0 },
	{ { 0xf6, 0x48 }, 2, 0x896d, 0 },
	{ { 0xf6, 0x49 }, 2, 0x8969, 0 },
	{ { 0xf6, 0x4a }, 2, 0x896e, 0 },
	{ { 0xf6, 0x4b }, 2, 0x896b, 0 },
	{ { 0xf6, 0x4c }, 2, 0x89fa, 0 },
	{ { 0xf6, 0x4d }, 2, 0x8b79, 0 },
	{ { 0xf6, 0x4e }, 2, 0x8b78, 0 },
	{ { 0xf6, 0x4f }, 2, 0x8b45, 0 },
	{ { 0xf6, 0x50 }, 2, 0x8b7a, 0 },
	{ { 0xf6, 0x51 }, 2, 0x8b7b, 0 },
	{ { 0xf6, 0x52 }, 2, 0x8d10, 0 },
	{ { 0xf6, 0x53 }, 2, 0x8d14, 0 },
	{ { 0xf6, 0x54 }, 2, 0x8daf, 0 },
	{ { 0xf6, 0x55 }, 2, 0x8e8e, 0 },
	{ { 0xf6, 0x56 }, 2, 0x8e8c, 0 },
	{ { 0xf6, 0x57 }, 2, 0x8f5e, 0 },
	{ { 0xf6, 0x58 }, 2, 0x8f5b, 0 },
	{ { 0xf6, 0x59 }, 2, 0x8f5d, 0 },
	{ { 0xf6, 0x5a }, 2, 0x9146, 0 },
	{ { 0xf6, 0x5b }, 2, 0x9144, 0 },
	{ { 0xf6, 0x5c }, 2, 0x9145, 0 },
	{ { 0xf6, 0x5d }, 2, 0x91b9, 0 },
	{ { 0xf6, 0x5e }, 2, 0x943f, 0 },
	{ { 0xf6, 0x5f }, 2, 0x943b, 0 },
	{ { 0xf6, 0x60 }, 2, 0x9436, 0 },
	{ { 0xf6, 0x61 }, 2, 0x9429, 0 },
	{ { 0xf6, 0x62 }, 2, 0x943d, 0 },
	{ { 0xf6, 0x63 }, 2, 0x943c, 0 },
	{ { 0xf6, 0x64 }, 2, 0x9430, 0 },
	{ { 0xf6, 0x65 }, 2, 0x9439, 0 },
	{ { 0xf6, 0x66 }, 2, 0x942a, 0 },
	{ { 0xf6, 0x67 }, 2, 0x9437, 0 },
	{ { 0xf6, 0x68 }, 2, 0x942c, 0 },
	{ { 0xf6, 0x69 }, 2, 0x9440, 0 },
	{ { 0xf6, 0x6a }, 2, 0x9431, 0 },
	{ { 0xf6, 0x6b }, 2, 0x95e5, 0 },
	{ { 0xf6, 0x6c }, 2, 0x95e4, 0 },
	{ { 0xf6, 0x6d }, 2, 0x95e3, 0 },
	{ { 0xf6, 0x6e }, 2, 0x9735, 0 },
	{ { 0xf6, 0x6f }, 2, 0x973a, 0 },
	{ { 0xf6, 0x70 }, 2, 0x97bf, 0 },
	{ { 0xf6, 0x71 }, 2, 0x97e1, 0 },
	{ { 0xf6, 0x72 }, 2, 0x9864, 0 },
	{ { 0xf6, 0x73 }, 2, 0x98c9, 0 },
	{ { 0xf6, 0x74 }, 2, 0x98c6, 0 },
	{ { 0xf6, 0x75 }, 2, 0x98c0, 0 },
	{ { 0xf6, 0x76 }, 2, 0x9958, 0 },
	{ { 0xf6, 0x77 }, 2, 0x9956, 0 },
	{ { 0xf6, 0x78 }, 2, 0x9a39, 0 },
	{ { 0xf6, 0x79 }, 2, 0x9a3d, 0 },
	{ { 0xf6, 0x7a }, 2, 0x9a46, 0 },
	{ { 0xf6, 0x7b }, 2, 0x9a44, 0 },
	{ { 0xf6, 0x7c }, 2, 0x9a42, 0 },
	{ { 0xf6, 0x7d }, 2, 0x9a41, 0 },
	{ { 0xf6, 0x7e }, 2, 0x9a3a, 0 },
	{ { 0xf6, 0xa1 }, 2, 0x9a3f, 0 },
	{ { 0xf6, 0xa2 }, 2, 0x9acd, 0 },
	{ { 0xf6, 0xa3 }, 2, 0x9b15, 0 },
	{ { 0xf6, 0xa4 }, 2, 0x9b17, 0 },
	{ { 0xf6, 0xa5 }, 2, 0x9b18, 0 },
	{ { 0xf6, 0xa6 }, 2, 0x9b16, 0 },
	{ { 0xf6, 0xa7 }, 2, 0x9b3a, 0 },
	{ { 0xf6, 0xa8 }, 2, 0x9b52, 0 },
	{ { 0xf6, 0xa9 }, 2, 0x9c2b, 0 },
	{ { 0xf6, 0xaa }, 2, 0x9c1d, 0 },
	{ { 0xf6, 0xab }, 2, 0x9c1c, 0 },
	{ { 0xf6, 0xac }, 2, 0x9c2c, 0 },
	{ { 0xf6, 0xad }, 2, 0x9c23, 0 },
	{ { 0xf6, 0xae }, 2, 0x9c28, 0 },
	{ { 0xf6, 0xaf }, 2, 0x9c29, 0 },
	{ { 0xf6, 0xb0 }, 2, 0x9c24, 0 },
	{ { 0xf6, 0xb1 }, 2, 0x9c21, 0 },
	{ { 0xf6, 0xb2 }, 2, 0x9db7, 0 },
	{ { 0xf6, 0xb3 }, 2, 0x9db6, 0 },
	{ { 0xf6, 0xb4 }, 2, 0x9dbc, 0 },
	{ { 0xf6, 0xb5 }, 2, 0x9dc1, 0 },
	{ { 0xf6, 0xb6 }, 2, 0x9dc7, 0 },
	{ { 0xf6, 0xb7 }, 2, 0x9dca, 0 },
	{ { 0xf6, 0xb8 }, 2, 0x9dcf, 0 },
	{ { 0xf6, 0xb9 }, 2, 0x9dbe, 0 },
	{ { 0xf6, 0xba }, 2, 0x9dc5, 0 },
	{ { 0xf6, 0xbb }, 2, 0x9dc3, 0 },
	{ { 0xf6, 0xbc }, 2, 0x9dbb, 0 },
	{ { 0xf6, 0xbd }, 2, 0x9db5, 0 },
	{ { 0xf6, 0xbe }, 2, 0x9dce, 0 },
	{ { 0xf6, 0xbf }, 2, 0x9db9, 0 },
	{ { 0xf6, 0xc0 }, 2, 0x9dba, 0 },
	{ { 0xf6, 0xc1 }, 2, 0x9dac, 0 },
	{ { 0xf6, 0xc2 }, 2, 0x9dc8, 0 },
	{ { 0xf6, 0xc3 }, 2, 0x9db1, 0 },
	{ { 0xf6, 0xc4 }, 2, 0x9dad, 0 },
	{ { 0xf6, 0xc5 }, 2, 0x9dcc, 0 },
	{ { 0xf6, 0xc6 }, 2, 0x9db3, 0 },
	{ { 0xf6, 0xc7 }, 2, 0x9dcd, 0 },
	{ { 0xf6, 0xc8 }, 2, 0x9db2, 0 },
	{ { 0xf6, 0xc9 }, 2, 0x9e7a, 0 },
	{ { 0xf6, 0xca }, 2, 0x9e9c, 0 },
	{ { 0xf6, 0xcb }, 2, 0x9eeb, 0 },
	{ { 0xf6, 0xcc }, 2, 0x9eee, 0 },
	{ { 0xf6, 0xcd }, 2, 0x9eed, 0 },
	{ { 0xf6, 0xce }, 2, 0x9f1b, 0 },
	{ { 0xf6, 0xcf }, 2, 0x9f18, 0 },
	{ { 0xf6, 0xd0 }, 2, 0x9f1a, 0 },
	{ { 0xf6, 0xd1 }, 2, 0x9f31, 0 },
	{ { 0xf6, 0xd2 }, 2, 0x9f4e, 0 },
	{ { 0xf6, 0xd3 }, 2, 0x9f65, 0 },
	{ { 0xf6, 0xd4 }, 2, 0x9f64, 0 },
	{ { 0xf6, 0xd5 }, 2, 0x9f92, 0 },
	{ { 0xf6, 0xd6 }, 2, 0x4eb9, 0 },
	{ { 0xf6, 0xd7 }, 2, 0x56c6, 0 },
	{ { 0xf6, 0xd8 }, 2, 0x56c5, 0 },
	{ { 0xf6, 0xd9 }, 2, 0x56cb, 0 },
	{ { 0xf6, 0xda }, 2, 0x5971, 0 },
	{ { 0xf6, 0xdb }, 2, 0x5b4b, 0 },
	{ { 0xf6, 0xdc }, 2, 0x5b4c, 0 },
	{ { 0xf6, 0xdd }, 2, 0x5dd5, 0 },
	{ { 0xf6, 0xde }, 2, 0x5dd1, 0 },
	{ { 0xf6, 0xdf }, 2, 0x5ef2, 0 },
	{ { 0xf6, 0xe0 }, 2, 0x6521, 0 },
	{ { 0xf6, 0xe1 }, 2, 0x6520, 0 },
	{ { 0xf6, 0xe2 }, 2, 0x6526, 0 },
	{ { 0xf6, 0xe3 }, 2, 0x6522, 0 },
	{ { 0xf6, 0xe4 }, 2, 0x6b0b, 0 },
	{ { 0xf6, 0xe5 }, 2, 0x6b08, 0 },
	{ { 0xf6, 0xe6 }, 2, 0x6b09, 0 },
	{ { 0xf6, 0xe7 }, 2, 0x6c0d, 0 },
	{ { 0xf6, 0xe8 }, 2, 0x7055, 0 },
	{ { 0xf6, 0xe9 }, 2, 0x7056, 0 },
	{ { 0xf6, 0xea }, 2, 0x7057, 0 },
	{ { 0xf6, 0xeb }, 2, 0x7052, 0 },
	{ { 0xf6, 0xec }, 2, 0x721e, 0 },
	{ { 0xf6, 0xed }, 2, 0x721f, 0 },
	{ { 0xf6, 0xee }, 2, 0x72a9, 0 },
	{ { 0xf6, 0xef }, 2, 0x737f, 0 },
	{ { 0xf6, 0xf0 }, 2, 0x74d8, 0 },
	{ { 0xf6, 0xf1 }, 2, 0x74d5, 0 },
	{ { 0xf6, 0xf2 }, 2, 0x74d9, 0 },
	{ { 0xf6, 0xf3 }, 2, 0x74d7, 0 },
	{ { 0xf6, 0xf4 }, 2, 0x766d, 0 },
	{ { 0xf6, 0xf5 }, 2, 0x76ad, 0 },
	{ { 0xf6, 0xf6 }, 2, 0x7935, 0 },
	{ { 0xf6, 0xf7 }, 2, 0x79b4, 0 },
	{ { 0xf6, 0xf8 }, 2, 0x7a70, 0 },
	{ { 0xf6, 0xf9 }, 2, 0x7a71, 0 },
	{ { 0xf6, 0xfa }, 2, 0x7c57, 0 },
	{ { 0xf6, 0xfb }, 2, 0x7c5c, 0 },
	{ { 0xf6, 0xfc }, 2, 0x7c59, 0 },
	{ { 0xf6, 0xfd }, 2, 0x7c5b, 0 },
	{ { 0xf6, 0xfe }, 2, 0x7c5a, 0 },

	{ { 0xf7, 0x40 }, 2, 0x7cf4, 0 },
	{ { 0xf7, 0x41 }, 2, 0x7cf1, 0 },
	{ { 0xf7, 0x42 }, 2, 0x7e91, 0 },
	{ { 0xf7, 0x43 }, 2, 0x7f4f, 0 },
	{ { 0xf7, 0x44 }, 2, 0x7f87, 0 },
	{ { 0xf7, 0x45 }, 2, 0x81de, 0 },
	{ { 0xf7, 0x46 }, 2, 0x826b, 0 },
	{ { 0xf7, 0x47 }, 2, 0x8634, 0 },
	{ { 0xf7, 0x48 }, 2, 0x8635, 0 },
	{ { 0xf7, 0x49 }, 2, 0x8633, 0 },
	{ { 0xf7, 0x4a }, 2, 0x862c, 0 },
	{ { 0xf7, 0x4b }, 2, 0x8632, 0 },
	{ { 0xf7, 0x4c }, 2, 0x8636, 0 },
	{ { 0xf7, 0x4d }, 2, 0x882c, 0 },
	{ { 0xf7, 0x4e }, 2, 0x8828, 0 },
	{ { 0xf7, 0x4f }, 2, 0x8826, 0 },
	{ { 0xf7, 0x50 }, 2, 0x882a, 0 },
	{ { 0xf7, 0x51 }, 2, 0x8825, 0 },
	{ { 0xf7, 0x52 }, 2, 0x8971, 0 },
	{ { 0xf7, 0x53 }, 2, 0x89bf, 0 },
	{ { 0xf7, 0x54 }, 2, 0x89be, 0 },
	{ { 0xf7, 0x55 }, 2, 0x89fb, 0 },
	{ { 0xf7, 0x56 }, 2, 0x8b7e, 0 },
	{ { 0xf7, 0x57 }, 2, 0x8b84, 0 },
	{ { 0xf7, 0x58 }, 2, 0x8b82, 0 },
	{ { 0xf7, 0x59 }, 2, 0x8b86, 0 },
	{ { 0xf7, 0x5a }, 2, 0x8b85, 0 },
	{ { 0xf7, 0x5b }, 2, 0x8b7f, 0 },
	{ { 0xf7, 0x5c }, 2, 0x8d15, 0 },
	{ { 0xf7, 0x5d }, 2, 0x8e95, 0 },
	{ { 0xf7, 0x5e }, 2, 0x8e94, 0 },
	{ { 0xf7, 0x5f }, 2, 0x8e9a, 0 },
	{ { 0xf7, 0x60 }, 2, 0x8e92, 0 },
	{ { 0xf7, 0x61 }, 2, 0x8e90, 0 },
	{ { 0xf7, 0x62 }, 2, 0x8e96, 0 },
	{ { 0xf7, 0x63 }, 2, 0x8e97, 0 },
	{ { 0xf7, 0x64 }, 2, 0x8f60, 0 },
	{ { 0xf7, 0x65 }, 2, 0x8f62, 0 },
	{ { 0xf7, 0x66 }, 2, 0x9147, 0 },
	{ { 0xf7, 0x67 }, 2, 0x944c, 0 },
	{ { 0xf7, 0x68 }, 2, 0x9450, 0 },
	{ { 0xf7, 0x69 }, 2, 0x944a, 0 },
	{ { 0xf7, 0x6a }, 2, 0x944b, 0 },
	{ { 0xf7, 0x6b }, 2, 0x944f, 0 },
	{ { 0xf7, 0x6c }, 2, 0x9447, 0 },
	{ { 0xf7, 0x6d }, 2, 0x9445, 0 },
	{ { 0xf7, 0x6e }, 2, 0x9448, 0 },
	{ { 0xf7, 0x6f }, 2, 0x9449, 0 },
	{ { 0xf7, 0x70 }, 2, 0x9446, 0 },
	{ { 0xf7, 0x71 }, 2, 0x973f, 0 },
	{ { 0xf7, 0x72 }, 2, 0x97e3, 0 },
	{ { 0xf7, 0x73 }, 2, 0x986a, 0 },
	{ { 0xf7, 0x74 }, 2, 0x9869, 0 },
	{ { 0xf7, 0x75 }, 2, 0x98cb, 0 },
	{ { 0xf7, 0x76 }, 2, 0x9954, 0 },
	{ { 0xf7, 0x77 }, 2, 0x995b, 0 },
	{ { 0xf7, 0x78 }, 2, 0x9a4e, 0 },
	{ { 0xf7, 0x79 }, 2, 0x9a53, 0 },
	{ { 0xf7, 0x7a }, 2, 0x9a54, 0 },
	{ { 0xf7, 0x7b }, 2, 0x9a4c, 0 },
	{ { 0xf7, 0x7c }, 2, 0x9a4f, 0 },
	{ { 0xf7, 0x7d }, 2, 0x9a48, 0 },
	{ { 0xf7, 0x7e }, 2, 0x9a4a, 0 },
	{ { 0xf7, 0xa1 }, 2, 0x9a49, 0 },
	{ { 0xf7, 0xa2 }, 2, 0x9a52, 0 },
	{ { 0xf7, 0xa3 }, 2, 0x9a50, 0 },
	{ { 0xf7, 0xa4 }, 2, 0x9ad0, 0 },
	{ { 0xf7, 0xa5 }, 2, 0x9b19, 0 },
	{ { 0xf7, 0xa6 }, 2, 0x9b2b, 0 },
	{ { 0xf7, 0xa7 }, 2, 0x9b3b, 0 },
	{ { 0xf7, 0xa8 }, 2, 0x9b56, 0 },
	{ { 0xf7, 0xa9 }, 2, 0x9b55, 0 },
	{ { 0xf7, 0xaa }, 2, 0x9c46, 0 },
	{ { 0xf7, 0xab }, 2, 0x9c48, 0 },
	{ { 0xf7, 0xac }, 2, 0x9c3f, 0 },
	{ { 0xf7, 0xad }, 2, 0x9c44, 0 },
	{ { 0xf7, 0xae }, 2, 0x9c39, 0 },
	{ { 0xf7, 0xaf }, 2, 0x9c33, 0 },
	{ { 0xf7, 0xb0 }, 2, 0x9c41, 0 },
	{ { 0xf7, 0xb1 }, 2, 0x9c3c, 0 },
	{ { 0xf7, 0xb2 }, 2, 0x9c37, 0 },
	{ { 0xf7, 0xb3 }, 2, 0x9c34, 0 },
	{ { 0xf7, 0xb4 }, 2, 0x9c32, 0 },
	{ { 0xf7, 0xb5 }, 2, 0x9c3d, 0 },
	{ { 0xf7, 0xb6 }, 2, 0x9c36, 0 },
	{ { 0xf7, 0xb7 }, 2, 0x9ddb, 0 },
	{ { 0xf7, 0xb8 }, 2, 0x9dd2, 0 },
	{ { 0xf7, 0xb9 }, 2, 0x9dde, 0 },
	{ { 0xf7, 0xba }, 2, 0x9dda, 0 },
	{ { 0xf7, 0xbb }, 2, 0x9dcb, 0 },
	{ { 0xf7, 0xbc }, 2, 0x9dd0, 0 },
	{ { 0xf7, 0xbd }, 2, 0x9ddc, 0 },
	{ { 0xf7, 0xbe }, 2, 0x9dd1, 0 },
	{ { 0xf7, 0xbf }, 2, 0x9ddf, 0 },
	{ { 0xf7, 0xc0 }, 2, 0x9de9, 0 },
	{ { 0xf7, 0xc1 }, 2, 0x9dd9, 0 },
	{ { 0xf7, 0xc2 }, 2, 0x9dd8, 0 },
	{ { 0xf7, 0xc3 }, 2, 0x9dd6, 0 },
	{ { 0xf7, 0xc4 }, 2, 0x9df5, 0 },
	{ { 0xf7, 0xc5 }, 2, 0x9dd5, 0 },
	{ { 0xf7, 0xc6 }, 2, 0x9ddd, 0 },
	{ { 0xf7, 0xc7 }, 2, 0x9eb6, 0 },
	{ { 0xf7, 0xc8 }, 2, 0x9ef0, 0 },
	{ { 0xf7, 0xc9 }, 2, 0x9f35, 0 },
	{ { 0xf7, 0xca }, 2, 0x9f33, 0 },
	{ { 0xf7, 0xcb }, 2, 0x9f32, 0 },
	{ { 0xf7, 0xcc }, 2, 0x9f42, 0 },
	{ { 0xf7, 0xcd }, 2, 0x9f6b, 0 },
	{ { 0xf7, 0xce }, 2, 0x9f95, 0 },
	{ { 0xf7, 0xcf }, 2, 0x9fa2, 0 },
	{ { 0xf7, 0xd0 }, 2, 0x513d, 0 },
	{ { 0xf7, 0xd1 }, 2, 0x5299, 0 },
	{ { 0xf7, 0xd2 }, 2, 0x58e8, 0 },
	{ { 0xf7, 0xd3 }, 2, 0x58e7, 0 },
	{ { 0xf7, 0xd4 }, 2, 0x5972, 0 },
	{ { 0xf7, 0xd5 }, 2, 0x5b4d, 0 },
	{ { 0xf7, 0xd6 }, 2, 0x5dd8, 0 },
	{ { 0xf7, 0xd7 }, 2, 0x882f, 0 },
	{ { 0xf7, 0xd8 }, 2, 0x5f4f, 0 },
	{ { 0xf7, 0xd9 }, 2, 0x6201, 0 },
	{ { 0xf7, 0xda }, 2, 0x6203, 0 },
	{ { 0xf7, 0xdb }, 2, 0x6204, 0 },
	{ { 0xf7, 0xdc }, 2, 0x6529, 0 },
	{ { 0xf7, 0xdd }, 2, 0x6525, 0 },
	{ { 0xf7, 0xde }, 2, 0x6596, 0 },
	{ { 0xf7, 0xdf }, 2, 0x66eb, 0 },
	{ { 0xf7, 0xe0 }, 2, 0x6b11, 0 },
	{ { 0xf7, 0xe1 }, 2, 0x6b12, 0 },
	{ { 0xf7, 0xe2 }, 2, 0x6b0f, 0 },
	{ { 0xf7, 0xe3 }, 2, 0x6bca, 0 },
	{ { 0xf7, 0xe4 }, 2, 0x705b, 0 },
	{ { 0xf7, 0xe5 }, 2, 0x705a, 0 },
	{ { 0xf7, 0xe6 }, 2, 0x7222, 0 },
	{ { 0xf7, 0xe7 }, 2, 0x7382, 0 },
	{ { 0xf7, 0xe8 }, 2, 0x7381, 0 },
	{ { 0xf7, 0xe9 }, 2, 0x7383, 0 },
	{ { 0xf7, 0xea }, 2, 0x7670, 0 },
	{ { 0xf7, 0xeb }, 2, 0x77d4, 0 },
	{ { 0xf7, 0xec }, 2, 0x7c67, 0 },
	{ { 0xf7, 0xed }, 2, 0x7c66, 0 },
	{ { 0xf7, 0xee }, 2, 0x7e95, 0 },
	{ { 0xf7, 0xef }, 2, 0x826c, 0 },
	{ { 0xf7, 0xf0 }, 2, 0x863a, 0 },
	{ { 0xf7, 0xf1 }, 2, 0x8640, 0 },
	{ { 0xf7, 0xf2 }, 2, 0x8639, 0 },
	{ { 0xf7, 0xf3 }, 2, 0x863c, 0 },
	{ { 0xf7, 0xf4 }, 2, 0x8631, 0 },
	{ { 0xf7, 0xf5 }, 2, 0x863b, 0 },
	{ { 0xf7, 0xf6 }, 2, 0x863e, 0 },
	{ { 0xf7, 0xf7 }, 2, 0x8830, 0 },
	{ { 0xf7, 0xf8 }, 2, 0x8832, 0 },
	{ { 0xf7, 0xf9 }, 2, 0x882e, 0 },
	{ { 0xf7, 0xfa }, 2, 0x8833, 0 },
	{ { 0xf7, 0xfb }, 2, 0x8976, 0 },
	{ { 0xf7, 0xfc }, 2, 0x8974, 0 },
	{ { 0xf7, 0xfd }, 2, 0x8973, 0 },
	{ { 0xf7, 0xfe }, 2, 0x89fe, 0 },

	{ { 0xf8, 0x40 }, 2, 0x8b8c, 0 },
	{ { 0xf8, 0x41 }, 2, 0x8b8e, 0 },
	{ { 0xf8, 0x42 }, 2, 0x8b8b, 0 },
	{ { 0xf8, 0x43 }, 2, 0x8b88, 0 },
	{ { 0xf8, 0x44 }, 2, 0x8c45, 0 },
	{ { 0xf8, 0x45 }, 2, 0x8d19, 0 },
	{ { 0xf8, 0x46 }, 2, 0x8e98, 0 },
	{ { 0xf8, 0x47 }, 2, 0x8f64, 0 },
	{ { 0xf8, 0x48 }, 2, 0x8f63, 0 },
	{ { 0xf8, 0x49 }, 2, 0x91bc, 0 },
	{ { 0xf8, 0x4a }, 2, 0x9462, 0 },
	{ { 0xf8, 0x4b }, 2, 0x9455, 0 },
	{ { 0xf8, 0x4c }, 2, 0x945d, 0 },
	{ { 0xf8, 0x4d }, 2, 0x9457, 0 },
	{ { 0xf8, 0x4e }, 2, 0x945e, 0 },
	{ { 0xf8, 0x4f }, 2, 0x97c4, 0 },
	{ { 0xf8, 0x50 }, 2, 0x97c5, 0 },
	{ { 0xf8, 0x51 }, 2, 0x9800, 0 },
	{ { 0xf8, 0x52 }, 2, 0x9a56, 0 },
	{ { 0xf8, 0x53 }, 2, 0x9a59, 0 },
	{ { 0xf8, 0x54 }, 2, 0x9b1e, 0 },
	{ { 0xf8, 0x55 }, 2, 0x9b1f, 0 },
	{ { 0xf8, 0x56 }, 2, 0x9b20, 0 },
	{ { 0xf8, 0x57 }, 2, 0x9c52, 0 },
	{ { 0xf8, 0x58 }, 2, 0x9c58, 0 },
	{ { 0xf8, 0x59 }, 2, 0x9c50, 0 },
	{ { 0xf8, 0x5a }, 2, 0x9c4a, 0 },
	{ { 0xf8, 0x5b }, 2, 0x9c4d, 0 },
	{ { 0xf8, 0x5c }, 2, 0x9c4b, 0 },
	{ { 0xf8, 0x5d }, 2, 0x9c55, 0 },
	{ { 0xf8, 0x5e }, 2, 0x9c59, 0 },
	{ { 0xf8, 0x5f }, 2, 0x9c4c, 0 },
	{ { 0xf8, 0x60 }, 2, 0x9c4e, 0 },
	{ { 0xf8, 0x61 }, 2, 0x9dfb, 0 },
	{ { 0xf8, 0x62 }, 2, 0x9df7, 0 },
	{ { 0xf8, 0x63 }, 2, 0x9def, 0 },
	{ { 0xf8, 0x64 }, 2, 0x9de3, 0 },
	{ { 0xf8, 0x65 }, 2, 0x9deb, 0 },
	{ { 0xf8, 0x66 }, 2, 0x9df8, 0 },
	{ { 0xf8, 0x67 }, 2, 0x9de4, 0 },
	{ { 0xf8, 0x68 }, 2, 0x9df6, 0 },
	{ { 0xf8, 0x69 }, 2, 0x9de1, 0 },
	{ { 0xf8, 0x6a }, 2, 0x9dee, 0 },
	{ { 0xf8, 0x6b }, 2, 0x9de6, 0 },
	{ { 0xf8, 0x6c }, 2, 0x9df2, 0 },
	{ { 0xf8, 0x6d }, 2, 0x9df0, 0 },
	{ { 0xf8, 0x6e }, 2, 0x9de2, 0 },
	{ { 0xf8, 0x6f }, 2, 0x9dec, 0 },
	{ { 0xf8, 0x70 }, 2, 0x9df4, 0 },
	{ { 0xf8, 0x71 }, 2, 0x9df3, 0 },
	{ { 0xf8, 0x72 }, 2, 0x9de8, 0 },
	{ { 0xf8, 0x73 }, 2, 0x9ded, 0 },
	{ { 0xf8, 0x74 }, 2, 0x9ec2, 0 },
	{ { 0xf8, 0x75 }, 2, 0x9ed0, 0 },
	{ { 0xf8, 0x76 }, 2, 0x9ef2, 0 },
	{ { 0xf8, 0x77 }, 2, 0x9ef3, 0 },
	{ { 0xf8, 0x78 }, 2, 0x9f06, 0 },
	{ { 0xf8, 0x79 }, 2, 0x9f1c, 0 },
	{ { 0xf8, 0x7a }, 2, 0x9f38, 0 },
	{ { 0xf8, 0x7b }, 2, 0x9f37, 0 },
	{ { 0xf8, 0x7c }, 2, 0x9f36, 0 },
	{ { 0xf8, 0x7d }, 2, 0x9f43, 0 },
	{ { 0xf8, 0x7e }, 2, 0x9f4f, 0 },
	{ { 0xf8, 0xa1 }, 2, 0x9f71, 0 },
	{ { 0xf8, 0xa2 }, 2, 0x9f70, 0 },
	{ { 0xf8, 0xa3 }, 2, 0x9f6e, 0 },
	{ { 0xf8, 0xa4 }, 2, 0x9f6f, 0 },
	{ { 0xf8, 0xa5 }, 2, 0x56d3, 0 },
	{ { 0xf8, 0xa6 }, 2, 0x56cd, 0 },
	{ { 0xf8, 0xa7 }, 2, 0x5b4e, 0 },
	{ { 0xf8, 0xa8 }, 2, 0x5c6d, 0 },
	{ { 0xf8, 0xa9 }, 2, 0x652d, 0 },
	{ { 0xf8, 0xaa }, 2, 0x66ed, 0 },
	{ { 0xf8, 0xab }, 2, 0x66ee, 0 },
	{ { 0xf8, 0xac }, 2, 0x6b13, 0 },
	{ { 0xf8, 0xad }, 2, 0x705f, 0 },
	{ { 0xf8, 0xae }, 2, 0x7061, 0 },
	{ { 0xf8, 0xaf }, 2, 0x705d, 0 },
	{ { 0xf8, 0xb0 }, 2, 0x7060, 0 },
	{ { 0xf8, 0xb1 }, 2, 0x7223, 0 },
	{ { 0xf8, 0xb2 }, 2, 0x74db, 0 },
	{ { 0xf8, 0xb3 }, 2, 0x74e5, 0 },
	{ { 0xf8, 0xb4 }, 2, 0x77d5, 0 },
	{ { 0xf8, 0xb5 }, 2, 0x7938, 0 },
	{ { 0xf8, 0xb6 }, 2, 0x79b7, 0 },
	{ { 0xf8, 0xb7 }, 2, 0x79b6, 0 },
	{ { 0xf8, 0xb8 }, 2, 0x7c6a, 0 },
	{ { 0xf8, 0xb9 }, 2, 0x7e97, 0 },
	{ { 0xf8, 0xba }, 2, 0x7f89, 0 },
	{ { 0xf8, 0xbb }, 2, 0x826d, 0 },
	{ { 0xf8, 0xbc }, 2, 0x8643, 0 },
	{ { 0xf8, 0xbd }, 2, 0x8838, 0 },
	{ { 0xf8, 0xbe }, 2, 0x8837, 0 },
	{ { 0xf8, 0xbf }, 2, 0x8835, 0 },
	{ { 0xf8, 0xc0 }, 2, 0x884b, 0 },
	{ { 0xf8, 0xc1 }, 2, 0x8b94, 0 },
	{ { 0xf8, 0xc2 }, 2, 0x8b95, 0 },
	{ { 0xf8, 0xc3 }, 2, 0x8e9e, 0 },
	{ { 0xf8, 0xc4 }, 2, 0x8e9f, 0 },
	{ { 0xf8, 0xc5 }, 2, 0x8ea0, 0 },
	{ { 0xf8, 0xc6 }, 2, 0x8e9d, 0 },
	{ { 0xf8, 0xc7 }, 2, 0x91be, 0 },
	{ { 0xf8, 0xc8 }, 2, 0x91bd, 0 },
	{ { 0xf8, 0xc9 }, 2, 0x91c2, 0 },
	{ { 0xf8, 0xca }, 2, 0x946b, 0 },
	{ { 0xf8, 0xcb }, 2, 0x9468, 0 },
	{ { 0xf8, 0xcc }, 2, 0x9469, 0 },
	{ { 0xf8, 0xcd }, 2, 0x96e5, 0 },
	{ { 0xf8, 0xce }, 2, 0x9746, 0 },
	{ { 0xf8, 0xcf }, 2, 0x9743, 0 },
	{ { 0xf8, 0xd0 }, 2, 0x9747, 0 },
	{ { 0xf8, 0xd1 }, 2, 0x97c7, 0 },
	{ { 0xf8, 0xd2 }, 2, 0x97e5, 0 },
	{ { 0xf8, 0xd3 }, 2, 0x9a5e, 0 },
	{ { 0xf8, 0xd4 }, 2, 0x9ad5, 0 },
	{ { 0xf8, 0xd5 }, 2, 0x9b59, 0 },
	{ { 0xf8, 0xd6 }, 2, 0x9c63, 0 },
	{ { 0xf8, 0xd7 }, 2, 0x9c67, 0 },
	{ { 0xf8, 0xd8 }, 2, 0x9c66, 0 },
	{ { 0xf8, 0xd9 }, 2, 0x9c62, 0 },
	{ { 0xf8, 0xda }, 2, 0x9c5e, 0 },
	{ { 0xf8, 0xdb }, 2, 0x9c60, 0 },
	{ { 0xf8, 0xdc }, 2, 0x9e02, 0 },
	{ { 0xf8, 0xdd }, 2, 0x9dfe, 0 },
	{ { 0xf8, 0xde }, 2, 0x9e07, 0 },
	{ { 0xf8, 0xdf }, 2, 0x9e03, 0 },
	{ { 0xf8, 0xe0 }, 2, 0x9e06, 0 },
	{ { 0xf8, 0xe1 }, 2, 0x9e05, 0 },
	{ { 0xf8, 0xe2 }, 2, 0x9e00, 0 },
	{ { 0xf8, 0xe3 }, 2, 0x9e01, 0 },
	{ { 0xf8, 0xe4 }, 2, 0x9e09, 0 },
	{ { 0xf8, 0xe5 }, 2, 0x9dff, 0 },
	{ { 0xf8, 0xe6 }, 2, 0x9dfd, 0 },
	{ { 0xf8, 0xe7 }, 2, 0x9e04, 0 },
	{ { 0xf8, 0xe8 }, 2, 0x9ea0, 0 },
	{ { 0xf8, 0xe9 }, 2, 0x9f1e, 0 },
	{ { 0xf8, 0xea }, 2, 0x9f46, 0 },
	{ { 0xf8, 0xeb }, 2, 0x9f74, 0 },
	{ { 0xf8, 0xec }, 2, 0x9f75, 0 },
	{ { 0xf8, 0xed }, 2, 0x9f76, 0 },
	{ { 0xf8, 0xee }, 2, 0x56d4, 0 },
	{ { 0xf8, 0xef }, 2, 0x652e, 0 },
	{ { 0xf8, 0xf0 }, 2, 0x65b8, 0 },
	{ { 0xf8, 0xf1 }, 2, 0x6b18, 0 },
	{ { 0xf8, 0xf2 }, 2, 0x6b19, 0 },
	{ { 0xf8, 0xf3 }, 2, 0x6b17, 0 },
	{ { 0xf8, 0xf4 }, 2, 0x6b1a, 0 },
	{ { 0xf8, 0xf5 }, 2, 0x7062, 0 },
	{ { 0xf8, 0xf6 }, 2, 0x7226, 0 },
	{ { 0xf8, 0xf7 }, 2, 0x72aa, 0 },
	{ { 0xf8, 0xf8 }, 2, 0x77d8, 0 },
	{ { 0xf8, 0xf9 }, 2, 0x77d9, 0 },
	{ { 0xf8, 0xfa }, 2, 0x7939, 0 },
	{ { 0xf8, 0xfb }, 2, 0x7c69, 0 },
	{ { 0xf8, 0xfc }, 2, 0x7c6b, 0 },
	{ { 0xf8, 0xfd }, 2, 0x7cf6, 0 },
	{ { 0xf8, 0xfe }, 2, 0x7e9a, 0 },

	{ { 0xf9, 0x40 }, 2, 0x7e98, 0 },
	{ { 0xf9, 0x41 }, 2, 0x7e9b, 0 },
	{ { 0xf9, 0x42 }, 2, 0x7e99, 0 },
	{ { 0xf9, 0x43 }, 2, 0x81e0, 0 },
	{ { 0xf9, 0x44 }, 2, 0x81e1, 0 },
	{ { 0xf9, 0x45 }, 2, 0x8646, 0 },
	{ { 0xf9, 0x46 }, 2, 0x8647, 0 },
	{ { 0xf9, 0x47 }, 2, 0x8648, 0 },
	{ { 0xf9, 0x48 }, 2, 0x8979, 0 },
	{ { 0xf9, 0x49 }, 2, 0x897a, 0 },
	{ { 0xf9, 0x4a }, 2, 0x897c, 0 },
	{ { 0xf9, 0x4b }, 2, 0x897b, 0 },
	{ { 0xf9, 0x4c }, 2, 0x89ff, 0 },
	{ { 0xf9, 0x4d }, 2, 0x8b98, 0 },
	{ { 0xf9, 0x4e }, 2, 0x8b99, 0 },
	{ { 0xf9, 0x4f }, 2, 0x8ea5, 0 },
	{ { 0xf9, 0x50 }, 2, 0x8ea4, 0 },
	{ { 0xf9, 0x51 }, 2, 0x8ea3, 0 },
	{ { 0xf9, 0x52 }, 2, 0x946e, 0 },
	{ { 0xf9, 0x53 }, 2, 0x946d, 0 },
	{ { 0xf9, 0x54 }, 2, 0x946f, 0 },
	{ { 0xf9, 0x55 }, 2, 0x9471, 0 },
	{ { 0xf9, 0x56 }, 2, 0x9473, 0 },
	{ { 0xf9, 0x57 }, 2, 0x9749, 0 },
	{ { 0xf9, 0x58 }, 2, 0x9872, 0 },
	{ { 0xf9, 0x59 }, 2, 0x995f, 0 },
	{ { 0xf9, 0x5a }, 2, 0x9c68, 0 },
	{ { 0xf9, 0x5b }, 2, 0x9c6e, 0 },
	{ { 0xf9, 0x5c }, 2, 0x9c6d, 0 },
	{ { 0xf9, 0x5d }, 2, 0x9e0b, 0 },
	{ { 0xf9, 0x5e }, 2, 0x9e0d, 0 },
	{ { 0xf9, 0x5f }, 2, 0x9e10, 0 },
	{ { 0xf9, 0x60 }, 2, 0x9e0f, 0 },
	{ { 0xf9, 0x61 }, 2, 0x9e12, 0 },
	{ { 0xf9, 0x62 }, 2, 0x9e11, 0 },
	{ { 0xf9, 0x63 }, 2, 0x9ea1, 0 },
	{ { 0xf9, 0x64 }, 2, 0x9ef5, 0 },
	{ { 0xf9, 0x65 }, 2, 0x9f09, 0 },
	{ { 0xf9, 0x66 }, 2, 0x9f47, 0 },
	{ { 0xf9, 0x67 }, 2, 0x9f78, 0 },
	{ { 0xf9, 0x68 }, 2, 0x9f7b, 0 },
	{ { 0xf9, 0x69 }, 2, 0x9f7a, 0 },
	{ { 0xf9, 0x6a }, 2, 0x9f79, 0 },
	{ { 0xf9, 0x6b }, 2, 0x571e, 0 },
	{ { 0xf9, 0x6c }, 2, 0x7066, 0 },
	{ { 0xf9, 0x6d }, 2, 0x7c6f, 0 },
	{ { 0xf9, 0x6e }, 2, 0x883c, 0 },
	{ { 0xf9, 0x6f }, 2, 0x8db2, 0 },
	{ { 0xf9, 0x70 }, 2, 0x8ea6, 0 },
	{ { 0xf9, 0x71 }, 2, 0x91c3, 0 },
	{ { 0xf9, 0x72 }, 2, 0x9474, 0 },
	{ { 0xf9, 0x73 }, 2, 0x9478, 0 },
	{ { 0xf9, 0x74 }, 2, 0x9476, 0 },
	{ { 0xf9, 0x75 }, 2, 0x9475, 0 },
	{ { 0xf9, 0x76 }, 2, 0x9a60, 0 },
	{ { 0xf9, 0x77 }, 2, 0x9c74, 0 },
	{ { 0xf9, 0x78 }, 2, 0x9c73, 0 },
	{ { 0xf9, 0x79 }, 2, 0x9c71, 0 },
	{ { 0xf9, 0x7a }, 2, 0x9c75, 0 },
	{ { 0xf9, 0x7b }, 2, 0x9e14, 0 },
	{ { 0xf9, 0x7c }, 2, 0x9e13, 0 },
	{ { 0xf9, 0x7d }, 2, 0x9ef6, 0 },
	{ { 0xf9, 0x7e }, 2, 0x9f0a, 0 },
	{ { 0xf9, 0xa1 }, 2, 0x9fa4, 0 },
	{ { 0xf9, 0xa2 }, 2, 0x7068, 0 },
	{ { 0xf9, 0xa3 }, 2, 0x7065, 0 },
	{ { 0xf9, 0xa4 }, 2, 0x7cf7, 0 },
	{ { 0xf9, 0xa5 }, 2, 0x866a, 0 },
	{ { 0xf9, 0xa6 }, 2, 0x883e, 0 },
	{ { 0xf9, 0xa7 }, 2, 0x883d, 0 },
	{ { 0xf9, 0xa8 }, 2, 0x883f, 0 },
	{ { 0xf9, 0xa9 }, 2, 0x8b9e, 0 },
	{ { 0xf9, 0xaa }, 2, 0x8c9c, 0 },
	{ { 0xf9, 0xab }, 2, 0x8ea9, 0 },
	{ { 0xf9, 0xac }, 2, 0x8ec9, 0 },
	{ { 0xf9, 0xad }, 2, 0x974b, 0 },
	{ { 0xf9, 0xae }, 2, 0x9873, 0 },
	{ { 0xf9, 0xaf }, 2, 0x9874, 0 },
	{ { 0xf9, 0xb0 }, 2, 0x98cc, 0 },
	{ { 0xf9, 0xb1 }, 2, 0x9961, 0 },
	{ { 0xf9, 0xb2 }, 2, 0x99ab, 0 },
	{ { 0xf9, 0xb3 }, 2, 0x9a64, 0 },
	{ { 0xf9, 0xb4 }, 2, 0x9a66, 0 },
	{ { 0xf9, 0xb5 }, 2, 0x9a67, 0 },
	{ { 0xf9, 0xb6 }, 2, 0x9b24, 0 },
	{ { 0xf9, 0xb7 }, 2, 0x9e15, 0 },
	{ { 0xf9, 0xb8 }, 2, 0x9e17, 0 },
	{ { 0xf9, 0xb9 }, 2, 0x9f48, 0 },
	{ { 0xf9, 0xba }, 2, 0x6207, 0 },
	{ { 0xf9, 0xbb }, 2, 0x6b1e, 0 },
	{ { 0xf9, 0xbc }, 2, 0x7227, 0 },
	{ { 0xf9, 0xbd }, 2, 0x864c, 0 },
	{ { 0xf9, 0xbe }, 2, 0x8ea8, 0 },
	{ { 0xf9, 0xbf }, 2, 0x9482, 0 },
	{ { 0xf9, 0xc0 }, 2, 0x9480, 0 },
	{ { 0xf9, 0xc1 }, 2, 0x9481, 0 },
	{ { 0xf9, 0xc2 }, 2, 0x9a69, 0 },
	{ { 0xf9, 0xc3 }, 2, 0x9a68, 0 },
	{ { 0xf9, 0xc4 }, 2, 0x9b2e, 0 },
	{ { 0xf9, 0xc5 }, 2, 0x9e19, 0 },
	{ { 0xf9, 0xc6 }, 2, 0x7229, 0 },
	{ { 0xf9, 0xc7 }, 2, 0x864b, 0 },
	{ { 0xf9, 0xc8 }, 2, 0x8b9f, 0 },
	{ { 0xf9, 0xc9 }, 2, 0x9483, 0 },
	{ { 0xf9, 0xca }, 2, 0x9c79, 0 },
	{ { 0xf9, 0xcb }, 2, 0x9eb7, 0 },
	{ { 0xf9, 0xcc }, 2, 0x7675, 0 },
	{ { 0xf9, 0xcd }, 2, 0x9a6b, 0 },
	{ { 0xf9, 0xce }, 2, 0x9c7a, 0 },
	{ { 0xf9, 0xcf }, 2, 0x9e1d, 0 },
	{ { 0xf9, 0xd0 }, 2, 0x7069, 0 },
	{ { 0xf9, 0xd1 }, 2, 0x706a, 0 },
	{ { 0xf9, 0xd2 }, 2, 0x9ea4, 0 },
	{ { 0xf9, 0xd3 }, 2, 0x9f7e, 0 },
	{ { 0xf9, 0xd4 }, 2, 0x9f49, 0 },
	{ { 0xf9, 0xd5 }, 2, 0x9f98, 0 },
	{ { 0xf9, 0xd6 }, 2, 0x7881, 0 },
	{ { 0xf9, 0xd7 }, 2, 0x92b9, 0 },
	{ { 0xf9, 0xd8 }, 2, 0x88cf, 0 },
	{ { 0xf9, 0xd9 }, 2, 0x58bb, 0 },
	{ { 0xf9, 0xda }, 2, 0x6052, 0 },
	{ { 0xf9, 0xdb }, 2, 0x7ca7, 0 },
	{ { 0xf9, 0xdc }, 2, 0x5afa, 0 },
	{ { 0xf9, 0xdd }, 2, 0x2554, 0 },
	{ { 0xf9, 0xde }, 2, 0x2566, 0 },
	{ { 0xf9, 0xdf }, 2, 0x2557, 0 },
	{ { 0xf9, 0xe0 }, 2, 0x2560, 0 },
	{ { 0xf9, 0xe1 }, 2, 0x256c, 0 },
	{ { 0xf9, 0xe2 }, 2, 0x2563, 0 },
	{ { 0xf9, 0xe3 }, 2, 0x255a, 0 },
	{ { 0xf9, 0xe4 }, 2, 0x2569, 0 },
	{ { 0xf9, 0xe5 }, 2, 0x255d, 0 },
	{ { 0xf9, 0xe6 }, 2, 0x2552, 0 },
	{ { 0xf9, 0xe7 }, 2, 0x2564, 0 },
	{ { 0xf9, 0xe8 }, 2, 0x2555, 0 },
	{ { 0xf9, 0xe9 }, 2, 0x255e, UNA_TEST_UNICODE_FLAG_IS_DUPLICATE },
	{ { 0xf9, 0xea }, 2, 0x256a, UNA_TEST_UNICODE_FLAG_IS_DUPLICATE },
	{ { 0xf9, 0xeb }, 2, 0x2561, UNA_TEST_UNICODE_FLAG_IS_DUPLICATE },
	{ { 0xf9, 0xec }, 2, 0x2558, 0 },
	{ { 0xf9, 0xed }, 2, 0x2567, 0 },
	{ { 0xf9, 0xee }, 2, 0x255b, 0 },
	{ { 0xf9, 0xef }, 2, 0x2553, 0 },
	{ { 0xf9, 0xf0 }, 2, 0x2565, 0 },
	{ { 0xf9, 0xf1 }, 2, 0x2556, 0 },
	{ { 0xf9, 0xf2 }, 2, 0x255f, 0 },
	{ { 0xf9, 0xf3 }, 2, 0x256b, 0 },
	{ { 0xf9, 0xf4 }, 2, 0x2562, 0 },
	{ { 0xf9, 0xf5 }, 2, 0x2559, 0 },
	{ { 0xf9, 0xf6 }, 2, 0x2568, 0 },
	{ { 0xf9, 0xf7 }, 2, 0x255c, 0 },
	{ { 0xf9, 0xf8 }, 2, 0x2551, 0 },
	{ { 0xf9, 0xf9 }, 2, 0x2550, UNA_TEST_UNICODE_FLAG_IS_DUPLICATE },
	{ { 0xf9, 0xfa }, 2, 0x256d, UNA_TEST_UNICODE_FLAG_IS_DUPLICATE },
	{ { 0xf9, 0xfb }, 2, 0x256e, UNA_TEST_UNICODE_FLAG_IS_DUPLICATE },
	{ { 0xf9, 0xfc }, 2, 0x2570, UNA_TEST_UNICODE_FLAG_IS_DUPLICATE },
	{ { 0xf9, 0xfd }, 2, 0x256f, UNA_TEST_UNICODE_FLAG_IS_DUPLICATE },
	{ { 0xf9, 0xfe }, 2, 0x2593, 0 }
};

#if defined( __cplusplus )
}
#endif

#endif /* !defined( _UNA_TEST_CODEPAGE_WINDOWS_950_H ) */

